# CSIRT-MU Auth Keycloak fixture loader
This application is used for Keycloak initialization. It registers specified OIDC issuers and configures them as is specified in configuration file.

## Content

- [CSIRT-MU Auth Keycloak fixture loader](#csirt-mu-case-database)
  - [Requirements](#requirements)
  - [Usage](#usage)

# Requirements
1. Keycloak version 17 or newer (otherwise use `legacy: true` in your config file, tested legacy versions: 15, 16)
2. Python 3.8 and Poetry or Docker (requires access to `orion-artifact-repository`)

# Usage
* Create yaml config file (use config.yaml as reference)
* Set **absolute** path to the config file in env var `KEYCLOAK_FIXTURES_CONFIG_PATH`
### Run without docker
* Run `poetry install`
* Run script `load_keycloak_fixtures.py`
### Run with docker
* Figure out appropriate network config
* Build and run
