import enum

import strawberry

from csirtmu.case_database.enums import CaseTypeEnum as CTE, CasePriorityEnum as CPE, CaseStateEnum as CSE, \
    TaskStateEnum as TSE, \
    TaskRelationshipTypeEnum as TRTE


@strawberry.enum
class KnownInputOutputTypes(enum.Enum):
    OTHER = 'other'
    STRING = 'string'
    IP = 'ip'
    DOMAIN = 'domain'
    URL = 'url'
    HASH = 'hash'
    BOOL = 'bool'
    DATE = 'date'
    DATETIME = 'datetime'
    JSON = 'json'
    FILE_REF = 'file_ref'
    FILE = 'file'
    EMAIL_MESSAGE = 'email_message'
    EMAIL_ADDRESS = 'email_address'


CaseTypeEnum = strawberry.enum(CTE)
CasePriorityEnum = strawberry.enum(CPE)
CaseStateEnum = strawberry.enum(CSE)
TaskStateEnum = strawberry.enum(TSE)
TaskRelationshipTypeEnum = strawberry.enum(TRTE)
