DESCRIPTIONS = {
    "get_current_user":
        "Nalezení jedné instance CaseDBUser z kontextu.",
    "create_workflow_from_template":
        "Vytvoření jedné instance Workflow podle šablony.\n"
        "\n"
        "Argumenty:\n"
        "- **case_id** (_ID!_): Identifikátor případu.\n"
        "- **workflow_name** (_String_): Jméno použité při vytváření nové instance.\n"
        "- **workflow_template_id** (_ID!_): Identifikátor šablony pracovního postupu.",
    "create_task_from_template":
        "Vytvoření jedné instance Task podle šablony.\n"
        "\n"
        "Argumenty:\n"
        "- **stage_id** (_ID!_): Identifikátor fáze.\n"
        "- **task_name** (_String_): Jméno použité při vytváření nové instance.\n"
        "- **task_template_id** (_ID!_): Identifikátor šablony úkolu.",
    "create_case":
        "Vytvoření jedné instance Case ze vstupních dat.\n"
        "\n"
        "Argumenty:\n"
        "- **data** (_CaseCreate_): Data použitá při vytváření nové instance.",
    "create_case_bulk":
        "Vytvoření několika instancí Case ze vstupních dat.\n"
        "\n"
        "Argumenty:\n"
        "- **data_list** (_[CaseCreate]_): Seznam dat použitých při vytváření instancí (jedna položka v seznamu ~ jedna instance).",
    "reject_stage":
        "Zamítnutí fáze.\n"
        "\n"
        "Argumenty:\n"
        "- **stage_id** (_ID!_): Identifikátor instance určené k zamítnutí.",
    "reject_workflow":
        "Zamítnutí pracovního postupu.\n"
        "\n"
        "Argumenty:\n"
        "- **workflow_id** (_ID!_): Identifikátor instance určené k zamítnutí.",
    "reject_case":
        "Zamítnutí případu.\n"
        "\n"
        "Argumenty:\n"
        "- **case_id** (_ID!_): Identifikátor instance určené k zamítnutí.",
    "resolve_case":
        "Uzavření případu.\n"
        "\n"
        "Argumenty:\n"
        "- **case_id** (_ID!_): Identifikátor instance určené k uzavření.",
    "resolve_task":
        "Uzavření úkolu.\n"
        "\n"
        "Argumenty:\n"
        "- **task_id** (_ID!_): Identifikátor instance určené k uzavření.",
    "resolve_task_with_decision":
        "Uzavření rozhodovacího úkolu.\n"
        "\n"
        "Argumenty:\n"
        "- **decision** (_Boolean_): Rozhodnutí.\n"
        "- **task_id** (_ID!_): Identifikátor instance určené k uzavření.",
    "reject_task":
        "Zamítnutí úkolu.\n"
        "\n"
        "Argumenty:\n"
        "- **task_id** (_ID!_): Identifikátor instance určené k zamítnutí.",
    "skip_task":
        "Přeskočení úkolu.\n"
        "\n"
        "Argumenty:\n"
        "- **task_id** (_ID!_): Identifikátor instance určené k přeskočení.",
    "create_file":
        "Vytvoření jedné instance File ze vstupních dat.\n"
        "\n"
        "Argumenty:\n"
        "- **data** (_FileCreate_): Data použitá při vytváření nové instance.",
    "create_file_from_comment_in_case":
        "Vytvoření jedné instance File ze souboru nahraného v komentáři k případu\n"
        "\n"
        "Argumenty:\n"
        "- **case_id** (_ID!_): Identifikátor případu.\n"
        "- **data** (_FileCreateComment_): Data použitá při vytváření nové instance.",
    "create_file_from_comment_in_task":
        "Vytvoření jedné instance File ze souboru nahraného v komentáři k úkolu\n"
        "\n"
        "Argumenty:\n"
        "- **task_id** (_ID!_): Identifikátor úkolu.\n"
        "- **data** (_FileCreateComment_): Data použitá při vytváření nové instance.",
    "create_file_ref":
        "Vytvoření jedné instance FileRef ze vstupních dat.\n"
        "\n"
        "Argumenty:\n"
        "- **data** (_FileRefCreate_): Data použitá při vytváření nové instance.",
    "create_file_bulk":
        "Vytvoření několika instancí File ze vstupních dat.\n"
        "\n"
        "Argumenty:\n"
        "- **data_list** (_[FileCreate]_): Seznam dat použitých při vytváření instancí (jedna položka v seznamu ~ jedna instance).",
    "create_task_parentless":
        "Vytvoření jedné instance Task ze vstupních dat.\n"
        "\n"
        "Argumenty:\n"
        "- **input_file** (_Upload_): Soubor použitý při specifikaci vstupu nově vznikajicí instance.\n"
        "- **task** (_TaskCreateParentless_): Data použitá při vytváření nové instance.",
    "create_task_parentless_bulk":
        "Vytvoření několika instancí Task ze vstupních dat.\n"
        "\n"
        "Argumenty:\n"
        "- **data_list** (_[TaskCreateBulk]_): Seznam dat použitých při vytváření instancí (jedna položka v seznamu ~ jedna instance).",
    "create_task":
        "Vytvoření jedné instance Task ze vstupních dat.\n"
        "\n"
        "Argumenty:\n"
        "- **task** (_TaskCreate_): Data použitá při vytváření nové instance.\n"
        "- **input_file** (_Upload_): Soubor použitý při specifikaci vstupu nově vznikajicí instance.",
    "create_task_bulk":
        "Vytvoření několika instancí Task ze vstupních dat.\n"
        "\n"
        "Argumenty:\n"
        "- **data_list** (_[TaskCreateBulk]_): Seznam dat použitých při vytváření instancí (jedna položka v seznamu ~ jedna instance).",
    "create_task_input":
        "Vytvoření jedné instance TaskInputOutput ze vstupních dat pro daný úkol.\n"
        "\n"
        "Argumenty:\n"
        "- **description** (_String_): Popis vstupu.\n"
        "- **id** (_ID!_): Identifikátor úkolu.\n"
        "- **input_format** (_String_): Formát vstupu.\n"
        "- **input_type** (_KnownInputOutputTypes_): Typ vstupu.",
    "create_task_output":
        "Vytvoření jedné instance TaskInputOutput ze vstupních dat pro daný úkol.\n"
        "\n"
        "Argumenty:\n"
        "- **description** (_String_): Popis výstupu.\n"
        "- **id** (_ID!_): Identifikátor úkolu.\n"
        "- **output_format** (_String_): Formát výstupu.\n"
        "- **output_type** (_KnownInputOutputTypes_): Typ výstupu.",
    "set_task_input":
        "Nastavení vstupu pro daný úkol.\n"
        "\n"
        "Argumenty:\n"
        "- **input** (_String_): Hodnota vstupu.\n"
        "- **id** (_ID!_): Identifikátor úkolu.",
    "set_task_file_input":
        "Nastavení vstupního souboru pro daný úkol.\n"
        "\n"
        "Argumenty:\n"
        "- **file_input** (_Upload_): Soubor použitý při specifikaci vstupu.\n"
        "- **id** (_ID!_): Identifikátor úkolu.",
    "set_task_output":
        "Nastavení výstupu pro daný úkol.\n"
        "\n"
        "Argumenty:\n"
        "- **output** (_String_): Hodnota výstupu.\n"
        "- **id** (_ID!_): Identifikátor úkolu.",
    "set_task_file_output":
        "Nastavení výstupního souboru pro daný úkol.\n"
        "\n"
        "Argumenty:\n"
        "- **file_output** (_Upload_): Soubor použitý při specifikaci výstupu.\n"
        "- **id** (_ID!_): Identifikátor úkolu.",
    "update_output_from_blocking_tasks":
        "Aktualizace výstupu agregačního úkolu podle výstupů blokujicích úkolu\n"
        "\n"
        "Argumenty:\n"
        "- **id** (_ID!_): Identifikátor agregačního úkolu.",
    "trigger_task":
        "Spuštení automatizovaného úkolu.\n"
        "\n"
        "Argumenty:\n"
        "- **task_id** (_ID!_): Identifikátor instance určené k spuštení.",
    "upload_workflow_template":
        "Import šablony pracovního postupu.\n"
        "\n"
        "Argumenty:\n"
        "- **file** (_Upload_): Soubor použitý při specifikaci šablony.",
    "create_workflow_template":
        "Vytvoření jedné instance WorkflowTemplate ze vstupních dat.\n"
        "\n"
        "Argumenty:\n"
        "- **data** (_TemplateCreate_): Data použitá při vytváření nové instance.",
    "create_workflow_template_bulk":
        "Vytvoření několika instancí WorkflowTemplate ze vstupních dat.\n"
        "\n"
        "Argumenty:\n"
        "- **data_list** (_[TemplateCreate]_): Seznam dat použitých při vytváření instancí (jedna položka v seznamu ~ jedna instance).",
    "create_template_from_workflow":
        "Vytvoření jedné instance WorkflowTemplate z existujícího pracovního postupu.\n"
        "\n"
        "Argumenty:\n"
        "- **workflow_id** (_ID!_): Identifikátor pracovního postupu.",
    "upload_task_template":
        "Import šablony úkolu.\n"
        "\n"
        "Argumenty:\n"
        "- **file** (_Upload_): Soubor použitý při specifikaci šablony.",
    "create_task_template":
        "Vytvoření jedné instance TaskTemplate ze vstupních dat.\n"
        "\n"
        "Argumenty:\n"
        "- **data** (_TemplateCreate_): Data použitá při vytváření nové instance.",
    "create_task_template_bulk":
        "Vytvoření několika instancí TaskTemplate ze vstupních dat.\n"
        "\n"
        "Argumenty:\n"
        "- **data_list** (_[TemplateCreate]_): Seznam dat použitých při vytváření instancí (jedna položka v seznamu ~ jedna instance).",
    "create_template_from_task":
        "Vytvoření jedné instance TaskTemplate z existujícího úkolu.\n"
        "\n"
        "Argumenty:\n"
        "- **task_id** (_ID!_): Identifikátor úkolu.",
}