from typing import Optional, NewType, List

import strawberry
from csirtmu.strawberry_dmt.strawberry_types import NullableFieldFilter
from strawberry import UNSET


@strawberry.type
class MutationResult:
    id: Optional[int] = None


@strawberry.type
class MutationResultField:
    field: Optional[str] = None


LargeJsInt = strawberry.scalar(
    NewType('LargeJsInt', int),
    serialize=lambda x: float(x),
    parse_value=lambda x: int(x),
)


@strawberry.input
class LargeJsIntFieldFilter(NullableFieldFilter):
    exact: Optional[LargeJsInt] = UNSET
    except_: Optional[LargeJsInt] = UNSET
    in_: Optional[List[LargeJsInt]] = UNSET
    lt: Optional[LargeJsInt] = UNSET
    lte: Optional[LargeJsInt] = UNSET
    gt: Optional[LargeJsInt] = UNSET
    gte: Optional[LargeJsInt] = UNSET
