from csirtmu.strawberry_dmt.sqla_base import AutoBase, pk_name_for
from sqlalchemy import Column, Integer, String, Boolean, BigInteger, ForeignKey, DateTime
from sqlalchemy.orm import relationship


class FlowEventData(AutoBase):
    flow_event_id = Column(Integer, ForeignKey(pk_name_for("FlowEvent"), ondelete="CASCADE"))
    flow_event = relationship("FlowEvent", backref="flow_data", foreign_keys=[flow_event_id])
    timestamp = Column(DateTime)
    applicationid = Column(String)
    applicationidrev = Column(String)
    applicationname = Column(String)
    applicationnamerev = Column(String)
    bgpdestinationasnumber = Column(BigInteger)
    bgpdestinationasnumberrev = Column(BigInteger)
    bgpsourceasnumber = Column(BigInteger)
    bgpsourceasnumberrev = Column(BigInteger)
    destinationipv4address = Column(String)
    destinationipv6address = Column(String)
    destinationtransportport = Column(Integer)
    flowendmilliseconds = Column(BigInteger)
    flowendmillisecondsrev = Column(BigInteger)
    flowstartmilliseconds = Column(BigInteger)
    flowstartmillisecondsrev = Column(BigInteger)
    icmptypecodeipv4 = Column(Integer)
    ingressinterface = Column(BigInteger)
    ipclassofservice = Column(Integer)
    ipclassofservicerev = Column(Integer)
    ipversion = Column(Integer)
    mplslabelstacksection10 = Column(String)
    mplslabelstacksection10rev = Column(String)
    mplslabelstacksection2 = Column(String)
    mplslabelstacksection2rev = Column(String)
    mplslabelstacksection3 = Column(String)
    mplslabelstacksection3rev = Column(String)
    mplslabelstacksection4 = Column(String)
    mplslabelstacksection4rev = Column(String)
    mplslabelstacksection5 = Column(String)
    mplslabelstacksection5rev = Column(String)
    mplslabelstacksection6 = Column(String)
    mplslabelstacksection6rev = Column(String)
    mplslabelstacksection7 = Column(String)
    mplslabelstacksection7rev = Column(String)
    mplslabelstacksection8 = Column(String)
    mplslabelstacksection8rev = Column(String)
    mplslabelstacksection9 = Column(String)
    mplslabelstacksection9rev = Column(String)
    mplstoplabelstacksection = Column(String)
    mplstoplabelstacksectionrev = Column(String)
    octetdeltacount = Column(BigInteger)
    octetdeltacountrev = Column(BigInteger)
    originalexporteripv6address = Column(String)
    packetdeltacount = Column(BigInteger)
    packetdeltacountrev = Column(BigInteger)
    protocolidentifier = Column(Integer)
    samplingalgorithm = Column(Integer)
    samplingalgorithmrev = Column(Integer)
    samplinginterval = Column(BigInteger)
    samplingintervalrev = Column(BigInteger)
    sourceipv4address = Column(String)
    sourceipv6address = Column(String)
    sourcetransportport = Column(Integer)
    tcpcontrolbits = Column(Integer)
    tcpcontrolbitsrev = Column(Integer)
    tcpwindowsize = Column(Integer)
    tcpwindowsizerev = Column(Integer)
    vlanid = Column(Integer)
    vlanidrev = Column(Integer)
