from csirtmu.strawberry_dmt.sqla_base import AutoBase
from sqlalchemy import Column, String, DateTime
from sqlalchemy.ext.hybrid import hybrid_property
from sqlalchemy.sql.functions import func

from csirtmu.case_database.utils import get_template_location


class WorkflowTemplate(AutoBase):
    name = Column(String, nullable=False)
    description = Column(String, nullable=False)
    created = Column(DateTime(timezone=True), server_default=func.now())
    last_updated = Column(
        DateTime(timezone=True), onupdate=func.current_timestamp(), server_default=func.now())
    template = Column(String)

    @hybrid_property
    def src(self) -> str:
        return get_template_location("workflow", self.id, f"{self.name}.json")


class TaskTemplate(AutoBase):
    name = Column(String, nullable=False)
    description = Column(String, nullable=False)
    created = Column(DateTime(timezone=True), server_default=func.now())
    last_updated = Column(
        DateTime(timezone=True), onupdate=func.current_timestamp(), server_default=func.now())
    template = Column(String)

    @hybrid_property
    def src(self) -> str:
        return get_template_location("task", self.id, f"{self.name}.json")
