import base64

import pydenticon


class IconsService:
    def __init__(self):
        self.generator = pydenticon.Generator(8, 8,
                                              foreground=[
                                                  "rgb(45,79,255)",
                                                  "rgb(254,180,44)",
                                                  "rgb(226,121,234)",
                                                  "rgb(30,179,253)",
                                                  "rgb(232,77,65)",
                                                  "rgb(49,203,115)",
                                                  "rgb(141,69,170)"
                                              ],
                                              background="rgb(224,224,224)"
                                              )

    def get_icon(self, identifier):
        return base64.b64encode(self.generator.generate(identifier, 240, 240)).decode('utf-8')
