from csirtmu.case_database.gql.enums import KnownInputOutputTypes
from csirtmu.case_database.models import StringInputOutput, JSONInputOutput, \
    EmailMessageInputOutput, EmailAddressInputOutput, BoolInputOutput, IPInputOutput, HashInputOutput, \
    DomainInputOutput, URLInputOutput, DateInputOutput, DateTimeInputOutput, FileInputOutput, \
    FileRefInputOutput

input_output_map = {
    KnownInputOutputTypes.STRING: StringInputOutput,
    KnownInputOutputTypes.BOOL: BoolInputOutput,
    KnownInputOutputTypes.DATE: DateInputOutput,
    KnownInputOutputTypes.DATETIME: DateTimeInputOutput,
    KnownInputOutputTypes.DOMAIN: DomainInputOutput,
    KnownInputOutputTypes.URL: URLInputOutput,
    KnownInputOutputTypes.IP: IPInputOutput,
    KnownInputOutputTypes.EMAIL_ADDRESS: EmailAddressInputOutput,
    KnownInputOutputTypes.EMAIL_MESSAGE: EmailMessageInputOutput,
    KnownInputOutputTypes.FILE: FileInputOutput,
    KnownInputOutputTypes.FILE_REF: FileRefInputOutput,
    KnownInputOutputTypes.JSON: JSONInputOutput,
    KnownInputOutputTypes.HASH: HashInputOutput
}

input_output_reverse_map = {
    StringInputOutput: KnownInputOutputTypes.STRING,
    BoolInputOutput: KnownInputOutputTypes.BOOL,
    DateInputOutput: KnownInputOutputTypes.DATE,
    DateTimeInputOutput: KnownInputOutputTypes.DATETIME,
    DomainInputOutput: KnownInputOutputTypes.DOMAIN,
    URLInputOutput: KnownInputOutputTypes.URL,
    IPInputOutput: KnownInputOutputTypes.IP,
    EmailAddressInputOutput: KnownInputOutputTypes.EMAIL_ADDRESS,
    EmailMessageInputOutput: KnownInputOutputTypes.EMAIL_MESSAGE,
    FileInputOutput: KnownInputOutputTypes.FILE,
    FileRefInputOutput: KnownInputOutputTypes.FILE_REF,
    JSONInputOutput: KnownInputOutputTypes.JSON,
    HashInputOutput: KnownInputOutputTypes.HASH
}
