CREATE OR REPLACE FUNCTION update_workflow_state_tr() RETURNS TRIGGER AS
$update_workflow_state_tr$
DECLARE
    cnt integer;
BEGIN
    IF new.state != ('REJECTED' :: workflowstateenum) AND new.state = old.state THEN
        DROP TABLE IF EXISTS stages;
        CREATE TEMP TABLE stages AS
        SELECT id, state FROM stage WHERE stage.workflow_id = new.id;
        SELECT COUNT(*) FROM stages INTO cnt;
        new.state :=
                CASE
                    WHEN cnt = 0
                        THEN 'IN_PROGRESS' :: workflowstateenum
                    WHEN (SELECT COUNT(*) FROM stages WHERE stages.state IN ('IN_PROGRESS', 'PENDING')) > 0
                        THEN 'IN_PROGRESS' :: workflowstateenum
                    ELSE 'DONE' :: workflowstateenum
                    END;
        DROP TABLE stages;
    END IF;
    RETURN new;
END;
$update_workflow_state_tr$ LANGUAGE plpgsql;

CREATE OR REPLACE FUNCTION update_workflow_stage_state_tr() RETURNS TRIGGER AS
$update_workflow_stage_state_tr$
DECLARE
    cnt integer;
BEGIN

    IF (SELECT state FROM workflow WHERE workflow.id = new.workflow_id) != 'REJECTED'::workflowstateenum
        THEN
        DROP TABLE IF EXISTS stages1;
        CREATE TEMP TABLE stages1 AS
        SELECT id, state FROM stage WHERE stage.workflow_id = new.workflow_id;
        SELECT COUNT(*) FROM stages1 INTO cnt;
        UPDATE workflow
        SET state =
                CASE
                    WHEN cnt = 0
                        THEN 'IN_PROGRESS' :: workflowstateenum
                    WHEN (SELECT COUNT(*) FROM stages1 WHERE stages1.state IN ('IN_PROGRESS', 'PENDING')) > 0
                        THEN 'IN_PROGRESS' :: workflowstateenum
                    ELSE 'DONE' :: workflowstateenum
                    END
        WHERE workflow.id = new.workflow_id;
        DROP TABLE stages1;
    END IF;
    RETURN new;
END;
$update_workflow_stage_state_tr$ LANGUAGE plpgsql;