"""Change input output to single table

Revision ID: 05c85d01a8b4
Revises: 17351773dd1e
Create Date: 2022-08-31 08:30:16.433764

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '05c85d01a8b4'
down_revision = '17351773dd1e'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('email_address_input_output')
    op.drop_table('bool_input_output')
    op.drop_table('date_time_input_output')
    op.drop_table('json_input_output')
    op.drop_table('url_input_output')
    op.drop_table('domain_input_output')
    op.drop_table('hash_input_output')
    op.drop_table('string_input_output')
    op.drop_table('date_input_output')
    op.drop_table('file_ref_input_output')
    op.drop_table('email_message_input_output')
    op.drop_table('ip_input_output')
    op.drop_table('file_input_output')
    op.add_column('task_input_output', sa.Column('string_value', sa.String(), nullable=True))
    op.add_column('task_input_output', sa.Column('string_regex', sa.String(), nullable=True))
    op.add_column('task_input_output', sa.Column('json_value', sa.String(), nullable=True))
    op.add_column('task_input_output', sa.Column('json_schema', sa.String(), nullable=True))
    op.add_column('task_input_output', sa.Column('json_initial_value', sa.String(), nullable=True))
    op.add_column('task_input_output', sa.Column('json_formly_schema', sa.String(), nullable=True))
    op.add_column('task_input_output', sa.Column('boolean_value', sa.Boolean(), nullable=True))
    op.add_column('task_input_output', sa.Column('hash_value', sa.String(), nullable=True))
    op.add_column('task_input_output', sa.Column('domain_value', sa.String(), nullable=True))
    op.add_column('task_input_output', sa.Column('url_value', sa.String(), nullable=True))
    op.add_column('task_input_output', sa.Column('ip_value', sa.String(), nullable=True))
    op.add_column('task_input_output', sa.Column('date_value', sa.Date(), nullable=True))
    op.add_column('task_input_output', sa.Column('datetime_value', sa.DateTime(), nullable=True))
    op.add_column('task_input_output', sa.Column('email_address_value', sa.String(), nullable=True))
    op.add_column('task_input_output', sa.Column('email_message_value', sa.String(), nullable=True))
    op.add_column('task_input_output', sa.Column('file_ref_value', sa.String(), nullable=True))
    op.add_column('task_input_output', sa.Column('file_value', sa.String(), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('task_input_output', 'file_value')
    op.drop_column('task_input_output', 'file_ref_value')
    op.drop_column('task_input_output', 'email_message_value')
    op.drop_column('task_input_output', 'email_address_value')
    op.drop_column('task_input_output', 'datetime_value')
    op.drop_column('task_input_output', 'date_value')
    op.drop_column('task_input_output', 'ip_value')
    op.drop_column('task_input_output', 'url_value')
    op.drop_column('task_input_output', 'domain_value')
    op.drop_column('task_input_output', 'hash_value')
    op.drop_column('task_input_output', 'boolean_value')
    op.drop_column('task_input_output', 'json_formly_schema')
    op.drop_column('task_input_output', 'json_initial_value')
    op.drop_column('task_input_output', 'json_schema')
    op.drop_column('task_input_output', 'json_value')
    op.drop_column('task_input_output', 'string_regex')
    op.drop_column('task_input_output', 'string_value')
    op.create_table('file_input_output',
    sa.Column('file_value', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['id'], ['task_input_output.id'], name='file_input_output_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='file_input_output_pkey')
    )
    op.create_table('ip_input_output',
    sa.Column('ip_value', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['id'], ['task_input_output.id'], name='ip_input_output_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='ip_input_output_pkey')
    )
    op.create_table('email_message_input_output',
    sa.Column('email_message_value', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['id'], ['task_input_output.id'], name='email_message_input_output_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='email_message_input_output_pkey')
    )
    op.create_table('file_ref_input_output',
    sa.Column('file_ref_value', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['id'], ['task_input_output.id'], name='file_ref_input_output_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='file_ref_input_output_pkey')
    )
    op.create_table('date_input_output',
    sa.Column('date_value', sa.DATE(), autoincrement=False, nullable=True),
    sa.Column('id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['id'], ['task_input_output.id'], name='date_input_output_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='date_input_output_pkey')
    )
    op.create_table('string_input_output',
    sa.Column('string_value', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('string_regex', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['id'], ['task_input_output.id'], name='string_input_output_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='string_input_output_pkey')
    )
    op.create_table('hash_input_output',
    sa.Column('hash_value', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['id'], ['task_input_output.id'], name='hash_input_output_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='hash_input_output_pkey')
    )
    op.create_table('domain_input_output',
    sa.Column('domain_value', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['id'], ['task_input_output.id'], name='domain_input_output_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='domain_input_output_pkey')
    )
    op.create_table('url_input_output',
    sa.Column('url_value', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['id'], ['task_input_output.id'], name='url_input_output_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='url_input_output_pkey')
    )
    op.create_table('json_input_output',
    sa.Column('json_value', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('json_schema', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('json_initial_value', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('json_formly_schema', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.ForeignKeyConstraint(['id'], ['task_input_output.id'], name='json_input_output_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='json_input_output_pkey')
    )
    op.create_table('date_time_input_output',
    sa.Column('datetime_value', postgresql.TIMESTAMP(), autoincrement=False, nullable=True),
    sa.Column('id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['id'], ['task_input_output.id'], name='date_time_input_output_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='date_time_input_output_pkey')
    )
    op.create_table('bool_input_output',
    sa.Column('boolean_value', sa.BOOLEAN(), autoincrement=False, nullable=True),
    sa.Column('id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['id'], ['task_input_output.id'], name='bool_input_output_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='bool_input_output_pkey')
    )
    op.create_table('email_address_input_output',
    sa.Column('email_address_value', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['id'], ['task_input_output.id'], name='email_address_input_output_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='email_address_input_output_pkey')
    )
    # ### end Alembic commands ###
