"""Add state trigger

Revision ID: 13007629232b
Revises: 91b840a79947
Create Date: 2022-09-05 16:46:28.862405

"""
from pathlib import Path

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '13007629232b'
down_revision = '91b840a79947'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('stage', sa.Column('state', sa.Enum('IN_PROGRESS', 'PENDING', 'DONE', 'REJECTED', name='stagestateenum'), nullable=False, server_default='PENDING'))
    op.drop_column('stage', 'state_internal')
    op.add_column('workflow', sa.Column('state', sa.Enum('IN_PROGRESS', 'DONE', 'REJECTED', name='workflowstateenum'), nullable=False, server_default='IN_PROGRESS'))
    op.drop_column('workflow', 'state_internal')
    # ### end Alembic commands ###
    with open(Path(__file__).parent.parent / 'assets' / 'state' / 'up.sql') as f:
        op.execute(f.read())


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('workflow', sa.Column('state_internal', postgresql.ENUM('IN_PROGRESS', 'DONE', 'REJECTED', name='workflowstateenum'), autoincrement=False, nullable=True))
    op.drop_column('workflow', 'state')
    op.add_column('stage', sa.Column('state_internal', postgresql.ENUM('IN_PROGRESS', 'PENDING', 'DONE', 'REJECTED', name='stagestateenum'), autoincrement=False, nullable=True))
    op.drop_column('stage', 'state')
    # ### end Alembic commands ###
    with open(Path(__file__).parent.parent / 'assets' / 'state' / 'down.sql') as f:
        op.execute(f.read())
