"""Add state index

Revision ID: 189f79fec82c
Revises: a14bd19c4047
Create Date: 2022-09-06 10:07:35.667216

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '189f79fec82c'
down_revision = 'a14bd19c4047'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.execute('UPDATE stage SET progress = 0.0 WHERE progress IS NULL')
    op.alter_column('stage', 'progress',
                    existing_type=postgresql.DOUBLE_PRECISION(precision=53),
                    nullable=False, server_default='0.0')
    op.create_index(op.f('ix_stage_state'), 'stage', ['state'], unique=False)
    op.execute('UPDATE workflow SET progress = 0.0 WHERE progress IS NULL')
    op.alter_column('workflow', 'progress',
                    existing_type=postgresql.DOUBLE_PRECISION(precision=53),
                    nullable=False, server_default='0.0')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('workflow', 'progress',
                    existing_type=postgresql.DOUBLE_PRECISION(precision=53),
                    nullable=True)
    op.drop_index(op.f('ix_stage_state'), table_name='stage')
    op.alter_column('stage', 'progress',
                    existing_type=postgresql.DOUBLE_PRECISION(precision=53),
                    nullable=True)
    # ### end Alembic commands ###
