"""task_rework

Revision ID: 3f773b35b4cb
Revises: d6ba0b8e8fea
Create Date: 2022-10-20 14:47:22.785926

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '3f773b35b4cb'
down_revision = 'd6ba0b8e8fea'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('decision_task')
    op.drop_table('generic_task')
    op.add_column('task', sa.Column('is_decision', sa.Boolean(), nullable=True))
    op.add_column('task', sa.Column('decision', sa.Boolean(), nullable=True))
    op.drop_column('task', 'type')
    op.drop_column('task', 'task_type')
    op.execute('DROP TYPE knowntasktypesenum;')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('task', sa.Column('task_type', postgresql.ENUM('DECISION_TASK', 'GENERIC_TASK', 'TASK', name='knowntasktypesenum'), autoincrement=False, nullable=True))
    op.add_column('task', sa.Column('type', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.drop_column('task', 'decision')
    op.drop_column('task', 'is_decision')
    op.create_table('generic_task',
    sa.Column('id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['id'], ['task.id'], name='generic_task_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='generic_task_pkey')
    )
    op.create_table('decision_task',
    sa.Column('id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('decision', sa.BOOLEAN(), autoincrement=False, nullable=True),
    sa.ForeignKeyConstraint(['id'], ['task.id'], name='decision_task_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='decision_task_pkey')
    )
    # ### end Alembic commands ###
