"""More CASCADE deletes

Revision ID: 7f3fdb5cc0ae
Revises: fc19a7bdd608
Create Date: 2022-06-21 13:22:42.825086

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '7f3fdb5cc0ae'
down_revision = 'fc19a7bdd608'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('case_created_by_id_fkey', 'case', type_='foreignkey')
    op.create_foreign_key(None, 'case', 'case_db_user', ['created_by_id'], ['id'], ondelete='CASCADE')
    op.drop_constraint('case_file_item_created_by_id_fkey', 'case_file_item', type_='foreignkey')
    op.create_foreign_key(None, 'case_file_item', 'case_db_user', ['created_by_id'], ['id'], ondelete='CASCADE')
    op.drop_constraint('case_relationship_target_id_fkey', 'case_relationship', type_='foreignkey')
    op.drop_constraint('case_relationship_source_id_fkey', 'case_relationship', type_='foreignkey')
    op.create_foreign_key(None, 'case_relationship', 'case', ['target_id'], ['id'], ondelete='CASCADE')
    op.create_foreign_key(None, 'case_relationship', 'case', ['source_id'], ['id'], ondelete='CASCADE')
    op.drop_constraint('comment_task_id_fkey', 'comment', type_='foreignkey')
    op.drop_constraint('comment_case_id_fkey', 'comment', type_='foreignkey')
    op.create_foreign_key(None, 'comment', 'task', ['task_id'], ['id'], ondelete='CASCADE')
    op.create_foreign_key(None, 'comment', 'case', ['case_id'], ['id'], ondelete='CASCADE')
    op.drop_constraint('stage_workflow_id_fkey', 'stage', type_='foreignkey')
    op.drop_constraint('stage_created_by_id_fkey', 'stage', type_='foreignkey')
    op.create_foreign_key(None, 'stage', 'workflow', ['workflow_id'], ['id'], ondelete='CASCADE')
    op.create_foreign_key(None, 'stage', 'case_db_user', ['created_by_id'], ['id'], ondelete='CASCADE')
    op.drop_constraint('task_stage_id_fkey', 'task', type_='foreignkey')
    op.drop_constraint('task_created_by_id_fkey', 'task', type_='foreignkey')
    op.create_foreign_key(None, 'task', 'stage', ['stage_id'], ['id'], ondelete='CASCADE')
    op.create_foreign_key(None, 'task', 'case_db_user', ['created_by_id'], ['id'], ondelete='CASCADE')
    op.drop_constraint('workflow_created_by_id_fkey', 'workflow', type_='foreignkey')
    op.drop_constraint('workflow_case_id_fkey', 'workflow', type_='foreignkey')
    op.create_foreign_key(None, 'workflow', 'case_db_user', ['created_by_id'], ['id'], ondelete='CASCADE')
    op.create_foreign_key(None, 'workflow', 'case', ['case_id'], ['id'], ondelete='CASCADE')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'workflow', type_='foreignkey')
    op.drop_constraint(None, 'workflow', type_='foreignkey')
    op.create_foreign_key('workflow_case_id_fkey', 'workflow', 'case', ['case_id'], ['id'])
    op.create_foreign_key('workflow_created_by_id_fkey', 'workflow', 'case_db_user', ['created_by_id'], ['id'])
    op.drop_constraint(None, 'task', type_='foreignkey')
    op.drop_constraint(None, 'task', type_='foreignkey')
    op.create_foreign_key('task_created_by_id_fkey', 'task', 'case_db_user', ['created_by_id'], ['id'])
    op.create_foreign_key('task_stage_id_fkey', 'task', 'stage', ['stage_id'], ['id'])
    op.drop_constraint(None, 'stage', type_='foreignkey')
    op.drop_constraint(None, 'stage', type_='foreignkey')
    op.create_foreign_key('stage_created_by_id_fkey', 'stage', 'case_db_user', ['created_by_id'], ['id'])
    op.create_foreign_key('stage_workflow_id_fkey', 'stage', 'workflow', ['workflow_id'], ['id'])
    op.drop_constraint(None, 'comment', type_='foreignkey')
    op.drop_constraint(None, 'comment', type_='foreignkey')
    op.create_foreign_key('comment_case_id_fkey', 'comment', 'case', ['case_id'], ['id'])
    op.create_foreign_key('comment_task_id_fkey', 'comment', 'task', ['task_id'], ['id'])
    op.drop_constraint(None, 'case_relationship', type_='foreignkey')
    op.drop_constraint(None, 'case_relationship', type_='foreignkey')
    op.create_foreign_key('case_relationship_source_id_fkey', 'case_relationship', 'case', ['source_id'], ['id'])
    op.create_foreign_key('case_relationship_target_id_fkey', 'case_relationship', 'case', ['target_id'], ['id'])
    op.drop_constraint(None, 'case_file_item', type_='foreignkey')
    op.create_foreign_key('case_file_item_created_by_id_fkey', 'case_file_item', 'case_db_user', ['created_by_id'], ['id'])
    op.drop_constraint(None, 'case', type_='foreignkey')
    op.create_foreign_key('case_created_by_id_fkey', 'case', 'case_db_user', ['created_by_id'], ['id'])
    # ### end Alembic commands ###
