"""flow_event_data

Revision ID: 91b840a79947
Revises: 05c85d01a8b4
Create Date: 2022-09-02 15:04:17.632920

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '91b840a79947'
down_revision = '05c85d01a8b4'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('flow_event',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['id'], ['event.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('flow_event_data',
    sa.Column('flow_event_id', sa.Integer(), nullable=True),
    sa.Column('timestamp', sa.DateTime(), nullable=True),
    sa.Column('applicationid', sa.String(), nullable=True),
    sa.Column('applicationidrev', sa.String(), nullable=True),
    sa.Column('applicationname', sa.String(), nullable=True),
    sa.Column('applicationnamerev', sa.String(), nullable=True),
    sa.Column('bgpdestinationasnumber', sa.BigInteger(), nullable=True),
    sa.Column('bgpdestinationasnumberrev', sa.BigInteger(), nullable=True),
    sa.Column('bgpsourceasnumber', sa.BigInteger(), nullable=True),
    sa.Column('bgpsourceasnumberrev', sa.BigInteger(), nullable=True),
    sa.Column('destinationipv4address', sa.String(), nullable=True),
    sa.Column('destinationipv6address', sa.String(), nullable=True),
    sa.Column('destinationtransportport', sa.Integer(), nullable=True),
    sa.Column('flowendmilliseconds', sa.BigInteger(), nullable=True),
    sa.Column('flowendmillisecondsrev', sa.BigInteger(), nullable=True),
    sa.Column('flowstartmilliseconds', sa.BigInteger(), nullable=True),
    sa.Column('flowstartmillisecondsrev', sa.BigInteger(), nullable=True),
    sa.Column('icmptypecodeipv4', sa.Integer(), nullable=True),
    sa.Column('ingressinterface', sa.BigInteger(), nullable=True),
    sa.Column('ipclassofservice', sa.Integer(), nullable=True),
    sa.Column('ipclassofservicerev', sa.Integer(), nullable=True),
    sa.Column('ipversion', sa.Integer(), nullable=True),
    sa.Column('mplslabelstacksection10', sa.String(), nullable=True),
    sa.Column('mplslabelstacksection10rev', sa.String(), nullable=True),
    sa.Column('mplslabelstacksection2', sa.String(), nullable=True),
    sa.Column('mplslabelstacksection2rev', sa.String(), nullable=True),
    sa.Column('mplslabelstacksection3', sa.String(), nullable=True),
    sa.Column('mplslabelstacksection3rev', sa.String(), nullable=True),
    sa.Column('mplslabelstacksection4', sa.String(), nullable=True),
    sa.Column('mplslabelstacksection4rev', sa.String(), nullable=True),
    sa.Column('mplslabelstacksection5', sa.String(), nullable=True),
    sa.Column('mplslabelstacksection5rev', sa.String(), nullable=True),
    sa.Column('mplslabelstacksection6', sa.String(), nullable=True),
    sa.Column('mplslabelstacksection6rev', sa.String(), nullable=True),
    sa.Column('mplslabelstacksection7', sa.String(), nullable=True),
    sa.Column('mplslabelstacksection7rev', sa.String(), nullable=True),
    sa.Column('mplslabelstacksection8', sa.String(), nullable=True),
    sa.Column('mplslabelstacksection8rev', sa.String(), nullable=True),
    sa.Column('mplslabelstacksection9', sa.String(), nullable=True),
    sa.Column('mplslabelstacksection9rev', sa.String(), nullable=True),
    sa.Column('mplstoplabelstacksection', sa.String(), nullable=True),
    sa.Column('mplstoplabelstacksectionrev', sa.String(), nullable=True),
    sa.Column('octetdeltacount', sa.BigInteger(), nullable=True),
    sa.Column('octetdeltacountrev', sa.BigInteger(), nullable=True),
    sa.Column('originalexporteripv6address', sa.String(), nullable=True),
    sa.Column('packetdeltacount', sa.BigInteger(), nullable=True),
    sa.Column('packetdeltacountrev', sa.BigInteger(), nullable=True),
    sa.Column('protocolidentifier', sa.Integer(), nullable=True),
    sa.Column('samplingalgorithm', sa.Integer(), nullable=True),
    sa.Column('samplingalgorithmrev', sa.Integer(), nullable=True),
    sa.Column('samplinginterval', sa.BigInteger(), nullable=True),
    sa.Column('samplingintervalrev', sa.BigInteger(), nullable=True),
    sa.Column('sourceipv4address', sa.String(), nullable=True),
    sa.Column('sourceipv6address', sa.String(), nullable=True),
    sa.Column('sourcetransportport', sa.Integer(), nullable=True),
    sa.Column('tcpcontrolbitsrev_Ack', sa.Boolean(), nullable=True),
    sa.Column('tcpcontrolbitsrev_Cwr', sa.Boolean(), nullable=True),
    sa.Column('tcpcontrolbitsrev_Ece', sa.Boolean(), nullable=True),
    sa.Column('tcpcontrolbitsrev_Fin', sa.Boolean(), nullable=True),
    sa.Column('tcpcontrolbitsrev_Psh', sa.Boolean(), nullable=True),
    sa.Column('tcpcontrolbitsrev_Rst', sa.Boolean(), nullable=True),
    sa.Column('tcpcontrolbitsrev_Syn', sa.Boolean(), nullable=True),
    sa.Column('tcpcontrolbitsrev_Urg', sa.Boolean(), nullable=True),
    sa.Column('tcpcontrolbits_Ack', sa.Boolean(), nullable=True),
    sa.Column('tcpcontrolbits_Cwr', sa.Boolean(), nullable=True),
    sa.Column('tcpcontrolbits_Ece', sa.Boolean(), nullable=True),
    sa.Column('tcpcontrolbits_Fin', sa.Boolean(), nullable=True),
    sa.Column('tcpcontrolbits_Psh', sa.Boolean(), nullable=True),
    sa.Column('tcpcontrolbits_Rst', sa.Boolean(), nullable=True),
    sa.Column('tcpcontrolbits_Syn', sa.Boolean(), nullable=True),
    sa.Column('tcpcontrolbits_Urg', sa.Boolean(), nullable=True),
    sa.Column('tcpwindowsize', sa.Integer(), nullable=True),
    sa.Column('tcpwindowsizerev', sa.Integer(), nullable=True),
    sa.Column('vlanid', sa.Integer(), nullable=True),
    sa.Column('vlanidrev', sa.Integer(), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['flow_event_id'], ['flow_event.id'], ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id')
    )
    op.add_column('event', sa.Column('name', sa.String(), nullable=True))
    op.add_column('event', sa.Column('description', sa.String(), nullable=True))
    op.add_column('event', sa.Column('event_time', sa.DateTime(), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('event', 'event_time')
    op.drop_column('event', 'description')
    op.drop_column('event', 'name')
    op.drop_table('flow_event_data')
    op.drop_table('flow_event')
    # ### end Alembic commands ###
