"""Add progress trigger

Revision ID: a14bd19c4047
Revises: 13007629232b
Create Date: 2022-09-05 12:29:16.721627

"""
from pathlib import Path

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = 'a14bd19c4047'
down_revision = '13007629232b'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('stage', sa.Column('progress', sa.Float(), nullable=True))
    op.add_column('workflow', sa.Column('progress', sa.Float(), nullable=True))
    # ### end Alembic commands ###
    with open(Path(__file__).parent.parent / 'assets' / 'progress' / 'up.sql') as f:
        op.execute(f.read())


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('stage', 'progress')
    op.drop_column('workflow', 'progress')
    # ### end Alembic commands ###
    with open(Path(__file__).parent.parent / 'assets' / 'progress' / 'down.sql') as f:
        op.execute(f.read())
