"""Add indexes

Revision ID: a720be268e51
Revises: 50b56d4fbd41
Create Date: 2022-08-25 14:05:26.919968

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'a720be268e51'
down_revision = '50b56d4fbd41'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_index(op.f('ix_case_created_by_id'), 'case', ['created_by_id'], unique=False)
    op.create_index(op.f('ix_case_relationship_source_id'), 'case_relationship', ['source_id'], unique=False)
    op.create_index(op.f('ix_case_relationship_target_id'), 'case_relationship', ['target_id'], unique=False)
    op.create_index(op.f('ix_stage_created_by_id'), 'stage', ['created_by_id'], unique=False)
    op.create_index(op.f('ix_stage_workflow_id'), 'stage', ['workflow_id'], unique=False)
    op.create_index(op.f('ix_task_created_by_id'), 'task', ['created_by_id'], unique=False)
    op.create_index(op.f('ix_task_stage_id'), 'task', ['stage_id'], unique=False)
    op.create_index(op.f('ix_task_state'), 'task', ['state'], unique=False)
    op.create_index(op.f('ix_task_input_output_input_of_id'), 'task_input_output', ['input_of_id'], unique=False)
    op.create_index(op.f('ix_task_input_output_output_of_id'), 'task_input_output', ['output_of_id'], unique=False)
    op.create_index(op.f('ix_task_relationship_source_id'), 'task_relationship', ['source_id'], unique=False)
    op.create_index(op.f('ix_task_relationship_target_id'), 'task_relationship', ['target_id'], unique=False)
    op.create_index(op.f('ix_workflow_case_id'), 'workflow', ['case_id'], unique=False)
    op.create_index(op.f('ix_workflow_created_by_id'), 'workflow', ['created_by_id'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_workflow_created_by_id'), table_name='workflow')
    op.drop_index(op.f('ix_workflow_case_id'), table_name='workflow')
    op.drop_index(op.f('ix_task_relationship_target_id'), table_name='task_relationship')
    op.drop_index(op.f('ix_task_relationship_source_id'), table_name='task_relationship')
    op.drop_index(op.f('ix_task_input_output_output_of_id'), table_name='task_input_output')
    op.drop_index(op.f('ix_task_input_output_input_of_id'), table_name='task_input_output')
    op.drop_index(op.f('ix_task_state'), table_name='task')
    op.drop_index(op.f('ix_task_stage_id'), table_name='task')
    op.drop_index(op.f('ix_task_created_by_id'), table_name='task')
    op.drop_index(op.f('ix_stage_workflow_id'), table_name='stage')
    op.drop_index(op.f('ix_stage_created_by_id'), table_name='stage')
    op.drop_index(op.f('ix_case_relationship_target_id'), table_name='case_relationship')
    op.drop_index(op.f('ix_case_relationship_source_id'), table_name='case_relationship')
    op.drop_index(op.f('ix_case_created_by_id'), table_name='case')
    # ### end Alembic commands ###
