"""case_identifier

Revision ID: ac78fbce6f25
Revises: 189f79fec82c
Create Date: 2022-09-08 12:20:34.550383

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'ac78fbce6f25'
down_revision = '189f79fec82c'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('case', sa.Column('case_identifier', sa.String(length=8), nullable=False))
    op.create_unique_constraint('case_case_identifier', 'case', ['case_identifier'])
    op.add_column('stage', sa.Column('case_identifier', sa.String(length=8), nullable=True))
    op.alter_column('stage', 'workflow_id',
               existing_type=sa.INTEGER(),
               nullable=False)
    op.add_column('task', sa.Column('case_identifier', sa.String(length=8), nullable=True))
    op.alter_column('task', 'stage_id',
               existing_type=sa.INTEGER(),
               nullable=False)
    op.add_column('workflow', sa.Column('case_identifier', sa.String(length=8), nullable=True))
    op.alter_column('workflow', 'case_id',
               existing_type=sa.INTEGER(),
               nullable=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('workflow', 'case_id',
               existing_type=sa.INTEGER(),
               nullable=True)
    op.drop_column('workflow', 'case_identifier')
    op.alter_column('task', 'stage_id',
               existing_type=sa.INTEGER(),
               nullable=True)
    op.drop_column('task', 'case_identifier')
    op.alter_column('stage', 'workflow_id',
               existing_type=sa.INTEGER(),
               nullable=True)
    op.drop_column('stage', 'case_identifier')
    op.drop_constraint('case_case_identifier', 'case', type_='unique')
    op.drop_column('case', 'case_identifier')
    # ### end Alembic commands ###
