"""decision_task_rework

Revision ID: b0a34c075872
Revises: ac78fbce6f25
Create Date: 2022-09-13 22:19:05.777816

"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = 'b0a34c075872'
down_revision = 'ac78fbce6f25'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('task', sa.Column('aggregates_results', sa.Boolean(), nullable=True))
    op.drop_column('decision_task', 'decision')
    op.add_column('decision_task', sa.Column('decision', sa.Boolean(), nullable=True))
    op.execute("ALTER TYPE taskrelationshiptypeenum ADD VALUE 'BLOCKED_BY'")
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('task', 'aggregates_results')
    op.drop_column('decision_task', 'decision')
    op.add_column('decision_task', sa.Column('decision', sa.String(50), nullable=True))
    op.alter_column('task_relationship', 'relationship_type',
                    type_=sa.Enum('ON_COMPLETION', 'ON_TRUE', 'ON_FALSE', name='taskrelationshiptypeenum'))
    #https://medium.com/makimo-tech-blog/upgrading-postgresqls-enum-type-with-sqlalchemy-using-alembic-migration-881af1e30abe

    op.execute("ALTER TYPE taskrelationshiptypeenum RENAME TO taskrelationshiptypeenum_old")
    op.execute("CREATE TYPE taskrelationshiptypeenum AS ENUM('ON_COMPLETION', 'ON_TRUE', 'ON_FALSE')")
    op.execute((
        "ALTER TABLE task_relationship ALTER COLUMN relationship_type TYPE taskrelationshiptypeenum USING "
        "relationship_type::text::taskrelationshiptypeenum"
    ))
    op.execute("DROP TYPE taskrelationshiptypeenum_old")
    # ### end Alembic commands ###
