"""Add foreign keys

Revision ID: fc19a7bdd608
Revises: ac14153a4509
Create Date: 2022-06-16 16:10:27.477922

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'fc19a7bdd608'
down_revision = 'ac14153a4509'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_foreign_key('fk_cfi_parent', 'case_file_item', 'directory', ['parent_id'], ['id'], ondelete='CASCADE', use_alter=True)
    op.create_foreign_key('fk_comment_parent', 'comment', 'comment', ['reply_to_id'], ['id'], ondelete='CASCADE', use_alter=True)
    op.create_foreign_key('fk_root_directory', 'directory', 'case', ['case_id'], ['id'], ondelete='CASCADE', use_alter=True)
    op.create_foreign_key('fk_task_input', 'task_input_output', 'task', ['input_of_id'], ['id'], ondelete='CASCADE', use_alter=True)
    op.create_foreign_key('fk_task_output', 'task_input_output', 'task', ['output_of_id'], ['id'], ondelete='CASCADE', use_alter=True)
    op.create_foreign_key('fk_source_reference', 'task_reference', 'task', ['source_id'], ['id'], ondelete='CASCADE', use_alter=True)
    op.create_foreign_key('fk_target_reference', 'task_reference', 'task', ['target_id'], ['id'], ondelete='CASCADE', use_alter=True)
    op.create_foreign_key('fk_source_relationship', 'task_relationship', 'task', ['source_id'], ['id'], ondelete='CASCADE', use_alter=True)
    op.create_foreign_key('fk_target_relationship', 'task_relationship', 'task', ['target_id'], ['id'], ondelete='CASCADE', use_alter=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('fk_target_relationship', 'task_relationship', type_='foreignkey')
    op.drop_constraint('fk_source_relationship', 'task_relationship', type_='foreignkey')
    op.drop_constraint('fk_target_reference', 'task_reference', type_='foreignkey')
    op.drop_constraint('fk_source_reference', 'task_reference', type_='foreignkey')
    op.drop_constraint('fk_task_output', 'task_input_output', type_='foreignkey')
    op.drop_constraint('fk_task_input', 'task_input_output', type_='foreignkey')
    op.drop_constraint('fk_root_directory', 'directory', type_='foreignkey')
    op.drop_constraint('fk_comment_parent', 'comment', type_='foreignkey')
    op.drop_constraint('fk_cfi_parent', 'case_file_item', type_='foreignkey')
    # ### end Alembic commands ###
