import json
import sys


def replace_query_variables(query, variables):
    for parameter, value in variables.items():
        query = query.replace(f"%({parameter})s", str(value) if not isinstance(value, str) else f"'{value}'")
        query = query.replace(f"%({parameter}) s", str(value) if not isinstance(value, str) else f"'{value}'")
    return query


def main():
    if len(sys.argv) == 1:
        query = ""
        parameters = ""
        print('Enter query:\n\n')
        while 1:
            s = input()
            if not s:
                break
            query += s + '\n'
        print('\n\nEnter parameters:\n\n')
        while 1:
            s = input()
            if not s:
                break
            parameters += s + '\n'
    else:
        query, parameters = sys.argv[1:]
    return replace_query_variables(query, json.loads(parameters.replace("'", '"')))


if __name__ == '__main__':
    print(main())
