import pytest as pytest
from gql.dsl import DSLQuery, dsl_gql
from graphql import print_ast


class TestUser:
    @pytest.mark.asyncio
    async def test_get_current_user(self, client, schema, token):
        query = print_ast(dsl_gql(DSLQuery(query=schema.Query.getCurrentUser.select(
            schema.CaseDBUser.id,
            schema.CaseDBUser.name
        )
        )))
        response = client.post('/graphql', json=dict(query=query),
                               headers=dict(Authorization=f'Token {token}'))
        assert response.status_code == 200

        result = response.json()
        assert result['data']['query']['name'] == 'UNKNOWN'
