resource Base {
    permissions = ["can:query_one", "can:query_many", "can:create_one", "can:create_bulk", "can:update_one", "can:update_bulk", "can:delete_one", "can:delete_bulk"];
    roles = [ "is:default" ];

    "can:query_one" if "is:default";
    "can:query_many" if "is:default";
    "can:create_one" if "is:default";
    "can:create_bulk" if "is:default";
    "can:update_one" if "is:default";
    "can:update_bulk" if "is:default";
    "can:delete_one" if "is:default";
    "can:delete_bulk" if "is:default";

}

resource PayloadBouncer {
    permissions = ["bounce"];
    roles = ["is:default"];

    "bounce" if "is:default";
}

has_role(_actor: User, "is:default", _resource: Resource);
has_role(_actor: CapableUser, "is:default", _resource: Resource);
has_role(_actor: UnauthenticatedUser, "is:default", _resource: Resource);

# Authorization backend compatibility below

has_role(actor: User, role: String, _resource: Resource) if
    role in actor.capabilities;
has_role(actor: CapableUser, role: String, _resource: Resource) if
    role in actor.capabilities;

allow(actor, action, resource) if
    has_permission(actor, action, resource);

actor User {}
actor CapableUser {}
actor UnauthenticatedUser {}