from dataclasses import dataclass
from typing import List

from starlette.authentication import SimpleUser


@dataclass
class JWTUser(SimpleUser):
    username: str
    jwt_token: str
    access_token: str
    issuer_name: str
    capabilities: List[str]

    def __init__(
            self,
            username: str,
            jwt_token: str,
            access_token: str,
            issuer_name: str,
            capabilities: List[str],
    ):
        super().__init__(username)
        self.jwt_token = jwt_token
        self.access_token = access_token
        self.issuer_name = issuer_name
        self.capabilities = capabilities
