from configparser import ConfigParser


FILE_NAME = "./config.ini"
MITRE_SECTION_NAME = "MITRE-ATTACK"
MITRE_SECTION_VERSION_KEY = "Version"


def prepare_config_parser():
    config = ConfigParser()
    config.read(FILE_NAME)
    return config


def get_local_version():
    config = prepare_config_parser()
    if not config.has_section(MITRE_SECTION_NAME):
        set_local_version("0")
        return "0"
    local_version = config.get(MITRE_SECTION_NAME, MITRE_SECTION_VERSION_KEY)
    return local_version


def set_local_version(version: str):
    config = prepare_config_parser()
    with open(FILE_NAME, 'w') as config_file:
        if not config.has_section(MITRE_SECTION_NAME):
            config_file.write("# This file is automatically generated. Do not edit manually.\n")
            config.add_section(MITRE_SECTION_NAME)
        config.set(MITRE_SECTION_NAME, MITRE_SECTION_VERSION_KEY, version)
        config.write(config_file)
