"""Fix column names

Revision ID: 1014b43aef2a
Revises: 07b189e3e91d
Create Date: 2022-09-16 15:15:08.547782

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '1014b43aef2a'
down_revision = '07b189e3e91d'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('group_procedure', sa.Column('group_technique_id', sa.Integer(), nullable=False))
    op.drop_constraint('group_procedure_technique_id_fkey', 'group_procedure', type_='foreignkey')
    op.create_foreign_key(None, 'group_procedure', 'technique', ['group_technique_id'], ['id'])
    op.drop_column('group_procedure', 'technique_id')
    op.add_column('malware_procedure', sa.Column('malware_technique_id', sa.Integer(), nullable=False))
    op.drop_constraint('malware_procedure_technique_id_fkey', 'malware_procedure', type_='foreignkey')
    op.create_foreign_key(None, 'malware_procedure', 'technique', ['malware_technique_id'], ['id'])
    op.drop_column('malware_procedure', 'technique_id')
    op.add_column('tool_procedure', sa.Column('tool_technique_id', sa.Integer(), nullable=False))
    op.drop_constraint('tool_procedure_technique_id_fkey', 'tool_procedure', type_='foreignkey')
    op.create_foreign_key(None, 'tool_procedure', 'technique', ['tool_technique_id'], ['id'])
    op.drop_column('tool_procedure', 'technique_id')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('tool_procedure', sa.Column('technique_id', sa.INTEGER(), autoincrement=False, nullable=False))
    op.drop_constraint(None, 'tool_procedure', type_='foreignkey')
    op.create_foreign_key('tool_procedure_technique_id_fkey', 'tool_procedure', 'technique', ['technique_id'], ['id'])
    op.drop_column('tool_procedure', 'tool_technique_id')
    op.add_column('malware_procedure', sa.Column('technique_id', sa.INTEGER(), autoincrement=False, nullable=False))
    op.drop_constraint(None, 'malware_procedure', type_='foreignkey')
    op.create_foreign_key('malware_procedure_technique_id_fkey', 'malware_procedure', 'technique', ['technique_id'], ['id'])
    op.drop_column('malware_procedure', 'malware_technique_id')
    op.add_column('group_procedure', sa.Column('technique_id', sa.INTEGER(), autoincrement=False, nullable=False))
    op.drop_constraint(None, 'group_procedure', type_='foreignkey')
    op.create_foreign_key('group_procedure_technique_id_fkey', 'group_procedure', 'technique', ['technique_id'], ['id'])
    op.drop_column('group_procedure', 'group_technique_id')
    # ### end Alembic commands ###
