"""initial_migration

Revision ID: 43d61b0848d0
Revises: 
Create Date: 2022-07-25 13:13:31.543525

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '43d61b0848d0'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('alias',
    sa.Column('value', sa.String(), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('external_reference',
    sa.Column('source_name', sa.String(), nullable=False),
    sa.Column('description', sa.String(), nullable=True),
    sa.Column('url', sa.String(), nullable=True),
    sa.Column('external_id', sa.String(), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('group',
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('description', sa.String(), nullable=True),
    sa.Column('created', sa.DateTime(timezone=True), server_default=sa.text('now()'), nullable=True),
    sa.Column('modified', sa.DateTime(timezone=True), server_default=sa.text('now()'), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('malware',
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('description', sa.String(), nullable=True),
    sa.Column('created', sa.DateTime(timezone=True), server_default=sa.text('now()'), nullable=True),
    sa.Column('modified', sa.DateTime(timezone=True), server_default=sa.text('now()'), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('mitigation',
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('description', sa.String(), nullable=True),
    sa.Column('created', sa.DateTime(timezone=True), server_default=sa.text('now()'), nullable=True),
    sa.Column('modified', sa.DateTime(timezone=True), server_default=sa.text('now()'), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('platform',
    sa.Column('value', sa.String(), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('tool',
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('description', sa.String(), nullable=True),
    sa.Column('created', sa.DateTime(timezone=True), server_default=sa.text('now()'), nullable=True),
    sa.Column('modified', sa.DateTime(timezone=True), server_default=sa.text('now()'), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('ttp',
    sa.Column('type', sa.String(length=50), nullable=True),
    sa.Column('description', sa.String(), nullable=True),
    sa.Column('created', sa.DateTime(timezone=True), server_default=sa.text('now()'), nullable=True),
    sa.Column('modified', sa.DateTime(timezone=True), server_default=sa.text('now()'), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('group__m2m__alias',
    sa.Column('group_id', sa.Integer(), nullable=False),
    sa.Column('alias_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['alias_id'], ['alias.id'], ),
    sa.ForeignKeyConstraint(['group_id'], ['group.id'], ),
    sa.PrimaryKeyConstraint('group_id', 'alias_id')
    )
    op.create_table('group__m2m__external_reference',
    sa.Column('group_id', sa.Integer(), nullable=False),
    sa.Column('external_reference_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['external_reference_id'], ['external_reference.id'], ),
    sa.ForeignKeyConstraint(['group_id'], ['group.id'], ),
    sa.PrimaryKeyConstraint('group_id', 'external_reference_id')
    )
    op.create_table('malware__m2m__alias',
    sa.Column('malware_id', sa.Integer(), nullable=False),
    sa.Column('alias_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['alias_id'], ['alias.id'], ),
    sa.ForeignKeyConstraint(['malware_id'], ['malware.id'], ),
    sa.PrimaryKeyConstraint('malware_id', 'alias_id')
    )
    op.create_table('malware__m2m__external_reference',
    sa.Column('malware_id', sa.Integer(), nullable=False),
    sa.Column('external_reference_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['external_reference_id'], ['external_reference.id'], ),
    sa.ForeignKeyConstraint(['malware_id'], ['malware.id'], ),
    sa.PrimaryKeyConstraint('malware_id', 'external_reference_id')
    )
    op.create_table('malware__m2m__group',
    sa.Column('malware_id', sa.Integer(), nullable=False),
    sa.Column('group_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['group_id'], ['group.id'], ),
    sa.ForeignKeyConstraint(['malware_id'], ['malware.id'], ),
    sa.PrimaryKeyConstraint('malware_id', 'group_id')
    )
    op.create_table('malware__m2m__platform',
    sa.Column('malware_id', sa.Integer(), nullable=False),
    sa.Column('platform_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['malware_id'], ['malware.id'], ),
    sa.ForeignKeyConstraint(['platform_id'], ['platform.id'], ),
    sa.PrimaryKeyConstraint('malware_id', 'platform_id')
    )
    op.create_table('mitigation__m2m__external_reference',
    sa.Column('mitigation_id', sa.Integer(), nullable=False),
    sa.Column('external_reference_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['external_reference_id'], ['external_reference.id'], ),
    sa.ForeignKeyConstraint(['mitigation_id'], ['mitigation.id'], ),
    sa.PrimaryKeyConstraint('mitigation_id', 'external_reference_id')
    )
    op.create_table('tactic',
    sa.Column('tactic_name', sa.String(), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['id'], ['ttp.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('technique',
    sa.Column('technique_name', sa.String(), nullable=False),
    sa.Column('parent_id', sa.Integer(), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['id'], ['ttp.id'], ),
    sa.ForeignKeyConstraint(['parent_id'], ['technique.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('tool__m2m__alias',
    sa.Column('tool_id', sa.Integer(), nullable=False),
    sa.Column('alias_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['alias_id'], ['alias.id'], ),
    sa.ForeignKeyConstraint(['tool_id'], ['tool.id'], ),
    sa.PrimaryKeyConstraint('tool_id', 'alias_id')
    )
    op.create_table('tool__m2m__external_reference',
    sa.Column('tool_id', sa.Integer(), nullable=False),
    sa.Column('external_reference_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['external_reference_id'], ['external_reference.id'], ),
    sa.ForeignKeyConstraint(['tool_id'], ['tool.id'], ),
    sa.PrimaryKeyConstraint('tool_id', 'external_reference_id')
    )
    op.create_table('tool__m2m__group',
    sa.Column('tool_id', sa.Integer(), nullable=False),
    sa.Column('group_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['group_id'], ['group.id'], ),
    sa.ForeignKeyConstraint(['tool_id'], ['tool.id'], ),
    sa.PrimaryKeyConstraint('tool_id', 'group_id')
    )
    op.create_table('tool__m2m__platform',
    sa.Column('tool_id', sa.Integer(), nullable=False),
    sa.Column('platform_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['platform_id'], ['platform.id'], ),
    sa.ForeignKeyConstraint(['tool_id'], ['tool.id'], ),
    sa.PrimaryKeyConstraint('tool_id', 'platform_id')
    )
    op.create_table('ttp__m2m__external_reference',
    sa.Column('ttp_id', sa.Integer(), nullable=False),
    sa.Column('external_reference_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['external_reference_id'], ['external_reference.id'], ),
    sa.ForeignKeyConstraint(['ttp_id'], ['ttp.id'], ),
    sa.PrimaryKeyConstraint('ttp_id', 'external_reference_id')
    )
    op.create_table('group_procedure',
    sa.Column('technique_id', sa.Integer(), nullable=False),
    sa.Column('group_id', sa.Integer(), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['group_id'], ['group.id'], ),
    sa.ForeignKeyConstraint(['id'], ['ttp.id'], ),
    sa.ForeignKeyConstraint(['technique_id'], ['technique.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('malware_procedure',
    sa.Column('technique_id', sa.Integer(), nullable=False),
    sa.Column('malware_id', sa.Integer(), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['id'], ['ttp.id'], ),
    sa.ForeignKeyConstraint(['malware_id'], ['malware.id'], ),
    sa.ForeignKeyConstraint(['technique_id'], ['technique.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('tactic__m2m__technique',
    sa.Column('tactic_id', sa.Integer(), nullable=False),
    sa.Column('technique_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['tactic_id'], ['tactic.id'], ),
    sa.ForeignKeyConstraint(['technique_id'], ['technique.id'], ),
    sa.PrimaryKeyConstraint('tactic_id', 'technique_id')
    )
    op.create_table('technique__m2m__platform',
    sa.Column('technique_id', sa.Integer(), nullable=False),
    sa.Column('platform_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['platform_id'], ['platform.id'], ),
    sa.ForeignKeyConstraint(['technique_id'], ['technique.id'], ),
    sa.PrimaryKeyConstraint('technique_id', 'platform_id')
    )
    op.create_table('technique_mitigation_relationship',
    sa.Column('description', sa.String(), nullable=True),
    sa.Column('technique_id', sa.Integer(), nullable=True),
    sa.Column('mitigation_id', sa.Integer(), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['mitigation_id'], ['mitigation.id'], ),
    sa.ForeignKeyConstraint(['technique_id'], ['technique.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('tool_procedure',
    sa.Column('technique_id', sa.Integer(), nullable=False),
    sa.Column('tool_id', sa.Integer(), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['id'], ['ttp.id'], ),
    sa.ForeignKeyConstraint(['technique_id'], ['technique.id'], ),
    sa.ForeignKeyConstraint(['tool_id'], ['tool.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('technique_mitigation_relationship__m2m__external_reference',
    sa.Column('technique_mitigation_relationship_id', sa.Integer(), nullable=False),
    sa.Column('external_reference_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['external_reference_id'], ['external_reference.id'], ),
    sa.ForeignKeyConstraint(['technique_mitigation_relationship_id'], ['technique_mitigation_relationship.id'], ),
    sa.PrimaryKeyConstraint('technique_mitigation_relationship_id', 'external_reference_id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('technique_mitigation_relationship__m2m__external_reference')
    op.drop_table('tool_procedure')
    op.drop_table('technique_mitigation_relationship')
    op.drop_table('technique__m2m__platform')
    op.drop_table('tactic__m2m__technique')
    op.drop_table('malware_procedure')
    op.drop_table('group_procedure')
    op.drop_table('ttp__m2m__external_reference')
    op.drop_table('tool__m2m__platform')
    op.drop_table('tool__m2m__group')
    op.drop_table('tool__m2m__external_reference')
    op.drop_table('tool__m2m__alias')
    op.drop_table('technique')
    op.drop_table('tactic')
    op.drop_table('mitigation__m2m__external_reference')
    op.drop_table('malware__m2m__platform')
    op.drop_table('malware__m2m__group')
    op.drop_table('malware__m2m__external_reference')
    op.drop_table('malware__m2m__alias')
    op.drop_table('group__m2m__external_reference')
    op.drop_table('group__m2m__alias')
    op.drop_table('ttp')
    op.drop_table('tool')
    op.drop_table('platform')
    op.drop_table('mitigation')
    op.drop_table('malware')
    op.drop_table('group')
    op.drop_table('external_reference')
    op.drop_table('alias')
    # ### end Alembic commands ###
