resource KeycloakClient {
    permissions = ["can:query", "can:search", "can:self-introspect"];
    roles = [ "is:default" ];

    "can:query" if "is:default";
    "can:search" if "is:default";
}

has_permission(_actor: User, "can:self-introspect", _resource: KeycloakClient);

has_role(_actor: User, "is:default", _resource: Resource);
has_role(_actor: UnauthenticatedUser, "is:default", _resource: Resource);


# Authorization backend compatibility below

has_role(actor: User, role: String, _resource: KeycloakClient) if
    role in actor.capabilities;

allow(actor, action, resource) if
    has_permission(actor, action, resource);

actor User {}
actor UnauthenticatedUser {}