from typing import Optional, List

import strawberry


@strawberry.input
class UserInfoSearchInput:
    realm: str
    username: Optional[str] = None
    email: Optional[str] = None
    email_verified: Optional[bool] = None
    enabled: Optional[bool] = None
    first_name: Optional[str] = None
    idp_alias: Optional[str] = None
    idp_user_id: Optional[str] = None
    last_name: Optional[str] = None
    exact: Optional[bool] = False
    max: Optional[int] = 100


@strawberry.type
class User:
    id: Optional[str]
    created_timestamp: Optional[float]
    username: Optional[str]
    enabled: Optional[bool]
    totp: Optional[bool]
    email: Optional[str]
    email_verified: Optional[bool]
    first_name: Optional[str]
    last_name: Optional[str]
    disableable_credential_types: Optional[List[str]]
    required_actions: Optional[List[str]]
    not_before: Optional[int]


@strawberry.type
class UserInfoSearchResult:
    data: Optional[List[User]] = lambda: []
