import os
from distutils.util import strtobool

import pytest as pytest

from csirtmu.auth_keycloak_test_utils.test_client import KeycloakTestClient

TEST_KEYCLOAK_HOST = os.getenv('TEST_KEYCLOAK_HOST', '127.0.0.1')
TEST_KEYCLOAK_PORT = os.getenv('TEST_KEYCLOAK_PORT', '8021')
TEST_KEYCLOAK_LEGACY = bool(strtobool(os.getenv('TEST_KEYCLOAK_LEGACY', 'False')))
TEST_KEYCLOAK_HTTPS = bool(strtobool(os.getenv('TEST_KEYCLOAK_HTTPS', 'False')))
TEST_KEYCLOAK_MASTER_USERNAME = os.getenv('TEST_KEYCLOAK_MASTER_USERNAME', 'admin')
TEST_KEYCLOAK_MASTER_PASSWORD = os.getenv('TEST_KEYCLOAK_MASTER_PASSWORD', 'admin')


@pytest.fixture(scope='session')
def keycloak_base_url():
    protocol = 'http'
    if TEST_KEYCLOAK_HTTPS:
        protocol += 's'
    return f'{protocol}://{TEST_KEYCLOAK_HOST}:{TEST_KEYCLOAK_PORT}/'


@pytest.fixture(scope='session')
def keycloak_client():
    return KeycloakTestClient(host=TEST_KEYCLOAK_HOST, port=TEST_KEYCLOAK_PORT, legacy=TEST_KEYCLOAK_LEGACY,
                              master_user=TEST_KEYCLOAK_MASTER_USERNAME, master_pass=TEST_KEYCLOAK_MASTER_PASSWORD)
