# CSIRTMU Auth Utils

A collection of utilities used for authentication and authorization in microservices.

Mostly used in combination with the strawberry jwt auth library.

## Authentication Cache

A basic LRU cache with TTL and max size with `get` and `add` methods.

## OIDC Issuer

A class for fetching and caching OIDC issuer configuration.

Allows userinfo querying, decoding and verifying JWTs.

## Utils

* `extract_access_token` - Extracts access token from an authentication header.
* `extract_auth_header` - Extracts authorization header from a request.
* `collect_watched_claims` - Collect claim values from decoded JWT data.

