from typing import List

from starlette.authentication import BaseUser


class MappedUser(BaseUser):
    def __init__(self):
        self.capabilities: List[str] = []
        self.user_id: str = ""

    @staticmethod
    def create_or_get(access_token: str, user_id: str, capabilities: List[str]) -> 'MappedUser':
        instance = MappedUser()
        instance.user_id = user_id
        instance.capabilities = capabilities
        return instance

    @property
    def is_authenticated(self) -> bool:
        return True

    @property
    def display_name(self) -> str:
        return self.user_id

    @property
    def identity(self) -> str:
        return self.user_id
