from importlib.metadata import version

from starlette.requests import Request
from starlette.responses import JSONResponse
from starlette.routing import Route


async def get_version(request: Request):
    return JSONResponse({
        'version': version('csirtmu-starlette-jwt-auth-backend'),
        'kind': 'csirtmu-starlette-jwt-auth-backend'
    })


auth_backend_version_route = Route(path='/_auth_backend/version', endpoint=get_version, methods=['GET'])
