from importlib.metadata import version

import httpx
import pytest
from httpx import AsyncClient


class TestRoutes:
    @pytest.mark.asyncio
    async def test_version_route(self, unused_tcp_port, auth_config, authorized_token_2, example_app):
        async with AsyncClient(app=example_app, base_url=f'http://localhost:{unused_tcp_port}') as ac:
            response: httpx.Response = await ac.get('/_auth_backend/version')
            assert response.status_code == 200
            assert response.json() == {
                'version': version('csirtmu-starlette-jwt-auth-backend'),
                'kind': 'csirtmu-starlette-jwt-auth-backend'
            }
