import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { LoginPageComponent } from '@orion/login-components';
import { SentinelAuthGuardWithLogin, SentinelNegativeAuthGuard } from '@sentinel/auth/guards';

const routes: Routes = [
  {
    path: '',
    redirectTo: 'auth',
    pathMatch: 'full',
  },
  {
    path: 'login',
    title: 'Login',
    component: LoginPageComponent,
    canActivate: [SentinelNegativeAuthGuard],
  },

  {
    path: 'logout-confirmed',
    redirectTo: 'login',
    pathMatch: 'full',
  },
  {
    path: 'auth',
    loadChildren: () => import('./auth/auth-section.module').then((m) => m.AuthSectionModule),
    canActivate: [SentinelAuthGuardWithLogin],
  },
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
})
export class AppRoutingModule {}
