import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { EntityToolbarModule } from '@orion/shared-components/entity-toolbar';

import { EntityToolbarInfoModule } from '@orion/user-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { AssetDetailMainContentComponent } from './asset-detail-main-content.component';
import { AssetTagsModule } from './asset-tags';
import { AssetDetailTabsModule } from './tabs';

@NgModule({
  declarations: [AssetDetailMainContentComponent],
  imports: [
    CommonModule,
    AssetDetailTabsModule,
    EntityToolbarModule,
    EntityToolbarInfoModule,
    AssetTagsModule,
    AssetBaseViewModule,
    OrionTimeAgoModule,
    SentinelPipesModule,
  ],
  exports: [AssetDetailMainContentComponent],
})
export class AssetDetailMainContentModule {}
