import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { AssetCveComponent } from './asset-cve.component';
import { CveTableComponent } from './cve-table';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelTableModule } from '@sentinel/components/table';
import { CveFragmentToTablePipe } from './match-result-to-cve-map.pipe';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelErrorModule } from '@sentinel/components/error';

@NgModule({
  declarations: [AssetCveComponent, CveTableComponent, CveFragmentToTablePipe],
  imports: [
    CommonModule,
    SentinelPipesModule,
    SentinelTableModule,
    OrionCardModule,
    OrionSkeletonLoadingModule,
    SentinelErrorModule,
  ],
  exports: [AssetCveComponent],
})
export class AssetCveModule {}
