import * as SchemaTypes from '../../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { AssetCveFragmentDoc } from './asset-cve.fragment.generated';
import { CveTableElementFragmentDoc } from '../cve-table/cve-table.fragment.generated';
import { Injectable } from '@angular/core';

export type GetAssetCvesQueryVariables = SchemaTypes.Exact<{
  assetUid: SchemaTypes.Scalars['String'];
}>;

export type GetAssetCvesQuery = {
  __typename?: 'Query';
  findByAsset?:
    | Array<
        | {
            __typename?: 'MatchResult';
            x_Cve?:
              | {
                  __typename?: 'CveVertex';
                  uid?: string | undefined;
                  lastModified?: string | undefined;
                  published?: string | undefined;
                }
              | undefined;
          }
        | undefined
      >
    | undefined;
};

export const GetAssetCvesDocument = gql`
  query getAssetCves($assetUid: String!) {
    findByAsset(assetUid: $assetUid) {
      ...assetCve
    }
  }
  ${AssetCveFragmentDoc}
  ${CveTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetAssetCvesQueryService extends Apollo.Query<GetAssetCvesQuery, GetAssetCvesQueryVariables> {
  document = GetAssetCvesDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
