import { ChangeDetectionStrategy, Component } from '@angular/core';
import { CaseNavigator } from '@orion/case-services';
import { TaskNavigator } from '@orion/task-services';
import {
  EntityDetailTabsDirective,
  OrionQueryParamTabService,
  OrionTabService,
  TABS_TOKEN,
} from '@csirtmu-orion/microframework/tabs';
import { AssetDetailSharedMainContentFragment } from '../asset-detail-shared-main-content.generated';

@Component({
  selector: 'orion-asset-detail-tabs',
  templateUrl: './asset-detail-tabs.component.html',
  styleUrls: ['./asset-detail-tabs.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    CaseNavigator,
    TaskNavigator,
    { provide: OrionTabService, useClass: OrionQueryParamTabService },
    { provide: TABS_TOKEN, useValue: ['overview', 'cves', 'cases', 'tasks'] },
  ],
})
export class AssetDetailTabsComponent extends EntityDetailTabsDirective<AssetDetailSharedMainContentFragment> {
  constructor(protected tabService: OrionTabService) {
    super(tabService);
  }
}
