import { ChangeDetectionStrategy, Component } from '@angular/core';
import { RelatedCaseFilterChipsService, RelatedCaseFilterService } from '@orion/case-components/filters';
import { RelatedCaseService, RelatedCasesParentDirective } from '@orion/case-components/related-cases';
import { RELATED_ENTITY_ACTIONS_PROVIDERS } from '@orion/shared-components/related-entity-overview';
import { AssetRelatedCasesFilterService } from './asset-related-cases-filter.service';

@Component({
  selector: 'orion-asset-related-cases',
  templateUrl: './asset-related-cases.component.html',
  styleUrls: ['./asset-related-cases.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    RelatedCaseService,
    RelatedCaseFilterChipsService,
    ...RELATED_ENTITY_ACTIONS_PROVIDERS,
    { provide: RelatedCaseFilterService, useClass: AssetRelatedCasesFilterService },
  ],
})
export class AssetRelatedCasesComponent extends RelatedCasesParentDirective {
  constructor(
    protected relatedCasesService: RelatedCaseService,
    protected filterService: RelatedCaseFilterService,
    protected chipsService: RelatedCaseFilterChipsService
  ) {
    super(relatedCasesService, filterService, chipsService);
  }
}
