import { ChangeDetectionStrategy, Component } from '@angular/core';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { ChildEntityInterfaceSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { AssetRelatedTasksService } from './asset-related-tasks.service';
import { TaskTableFragment } from '@orion/task-components/overview';

@Component({
  selector: 'orion-asset-related-tasks',
  templateUrl: './asset-related-tasks.component.html',
  styleUrls: ['./asset-related-tasks.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [AssetRelatedTasksService],
})
export class AssetRelatedTasksComponent extends ChildEntityInterfaceSmartOverviewDirective<
  TaskTableFragment,
  KnownAssetsEnum
> {
  constructor(protected relatedTasksService: AssetRelatedTasksService) {
    super(relatedTasksService);
  }
}
