import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { TaskOverviewElementFragmentDoc } from '../../../../../../task/components/overview/task-overview-element.fragment.generated';
import { TaskTableFragmentDoc } from '../../../../../../task/components/overview/task-table/task-table.fragment.generated';
import { TaskNameRowFragmentDoc } from '../../../../../../task/components/overview/task-table/task-name-row/task-name-row.fragment.generated';
import { TaskNameFragmentDoc } from '../../../../../../task/components/shared/task-name/graphql/task-name.fragment.generated';
import { UserNameAndIconFragmentDoc } from '../../../../../../user/components/shared/graphql/user-icon.fragment.generated';
import { LabelChipFragmentDoc } from '../../../../../../label/components/shared/label/label-chip.fragment.generated';
import { TaskStateFragmentDoc } from '../../../../../../task/components/shared/task-state/task-state.fragment.generated';
import { TaskFlagsFragmentDoc } from '../../../../../../task/components/shared/task-flags/task-flags.fragment.generated';
import { Injectable } from '@angular/core';

export type GetAssetRelatedTasksQueryVariables = SchemaTypes.Exact<{
  assetId: SchemaTypes.Scalars['ID'];
  assetType: SchemaTypes.KnownAssetsEnum;
}>;

export type GetAssetRelatedTasksQuery = {
  __typename?: 'Query';
  getFederatedAsset?:
    | {
        __typename?: 'ASNType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'AggregateType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'CableType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'CircuitTerminationType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'CircuitType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'CircuitTypeType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'ClusterGroupType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'ClusterType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'ClusterTypeType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'ConsolePortType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'ConsoleServerPortType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'DeviceBayType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'DeviceRoleType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'DeviceType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'DeviceTypeType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'FHRPGroupType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'FrontPortType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'IPAddressType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'IPRangeType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'InterfaceType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'InventoryItemType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'LocationType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'ManufacturerType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'PlatformType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'PowerFeedType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'PowerOutletType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'PowerPanelType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'PowerPortType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'PrefixType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'ProviderNetworkType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'ProviderType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'RIRType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'RackReservationType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'RackRoleType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'RackType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'RearPortType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'RegionType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'RoleType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'RouteTargetType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'ServiceType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'SiteGroupType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'SiteType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'TenantGroupType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'TenantType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'VLANGroupType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'VLANType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'VMInterfaceType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'VRFType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'VirtualChassisType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'VirtualMachineType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'WirelessLanGroupType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'WirelessLanType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'WirelessLinkType';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetAssetRelatedTasksDocument = gql`
  query getAssetRelatedTasks($assetId: ID!, $assetType: KnownAssetsEnum!) {
    getFederatedAsset(assetId: $assetId, assetType: $assetType) {
      id
      tasks {
        data {
          ...taskOverviewElement
        }
      }
    }
  }
  ${TaskOverviewElementFragmentDoc}
  ${TaskTableFragmentDoc}
  ${TaskNameRowFragmentDoc}
  ${TaskNameFragmentDoc}
  ${UserNameAndIconFragmentDoc}
  ${LabelChipFragmentDoc}
  ${TaskStateFragmentDoc}
  ${TaskFlagsFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetAssetRelatedTasksQueryService extends Apollo.Query<
  GetAssetRelatedTasksQuery,
  GetAssetRelatedTasksQueryVariables
> {
  document = GetAssetRelatedTasksDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
