import { Injectable } from '@angular/core';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { ApolloInterfaceChildEntitiesService } from '@csirtmu-orion/microframework/apollo-services';
import {
  GetAssetRelatedTasksQuery,
  GetAssetRelatedTasksQueryService,
  GetAssetRelatedTasksQueryVariables,
} from './asset-related-tasks.operation.generated';
import { TaskTableFragment } from '@orion/task-components/overview';

@Injectable()
export class AssetRelatedTasksService extends ApolloInterfaceChildEntitiesService<
  GetAssetRelatedTasksQuery,
  GetAssetRelatedTasksQueryVariables,
  TaskTableFragment,
  KnownAssetsEnum
> {
  constructor(public getQuery: GetAssetRelatedTasksQueryService) {
    super(getQuery, 'Fetching related tasks');
  }

  protected createVariables(parentId: string, parentType: KnownAssetsEnum): GetAssetRelatedTasksQueryVariables {
    return {
      assetId: parentId,
      assetType: parentType,
    };
  }

  protected toFragments(query: GetAssetRelatedTasksQuery): TaskTableFragment[] {
    return query?.getFederatedAsset?.tasks.data ?? [];
  }
}
