import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type CircuitDetailCardFragment = {
  __typename?: 'CircuitType';
  cid?: string | undefined;
  status?: SchemaTypes.CircuitsCircuitStatusChoices | undefined;
  installDate?: any | undefined;
  commitRate?: number | undefined;
  description?: string | undefined;
  provider?:
    | {
        __typename?: 'ProviderType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  type?:
    | {
        __typename?: 'CircuitTypeType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  terminationA?:
    | {
        __typename?: 'CircuitTerminationType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
      }
    | undefined;
  terminationZ?:
    | {
        __typename?: 'CircuitTerminationType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
      }
    | undefined;
};

export const CircuitDetailCardFragmentDoc = gql`
  fragment circuitDetailCard on CircuitType {
    cid
    provider {
      ...assetBaseView
    }
    type {
      ...assetBaseView
    }
    status
    tenant {
      ...assetBaseView
    }
    terminationA {
      ...assetBaseView
    }
    terminationZ {
      ...assetBaseView
    }
    installDate
    commitRate
    description
  }
`;
