import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type CircuitAssetDetailFragment = {
  __typename?: 'CircuitType';
  comments?: string | undefined;
  cid?: string | undefined;
  status?: SchemaTypes.CircuitsCircuitStatusChoices | undefined;
  installDate?: any | undefined;
  commitRate?: number | undefined;
  description?: string | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  provider?:
    | {
        __typename?: 'ProviderType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  type?:
    | {
        __typename?: 'CircuitTypeType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  terminationA?:
    | {
        __typename?: 'CircuitTerminationType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
      }
    | undefined;
  terminationZ?:
    | {
        __typename?: 'CircuitTerminationType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const CircuitAssetDetailFragmentDoc = gql`
  fragment circuitAssetDetail on CircuitType {
    ...assetSharedDetail
    ...circuitDetailCard
    comments
  }
`;
