import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { CircuitTerminationAssetDetailFragmentDoc } from './circuit-termination-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { CircuitTerminationDetailCardFragmentDoc } from '../circuit-termination-detail-card/circuit-termination-detail-card.fragment.generated';
import { Injectable } from '@angular/core';

export type GetCircuitTerminationQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetCircuitTerminationQuery = {
  __typename?: 'Query';
  circuitTermination?:
    | {
        __typename?: 'CircuitTerminationType';
        Name?: string | undefined;
        description?: string | undefined;
        portSpeed?: number | undefined;
        upstreamSpeed?: number | undefined;
        ppInfo?: string | undefined;
        termSide?: SchemaTypes.CircuitsCircuitTerminationTermSideChoices | undefined;
        xconnectId?: string | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        site?:
          | {
              __typename?: 'SiteType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        cable?:
          | {
              __typename?: 'CableType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        circuit?:
          | {
              __typename?: 'CircuitType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        providerNetwork?:
          | {
              __typename?: 'ProviderNetworkType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
};

export const GetCircuitTerminationDocument = gql`
  query getCircuitTermination($id: ID!) {
    circuitTermination(id: $id) {
      ...circuitTerminationAssetDetail
    }
  }
  ${CircuitTerminationAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${CircuitTerminationDetailCardFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetCircuitTerminationQueryService extends Apollo.Query<
  GetCircuitTerminationQuery,
  GetCircuitTerminationQueryVariables
> {
  document = GetCircuitTerminationDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
