import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ProviderAssetDetailFragment = {
  __typename?: 'ProviderType';
  comments?: string | undefined;
  asn?: number | undefined;
  account?: string | undefined;
  portalUrl?: string | undefined;
  nocContact?: string | undefined;
  adminContact?: string | undefined;
  circuitCount?: number | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  circuits: {
    __typename?: 'CircuitTypeResultSet';
    data: Array<{
      __typename?: 'CircuitType';
      status?: SchemaTypes.CircuitsCircuitStatusChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      provider?:
        | {
            __typename?: 'ProviderType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      type?:
        | {
            __typename?: 'CircuitTypeType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      terminationA?:
        | {
            __typename?: 'CircuitTerminationType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
          }
        | undefined;
      terminationZ?:
        | {
            __typename?: 'CircuitTerminationType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
          }
        | undefined;
    }>;
  };
};

export const ProviderAssetDetailFragmentDoc = gql`
  fragment providerAssetDetail on ProviderType {
    ...assetSharedDetail
    ...providerDetailCard
    comments
    circuits {
      data {
        ...circuitAssetTableElement
      }
    }
  }
`;
