import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ProviderAssetDetailFragmentDoc } from './provider-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { ProviderDetailCardFragmentDoc } from '../provider-detail-card/provider-detail-card.fragment.generated';
import { CircuitAssetTableElementFragmentDoc } from '../../../../shared/tables/circuit-asset-table/circuit-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetProviderQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetProviderQuery = {
  __typename?: 'Query';
  provider?:
    | {
        __typename?: 'ProviderType';
        comments?: string | undefined;
        asn?: number | undefined;
        account?: string | undefined;
        portalUrl?: string | undefined;
        nocContact?: string | undefined;
        adminContact?: string | undefined;
        circuitCount?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        name?: string | undefined;
        circuits: {
          __typename?: 'CircuitTypeResultSet';
          data: Array<{
            __typename?: 'CircuitType';
            status?: SchemaTypes.CircuitsCircuitStatusChoices | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            provider?:
              | {
                  __typename?: 'ProviderType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            type?:
              | {
                  __typename?: 'CircuitTypeType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            terminationA?:
              | {
                  __typename?: 'CircuitTerminationType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
                }
              | undefined;
            terminationZ?:
              | {
                  __typename?: 'CircuitTerminationType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
                }
              | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetProviderDocument = gql`
  query getProvider($id: ID!) {
    provider(id: $id) {
      ...providerAssetDetail
    }
  }
  ${ProviderAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${ProviderDetailCardFragmentDoc}
  ${CircuitAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetProviderQueryService extends Apollo.Query<GetProviderQuery, GetProviderQueryVariables> {
  document = GetProviderDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
