import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import { CableAssetDetailFragment, GetCableQuery, GetCableQueryService, GetCableQueryVariables } from './graphql';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';

@Injectable()
export class CableAssetDetailService extends ApolloRoutedEntityService<
  GetCableQuery,
  GetCableQueryVariables,
  CableAssetDetailFragment
> {
  constructor(getQuery: GetCableQueryService, activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching cable');
  }

  protected createVariables(entityId: string): GetCableQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(ASSET_ID_PARAM_SELECTOR);
  }

  protected toFragment(query: GetCableQuery): Optional<CableAssetDetailFragment> {
    return query.cable;
  }
}
