import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { WirelessLinkAssetDetailFragmentDoc } from './wireless-link-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { WirelessLinkDetailCardFragmentDoc } from '../wireless-link-detail-card/wireless-link-detail-card.fragment.generated';
import { WirelessLinkInterfaceCardFragmentDoc } from '../wireless-link-interface-card/wireless-link-interface-card.fragment.generated';
import { Injectable } from '@angular/core';

export type GetWirelessLinkQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetWirelessLinkQuery = {
  __typename?: 'Query';
  wirelessLink?:
    | {
        __typename?: 'WirelessLinkType';
        status?: SchemaTypes.WirelessLinkStatusChoices | undefined;
        ssid?: string | undefined;
        description?: string | undefined;
        authType?: SchemaTypes.WirelessLinkAuthTypeChoices | undefined;
        authCipher?: SchemaTypes.WirelessLinkAuthCipherChoices | undefined;
        authPsk?: string | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        name?: string | undefined;
        interfaceA?:
          | {
              __typename?: 'InterfaceType';
              type?: SchemaTypes.DcimInterfaceTypeChoices | undefined;
              macAddress?: string | undefined;
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
              device?:
                | {
                    __typename?: 'DeviceType';
                    assetType: SchemaTypes.KnownAssetsEnum;
                    created?: any | undefined;
                    id: string;
                    name?: string | undefined;
                  }
                | undefined;
              cable?:
                | {
                    __typename?: 'CableType';
                    assetType: SchemaTypes.KnownAssetsEnum;
                    created?: any | undefined;
                    id: string;
                    name?: string | undefined;
                  }
                | undefined;
            }
          | undefined;
        interfaceB?:
          | {
              __typename?: 'InterfaceType';
              type?: SchemaTypes.DcimInterfaceTypeChoices | undefined;
              macAddress?: string | undefined;
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
              device?:
                | {
                    __typename?: 'DeviceType';
                    assetType: SchemaTypes.KnownAssetsEnum;
                    created?: any | undefined;
                    id: string;
                    name?: string | undefined;
                  }
                | undefined;
              cable?:
                | {
                    __typename?: 'CableType';
                    assetType: SchemaTypes.KnownAssetsEnum;
                    created?: any | undefined;
                    id: string;
                    name?: string | undefined;
                  }
                | undefined;
            }
          | undefined;
      }
    | undefined;
};

export const GetWirelessLinkDocument = gql`
  query getWirelessLink($id: ID!) {
    wirelessLink(id: $id) {
      ...wirelessLinkAssetDetail
    }
  }
  ${WirelessLinkAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${WirelessLinkDetailCardFragmentDoc}
  ${WirelessLinkInterfaceCardFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetWirelessLinkQueryService extends Apollo.Query<GetWirelessLinkQuery, GetWirelessLinkQueryVariables> {
  document = GetWirelessLinkDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
