import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ConsoleServerPortDetailFragmentDoc } from './console-server-port-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { ConsoleServerPortDetailCardFragmentDoc } from '../console-server-port-detail-card/console-server-port-detail-card.fragment.generated';
import { Injectable } from '@angular/core';

export type GetConsoleServerPortQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetConsoleServerPortQuery = {
  __typename?: 'Query';
  consoleServerPort?:
    | {
        __typename?: 'ConsoleServerPortType';
        name?: string | undefined;
        label?: string | undefined;
        type?: SchemaTypes.DcimConsoleServerPortTypeChoices | undefined;
        speed?: string | undefined;
        description?: string | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        device?:
          | {
              __typename?: 'DeviceType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tags: {
          __typename?: 'TagTypeResultSet';
          data: Array<{
            __typename?: 'TagType';
            id?: string | undefined;
            name?: string | undefined;
            color?: string | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetConsoleServerPortDocument = gql`
  query getConsoleServerPort($id: ID!) {
    consoleServerPort(id: $id) {
      ...consoleServerPortDetail
    }
  }
  ${ConsoleServerPortDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${ConsoleServerPortDetailCardFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetConsoleServerPortQueryService extends Apollo.Query<
  GetConsoleServerPortQuery,
  GetConsoleServerPortQueryVariables
> {
  document = GetConsoleServerPortDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
