import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetDetailCommentModule } from '@orion/asset-components/comments-card';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { ServiceAssetTableModule } from '@orion/asset-components/service-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { DeviceAssetDetailPageComponent } from './device-asset-detail-page.component';
import { DeviceDetailCardComponent } from './device-detail-card';

@NgModule({
  declarations: [DeviceAssetDetailPageComponent, DeviceDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    AssetDetailCommentModule,
    ServiceAssetTableModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [DeviceAssetDetailPageComponent],
})
export class DeviceAssetDetailPageModule {}
