import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type DeviceDetailCardFragment = {
  __typename?: 'DeviceType';
  name?: string | undefined;
  position?: number | undefined;
  serial?: string | undefined;
  assetTag?: string | undefined;
  status?: SchemaTypes.DcimDeviceStatusChoices | undefined;
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
        region?:
          | {
              __typename?: 'RegionType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
  location?:
    | {
        __typename?: 'LocationType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  rack?:
    | {
        __typename?: 'RackType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  deviceType?:
    | {
        __typename?: 'DeviceTypeType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        model?: string | undefined;
      }
    | undefined;
  deviceRole?:
    | {
        __typename?: 'DeviceRoleType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  platform?:
    | {
        __typename?: 'PlatformType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  primaryIp4?:
    | {
        __typename?: 'IPAddressType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        address?: string | undefined;
      }
    | undefined;
  primaryIp6?:
    | {
        __typename?: 'IPAddressType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        address?: string | undefined;
      }
    | undefined;
};

export const DeviceDetailCardFragmentDoc = gql`
  fragment deviceDetailCard on DeviceType {
    name
    site {
      ...assetBaseView
      region {
        ...assetBaseView
      }
    }
    location {
      ...assetBaseView
    }
    rack {
      ...assetBaseView
    }
    position
    tenant {
      ...assetBaseView
    }
    deviceType {
      ...assetBaseView
    }
    serial
    assetTag
    status
    deviceRole {
      ...assetBaseView
    }
    platform {
      ...assetBaseView
    }
    primaryIp4 {
      ...assetBaseView
    }
    primaryIp6 {
      ...assetBaseView
    }
  }
`;
