import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { DeviceAssetDetailFragmentDoc } from './device-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { DeviceDetailCardFragmentDoc } from '../device-detail-card/device-detail-card.fragment.generated';
import { ServiceAssetTableElementFragmentDoc } from '../../../../shared/tables/service-asset-table/service-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetDeviceQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetDeviceQuery = {
  __typename?: 'Query';
  device?:
    | {
        __typename?: 'DeviceType';
        comments?: string | undefined;
        name?: string | undefined;
        position?: number | undefined;
        serial?: string | undefined;
        assetTag?: string | undefined;
        status?: SchemaTypes.DcimDeviceStatusChoices | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        services: {
          __typename?: 'ServiceTypeResultSet';
          data: Array<{
            __typename?: 'ServiceType';
            protocol?: SchemaTypes.IpamServiceProtocolChoices | undefined;
            ports: Array<number | undefined>;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            virtualMachine?:
              | {
                  __typename?: 'VirtualMachineType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
        site?:
          | {
              __typename?: 'SiteType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
              region?:
                | {
                    __typename?: 'RegionType';
                    assetType: SchemaTypes.KnownAssetsEnum;
                    created?: any | undefined;
                    id: string;
                    name?: string | undefined;
                  }
                | undefined;
            }
          | undefined;
        location?:
          | {
              __typename?: 'LocationType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        rack?:
          | {
              __typename?: 'RackType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tenant?:
          | {
              __typename?: 'TenantType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        deviceType?:
          | {
              __typename?: 'DeviceTypeType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              model?: string | undefined;
            }
          | undefined;
        deviceRole?:
          | {
              __typename?: 'DeviceRoleType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        platform?:
          | {
              __typename?: 'PlatformType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        primaryIp4?:
          | {
              __typename?: 'IPAddressType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              address?: string | undefined;
            }
          | undefined;
        primaryIp6?:
          | {
              __typename?: 'IPAddressType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              address?: string | undefined;
            }
          | undefined;
        tags: {
          __typename?: 'TagTypeResultSet';
          data: Array<{
            __typename?: 'TagType';
            id?: string | undefined;
            name?: string | undefined;
            color?: string | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetDeviceDocument = gql`
  query getDevice($id: ID!) {
    device(id: $id) {
      ...deviceAssetDetail
    }
  }
  ${DeviceAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${DeviceDetailCardFragmentDoc}
  ${ServiceAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetDeviceQueryService extends Apollo.Query<GetDeviceQuery, GetDeviceQueryVariables> {
  document = GetDeviceDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
