import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetDetailCommentModule } from '@orion/asset-components/comments-card';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { DeviceAssetTableModule } from '@orion/asset-components/device-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { DeviceTypeAssetDetailPageComponent } from './device-type-asset-detail-page.component';
import { DeviceTypeDetailCardComponent } from './device-type-detail-card';

@NgModule({
  declarations: [DeviceTypeAssetDetailPageComponent, DeviceTypeDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    AssetDetailCommentModule,
    DeviceAssetTableModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [DeviceTypeAssetDetailPageComponent],
})
export class DeviceTypeAssetDetailPageModule {}
