import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type DeviceTypeDetailCardFragment = {
  __typename?: 'DeviceTypeType';
  model?: string | undefined;
  partNumber?: string | undefined;
  uHeight?: number | undefined;
  isFullDepth?: boolean | undefined;
  subdeviceRole?: SchemaTypes.DcimDeviceTypeSubdeviceRoleChoices | undefined;
  frontImage?: string | undefined;
  rearImage?: string | undefined;
  manufacturer?:
    | {
        __typename?: 'ManufacturerType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  instances: { __typename?: 'DeviceTypeResultSet'; data: Array<{ __typename?: 'DeviceType'; id: string }> };
};

export const DeviceTypeDetailCardFragmentDoc = gql`
  fragment deviceTypeDetailCard on DeviceTypeType {
    manufacturer {
      ...assetBaseView
    }
    model
    partNumber
    uHeight
    isFullDepth
    subdeviceRole
    frontImage
    rearImage
    instances {
      data {
        id
      }
    }
  }
`;
