import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type DeviceTypeAssetDetailFragment = {
  __typename?: 'DeviceTypeType';
  comments?: string | undefined;
  model?: string | undefined;
  partNumber?: string | undefined;
  uHeight?: number | undefined;
  isFullDepth?: boolean | undefined;
  subdeviceRole?: SchemaTypes.DcimDeviceTypeSubdeviceRoleChoices | undefined;
  frontImage?: string | undefined;
  rearImage?: string | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  instances: {
    __typename?: 'DeviceTypeResultSet';
    data: Array<{
      __typename?: 'DeviceType';
      id: string;
      status?: SchemaTypes.DcimDeviceStatusChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      name?: string | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      deviceRole?:
        | {
            __typename?: 'DeviceRoleType';
            color?: string | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      deviceType?:
        | {
            __typename?: 'DeviceTypeType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            model?: string | undefined;
            manufacturer?:
              | {
                  __typename?: 'ManufacturerType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }
        | undefined;
      site?:
        | {
            __typename?: 'SiteType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      location?:
        | {
            __typename?: 'LocationType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      rack?:
        | {
            __typename?: 'RackType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      primaryIp4?:
        | {
            __typename?: 'IPAddressType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            address?: string | undefined;
          }
        | undefined;
      primaryIp6?:
        | {
            __typename?: 'IPAddressType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            address?: string | undefined;
          }
        | undefined;
    }>;
  };
  manufacturer?:
    | {
        __typename?: 'ManufacturerType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const DeviceTypeAssetDetailFragmentDoc = gql`
  fragment deviceTypeAssetDetail on DeviceTypeType {
    ...assetSharedDetail
    ...deviceTypeDetailCard
    comments
    instances {
      data {
        ...deviceAssetTableElement
      }
    }
  }
`;
