import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type FrontPortDetailCardFragment = {
  __typename?: 'FrontPortType';
  name?: string | undefined;
  label?: string | undefined;
  type?: SchemaTypes.DcimFrontPortTypeChoices | undefined;
  color?: string | undefined;
  rearPortPosition?: number | undefined;
  description?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  rearPort?:
    | {
        __typename?: 'RearPortType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  cable?:
    | {
        __typename?: 'CableType';
        status?: SchemaTypes.DcimCableStatusChoices | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const FrontPortDetailCardFragmentDoc = gql`
  fragment frontPortDetailCard on FrontPortType {
    name
    device {
      ...assetBaseView
    }
    label
    type
    color
    rearPort {
      ...assetBaseView
    }
    rearPortPosition
    description
    cable {
      ...assetBaseView
      status
    }
  }
`;
