import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { InterfaceAssetDetailFragmentDoc } from './interface-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { InterfaceDetailCardFragmentDoc } from '../interface-detail-card/interface-detail-card.fragment.generated';
import { Injectable } from '@angular/core';

export type GetInterfaceQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetInterfaceQuery = {
  __typename?: 'Query';
  interface?:
    | {
        __typename?: 'InterfaceType';
        name?: string | undefined;
        label?: string | undefined;
        type?: SchemaTypes.DcimInterfaceTypeChoices | undefined;
        enabled?: boolean | undefined;
        mgmtOnly?: boolean | undefined;
        description?: string | undefined;
        mtu?: number | undefined;
        macAddress?: string | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        device?:
          | {
              __typename?: 'DeviceType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        parent?:
          | {
              __typename?: 'InterfaceType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        bridge?:
          | {
              __typename?: 'InterfaceType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        lag?:
          | {
              __typename?: 'InterfaceType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tags: {
          __typename?: 'TagTypeResultSet';
          data: Array<{
            __typename?: 'TagType';
            id?: string | undefined;
            name?: string | undefined;
            color?: string | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetInterfaceDocument = gql`
  query getInterface($id: ID!) {
    interface(id: $id) {
      ...interfaceAssetDetail
    }
  }
  ${InterfaceAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${InterfaceDetailCardFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetInterfaceQueryService extends Apollo.Query<GetInterfaceQuery, GetInterfaceQueryVariables> {
  document = GetInterfaceDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
