import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type InventoryItemDetailCardFragment = {
  __typename?: 'InventoryItemType';
  name?: string | undefined;
  label?: string | undefined;
  partId?: string | undefined;
  assetTag?: string | undefined;
  description?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  parent?:
    | {
        __typename?: 'InventoryItemType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  manufacturer?:
    | {
        __typename?: 'ManufacturerType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const InventoryItemDetailCardFragmentDoc = gql`
  fragment inventoryItemDetailCard on InventoryItemType {
    name
    device {
      ...assetBaseView
    }
    parent {
      ...assetBaseView
    }
    label
    manufacturer {
      ...assetBaseView
    }
    partId
    assetTag
    description
  }
`;
