import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ManufacturerAssetDetailFragment = {
  __typename?: 'ManufacturerType';
  name?: string | undefined;
  description?: string | undefined;
  devicetypeCount?: number | undefined;
  inventoryitemCount?: number | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  deviceTypes: {
    __typename?: 'DeviceTypeTypeResultSet';
    data: Array<{
      __typename?: 'DeviceTypeType';
      partNumber?: string | undefined;
      uHeight?: number | undefined;
      isFullDepth?: boolean | undefined;
      deviceCount?: number | undefined;
      subdeviceRole?: SchemaTypes.DcimDeviceTypeSubdeviceRoleChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      model?: string | undefined;
      manufacturer?:
        | {
            __typename?: 'ManufacturerType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const ManufacturerAssetDetailFragmentDoc = gql`
  fragment manufacturerAssetDetail on ManufacturerType {
    ...assetSharedDetail
    ...manufacturerDetailCard
    deviceTypes {
      data {
        ...deviceTypeAssetTableElement
      }
    }
  }
`;
