import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ManufacturerAssetDetailFragmentDoc } from './manufacturer-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { ManufacturerDetailCardFragmentDoc } from '../manufacturer-detail-card/manufacturer-detail-card.fragment.generated';
import { DeviceTypeAssetTableElementFragmentDoc } from '../../../../shared/tables/device-type-asset-table/device-type-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetManufacturerQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetManufacturerQuery = {
  __typename?: 'Query';
  manufacturer?:
    | {
        __typename?: 'ManufacturerType';
        name?: string | undefined;
        description?: string | undefined;
        devicetypeCount?: number | undefined;
        inventoryitemCount?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        deviceTypes: {
          __typename?: 'DeviceTypeTypeResultSet';
          data: Array<{
            __typename?: 'DeviceTypeType';
            partNumber?: string | undefined;
            uHeight?: number | undefined;
            isFullDepth?: boolean | undefined;
            deviceCount?: number | undefined;
            subdeviceRole?: SchemaTypes.DcimDeviceTypeSubdeviceRoleChoices | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            model?: string | undefined;
            manufacturer?:
              | {
                  __typename?: 'ManufacturerType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetManufacturerDocument = gql`
  query getManufacturer($id: ID!) {
    manufacturer(id: $id) {
      ...manufacturerAssetDetail
    }
  }
  ${ManufacturerAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${ManufacturerDetailCardFragmentDoc}
  ${DeviceTypeAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetManufacturerQueryService extends Apollo.Query<GetManufacturerQuery, GetManufacturerQueryVariables> {
  document = GetManufacturerDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
