import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { PlatformAssetDetailFragmentDoc } from './platform-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { PlatformDetailCardFragmentDoc } from '../platform-detail-card/platform-detail-card.fragment.generated';
import { DeviceAssetTableElementFragmentDoc } from '../../../../shared/tables/device-asset-table/device-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetPlatformQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetPlatformQuery = {
  __typename?: 'Query';
  platform?:
    | {
        __typename?: 'PlatformType';
        napalmArgs?: string | undefined;
        name?: string | undefined;
        description?: string | undefined;
        napalmDriver?: string | undefined;
        deviceCount?: number | undefined;
        virtualmachineCount?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        devices: {
          __typename?: 'DeviceTypeResultSet';
          data: Array<{
            __typename?: 'DeviceType';
            status?: SchemaTypes.DcimDeviceStatusChoices | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            deviceRole?:
              | {
                  __typename?: 'DeviceRoleType';
                  color?: string | undefined;
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            deviceType?:
              | {
                  __typename?: 'DeviceTypeType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  model?: string | undefined;
                  manufacturer?:
                    | {
                        __typename?: 'ManufacturerType';
                        assetType: SchemaTypes.KnownAssetsEnum;
                        created?: any | undefined;
                        id: string;
                        name?: string | undefined;
                      }
                    | undefined;
                }
              | undefined;
            site?:
              | {
                  __typename?: 'SiteType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            location?:
              | {
                  __typename?: 'LocationType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            rack?:
              | {
                  __typename?: 'RackType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            primaryIp4?:
              | {
                  __typename?: 'IPAddressType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  address?: string | undefined;
                }
              | undefined;
            primaryIp6?:
              | {
                  __typename?: 'IPAddressType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  address?: string | undefined;
                }
              | undefined;
          }>;
        };
        manufacturer?:
          | {
              __typename?: 'ManufacturerType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
};

export const GetPlatformDocument = gql`
  query getPlatform($id: ID!) {
    platform(id: $id) {
      ...platformAssetDetail
    }
  }
  ${PlatformAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${PlatformDetailCardFragmentDoc}
  ${DeviceAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetPlatformQueryService extends Apollo.Query<GetPlatformQuery, GetPlatformQueryVariables> {
  document = GetPlatformDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
