import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { DeviceAssetTableModule } from '@orion/asset-components/device-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { PlatformAssetDetailPageComponent } from './platform-asset-detail-page.component';
import { PlatformDetailCardComponent } from './platform-detail-card';

@NgModule({
  declarations: [PlatformAssetDetailPageComponent, PlatformDetailCardComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    SLetModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    DeviceAssetTableModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [PlatformAssetDetailPageComponent],
})
export class PlatformAssetDetailPageModule {}
