import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type PowerOutletAssetDetailFragment = {
  __typename?: 'PowerOutletType';
  name?: string | undefined;
  label?: string | undefined;
  type?: SchemaTypes.DcimPowerOutletTypeChoices | undefined;
  description?: string | undefined;
  feedLeg?: SchemaTypes.DcimPowerOutletFeedLegChoices | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  powerPort?:
    | {
        __typename?: 'PowerPortType';
        type?: SchemaTypes.DcimPowerPortTypeChoices | undefined;
        description?: string | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  cable?:
    | {
        __typename?: 'CableType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const PowerOutletAssetDetailFragmentDoc = gql`
  fragment powerOutletAssetDetail on PowerOutletType {
    ...assetSharedDetail
    ...powerOutletDetailCard
  }
`;
