import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { PowerOutletAssetDetailFragmentDoc } from './power-outlet-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { PowerOutletDetailCardFragmentDoc } from '../power-outlet-detail-card/power-outlet-detail-card.fragment.generated';
import { Injectable } from '@angular/core';

export type GetPowerOutletQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetPowerOutletQuery = {
  __typename?: 'Query';
  powerOutlet?:
    | {
        __typename?: 'PowerOutletType';
        name?: string | undefined;
        label?: string | undefined;
        type?: SchemaTypes.DcimPowerOutletTypeChoices | undefined;
        description?: string | undefined;
        feedLeg?: SchemaTypes.DcimPowerOutletFeedLegChoices | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        device?:
          | {
              __typename?: 'DeviceType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        powerPort?:
          | {
              __typename?: 'PowerPortType';
              type?: SchemaTypes.DcimPowerPortTypeChoices | undefined;
              description?: string | undefined;
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        cable?:
          | {
              __typename?: 'CableType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tags: {
          __typename?: 'TagTypeResultSet';
          data: Array<{
            __typename?: 'TagType';
            id?: string | undefined;
            name?: string | undefined;
            color?: string | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetPowerOutletDocument = gql`
  query getPowerOutlet($id: ID!) {
    powerOutlet(id: $id) {
      ...powerOutletAssetDetail
    }
  }
  ${PowerOutletAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${PowerOutletDetailCardFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetPowerOutletQueryService extends Apollo.Query<GetPowerOutletQuery, GetPowerOutletQueryVariables> {
  document = GetPowerOutletDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
