import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type PowerOutletDetailCardFragment = {
  __typename?: 'PowerOutletType';
  name?: string | undefined;
  label?: string | undefined;
  type?: SchemaTypes.DcimPowerOutletTypeChoices | undefined;
  description?: string | undefined;
  feedLeg?: SchemaTypes.DcimPowerOutletFeedLegChoices | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  powerPort?:
    | {
        __typename?: 'PowerPortType';
        type?: SchemaTypes.DcimPowerPortTypeChoices | undefined;
        description?: string | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  cable?:
    | {
        __typename?: 'CableType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const PowerOutletDetailCardFragmentDoc = gql`
  fragment powerOutletDetailCard on PowerOutletType {
    name
    device {
      ...assetBaseView
    }
    label
    type
    description
    powerPort {
      ...assetBaseView
      type
      description
    }
    feedLeg
    cable {
      ...assetBaseView
    }
  }
`;
