import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type PowerPortDetailCardFragment = {
  __typename?: 'PowerPortType';
  name?: string | undefined;
  label?: string | undefined;
  type?: SchemaTypes.DcimPowerPortTypeChoices | undefined;
  description?: string | undefined;
  maximumDraw?: number | undefined;
  allocatedDraw?: number | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  cable?:
    | {
        __typename?: 'CableType';
        type?: SchemaTypes.DcimCableTypeChoices | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const PowerPortDetailCardFragmentDoc = gql`
  fragment powerPortDetailCard on PowerPortType {
    name
    device {
      ...assetBaseView
    }
    label
    type
    description
    maximumDraw
    allocatedDraw
    cable {
      ...assetBaseView
      type
    }
  }
`;
