import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type AsnAssetDetailFragment = {
  __typename?: 'ASNType';
  asn?: number | undefined;
  description?: string | undefined;
  siteCount?: number | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  sites: {
    __typename?: 'SiteTypeResultSet';
    data: Array<{
      __typename?: 'SiteType';
      status?: SchemaTypes.DcimSiteStatusChoices | undefined;
      facility?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      region?:
        | {
            __typename?: 'RegionType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tags: {
        __typename?: 'TagTypeResultSet';
        data: Array<{
          __typename?: 'TagType';
          id?: string | undefined;
          name?: string | undefined;
          color?: string | undefined;
        }>;
      };
    }>;
  };
  rir?:
    | {
        __typename?: 'RIRType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const AsnAssetDetailFragmentDoc = gql`
  fragment asnAssetDetail on ASNType {
    ...assetSharedDetail
    ...asnDetailCard
    sites {
      data {
        ...siteAssetTableElement
      }
    }
  }
`;
