import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { AsnAssetDetailFragmentDoc } from './asn-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { AsnDetailCardFragmentDoc } from '../asn-detail-card/asn-detail-card.fragment.generated';
import { SiteAssetTableElementFragmentDoc } from '../../../../shared/tables/site-asset-table/site-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetAsnQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetAsnQuery = {
  __typename?: 'Query';
  asn?:
    | {
        __typename?: 'ASNType';
        asn?: number | undefined;
        description?: string | undefined;
        siteCount?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        name?: string | undefined;
        sites: {
          __typename?: 'SiteTypeResultSet';
          data: Array<{
            __typename?: 'SiteType';
            status?: SchemaTypes.DcimSiteStatusChoices | undefined;
            facility?: string | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            region?:
              | {
                  __typename?: 'RegionType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            tags: {
              __typename?: 'TagTypeResultSet';
              data: Array<{
                __typename?: 'TagType';
                id?: string | undefined;
                name?: string | undefined;
                color?: string | undefined;
              }>;
            };
          }>;
        };
        rir?:
          | {
              __typename?: 'RIRType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tenant?:
          | {
              __typename?: 'TenantType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
};

export const GetAsnDocument = gql`
  query getAsn($id: ID!) {
    asn(id: $id) {
      ...asnAssetDetail
    }
  }
  ${AsnAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${AsnDetailCardFragmentDoc}
  ${SiteAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetAsnQueryService extends Apollo.Query<GetAsnQuery, GetAsnQueryVariables> {
  document = GetAsnDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
