import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { FhrpGroupAssetDetailFragmentDoc } from './fhrp-group-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { FhrpGroupDetailCardFragmentDoc } from '../fhrp-group-detail-card/fhrp-group-detail-card.fragment.generated';
import { IpAddressAssetTableElementFragmentDoc } from '../../../../shared/tables/ip-address-asset-table/ip-address-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetFhrpGroupQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetFhrpGroupQuery = {
  __typename?: 'Query';
  fhrpGroup?:
    | {
        __typename?: 'FHRPGroupType';
        groupId?: number | undefined;
        protocol?: string | undefined;
        description?: string | undefined;
        authType?: string | undefined;
        authKey?: string | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        name?: string | undefined;
        ipAddresses: Array<{
          __typename?: 'IPAddressType';
          status?: SchemaTypes.IpamIpAddressStatusChoices | undefined;
          role?: SchemaTypes.IpamIpAddressRoleChoices | undefined;
          assignedObjectId?: string | undefined;
          dnsName?: string | undefined;
          created?: any | undefined;
          lastUpdated?: any | undefined;
          assetType: SchemaTypes.KnownAssetsEnum;
          id: string;
          address?: string | undefined;
          vrf?:
            | {
                __typename?: 'VRFType';
                assetType: SchemaTypes.KnownAssetsEnum;
                created?: any | undefined;
                id: string;
                name?: string | undefined;
              }
            | undefined;
          tenant?:
            | {
                __typename?: 'TenantType';
                assetType: SchemaTypes.KnownAssetsEnum;
                created?: any | undefined;
                id: string;
                name?: string | undefined;
              }
            | undefined;
        }>;
      }
    | undefined;
};

export const GetFhrpGroupDocument = gql`
  query getFhrpGroup($id: ID!) {
    fhrpGroup(id: $id) {
      ...fhrpGroupAssetDetail
    }
  }
  ${FhrpGroupAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${FhrpGroupDetailCardFragmentDoc}
  ${IpAddressAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetFhrpGroupQueryService extends Apollo.Query<GetFhrpGroupQuery, GetFhrpGroupQueryVariables> {
  document = GetFhrpGroupDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
