import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { IpAddressAssetDetailFragmentDoc } from './ip-address-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { IpAddressDetailCardFragmentDoc } from '../ip-address-detail-card/ip-address-detail-card.fragment.generated';
import { Injectable } from '@angular/core';

export type GetIpAddressQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetIpAddressQuery = {
  __typename?: 'Query';
  ipAddress?:
    | {
        __typename?: 'IPAddressType';
        address?: string | undefined;
        status?: SchemaTypes.IpamIpAddressStatusChoices | undefined;
        role?: SchemaTypes.IpamIpAddressRoleChoices | undefined;
        dnsName?: string | undefined;
        description?: string | undefined;
        assignedObjectType?: string | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        vrf?:
          | {
              __typename?: 'VRFType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tenant?:
          | {
              __typename?: 'TenantType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        natInside?:
          | {
              __typename?: 'IPAddressType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              address?: string | undefined;
            }
          | undefined;
        natOutside?:
          | {
              __typename?: 'IPAddressType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              address?: string | undefined;
            }
          | undefined;
        tags: {
          __typename?: 'TagTypeResultSet';
          data: Array<{
            __typename?: 'TagType';
            id?: string | undefined;
            name?: string | undefined;
            color?: string | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetIpAddressDocument = gql`
  query getIpAddress($id: ID!) {
    ipAddress(id: $id) {
      ...ipAddressAssetDetail
    }
  }
  ${IpAddressAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${IpAddressDetailCardFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetIpAddressQueryService extends Apollo.Query<GetIpAddressQuery, GetIpAddressQueryVariables> {
  document = GetIpAddressDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
