import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type IpAddressDetailCardFragment = {
  __typename?: 'IPAddressType';
  address?: string | undefined;
  status?: SchemaTypes.IpamIpAddressStatusChoices | undefined;
  role?: SchemaTypes.IpamIpAddressRoleChoices | undefined;
  dnsName?: string | undefined;
  description?: string | undefined;
  assignedObjectType?: string | undefined;
  vrf?:
    | {
        __typename?: 'VRFType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  natInside?:
    | {
        __typename?: 'IPAddressType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        address?: string | undefined;
      }
    | undefined;
  natOutside?:
    | {
        __typename?: 'IPAddressType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        address?: string | undefined;
      }
    | undefined;
};

export const IpAddressDetailCardFragmentDoc = gql`
  fragment ipAddressDetailCard on IPAddressType {
    address
    vrf {
      ...assetBaseView
    }
    tenant {
      ...assetBaseView
    }
    status
    role
    dnsName
    description
    assignedObjectType
    natInside {
      ...assetBaseView
    }
    natOutside {
      ...assetBaseView
    }
  }
`;
