import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type PrefixAndVlanRoleAssetDetailFragment = {
  __typename?: 'RoleType';
  name?: string | undefined;
  description?: string | undefined;
  weight?: number | undefined;
  prefixCount?: number | undefined;
  vlanCount?: number | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  prefixes: {
    __typename?: 'PrefixTypeResultSet';
    data: Array<{
      __typename?: 'PrefixType';
      status?: SchemaTypes.IpamPrefixStatusChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      vrf?:
        | {
            __typename?: 'VRFType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      site?:
        | {
            __typename?: 'SiteType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      vlan?:
        | {
            __typename?: 'VLANType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      role?:
        | {
            __typename?: 'RoleType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
  vlans: {
    __typename?: 'VLANTypeResultSet';
    data: Array<{
      __typename?: 'VLANType';
      vid?: number | undefined;
      status?: SchemaTypes.IpamVlanStatusChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      site?:
        | {
            __typename?: 'SiteType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      group?:
        | {
            __typename?: 'VLANGroupType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      role?:
        | {
            __typename?: 'RoleType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const PrefixAndVlanRoleAssetDetailFragmentDoc = gql`
  fragment prefixAndVlanRoleAssetDetail on RoleType {
    ...assetSharedDetail
    prefixes {
      data {
        ...prefixAssetTableElement
      }
    }
    vlans {
      data {
        ...vlanAssetTableElement
      }
    }
    ...prefixAndVlanRoleDetailCard
  }
`;
