import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { PrefixAndVlanRoleAssetDetailFragmentDoc } from './prefix-and-vlan-role-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { PrefixAssetTableElementFragmentDoc } from '../../../../shared/tables/prefix-asset-table/prefix-asset-table-element.fragment.generated';
import { VlanAssetTableElementFragmentDoc } from '../../../../shared/tables/vlan-asset-table/vlan-asset-table-element.fragment.generated';
import { PrefixAndVlanRoleDetailCardFragmentDoc } from '../prefix-and-vlan-role-detail-card/prefix-and-vlan-role-detail-card.fragment.generated';
import { Injectable } from '@angular/core';

export type GetPrefixAndVlanRoleQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetPrefixAndVlanRoleQuery = {
  __typename?: 'Query';
  role?:
    | {
        __typename?: 'RoleType';
        name?: string | undefined;
        description?: string | undefined;
        weight?: number | undefined;
        prefixCount?: number | undefined;
        vlanCount?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        prefixes: {
          __typename?: 'PrefixTypeResultSet';
          data: Array<{
            __typename?: 'PrefixType';
            status?: SchemaTypes.IpamPrefixStatusChoices | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            vrf?:
              | {
                  __typename?: 'VRFType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            site?:
              | {
                  __typename?: 'SiteType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            vlan?:
              | {
                  __typename?: 'VLANType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            role?:
              | {
                  __typename?: 'RoleType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
        vlans: {
          __typename?: 'VLANTypeResultSet';
          data: Array<{
            __typename?: 'VLANType';
            vid?: number | undefined;
            status?: SchemaTypes.IpamVlanStatusChoices | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            site?:
              | {
                  __typename?: 'SiteType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            group?:
              | {
                  __typename?: 'VLANGroupType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            role?:
              | {
                  __typename?: 'RoleType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetPrefixAndVlanRoleDocument = gql`
  query getPrefixAndVlanRole($id: ID!) {
    role(id: $id) {
      ...prefixAndVlanRoleAssetDetail
    }
  }
  ${PrefixAndVlanRoleAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${PrefixAssetTableElementFragmentDoc}
  ${VlanAssetTableElementFragmentDoc}
  ${PrefixAndVlanRoleDetailCardFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetPrefixAndVlanRoleQueryService extends Apollo.Query<
  GetPrefixAndVlanRoleQuery,
  GetPrefixAndVlanRoleQueryVariables
> {
  document = GetPrefixAndVlanRoleDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
