import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type PrefixDetailCardFragment = {
  __typename?: 'PrefixType';
  status?: SchemaTypes.IpamPrefixStatusChoices | undefined;
  description?: string | undefined;
  isPool?: boolean | undefined;
  vrf?:
    | {
        __typename?: 'VRFType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  vlan?:
    | {
        __typename?: 'VLANType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  role?:
    | {
        __typename?: 'RoleType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const PrefixDetailCardFragmentDoc = gql`
  fragment prefixDetailCard on PrefixType {
    vrf {
      ...assetBaseView
    }
    tenant {
      ...assetBaseView
    }
    site {
      ...assetBaseView
    }
    vlan {
      ...assetBaseView
    }
    status
    role {
      ...assetBaseView
    }
    description
    isPool
  }
`;
