import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { RirAssetDetailFragmentDoc } from './rir-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { RirDetailCardFragmentDoc } from '../rir-detail-card/rir-detail-card.fragment.generated';
import { AggregateAssetTableElementFragmentDoc } from '../../../../shared/tables/aggregate-asset-table/aggregate-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetRirDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetRirDetailQuery = {
  __typename?: 'Query';
  rir?:
    | {
        __typename?: 'RIRType';
        name?: string | undefined;
        description?: string | undefined;
        isPrivate?: boolean | undefined;
        aggregateCount?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        aggregates: {
          __typename?: 'AggregateTypeResultSet';
          data: Array<{
            __typename?: 'AggregateType';
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            rir?:
              | {
                  __typename?: 'RIRType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetRirDetailDocument = gql`
  query getRirDetail($id: ID!) {
    rir(id: $id) {
      ...rirAssetDetail
    }
  }
  ${RirAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${RirDetailCardFragmentDoc}
  ${AggregateAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetRirDetailQueryService extends Apollo.Query<GetRirDetailQuery, GetRirDetailQueryVariables> {
  document = GetRirDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
