import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RouteTargetAssetDetailFragment = {
  __typename?: 'RouteTargetType';
  name?: string | undefined;
  description?: string | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  importingVrfs: {
    __typename?: 'VRFTypeResultSet';
    data: Array<{
      __typename?: 'VRFType';
      rd?: string | undefined;
      lastUpdated?: any | undefined;
      created?: any | undefined;
      description?: string | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
  exportingVrfs: {
    __typename?: 'VRFTypeResultSet';
    data: Array<{
      __typename?: 'VRFType';
      rd?: string | undefined;
      lastUpdated?: any | undefined;
      created?: any | undefined;
      description?: string | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const RouteTargetAssetDetailFragmentDoc = gql`
  fragment routeTargetAssetDetail on RouteTargetType {
    ...assetSharedDetail
    ...routeTargetDetailCard
    importingVrfs {
      data {
        ...vrfAssetTableElement
      }
    }
    exportingVrfs {
      data {
        ...vrfAssetTableElement
      }
    }
  }
`;
