import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { RouteTargetAssetDetailFragmentDoc } from './route-target-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { RouteTargetDetailCardFragmentDoc } from '../route-target-detail-card/route-target-detail-card.fragment.generated';
import { VrfAssetTableElementFragmentDoc } from '../../../../shared/tables/vrf-asset-table/vrf-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetRouteTargetDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetRouteTargetDetailQuery = {
  __typename?: 'Query';
  routeTarget?:
    | {
        __typename?: 'RouteTargetType';
        name?: string | undefined;
        description?: string | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        importingVrfs: {
          __typename?: 'VRFTypeResultSet';
          data: Array<{
            __typename?: 'VRFType';
            rd?: string | undefined;
            lastUpdated?: any | undefined;
            created?: any | undefined;
            description?: string | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
        exportingVrfs: {
          __typename?: 'VRFTypeResultSet';
          data: Array<{
            __typename?: 'VRFType';
            rd?: string | undefined;
            lastUpdated?: any | undefined;
            created?: any | undefined;
            description?: string | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
        tenant?:
          | {
              __typename?: 'TenantType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tags: {
          __typename?: 'TagTypeResultSet';
          data: Array<{
            __typename?: 'TagType';
            id?: string | undefined;
            name?: string | undefined;
            color?: string | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetRouteTargetDetailDocument = gql`
  query getRouteTargetDetail($id: ID!) {
    routeTarget(id: $id) {
      ...routeTargetAssetDetail
    }
  }
  ${RouteTargetAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${RouteTargetDetailCardFragmentDoc}
  ${VrfAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetRouteTargetDetailQueryService extends Apollo.Query<
  GetRouteTargetDetailQuery,
  GetRouteTargetDetailQueryVariables
> {
  document = GetRouteTargetDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
