import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ServiceAssetDetailFragment = {
  __typename?: 'ServiceType';
  name?: string | undefined;
  protocol?: SchemaTypes.IpamServiceProtocolChoices | undefined;
  ports: Array<number | undefined>;
  description?: string | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  ipAddresses: Array<{
    __typename?: 'IPAddressType';
    id: string;
    status?: SchemaTypes.IpamIpAddressStatusChoices | undefined;
    role?: SchemaTypes.IpamIpAddressRoleChoices | undefined;
    assignedObjectId?: string | undefined;
    dnsName?: string | undefined;
    created?: any | undefined;
    lastUpdated?: any | undefined;
    assetType: SchemaTypes.KnownAssetsEnum;
    address?: string | undefined;
    vrf?:
      | {
          __typename?: 'VRFType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | undefined;
    tenant?:
      | {
          __typename?: 'TenantType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | undefined;
  }>;
  virtualMachine?:
    | {
        __typename?: 'VirtualMachineType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const ServiceAssetDetailFragmentDoc = gql`
  fragment serviceAssetDetail on ServiceType {
    ...assetSharedDetail
    ...serviceDetailCard
    ipAddresses {
      ...ipAddressAssetTableElement
    }
  }
`;
