import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ServiceAssetDetailFragmentDoc } from './service-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { ServiceDetailCardFragmentDoc } from '../service-detail-card/service-detail-card.fragment.generated';
import { IpAddressAssetTableElementFragmentDoc } from '../../../../shared/tables/ip-address-asset-table/ip-address-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetServiceDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetServiceDetailQuery = {
  __typename?: 'Query';
  serviceAsset?:
    | {
        __typename?: 'ServiceType';
        name?: string | undefined;
        protocol?: SchemaTypes.IpamServiceProtocolChoices | undefined;
        ports: Array<number | undefined>;
        description?: string | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        ipAddresses: Array<{
          __typename?: 'IPAddressType';
          id: string;
          status?: SchemaTypes.IpamIpAddressStatusChoices | undefined;
          role?: SchemaTypes.IpamIpAddressRoleChoices | undefined;
          assignedObjectId?: string | undefined;
          dnsName?: string | undefined;
          created?: any | undefined;
          lastUpdated?: any | undefined;
          assetType: SchemaTypes.KnownAssetsEnum;
          address?: string | undefined;
          vrf?:
            | {
                __typename?: 'VRFType';
                assetType: SchemaTypes.KnownAssetsEnum;
                created?: any | undefined;
                id: string;
                name?: string | undefined;
              }
            | undefined;
          tenant?:
            | {
                __typename?: 'TenantType';
                assetType: SchemaTypes.KnownAssetsEnum;
                created?: any | undefined;
                id: string;
                name?: string | undefined;
              }
            | undefined;
        }>;
        virtualMachine?:
          | {
              __typename?: 'VirtualMachineType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        device?:
          | {
              __typename?: 'DeviceType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tags: {
          __typename?: 'TagTypeResultSet';
          data: Array<{
            __typename?: 'TagType';
            id?: string | undefined;
            name?: string | undefined;
            color?: string | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetServiceDetailDocument = gql`
  query getServiceDetail($id: ID!) {
    serviceAsset(id: $id) {
      ...serviceAssetDetail
    }
  }
  ${ServiceAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${ServiceDetailCardFragmentDoc}
  ${IpAddressAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetServiceDetailQueryService extends Apollo.Query<GetServiceDetailQuery, GetServiceDetailQueryVariables> {
  document = GetServiceDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
