import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { IpAddressAssetTableModule } from '@orion/asset-components/ip-address-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { ServiceAssetDetailPageComponent } from './service-asset-detail-page.component';
import { ServiceDetailCardComponent } from './service-detail-card';

@NgModule({
  declarations: [ServiceAssetDetailPageComponent, ServiceDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    IpAddressAssetTableModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [ServiceAssetDetailPageComponent],
})
export class ServiceAssetDetailPageModule {}
