import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ServiceDetailCardFragment = {
  __typename?: 'ServiceType';
  name?: string | undefined;
  protocol?: SchemaTypes.IpamServiceProtocolChoices | undefined;
  ports: Array<number | undefined>;
  description?: string | undefined;
  virtualMachine?:
    | {
        __typename?: 'VirtualMachineType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  device?:
    | {
        __typename?: 'DeviceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  ipAddresses: Array<{ __typename?: 'IPAddressType'; id: string }>;
};

export const ServiceDetailCardFragmentDoc = gql`
  fragment serviceDetailCard on ServiceType {
    name
    virtualMachine {
      ...assetBaseView
    }
    device {
      ...assetBaseView
    }
    protocol
    ports
    ipAddresses {
      id
    }
    description
  }
`;
