import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type VlanAssetDetailFragment = {
  __typename?: 'VLANType';
  vid?: number | undefined;
  name?: string | undefined;
  status?: SchemaTypes.IpamVlanStatusChoices | undefined;
  description?: string | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  prefixes: {
    __typename?: 'PrefixTypeResultSet';
    data: Array<{
      __typename?: 'PrefixType';
      status?: SchemaTypes.IpamPrefixStatusChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      vrf?:
        | {
            __typename?: 'VRFType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      site?:
        | {
            __typename?: 'SiteType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      vlan?:
        | {
            __typename?: 'VLANType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      role?:
        | {
            __typename?: 'RoleType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  group?:
    | {
        __typename?: 'VLANGroupType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  role?:
    | {
        __typename?: 'RoleType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const VlanAssetDetailFragmentDoc = gql`
  fragment vlanAssetDetail on VLANType {
    ...assetSharedDetail
    prefixes {
      data {
        ...prefixAssetTableElement
      }
    }
    ...vlanDetailCard
  }
`;
