import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { PrefixAssetTableModule } from '@orion/asset-components/prefix-table';
import { VlanStatusModule } from '@orion/asset-components/vlan-status';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { VlanAssetDetailPageComponent } from './vlan-asset-detail-page.component';
import { VlanDetailCardComponent } from './vlan-detail-card';

@NgModule({
  declarations: [VlanAssetDetailPageComponent, VlanDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    PrefixAssetTableModule,
    OrionAttributeModule,
    AssetBaseViewModule,
    VlanStatusModule,
  ],
  exports: [VlanAssetDetailPageComponent],
})
export class VlanAssetDetailPageModule {}
