import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { VlanGroupAssetDetailFragmentDoc } from './vlan-group-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { VlanGroupDetailCardFragmentDoc } from '../vlan-group-detail-card/vlan-group-detail-card.fragment.generated';
import { VlanAssetTableElementFragmentDoc } from '../../../../shared/tables/vlan-asset-table/vlan-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetVlanGroupDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetVlanGroupDetailQuery = {
  __typename?: 'Query';
  vlanGroup?:
    | {
        __typename?: 'VLANGroupType';
        name?: string | undefined;
        description?: string | undefined;
        scopeType?: string | undefined;
        vlanCount?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        vlans: {
          __typename?: 'VLANTypeResultSet';
          data: Array<{
            __typename?: 'VLANType';
            vid?: number | undefined;
            status?: SchemaTypes.IpamVlanStatusChoices | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            site?:
              | {
                  __typename?: 'SiteType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            group?:
              | {
                  __typename?: 'VLANGroupType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            role?:
              | {
                  __typename?: 'RoleType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetVlanGroupDetailDocument = gql`
  query getVlanGroupDetail($id: ID!) {
    vlanGroup(id: $id) {
      ...vlanGroupAssetDetail
    }
  }
  ${VlanGroupAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${VlanGroupDetailCardFragmentDoc}
  ${VlanAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetVlanGroupDetailQueryService extends Apollo.Query<
  GetVlanGroupDetailQuery,
  GetVlanGroupDetailQueryVariables
> {
  document = GetVlanGroupDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
