import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type VrfAssetDetailFragment = {
  __typename?: 'VRFType';
  name?: string | undefined;
  rd?: string | undefined;
  description?: string | undefined;
  prefixCount?: number | undefined;
  ipaddressCount?: number | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  importTargets: Array<{
    __typename?: 'RouteTargetType';
    description?: string | undefined;
    created?: any | undefined;
    lastUpdated?: any | undefined;
    assetType: SchemaTypes.KnownAssetsEnum;
    id: string;
    name?: string | undefined;
    tenant?:
      | {
          __typename?: 'TenantType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | undefined;
  }>;
  exportTargets: Array<{
    __typename?: 'RouteTargetType';
    description?: string | undefined;
    created?: any | undefined;
    lastUpdated?: any | undefined;
    assetType: SchemaTypes.KnownAssetsEnum;
    id: string;
    name?: string | undefined;
    tenant?:
      | {
          __typename?: 'TenantType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | undefined;
  }>;
  prefixes: {
    __typename?: 'PrefixTypeResultSet';
    data: Array<{
      __typename?: 'PrefixType';
      status?: SchemaTypes.IpamPrefixStatusChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      vrf?:
        | {
            __typename?: 'VRFType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      site?:
        | {
            __typename?: 'SiteType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      vlan?:
        | {
            __typename?: 'VLANType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      role?:
        | {
            __typename?: 'RoleType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
  ipAddresses: {
    __typename?: 'IPAddressTypeResultSet';
    data: Array<{
      __typename?: 'IPAddressType';
      status?: SchemaTypes.IpamIpAddressStatusChoices | undefined;
      role?: SchemaTypes.IpamIpAddressRoleChoices | undefined;
      assignedObjectId?: string | undefined;
      dnsName?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      address?: string | undefined;
      vrf?:
        | {
            __typename?: 'VRFType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const VrfAssetDetailFragmentDoc = gql`
  fragment vrfAssetDetail on VRFType {
    ...assetSharedDetail
    ...vrfDetailCard
    importTargets {
      ...routeTargetAssetTableElement
    }
    exportTargets {
      ...routeTargetAssetTableElement
    }
    prefixes {
      data {
        ...prefixAssetTableElement
      }
    }
    ipAddresses {
      data {
        ...ipAddressAssetTableElement
      }
    }
  }
`;
