import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { VrfAssetDetailFragmentDoc } from './vrf-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { VrfDetailCardFragmentDoc } from '../vrf-detail-card/vrf-detail-card.fragment.generated';
import { RouteTargetAssetTableElementFragmentDoc } from '../../../../shared/tables/route-target-asset-table/route-target-asset-table-element.fragment.generated';
import { PrefixAssetTableElementFragmentDoc } from '../../../../shared/tables/prefix-asset-table/prefix-asset-table-element.fragment.generated';
import { IpAddressAssetTableElementFragmentDoc } from '../../../../shared/tables/ip-address-asset-table/ip-address-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetVrfDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetVrfDetailQuery = {
  __typename?: 'Query';
  vrf?:
    | {
        __typename?: 'VRFType';
        name?: string | undefined;
        rd?: string | undefined;
        description?: string | undefined;
        prefixCount?: number | undefined;
        ipaddressCount?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        importTargets: Array<{
          __typename?: 'RouteTargetType';
          description?: string | undefined;
          created?: any | undefined;
          lastUpdated?: any | undefined;
          assetType: SchemaTypes.KnownAssetsEnum;
          id: string;
          name?: string | undefined;
          tenant?:
            | {
                __typename?: 'TenantType';
                assetType: SchemaTypes.KnownAssetsEnum;
                created?: any | undefined;
                id: string;
                name?: string | undefined;
              }
            | undefined;
        }>;
        exportTargets: Array<{
          __typename?: 'RouteTargetType';
          description?: string | undefined;
          created?: any | undefined;
          lastUpdated?: any | undefined;
          assetType: SchemaTypes.KnownAssetsEnum;
          id: string;
          name?: string | undefined;
          tenant?:
            | {
                __typename?: 'TenantType';
                assetType: SchemaTypes.KnownAssetsEnum;
                created?: any | undefined;
                id: string;
                name?: string | undefined;
              }
            | undefined;
        }>;
        prefixes: {
          __typename?: 'PrefixTypeResultSet';
          data: Array<{
            __typename?: 'PrefixType';
            status?: SchemaTypes.IpamPrefixStatusChoices | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            vrf?:
              | {
                  __typename?: 'VRFType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            site?:
              | {
                  __typename?: 'SiteType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            vlan?:
              | {
                  __typename?: 'VLANType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            role?:
              | {
                  __typename?: 'RoleType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
        ipAddresses: {
          __typename?: 'IPAddressTypeResultSet';
          data: Array<{
            __typename?: 'IPAddressType';
            status?: SchemaTypes.IpamIpAddressStatusChoices | undefined;
            role?: SchemaTypes.IpamIpAddressRoleChoices | undefined;
            assignedObjectId?: string | undefined;
            dnsName?: string | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            address?: string | undefined;
            vrf?:
              | {
                  __typename?: 'VRFType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
        tenant?:
          | {
              __typename?: 'TenantType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
};

export const GetVrfDetailDocument = gql`
  query getVrfDetail($id: ID!) {
    vrf(id: $id) {
      ...vrfAssetDetail
    }
  }
  ${VrfAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${VrfDetailCardFragmentDoc}
  ${RouteTargetAssetTableElementFragmentDoc}
  ${PrefixAssetTableElementFragmentDoc}
  ${IpAddressAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetVrfDetailQueryService extends Apollo.Query<GetVrfDetailQuery, GetVrfDetailQueryVariables> {
  document = GetVrfDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
