import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { IpAddressAssetTableModule } from '@orion/asset-components/ip-address-table';
import { PrefixAssetTableModule } from '@orion/asset-components/prefix-table';
import { RouteTargetAssetTableModule } from '@orion/asset-components/route-target-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { VrfAssetDetailPageComponent } from './vrf-asset-detail-page.component';
import { VrfDetailCardComponent } from './vrf-detail-card';

@NgModule({
  declarations: [VrfAssetDetailPageComponent, VrfDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    PrefixAssetTableModule,
    OrionAttributeModule,
    AssetBaseViewModule,
    RouteTargetAssetTableModule,
    IpAddressAssetTableModule,
  ],
  exports: [VrfAssetDetailPageComponent],
})
export class VrfAssetDetailPageModule {}
