import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type LocationAssetDetailFragment = {
  __typename?: 'LocationType';
  name?: string | undefined;
  description?: string | undefined;
  rackCount?: number | undefined;
  deviceCount?: number | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  children: {
    __typename?: 'LocationTypeResultSet';
    data: Array<{
      __typename?: 'LocationType';
      rackCount?: number | undefined;
      deviceCount?: number | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      site?:
        | {
            __typename?: 'SiteType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }
        | undefined;
      parent?:
        | {
            __typename?: 'LocationType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
  devices: {
    __typename?: 'DeviceTypeResultSet';
    data: Array<{
      __typename?: 'DeviceType';
      status?: SchemaTypes.DcimDeviceStatusChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      deviceRole?:
        | {
            __typename?: 'DeviceRoleType';
            color?: string | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      deviceType?:
        | {
            __typename?: 'DeviceTypeType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            model?: string | undefined;
            manufacturer?:
              | {
                  __typename?: 'ManufacturerType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }
        | undefined;
      site?:
        | {
            __typename?: 'SiteType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      location?:
        | {
            __typename?: 'LocationType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      rack?:
        | {
            __typename?: 'RackType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      primaryIp4?:
        | {
            __typename?: 'IPAddressType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            address?: string | undefined;
          }
        | undefined;
      primaryIp6?:
        | {
            __typename?: 'IPAddressType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            address?: string | undefined;
          }
        | undefined;
    }>;
  };
  racks: {
    __typename?: 'RackTypeResultSet';
    data: Array<{
      __typename?: 'RackType';
      status?: SchemaTypes.DcimRackStatusChoices | undefined;
      facilityId?: string | undefined;
      uHeight?: number | undefined;
      deviceCount?: number | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      site?:
        | {
            __typename?: 'SiteType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      location?:
        | {
            __typename?: 'LocationType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      role?:
        | {
            __typename?: 'RackRoleType';
            color?: string | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  parent?:
    | {
        __typename?: 'LocationType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const LocationAssetDetailFragmentDoc = gql`
  fragment locationAssetDetail on LocationType {
    ...assetSharedDetail
    ...locationDetailCard
    children {
      data {
        ...locationAssetTableElement
      }
    }
    devices {
      data {
        ...deviceAssetTableElement
      }
    }
    racks {
      data {
        ...rackAssetTableElement
      }
    }
  }
`;
