import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { LocationAssetDetailFragmentDoc } from './location-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { LocationDetailCardFragmentDoc } from '../location-detail-card/location-detail-card.fragment.generated';
import { LocationAssetTableElementFragmentDoc } from '../../../../shared/tables/location-asset-table/location-asset-table-element.fragment.generated';
import { DeviceAssetTableElementFragmentDoc } from '../../../../shared/tables/device-asset-table/device-asset-table-element.fragment.generated';
import { RackAssetTableElementFragmentDoc } from '../../../../shared/tables/rack-asset-table/rack-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetLocationQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetLocationQuery = {
  __typename?: 'Query';
  location?:
    | {
        __typename?: 'LocationType';
        name?: string | undefined;
        description?: string | undefined;
        rackCount?: number | undefined;
        deviceCount?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        children: {
          __typename?: 'LocationTypeResultSet';
          data: Array<{
            __typename?: 'LocationType';
            rackCount?: number | undefined;
            deviceCount?: number | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            site?:
              | {
                  __typename?: 'SiteType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                  tenant?:
                    | {
                        __typename?: 'TenantType';
                        assetType: SchemaTypes.KnownAssetsEnum;
                        created?: any | undefined;
                        id: string;
                        name?: string | undefined;
                      }
                    | undefined;
                }
              | undefined;
            parent?:
              | {
                  __typename?: 'LocationType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
        devices: {
          __typename?: 'DeviceTypeResultSet';
          data: Array<{
            __typename?: 'DeviceType';
            status?: SchemaTypes.DcimDeviceStatusChoices | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            deviceRole?:
              | {
                  __typename?: 'DeviceRoleType';
                  color?: string | undefined;
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            deviceType?:
              | {
                  __typename?: 'DeviceTypeType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  model?: string | undefined;
                  manufacturer?:
                    | {
                        __typename?: 'ManufacturerType';
                        assetType: SchemaTypes.KnownAssetsEnum;
                        created?: any | undefined;
                        id: string;
                        name?: string | undefined;
                      }
                    | undefined;
                }
              | undefined;
            site?:
              | {
                  __typename?: 'SiteType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            location?:
              | {
                  __typename?: 'LocationType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            rack?:
              | {
                  __typename?: 'RackType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            primaryIp4?:
              | {
                  __typename?: 'IPAddressType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  address?: string | undefined;
                }
              | undefined;
            primaryIp6?:
              | {
                  __typename?: 'IPAddressType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  address?: string | undefined;
                }
              | undefined;
          }>;
        };
        racks: {
          __typename?: 'RackTypeResultSet';
          data: Array<{
            __typename?: 'RackType';
            status?: SchemaTypes.DcimRackStatusChoices | undefined;
            facilityId?: string | undefined;
            uHeight?: number | undefined;
            deviceCount?: number | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            site?:
              | {
                  __typename?: 'SiteType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            location?:
              | {
                  __typename?: 'LocationType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            role?:
              | {
                  __typename?: 'RackRoleType';
                  color?: string | undefined;
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
        site?:
          | {
              __typename?: 'SiteType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        parent?:
          | {
              __typename?: 'LocationType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
};

export const GetLocationDocument = gql`
  query getLocation($id: ID!) {
    location(id: $id) {
      ...locationAssetDetail
    }
  }
  ${LocationAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${LocationDetailCardFragmentDoc}
  ${LocationAssetTableElementFragmentDoc}
  ${DeviceAssetTableElementFragmentDoc}
  ${RackAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetLocationQueryService extends Apollo.Query<GetLocationQuery, GetLocationQueryVariables> {
  document = GetLocationDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
