import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { DeviceAssetTableModule } from '@orion/asset-components/device-table';
import { LocationAssetTableModule } from '@orion/asset-components/location-table';
import { RackAssetTableModule } from '@orion/asset-components/rack-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { LocationAssetDetailPageComponent } from './location-asset-detail-page.component';
import { LocationDetailCardComponent } from './location-detail-card';

@NgModule({
  declarations: [LocationAssetDetailPageComponent, LocationDetailCardComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    SLetModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    LocationAssetTableModule,
    DeviceAssetTableModule,
    RackAssetTableModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [LocationAssetDetailPageComponent],
})
export class LocationAssetDetailPageModule {}
