import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RackAssetDetailFragment = {
  __typename?: 'RackType';
  comments?: string | undefined;
  name?: string | undefined;
  facilityId?: string | undefined;
  status?: SchemaTypes.DcimRackStatusChoices | undefined;
  serial?: string | undefined;
  assetTag?: string | undefined;
  deviceCount?: number | undefined;
  type?: SchemaTypes.DcimRackTypeChoices | undefined;
  width?: SchemaTypes.DcimRackWidthChoices | undefined;
  uHeight?: number | undefined;
  outerWidth?: number | undefined;
  outerDepth?: number | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  reservations: {
    __typename?: 'RackReservationTypeResultSet';
    data: Array<{
      __typename?: 'RackReservationType';
      units: Array<number | undefined>;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      rack?:
        | {
            __typename?: 'RackType';
            name?: string | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            site?:
              | {
                  __typename?: 'SiteType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }
        | undefined;
    }>;
  };
  devices: {
    __typename?: 'DeviceTypeResultSet';
    data: Array<{
      __typename?: 'DeviceType';
      status?: SchemaTypes.DcimDeviceStatusChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      deviceRole?:
        | {
            __typename?: 'DeviceRoleType';
            color?: string | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      deviceType?:
        | {
            __typename?: 'DeviceTypeType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            model?: string | undefined;
            manufacturer?:
              | {
                  __typename?: 'ManufacturerType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }
        | undefined;
      site?:
        | {
            __typename?: 'SiteType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      location?:
        | {
            __typename?: 'LocationType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      rack?:
        | {
            __typename?: 'RackType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      primaryIp4?:
        | {
            __typename?: 'IPAddressType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            address?: string | undefined;
          }
        | undefined;
      primaryIp6?:
        | {
            __typename?: 'IPAddressType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            address?: string | undefined;
          }
        | undefined;
    }>;
  };
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  location?:
    | {
        __typename?: 'LocationType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  role?:
    | {
        __typename?: 'RackRoleType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const RackAssetDetailFragmentDoc = gql`
  fragment rackAssetDetail on RackType {
    ...assetSharedDetail
    comments
    ...rackDetailCard
    ...rackDetailDimensionsCard
    reservations {
      data {
        ...rackReservationAssetTableElement
      }
    }
    devices {
      data {
        ...deviceAssetTableElement
      }
    }
  }
`;
