import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { RackAssetDetailFragmentDoc } from './rack-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { RackDetailCardFragmentDoc } from '../rack-detail-card/rack-detail-card.fragment.generated';
import { RackDetailDimensionsCardFragmentDoc } from '../rack-detail-dimensions-card/rack-detail-dimensions-card.fragment.generated';
import { RackReservationAssetTableElementFragmentDoc } from '../../../../shared/tables/rack-reservation-asset-table/rack-reservation-asset-table-element.fragment.generated';
import { DeviceAssetTableElementFragmentDoc } from '../../../../shared/tables/device-asset-table/device-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetRackQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetRackQuery = {
  __typename?: 'Query';
  rack?:
    | {
        __typename?: 'RackType';
        comments?: string | undefined;
        name?: string | undefined;
        facilityId?: string | undefined;
        status?: SchemaTypes.DcimRackStatusChoices | undefined;
        serial?: string | undefined;
        assetTag?: string | undefined;
        deviceCount?: number | undefined;
        type?: SchemaTypes.DcimRackTypeChoices | undefined;
        width?: SchemaTypes.DcimRackWidthChoices | undefined;
        uHeight?: number | undefined;
        outerWidth?: number | undefined;
        outerDepth?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        reservations: {
          __typename?: 'RackReservationTypeResultSet';
          data: Array<{
            __typename?: 'RackReservationType';
            units: Array<number | undefined>;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            rack?:
              | {
                  __typename?: 'RackType';
                  name?: string | undefined;
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  site?:
                    | {
                        __typename?: 'SiteType';
                        assetType: SchemaTypes.KnownAssetsEnum;
                        created?: any | undefined;
                        id: string;
                        name?: string | undefined;
                      }
                    | undefined;
                }
              | undefined;
          }>;
        };
        devices: {
          __typename?: 'DeviceTypeResultSet';
          data: Array<{
            __typename?: 'DeviceType';
            status?: SchemaTypes.DcimDeviceStatusChoices | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            deviceRole?:
              | {
                  __typename?: 'DeviceRoleType';
                  color?: string | undefined;
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            deviceType?:
              | {
                  __typename?: 'DeviceTypeType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  model?: string | undefined;
                  manufacturer?:
                    | {
                        __typename?: 'ManufacturerType';
                        assetType: SchemaTypes.KnownAssetsEnum;
                        created?: any | undefined;
                        id: string;
                        name?: string | undefined;
                      }
                    | undefined;
                }
              | undefined;
            site?:
              | {
                  __typename?: 'SiteType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            location?:
              | {
                  __typename?: 'LocationType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            rack?:
              | {
                  __typename?: 'RackType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            primaryIp4?:
              | {
                  __typename?: 'IPAddressType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  address?: string | undefined;
                }
              | undefined;
            primaryIp6?:
              | {
                  __typename?: 'IPAddressType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  address?: string | undefined;
                }
              | undefined;
          }>;
        };
        site?:
          | {
              __typename?: 'SiteType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        location?:
          | {
              __typename?: 'LocationType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        role?:
          | {
              __typename?: 'RackRoleType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tags: {
          __typename?: 'TagTypeResultSet';
          data: Array<{
            __typename?: 'TagType';
            id?: string | undefined;
            name?: string | undefined;
            color?: string | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetRackDocument = gql`
  query getRack($id: ID!) {
    rack(id: $id) {
      ...rackAssetDetail
    }
  }
  ${RackAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${RackDetailCardFragmentDoc}
  ${RackDetailDimensionsCardFragmentDoc}
  ${RackReservationAssetTableElementFragmentDoc}
  ${DeviceAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetRackQueryService extends Apollo.Query<GetRackQuery, GetRackQueryVariables> {
  document = GetRackDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
