import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetDetailCommentModule } from '@orion/asset-components/comments-card';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { DeviceAssetTableModule } from '@orion/asset-components/device-table';
import { RackReservationAssetTableModule } from '@orion/asset-components/rack-reservation-table';
import { RackStatusModule } from '@orion/asset-components/rack-status';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { RackAssetDetailPageComponent } from './rack-asset-detail-page.component';
import { RackDetailCardComponent } from './rack-detail-card';
import { RackDetailDimensionsCardComponent } from './rack-detail-dimensions-card';

@NgModule({
  declarations: [RackAssetDetailPageComponent, RackDetailCardComponent, RackDetailDimensionsCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    DeviceAssetTableModule,
    RackReservationAssetTableModule,
    AssetDetailCommentModule,
    OrionAttributeModule,
    RackStatusModule,
    AssetBaseViewModule,
  ],
})
export class RackAssetDetailPageModule {}
