import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RackDetailCardFragment = {
  __typename?: 'RackType';
  name?: string | undefined;
  facilityId?: string | undefined;
  status?: SchemaTypes.DcimRackStatusChoices | undefined;
  serial?: string | undefined;
  assetTag?: string | undefined;
  deviceCount?: number | undefined;
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  location?:
    | {
        __typename?: 'LocationType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  role?:
    | {
        __typename?: 'RackRoleType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const RackDetailCardFragmentDoc = gql`
  fragment rackDetailCard on RackType {
    name
    facilityId
    status
    site {
      ...assetBaseView
    }
    location {
      ...assetBaseView
    }
    role {
      ...assetBaseView
    }
    serial
    assetTag
    deviceCount
  }
`;
