import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { RackReservationAssetDetailFragmentDoc } from './rack-reservation-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { RackReservationDetailCardFragmentDoc } from '../rack-reservation-detail-card/rack-reservation-detail-card.fragment.generated';
import { Injectable } from '@angular/core';

export type GetRackReservationQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetRackReservationQuery = {
  __typename?: 'Query';
  rackReservation?:
    | {
        __typename?: 'RackReservationType';
        units: Array<number | undefined>;
        description?: string | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        rack?:
          | {
              __typename?: 'RackType';
              name?: string | undefined;
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              site?:
                | {
                    __typename?: 'SiteType';
                    assetType: SchemaTypes.KnownAssetsEnum;
                    created?: any | undefined;
                    id: string;
                    name?: string | undefined;
                  }
                | undefined;
              location?:
                | {
                    __typename?: 'LocationType';
                    assetType: SchemaTypes.KnownAssetsEnum;
                    created?: any | undefined;
                    id: string;
                    name?: string | undefined;
                  }
                | undefined;
            }
          | undefined;
        tenant?:
          | {
              __typename?: 'TenantType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tags: {
          __typename?: 'TagTypeResultSet';
          data: Array<{
            __typename?: 'TagType';
            id?: string | undefined;
            name?: string | undefined;
            color?: string | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetRackReservationDocument = gql`
  query getRackReservation($id: ID!) {
    rackReservation(id: $id) {
      ...rackReservationAssetDetail
    }
  }
  ${RackReservationAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${RackReservationDetailCardFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetRackReservationQueryService extends Apollo.Query<
  GetRackReservationQuery,
  GetRackReservationQueryVariables
> {
  document = GetRackReservationDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
