import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RackRoleAssetDetailFragment = {
  __typename?: 'RackRoleType';
  name?: string | undefined;
  description?: string | undefined;
  color?: string | undefined;
  rackCount?: number | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  racks: {
    __typename?: 'RackTypeResultSet';
    data: Array<{
      __typename?: 'RackType';
      status?: SchemaTypes.DcimRackStatusChoices | undefined;
      facilityId?: string | undefined;
      uHeight?: number | undefined;
      deviceCount?: number | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      site?:
        | {
            __typename?: 'SiteType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      location?:
        | {
            __typename?: 'LocationType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      role?:
        | {
            __typename?: 'RackRoleType';
            color?: string | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const RackRoleAssetDetailFragmentDoc = gql`
  fragment rackRoleAssetDetail on RackRoleType {
    ...assetSharedDetail
    ...rackRoleDetailCard
    racks {
      data {
        ...rackAssetTableElement
      }
    }
  }
`;
