import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { RackRoleAssetDetailFragmentDoc } from './rack-role-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { RackRoleDetailCardFragmentDoc } from '../rack-role-detail-card/rack-role-detail-card.fragment.generated';
import { RackAssetTableElementFragmentDoc } from '../../../../shared/tables/rack-asset-table/rack-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetRackRoleQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetRackRoleQuery = {
  __typename?: 'Query';
  rackRole?:
    | {
        __typename?: 'RackRoleType';
        name?: string | undefined;
        description?: string | undefined;
        color?: string | undefined;
        rackCount?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        racks: {
          __typename?: 'RackTypeResultSet';
          data: Array<{
            __typename?: 'RackType';
            status?: SchemaTypes.DcimRackStatusChoices | undefined;
            facilityId?: string | undefined;
            uHeight?: number | undefined;
            deviceCount?: number | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            site?:
              | {
                  __typename?: 'SiteType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            location?:
              | {
                  __typename?: 'LocationType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            role?:
              | {
                  __typename?: 'RackRoleType';
                  color?: string | undefined;
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetRackRoleDocument = gql`
  query getRackRole($id: ID!) {
    rackRole(id: $id) {
      ...rackRoleAssetDetail
    }
  }
  ${RackRoleAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${RackRoleDetailCardFragmentDoc}
  ${RackAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetRackRoleQueryService extends Apollo.Query<GetRackRoleQuery, GetRackRoleQueryVariables> {
  document = GetRackRoleDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
