import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { RegionAssetTableModule } from '@orion/asset-components/region-table';
import { SiteAssetTableModule } from '@orion/asset-components/site-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { RegionAssetDetailPageComponent } from './region-asset-detail-page.component';
import { RegionDetailCardComponent } from './region-detail-card';

@NgModule({
  declarations: [RegionAssetDetailPageComponent, RegionDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    AssetSharedDetailPageModule,
    SentinelPipesModule,
    OrionCardModule,
    RegionAssetTableModule,
    SiteAssetTableModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [RegionAssetDetailPageComponent],
})
export class RegionAssetDetailPageModule {}
