import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type SiteAssetDetailFragment = {
  __typename?: 'SiteType';
  comments?: string | undefined;
  name?: string | undefined;
  status?: SchemaTypes.DcimSiteStatusChoices | undefined;
  facility?: string | undefined;
  asn?: number | undefined;
  timeZone?: SchemaTypes.DcimSiteTimeZoneChoices | undefined;
  description?: string | undefined;
  physicalAddress?: string | undefined;
  shippingAddress?: string | undefined;
  latitude?: number | undefined;
  longitude?: number | undefined;
  contactName?: string | undefined;
  contactPhone?: string | undefined;
  contactEmail?: string | undefined;
  rackCount?: number | undefined;
  deviceCount?: number | undefined;
  virtualmachineCount?: number | undefined;
  prefixCount?: number | undefined;
  vlanCount?: number | undefined;
  circuitCount?: number | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  locations: {
    __typename?: 'LocationTypeResultSet';
    data: Array<{
      __typename?: 'LocationType';
      rackCount?: number | undefined;
      deviceCount?: number | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      site?:
        | {
            __typename?: 'SiteType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }
        | undefined;
      parent?:
        | {
            __typename?: 'LocationType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
  region?:
    | {
        __typename?: 'RegionType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  group?:
    | {
        __typename?: 'SiteGroupType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const SiteAssetDetailFragmentDoc = gql`
  fragment siteAssetDetail on SiteType {
    ...assetSharedDetail
    ...siteDetailCard
    ...siteDetailContactInfoCard
    ...siteDetailRelatedObjectsCard
    comments
    locations {
      data {
        ...locationAssetTableElement
      }
    }
  }
`;
