import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { SiteAssetDetailFragmentDoc } from './site-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { SiteDetailCardFragmentDoc } from '../site-detail-card/site-detail-card.fragment.generated';
import { SiteDetailContactInfoCardFragmentDoc } from '../site-detail-contact-info-card/site-detail-contact-info-card.fragment.generated';
import { SiteDetailRelatedObjectsCardFragmentDoc } from '../site-detail-related-objects-card/site-detail-related-objects-card.fragment.generated';
import { LocationAssetTableElementFragmentDoc } from '../../../../shared/tables/location-asset-table/location-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetSiteQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetSiteQuery = {
  __typename?: 'Query';
  site?:
    | {
        __typename?: 'SiteType';
        comments?: string | undefined;
        name?: string | undefined;
        status?: SchemaTypes.DcimSiteStatusChoices | undefined;
        facility?: string | undefined;
        asn?: number | undefined;
        timeZone?: SchemaTypes.DcimSiteTimeZoneChoices | undefined;
        description?: string | undefined;
        physicalAddress?: string | undefined;
        shippingAddress?: string | undefined;
        latitude?: number | undefined;
        longitude?: number | undefined;
        contactName?: string | undefined;
        contactPhone?: string | undefined;
        contactEmail?: string | undefined;
        rackCount?: number | undefined;
        deviceCount?: number | undefined;
        virtualmachineCount?: number | undefined;
        prefixCount?: number | undefined;
        vlanCount?: number | undefined;
        circuitCount?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        locations: {
          __typename?: 'LocationTypeResultSet';
          data: Array<{
            __typename?: 'LocationType';
            rackCount?: number | undefined;
            deviceCount?: number | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            site?:
              | {
                  __typename?: 'SiteType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                  tenant?:
                    | {
                        __typename?: 'TenantType';
                        assetType: SchemaTypes.KnownAssetsEnum;
                        created?: any | undefined;
                        id: string;
                        name?: string | undefined;
                      }
                    | undefined;
                }
              | undefined;
            parent?:
              | {
                  __typename?: 'LocationType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
        region?:
          | {
              __typename?: 'RegionType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        group?:
          | {
              __typename?: 'SiteGroupType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tenant?:
          | {
              __typename?: 'TenantType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tags: {
          __typename?: 'TagTypeResultSet';
          data: Array<{
            __typename?: 'TagType';
            id?: string | undefined;
            name?: string | undefined;
            color?: string | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetSiteDocument = gql`
  query getSite($id: ID!) {
    site(id: $id) {
      ...siteAssetDetail
    }
  }
  ${SiteAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${SiteDetailCardFragmentDoc}
  ${SiteDetailContactInfoCardFragmentDoc}
  ${SiteDetailRelatedObjectsCardFragmentDoc}
  ${LocationAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetSiteQueryService extends Apollo.Query<GetSiteQuery, GetSiteQueryVariables> {
  document = GetSiteDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
