import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetDetailCommentModule } from '@orion/asset-components/comments-card';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { LocationAssetTableModule } from '@orion/asset-components/location-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SiteAssetDetailPageComponent } from './site-asset-detail-page.component';
import { SiteDetailCardComponent } from './site-detail-card';
import { SiteDetailContactInfoCardComponent } from './site-detail-contact-info-card';
import { SiteDetailRelatedObjectsCardComponent } from './site-detail-related-objects-card';

@NgModule({
  declarations: [
    SiteAssetDetailPageComponent,
    SiteDetailCardComponent,
    SiteDetailContactInfoCardComponent,
    SiteDetailRelatedObjectsCardComponent,
  ],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    AssetDetailCommentModule,
    LocationAssetTableModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [SiteAssetDetailPageComponent],
})
export class SiteAssetDetailPageModule {}
