import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type SiteDetailCardFragment = {
  __typename?: 'SiteType';
  name?: string | undefined;
  status?: SchemaTypes.DcimSiteStatusChoices | undefined;
  facility?: string | undefined;
  asn?: number | undefined;
  timeZone?: SchemaTypes.DcimSiteTimeZoneChoices | undefined;
  description?: string | undefined;
  region?:
    | {
        __typename?: 'RegionType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  group?:
    | {
        __typename?: 'SiteGroupType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const SiteDetailCardFragmentDoc = gql`
  fragment siteDetailCard on SiteType {
    region {
      ...assetBaseView
    }
    group {
      ...assetBaseView
    }
    name
    status
    tenant {
      ...assetBaseView
    }
    facility
    asn
    timeZone
    description
  }
`;
