import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type SiteGroupAssetDetailFragment = {
  __typename?: 'SiteGroupType';
  name?: string | undefined;
  description?: string | undefined;
  siteCount?: number | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  sites: {
    __typename?: 'SiteTypeResultSet';
    data: Array<{
      __typename?: 'SiteType';
      status?: SchemaTypes.DcimSiteStatusChoices | undefined;
      facility?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      region?:
        | {
            __typename?: 'RegionType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tags: {
        __typename?: 'TagTypeResultSet';
        data: Array<{
          __typename?: 'TagType';
          id?: string | undefined;
          name?: string | undefined;
          color?: string | undefined;
        }>;
      };
    }>;
  };
  children: {
    __typename?: 'SiteGroupTypeResultSet';
    data: Array<{
      __typename?: 'SiteGroupType';
      siteCount?: number | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
    }>;
  };
  parent?:
    | {
        __typename?: 'SiteGroupType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const SiteGroupAssetDetailFragmentDoc = gql`
  fragment siteGroupAssetDetail on SiteGroupType {
    ...assetSharedDetail
    ...siteGroupDetailCard
    sites {
      data {
        ...siteAssetTableElement
      }
    }
    children {
      data {
        ...siteGroupAssetTableElement
      }
    }
  }
`;
