import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { SiteGroupAssetDetailFragmentDoc } from './site-group-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { SiteGroupDetailCardFragmentDoc } from '../site-group-detail-card/site-group-detail-card.fragment.generated';
import { SiteAssetTableElementFragmentDoc } from '../../../../shared/tables/site-asset-table/site-asset-table-element.fragment.generated';
import { SiteGroupAssetTableElementFragmentDoc } from '../../../../shared/tables/site-group-asset-table/site-group-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetSiteGroupQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetSiteGroupQuery = {
  __typename?: 'Query';
  siteGroup?:
    | {
        __typename?: 'SiteGroupType';
        name?: string | undefined;
        description?: string | undefined;
        siteCount?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        sites: {
          __typename?: 'SiteTypeResultSet';
          data: Array<{
            __typename?: 'SiteType';
            status?: SchemaTypes.DcimSiteStatusChoices | undefined;
            facility?: string | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            region?:
              | {
                  __typename?: 'RegionType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            tags: {
              __typename?: 'TagTypeResultSet';
              data: Array<{
                __typename?: 'TagType';
                id?: string | undefined;
                name?: string | undefined;
                color?: string | undefined;
              }>;
            };
          }>;
        };
        children: {
          __typename?: 'SiteGroupTypeResultSet';
          data: Array<{
            __typename?: 'SiteGroupType';
            siteCount?: number | undefined;
            description?: string | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
          }>;
        };
        parent?:
          | {
              __typename?: 'SiteGroupType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
};

export const GetSiteGroupDocument = gql`
  query getSiteGroup($id: ID!) {
    siteGroup(id: $id) {
      ...siteGroupAssetDetail
    }
  }
  ${SiteGroupAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${SiteGroupDetailCardFragmentDoc}
  ${SiteAssetTableElementFragmentDoc}
  ${SiteGroupAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetSiteGroupQueryService extends Apollo.Query<GetSiteGroupQuery, GetSiteGroupQueryVariables> {
  document = GetSiteGroupDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
