import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { SiteGroupAssetTableModule } from '@orion/asset-components/site-group-table';
import { SiteAssetTableModule } from '@orion/asset-components/site-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SiteGroupAssetDetailPageComponent } from './site-group-asset-detail-page.component';
import { SiteGroupDetailCardComponent } from './site-group-detail-card';

@NgModule({
  declarations: [SiteGroupAssetDetailPageComponent, SiteGroupDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    SiteAssetTableModule,
    SiteGroupAssetTableModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [SiteGroupAssetDetailPageComponent],
})
export class SiteGroupAssetDetailPageModule {}
