import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type TenantAssetDetailFragment = {
  __typename?: 'TenantType';
  comments?: string | undefined;
  siteCount?: number | undefined;
  rackCount?: number | undefined;
  deviceCount?: number | undefined;
  vrfCount?: number | undefined;
  prefixCount?: number | undefined;
  ipaddressCount?: number | undefined;
  vlanCount?: number | undefined;
  circuitCount?: number | undefined;
  virtualmachineCount?: number | undefined;
  clusterCount?: number | undefined;
  name?: string | undefined;
  description?: string | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  group?:
    | {
        __typename?: 'TenantGroupType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const TenantAssetDetailFragmentDoc = gql`
  fragment tenantAssetDetail on TenantType {
    ...assetSharedDetail
    ...tenantDetailCard
    comments
    siteCount
    rackCount
    deviceCount
    vrfCount
    prefixCount
    ipaddressCount
    vlanCount
    circuitCount
    virtualmachineCount
    clusterCount
  }
`;
