import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { TenantAssetDetailFragmentDoc } from './tenant-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { TenantDetailCardFragmentDoc } from '../tenant-detail-card/tenant-detail-card.fragment.generated';
import { Injectable } from '@angular/core';

export type GetTenantDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetTenantDetailQuery = {
  __typename?: 'Query';
  tenant?:
    | {
        __typename?: 'TenantType';
        comments?: string | undefined;
        siteCount?: number | undefined;
        rackCount?: number | undefined;
        deviceCount?: number | undefined;
        vrfCount?: number | undefined;
        prefixCount?: number | undefined;
        ipaddressCount?: number | undefined;
        vlanCount?: number | undefined;
        circuitCount?: number | undefined;
        virtualmachineCount?: number | undefined;
        clusterCount?: number | undefined;
        name?: string | undefined;
        description?: string | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        group?:
          | {
              __typename?: 'TenantGroupType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tags: {
          __typename?: 'TagTypeResultSet';
          data: Array<{
            __typename?: 'TagType';
            id?: string | undefined;
            name?: string | undefined;
            color?: string | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetTenantDetailDocument = gql`
  query getTenantDetail($id: ID!) {
    tenant(id: $id) {
      ...tenantAssetDetail
    }
  }
  ${TenantAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${TenantDetailCardFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetTenantDetailQueryService extends Apollo.Query<GetTenantDetailQuery, GetTenantDetailQueryVariables> {
  document = GetTenantDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
