import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { TenantGroupAssetDetailFragmentDoc } from './tenant-group-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { TenantGroupDetailCardFragmentDoc } from '../tenant-group-detail-card/tenant-group-detail-card.fragment.generated';
import { TenantAssetTableElementFragmentDoc } from '../../../../shared/tables/tenant-asset-table/tenant-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetTenantGroupDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetTenantGroupDetailQuery = {
  __typename?: 'Query';
  tenantGroup?:
    | {
        __typename?: 'TenantGroupType';
        name?: string | undefined;
        description?: string | undefined;
        tenantCount?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        tenants: {
          __typename?: 'TenantTypeResultSet';
          data: Array<{
            __typename?: 'TenantType';
            description?: string | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            group?:
              | {
                  __typename?: 'TenantGroupType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
        parent?:
          | {
              __typename?: 'TenantGroupType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
};

export const GetTenantGroupDetailDocument = gql`
  query getTenantGroupDetail($id: ID!) {
    tenantGroup(id: $id) {
      ...tenantGroupAssetDetail
    }
  }
  ${TenantGroupAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${TenantGroupDetailCardFragmentDoc}
  ${TenantAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetTenantGroupDetailQueryService extends Apollo.Query<
  GetTenantGroupDetailQuery,
  GetTenantGroupDetailQueryVariables
> {
  document = GetTenantGroupDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
