import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { TenantAssetTableModule } from '@orion/asset-components/tenant-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { TenantGroupAssetDetailPageComponent } from './tenant-group-asset-detail-page.component';
import { TenantGroupDetailCardComponent } from './tenant-group-detail-card';

@NgModule({
  declarations: [TenantGroupAssetDetailPageComponent, TenantGroupDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    TenantAssetTableModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [TenantGroupAssetDetailPageComponent],
})
export class TenantGroupAssetDetailPageModule {}
