import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type PowerFeedAssetDetailFragment = {
  __typename?: 'PowerFeedType';
  comments?: string | undefined;
  type?: SchemaTypes.DcimPowerFeedTypeChoices | undefined;
  status?: SchemaTypes.DcimPowerFeedStatusChoices | undefined;
  supply?: SchemaTypes.DcimPowerFeedSupplyChoices | undefined;
  voltage?: number | undefined;
  amperage?: number | undefined;
  phase?: SchemaTypes.DcimPowerFeedPhaseChoices | undefined;
  maxUtilization?: number | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  powerPanel?:
    | {
        __typename?: 'PowerPanelType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  rack?:
    | {
        __typename?: 'RackType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  cable?:
    | {
        __typename?: 'CableType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const PowerFeedAssetDetailFragmentDoc = gql`
  fragment powerFeedAssetDetail on PowerFeedType {
    ...assetSharedDetail
    ...powerFeedDetailCard
    comments
  }
`;
