import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { PowerFeedAssetDetailFragmentDoc } from './power-feed-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { PowerFeedDetailCardFragmentDoc } from '../power-feed-detail-card/power-feed-detail-card.fragment.generated';
import { Injectable } from '@angular/core';

export type GetPowerFeedQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetPowerFeedQuery = {
  __typename?: 'Query';
  powerFeed?:
    | {
        __typename?: 'PowerFeedType';
        comments?: string | undefined;
        type?: SchemaTypes.DcimPowerFeedTypeChoices | undefined;
        status?: SchemaTypes.DcimPowerFeedStatusChoices | undefined;
        supply?: SchemaTypes.DcimPowerFeedSupplyChoices | undefined;
        voltage?: number | undefined;
        amperage?: number | undefined;
        phase?: SchemaTypes.DcimPowerFeedPhaseChoices | undefined;
        maxUtilization?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        name?: string | undefined;
        powerPanel?:
          | {
              __typename?: 'PowerPanelType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        rack?:
          | {
              __typename?: 'RackType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        cable?:
          | {
              __typename?: 'CableType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tags: {
          __typename?: 'TagTypeResultSet';
          data: Array<{
            __typename?: 'TagType';
            id?: string | undefined;
            name?: string | undefined;
            color?: string | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetPowerFeedDocument = gql`
  query getPowerFeed($id: ID!) {
    powerFeed(id: $id) {
      ...powerFeedAssetDetail
    }
  }
  ${PowerFeedAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${PowerFeedDetailCardFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetPowerFeedQueryService extends Apollo.Query<GetPowerFeedQuery, GetPowerFeedQueryVariables> {
  document = GetPowerFeedDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
