import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type PowerFeedDetailCardFragment = {
  __typename?: 'PowerFeedType';
  type?: SchemaTypes.DcimPowerFeedTypeChoices | undefined;
  status?: SchemaTypes.DcimPowerFeedStatusChoices | undefined;
  supply?: SchemaTypes.DcimPowerFeedSupplyChoices | undefined;
  voltage?: number | undefined;
  amperage?: number | undefined;
  phase?: SchemaTypes.DcimPowerFeedPhaseChoices | undefined;
  maxUtilization?: number | undefined;
  powerPanel?:
    | {
        __typename?: 'PowerPanelType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  rack?:
    | {
        __typename?: 'RackType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  cable?:
    | {
        __typename?: 'CableType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const PowerFeedDetailCardFragmentDoc = gql`
  fragment powerFeedDetailCard on PowerFeedType {
    powerPanel {
      ...assetBaseView
    }
    rack {
      ...assetBaseView
    }
    cable {
      ...assetBaseView
    }
    type
    status
    supply
    voltage
    amperage
    phase
    maxUtilization
  }
`;
