import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type PowerPanelAssetDetailFragment = {
  __typename?: 'PowerPanelType';
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  name?: string | undefined;
  powerFeeds: {
    __typename?: 'PowerFeedTypeResultSet';
    data: Array<{
      __typename?: 'PowerFeedType';
      status?: SchemaTypes.DcimPowerFeedStatusChoices | undefined;
      type?: SchemaTypes.DcimPowerFeedTypeChoices | undefined;
      supply?: SchemaTypes.DcimPowerFeedSupplyChoices | undefined;
      voltage?: number | undefined;
      amperage?: number | undefined;
      phase?: SchemaTypes.DcimPowerFeedPhaseChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      powerPanel?:
        | {
            __typename?: 'PowerPanelType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      rack?:
        | {
            __typename?: 'RackType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      cable?:
        | {
            __typename?: 'CableType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  location?:
    | {
        __typename?: 'LocationType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const PowerPanelAssetDetailFragmentDoc = gql`
  fragment powerPanelAssetDetail on PowerPanelType {
    ...assetSharedDetail
    ...powerPanelDetailCard
    powerFeeds {
      data {
        ...powerFeedAssetTableElement
      }
    }
  }
`;
