import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { PowerPanelAssetDetailFragmentDoc } from './power-panel-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { PowerPanelDetailCardFragmentDoc } from '../power-panel-detail-card/power-panel-detail-card.generated';
import { PowerFeedAssetTableElementFragmentDoc } from '../../../../shared/tables/power-feed-asset-table/power-feed-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetPowerPanelQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetPowerPanelQuery = {
  __typename?: 'Query';
  powerPanel?:
    | {
        __typename?: 'PowerPanelType';
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        name?: string | undefined;
        powerFeeds: {
          __typename?: 'PowerFeedTypeResultSet';
          data: Array<{
            __typename?: 'PowerFeedType';
            status?: SchemaTypes.DcimPowerFeedStatusChoices | undefined;
            type?: SchemaTypes.DcimPowerFeedTypeChoices | undefined;
            supply?: SchemaTypes.DcimPowerFeedSupplyChoices | undefined;
            voltage?: number | undefined;
            amperage?: number | undefined;
            phase?: SchemaTypes.DcimPowerFeedPhaseChoices | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            powerPanel?:
              | {
                  __typename?: 'PowerPanelType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            rack?:
              | {
                  __typename?: 'RackType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            cable?:
              | {
                  __typename?: 'CableType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
        site?:
          | {
              __typename?: 'SiteType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        location?:
          | {
              __typename?: 'LocationType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tags: {
          __typename?: 'TagTypeResultSet';
          data: Array<{
            __typename?: 'TagType';
            id?: string | undefined;
            name?: string | undefined;
            color?: string | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetPowerPanelDocument = gql`
  query getPowerPanel($id: ID!) {
    powerPanel(id: $id) {
      ...powerPanelAssetDetail
    }
  }
  ${PowerPanelAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${PowerPanelDetailCardFragmentDoc}
  ${PowerFeedAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetPowerPanelQueryService extends Apollo.Query<GetPowerPanelQuery, GetPowerPanelQueryVariables> {
  document = GetPowerPanelDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
