import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetDetailCommentModule } from '@orion/asset-components/comments-card';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { DeviceAssetTableModule } from '@orion/asset-components/device-table';
import { VmAssetTableModule } from '@orion/asset-components/vm-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { ClusterAssetDetailPageComponent } from './cluster-asset-detail-page.component';
import { ClusterDetailCardComponent } from './cluster-detail-card';

@NgModule({
  declarations: [ClusterAssetDetailPageComponent, ClusterDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    AssetDetailCommentModule,
    DeviceAssetTableModule,
    VmAssetTableModule,
    OrionAttributeModule,
    AssetBaseViewModule,
  ],
  exports: [ClusterAssetDetailPageComponent],
})
export class ClusterAssetDetailPageModule {}
