import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ClusterAssetDetailFragmentDoc } from './cluster-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { ClusterDetailCardFragmentDoc } from '../cluster-detail-card/cluster-detail-card.fragment.generated';
import { VmAssetTableElementFragmentDoc } from '../../../../shared/tables/vm-asset-table/vm-asset-table-element.fragment.generated';
import { DeviceAssetTableElementFragmentDoc } from '../../../../shared/tables/device-asset-table/device-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetClusterQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetClusterQuery = {
  __typename?: 'Query';
  cluster?:
    | {
        __typename?: 'ClusterType';
        comments?: string | undefined;
        name?: string | undefined;
        virtualmachineCount?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        virtualMachines: {
          __typename?: 'VirtualMachineTypeResultSet';
          data: Array<{
            __typename?: 'VirtualMachineType';
            status?: SchemaTypes.VirtualizationVirtualMachineStatusChoices | undefined;
            vcpus?: number | undefined;
            memory?: number | undefined;
            disk?: number | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            cluster?:
              | {
                  __typename?: 'ClusterType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            role?:
              | {
                  __typename?: 'RoleType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            primaryIp4?:
              | {
                  __typename?: 'IPAddressType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  address?: string | undefined;
                }
              | undefined;
            primaryIp6?:
              | {
                  __typename?: 'IPAddressType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  address?: string | undefined;
                }
              | undefined;
          }>;
        };
        devices: {
          __typename?: 'DeviceTypeResultSet';
          data: Array<{
            __typename?: 'DeviceType';
            status?: SchemaTypes.DcimDeviceStatusChoices | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            deviceRole?:
              | {
                  __typename?: 'DeviceRoleType';
                  color?: string | undefined;
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            deviceType?:
              | {
                  __typename?: 'DeviceTypeType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  model?: string | undefined;
                  manufacturer?:
                    | {
                        __typename?: 'ManufacturerType';
                        assetType: SchemaTypes.KnownAssetsEnum;
                        created?: any | undefined;
                        id: string;
                        name?: string | undefined;
                      }
                    | undefined;
                }
              | undefined;
            site?:
              | {
                  __typename?: 'SiteType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            location?:
              | {
                  __typename?: 'LocationType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            rack?:
              | {
                  __typename?: 'RackType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            primaryIp4?:
              | {
                  __typename?: 'IPAddressType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  address?: string | undefined;
                }
              | undefined;
            primaryIp6?:
              | {
                  __typename?: 'IPAddressType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  address?: string | undefined;
                }
              | undefined;
          }>;
        };
        type?:
          | {
              __typename?: 'ClusterTypeType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        group?:
          | {
              __typename?: 'ClusterGroupType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tenant?:
          | {
              __typename?: 'TenantType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        site?:
          | {
              __typename?: 'SiteType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tags: {
          __typename?: 'TagTypeResultSet';
          data: Array<{
            __typename?: 'TagType';
            id?: string | undefined;
            name?: string | undefined;
            color?: string | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetClusterDocument = gql`
  query getCluster($id: ID!) {
    cluster(id: $id) {
      ...clusterAssetDetail
    }
  }
  ${ClusterAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${ClusterDetailCardFragmentDoc}
  ${VmAssetTableElementFragmentDoc}
  ${DeviceAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetClusterQueryService extends Apollo.Query<GetClusterQuery, GetClusterQueryVariables> {
  document = GetClusterDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
