import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import {
  ClusterGroupAssetDetailFragment,
  GetClusterGroupQuery,
  GetClusterGroupQueryService,
  GetClusterGroupQueryVariables,
} from './graphql';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';

@Injectable()
export class ClusterGroupAssetDetailService extends ApolloRoutedEntityService<
  GetClusterGroupQuery,
  GetClusterGroupQueryVariables,
  ClusterGroupAssetDetailFragment
> {
  constructor(getQuery: GetClusterGroupQueryService, activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching cluster group');
  }

  protected createVariables(entityId: string): GetClusterGroupQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(ASSET_ID_PARAM_SELECTOR);
  }

  protected toFragment(query: GetClusterGroupQuery): Optional<ClusterGroupAssetDetailFragment> {
    return query.clusterGroup;
  }
}
