import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ClusterGroupAssetDetailFragment = {
  __typename?: 'ClusterGroupType';
  name?: string | undefined;
  description?: string | undefined;
  clusterCount?: number | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  clusters: {
    __typename?: 'ClusterTypeResultSet';
    data: Array<{
      __typename?: 'ClusterType';
      deviceCount?: number | undefined;
      virtualmachineCount?: number | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      type?:
        | {
            __typename?: 'ClusterTypeType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      group?:
        | {
            __typename?: 'ClusterGroupType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      site?:
        | {
            __typename?: 'SiteType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const ClusterGroupAssetDetailFragmentDoc = gql`
  fragment clusterGroupAssetDetail on ClusterGroupType {
    ...assetSharedDetail
    ...clusterGroupDetailCard
    clusters {
      data {
        ...clusterAssetTableElement
      }
    }
  }
`;
