import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ClusterGroupAssetDetailFragmentDoc } from './cluster-group-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { ClusterGroupDetailCardFragmentDoc } from '../cluster-group-detail-card/cluster-group-detail-card.fragment.generated';
import { ClusterAssetTableElementFragmentDoc } from '../../../../shared/tables/cluster-asset-table/cluster-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetClusterGroupQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetClusterGroupQuery = {
  __typename?: 'Query';
  clusterGroup?:
    | {
        __typename?: 'ClusterGroupType';
        name?: string | undefined;
        description?: string | undefined;
        clusterCount?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        clusters: {
          __typename?: 'ClusterTypeResultSet';
          data: Array<{
            __typename?: 'ClusterType';
            deviceCount?: number | undefined;
            virtualmachineCount?: number | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            type?:
              | {
                  __typename?: 'ClusterTypeType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            group?:
              | {
                  __typename?: 'ClusterGroupType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            site?:
              | {
                  __typename?: 'SiteType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetClusterGroupDocument = gql`
  query getClusterGroup($id: ID!) {
    clusterGroup(id: $id) {
      ...clusterGroupAssetDetail
    }
  }
  ${ClusterGroupAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${ClusterGroupDetailCardFragmentDoc}
  ${ClusterAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetClusterGroupQueryService extends Apollo.Query<GetClusterGroupQuery, GetClusterGroupQueryVariables> {
  document = GetClusterGroupDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
