import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ClusterTypeAssetDetailFragmentDoc } from './cluster-type-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { ClusterTypeDetailCardFragmentDoc } from '../cluster-type-detail-card/cluster-type-detail-card.fragment.generated';
import { ClusterAssetTableElementFragmentDoc } from '../../../../shared/tables/cluster-asset-table/cluster-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetClusterTypeQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetClusterTypeQuery = {
  __typename?: 'Query';
  clusterType?:
    | {
        __typename?: 'ClusterTypeType';
        name?: string | undefined;
        description?: string | undefined;
        clusterCount?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        clusters: {
          __typename?: 'ClusterTypeResultSet';
          data: Array<{
            __typename?: 'ClusterType';
            deviceCount?: number | undefined;
            virtualmachineCount?: number | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            type?:
              | {
                  __typename?: 'ClusterTypeType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            group?:
              | {
                  __typename?: 'ClusterGroupType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            tenant?:
              | {
                  __typename?: 'TenantType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            site?:
              | {
                  __typename?: 'SiteType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetClusterTypeDocument = gql`
  query getClusterType($id: ID!) {
    clusterType(id: $id) {
      ...clusterTypeAssetDetail
    }
  }
  ${ClusterTypeAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${ClusterTypeDetailCardFragmentDoc}
  ${ClusterAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetClusterTypeQueryService extends Apollo.Query<GetClusterTypeQuery, GetClusterTypeQueryVariables> {
  document = GetClusterTypeDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
