import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type VmAssetDetailFragment = {
  __typename?: 'VirtualMachineType';
  comments?: string | undefined;
  name?: string | undefined;
  status?: SchemaTypes.VirtualizationVirtualMachineStatusChoices | undefined;
  vcpus?: number | undefined;
  memory?: number | undefined;
  disk?: number | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  services: {
    __typename?: 'ServiceTypeResultSet';
    data: Array<{
      __typename?: 'ServiceType';
      protocol?: SchemaTypes.IpamServiceProtocolChoices | undefined;
      ports: Array<number | undefined>;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      virtualMachine?:
        | {
            __typename?: 'VirtualMachineType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
  vmInterfaces: {
    __typename?: 'VMInterfaceTypeResultSet';
    data: Array<{
      __typename?: 'VMInterfaceType';
      enabled?: boolean | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      virtualMachine?:
        | {
            __typename?: 'VirtualMachineType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
  role?:
    | {
        __typename?: 'RoleType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  platform?:
    | {
        __typename?: 'PlatformType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  primaryIp4?:
    | {
        __typename?: 'IPAddressType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        address?: string | undefined;
      }
    | undefined;
  primaryIp6?:
    | {
        __typename?: 'IPAddressType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        address?: string | undefined;
      }
    | undefined;
  cluster?:
    | {
        __typename?: 'ClusterType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
        type?:
          | {
              __typename?: 'ClusterTypeType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const VmAssetDetailFragmentDoc = gql`
  fragment vmAssetDetail on VirtualMachineType {
    ...assetSharedDetail
    ...vmDetailCard
    comments
    services {
      data {
        ...serviceAssetTableElement
      }
    }
    vmInterfaces {
      data {
        ...vmInterfaceAssetTableElement
      }
    }
  }
`;
