import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { VmAssetDetailFragmentDoc } from './vm-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { VmDetailCardFragmentDoc } from '../vm-detail-card/vm-detail-card.fragment.generated';
import { ServiceAssetTableElementFragmentDoc } from '../../../../shared/tables/service-asset-table/service-asset-table-element.fragment.generated';
import { VmInterfaceAssetTableElementFragmentDoc } from '../../../../shared/tables/vm-interface-asset-table/vm-interface-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetVmQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetVmQuery = {
  __typename?: 'Query';
  virtualMachine?:
    | {
        __typename?: 'VirtualMachineType';
        comments?: string | undefined;
        name?: string | undefined;
        status?: SchemaTypes.VirtualizationVirtualMachineStatusChoices | undefined;
        vcpus?: number | undefined;
        memory?: number | undefined;
        disk?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        services: {
          __typename?: 'ServiceTypeResultSet';
          data: Array<{
            __typename?: 'ServiceType';
            protocol?: SchemaTypes.IpamServiceProtocolChoices | undefined;
            ports: Array<number | undefined>;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            virtualMachine?:
              | {
                  __typename?: 'VirtualMachineType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
        vmInterfaces: {
          __typename?: 'VMInterfaceTypeResultSet';
          data: Array<{
            __typename?: 'VMInterfaceType';
            enabled?: boolean | undefined;
            description?: string | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            virtualMachine?:
              | {
                  __typename?: 'VirtualMachineType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
        role?:
          | {
              __typename?: 'RoleType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        platform?:
          | {
              __typename?: 'PlatformType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tenant?:
          | {
              __typename?: 'TenantType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        primaryIp4?:
          | {
              __typename?: 'IPAddressType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              address?: string | undefined;
            }
          | undefined;
        primaryIp6?:
          | {
              __typename?: 'IPAddressType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              address?: string | undefined;
            }
          | undefined;
        cluster?:
          | {
              __typename?: 'ClusterType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
              type?:
                | {
                    __typename?: 'ClusterTypeType';
                    assetType: SchemaTypes.KnownAssetsEnum;
                    created?: any | undefined;
                    id: string;
                    name?: string | undefined;
                  }
                | undefined;
            }
          | undefined;
        tags: {
          __typename?: 'TagTypeResultSet';
          data: Array<{
            __typename?: 'TagType';
            id?: string | undefined;
            name?: string | undefined;
            color?: string | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetVmDocument = gql`
  query getVM($id: ID!) {
    virtualMachine(id: $id) {
      ...vmAssetDetail
    }
  }
  ${VmAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${VmDetailCardFragmentDoc}
  ${ServiceAssetTableElementFragmentDoc}
  ${VmInterfaceAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetVmQueryService extends Apollo.Query<GetVmQuery, GetVmQueryVariables> {
  document = GetVmDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
