import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetDetailCommentModule } from '@orion/asset-components/comments-card';
import { AssetSharedDetailPageModule } from '@orion/asset-components/detail-shared';
import { ServiceAssetTableModule } from '@orion/asset-components/service-table';
import { VmInterfaceAssetTableModule } from '@orion/asset-components/vm-interface-table';
import { VmStatusModule } from '@orion/asset-components/vm-status';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { VmAssetDetailPageComponent } from './vm-asset-detail-page.component';
import { VmDetailCardComponent } from './vm-detail-card';

@NgModule({
  declarations: [VmAssetDetailPageComponent, VmDetailCardComponent],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    AssetSharedDetailPageModule,
    OrionCardModule,
    AssetDetailCommentModule,
    VmInterfaceAssetTableModule,
    ServiceAssetTableModule,
    OrionAttributeModule,
    VmStatusModule,
    AssetBaseViewModule,
  ],
  exports: [VmAssetDetailPageComponent],
})
export class VmAssetDetailPageModule {}
