import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type VmDetailCardFragment = {
  __typename?: 'VirtualMachineType';
  name?: string | undefined;
  status?: SchemaTypes.VirtualizationVirtualMachineStatusChoices | undefined;
  vcpus?: number | undefined;
  memory?: number | undefined;
  disk?: number | undefined;
  role?:
    | {
        __typename?: 'RoleType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  platform?:
    | {
        __typename?: 'PlatformType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  primaryIp4?:
    | {
        __typename?: 'IPAddressType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        address?: string | undefined;
      }
    | undefined;
  primaryIp6?:
    | {
        __typename?: 'IPAddressType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        address?: string | undefined;
      }
    | undefined;
  cluster?:
    | {
        __typename?: 'ClusterType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
        type?:
          | {
              __typename?: 'ClusterTypeType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
};

export const VmDetailCardFragmentDoc = gql`
  fragment vmDetailCard on VirtualMachineType {
    name
    status
    role {
      ...assetBaseView
    }
    platform {
      ...assetBaseView
    }
    tenant {
      ...assetBaseView
    }
    primaryIp4 {
      ...assetBaseView
    }
    primaryIp6 {
      ...assetBaseView
    }
    cluster {
      ...assetBaseView
      type {
        ...assetBaseView
      }
    }
    vcpus
    memory
    disk
  }
`;
