import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type VmInterfaceDetailFragment = {
  __typename?: 'VMInterfaceType';
  name?: string | undefined;
  enabled?: boolean | undefined;
  description?: string | undefined;
  mtu?: number | undefined;
  macAddress?: string | undefined;
  mode?: SchemaTypes.VirtualizationVmInterfaceModeChoices | undefined;
  id: string;
  netboxUrl?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  uuid?: string | undefined;
  virtualMachine?:
    | {
        __typename?: 'VirtualMachineType';
        status?: SchemaTypes.VirtualizationVirtualMachineStatusChoices | undefined;
        vcpus?: number | undefined;
        memory?: number | undefined;
        disk?: number | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        id: string;
        name?: string | undefined;
        cluster?:
          | {
              __typename?: 'ClusterType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        role?:
          | {
              __typename?: 'RoleType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tenant?:
          | {
              __typename?: 'TenantType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        primaryIp4?:
          | {
              __typename?: 'IPAddressType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              address?: string | undefined;
            }
          | undefined;
        primaryIp6?:
          | {
              __typename?: 'IPAddressType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              address?: string | undefined;
            }
          | undefined;
      }
    | undefined;
  taggedVlans: Array<{
    __typename?: 'VLANType';
    vid?: number | undefined;
    status?: SchemaTypes.IpamVlanStatusChoices | undefined;
    created?: any | undefined;
    lastUpdated?: any | undefined;
    assetType: SchemaTypes.KnownAssetsEnum;
    id: string;
    name?: string | undefined;
    site?:
      | {
          __typename?: 'SiteType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | undefined;
    group?:
      | {
          __typename?: 'VLANGroupType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | undefined;
    tenant?:
      | {
          __typename?: 'TenantType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | undefined;
    role?:
      | {
          __typename?: 'RoleType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | undefined;
  }>;
  parent?:
    | {
        __typename?: 'VMInterfaceType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const VmInterfaceDetailFragmentDoc = gql`
  fragment vmInterfaceDetail on VMInterfaceType {
    ...assetSharedDetail
    ...vmInterfaceDetailCard
    virtualMachine {
      ...vmAssetTableElement
    }
    taggedVlans {
      ...vlanAssetTableElement
    }
  }
`;
