import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { VmInterfaceDetailFragmentDoc } from './vm-interface-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { VmInterfaceDetailCardFragmentDoc } from '../vm-interface-detail-card/vm-interface-detail-card.fragment.generated';
import { VmAssetTableElementFragmentDoc } from '../../../../shared/tables/vm-asset-table/vm-asset-table-element.fragment.generated';
import { VlanAssetTableElementFragmentDoc } from '../../../../shared/tables/vlan-asset-table/vlan-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetVmInterfaceQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetVmInterfaceQuery = {
  __typename?: 'Query';
  vmInterface?:
    | {
        __typename?: 'VMInterfaceType';
        name?: string | undefined;
        enabled?: boolean | undefined;
        description?: string | undefined;
        mtu?: number | undefined;
        macAddress?: string | undefined;
        mode?: SchemaTypes.VirtualizationVmInterfaceModeChoices | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        virtualMachine?:
          | {
              __typename?: 'VirtualMachineType';
              status?: SchemaTypes.VirtualizationVirtualMachineStatusChoices | undefined;
              vcpus?: number | undefined;
              memory?: number | undefined;
              disk?: number | undefined;
              created?: any | undefined;
              lastUpdated?: any | undefined;
              assetType: SchemaTypes.KnownAssetsEnum;
              id: string;
              name?: string | undefined;
              cluster?:
                | {
                    __typename?: 'ClusterType';
                    assetType: SchemaTypes.KnownAssetsEnum;
                    created?: any | undefined;
                    id: string;
                    name?: string | undefined;
                  }
                | undefined;
              role?:
                | {
                    __typename?: 'RoleType';
                    assetType: SchemaTypes.KnownAssetsEnum;
                    created?: any | undefined;
                    id: string;
                    name?: string | undefined;
                  }
                | undefined;
              tenant?:
                | {
                    __typename?: 'TenantType';
                    assetType: SchemaTypes.KnownAssetsEnum;
                    created?: any | undefined;
                    id: string;
                    name?: string | undefined;
                  }
                | undefined;
              primaryIp4?:
                | {
                    __typename?: 'IPAddressType';
                    assetType: SchemaTypes.KnownAssetsEnum;
                    created?: any | undefined;
                    id: string;
                    address?: string | undefined;
                  }
                | undefined;
              primaryIp6?:
                | {
                    __typename?: 'IPAddressType';
                    assetType: SchemaTypes.KnownAssetsEnum;
                    created?: any | undefined;
                    id: string;
                    address?: string | undefined;
                  }
                | undefined;
            }
          | undefined;
        taggedVlans: Array<{
          __typename?: 'VLANType';
          vid?: number | undefined;
          status?: SchemaTypes.IpamVlanStatusChoices | undefined;
          created?: any | undefined;
          lastUpdated?: any | undefined;
          assetType: SchemaTypes.KnownAssetsEnum;
          id: string;
          name?: string | undefined;
          site?:
            | {
                __typename?: 'SiteType';
                assetType: SchemaTypes.KnownAssetsEnum;
                created?: any | undefined;
                id: string;
                name?: string | undefined;
              }
            | undefined;
          group?:
            | {
                __typename?: 'VLANGroupType';
                assetType: SchemaTypes.KnownAssetsEnum;
                created?: any | undefined;
                id: string;
                name?: string | undefined;
              }
            | undefined;
          tenant?:
            | {
                __typename?: 'TenantType';
                assetType: SchemaTypes.KnownAssetsEnum;
                created?: any | undefined;
                id: string;
                name?: string | undefined;
              }
            | undefined;
          role?:
            | {
                __typename?: 'RoleType';
                assetType: SchemaTypes.KnownAssetsEnum;
                created?: any | undefined;
                id: string;
                name?: string | undefined;
              }
            | undefined;
        }>;
        parent?:
          | {
              __typename?: 'VMInterfaceType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        tags: {
          __typename?: 'TagTypeResultSet';
          data: Array<{
            __typename?: 'TagType';
            id?: string | undefined;
            name?: string | undefined;
            color?: string | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetVmInterfaceDocument = gql`
  query getVMInterface($id: ID!) {
    vmInterface(id: $id) {
      ...vmInterfaceDetail
    }
  }
  ${VmInterfaceDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${VmInterfaceDetailCardFragmentDoc}
  ${VmAssetTableElementFragmentDoc}
  ${VlanAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetVmInterfaceQueryService extends Apollo.Query<GetVmInterfaceQuery, GetVmInterfaceQueryVariables> {
  document = GetVmInterfaceDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
