import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { WirelessLanAssetDetailFragmentDoc } from './wireless-lan-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { WirelessLanDetailCardFragmentDoc } from '../wireless-lan-detail-card/wireless-lan-detail-card.fragment.generated';
import { Injectable } from '@angular/core';

export type GetWirelessLanQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetWirelessLanQuery = {
  __typename?: 'Query';
  wirelessLan?:
    | {
        __typename?: 'WirelessLanType';
        ssid?: string | undefined;
        description?: string | undefined;
        authType?: SchemaTypes.WirelessLanAuthTypeChoices | undefined;
        authCipher?: SchemaTypes.WirelessLanAuthCipherChoices | undefined;
        authPsk?: string | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        name?: string | undefined;
        group?:
          | {
              __typename?: 'WirelessLanGroupType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
        vlan?:
          | {
              __typename?: 'VLANType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
};

export const GetWirelessLanDocument = gql`
  query getWirelessLan($id: ID!) {
    wirelessLan(id: $id) {
      ...wirelessLanAssetDetail
    }
  }
  ${WirelessLanAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${WirelessLanDetailCardFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetWirelessLanQueryService extends Apollo.Query<GetWirelessLanQuery, GetWirelessLanQueryVariables> {
  document = GetWirelessLanDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
