import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { WirelessLanGroupAssetDetailFragmentDoc } from './wireless-lan-group-asset-detail.fragment.generated';
import { AssetSharedDetailFragmentDoc } from '../../../../detail-shared/asset-shared-detail.fragment.generated';
import {
  AssetDetailSharedMainContentFragmentDoc,
  MaybeTagsFragmentDoc,
} from '../../../../detail-shared/asset-detail-main-content/asset-detail-shared-main-content.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { WirelessLanGroupDetailCardFragmentDoc } from '../wireless-lan-group-detail-card/wireless-lan-group-detail-card.fragment.generated';
import { WirelessLanAssetTableElementFragmentDoc } from '../../../../shared/tables/wireless-lan-asset-table/wireless-lan-asset-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetWirelessLanGroupQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetWirelessLanGroupQuery = {
  __typename?: 'Query';
  wirelessLanGroup?:
    | {
        __typename?: 'WirelessLanGroupType';
        name?: string | undefined;
        description?: string | undefined;
        wirelesslanCount?: number | undefined;
        id: string;
        netboxUrl?: string | undefined;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        uuid?: string | undefined;
        wirelessLans: {
          __typename?: 'WirelessLanTypeResultSet';
          data: Array<{
            __typename?: 'WirelessLanType';
            description?: string | undefined;
            authType?: SchemaTypes.WirelessLanAuthTypeChoices | undefined;
            created?: any | undefined;
            lastUpdated?: any | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            id: string;
            name?: string | undefined;
            group?:
              | {
                  __typename?: 'WirelessLanGroupType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
            vlan?:
              | {
                  __typename?: 'VLANType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }>;
        };
        parent?:
          | {
              __typename?: 'WirelessLanGroupType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
};

export const GetWirelessLanGroupDocument = gql`
  query getWirelessLanGroup($id: ID!) {
    wirelessLanGroup(id: $id) {
      ...wirelessLanGroupAssetDetail
    }
  }
  ${WirelessLanGroupAssetDetailFragmentDoc}
  ${AssetSharedDetailFragmentDoc}
  ${AssetDetailSharedMainContentFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${MaybeTagsFragmentDoc}
  ${AssetTagFragmentDoc}
  ${WirelessLanGroupDetailCardFragmentDoc}
  ${WirelessLanAssetTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetWirelessLanGroupQueryService extends Apollo.Query<
  GetWirelessLanGroupQuery,
  GetWirelessLanGroupQueryVariables
> {
  document = GetWirelessLanGroupDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
