import { ChangeDetectionStrategy, Component } from '@angular/core';
import {
  AssetSharedOverviewFilterChipsService,
  AssetSharedOverviewFilterService,
} from '@orion/asset-components/shared-filters';
import { AssetSmartOverviewDirective } from '@orion/asset-components/smart-overview';
import { AssetClientFilter } from '@orion/asset-types';
import {
  INIT_PAGINATION_EVENT_BASE_TOKEN,
  PaginationBaseInit,
  PaginationService,
  QueryParamPaginationService,
} from '@csirtmu-orion/microframework/pagination-services';
import { CircuitAssetOverviewService } from './circuit-asset-overview.service';
import { CircuitAssetOverviewFragment } from './graphql';

@Component({
  selector: 'orion-circuit-asset-page-overview',
  templateUrl: './circuit-asset-overview-page.component.html',
  styleUrls: ['./circuit-asset-overview-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    CircuitAssetOverviewService,
    AssetSharedOverviewFilterService,
    AssetSharedOverviewFilterChipsService,
    { provide: PaginationService, useClass: QueryParamPaginationService },
    {
      provide: INIT_PAGINATION_EVENT_BASE_TOKEN,
      useValue: new PaginationBaseInit(20, '', ''),
    },
  ],
})
export class CircuitAssetOverviewPageComponent extends AssetSmartOverviewDirective<
  CircuitAssetOverviewFragment,
  AssetClientFilter
> {
  constructor(
    protected entityService: CircuitAssetOverviewService,
    protected filterService: AssetSharedOverviewFilterService,
    protected paginationService: PaginationService,
    protected filterChipsService: AssetSharedOverviewFilterChipsService
  ) {
    super(entityService, filterService, paginationService, filterChipsService);
  }
}
