import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { CircuitAssetOverviewFragmentDoc } from './circuit-asset-overview.fragment.generated';
import { CircuitAssetTableElementFragmentDoc } from '../../../../shared/tables/circuit-asset-table/circuit-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetCircuitOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.CircuitFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetCircuitOverviewQuery = {
  __typename?: 'Query';
  circuitList: {
    __typename?: 'CircuitTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'CircuitType';
      status?: SchemaTypes.CircuitsCircuitStatusChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      provider?:
        | {
            __typename?: 'ProviderType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      type?:
        | {
            __typename?: 'CircuitTypeType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      terminationA?:
        | {
            __typename?: 'CircuitTerminationType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
          }
        | undefined;
      terminationZ?:
        | {
            __typename?: 'CircuitTerminationType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetCircuitOverviewDocument = gql`
  query getCircuitOverview($filter: CircuitFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    circuitList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...circuitAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${CircuitAssetOverviewFragmentDoc}
  ${CircuitAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetCircuitOverviewQueryService extends Apollo.Query<
  GetCircuitOverviewQuery,
  GetCircuitOverviewQueryVariables
> {
  document = GetCircuitOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
