import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { CircuitTerminationAssetTable } from './circuit-termination-asset-table';
import { CircuitTerminationTableElementFragment } from './circuit-termination-table-element.fragment.generated';

@Component({
  selector: 'orion-circuit-termination-asset-table',
  templateUrl: './circuit-termination-asset-table.component.html',
  styleUrls: ['./circuit-termination-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CircuitTerminationAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  CircuitTerminationTableElementFragment,
  CircuitTerminationAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<CircuitTerminationTableElementFragment> | CircuitTerminationTableElementFragment[]
  ): CircuitTerminationAssetTable {
    return new CircuitTerminationAssetTable(entities);
  }
}
