import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { CircuitTerminationTableElementFragment } from './circuit-termination-table-element.fragment.generated';

export class CircuitTerminationAssetTable extends SimpleRowTable<CircuitTerminationTableElementFragment> {
  constructor(
    circuitTerminations:
      | IPaginatedElements<CircuitTerminationTableElementFragment>
      | CircuitTerminationTableElementFragment[]
  ) {
    const columns = [
      new Column('circuitTermination', 'Circuit Termination', false),
      new Column('site', 'Site', false),
      new Column('cable', 'Cable', false),
      new Column('circuit', 'Circuit', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(circuitTerminations, columns);
  }
}
