import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { CircuitTerminationAssetOverviewFragmentDoc } from './circuit-termination-asset-overview.fragment.generated';
import { CircuitTerminationTableElementFragmentDoc } from '../circuit-termination-table/circuit-termination-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetCircuitTerminationOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.CircuitTerminationFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetCircuitTerminationOverviewQuery = {
  __typename?: 'Query';
  circuitTerminationList: {
    __typename?: 'CircuitTerminationTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'CircuitTerminationType';
      description?: string | undefined;
      lastUpdated?: any | undefined;
      created?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      site?:
        | {
            __typename?: 'SiteType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      cable?:
        | {
            __typename?: 'CableType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      circuit?:
        | {
            __typename?: 'CircuitType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetCircuitTerminationOverviewDocument = gql`
  query getCircuitTerminationOverview($filter: CircuitTerminationFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    circuitTerminationList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...circuitTerminationAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${CircuitTerminationAssetOverviewFragmentDoc}
  ${CircuitTerminationTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetCircuitTerminationOverviewQueryService extends Apollo.Query<
  GetCircuitTerminationOverviewQuery,
  GetCircuitTerminationOverviewQueryVariables
> {
  document = GetCircuitTerminationOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
