import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { CircuitTypeAssetTable } from './circuit-type-asset-table';
import { CircuitTypeAssetTableElementFragment } from './circuit-type-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-circuit-type-asset-table',
  templateUrl: './circuit-type-asset-table.component.html',
  styleUrls: ['./circuit-type-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CircuitTypeAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  CircuitTypeAssetTableElementFragment,
  CircuitTypeAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<CircuitTypeAssetTableElementFragment> | CircuitTypeAssetTableElementFragment[]
  ): CircuitTypeAssetTable {
    return new CircuitTypeAssetTable(entities);
  }
}
