import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { CircuitTypeAssetTableElementFragment } from './circuit-type-asset-table-element.fragment.generated';

export class CircuitTypeAssetTable extends SimpleRowTable<CircuitTypeAssetTableElementFragment> {
  constructor(
    circuitTypes: IPaginatedElements<CircuitTypeAssetTableElementFragment> | CircuitTypeAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('circuitType', 'Circuit Type', false),
      new Column('circuits', 'Circuits', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(circuitTypes, columns);
  }
}
