import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { CircuitTypeAssetOverviewFragmentDoc } from './circuit-type-asset-overview.fragment.generated';
import { CircuitTypeAssetTableElementFragmentDoc } from '../circuit-type-asset-table/circuit-type-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetCircuitTypeOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.CircuitTypeFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetCircuitTypeOverviewQuery = {
  __typename?: 'Query';
  circuitTypeList: {
    __typename?: 'CircuitTypeTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'CircuitTypeType';
      circuitsCount?: number | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
    }>;
  };
};

export const GetCircuitTypeOverviewDocument = gql`
  query getCircuitTypeOverview($filter: CircuitTypeFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    circuitTypeList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...circuitTypeAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${CircuitTypeAssetOverviewFragmentDoc}
  ${CircuitTypeAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetCircuitTypeOverviewQueryService extends Apollo.Query<
  GetCircuitTypeOverviewQuery,
  GetCircuitTypeOverviewQueryVariables
> {
  document = GetCircuitTypeOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
