import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ProviderNetworkAssetOverviewFragmentDoc } from './provider-network-asset-overview.fragment.generated';
import { ProviderNetworkAssetTableElementFragmentDoc } from '../provider-network-asset-table/provider-network-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetProviderNetworkOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.ProviderNetworkFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetProviderNetworkOverviewQuery = {
  __typename?: 'Query';
  providerNetworkList: {
    __typename?: 'ProviderNetworkTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'ProviderNetworkType';
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      provider?:
        | {
            __typename?: 'ProviderType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetProviderNetworkOverviewDocument = gql`
  query getProviderNetworkOverview($filter: ProviderNetworkFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    providerNetworkList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...providerNetworkAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${ProviderNetworkAssetOverviewFragmentDoc}
  ${ProviderNetworkAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetProviderNetworkOverviewQueryService extends Apollo.Query<
  GetProviderNetworkOverviewQuery,
  GetProviderNetworkOverviewQueryVariables
> {
  document = GetProviderNetworkOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
