import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ProviderNetworkAssetTable } from './provider-network-asset-table';
import { ProviderNetworkAssetTableElementFragment } from './provider-network-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-provider-network-asset-table',
  templateUrl: './provider-network-asset-table.component.html',
  styleUrls: ['./provider-network-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ProviderNetworkAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  ProviderNetworkAssetTableElementFragment,
  ProviderNetworkAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<ProviderNetworkAssetTableElementFragment> | ProviderNetworkAssetTableElementFragment[]
  ): ProviderNetworkAssetTable {
    return new ProviderNetworkAssetTable(entities);
  }
}
