import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { ProviderNetworkAssetTableElementFragment } from './provider-network-asset-table-element.fragment.generated';

export class ProviderNetworkAssetTable extends SimpleRowTable<ProviderNetworkAssetTableElementFragment> {
  constructor(
    providerNetworks:
      | IPaginatedElements<ProviderNetworkAssetTableElementFragment>
      | ProviderNetworkAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('providerNetwork', 'Provider Network', false),
      new Column('provider', 'Provider', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(providerNetworks, columns);
  }
}
