import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ProviderAssetOverviewFragmentDoc } from './provider-asset-overview.fragment.generated';
import { ProviderAssetTableElementFragmentDoc } from '../provider-asset-table/provider-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetProviderOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.ProviderFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetProviderOverviewQuery = {
  __typename?: 'Query';
  providerList: {
    __typename?: 'ProviderTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'ProviderType';
      asn?: number | undefined;
      account?: string | undefined;
      circuitCount?: number | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
    }>;
  };
};

export const GetProviderOverviewDocument = gql`
  query getProviderOverview($filter: ProviderFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    providerList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...providerAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${ProviderAssetOverviewFragmentDoc}
  ${ProviderAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetProviderOverviewQueryService extends Apollo.Query<
  GetProviderOverviewQuery,
  GetProviderOverviewQueryVariables
> {
  document = GetProviderOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
