import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ProviderAssetTable } from './provider-asset-table';
import { ProviderAssetTableElementFragment } from './provider-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-provider-asset-table',
  templateUrl: './provider-asset-table.component.html',
  styleUrls: ['./provider-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ProviderAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  ProviderAssetTableElementFragment,
  ProviderAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<ProviderAssetTableElementFragment> | ProviderAssetTableElementFragment[]
  ): ProviderAssetTable {
    return new ProviderAssetTable(entities);
  }
}
