import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { ProviderAssetTableElementFragment } from './provider-asset-table-element.fragment.generated';

export class ProviderAssetTable extends SimpleRowTable<ProviderAssetTableElementFragment> {
  constructor(providers: IPaginatedElements<ProviderAssetTableElementFragment> | ProviderAssetTableElementFragment[]) {
    const columns = [
      new Column('provider', 'Provider', false),
      new Column('asn', 'ASN', false),
      new Column('account', 'Account', false),
      new Column('circuits', 'Circuits', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(providers, columns);
  }
}
