import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { CableAssetTable } from './cable-asset-table';
import { CableAssetTableElementFragment } from './cable-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-cable-asset-table',
  templateUrl: './cable-asset-table.component.html',
  styleUrls: ['./cable-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CableAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  CableAssetTableElementFragment,
  CableAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<CableAssetTableElementFragment> | CableAssetTableElementFragment[]
  ): CableAssetTable {
    return new CableAssetTable(entities);
  }
}
