import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { CableAssetTableElementFragment } from './cable-asset-table-element.fragment.generated';

export class CableAssetTable extends SimpleRowTable<CableAssetTableElementFragment> {
  constructor(cables: IPaginatedElements<CableAssetTableElementFragment> | CableAssetTableElementFragment[]) {
    const columns = [
      new Column('cable', 'Cable', false),
      new Column('label', 'Label', false),
      new Column('terminationA', 'Termination A', false),
      new Column('terminationB', 'Termination B', false),
      new Column('status', 'Status', false),
      new Column('type', 'Type', false),
      new Column('color', 'Color', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(cables, columns);
  }
}
