import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { WirelessLinkAssetOverviewFragmentDoc } from './wireless-link-asset-oveview.fragment.generated';
import { WirelessLinkAssetTableElementFragmentDoc } from '../wireless-link-asset-table/wireless-link-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetWirelessLinkOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.WirelessLinkFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetWirelessLinkOverviewQuery = {
  __typename?: 'Query';
  wirelessLinkList: {
    __typename?: 'WirelessLinkTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'WirelessLinkType';
      status?: SchemaTypes.WirelessLinkStatusChoices | undefined;
      ssid?: string | undefined;
      description?: string | undefined;
      authType?: SchemaTypes.WirelessLinkAuthTypeChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      interfaceA?:
        | {
            __typename?: 'InterfaceType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
            device?:
              | {
                  __typename?: 'DeviceType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }
        | undefined;
      interfaceB?:
        | {
            __typename?: 'InterfaceType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
            device?:
              | {
                  __typename?: 'DeviceType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetWirelessLinkOverviewDocument = gql`
  query getWirelessLinkOverview($filter: WirelessLinkFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    wirelessLinkList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...wirelessLinkAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${WirelessLinkAssetOverviewFragmentDoc}
  ${WirelessLinkAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetWirelessLinkOverviewQueryService extends Apollo.Query<
  GetWirelessLinkOverviewQuery,
  GetWirelessLinkOverviewQueryVariables
> {
  document = GetWirelessLinkOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
