import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { WirelessLinkAssetTable } from './wireless-link-asset-table';
import { WirelessLinkAssetTableElementFragment } from './wireless-link-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-wireless-link-asset-table',
  templateUrl: './wireless-link-asset-table.component.html',
  styleUrls: ['./wireless-link-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class WirelessLinkAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  WirelessLinkAssetTableElementFragment,
  WirelessLinkAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<WirelessLinkAssetTableElementFragment> | WirelessLinkAssetTableElementFragment[]
  ): WirelessLinkAssetTable {
    return new WirelessLinkAssetTable(entities);
  }
}
