import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { WirelessLinkAssetTableElementFragment } from './wireless-link-asset-table-element.fragment.generated';

export class WirelessLinkAssetTable extends SimpleRowTable<WirelessLinkAssetTableElementFragment> {
  constructor(
    links: IPaginatedElements<WirelessLinkAssetTableElementFragment> | WirelessLinkAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('link', 'Link', false),
      new Column('status', 'status', false),
      new Column('interfaceA', 'Interface A', false),
      new Column('deviceA', 'Device A', false),
      new Column('interfaceB', 'Interface B', false),
      new Column('deviceB', 'Device B', false),
      new Column('ssid', 'SSID', false),
      new Column('authType', 'Auth Type', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(links, columns);
  }
}
