import { ChangeDetectionStrategy, Component } from '@angular/core';
import {
  AssetSharedOverviewFilterChipsService,
  AssetSharedOverviewFilterService,
} from '@orion/asset-components/shared-filters';
import { AssetSmartOverviewDirective } from '@orion/asset-components/smart-overview';
import { AssetClientFilter } from '@orion/asset-types';
import {
  INIT_PAGINATION_EVENT_BASE_TOKEN,
  PaginationBaseInit,
  PaginationService,
  QueryParamPaginationService,
} from '@csirtmu-orion/microframework/pagination-services';
import { ConsolePortAssetOverviewService } from './console-port-asset-overview.service';
import { ConsolePortAssetOverviewFragment } from './graphql';

@Component({
  selector: 'orion-console-port-asset-overview-page',
  templateUrl: './console-port-asset-overview-page.component.html',
  styleUrls: ['./console-port-asset-overview-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    ConsolePortAssetOverviewService,
    AssetSharedOverviewFilterService,
    AssetSharedOverviewFilterChipsService,
    { provide: PaginationService, useClass: QueryParamPaginationService },
    {
      provide: INIT_PAGINATION_EVENT_BASE_TOKEN,
      useValue: new PaginationBaseInit(20, '', ''),
    },
  ],
})
export class ConsolePortAssetOverviewPageComponent extends AssetSmartOverviewDirective<
  ConsolePortAssetOverviewFragment,
  AssetClientFilter
> {
  constructor(
    protected entityService: ConsolePortAssetOverviewService,
    protected filterService: AssetSharedOverviewFilterService,
    protected paginationService: PaginationService,

    protected filterChipsService: AssetSharedOverviewFilterChipsService
  ) {
    super(entityService, filterService, paginationService, filterChipsService);
  }
}
