import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { ConsolePortAssetOverviewPageComponent } from './console-port-asset-overview-page.component';
import { ConsolePortAssetTableComponent } from './console-port-asset-table';

@NgModule({
  declarations: [ConsolePortAssetOverviewPageComponent, ConsolePortAssetTableComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    SentinelPipesModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    SentinelTableModule,
    AssetBaseViewModule,
    OrionTimeAgoModule,
    SentinelErrorModule,
  ],
  exports: [ConsolePortAssetOverviewPageComponent],
})
export class ConsolePortAssetOverviewPageModule {}
