import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ConsolePortAssetTable } from './console-port-asset-table';
import { ConsolePortAssetTableElementFragment } from './console-port-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-console-port-asset-table',
  templateUrl: './console-port-asset-table.component.html',
  styleUrls: ['./console-port-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ConsolePortAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  ConsolePortAssetTableElementFragment,
  ConsolePortAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<ConsolePortAssetTableElementFragment> | ConsolePortAssetTableElementFragment[]
  ): ConsolePortAssetTable {
    return new ConsolePortAssetTable(entities);
  }
}
