import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { ConsolePortAssetTableElementFragment } from './console-port-asset-table-element.fragment.generated';

export class ConsolePortAssetTable extends SimpleRowTable<ConsolePortAssetTableElementFragment> {
  constructor(
    consolePorts: IPaginatedElements<ConsolePortAssetTableElementFragment> | ConsolePortAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('consolePort', 'Console Port', false),
      new Column('device', 'Device', false),
      new Column('label', 'Label', false),
      new Column('type', 'Type', false),
      new Column('speed', 'Speed', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(consolePorts, columns);
  }
}
