import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ConsolePortAssetOverviewFragmentDoc } from './console-port-asset-overview.fragment.generated';
import { ConsolePortAssetTableElementFragmentDoc } from '../console-port-asset-table/console-port-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetConsolePortOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.ConsolePortFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetConsolePortOverviewQuery = {
  __typename?: 'Query';
  consolePortList: {
    __typename?: 'ConsolePortTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'ConsolePortType';
      label?: string | undefined;
      type?: SchemaTypes.DcimConsolePortTypeChoices | undefined;
      speed?: SchemaTypes.DcimConsolePortSpeedChoices | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      device?:
        | {
            __typename?: 'DeviceType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetConsolePortOverviewDocument = gql`
  query getConsolePortOverview($filter: ConsolePortFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    consolePortList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...consolePortAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${ConsolePortAssetOverviewFragmentDoc}
  ${ConsolePortAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetConsolePortOverviewQueryService extends Apollo.Query<
  GetConsolePortOverviewQuery,
  GetConsolePortOverviewQueryVariables
> {
  document = GetConsolePortOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
