import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ConsoleServerPortAssetTable } from './console-server-port-asset-table';
import { ConsoleServerPortAssetTableElementFragment } from './console-server-port-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-console-server-port-asset-table',
  templateUrl: './console-server-port-asset-table.component.html',
  styleUrls: ['./console-server-port-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ConsoleServerPortAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  ConsoleServerPortAssetTableElementFragment,
  ConsoleServerPortAssetTable
> {
  protected createTable(
    entities:
      | IPaginatedElements<ConsoleServerPortAssetTableElementFragment>
      | ConsoleServerPortAssetTableElementFragment[]
  ): ConsoleServerPortAssetTable {
    return new ConsoleServerPortAssetTable(entities);
  }
}
