import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { ConsoleServerPortAssetTableElementFragment } from './console-server-port-asset-table-element.fragment.generated';

export class ConsoleServerPortAssetTable extends SimpleRowTable<ConsoleServerPortAssetTableElementFragment> {
  constructor(
    consoleServerPorts:
      | IPaginatedElements<ConsoleServerPortAssetTableElementFragment>
      | ConsoleServerPortAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('consoleServerPort', 'Console Server Port', false),
      new Column('device', 'Device', false),
      new Column('label', 'Label', false),
      new Column('type', 'Type', false),
      new Column('speed', 'Speed', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(consoleServerPorts, columns);
  }
}
