import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ConsoleServerPortAssetOverviewFragmentDoc } from './console-server-port-asset-overview.fragment.generated';
import { ConsoleServerPortAssetTableElementFragmentDoc } from '../console-server-port-asset-table/console-server-port-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetConsoleServerPortOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.ConsoleServerPortFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetConsoleServerPortOverviewQuery = {
  __typename?: 'Query';
  consoleServerPortList: {
    __typename?: 'ConsoleServerPortTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'ConsoleServerPortType';
      label?: string | undefined;
      type?: SchemaTypes.DcimConsoleServerPortTypeChoices | undefined;
      speed?: string | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      device?:
        | {
            __typename?: 'DeviceType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetConsoleServerPortOverviewDocument = gql`
  query getConsoleServerPortOverview($filter: ConsoleServerPortFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    consoleServerPortList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...consoleServerPortAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${ConsoleServerPortAssetOverviewFragmentDoc}
  ${ConsoleServerPortAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetConsoleServerPortOverviewQueryService extends Apollo.Query<
  GetConsoleServerPortOverviewQuery,
  GetConsoleServerPortOverviewQueryVariables
> {
  document = GetConsoleServerPortOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
