import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { DeviceBayAssetTable } from './device-bay-asset-table';
import { DeviceBayAssetTableElementFragment } from './device-bay-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-device-bay-asset-table',
  templateUrl: './device-bay-asset-table.component.html',
  styleUrls: ['./device-bay-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DeviceBayAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  DeviceBayAssetTableElementFragment,
  DeviceBayAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<DeviceBayAssetTableElementFragment> | DeviceBayAssetTableElementFragment[]
  ): DeviceBayAssetTable {
    return new DeviceBayAssetTable(entities);
  }
}
