import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { DeviceBayAssetTableElementFragment } from './device-bay-asset-table-element.fragment.generated';

export class DeviceBayAssetTable extends SimpleRowTable<DeviceBayAssetTableElementFragment> {
  constructor(
    deviceBays: IPaginatedElements<DeviceBayAssetTableElementFragment> | DeviceBayAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('deviceBay', 'Device Bay', false),
      new Column('device', 'Device', false),
      new Column('label', 'Label', false),
      new Column('status', 'status', false),
      new Column('installedDevice', 'Installed Device', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(deviceBays, columns);
  }
}
