import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { DeviceBayAssetOverviewFragmentDoc } from './device-bay-asset-overview.fragment.generated';
import { DeviceBayAssetTableElementFragmentDoc } from '../device-bay-asset-table/device-bay-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetDeviceBayOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.DeviceBayFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetDeviceBayOverviewQuery = {
  __typename?: 'Query';
  deviceBayList: {
    __typename?: 'DeviceBayTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'DeviceBayType';
      label?: string | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      device?:
        | {
            __typename?: 'DeviceType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      installedDevice?:
        | {
            __typename?: 'DeviceType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetDeviceBayOverviewDocument = gql`
  query getDeviceBayOverview($filter: DeviceBayFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    deviceBayList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...deviceBayAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${DeviceBayAssetOverviewFragmentDoc}
  ${DeviceBayAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetDeviceBayOverviewQueryService extends Apollo.Query<
  GetDeviceBayOverviewQuery,
  GetDeviceBayOverviewQueryVariables
> {
  document = GetDeviceBayOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
