import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { DeviceRoleAssetTable } from './device-role-asset-table';
import { DeviceRoleAssetTableElementFragment } from './device-role-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-device-role-asset-table',
  templateUrl: './device-role-asset-table.component.html',
  styleUrls: ['./device-role-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DeviceRoleAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  DeviceRoleAssetTableElementFragment,
  DeviceRoleAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<DeviceRoleAssetTableElementFragment> | DeviceRoleAssetTableElementFragment[]
  ): DeviceRoleAssetTable {
    return new DeviceRoleAssetTable(entities);
  }
}
