import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { DeviceRoleAssetTableElementFragment } from './device-role-asset-table-element.fragment.generated';

export class DeviceRoleAssetTable extends SimpleRowTable<DeviceRoleAssetTableElementFragment> {
  constructor(
    deviceRoles: IPaginatedElements<DeviceRoleAssetTableElementFragment> | DeviceRoleAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('deviceRole', 'Device Role', false),
      new Column('devices', 'Devices', false),
      new Column('vms', 'VMs', false),
      new Column('color', 'Color', false),
      new Column('vmRole', 'VM Role', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(deviceRoles, columns);
  }
}
