import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { DeviceRoleAssetOverviewFragmentDoc } from './device-role-asset-overview.fragment.generated';
import { DeviceRoleAssetTableElementFragmentDoc } from '../device-role-asset-table/device-role-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetDeviceRoleOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.DeviceRoleFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetDeviceRoleOverviewQuery = {
  __typename?: 'Query';
  deviceRoleList: {
    __typename?: 'DeviceRoleTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'DeviceRoleType';
      deviceCount?: number | undefined;
      virtualmachineCount?: number | undefined;
      color?: string | undefined;
      vmRole?: boolean | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
    }>;
  };
};

export const GetDeviceRoleOverviewDocument = gql`
  query getDeviceRoleOverview($filter: DeviceRoleFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    deviceRoleList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...deviceRoleAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${DeviceRoleAssetOverviewFragmentDoc}
  ${DeviceRoleAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetDeviceRoleOverviewQueryService extends Apollo.Query<
  GetDeviceRoleOverviewQuery,
  GetDeviceRoleOverviewQueryVariables
> {
  document = GetDeviceRoleOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
