import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { DeviceTypeAssetOverviewFragmentDoc } from './device-type-asset-overview.fragment.generated';
import { DeviceTypeAssetTableElementFragmentDoc } from '../../../../shared/tables/device-type-asset-table/device-type-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetDeviceTypeOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.DeviceTypeFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetDeviceTypeOverviewQuery = {
  __typename?: 'Query';
  deviceTypeList: {
    __typename?: 'DeviceTypeTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'DeviceTypeType';
      partNumber?: string | undefined;
      uHeight?: number | undefined;
      isFullDepth?: boolean | undefined;
      deviceCount?: number | undefined;
      subdeviceRole?: SchemaTypes.DcimDeviceTypeSubdeviceRoleChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      model?: string | undefined;
      manufacturer?:
        | {
            __typename?: 'ManufacturerType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetDeviceTypeOverviewDocument = gql`
  query getDeviceTypeOverview($filter: DeviceTypeFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    deviceTypeList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...deviceTypeAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${DeviceTypeAssetOverviewFragmentDoc}
  ${DeviceTypeAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetDeviceTypeOverviewQueryService extends Apollo.Query<
  GetDeviceTypeOverviewQuery,
  GetDeviceTypeOverviewQueryVariables
> {
  document = GetDeviceTypeOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
