import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { InterfaceAssetOverviewFragmentDoc } from './interface-asset-overview.fragment.generated';
import { InterfaceAssetTableElementFragmentDoc } from '../../../../shared/tables/interface-asset-table/interface-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetInterfaceOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.InterfaceFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetInterfaceOverviewQuery = {
  __typename?: 'Query';
  interfaceList: {
    __typename?: 'InterfaceTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'InterfaceType';
      label?: string | undefined;
      enabled?: boolean | undefined;
      type?: SchemaTypes.DcimInterfaceTypeChoices | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      device?:
        | {
            __typename?: 'DeviceType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetInterfaceOverviewDocument = gql`
  query getInterfaceOverview($filter: InterfaceFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    interfaceList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...interfaceAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${InterfaceAssetOverviewFragmentDoc}
  ${InterfaceAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetInterfaceOverviewQueryService extends Apollo.Query<
  GetInterfaceOverviewQuery,
  GetInterfaceOverviewQueryVariables
> {
  document = GetInterfaceOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
