import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { InventoryItemAssetOverviewFragmentDoc } from './inventory-item-asset-overview.fragment.generated';
import { InventoryItemAssetTableElementFragmentDoc } from '../../../../shared/tables/inventory-item-asset-table/invetory-item-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetInventoryItemOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.InventoryItemFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetInventoryItemOverviewQuery = {
  __typename?: 'Query';
  inventoryItemList: {
    __typename?: 'InventoryItemTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'InventoryItemType';
      label?: string | undefined;
      partId?: string | undefined;
      serial?: string | undefined;
      assetTag?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      device?:
        | {
            __typename?: 'DeviceType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      manufacturer?:
        | {
            __typename?: 'ManufacturerType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetInventoryItemOverviewDocument = gql`
  query getInventoryItemOverview($filter: InventoryItemFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    inventoryItemList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...inventoryItemAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${InventoryItemAssetOverviewFragmentDoc}
  ${InventoryItemAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetInventoryItemOverviewQueryService extends Apollo.Query<
  GetInventoryItemOverviewQuery,
  GetInventoryItemOverviewQueryVariables
> {
  document = GetInventoryItemOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
