import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ManufacturerAssetOverviewFragmentDoc } from './manufacturer-asset-overview.fragment.generated';
import { ManufacturerAssetTableElementFragmentDoc } from '../manufacturer-asset-table/manufacturer-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetManufacturerOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.ManufacturerFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetManufacturerOverviewQuery = {
  __typename?: 'Query';
  manufacturerList: {
    __typename?: 'ManufacturerTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'ManufacturerType';
      devicetypeCount?: number | undefined;
      inventoryitemCount?: number | undefined;
      platformCount?: number | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
    }>;
  };
};

export const GetManufacturerOverviewDocument = gql`
  query getManufacturerOverview($filter: ManufacturerFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    manufacturerList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...manufacturerAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${ManufacturerAssetOverviewFragmentDoc}
  ${ManufacturerAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetManufacturerOverviewQueryService extends Apollo.Query<
  GetManufacturerOverviewQuery,
  GetManufacturerOverviewQueryVariables
> {
  document = GetManufacturerOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
