import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ManufacturerAssetTable } from './manufacturer-asset-table';
import { ManufacturerAssetTableElementFragment } from './manufacturer-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-manufacturer-asset-table',
  templateUrl: './manufacturer-asset-table.component.html',
  styleUrls: ['./manufacturer-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ManufacturerAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  ManufacturerAssetTableElementFragment,
  ManufacturerAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<ManufacturerAssetTableElementFragment> | ManufacturerAssetTableElementFragment[]
  ): ManufacturerAssetTable {
    return new ManufacturerAssetTable(entities);
  }
}
