import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { ManufacturerAssetTableElementFragment } from './manufacturer-asset-table-element.fragment.generated';

export class ManufacturerAssetTable extends SimpleRowTable<ManufacturerAssetTableElementFragment> {
  constructor(
    manufacturers: IPaginatedElements<ManufacturerAssetTableElementFragment> | ManufacturerAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('manufacturer', 'Manufacturer', false),
      new Column('deviceTypes', 'Device Types', false),
      new Column('inventoryItems', 'Inventory Items', false),
      new Column('platforms', 'Platforms', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(manufacturers, columns);
  }
}
