import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { PlatformAssetOverviewFragmentDoc } from './platform-asset-overview.fragment.generated';
import { PlatformAssetTableElementFragmentDoc } from '../platform-asset-table/platform-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetPlatformOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.PlatformFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetPlatformOverviewQuery = {
  __typename?: 'Query';
  platformList: {
    __typename?: 'PlatformTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'PlatformType';
      deviceCount?: number | undefined;
      virtualmachineCount?: number | undefined;
      napalmDriver?: string | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      manufacturer?:
        | {
            __typename?: 'ManufacturerType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetPlatformOverviewDocument = gql`
  query getPlatformOverview($filter: PlatformFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    platformList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...platformAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${PlatformAssetOverviewFragmentDoc}
  ${PlatformAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetPlatformOverviewQueryService extends Apollo.Query<
  GetPlatformOverviewQuery,
  GetPlatformOverviewQueryVariables
> {
  document = GetPlatformOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
