import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { PlatformAssetTable } from './platform-asset-table';
import { PlatformAssetTableElementFragment } from './platform-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-platform-asset-table',
  templateUrl: './platform-asset-table.component.html',
  styleUrls: ['./platform-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class PlatformAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  PlatformAssetTableElementFragment,
  PlatformAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<PlatformAssetTableElementFragment> | PlatformAssetTableElementFragment[]
  ): PlatformAssetTable {
    return new PlatformAssetTable(entities);
  }
}
