import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { PlatformAssetTableElementFragment } from './platform-asset-table-element.fragment.generated';

export class PlatformAssetTable extends SimpleRowTable<PlatformAssetTableElementFragment> {
  constructor(platforms: IPaginatedElements<PlatformAssetTableElementFragment> | PlatformAssetTableElementFragment[]) {
    const columns = [
      new Column('platform', 'Platform', false),
      new Column('manufacturer', 'Manufacturer', false),
      new Column('devices', 'Devices', false),
      new Column('vms', 'VMs', false),
      new Column('napalmDriver', 'NAPALM Driver', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(platforms, columns);
  }
}
