import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { PowerOutletAssetOverviewFragmentDoc } from './power-outlet-asset-overview.fragment.generated';
import { PowerOutletAssetTableElementFragmentDoc } from '../power-outlet-asset-table/power-outlet-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetPowerOutletOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.PowerOutletFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetPowerOutletOverviewQuery = {
  __typename?: 'Query';
  powerOutletList: {
    __typename?: 'PowerOutletTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'PowerOutletType';
      label?: string | undefined;
      type?: SchemaTypes.DcimPowerOutletTypeChoices | undefined;
      description?: string | undefined;
      feedLeg?: SchemaTypes.DcimPowerOutletFeedLegChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      device?:
        | {
            __typename?: 'DeviceType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      powerPort?:
        | {
            __typename?: 'PowerPortType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetPowerOutletOverviewDocument = gql`
  query getPowerOutletOverview($filter: PowerOutletFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    powerOutletList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...powerOutletAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${PowerOutletAssetOverviewFragmentDoc}
  ${PowerOutletAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetPowerOutletOverviewQueryService extends Apollo.Query<
  GetPowerOutletOverviewQuery,
  GetPowerOutletOverviewQueryVariables
> {
  document = GetPowerOutletOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
