import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { PowerOutletAssetTable } from './power-outlet-asset-table';
import { PowerOutletAssetTableElementFragment } from './power-outlet-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-power-outlet-asset-table',
  templateUrl: './power-outlet-asset-table.component.html',
  styleUrls: ['./power-outlet-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class PowerOutletAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  PowerOutletAssetTableElementFragment,
  PowerOutletAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<PowerOutletAssetTableElementFragment> | PowerOutletAssetTableElementFragment[]
  ): PowerOutletAssetTable {
    return new PowerOutletAssetTable(entities);
  }
}
