import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { PowerOutletAssetTableElementFragment } from './power-outlet-asset-table-element.fragment.generated';

export class PowerOutletAssetTable extends SimpleRowTable<PowerOutletAssetTableElementFragment> {
  constructor(
    powerOutlets: IPaginatedElements<PowerOutletAssetTableElementFragment> | PowerOutletAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('powerOutlet', 'Power Outlet', false),
      new Column('device', 'Device', false),
      new Column('label', 'Label', false),
      new Column('type', 'Type', false),
      new Column('powerPort', 'Power Port', false),
      new Column('feedLeg', 'Feed Leg', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(powerOutlets, columns);
  }
}
