import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { PowerPortAssetOverviewFragmentDoc } from './power-port-asset-overview.fragment.generated';
import { PowerPortAssetTableElementFragmentDoc } from '../power-port-asset-table/power-port-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetPowerPortOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.PowerPortFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetPowerPortOverviewQuery = {
  __typename?: 'Query';
  powerPortList: {
    __typename?: 'PowerPortTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'PowerPortType';
      label?: string | undefined;
      type?: SchemaTypes.DcimPowerPortTypeChoices | undefined;
      description?: string | undefined;
      maximumDraw?: number | undefined;
      allocatedDraw?: number | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      device?:
        | {
            __typename?: 'DeviceType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetPowerPortOverviewDocument = gql`
  query getPowerPortOverview($filter: PowerPortFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    powerPortList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...powerPortAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${PowerPortAssetOverviewFragmentDoc}
  ${PowerPortAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetPowerPortOverviewQueryService extends Apollo.Query<
  GetPowerPortOverviewQuery,
  GetPowerPortOverviewQueryVariables
> {
  document = GetPowerPortOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
