import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { PowerPortAssetTable } from './power-port-asset-table';
import { PowerPortAssetTableElementFragment } from './power-port-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-power-port-asset-table',
  templateUrl: './power-port-asset-table.component.html',
  styleUrls: ['./power-port-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class PowerPortAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  PowerPortAssetTableElementFragment,
  PowerPortAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<PowerPortAssetTableElementFragment> | PowerPortAssetTableElementFragment[]
  ): PowerPortAssetTable {
    return new PowerPortAssetTable(entities);
  }
}
