import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { PowerPortAssetTableElementFragment } from './power-port-asset-table-element.fragment.generated';

export class PowerPortAssetTable extends SimpleRowTable<PowerPortAssetTableElementFragment> {
  constructor(
    powerOutlets: IPaginatedElements<PowerPortAssetTableElementFragment> | PowerPortAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('powerPort', 'Power Port', false),
      new Column('device', 'Device', false),
      new Column('label', 'Label', false),
      new Column('type', 'Type', false),
      new Column('maximumDraw', 'Maximum Draw', false),
      new Column('allocatedDraw', 'Allocated Draw', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(powerOutlets, columns);
  }
}
