import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { RearPortAssetOverviewFragmentDoc } from './rear-port-asset-overview.fragment.generated';
import { RearPortAssetTableElementFragmentDoc } from '../../../../shared/tables/rear-port-asset-table/rear-port-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetRearPortOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.RearPortFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetRearPortOverviewQuery = {
  __typename?: 'Query';
  rearPortList: {
    __typename?: 'RearPortTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'RearPortType';
      label?: string | undefined;
      type?: SchemaTypes.DcimRearPortTypeChoices | undefined;
      color?: string | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      device?:
        | {
            __typename?: 'DeviceType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetRearPortOverviewDocument = gql`
  query getRearPortOverview($filter: RearPortFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    rearPortList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...rearPortAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${RearPortAssetOverviewFragmentDoc}
  ${RearPortAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetRearPortOverviewQueryService extends Apollo.Query<
  GetRearPortOverviewQuery,
  GetRearPortOverviewQueryVariables
> {
  document = GetRearPortOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
