import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { VirtualChassisAssetOverviewFragmentDoc } from './virtual-chassis-asset-overview.fragment.generated';
import { VirtualChassisAssetTableElementFragmentDoc } from '../virtual-chassis-asset-table/virtual-chassis-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetVirtualChassisOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.VirtualChassisFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetVirtualChassisOverviewQuery = {
  __typename?: 'Query';
  virtualChassisList: {
    __typename?: 'VirtualChassisTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'VirtualChassisType';
      domain?: string | undefined;
      memberCount?: number | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      master?:
        | {
            __typename?: 'DeviceType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetVirtualChassisOverviewDocument = gql`
  query getVirtualChassisOverview($filter: VirtualChassisFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    virtualChassisList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...virtualChassisAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${VirtualChassisAssetOverviewFragmentDoc}
  ${VirtualChassisAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetVirtualChassisOverviewQueryService extends Apollo.Query<
  GetVirtualChassisOverviewQuery,
  GetVirtualChassisOverviewQueryVariables
> {
  document = GetVirtualChassisOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
