import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { VirtualChassisAssetTable } from './virtual-chassis-asset-table';
import { VirtualChassisAssetTableElementFragment } from './virtual-chassis-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-virtual-chassis-asset-table',
  templateUrl: './virtual-chassis-asset-table.component.html',
  styleUrls: ['./virtual-chassis-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class VirtualChassisAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  VirtualChassisAssetTableElementFragment,
  VirtualChassisAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<VirtualChassisAssetTableElementFragment> | VirtualChassisAssetTableElementFragment[]
  ): VirtualChassisAssetTable {
    return new VirtualChassisAssetTable(entities);
  }
}
