import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { VirtualChassisAssetTableElementFragment } from './virtual-chassis-asset-table-element.fragment.generated';

export class VirtualChassisAssetTable extends SimpleRowTable<VirtualChassisAssetTableElementFragment> {
  constructor(
    virtualChassis:
      | IPaginatedElements<VirtualChassisAssetTableElementFragment>
      | VirtualChassisAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('virtualChassis', 'virtualChassis', false),
      new Column('domain', 'Domain', false),
      new Column('master', 'Master', false),
      new Column('members', 'Members', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(virtualChassis, columns);
  }
}
