import { ChangeDetectionStrategy, Component } from '@angular/core';
import {
  AssetSharedOverviewFilterChipsService,
  AssetSharedOverviewFilterService,
} from '@orion/asset-components/shared-filters';
import { AssetSmartOverviewDirective } from '@orion/asset-components/smart-overview';
import { AssetClientFilter } from '@orion/asset-types';
import {
  INIT_PAGINATION_EVENT_BASE_TOKEN,
  PaginationBaseInit,
  PaginationService,
  QueryParamPaginationService,
} from '@csirtmu-orion/microframework/pagination-services';
import { AsnAssetOverviewService } from './asn-asset-overview.service';
import { AsnAssetOverviewFragment } from './graphql';

@Component({
  selector: 'orion-asn-asset-overview-page',
  templateUrl: './asn-asset-overview-page.component.html',
  styleUrls: ['./asn-asset-overview-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    AsnAssetOverviewService,
    AssetSharedOverviewFilterService,
    AssetSharedOverviewFilterChipsService,
    { provide: PaginationService, useClass: QueryParamPaginationService },
    {
      provide: INIT_PAGINATION_EVENT_BASE_TOKEN,
      useValue: new PaginationBaseInit(20, '', ''),
    },
  ],
})
export class AsnAssetOverviewPageComponent extends AssetSmartOverviewDirective<
  AsnAssetOverviewFragment,
  AssetClientFilter
> {
  constructor(
    protected entityService: AsnAssetOverviewService,
    protected filterService: AssetSharedOverviewFilterService,
    protected paginationService: PaginationService,

    protected filterChipsService: AssetSharedOverviewFilterChipsService
  ) {
    super(entityService, filterService, paginationService, filterChipsService);
  }
}
