import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { AsnAssetTable } from './asn-asset-table';
import { AsnAssetTableElementFragment } from './asn-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-asn-asset-table',
  templateUrl: './asn-asset-table.component.html',
  styleUrls: ['./asn-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AsnAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  AsnAssetTableElementFragment,
  AsnAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<AsnAssetTableElementFragment> | AsnAssetTableElementFragment[]
  ): AsnAssetTable {
    return new AsnAssetTable(entities);
  }
}
