import { AsnAssetTableElementFragment } from '@orion/asset-components/asn-overview';
import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';

export class AsnAssetTable extends SimpleRowTable<AsnAssetTableElementFragment> {
  constructor(asns: IPaginatedElements<AsnAssetTableElementFragment> | AsnAssetTableElementFragment[]) {
    const columns = [
      new Column('asn', 'ASN', false),
      new Column('rir', 'RIR', false),
      new Column('tenant', 'Tenant', false),
      new Column('description', 'Description', false),
      new Column('sites', 'Sites', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(asns, columns);
  }
}
