import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { FhrpGroupAssetTableElementFragment } from './fhrp-group-asset-table-element.fragment.generated';
import { FhrpGroupTable } from './fhrp-group-table';

@Component({
  selector: 'orion-fhrp-group-asset-table',
  templateUrl: './fhrp-group-asset-table.component.html',
  styleUrls: ['./fhrp-group-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class FhrpGroupAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  FhrpGroupAssetTableElementFragment,
  FhrpGroupTable
> {
  protected createTable(
    entities: IPaginatedElements<FhrpGroupAssetTableElementFragment> | FhrpGroupAssetTableElementFragment[]
  ): FhrpGroupTable {
    return new FhrpGroupTable(entities);
  }
}
