import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { FhrpGroupAssetTableElementFragment } from './fhrp-group-asset-table-element.fragment.generated';

export class FhrpGroupTable extends SimpleRowTable<FhrpGroupAssetTableElementFragment> {
  constructor(groups: IPaginatedElements<FhrpGroupAssetTableElementFragment> | FhrpGroupAssetTableElementFragment[]) {
    const columns = [
      new Column('group', 'FHRP Group', false),
      new Column('groupId', 'Group ID', false),
      new Column('protocol', 'Protocol', false),
      new Column('authType', 'Auth Type', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(groups, columns);
  }
}
