import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { FhrpGroupAssetOverviewFragmentDoc } from './fhrp-group-asset-overview.fragment.generated';
import { FhrpGroupAssetTableElementFragmentDoc } from '../fhrp-group-asset-table/fhrp-group-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetFhrpGroupOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.FhrpGroupFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetFhrpGroupOverviewQuery = {
  __typename?: 'Query';
  fhrpGroupList: {
    __typename?: 'FHRPGroupTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'FHRPGroupType';
      groupId?: number | undefined;
      protocol?: string | undefined;
      authType?: string | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
    }>;
  };
};

export const GetFhrpGroupOverviewDocument = gql`
  query getFhrpGroupOverview($filter: FHRPGroupFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    fhrpGroupList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...fhrpGroupAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${FhrpGroupAssetOverviewFragmentDoc}
  ${FhrpGroupAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetFhrpGroupOverviewQueryService extends Apollo.Query<
  GetFhrpGroupOverviewQuery,
  GetFhrpGroupOverviewQueryVariables
> {
  document = GetFhrpGroupOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
