import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { IpAddressAssetOverviewFragmentDoc } from './ip-address-asset-overview.fragment.generated';
import { IpAddressAssetTableElementFragmentDoc } from '../../../../shared/tables/ip-address-asset-table/ip-address-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetIpAddressOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.IpAddressFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetIpAddressOverviewQuery = {
  __typename?: 'Query';
  ipAddressList: {
    __typename?: 'IPAddressTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'IPAddressType';
      status?: SchemaTypes.IpamIpAddressStatusChoices | undefined;
      role?: SchemaTypes.IpamIpAddressRoleChoices | undefined;
      assignedObjectId?: string | undefined;
      dnsName?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      address?: string | undefined;
      vrf?:
        | {
            __typename?: 'VRFType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetIpAddressOverviewDocument = gql`
  query getIPAddressOverview($filter: IPAddressFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    ipAddressList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...ipAddressAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${IpAddressAssetOverviewFragmentDoc}
  ${IpAddressAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetIpAddressOverviewQueryService extends Apollo.Query<
  GetIpAddressOverviewQuery,
  GetIpAddressOverviewQueryVariables
> {
  document = GetIpAddressOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
