import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { IpRangeAssetOverviewFragmentDoc } from './ip-range-asset-overview.fragment.generated';
import { IpRangeAssetTableElementFragmentDoc } from '../ip-range-asset-table/ip-range-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetIpRangeOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.IpRangeFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetIpRangeOverviewQuery = {
  __typename?: 'Query';
  ipRangeList: {
    __typename?: 'IPRangeTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'IPRangeType';
      size?: number | undefined;
      status?: SchemaTypes.IpamIpRangeStatusChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      startAddress?: string | undefined;
      endAddress?: string | undefined;
      id: string;
      vrf?:
        | {
            __typename?: 'VRFType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      role?:
        | {
            __typename?: 'RoleType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetIpRangeOverviewDocument = gql`
  query getIPRangeOverview($filter: IPRangeFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    ipRangeList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...ipRangeAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${IpRangeAssetOverviewFragmentDoc}
  ${IpRangeAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetIpRangeOverviewQueryService extends Apollo.Query<
  GetIpRangeOverviewQuery,
  GetIpRangeOverviewQueryVariables
> {
  document = GetIpRangeOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
