import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { IpRangeAssetTable } from './ip-range-asset-table';
import { IpRangeAssetTableElementFragment } from './ip-range-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-ip-range-asset-table',
  templateUrl: './ip-range-asset-table.component.html',
  styleUrls: ['./ip-range-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class IpRangeAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  IpRangeAssetTableElementFragment,
  IpRangeAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<IpRangeAssetTableElementFragment> | IpRangeAssetTableElementFragment[]
  ): IpRangeAssetTable {
    return new IpRangeAssetTable(entities);
  }
}
