import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { IpRangeAssetTableElementFragment } from './ip-range-asset-table-element.fragment.generated';

export class IpRangeAssetTable extends SimpleRowTable<IpRangeAssetTableElementFragment> {
  constructor(ipRanges: IPaginatedElements<IpRangeAssetTableElementFragment> | IpRangeAssetTableElementFragment[]) {
    const columns = [
      new Column('ipRange', 'IP Range', false),
      new Column('size', 'Size', false),
      new Column('vrf', 'VRF', false),
      new Column('status', 'Status', false),
      new Column('role', 'Role', false),
      new Column('tenant', 'Tenant', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(ipRanges, columns);
  }
}
