import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { PrefixAndVlanRoleAssetTableElementFragmentDoc } from '../prefix-and-vlan-role-asset-table/prefix-and-vlan-role-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetPrefixAndVlanRoleOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.RoleFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetPrefixAndVlanRoleOverviewQuery = {
  __typename?: 'Query';
  roleList: {
    __typename?: 'RoleTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'RoleType';
      prefixCount?: number | undefined;
      vlanCount?: number | undefined;
      lastUpdated?: any | undefined;
      created?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
    }>;
  };
};

export const GetPrefixAndVlanRoleOverviewDocument = gql`
  query getPrefixAndVlanRoleOverview($filter: RoleFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    roleList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...prefixAndVlanRoleAssetTableElement
      }
      previous
      next
      totalCount
    }
  }
  ${PrefixAndVlanRoleAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetPrefixAndVlanRoleOverviewQueryService extends Apollo.Query<
  GetPrefixAndVlanRoleOverviewQuery,
  GetPrefixAndVlanRoleOverviewQueryVariables
> {
  document = GetPrefixAndVlanRoleOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
