import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { PrefixAndVlanRoleAssetTable } from './prefix-and-vlan-role-asset-table';
import { PrefixAndVlanRoleAssetTableElementFragment } from './prefix-and-vlan-role-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-prefix-and-vlan-role-asset-table',
  templateUrl: './prefix-and-vlan-role-asset-table.component.html',
  styleUrls: ['./prefix-and-vlan-role-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class PrefixAndVlanRoleAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  PrefixAndVlanRoleAssetTableElementFragment,
  PrefixAndVlanRoleAssetTable
> {
  protected createTable(
    entities:
      | IPaginatedElements<PrefixAndVlanRoleAssetTableElementFragment>
      | PrefixAndVlanRoleAssetTableElementFragment[]
  ): PrefixAndVlanRoleAssetTable {
    return new PrefixAndVlanRoleAssetTable(entities);
  }
}
