import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { PrefixAndVlanRoleAssetTableElementFragment } from './prefix-and-vlan-role-asset-table-element.fragment.generated';

export class PrefixAndVlanRoleAssetTable extends SimpleRowTable<PrefixAndVlanRoleAssetTableElementFragment> {
  constructor(
    roles: IPaginatedElements<PrefixAndVlanRoleAssetTableElementFragment> | PrefixAndVlanRoleAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('role', 'Role', false),
      new Column('prefixCount', 'Prefixes', false),
      new Column('vlanCount', 'VLANs', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(roles, columns);
  }
}
