import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { RirAssetOverviewFragmentDoc } from './rir-asset-overview.fragment.generated';
import { RirAssetTableElementFragmentDoc } from '../rir-asset-table/rir-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetRirOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.RirFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetRirOverviewQuery = {
  __typename?: 'Query';
  rirList: {
    __typename?: 'RIRTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'RIRType';
      aggregateCount?: number | undefined;
      isPrivate?: boolean | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
    }>;
  };
};

export const GetRirOverviewDocument = gql`
  query getRIROverview($filter: RIRFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    rirList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...rirAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${RirAssetOverviewFragmentDoc}
  ${RirAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetRirOverviewQueryService extends Apollo.Query<GetRirOverviewQuery, GetRirOverviewQueryVariables> {
  document = GetRirOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
