import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { RirAssetTable } from './rir-asset-table';
import { RirAssetTableElementFragment } from './rir-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-rir-asset-table',
  templateUrl: './rir-asset-table.component.html',
  styleUrls: ['./rir-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class RirAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  RirAssetTableElementFragment,
  RirAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<RirAssetTableElementFragment> | RirAssetTableElementFragment[]
  ): RirAssetTable {
    return new RirAssetTable(entities);
  }
}
