import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { RirAssetTableElementFragment } from './rir-asset-table-element.fragment.generated';

export class RirAssetTable extends SimpleRowTable<RirAssetTableElementFragment> {
  constructor(rirs: IPaginatedElements<RirAssetTableElementFragment> | RirAssetTableElementFragment[]) {
    const columns = [
      new Column('rir', 'RIR', false),
      new Column('isPrivate', 'Private', false),
      new Column('aggregates', 'Aggregates', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(rirs, columns);
  }
}
