import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ServiceAssetOverviewFragmentDoc } from './service-asset-overview.fragment.generated';
import { ServiceAssetTableElementFragmentDoc } from '../../../../shared/tables/service-asset-table/service-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetServiceOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.ServiceFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetServiceOverviewQuery = {
  __typename?: 'Query';
  serviceAssetList: {
    __typename?: 'ServiceTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'ServiceType';
      protocol?: SchemaTypes.IpamServiceProtocolChoices | undefined;
      ports: Array<number | undefined>;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      virtualMachine?:
        | {
            __typename?: 'VirtualMachineType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetServiceOverviewDocument = gql`
  query getServiceOverview($filter: ServiceFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    serviceAssetList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...serviceAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${ServiceAssetOverviewFragmentDoc}
  ${ServiceAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetServiceOverviewQueryService extends Apollo.Query<
  GetServiceOverviewQuery,
  GetServiceOverviewQueryVariables
> {
  document = GetServiceOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
