import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { VlanGroupAssetOverviewFragmentDoc } from './vlan-group-asset-overview.fragment.generated';
import { VlanGroupAssetTableElementFragmentDoc } from '../vlan-group-asset-table/vlan-group-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetVlanGroupOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.VlanGroupFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetVlanGroupOverviewQuery = {
  __typename?: 'Query';
  vlanGroupList: {
    __typename?: 'VLANGroupTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'VLANGroupType';
      vlanCount?: number | undefined;
      scopeType?: string | undefined;
      lastUpdated?: any | undefined;
      created?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
    }>;
  };
};

export const GetVlanGroupOverviewDocument = gql`
  query getVlanGroupOverview($filter: VLANGroupFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    vlanGroupList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...vlanGroupAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${VlanGroupAssetOverviewFragmentDoc}
  ${VlanGroupAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetVlanGroupOverviewQueryService extends Apollo.Query<
  GetVlanGroupOverviewQuery,
  GetVlanGroupOverviewQueryVariables
> {
  document = GetVlanGroupOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
