import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { VlanGroupAssetTable } from './vlan-group-asset-table';
import { VlanGroupAssetTableElementFragment } from './vlan-group-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-vlan-group-asset-table',
  templateUrl: './vlan-group-asset-table.component.html',
  styleUrls: ['./vlan-group-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class VlanGroupAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  VlanGroupAssetTableElementFragment,
  VlanGroupAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<VlanGroupAssetTableElementFragment> | VlanGroupAssetTableElementFragment[]
  ): VlanGroupAssetTable {
    return new VlanGroupAssetTable(entities);
  }
}
