import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { VlanGroupAssetTableElementFragment } from './vlan-group-asset-table-element.fragment.generated';

export class VlanGroupAssetTable extends SimpleRowTable<VlanGroupAssetTableElementFragment> {
  constructor(
    vlanGroups: IPaginatedElements<VlanGroupAssetTableElementFragment> | VlanGroupAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('vlanGroup', 'VLAN Group', false),
      new Column('scopeType', 'Scope type', false),
      new Column('vlans', 'VLANs', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(vlanGroups, columns);
  }
}
