import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { VlanAssetOverviewFragmentDoc } from './vlan-asset-overview.fragment.generated';
import { VlanAssetTableElementFragmentDoc } from '../../../../shared/tables/vlan-asset-table/vlan-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetVlanOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.VlanFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetVlanOverviewQuery = {
  __typename?: 'Query';
  vlanList: {
    __typename?: 'VLANTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'VLANType';
      vid?: number | undefined;
      status?: SchemaTypes.IpamVlanStatusChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      site?:
        | {
            __typename?: 'SiteType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      group?:
        | {
            __typename?: 'VLANGroupType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      role?:
        | {
            __typename?: 'RoleType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetVlanOverviewDocument = gql`
  query getVlanOverview($filter: VLANFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    vlanList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...vlanAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${VlanAssetOverviewFragmentDoc}
  ${VlanAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetVlanOverviewQueryService extends Apollo.Query<GetVlanOverviewQuery, GetVlanOverviewQueryVariables> {
  document = GetVlanOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
