import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { VrfAssetOverviewFragmentDoc } from './vrf-asset-overview.fragment.generated';
import { VrfAssetTableElementFragmentDoc } from '../../../../shared/tables/vrf-asset-table/vrf-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetVrfOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.VrfFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetVrfOverviewQuery = {
  __typename?: 'Query';
  vrfList: {
    __typename?: 'VRFTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'VRFType';
      rd?: string | undefined;
      lastUpdated?: any | undefined;
      created?: any | undefined;
      description?: string | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetVrfOverviewDocument = gql`
  query getVrfOverview($filter: VRFFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    vrfList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...vrfAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${VrfAssetOverviewFragmentDoc}
  ${VrfAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetVrfOverviewQueryService extends Apollo.Query<GetVrfOverviewQuery, GetVrfOverviewQueryVariables> {
  document = GetVrfOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
