import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { RackReservationAssetOverviewFragmentDoc } from './rack-reservation-asset-overview.fragment.generated';
import { RackReservationAssetTableElementFragmentDoc } from '../../../../shared/tables/rack-reservation-asset-table/rack-reservation-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetRackReservationOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.RackReservationFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetRackReservationOverviewQuery = {
  __typename?: 'Query';
  rackReservationList: {
    __typename?: 'RackReservationTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'RackReservationType';
      units: Array<number | undefined>;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      rack?:
        | {
            __typename?: 'RackType';
            name?: string | undefined;
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            site?:
              | {
                  __typename?: 'SiteType';
                  assetType: SchemaTypes.KnownAssetsEnum;
                  created?: any | undefined;
                  id: string;
                  name?: string | undefined;
                }
              | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetRackReservationOverviewDocument = gql`
  query getRackReservationOverview($filter: RackReservationFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    rackReservationList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...rackReservationAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${RackReservationAssetOverviewFragmentDoc}
  ${RackReservationAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetRackReservationOverviewQueryService extends Apollo.Query<
  GetRackReservationOverviewQuery,
  GetRackReservationOverviewQueryVariables
> {
  document = GetRackReservationOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
