import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { RackRoleAssetOverviewFragmentDoc } from './rack-role-asset-overview.fragment.generated';
import { RackRoleAssetTableElementFragmentDoc } from '../rack-role-asset-table/rack-role-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetRackRoleOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.RackRoleFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetRackRoleOverviewQuery = {
  __typename?: 'Query';
  rackRoleList: {
    __typename?: 'RackRoleTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'RackRoleType';
      rackCount?: number | undefined;
      color?: string | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
    }>;
  };
};

export const GetRackRoleOverviewDocument = gql`
  query getRackRoleOverview($filter: RackRoleFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    rackRoleList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...rackRoleAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${RackRoleAssetOverviewFragmentDoc}
  ${RackRoleAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetRackRoleOverviewQueryService extends Apollo.Query<
  GetRackRoleOverviewQuery,
  GetRackRoleOverviewQueryVariables
> {
  document = GetRackRoleOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
