import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { AssetSharedFiltersModule } from '@orion/asset-components/shared-filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionColorBlockModule } from '@csirtmu-orion/microframework/color-block';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { RackRoleAssetOverviewPageComponent } from './rack-role-asset-overview-page.component';
import { RackRoleAssetTableComponent } from './rack-role-asset-table';

@NgModule({
  declarations: [RackRoleAssetOverviewPageComponent, RackRoleAssetTableComponent],
  imports: [
    CommonModule,
    AssetPageWrapperModule,
    OrionFilterModule,
    AssetSharedFiltersModule,
    OrionCardModule,
    SentinelPipesModule,
    SentinelTableModule,
    AssetBaseViewModule,
    OrionTimeAgoModule,
    OrionColorBlockModule,
    SentinelErrorModule,
  ],
  exports: [RackRoleAssetOverviewPageComponent],
})
export class RackRoleAssetOverviewPageModule {}
