import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { RackRoleAssetTable } from './rack-role-asset-table';
import { RackRoleAssetTableElementFragment } from './rack-role-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-rack-role-asset-table',
  templateUrl: './rack-role-asset-table.component.html',
  styleUrls: ['./rack-role-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class RackRoleAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  RackRoleAssetTableElementFragment,
  RackRoleAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<RackRoleAssetTableElementFragment> | RackRoleAssetTableElementFragment[]
  ): RackRoleAssetTable {
    return new RackRoleAssetTable(entities);
  }
}
