import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { RackRoleAssetTableElementFragment } from './rack-role-asset-table-element.fragment.generated';

export class RackRoleAssetTable extends SimpleRowTable<RackRoleAssetTableElementFragment> {
  constructor(rackRoles: IPaginatedElements<RackRoleAssetTableElementFragment> | RackRoleAssetTableElementFragment[]) {
    const columns = [
      new Column('role', 'Role', false),
      new Column('racks', 'Racks', false),
      new Column('color', 'Color', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(rackRoles, columns);
  }
}
