import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { RegionAssetOverviewFragmentDoc } from './region-asset-overview.fragment.generated';
import { RegionAssetTableElementFragmentDoc } from '../../../../shared/tables/region-asset-table/region-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetRegionOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.RegionFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetRegionOverviewQuery = {
  __typename?: 'Query';
  regionList: {
    __typename?: 'RegionTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'RegionType';
      siteCount?: number | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
    }>;
  };
};

export const GetRegionOverviewDocument = gql`
  query getRegionOverview($filter: RegionFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    regionList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...regionAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${RegionAssetOverviewFragmentDoc}
  ${RegionAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetRegionOverviewQueryService extends Apollo.Query<
  GetRegionOverviewQuery,
  GetRegionOverviewQueryVariables
> {
  document = GetRegionOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
