import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { SiteGroupAssetOverviewFragmentDoc } from './site-group-asset-overview.fragment.generated';
import { SiteGroupAssetTableElementFragmentDoc } from '../../../../shared/tables/site-group-asset-table/site-group-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetSiteGroupOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.SiteGroupFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetSiteGroupOverviewQuery = {
  __typename?: 'Query';
  siteGroupList: {
    __typename?: 'SiteGroupTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'SiteGroupType';
      siteCount?: number | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
    }>;
  };
};

export const GetSiteGroupOverviewDocument = gql`
  query getSiteGroupOverview($filter: SiteGroupFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    siteGroupList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...siteGroupAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${SiteGroupAssetOverviewFragmentDoc}
  ${SiteGroupAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetSiteGroupOverviewQueryService extends Apollo.Query<
  GetSiteGroupOverviewQuery,
  GetSiteGroupOverviewQueryVariables
> {
  document = GetSiteGroupOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
