import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { SiteAssetOverviewFragmentDoc } from './site-asset-overview.fragment.generated';
import { SiteAssetTableElementFragmentDoc } from '../../../../shared/tables/site-asset-table/site-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { AssetTagFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-tags/asset-tag/asset-tag.fragment.generated';
import { Injectable } from '@angular/core';

export type GetSiteOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.SiteFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetSiteOverviewQuery = {
  __typename?: 'Query';
  siteList: {
    __typename?: 'SiteTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'SiteType';
      status?: SchemaTypes.DcimSiteStatusChoices | undefined;
      facility?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      region?:
        | {
            __typename?: 'RegionType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tags: {
        __typename?: 'TagTypeResultSet';
        data: Array<{
          __typename?: 'TagType';
          id?: string | undefined;
          name?: string | undefined;
          color?: string | undefined;
        }>;
      };
    }>;
  };
};

export const GetSiteOverviewDocument = gql`
  query getSiteOverview($filter: SiteFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    siteList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...siteAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${SiteAssetOverviewFragmentDoc}
  ${SiteAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
  ${AssetTagFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetSiteOverviewQueryService extends Apollo.Query<GetSiteOverviewQuery, GetSiteOverviewQueryVariables> {
  document = GetSiteOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
