import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { TenantGroupAssetOverviewFragmentDoc } from './tenant-group-asset-overview.fragment.generated';
import { TenantGroupAssetTableElementFragmentDoc } from '../tenant-group-asset-table/tenant-group-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetTenantGroupOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.TenantGroupFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetTenantGroupOverviewQuery = {
  __typename?: 'Query';
  tenantGroupList: {
    __typename?: 'TenantGroupTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'TenantGroupType';
      tenantCount?: number | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
    }>;
  };
};

export const GetTenantGroupOverviewDocument = gql`
  query getTenantGroupOverview($filter: TenantGroupFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    tenantGroupList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...tenantGroupAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${TenantGroupAssetOverviewFragmentDoc}
  ${TenantGroupAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetTenantGroupOverviewQueryService extends Apollo.Query<
  GetTenantGroupOverviewQuery,
  GetTenantGroupOverviewQueryVariables
> {
  document = GetTenantGroupOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
