import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { TenantGroupAssetTable } from './tenant-group-asset-table';
import { TenantGroupAssetTableElementFragment } from './tenant-group-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-tenant-group-asset-table',
  templateUrl: './tenant-group-asset-table.component.html',
  styleUrls: ['./tenant-group-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TenantGroupAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  TenantGroupAssetTableElementFragment,
  TenantGroupAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<TenantGroupAssetTableElementFragment> | TenantGroupAssetTableElementFragment[]
  ): TenantGroupAssetTable {
    return new TenantGroupAssetTable(entities);
  }
}
