import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { TenantGroupAssetTableElementFragment } from './tenant-group-asset-table-element.fragment.generated';

export class TenantGroupAssetTable extends SimpleRowTable<TenantGroupAssetTableElementFragment> {
  constructor(
    tenantGroups: IPaginatedElements<TenantGroupAssetTableElementFragment> | TenantGroupAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('tenantGroup', 'Tenant Group', false),
      new Column('tenants', 'Tenants', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(tenantGroups, columns);
  }
}
