import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { TenantAssetOverviewFragmentDoc } from './tenant-asset-overview.fragment.generated';
import { TenantAssetTableElementFragmentDoc } from '../../../../shared/tables/tenant-asset-table/tenant-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetTenantOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.TenantFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetTenantOverviewQuery = {
  __typename?: 'Query';
  tenantList: {
    __typename?: 'TenantTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'TenantType';
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      group?:
        | {
            __typename?: 'TenantGroupType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetTenantOverviewDocument = gql`
  query getTenantOverview($filter: TenantFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    tenantList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...tenantAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${TenantAssetOverviewFragmentDoc}
  ${TenantAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetTenantOverviewQueryService extends Apollo.Query<
  GetTenantOverviewQuery,
  GetTenantOverviewQueryVariables
> {
  document = GetTenantOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
