import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { PowerFeedAssetOverviewFragmentDoc } from './power-feed-asset-overview.fragment.generated';
import { PowerFeedAssetTableElementFragmentDoc } from '../../../../shared/tables/power-feed-asset-table/power-feed-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetPowerFeedOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.PowerFeedFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetPowerFeedOverviewQuery = {
  __typename?: 'Query';
  powerFeedList: {
    __typename?: 'PowerFeedTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'PowerFeedType';
      status?: SchemaTypes.DcimPowerFeedStatusChoices | undefined;
      type?: SchemaTypes.DcimPowerFeedTypeChoices | undefined;
      supply?: SchemaTypes.DcimPowerFeedSupplyChoices | undefined;
      voltage?: number | undefined;
      amperage?: number | undefined;
      phase?: SchemaTypes.DcimPowerFeedPhaseChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      powerPanel?:
        | {
            __typename?: 'PowerPanelType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      rack?:
        | {
            __typename?: 'RackType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      cable?:
        | {
            __typename?: 'CableType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetPowerFeedOverviewDocument = gql`
  query getPowerFeedOverview($filter: PowerFeedFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    powerFeedList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...powerFeedAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${PowerFeedAssetOverviewFragmentDoc}
  ${PowerFeedAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetPowerFeedOverviewQueryService extends Apollo.Query<
  GetPowerFeedOverviewQuery,
  GetPowerFeedOverviewQueryVariables
> {
  document = GetPowerFeedOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
