import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ClusterGroupAssetTable } from './cluster-group-asset-table';
import { ClusterGroupAssetTableElementFragment } from './cluster-group-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-cluster-group-asset-table',
  templateUrl: './cluster-group-asset-table.component.html',
  styleUrls: ['./cluster-group-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ClusterGroupAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  ClusterGroupAssetTableElementFragment,
  ClusterGroupAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<ClusterGroupAssetTableElementFragment> | ClusterGroupAssetTableElementFragment[]
  ): ClusterGroupAssetTable {
    return new ClusterGroupAssetTable(entities);
  }
}
