import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { ClusterGroupAssetTableElementFragment } from './cluster-group-asset-table-element.fragment.generated';

export class ClusterGroupAssetTable extends SimpleRowTable<ClusterGroupAssetTableElementFragment> {
  constructor(
    clusterGroups: IPaginatedElements<ClusterGroupAssetTableElementFragment> | ClusterGroupAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('clusterGroup', 'Cluster Group', false),
      new Column('clusters', 'Clusters', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(clusterGroups, columns);
  }
}
