import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ClusterGroupAssetOverviewFragmentDoc } from './cluster-group-asset-overview.fragment.generated';
import { ClusterGroupAssetTableElementFragmentDoc } from '../cluster-group-asset-table/cluster-group-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetClusterGroupOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.ClusterGroupFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetClusterGroupOverviewQuery = {
  __typename?: 'Query';
  clusterGroupList: {
    __typename?: 'ClusterGroupTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'ClusterGroupType';
      clusterCount?: number | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
    }>;
  };
};

export const GetClusterGroupOverviewDocument = gql`
  query getClusterGroupOverview($filter: ClusterGroupFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    clusterGroupList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...clusterGroupAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${ClusterGroupAssetOverviewFragmentDoc}
  ${ClusterGroupAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetClusterGroupOverviewQueryService extends Apollo.Query<
  GetClusterGroupOverviewQuery,
  GetClusterGroupOverviewQueryVariables
> {
  document = GetClusterGroupOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
