import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ClusterTypeAssetTable } from './cluster-type-asset-table';
import { ClusterTypeAssetTableElementFragment } from './cluster-type-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-cluster-type-asset-table',
  templateUrl: './cluster-type-asset-table.component.html',
  styleUrls: ['./cluster-type-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ClusterTypeAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  ClusterTypeAssetTableElementFragment,
  ClusterTypeAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<ClusterTypeAssetTableElementFragment> | ClusterTypeAssetTableElementFragment[]
  ): ClusterTypeAssetTable {
    return new ClusterTypeAssetTable(entities);
  }
}
