import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { ClusterTypeAssetTableElementFragment } from './cluster-type-asset-table-element.fragment.generated';

export class ClusterTypeAssetTable extends SimpleRowTable<ClusterTypeAssetTableElementFragment> {
  constructor(
    clusterTypes: IPaginatedElements<ClusterTypeAssetTableElementFragment> | ClusterTypeAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('clusterType', 'Cluster Type', false),
      new Column('clusters', 'Clusters', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(clusterTypes, columns);
  }
}
