import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ClusterTypeAssetOverviewFragmentDoc } from './cluster-type-asset-overview.fragment.generated';
import { ClusterTypeAssetTableElementFragmentDoc } from '../cluster-type-asset-table/cluster-type-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetClusterTypeOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.ClusterTypeFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetClusterTypeOverviewQuery = {
  __typename?: 'Query';
  clusterTypeList: {
    __typename?: 'ClusterTypeTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'ClusterTypeType';
      clusterCount?: number | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
    }>;
  };
};

export const GetClusterTypeOverviewDocument = gql`
  query getClusterTypeOverview($filter: ClusterTypeFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    clusterTypeList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...clusterTypeAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${ClusterTypeAssetOverviewFragmentDoc}
  ${ClusterTypeAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetClusterTypeOverviewQueryService extends Apollo.Query<
  GetClusterTypeOverviewQuery,
  GetClusterTypeOverviewQueryVariables
> {
  document = GetClusterTypeOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
