import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { VmInterfaceAssetOverviewFragmentDoc } from './vm-interface-asset-overview.fragment.generated';
import { VmInterfaceAssetTableElementFragmentDoc } from '../../../../shared/tables/vm-interface-asset-table/vm-interface-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetVmInterfaceOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.VmInterfaceFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetVmInterfaceOverviewQuery = {
  __typename?: 'Query';
  vmInterfaceList: {
    __typename?: 'VMInterfaceTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'VMInterfaceType';
      enabled?: boolean | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      virtualMachine?:
        | {
            __typename?: 'VirtualMachineType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetVmInterfaceOverviewDocument = gql`
  query getVMInterfaceOverview($filter: VMInterfaceFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    vmInterfaceList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...vmInterfaceAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${VmInterfaceAssetOverviewFragmentDoc}
  ${VmInterfaceAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetVmInterfaceOverviewQueryService extends Apollo.Query<
  GetVmInterfaceOverviewQuery,
  GetVmInterfaceOverviewQueryVariables
> {
  document = GetVmInterfaceOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
