import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { VmAssetOverviewFragmentDoc } from './vm-asset-oveview.fragment.generated';
import { VmAssetTableElementFragmentDoc } from '../../../../shared/tables/vm-asset-table/vm-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetVmOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.VirtualMachineFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetVmOverviewQuery = {
  __typename?: 'Query';
  virtualMachineList: {
    __typename?: 'VirtualMachineTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'VirtualMachineType';
      status?: SchemaTypes.VirtualizationVirtualMachineStatusChoices | undefined;
      vcpus?: number | undefined;
      memory?: number | undefined;
      disk?: number | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      cluster?:
        | {
            __typename?: 'ClusterType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      role?:
        | {
            __typename?: 'RoleType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      tenant?:
        | {
            __typename?: 'TenantType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      primaryIp4?:
        | {
            __typename?: 'IPAddressType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            address?: string | undefined;
          }
        | undefined;
      primaryIp6?:
        | {
            __typename?: 'IPAddressType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            address?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetVmOverviewDocument = gql`
  query getVMOverview($filter: VirtualMachineFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    virtualMachineList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...vmAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${VmAssetOverviewFragmentDoc}
  ${VmAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetVmOverviewQueryService extends Apollo.Query<GetVmOverviewQuery, GetVmOverviewQueryVariables> {
  document = GetVmOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
