import { ChangeDetectionStrategy, Component } from '@angular/core';
import {
  AssetSharedOverviewFilterChipsService,
  AssetSharedOverviewFilterService,
} from '@orion/asset-components/shared-filters';
import { AssetSmartOverviewDirective } from '@orion/asset-components/smart-overview';
import { AssetClientFilter } from '@orion/asset-types';
import {
  INIT_PAGINATION_EVENT_BASE_TOKEN,
  PaginationBaseInit,
  PaginationService,
  QueryParamPaginationService,
} from '@csirtmu-orion/microframework/pagination-services';
import { VmAssetOverviewFragment } from './graphql';
import { VmAssetOverviewService } from './vm-asset-overview.service';

@Component({
  selector: 'orion-vm-asset-overview-page',
  templateUrl: './vm-asset-overview-page.component.html',
  styleUrls: ['./vm-asset-overview-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    VmAssetOverviewService,
    AssetSharedOverviewFilterService,
    AssetSharedOverviewFilterChipsService,
    { provide: PaginationService, useClass: QueryParamPaginationService },
    {
      provide: INIT_PAGINATION_EVENT_BASE_TOKEN,
      useValue: new PaginationBaseInit(20, '', ''),
    },
  ],
})
export class VmAssetOverviewPageComponent extends AssetSmartOverviewDirective<
  VmAssetOverviewFragment,
  AssetClientFilter
> {
  constructor(
    protected entityService: VmAssetOverviewService,
    protected filterService: AssetSharedOverviewFilterService,
    protected paginationService: PaginationService,
    protected filterChipsService: AssetSharedOverviewFilterChipsService
  ) {
    super(entityService, filterService, paginationService, filterChipsService);
  }
}
