import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { WirelessLanGroupAssetOverviewFragmentDoc } from './wireless-lan-group-asset-overview.fragment.generated';
import { WirelessLanGroupAssetTableElementFragmentDoc } from '../wireless-lan-group-asset-table/wireless-lan-group-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetWirelessLanGroupOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.WirelessLanGroupFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetWirelessLanGroupOverviewQuery = {
  __typename?: 'Query';
  wirelessLanGroupList: {
    __typename?: 'WirelessLanGroupTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'WirelessLanGroupType';
      wirelesslanCount?: number | undefined;
      description?: string | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
    }>;
  };
};

export const GetWirelessLanGroupOverviewDocument = gql`
  query getWirelessLanGroupOverview($filter: WirelessLanGroupFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    wirelessLanGroupList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...wirelessLanGroupAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${WirelessLanGroupAssetOverviewFragmentDoc}
  ${WirelessLanGroupAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetWirelessLanGroupOverviewQueryService extends Apollo.Query<
  GetWirelessLanGroupOverviewQuery,
  GetWirelessLanGroupOverviewQueryVariables
> {
  document = GetWirelessLanGroupOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
