import { ChangeDetectionStrategy, Component } from '@angular/core';
import {
  AssetSharedOverviewFilterChipsService,
  AssetSharedOverviewFilterService,
} from '@orion/asset-components/shared-filters';
import { AssetSmartOverviewDirective } from '@orion/asset-components/smart-overview';
import { AssetClientFilter } from '@orion/asset-types';
import {
  INIT_PAGINATION_EVENT_BASE_TOKEN,
  PaginationBaseInit,
  PaginationService,
  QueryParamPaginationService,
} from '@csirtmu-orion/microframework/pagination-services';
import { WirelessLanGroupAssetOverviewFragment } from './graphql/wireless-lan-group-asset-overview.fragment.generated';
import { WirelessLanGroupAssetOverviewService } from './wireless-lan-group-asset-overview.service';

@Component({
  selector: 'orion-wireless-lan-group-asset-overview-page',
  templateUrl: './wireless-lan-group-asset-overview-page.component.html',
  styleUrls: ['./wireless-lan-group-asset-overview-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    WirelessLanGroupAssetOverviewService,
    AssetSharedOverviewFilterService,
    AssetSharedOverviewFilterChipsService,
    { provide: PaginationService, useClass: QueryParamPaginationService },
    {
      provide: INIT_PAGINATION_EVENT_BASE_TOKEN,
      useValue: new PaginationBaseInit(20, '', ''),
    },
  ],
})
export class WirelessLanGroupAssetOverviewPageComponent extends AssetSmartOverviewDirective<
  WirelessLanGroupAssetOverviewFragment,
  AssetClientFilter
> {
  constructor(
    protected entityService: WirelessLanGroupAssetOverviewService,
    protected filterService: AssetSharedOverviewFilterService,
    protected paginationService: PaginationService,
    protected filterChipsService: AssetSharedOverviewFilterChipsService
  ) {
    super(entityService, filterService, paginationService, filterChipsService);
  }
}
