import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { WirelessLanGroupAssetTable } from './wireless-lan-group-asset-table';
import { WirelessLanGroupAssetTableElementFragment } from './wireless-lan-group-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-wireless-lan-group-asset-table',
  templateUrl: './wireless-lan-group-asset-table.component.html',
  styleUrls: ['./wireless-lan-group-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class WirelessLanGroupAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  WirelessLanGroupAssetTableElementFragment,
  WirelessLanGroupAssetTable
> {
  protected createTable(
    entities:
      | IPaginatedElements<WirelessLanGroupAssetTableElementFragment>
      | WirelessLanGroupAssetTableElementFragment[]
  ): WirelessLanGroupAssetTable {
    return new WirelessLanGroupAssetTable(entities);
  }
}
