import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { WirelessLanGroupAssetTableElementFragment } from './wireless-lan-group-asset-table-element.fragment.generated';

export class WirelessLanGroupAssetTable extends SimpleRowTable<WirelessLanGroupAssetTableElementFragment> {
  constructor(
    groups: IPaginatedElements<WirelessLanGroupAssetTableElementFragment> | WirelessLanGroupAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('group', 'Group', false),
      new Column('wirelessLans', 'Wireless LANs', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(groups, columns);
  }
}
