import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { WirelessLanAssetOverviewFragmentDoc } from './wireless-lan-asset-overview.fragment.generated';
import { WirelessLanAssetTableElementFragmentDoc } from '../../../../shared/tables/wireless-lan-asset-table/wireless-lan-asset-table-element.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetWirelessLanOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.WirelessLanFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['ID']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetWirelessLanOverviewQuery = {
  __typename?: 'Query';
  wirelessLanList: {
    __typename?: 'WirelessLanTypeResultSet';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'WirelessLanType';
      description?: string | undefined;
      authType?: SchemaTypes.WirelessLanAuthTypeChoices | undefined;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      assetType: SchemaTypes.KnownAssetsEnum;
      id: string;
      name?: string | undefined;
      group?:
        | {
            __typename?: 'WirelessLanGroupType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
      vlan?:
        | {
            __typename?: 'VLANType';
            assetType: SchemaTypes.KnownAssetsEnum;
            created?: any | undefined;
            id: string;
            name?: string | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetWirelessLanOverviewDocument = gql`
  query getWirelessLanOverview($filter: WirelessLanFilterANDFilterEntry, $cursor: ID, $limit: Int) {
    wirelessLanList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...wirelessLanAssetOverview
      }
      previous
      next
      totalCount
    }
  }
  ${WirelessLanAssetOverviewFragmentDoc}
  ${WirelessLanAssetTableElementFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetWirelessLanOverviewQueryService extends Apollo.Query<
  GetWirelessLanOverviewQuery,
  GetWirelessLanOverviewQueryVariables
> {
  document = GetWirelessLanOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
