import { Pipe, PipeTransform } from '@angular/core';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { prettifyEnum } from '@sentinel/common/utils';

@Pipe({
  name: 'assetCategoryEnumPlural',
})
export class AssetCategoryEnumPluralPipe implements PipeTransform {
  transform(asset?: KnownAssetsEnum): string {
    if (asset === undefined) {
      return '';
    }
    switch (asset) {
      case KnownAssetsEnum.ASN: {
        return 'ASNs';
      }
      case KnownAssetsEnum.FHRP_GROUP: {
        return 'FHRP Groups';
      }
      case KnownAssetsEnum.IP_ADDRESS: {
        return 'IP Addresses';
      }
      case KnownAssetsEnum.IP_RANGE: {
        return 'IP Ranges';
      }
      case KnownAssetsEnum.PREFIX: {
        return 'Prefixes';
      }
      case KnownAssetsEnum.RIR: {
        return 'RIRs';
      }
      case KnownAssetsEnum.VIRTUAL_CHASSIS: {
        return 'Virtual Chassis';
      }
      case KnownAssetsEnum.VLAN: {
        return 'VLANs';
      }
      case KnownAssetsEnum.VLAN_GROUP: {
        return 'VLAN Groups';
      }
      case KnownAssetsEnum.VM_INTERFACE: {
        return 'VM Interfaces';
      }
      case KnownAssetsEnum.VRF: {
        return 'VRFs';
      }
      case KnownAssetsEnum.WIRELESS_LAN: {
        return 'Wireless LANs';
      }
      case KnownAssetsEnum.WIRELESS_LAN_GROUP: {
        return 'Wireless LAN Groups';
      }
      default: {
        return `${prettifyEnum(asset)}s`;
      }
    }
  }
}
