import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatRippleModule } from '@angular/material/core';
import { MatListModule } from '@angular/material/list';
import { RouterModule } from '@angular/router';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';

import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import {
  AssetCategoryEnumPluralPipe,
  AssetCategoryMetadataCardComponent,
  AssetMetadataElementComponent,
  AssetMetadataListComponent,
} from './asset-category-metadata-card';
import { AssetMetadataCategoriesComponent } from './asset-metadata-categories.component';
import { NgxMasonryModule } from 'ngx-masonry';

@NgModule({
  declarations: [
    AssetMetadataCategoriesComponent,
    AssetCategoryMetadataCardComponent,
    AssetMetadataListComponent,
    AssetMetadataElementComponent,
    AssetCategoryEnumPluralPipe,
  ],
  imports: [
    CommonModule,
    MatListModule,
    SentinelPipesModule,
    OrionCardModule,
    AssetBaseViewModule,
    RouterModule,
    MatButtonModule,
    MatRippleModule,
    OrionSkeletonLoadingModule,
    NgxMasonryModule,
  ],
  exports: [AssetMetadataCategoriesComponent],
})
export class AssetMetadataModule {}
