import { ChangeDetectionStrategy, Component } from '@angular/core';
import { defer, Observable } from 'rxjs';
import { AssetCategoryMetadataFragment } from './asset-metadata-categories';
import { AssetsCategoriesService } from './assets-categories.service';

@Component({
  selector: 'orion-assets-overview',
  templateUrl: './asset-overview-page.component.html',
  styleUrls: ['./asset-overview-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [AssetsCategoriesService],
})
export class AssetOverviewPageComponent {
  entities$?: Observable<AssetCategoryMetadataFragment[]>;
  isLoading$?: Observable<boolean>;
  hasError$?: Observable<boolean>;
  onTryAgain$ = defer(() => this.entityService.recoverAfterError());

  constructor(private entityService: AssetsCategoriesService) {}

  ngOnInit(): void {
    this.entities$ = this.entityService.data$;
    this.isLoading$ = this.entityService.isLoading$;
    this.hasError$ = this.entityService.hasError$;
    this.entityService.update();
  }
}
