import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetNavigator } from '@orion/asset-components/base-view';
import { AssetNavSidebarModule } from '@orion/asset-components/nav-sidebar';
import { AssetPageWrapperModule } from '@orion/asset-components/page-wrapper';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelErrorModule } from '@sentinel/components/error';
import { AssetMetadataModule } from './asset-metadata-categories';

import { AssetOverviewPageComponent } from './asset-overview-page.component';

@NgModule({
  declarations: [AssetOverviewPageComponent],
  imports: [
    CommonModule,
    AssetMetadataModule,
    SentinelPipesModule,
    AssetNavSidebarModule,
    AssetPageWrapperModule,
    SentinelErrorModule,
  ],
  providers: [AssetNavigator],
  exports: [AssetOverviewPageComponent],
})
export class AssetOverviewPageModule {}
