import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { AssetCategoryMetadataFragmentDoc } from '../asset-metadata-categories/asset-category-metadata-card/asset-category-metadata.fragment.generated';
import { AssetMetadataElementFragmentDoc } from '../asset-metadata-categories/asset-category-metadata-card/asset-metadata-list/asset-metadata-element/asset-metadata-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetAssetMetadataCategoriesQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.CategoryFilterAndFilterEntry>;
}>;

export type GetAssetMetadataCategoriesQuery = {
  __typename?: 'Query';
  metadataCategories: {
    __typename?: 'CategoryMetadataResultSet';
    data: Array<{
      __typename?: 'CategoryMetadata';
      name: SchemaTypes.CategoryEnum;
      assetData: Array<{ __typename?: 'Metadata'; assetType: SchemaTypes.KnownAssetsEnum; instances: number }>;
    }>;
  };
};

export const GetAssetMetadataCategoriesDocument = gql`
  query getAssetMetadataCategories($filter: CategoryFilterANDFilterEntry) {
    metadataCategories(filter: $filter) {
      data {
        ...assetCategoryMetadata
      }
    }
  }
  ${AssetCategoryMetadataFragmentDoc}
  ${AssetMetadataElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetAssetMetadataCategoriesQueryService extends Apollo.Query<
  GetAssetMetadataCategoriesQuery,
  GetAssetMetadataCategoriesQueryVariables
> {
  document = GetAssetMetadataCategoriesDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
