import { Injectable } from '@angular/core';
import { AssetClientFilter, AssetIdentification } from '@orion/asset-types';
import { FilterService } from '@csirtmu-orion/microframework/filter-services';

@Injectable()
export class EntityAddAssetsFilterService extends FilterService<AssetClientFilter> {
  protected notIn: AssetIdentification[] = [];

  constructor() {
    super();
  }

  exclude(notIn: AssetIdentification[]): void {
    this.notIn = notIn;
    const lastFilter = this.filterSubject$.getValue();
    this.update({ ...lastFilter, notIn: this.notIn });
  }

  update(filter: Partial<AssetClientFilter>): void {
    filter.notIn = this.notIn;
    super.update(filter);
  }

  protected createEmptyFilter(): AssetClientFilter {
    return { notIn: this.notIn };
  }
}
