import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { AssetSelectionFragmentDoc } from '../../../shared/asset-selection/asset-selection.fragment.generated';
import {
  AssetBaseViewFragmentDoc,
  AssetSimpleNameFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetIdFragmentDoc } from '../../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetAssetListQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<SchemaTypes.AssetFilterAndFilterEntry>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetAssetListQuery = {
  __typename?: 'Query';
  assetList: {
    __typename?: 'AssetTypeResultSet';
    data: Array<
      | {
          __typename?: 'ASNType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'AggregateType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'CableType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'CircuitTerminationType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
        }
      | {
          __typename?: 'CircuitType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'CircuitTypeType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'ClusterGroupType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'ClusterType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'ClusterTypeType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'ConsolePortType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'ConsoleServerPortType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'DeviceBayType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'DeviceRoleType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'DeviceType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'DeviceTypeType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          model?: string | undefined;
        }
      | {
          __typename?: 'FHRPGroupType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'FrontPortType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'IPAddressType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          address?: string | undefined;
        }
      | {
          __typename?: 'IPRangeType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          startAddress?: string | undefined;
          endAddress?: string | undefined;
          id: string;
        }
      | {
          __typename?: 'InterfaceType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'InventoryItemType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'LocationType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'ManufacturerType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'PlatformType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'PowerFeedType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'PowerOutletType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'PowerPanelType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'PowerPortType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'PrefixType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'ProviderNetworkType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'ProviderType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'RIRType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'RackReservationType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          rack?: { __typename?: 'RackType'; name?: string | undefined } | undefined;
        }
      | {
          __typename?: 'RackRoleType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'RackType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'RearPortType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'RegionType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'RoleType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'RouteTargetType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'ServiceType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'SiteGroupType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'SiteType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'TenantGroupType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'TenantType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'VLANGroupType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'VLANType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'VMInterfaceType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'VRFType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'VirtualChassisType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'VirtualMachineType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'WirelessLanGroupType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'WirelessLanType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'WirelessLinkType';
          assetType: SchemaTypes.KnownAssetsEnum;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
    >;
  };
};

export const GetAssetListDocument = gql`
  query getAssetList($filter: AssetFilterANDFilterEntry, $cursor: String, $limit: Int) {
    assetList(filter: $filter, cursor: $cursor, limit: $limit) {
      data {
        ...assetSelection
      }
    }
  }
  ${AssetSelectionFragmentDoc}
  ${AssetBaseViewFragmentDoc}
  ${AssetIdFragmentDoc}
  ${AssetSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetAssetListQueryService extends Apollo.Query<GetAssetListQuery, GetAssetListQueryVariables> {
  document = GetAssetListDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
