import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { ASSET_DROPDOWN_TYPES, RelatedAssetClientFilter } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { RelatedAssetFilterService } from '../related-asset-filter.service';

@Component({
  selector: 'orion-related-asset-filters',
  templateUrl: './related-asset-filters.component.html',
  styleUrls: ['./related-asset-filters.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class RelatedAssetFiltersComponent {
  @Input() activeFilter?: RelatedAssetClientFilter;
  possibleAssetTypes = ASSET_DROPDOWN_TYPES;

  constructor(private filterService: RelatedAssetFilterService) {}

  onTypeChange(type?: KnownAssetsEnum): void {
    this.filterService.update({ assetType: type });
  }
}
