import { Injectable } from '@angular/core';
import { AssetTypeFilterChip, RelatedAssetClientFilter } from '@orion/asset-types';
import { FilterChip } from '@csirtmu-orion/microframework/filter';
import { FilterChipsService } from '@csirtmu-orion/microframework/filter-services';
import { RelatedAssetFilterService } from './related-asset-filter.service';

@Injectable()
export class RelatedAssetFilterChipsService extends FilterChipsService<RelatedAssetClientFilter> {
  constructor(protected filterService: RelatedAssetFilterService) {
    super(filterService);
  }

  removeChip(removedChip: FilterChip): void {
    if (removedChip instanceof AssetTypeFilterChip) {
      this.filterService.updateAndSubmit({ assetType: undefined });
    }
  }

  protected createChips(filter?: RelatedAssetClientFilter): FilterChip[] {
    if (filter === undefined || filter === this.filterService.EMPTY_FILTER) {
      return [];
    } else {
      const chips = [];
      if (filter.assetType) {
        chips.push(new AssetTypeFilterChip(filter.assetType));
      }
      return chips;
    }
  }
}
