import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { RelatedAssetFragmentDoc } from './related-asset.fragment.generated';
import { RelatedAssetTableFragmentDoc } from '../related-assets-table/related-asset-table.fragment.generated';
import {
  AssetFederationBaseSimpleNameFragmentDoc,
  AssetFederationBaseViewFragmentDoc,
  CircuitTerminationNameFragmentDoc,
  IpRangeNameFragmentDoc,
  RackReservationNameFragmentDoc,
} from '../../shared/asset-base-view/asset-base-view.fragment.generated';
import { AssetFederationIdFragmentDoc } from '../../detail-shared/asset-detail-main-content/asset-id/asset-id.generated';
import { Injectable } from '@angular/core';

export type GetRelatedAssetsQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.AssetFederationBaseFilterAndFilterEntry>>;
}>;

export type GetRelatedAssetsQuery = {
  __typename?: 'Query';
  getFederatedAssetList: {
    __typename?: 'AssetFederationBaseFederationResult';
    data: Array<
      | {
          __typename?: 'ASNType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'AggregateType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'CableType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'CircuitTerminationType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
        }
      | {
          __typename?: 'CircuitType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'CircuitTypeType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'ClusterGroupType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'ClusterType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'ClusterTypeType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'ConsolePortType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'ConsoleServerPortType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'DeviceBayType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'DeviceRoleType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'DeviceType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'DeviceTypeType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          model?: string | undefined;
        }
      | {
          __typename?: 'FHRPGroupType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'FrontPortType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'IPAddressType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          address?: string | undefined;
        }
      | {
          __typename?: 'IPRangeType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          startAddress?: string | undefined;
          endAddress?: string | undefined;
          id: string;
        }
      | {
          __typename?: 'InterfaceType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'InventoryItemType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'LocationType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'ManufacturerType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'PlatformType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'PowerFeedType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'PowerOutletType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'PowerPanelType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'PowerPortType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'PrefixType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'ProviderNetworkType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'ProviderType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'RIRType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'RackReservationType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          rack?: { __typename?: 'RackType'; name?: string | undefined } | undefined;
        }
      | {
          __typename?: 'RackRoleType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'RackType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'RearPortType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'RegionType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'RoleType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'RouteTargetType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'ServiceType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'SiteGroupType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'SiteType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'TenantGroupType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'TenantType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'VLANGroupType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'VLANType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'VMInterfaceType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'VRFType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'VirtualChassisType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'VirtualMachineType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'WirelessLanGroupType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'WirelessLanType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
      | {
          __typename?: 'WirelessLinkType';
          assetType: SchemaTypes.KnownAssetsEnum;
          lastUpdated?: any | undefined;
          created?: any | undefined;
          id: string;
          name?: string | undefined;
        }
    >;
  };
};

export const GetRelatedAssetsDocument = gql`
  query getRelatedAssets($filter: [AssetFederationBaseFilterANDFilterEntry!]) {
    getFederatedAssetList(filter: $filter) {
      data {
        ...relatedAsset
      }
    }
  }
  ${RelatedAssetFragmentDoc}
  ${RelatedAssetTableFragmentDoc}
  ${AssetFederationBaseViewFragmentDoc}
  ${AssetFederationIdFragmentDoc}
  ${AssetFederationBaseSimpleNameFragmentDoc}
  ${CircuitTerminationNameFragmentDoc}
  ${RackReservationNameFragmentDoc}
  ${IpRangeNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetRelatedAssetsQueryService extends Apollo.Query<GetRelatedAssetsQuery, GetRelatedAssetsQueryVariables> {
  document = GetRelatedAssetsDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
