import { RelatedAssetTableFragment } from '@orion/asset-components/related-assets';
import { Column, Row, SentinelTable } from '@sentinel/components/table';

export class RelatedAssetsTable extends SentinelTable<RelatedAssetTableFragment> {
  constructor(resource: RelatedAssetTableFragment[]) {
    const columns = [
      new Column('asset', 'Asset', false),
      new Column('lastUpdated', 'Updated', false),
      new Column('type', 'Type', false),
    ];
    const rows = resource.map((asset) => new Row(asset));
    super(rows, columns);
  }
}
