import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { AssetSelectionModule } from '@orion/asset-components/selection';
import { CreateEditEntityModule } from '@orion/shared-components/create-edit';

import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { AddRelatedAssetsComponent } from './add-related-assets';
import { AssetFiltersModule } from './filters';
import { RelatedAssetsOverviewComponent } from './related-assets-overview.component';
import { RelatedAssetsTableComponent } from './related-assets-table';

@NgModule({
  declarations: [RelatedAssetsOverviewComponent, RelatedAssetsTableComponent, AddRelatedAssetsComponent],
  imports: [
    CommonModule,
    AssetFiltersModule,
    OrionFilterModule,
    SentinelTableModule,
    AssetBaseViewModule,
    SentinelErrorModule,
    OrionSkeletonLoadingModule,
    OrionTimeAgoModule,
    OrionCardModule,
    SentinelControlsModule,
    SentinelPipesModule,
    CreateEditEntityModule,
    AssetSelectionModule,
  ],
  exports: [RelatedAssetsOverviewComponent],
})
export class RelatedAssetsModule {}
