import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { MatTooltipModule } from '@angular/material/tooltip';
import { EntitySubtitleModule } from '@orion/shared-components/entity-subtitle';

import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { AssetBaseViewComponent } from './asset-base-view.component';
import { AssetIconPipe } from './asset-icon.pipe';
import { AssetNamePipe } from './asset-name.pipe';
import { AssetNavigatorPipe, AssetOverviewNavigatorPipe } from './asset-navigator.pipe';

@NgModule({
  declarations: [AssetBaseViewComponent, AssetNamePipe, AssetIconPipe, AssetNavigatorPipe, AssetOverviewNavigatorPipe],
  imports: [
    CommonModule,
    SentinelPipesModule,
    OrionEntityNameModule,
    MatIconModule,
    MatTooltipModule,
    EntitySubtitleModule,
  ],
  exports: [AssetBaseViewComponent, AssetNamePipe, AssetIconPipe, AssetOverviewNavigatorPipe],
})
export class AssetBaseViewModule {}
