import { Optional, Pipe, PipeTransform } from '@angular/core';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetBaseViewFragment } from './asset-base-view.fragment.generated';
import { AssetNavigator } from './asset-navigator.service';

@Pipe({
  name: 'assetNavigator',
})
export class AssetNavigatorPipe implements PipeTransform {
  constructor(@Optional() private routeResolver?: AssetNavigator) {}

  transform(asset?: AssetBaseViewFragment): string | undefined {
    if (asset && asset.assetType && this.routeResolver) {
      return this.routeResolver.toDetail(asset.id, asset.assetType);
    } else {
      return undefined;
    }
  }
}

@Pipe({
  name: 'assetOverviewNavigator',
})
export class AssetOverviewNavigatorPipe implements PipeTransform {
  constructor(@Optional() private routeResolver?: AssetNavigator) {}

  transform(type?: KnownAssetsEnum): string | undefined {
    if (type && this.routeResolver) {
      return this.routeResolver.toTypeOverview(type);
    } else {
      return undefined;
    }
  }
}
