import { Injectable } from '@angular/core';
import { ASSETS_PATH } from '@orion/asset-paths';
import { enumToPath, toAuthPath } from '@orion/common';
import { KnownAssetsEnum } from '@orion/graphql-types';

@Injectable()
export class AssetNavigator {
  toDetail(assetId: string, assetType: KnownAssetsEnum): string {
    return navigateToAssetDetail(assetId, assetType);
  }

  toTypeOverview(assetType: KnownAssetsEnum): string {
    return navigateToAssetTypeOverview(assetType);
  }

  toOverview(): string {
    return toAuthPath(`${ASSETS_PATH}`);
  }
}

export function navigateToAssetDetail(assetId: string, assetType: KnownAssetsEnum): string {
  const type = enumToPath(assetType);
  return toAuthPath(`${ASSETS_PATH}/${type}/${assetId}`);
}

export function navigateToAssetTypeOverview(assetType: KnownAssetsEnum): string {
  const type = enumToPath(assetType);
  return toAuthPath(`${ASSETS_PATH}/${type}`);
}
