import { Injectable } from '@angular/core';
import { Router } from '@angular/router';
import { ASSET_NAV_DOMAINS, AssetNavDomain, AssetNavItem } from '@orion/asset-components/nav-sidebar';

@Injectable()
export class AssetNavDomainsService {
  domains: AssetNavDomain[] = ASSET_NAV_DOMAINS;

  constructor(private router: Router) {
    this.expandActiveDomain();
  }

  toggle(domain: AssetNavDomain) {
    const shouldExpand = !domain.expanded;
    this.domains.forEach((domain) => (domain.expanded = false));
    domain.expanded = shouldExpand;
  }

  private expandActiveDomain(): void {
    this.domains.forEach((domain) =>
      domain.categories.forEach((category) =>
        category.items.forEach((item) => {
          if (this.isActiveItem(item)) {
            domain.expanded = true;
          }
        })
      )
    );
  }

  private isActiveItem(item: AssetNavItem): boolean {
    return this.router.isActive(item.link, {
      paths: 'exact',
      matrixParams: 'ignored',
      queryParams: 'ignored',
      fragment: 'ignored',
    });
  }
}
