import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatTooltipModule } from '@angular/material/tooltip';
import { RouterModule } from '@angular/router';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionSidebarModule } from '@csirtmu-orion/microframework/sidebar';
import { SentinelSidebarCommonModule } from '@sentinel/layout/sidebar';
import { AssetNavDomainsService } from './asset-nav-domains.service';
import { AssetNavSidebarComponent } from './asset-nav-sidebar.component';
import { CollapsedAssetDomainsComponent } from './collapsed-asset-domains';
import {
  AssetDomainCategoryComponent,
  AssetDomainCategoryItemComponent,
  AssetDomainContentComponent,
  ExpandedAssetDomainsComponent,
} from './expanded-asset-domains';
import { MatDividerModule } from '@angular/material/divider';

@NgModule({
  declarations: [
    AssetNavSidebarComponent,
    CollapsedAssetDomainsComponent,
    ExpandedAssetDomainsComponent,
    AssetDomainContentComponent,
    AssetDomainCategoryComponent,
    AssetDomainCategoryItemComponent,
  ],
  imports: [
    CommonModule,
    SentinelSidebarCommonModule,
    OrionSidebarModule,
    MatIconModule,
    MatButtonModule,
    MatTooltipModule,
    SentinelPipesModule,
    RouterModule,
    MatDividerModule,
  ],
  providers: [AssetNavDomainsService],
  exports: [AssetNavSidebarComponent],
})
export class AssetNavSidebarModule {}
