import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { AssetNavDomain } from '../asset-nav';

@Component({
  selector: 'orion-collapsed-asset-domains',
  templateUrl: './collapsed-asset-domains.component.html',
  styleUrls: ['./collapsed-asset-domains.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CollapsedAssetDomainsComponent {
  @Input() navDomains: AssetNavDomain[] = [];
  @Output() domainSelected: EventEmitter<AssetNavDomain> = new EventEmitter<AssetNavDomain>();

  onDomainSelected(domain: AssetNavDomain): void {
    this.domainSelected.emit(domain);
  }
}
