import { animate, style, transition, trigger } from '@angular/animations';
import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { AssetNavDomain } from '../asset-nav';

@Component({
  selector: 'orion-expanded-asset-domains',
  templateUrl: './expanded-asset-domains.component.html',
  styleUrls: ['./expanded-asset-domains.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  animations: [
    trigger('inOutAnimation', [
      transition(':enter', [
        style({ overflow: 'hidden', height: 0 }),
        animate('300ms ease-out', style({ height: '*' })),
      ]),
      transition(':leave', [
        style({ overflow: 'hidden', height: '*' }),
        animate('300ms ease-in', style({ height: 0 })),
      ]),
    ]),
  ],
})
export class ExpandedAssetDomainsComponent {
  @Input() navDomains: AssetNavDomain[] = [];
  @Output() domainSelected: EventEmitter<AssetNavDomain> = new EventEmitter<AssetNavDomain>();

  onDomainSelected(domain: AssetNavDomain): void {
    this.domainSelected.emit(domain);
  }
}
