import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { AssetClientFilter } from '@orion/asset-types';
import { OrionFilterDirective } from '@csirtmu-orion/microframework/filters';
import { AssetSharedOverviewFilterService } from './asset-shared-overview-filter.service';

@Component({
  selector: 'orion-asset-shared-filters',
  templateUrl: './asset-shared-filters.component.html',
  styleUrls: ['./asset-shared-filters.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AssetSharedFiltersComponent extends OrionFilterDirective {
  @Input() activeFilter?: AssetClientFilter;

  constructor(protected filterService: AssetSharedOverviewFilterService) {
    super(filterService);
  }

  onTermChange(value: string): void {
    this.filterService.update({ termSearch: value });
  }
}
