import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { AggregateAssetTable } from './aggregate-asset-table';
import { AggregateAssetTableElementFragment } from './aggregate-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-aggregate-asset-table',
  templateUrl: './aggregate-asset-table.component.html',
  styleUrls: ['./aggregate-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AggregateAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  AggregateAssetTableElementFragment,
  AggregateAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<AggregateAssetTableElementFragment> | AggregateAssetTableElementFragment[]
  ): AggregateAssetTable {
    return new AggregateAssetTable(entities);
  }
}
