import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { AggregateAssetTableElementFragment } from './aggregate-asset-table-element.fragment.generated';

export class AggregateAssetTable extends SimpleRowTable<AggregateAssetTableElementFragment> {
  constructor(
    aggregates: IPaginatedElements<AggregateAssetTableElementFragment> | AggregateAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('aggregate', 'Aggregate', false),
      new Column('rir', 'RIR', false),
      new Column('tenant', 'Tenant', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(aggregates, columns);
  }
}
