import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type CircuitAssetTableElementFragment = {
  __typename?: 'CircuitType';
  status?: SchemaTypes.CircuitsCircuitStatusChoices | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  provider?:
    | {
        __typename?: 'ProviderType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  type?:
    | {
        __typename?: 'CircuitTypeType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  terminationA?:
    | {
        __typename?: 'CircuitTerminationType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
      }
    | undefined;
  terminationZ?:
    | {
        __typename?: 'CircuitTerminationType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        circuit?: { __typename?: 'CircuitType'; name?: string | undefined } | undefined;
      }
    | undefined;
};

export const CircuitAssetTableElementFragmentDoc = gql`
  fragment circuitAssetTableElement on CircuitType {
    ...assetBaseView
    provider {
      ...assetBaseView
    }
    type {
      ...assetBaseView
    }
    status
    tenant {
      ...assetBaseView
    }
    terminationA {
      ...assetBaseView
    }
    terminationZ {
      ...assetBaseView
    }
    created
    lastUpdated
  }
`;
