import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { CircuitAssetTable } from './circuit-asset-table';
import { CircuitAssetTableElementFragment } from './circuit-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-circuit-asset-table',
  templateUrl: './circuit-asset-table.component.html',
  styleUrls: ['./circuit-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CircuitAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  CircuitAssetTableElementFragment,
  CircuitAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<CircuitAssetTableElementFragment> | CircuitAssetTableElementFragment[]
  ): CircuitAssetTable {
    return new CircuitAssetTable(entities);
  }
}
