import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { CircuitAssetTableElementFragment } from './circuit-asset-table-element.fragment.generated';

export class CircuitAssetTable extends SimpleRowTable<CircuitAssetTableElementFragment> {
  constructor(circuits: IPaginatedElements<CircuitAssetTableElementFragment> | CircuitAssetTableElementFragment[]) {
    const columns = [
      new Column('circuit', 'Circuit', false),
      new Column('provider', 'Provider', false),
      new Column('type', 'Type', false),
      new Column('status', 'Status', false),
      new Column('tenant', 'Tenant', false),
      new Column('terminationA', 'Termination A', false),
      new Column('terminationZ', 'Termination Z', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(circuits, columns);
  }
}
