import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ClusterAssetTable } from './cluster-asset-table';
import { ClusterAssetTableElementFragment } from './cluster-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-cluster-asset-table',
  templateUrl: './cluster-asset-table.component.html',
  styleUrls: ['./cluster-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ClusterAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  ClusterAssetTableElementFragment,
  ClusterAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<ClusterAssetTableElementFragment> | ClusterAssetTableElementFragment[]
  ): ClusterAssetTable {
    return new ClusterAssetTable(entities);
  }
}
