import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { ClusterAssetTableElementFragment } from './cluster-asset-table-element.fragment.generated';

export class ClusterAssetTable extends SimpleRowTable<ClusterAssetTableElementFragment> {
  constructor(clusters: IPaginatedElements<ClusterAssetTableElementFragment> | ClusterAssetTableElementFragment[]) {
    const columns = [
      new Column('cluster', 'Cluster', false),
      new Column('type', 'Type', false),
      new Column('group', 'Group', false),
      new Column('tenant', 'Tenant', false),
      new Column('site', 'Site', false),
      new Column('devices', 'Devices', false),
      new Column('vms', 'VMs', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(clusters, columns);
  }
}
