import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type DeviceAssetTableElementFragment = {
  __typename?: 'DeviceType';
  status?: SchemaTypes.DcimDeviceStatusChoices | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  deviceRole?:
    | {
        __typename?: 'DeviceRoleType';
        color?: string | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  deviceType?:
    | {
        __typename?: 'DeviceTypeType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        model?: string | undefined;
        manufacturer?:
          | {
              __typename?: 'ManufacturerType';
              assetType: SchemaTypes.KnownAssetsEnum;
              created?: any | undefined;
              id: string;
              name?: string | undefined;
            }
          | undefined;
      }
    | undefined;
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  location?:
    | {
        __typename?: 'LocationType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  rack?:
    | {
        __typename?: 'RackType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  primaryIp4?:
    | {
        __typename?: 'IPAddressType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        address?: string | undefined;
      }
    | undefined;
  primaryIp6?:
    | {
        __typename?: 'IPAddressType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        address?: string | undefined;
      }
    | undefined;
};

export const DeviceAssetTableElementFragmentDoc = gql`
  fragment deviceAssetTableElement on DeviceType {
    ...assetBaseView
    status
    tenant {
      ...assetBaseView
    }
    deviceRole {
      ...assetBaseView
      color
    }
    deviceType {
      ...assetBaseView
      manufacturer {
        ...assetBaseView
      }
    }
    site {
      ...assetBaseView
    }
    location {
      ...assetBaseView
    }
    rack {
      ...assetBaseView
    }
    primaryIp4 {
      ...assetBaseView
    }
    primaryIp6 {
      ...assetBaseView
    }
    created
    lastUpdated
  }
`;
