import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { DeviceAssetTable } from './device-asset-table';
import { DeviceAssetTableElementFragment } from './device-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-device-asset-table',
  templateUrl: './device-asset-table.component.html',
  styleUrls: ['./device-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DeviceAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  DeviceAssetTableElementFragment,
  DeviceAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<DeviceAssetTableElementFragment> | DeviceAssetTableElementFragment[]
  ): DeviceAssetTable {
    return new DeviceAssetTable(entities);
  }
}
