import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { DeviceAssetTableElementFragment } from './device-asset-table-element.fragment.generated';

export class DeviceAssetTable extends SimpleRowTable<DeviceAssetTableElementFragment> {
  constructor(devices: IPaginatedElements<DeviceAssetTableElementFragment> | DeviceAssetTableElementFragment[]) {
    const columns = [
      new Column('device', 'Device', false),
      new Column('status', 'Status', false),
      new Column('tenant', 'Tenant', false),
      new Column('role', 'Role', false),
      new Column('manufacturer', 'Manufacturer', false),
      new Column('type', 'Type', false),
      new Column('site', 'Site', false),
      new Column('location', 'Location', false),
      new Column('rack', 'Rack', false),
      new Column('ipAddress', 'IP Address', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(devices, columns);
  }
}
