import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { DeviceTypeAssetTable } from './device-type-asset-table';
import { DeviceTypeAssetTableElementFragment } from './device-type-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-device-type-asset-table',
  templateUrl: './device-type-asset-table.component.html',
  styleUrls: ['./device-type-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DeviceTypeAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  DeviceTypeAssetTableElementFragment,
  DeviceTypeAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<DeviceTypeAssetTableElementFragment> | DeviceTypeAssetTableElementFragment[]
  ): DeviceTypeAssetTable {
    return new DeviceTypeAssetTable(entities);
  }
}
