import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { DeviceTypeAssetTableElementFragment } from './device-type-asset-table-element.fragment.generated';

export class DeviceTypeAssetTable extends SimpleRowTable<DeviceTypeAssetTableElementFragment> {
  constructor(
    deviceTypes: IPaginatedElements<DeviceTypeAssetTableElementFragment> | DeviceTypeAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('deviceType', 'Device Type', false),
      new Column('manufacturer', 'Manufacturer', false),
      new Column('partNumber', 'Part Number', false),
      new Column('height', 'Height (U)', false),
      new Column('fullDepth', 'Full Depth', false),
      new Column('instances', 'Instances', false),
      new Column('parentChildStatus', 'Parent/Child Status', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(deviceTypes, columns);
  }
}
