import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { FrontPortAssetTable } from './front-port-asset-table';
import { FrontPortAssetTableElementFragment } from './front-port-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-front-port-asset-table',
  templateUrl: './front-port-asset-table.component.html',
  styleUrls: ['./front-port-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class FrontPortAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  FrontPortAssetTableElementFragment,
  FrontPortAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<FrontPortAssetTableElementFragment> | FrontPortAssetTableElementFragment[]
  ): FrontPortAssetTable {
    return new FrontPortAssetTable(entities);
  }
}
