import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { FrontPortAssetTableElementFragment } from './front-port-asset-table-element.fragment.generated';

export class FrontPortAssetTable extends SimpleRowTable<FrontPortAssetTableElementFragment> {
  constructor(
    frontPorts: IPaginatedElements<FrontPortAssetTableElementFragment> | FrontPortAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('frontPort', 'Front Port', false),
      new Column('device', 'Device', false),
      new Column('label', 'Label', false),
      new Column('type', 'Type', false),
      new Column('color', 'Color', false),
      new Column('rearPort', 'Rear Port', false),
      new Column('position', 'position', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(frontPorts, columns);
  }
}
