import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { InterfaceAssetTable } from './interface-asset-table';
import { InterfaceAssetTableElementFragment } from './interface-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-interface-asset-table',
  templateUrl: './interface-asset-table.component.html',
  styleUrls: ['./interface-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class InterfaceAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  InterfaceAssetTableElementFragment,
  InterfaceAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<InterfaceAssetTableElementFragment> | InterfaceAssetTableElementFragment[]
  ): InterfaceAssetTable {
    return new InterfaceAssetTable(entities);
  }
}
