import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { InterfaceAssetTableElementFragment } from './interface-asset-table-element.fragment.generated';

export class InterfaceAssetTable extends SimpleRowTable<InterfaceAssetTableElementFragment> {
  constructor(
    interfaces: IPaginatedElements<InterfaceAssetTableElementFragment> | InterfaceAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('interface', 'Interface', false),
      new Column('device', 'Device', false),
      new Column('label', 'Label', false),
      new Column('enabled', 'Enabled', false),
      new Column('type', 'Type', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(interfaces, columns);
  }
}
