import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { InventoryItemAssetTable } from './inventory-item-asset-table';
import { InventoryItemAssetTableElementFragment } from './invetory-item-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-inventory-item-asset-table',
  templateUrl: './inventory-item-asset-table.component.html',
  styleUrls: ['./inventory-item-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class InventoryItemAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  InventoryItemAssetTableElementFragment,
  InventoryItemAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<InventoryItemAssetTableElementFragment> | InventoryItemAssetTableElementFragment[]
  ): InventoryItemAssetTable {
    return new InventoryItemAssetTable(entities);
  }
}
