import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { InventoryItemAssetTableElementFragment } from './invetory-item-asset-table-element.fragment.generated';

export class InventoryItemAssetTable extends SimpleRowTable<InventoryItemAssetTableElementFragment> {
  constructor(
    inventoryItems:
      | IPaginatedElements<InventoryItemAssetTableElementFragment>
      | InventoryItemAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('inventoryItem', 'Inventory Item', false),
      new Column('device', 'Device', false),
      new Column('label', 'Label', false),
      new Column('manufacturer', 'Manufacturer', false),
      new Column('partId', 'Part ID', false),
      new Column('serialNumber', 'Serial Number', false),
      new Column('assetTag', 'Asset Tag', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(inventoryItems, columns);
  }
}
