import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { IpAddressAssetTable } from './ip-address-asset-table';
import { IpAddressAssetTableElementFragment } from './ip-address-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-ip-address-asset-table',
  templateUrl: './ip-address-asset-table.component.html',
  styleUrls: ['./ip-address-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class IpAddressAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  IpAddressAssetTableElementFragment,
  IpAddressAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<IpAddressAssetTableElementFragment> | IpAddressAssetTableElementFragment[]
  ): IpAddressAssetTable {
    return new IpAddressAssetTable(entities);
  }
}
