import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { IpAddressAssetTableElementFragment } from './ip-address-asset-table-element.fragment.generated';

export class IpAddressAssetTable extends SimpleRowTable<IpAddressAssetTableElementFragment> {
  constructor(
    ipAddresses: IPaginatedElements<IpAddressAssetTableElementFragment> | IpAddressAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('ipAddress', 'IP Address', false),
      new Column('vrf', 'VRF', false),
      new Column('status', 'Status', false),
      new Column('role', 'Role', false),
      new Column('tenant', 'Tenant', false),
      new Column('assigned', 'Assigned', false),
      new Column('dns', 'DNS Name', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(ipAddresses, columns);
  }
}
