import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { LocationAssetTable } from './location-asset-table';
import { LocationAssetTableElementFragment } from './location-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-location-asset-table',
  templateUrl: './location-asset-table.component.html',
  styleUrls: ['./location-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class LocationAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  LocationAssetTableElementFragment,
  LocationAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<LocationAssetTableElementFragment> | LocationAssetTableElementFragment[]
  ): LocationAssetTable {
    return new LocationAssetTable(entities);
  }
}
