import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { LocationAssetTableElementFragment } from './location-asset-table-element.fragment.generated';

export class LocationAssetTable extends SimpleRowTable<LocationAssetTableElementFragment> {
  constructor(locations: IPaginatedElements<LocationAssetTableElementFragment> | LocationAssetTableElementFragment[]) {
    const columns = [
      new Column('location', 'Location', false),
      new Column('site', 'Site', false),
      new Column('tenant', 'Tenant', false),
      new Column('racks', 'Racks', false),
      new Column('devices', 'Devices', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(locations, columns);
  }
}
