import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type PowerFeedAssetTableElementFragment = {
  __typename?: 'PowerFeedType';
  status?: SchemaTypes.DcimPowerFeedStatusChoices | undefined;
  type?: SchemaTypes.DcimPowerFeedTypeChoices | undefined;
  supply?: SchemaTypes.DcimPowerFeedSupplyChoices | undefined;
  voltage?: number | undefined;
  amperage?: number | undefined;
  phase?: SchemaTypes.DcimPowerFeedPhaseChoices | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  powerPanel?:
    | {
        __typename?: 'PowerPanelType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  rack?:
    | {
        __typename?: 'RackType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  cable?:
    | {
        __typename?: 'CableType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const PowerFeedAssetTableElementFragmentDoc = gql`
  fragment powerFeedAssetTableElement on PowerFeedType {
    ...assetBaseView
    powerPanel {
      ...assetBaseView
    }
    rack {
      ...assetBaseView
    }
    status
    type
    supply
    voltage
    amperage
    phase
    cable {
      ...assetBaseView
    }
    created
    lastUpdated
  }
`;
