import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { PowerFeedAssetTable } from './power-feed-asset-table';
import { PowerFeedAssetTableElementFragment } from './power-feed-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-power-feed-asset-table',
  templateUrl: './power-feed-asset-table.component.html',
  styleUrls: ['./power-feed-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class PowerFeedAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  PowerFeedAssetTableElementFragment,
  PowerFeedAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<PowerFeedAssetTableElementFragment> | PowerFeedAssetTableElementFragment[]
  ): PowerFeedAssetTable {
    return new PowerFeedAssetTable(entities);
  }
}
