import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { PowerFeedAssetTableElementFragment } from './power-feed-asset-table-element.fragment.generated';

export class PowerFeedAssetTable extends SimpleRowTable<PowerFeedAssetTableElementFragment> {
  constructor(
    powerFeeds: IPaginatedElements<PowerFeedAssetTableElementFragment> | PowerFeedAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('powerFeed', 'Power Feed', false),
      new Column('powerPanel', 'Power Panel', false),
      new Column('rack', 'Rack', false),
      new Column('status', 'Status', false),
      new Column('type', 'Type', false),
      new Column('supply', 'Supply', false),
      new Column('voltage', 'Voltage', false),
      new Column('amperage', 'Amperage', false),
      new Column('phase', 'Phase', false),
      new Column('cable', 'Cable', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(powerFeeds, columns);
  }
}
