import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { PowerPanelAssetTable } from './power-panel-asset-table';
import { PowerPanelAssetTableElementFragment } from './power-panel-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-power-panel-asset-table',
  templateUrl: './power-panel-asset-table.component.html',
  styleUrls: ['./power-panel-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class PowerPanelAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  PowerPanelAssetTableElementFragment,
  PowerPanelAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<PowerPanelAssetTableElementFragment> | PowerPanelAssetTableElementFragment[]
  ): PowerPanelAssetTable {
    return new PowerPanelAssetTable(entities);
  }
}
