import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { PowerPanelAssetTableElementFragment } from './power-panel-asset-table-element.fragment.generated';

export class PowerPanelAssetTable extends SimpleRowTable<PowerPanelAssetTableElementFragment> {
  constructor(
    powerPanels: IPaginatedElements<PowerPanelAssetTableElementFragment> | PowerPanelAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('powerPanel', 'Power Panel', false),
      new Column('site', 'Site', false),
      new Column('location', 'Location', false),
      new Column('powerFeeds', 'Power Feeds', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(powerPanels, columns);
  }
}
