import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { PrefixAssetTable } from './prefix-asset-table';
import { PrefixAssetTableElementFragment } from './prefix-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-prefix-asset-table',
  templateUrl: './prefix-asset-table.component.html',
  styleUrls: ['./prefix-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class PrefixAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  PrefixAssetTableElementFragment,
  PrefixAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<PrefixAssetTableElementFragment> | PrefixAssetTableElementFragment[]
  ): PrefixAssetTable {
    return new PrefixAssetTable(entities);
  }
}
