import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { PrefixAssetTableElementFragment } from './prefix-asset-table-element.fragment.generated';

export class PrefixAssetTable extends SimpleRowTable<PrefixAssetTableElementFragment> {
  constructor(prefixes: IPaginatedElements<PrefixAssetTableElementFragment> | PrefixAssetTableElementFragment[]) {
    const columns = [
      new Column('prefix', 'Prefix', false),
      new Column('status', 'Status', false),
      new Column('vrf', 'VRF', false),
      new Column('tenant', 'Tenant', false),
      new Column('site', 'Site', false),
      new Column('vlan', 'VLAN', false),
      new Column('role', 'Role', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(prefixes, columns);
  }
}
