import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RackAssetTableElementFragment = {
  __typename?: 'RackType';
  status?: SchemaTypes.DcimRackStatusChoices | undefined;
  facilityId?: string | undefined;
  uHeight?: number | undefined;
  deviceCount?: number | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  site?:
    | {
        __typename?: 'SiteType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  location?:
    | {
        __typename?: 'LocationType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  role?:
    | {
        __typename?: 'RackRoleType';
        color?: string | undefined;
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
};

export const RackAssetTableElementFragmentDoc = gql`
  fragment rackAssetTableElement on RackType {
    ...assetBaseView
    site {
      ...assetBaseView
    }
    location {
      ...assetBaseView
    }
    status
    facilityId
    tenant {
      ...assetBaseView
    }
    role {
      ...assetBaseView
      color
    }
    uHeight
    deviceCount
    created
    lastUpdated
  }
`;
