import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { RackAssetTable } from './rack-asset-table';
import { RackAssetTableElementFragment } from './rack-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-rack-asset-table',
  templateUrl: './rack-asset-table.component.html',
  styleUrls: ['./rack-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class RackAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  RackAssetTableElementFragment,
  RackAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<RackAssetTableElementFragment> | RackAssetTableElementFragment[]
  ): RackAssetTable {
    return new RackAssetTable(entities);
  }
}
