import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { RackAssetTableElementFragment } from './rack-asset-table-element.fragment.generated';

export class RackAssetTable extends SimpleRowTable<RackAssetTableElementFragment> {
  constructor(racks: IPaginatedElements<RackAssetTableElementFragment> | RackAssetTableElementFragment[]) {
    const columns = [
      new Column('rack', 'Rack', false),
      new Column('site', 'Site', false),
      new Column('location', 'Location', false),
      new Column('status', 'Status', false),
      new Column('facilityId', 'Facility ID', false),
      new Column('tenant', 'Tenant', false),
      new Column('role', 'Role', false),
      new Column('height', 'Height', false),
      new Column('devices', 'Devices', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(racks, columns);
  }
}
