import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { RackReservationAssetTable } from './rack-reservation-asset-table';
import { RackReservationAssetTableElementFragment } from './rack-reservation-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-rack-reservation-asset-table',
  templateUrl: './rack-reservation-asset-table.component.html',
  styleUrls: ['./rack-reservation-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class RackReservationAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  RackReservationAssetTableElementFragment,
  RackReservationAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<RackReservationAssetTableElementFragment> | RackReservationAssetTableElementFragment[]
  ): RackReservationAssetTable {
    return new RackReservationAssetTable(entities);
  }
}
