import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { RackReservationAssetTableElementFragment } from './rack-reservation-asset-table-element.fragment.generated';

export class RackReservationAssetTable extends SimpleRowTable<RackReservationAssetTableElementFragment> {
  constructor(
    rackReservations:
      | IPaginatedElements<RackReservationAssetTableElementFragment>
      | RackReservationAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('reservation', 'Reservation', false),
      new Column('site', 'Site', false),
      new Column('rack', 'Rack', false),
      new Column('units', 'Units', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(rackReservations, columns);
  }
}
