import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { RearPortAssetTable } from './rear-port-asset-table';
import { RearPortAssetTableElementFragment } from './rear-port-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-rear-port-asset-table',
  templateUrl: './rear-port-asset-table.component.html',
  styleUrls: ['./rear-port-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class RearPortAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  RearPortAssetTableElementFragment,
  RearPortAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<RearPortAssetTableElementFragment> | RearPortAssetTableElementFragment[]
  ): RearPortAssetTable {
    return new RearPortAssetTable(entities);
  }
}
