import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { RearPortAssetTableElementFragment } from './rear-port-asset-table-element.fragment.generated';

export class RearPortAssetTable extends SimpleRowTable<RearPortAssetTableElementFragment> {
  constructor(rearPorts: IPaginatedElements<RearPortAssetTableElementFragment> | RearPortAssetTableElementFragment[]) {
    const columns = [
      new Column('rearPort', 'Rear Port', false),
      new Column('device', 'Device', false),
      new Column('label', 'Label', false),
      new Column('type', 'Type', false),
      new Column('color', 'Color', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(rearPorts, columns);
  }
}
