import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { RegionAssetTable } from './region-asset-table';
import { RegionAssetTableElementFragment } from './region-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-region-asset-table',
  templateUrl: './region-asset-table.component.html',
  styleUrls: ['./region-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class RegionAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  RegionAssetTableElementFragment,
  RegionAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<RegionAssetTableElementFragment> | RegionAssetTableElementFragment[]
  ): RegionAssetTable {
    return new RegionAssetTable(entities);
  }
}
