import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { RegionAssetTableElementFragment } from './region-asset-table-element.fragment.generated';

export class RegionAssetTable extends SimpleRowTable<RegionAssetTableElementFragment> {
  constructor(regions: IPaginatedElements<RegionAssetTableElementFragment> | RegionAssetTableElementFragment[]) {
    const columns = [
      new Column('region', 'Region', false),
      new Column('sites', 'Sites', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(regions, columns);
  }
}
