import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { RouteTargetAssetTable } from './route-target-asset-table';
import { RouteTargetAssetTableElementFragment } from './route-target-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-route-target-asset-table',
  templateUrl: './route-target-asset-table.component.html',
  styleUrls: ['./route-target-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class RouteTargetAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  RouteTargetAssetTableElementFragment,
  RouteTargetAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<RouteTargetAssetTableElementFragment> | RouteTargetAssetTableElementFragment[]
  ): RouteTargetAssetTable {
    return new RouteTargetAssetTable(entities);
  }
}
