import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { RouteTargetAssetTableElementFragment } from './route-target-asset-table-element.fragment.generated';

export class RouteTargetAssetTable extends SimpleRowTable<RouteTargetAssetTableElementFragment> {
  constructor(
    routeTargets: IPaginatedElements<RouteTargetAssetTableElementFragment> | RouteTargetAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('routeTarget', 'Route Target', false),
      new Column('tenant', 'Tenant', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(routeTargets, columns);
  }
}
