import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ServiceAssetTable } from './service-asset-table';
import { ServiceAssetTableElementFragment } from './service-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-service-asset-table',
  templateUrl: './service-asset-table.component.html',
  styleUrls: ['./service-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ServiceAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  ServiceAssetTableElementFragment,
  ServiceAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<ServiceAssetTableElementFragment> | ServiceAssetTableElementFragment[]
  ): ServiceAssetTable {
    return new ServiceAssetTable(entities);
  }
}
