import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { ServiceAssetTableElementFragment } from './service-asset-table-element.fragment.generated';

export class ServiceAssetTable extends SimpleRowTable<ServiceAssetTableElementFragment> {
  constructor(services: IPaginatedElements<ServiceAssetTableElementFragment> | ServiceAssetTableElementFragment[]) {
    const columns = [
      new Column('service', 'Service', false),
      new Column('parent', 'Parent', false),
      new Column('protocol', 'Protocol', false),
      new Column('ports', 'Ports', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(services, columns);
  }
}
