import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type SiteAssetTableElementFragment = {
  __typename?: 'SiteType';
  status?: SchemaTypes.DcimSiteStatusChoices | undefined;
  facility?: string | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  region?:
    | {
        __typename?: 'RegionType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tags: {
    __typename?: 'TagTypeResultSet';
    data: Array<{
      __typename?: 'TagType';
      id?: string | undefined;
      name?: string | undefined;
      color?: string | undefined;
    }>;
  };
};

export const SiteAssetTableElementFragmentDoc = gql`
  fragment siteAssetTableElement on SiteType {
    ...assetBaseView
    status
    facility
    region {
      ...assetBaseView
    }
    tenant {
      ...assetBaseView
    }
    tags {
      data {
        ...assetTag
      }
    }
    created
    lastUpdated
  }
`;
