import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { SiteAssetTable } from './site-asset-table';
import { SiteAssetTableElementFragment } from './site-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-site-asset-table',
  templateUrl: './site-asset-table.component.html',
  styleUrls: ['./site-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class SiteAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  SiteAssetTableElementFragment,
  SiteAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<SiteAssetTableElementFragment> | SiteAssetTableElementFragment[]
  ): SiteAssetTable {
    return new SiteAssetTable(entities);
  }
}
