import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { SiteAssetTableElementFragment } from './site-asset-table-element.fragment.generated';

export class SiteAssetTable extends SimpleRowTable<SiteAssetTableElementFragment> {
  constructor(sites: IPaginatedElements<SiteAssetTableElementFragment> | SiteAssetTableElementFragment[]) {
    const columns = [
      new Column('site', 'Site', false),
      new Column('status', 'Status', false),
      new Column('facility', 'Facility', false),
      new Column('region', 'Region', false),
      new Column('tenant', 'Tenant', false),
      new Column('tags', 'Tags', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(sites, columns);
  }
}
