import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { SiteGroupAssetTable } from './site-group-asset-table';
import { SiteGroupAssetTableElementFragment } from './site-group-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-site-group-asset-table',
  templateUrl: './site-group-asset-table.component.html',
  styleUrls: ['./site-group-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class SiteGroupAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  SiteGroupAssetTableElementFragment,
  SiteGroupAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<SiteGroupAssetTableElementFragment> | SiteGroupAssetTableElementFragment[]
  ): SiteGroupAssetTable {
    return new SiteGroupAssetTable(entities);
  }
}
