import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { SiteGroupAssetTableElementFragment } from './site-group-asset-table-element.fragment.generated';

export class SiteGroupAssetTable extends SimpleRowTable<SiteGroupAssetTableElementFragment> {
  constructor(
    siteGroups: IPaginatedElements<SiteGroupAssetTableElementFragment> | SiteGroupAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('siteGroup', 'Site Group', false),
      new Column('sites', 'sites', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(siteGroups, columns);
  }
}
