import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { TenantAssetTable } from './tenant-asset-table';
import { TenantAssetTableElementFragment } from './tenant-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-tenant-asset-table',
  templateUrl: './tenant-asset-table.component.html',
  styleUrls: ['./tenant-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TenantAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  TenantAssetTableElementFragment,
  TenantAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<TenantAssetTableElementFragment> | TenantAssetTableElementFragment[]
  ): TenantAssetTable {
    return new TenantAssetTable(entities);
  }
}
