import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { TenantAssetTableElementFragment } from './tenant-asset-table-element.fragment.generated';

export class TenantAssetTable extends SimpleRowTable<TenantAssetTableElementFragment> {
  constructor(tenants: IPaginatedElements<TenantAssetTableElementFragment> | TenantAssetTableElementFragment[]) {
    const columns = [
      new Column('tenant', 'Tenant', false),
      new Column('group', 'Group', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(tenants, columns);
  }
}
