import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { VlanAssetTable } from './vlan-asset-table';
import { VlanAssetTableElementFragment } from './vlan-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-vlan-asset-table',
  templateUrl: './vlan-asset-table.component.html',
  styleUrls: ['./vlan-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class VlanAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  VlanAssetTableElementFragment,
  VlanAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<VlanAssetTableElementFragment> | VlanAssetTableElementFragment[]
  ): VlanAssetTable {
    return new VlanAssetTable(entities);
  }
}
