import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { VlanAssetTableElementFragment } from './vlan-asset-table-element.fragment.generated';

export class VlanAssetTable extends SimpleRowTable<VlanAssetTableElementFragment> {
  constructor(vlans: IPaginatedElements<VlanAssetTableElementFragment> | VlanAssetTableElementFragment[]) {
    const columns = [
      new Column('vid', 'VID', false),
      new Column('vlan', 'VLAN', false),
      new Column('site', 'Site', false),
      new Column('group', 'Group', false),
      new Column('tenant', 'Tenant', false),
      new Column('status', 'Status', false),
      new Column('role', 'Role', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(vlans, columns);
  }
}
