import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type VmAssetTableElementFragment = {
  __typename?: 'VirtualMachineType';
  status?: SchemaTypes.VirtualizationVirtualMachineStatusChoices | undefined;
  vcpus?: number | undefined;
  memory?: number | undefined;
  disk?: number | undefined;
  created?: any | undefined;
  lastUpdated?: any | undefined;
  assetType: SchemaTypes.KnownAssetsEnum;
  id: string;
  name?: string | undefined;
  cluster?:
    | {
        __typename?: 'ClusterType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  role?:
    | {
        __typename?: 'RoleType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  tenant?:
    | {
        __typename?: 'TenantType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        name?: string | undefined;
      }
    | undefined;
  primaryIp4?:
    | {
        __typename?: 'IPAddressType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        address?: string | undefined;
      }
    | undefined;
  primaryIp6?:
    | {
        __typename?: 'IPAddressType';
        assetType: SchemaTypes.KnownAssetsEnum;
        created?: any | undefined;
        id: string;
        address?: string | undefined;
      }
    | undefined;
};

export const VmAssetTableElementFragmentDoc = gql`
  fragment vmAssetTableElement on VirtualMachineType {
    ...assetBaseView
    status
    cluster {
      ...assetBaseView
    }
    role {
      ...assetBaseView
    }
    tenant {
      ...assetBaseView
    }
    vcpus
    memory
    disk
    primaryIp4 {
      ...assetBaseView
    }
    primaryIp6 {
      ...assetBaseView
    }
    created
    lastUpdated
  }
`;
