import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { VmAssetTable } from './vm-asset-table';
import { VmAssetTableElementFragment } from './vm-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-vm-asset-table',
  templateUrl: './vm-asset-table.component.html',
  styleUrls: ['./vm-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class VmAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  VmAssetTableElementFragment,
  VmAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<VmAssetTableElementFragment> | VmAssetTableElementFragment[]
  ): VmAssetTable {
    return new VmAssetTable(entities);
  }
}
