import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { VmAssetTableElementFragment } from './vm-asset-table-element.fragment.generated';

export class VmAssetTable extends SimpleRowTable<VmAssetTableElementFragment> {
  constructor(vms: IPaginatedElements<VmAssetTableElementFragment> | VmAssetTableElementFragment[]) {
    const columns = [
      new Column('vm', 'vm', false),
      new Column('status', 'Status', false),
      new Column('cluster', 'Cluster', false),
      new Column('role', 'Role', false),
      new Column('tenant', 'Tenant', false),
      new Column('vcpus', 'VCPUs', false),
      new Column('memory', 'Memory (MB)', false),
      new Column('disk', 'Disk (GB)', false),
      new Column('ipAddress', 'IP Address', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(vms, columns);
  }
}
