import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { VmInterfaceAssetTable } from './vm-interface-asset-table';
import { VmInterfaceAssetTableElementFragment } from './vm-interface-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-vm-interface-asset-table',
  templateUrl: './vm-interface-asset-table.component.html',
  styleUrls: ['./vm-interface-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class VmInterfaceAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  VmInterfaceAssetTableElementFragment,
  VmInterfaceAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<VmInterfaceAssetTableElementFragment> | VmInterfaceAssetTableElementFragment[]
  ): VmInterfaceAssetTable {
    return new VmInterfaceAssetTable(entities);
  }
}
