import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { VmInterfaceAssetTableElementFragment } from './vm-interface-asset-table-element.fragment.generated';

export class VmInterfaceAssetTable extends SimpleRowTable<VmInterfaceAssetTableElementFragment> {
  constructor(
    vmInterfaces: IPaginatedElements<VmInterfaceAssetTableElementFragment> | VmInterfaceAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('vmInterface', 'VM Interface', false),
      new Column('vm', 'Virtual Machine', false),
      new Column('enabled', 'Enabled', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(vmInterfaces, columns);
  }
}
