import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { VrfAssetTable } from './vrf-asset-table';
import { VrfAssetTableElementFragment } from './vrf-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-vrf-asset-table',
  templateUrl: './vrf-asset-table.component.html',
  styleUrls: ['./vrf-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class VrfAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  VrfAssetTableElementFragment,
  VrfAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<VrfAssetTableElementFragment> | VrfAssetTableElementFragment[]
  ): VrfAssetTable {
    return new VrfAssetTable(entities);
  }
}
