import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { VrfAssetTableElementFragment } from './vrf-asset-table-element.fragment.generated';

export class VrfAssetTable extends SimpleRowTable<VrfAssetTableElementFragment> {
  constructor(vrfs: IPaginatedElements<VrfAssetTableElementFragment> | VrfAssetTableElementFragment[]) {
    const columns = [
      new Column('vrf', 'VRF', false),
      new Column('rd', 'RD', false),
      new Column('tenant', 'Tenant', false),
      new Column('description', 'Description', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(vrfs, columns);
  }
}
