import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { WirelessLanAssetTable } from './wireless-lan-asset-table';
import { WirelessLanAssetTableElementFragment } from './wireless-lan-asset-table-element.fragment.generated';

@Component({
  selector: 'orion-wireless-lan-asset-table',
  templateUrl: './wireless-lan-asset-table.component.html',
  styleUrls: ['./wireless-lan-asset-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class WirelessLanAssetTableComponent extends OptionallyPaginatedEntityTableDirective<
  WirelessLanAssetTableElementFragment,
  WirelessLanAssetTable
> {
  protected createTable(
    entities: IPaginatedElements<WirelessLanAssetTableElementFragment> | WirelessLanAssetTableElementFragment[]
  ): WirelessLanAssetTable {
    return new WirelessLanAssetTable(entities);
  }
}
