import { SimpleRowTable } from '@orion/common';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { WirelessLanAssetTableElementFragment } from './wireless-lan-asset-table-element.fragment.generated';

export class WirelessLanAssetTable extends SimpleRowTable<WirelessLanAssetTableElementFragment> {
  constructor(
    wirelessLans: IPaginatedElements<WirelessLanAssetTableElementFragment> | WirelessLanAssetTableElementFragment[]
  ) {
    const columns = [
      new Column('wirelessLan', 'Wireless LAN', false),
      new Column('group', 'Group', false),
      new Column('description', 'Description', false),
      new Column('vlan', 'VLAN', false),
      new Column('authType', 'Auth Type', false),
      new Column('created', 'Created', false),
      new Column('updated', 'Updated', false),
    ];
    super(wirelessLans, columns);
  }
}
