import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'assetTypeNameFromUrl',
})
export class AssetTypeNameFromUrlPipe implements PipeTransform {
  transform(value?: string): string {
    return assetTypeNameFromUrlPrettify(value);
  }
}

export function assetTypeNameFromUrlPrettify(value?: string): string {
  if (value) {
    const typeNameWords = value.split('-');
    for (let i = 0; i < typeNameWords.length; i++) {
      typeNameWords[i] = typeNameWords[i].charAt(0).toUpperCase() + typeNameWords[i].slice(1);
    }
    const joined = typeNameWords.join(' ');
    return joined.charAt(joined.length - 1) === 's' ? joined : `${joined}s`;
  } else {
    return 'Unknown Asset Type';
  }
}
