import { AssetFederationBaseFilter, AssetFederationBaseFilterAndFilterEntry } from '@orion/graphql-types';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import { RelatedAssetClientFilter } from './related-asset-client-filter';

export class RelatedAssetFilterConverter
  implements FilterConverter<RelatedAssetClientFilter, AssetFederationBaseFilterAndFilterEntry[]>
{
  convert(clientFilter: RelatedAssetClientFilter): AssetFederationBaseFilterAndFilterEntry[] {
    const mainAndFilter: AssetFederationBaseFilter = {};
    if (clientFilter?.assetType) {
      mainAndFilter.assetType = { exact: clientFilter.assetType };
    }
    if (clientFilter?.caseId) {
      mainAndFilter.caseId = { exact: clientFilter.caseId };
    }
    if (clientFilter?.taskIds && clientFilter.taskIds.length > 0) {
      mainAndFilter.taskId = { in_: clientFilter?.taskIds };
    }
    return [{ AND: [{ OR: [{ ...mainAndFilter }] }] }];
  }
}
