import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ExternalReferenceRelatedCasesFragment = {
  __typename?: 'CaseManagementExternalReference';
  id: string;
  relatedCases?:
    | {
        __typename?: 'CaseNestedList';
        data: Array<{
          __typename?: 'Case';
          id: string;
          lastUpdated?: any | undefined;
          dueDate?: any | undefined;
          priority: SchemaTypes.CasePriorityEnum;
          state?: SchemaTypes.CaseStateEnum | undefined;
          name: string;
          created?: any | undefined;
          assignees?:
            | {
                __typename?: 'CaseDBUserNestedList';
                totalCount: number;
                data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
              }
            | undefined;
          labels?:
            | {
                __typename?: 'LabelNestedList';
                totalCount: number;
                data: Array<{
                  __typename?: 'Label';
                  id: string;
                  name: string;
                  backgroundColor?: string | undefined;
                  textColor?: string | undefined;
                }>;
              }
            | undefined;
          createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
        }>;
      }
    | undefined;
  relatedTasks?:
    | {
        __typename?: 'TaskNestedList';
        data: Array<{
          __typename?: 'Task';
          stage: {
            __typename?: 'Stage';
            workflow: {
              __typename?: 'Workflow';
              case: {
                __typename?: 'Case';
                id: string;
                lastUpdated?: any | undefined;
                dueDate?: any | undefined;
                priority: SchemaTypes.CasePriorityEnum;
                state?: SchemaTypes.CaseStateEnum | undefined;
                name: string;
                created?: any | undefined;
                assignees?:
                  | {
                      __typename?: 'CaseDBUserNestedList';
                      totalCount: number;
                      data: Array<{
                        __typename?: 'CaseDBUser';
                        id: string;
                        name: string;
                        iconSrc?: string | undefined;
                      }>;
                    }
                  | undefined;
                labels?:
                  | {
                      __typename?: 'LabelNestedList';
                      totalCount: number;
                      data: Array<{
                        __typename?: 'Label';
                        id: string;
                        name: string;
                        backgroundColor?: string | undefined;
                        textColor?: string | undefined;
                      }>;
                    }
                  | undefined;
                createdBy?:
                  | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                  | undefined;
              };
            };
          };
        }>;
      }
    | undefined;
};

export const ExternalReferenceRelatedCasesFragmentDoc = gql`
  fragment externalReferenceRelatedCases on CaseManagementExternalReference {
    id
    relatedCases(limit: 1000) {
      data {
        id
        ...caseTable
      }
    }
    relatedTasks(limit: 1000) {
      data {
        stage {
          workflow {
            case {
              id
              ...caseTable
            }
          }
        }
      }
    }
  }
`;
