import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ExternalReferenceRelatedCasesFragmentDoc } from './external-reference-related-cases.fragment.generated';
import { CaseTableFragmentDoc } from '../../../../../../case/components/shared/case-table/case-table.generated';
import { UserNameAndIconFragmentDoc } from '../../../../../../user/components/shared/graphql/user-icon.fragment.generated';
import { CaseNameRowFragmentDoc } from '../../../../../../case/components/shared/case-table/table-rows/name-row/case-name-row.fragment.generated';
import { CaseNameFragmentDoc } from '../../../../../../case/components/shared/case-name/case-name.fragment.generated';
import { LabelChipFragmentDoc } from '../../../../../../label/components/shared/label/label-chip.fragment.generated';
import { Injectable } from '@angular/core';

export type GetExternalReferenceRelatedCasesQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetExternalReferenceRelatedCasesQuery = {
  __typename?: 'Query';
  getCaseManagementExternalReference?:
    | {
        __typename?: 'CaseManagementExternalReference';
        id: string;
        relatedCases?:
          | {
              __typename?: 'CaseNestedList';
              data: Array<{
                __typename?: 'Case';
                id: string;
                lastUpdated?: any | undefined;
                dueDate?: any | undefined;
                priority: SchemaTypes.CasePriorityEnum;
                state?: SchemaTypes.CaseStateEnum | undefined;
                name: string;
                created?: any | undefined;
                assignees?:
                  | {
                      __typename?: 'CaseDBUserNestedList';
                      totalCount: number;
                      data: Array<{
                        __typename?: 'CaseDBUser';
                        id: string;
                        name: string;
                        iconSrc?: string | undefined;
                      }>;
                    }
                  | undefined;
                labels?:
                  | {
                      __typename?: 'LabelNestedList';
                      totalCount: number;
                      data: Array<{
                        __typename?: 'Label';
                        id: string;
                        name: string;
                        backgroundColor?: string | undefined;
                        textColor?: string | undefined;
                      }>;
                    }
                  | undefined;
                createdBy?:
                  | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                  | undefined;
              }>;
            }
          | undefined;
        relatedTasks?:
          | {
              __typename?: 'TaskNestedList';
              data: Array<{
                __typename?: 'Task';
                stage: {
                  __typename?: 'Stage';
                  workflow: {
                    __typename?: 'Workflow';
                    case: {
                      __typename?: 'Case';
                      id: string;
                      lastUpdated?: any | undefined;
                      dueDate?: any | undefined;
                      priority: SchemaTypes.CasePriorityEnum;
                      state?: SchemaTypes.CaseStateEnum | undefined;
                      name: string;
                      created?: any | undefined;
                      assignees?:
                        | {
                            __typename?: 'CaseDBUserNestedList';
                            totalCount: number;
                            data: Array<{
                              __typename?: 'CaseDBUser';
                              id: string;
                              name: string;
                              iconSrc?: string | undefined;
                            }>;
                          }
                        | undefined;
                      labels?:
                        | {
                            __typename?: 'LabelNestedList';
                            totalCount: number;
                            data: Array<{
                              __typename?: 'Label';
                              id: string;
                              name: string;
                              backgroundColor?: string | undefined;
                              textColor?: string | undefined;
                            }>;
                          }
                        | undefined;
                      createdBy?:
                        | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                        | undefined;
                    };
                  };
                };
              }>;
            }
          | undefined;
      }
    | undefined;
};

export const GetExternalReferenceRelatedCasesDocument = gql`
  query getExternalReferenceRelatedCases($id: ID!) {
    getCaseManagementExternalReference(id: $id) {
      ...externalReferenceRelatedCases
    }
  }
  ${ExternalReferenceRelatedCasesFragmentDoc}
  ${CaseTableFragmentDoc}
  ${UserNameAndIconFragmentDoc}
  ${CaseNameRowFragmentDoc}
  ${CaseNameFragmentDoc}
  ${LabelChipFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetExternalReferenceRelatedCasesQueryService extends Apollo.Query<
  GetExternalReferenceRelatedCasesQuery,
  GetExternalReferenceRelatedCasesQueryVariables
> {
  document = GetExternalReferenceRelatedCasesDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
