import { Injectable } from '@angular/core';
import { ActivatedRoute, Data, ParamMap, Params, Router } from '@angular/router';
import { EXTERNAL_REFERENCE_ID_PARAM_SELECTOR } from '@orion/external-reference-paths';
import { TaskClientFilter } from '@orion/task-types';
import { QueryParamFilterService } from '@csirtmu-orion/microframework/filter-services';
import { Observable, of } from 'rxjs';

@Injectable()
export class ExternalReferenceTasksFilterService extends QueryParamFilterService<TaskClientFilter> {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected toQueryParams(filter: TaskClientFilter): Params {
    const params = super.toQueryParams(filter);
    delete params.externalReferenceId;
    return params;
  }

  protected createEmptyFilter(): TaskClientFilter {
    return { externalReferenceId: undefined };
  }

  protected createFilterFromRoute(
    queryParamMap: ParamMap,
    paramMap: ParamMap,
    data: Data
  ): Observable<TaskClientFilter> {
    const paramId = paramMap.get(EXTERNAL_REFERENCE_ID_PARAM_SELECTOR) ?? undefined;
    return of({ externalReferenceId: paramId });
  }
}
