import { ChangeDetectionStrategy, Component } from '@angular/core';
import {
  EntityDetailTabsDirective,
  OrionQueryParamTabService,
  OrionTabService,
  TABS_TOKEN,
} from '@csirtmu-orion/microframework/tabs';
import { ExternalReferenceTabFragment } from './external-reference-tab.fragment.generated';

@Component({
  selector: 'orion-external-reference-tab',
  templateUrl: './external-reference-tab.component.html',
  styleUrls: ['./external-reference-tab.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    { provide: OrionTabService, useClass: OrionQueryParamTabService },
    { provide: TABS_TOKEN, useValue: ['cases', 'tasks'] },
  ],
})
export class ExternalReferenceTabComponent extends EntityDetailTabsDirective<ExternalReferenceTabFragment> {
  constructor(tabService: OrionTabService) {
    super(tabService);
  }
}
