import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CaseTableModule } from '@orion/case-components/shared';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';
import { EntityToolbarModule } from '@orion/shared-components/entity-toolbar';
import { TabLabelsModule } from '@orion/shared-components/tab-labels';
import { TasksOverviewModule } from '@orion/task-components/overview';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionTabsModule } from '@csirtmu-orion/microframework/tabs';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import {
  ExternalReferenceDetailContentComponent,
  ExternalReferenceRelatedCasesComponent,
  ExternalReferenceRelatedTasksComponent,
  ExternalReferenceTabComponent,
} from './external-reference-detail-content';
import { ExternalReferenceDetailPageComponent } from './external-reference-detail-page.component';

@NgModule({
  declarations: [
    ExternalReferenceDetailPageComponent,
    ExternalReferenceDetailContentComponent,
    ExternalReferenceTabComponent,
    ExternalReferenceRelatedCasesComponent,
    ExternalReferenceRelatedTasksComponent,
  ],
  imports: [
    CommonModule,
    SentinelPipesModule,
    SLetModule,
    EntityDetailPageModule,
    EntityToolbarModule,
    OrionTimeAgoModule,
    OrionAttributeModule,
    OrionTabsModule,
    TabLabelsModule,
    CaseTableModule,
    TasksOverviewModule,
    OrionCardModule,
  ],
  exports: [ExternalReferenceDetailPageComponent],
})
export class ExternalReferenceDetailPageModule {}
