import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import {
  CaseManagementExternalReferenceDetailFragment,
  GetCaseManagementExternalReferenceDetailQuery,
  GetCaseManagementExternalReferenceDetailQueryService,
  GetCaseManagementExternalReferenceDetailQueryVariables,
} from '@orion/external-reference-components/detail-graphql';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';

import { Optional } from '@sentinel/common/utils';
import { EXTERNAL_REFERENCE_ID_PARAM_SELECTOR } from '@orion/external-reference-paths';

@Injectable()
export class ExternalReferenceDetailService extends ApolloRoutedEntityService<
  GetCaseManagementExternalReferenceDetailQuery,
  GetCaseManagementExternalReferenceDetailQueryVariables,
  CaseManagementExternalReferenceDetailFragment
> {
  constructor(
    public getQuery: GetCaseManagementExternalReferenceDetailQueryService,
    protected activatedRoute: ActivatedRoute
  ) {
    super(getQuery, activatedRoute, 'Fetching external references');
  }

  protected createVariables(entityId: string): GetCaseManagementExternalReferenceDetailQueryVariables {
    return { id: entityId };
  }

  protected toFragment(
    query: GetCaseManagementExternalReferenceDetailQuery
  ): Optional<CaseManagementExternalReferenceDetailFragment> {
    return query.getCaseManagementExternalReference;
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(EXTERNAL_REFERENCE_ID_PARAM_SELECTOR);
  }
}
