import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { CaseManagementExternalReferenceDetailFragmentDoc } from './case-management-external-reference-detail.fragment.generated';
import { ExternalReferenceTabFragmentDoc } from '../external-reference-detail-content/external-reference-tab/external-reference-tab.fragment.generated';
import { Injectable } from '@angular/core';

export type GetCaseManagementExternalReferenceDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetCaseManagementExternalReferenceDetailQuery = {
  __typename?: 'Query';
  getCaseManagementExternalReference?:
    | {
        __typename?: 'CaseManagementExternalReference';
        id: string;
        url: string;
        created?: any | undefined;
        lastUpdated?: any | undefined;
        category: SchemaTypes.CaseManagementExternalReferenceCategoryEnum;
        platform: SchemaTypes.CaseManagementExternalReferencePlatformEnum;
      }
    | undefined;
};

export const GetCaseManagementExternalReferenceDetailDocument = gql`
  query getCaseManagementExternalReferenceDetail($id: ID!) {
    getCaseManagementExternalReference(id: $id) {
      ...caseManagementExternalReferenceDetail
    }
  }
  ${CaseManagementExternalReferenceDetailFragmentDoc}
  ${ExternalReferenceTabFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetCaseManagementExternalReferenceDetailQueryService extends Apollo.Query<
  GetCaseManagementExternalReferenceDetailQuery,
  GetCaseManagementExternalReferenceDetailQueryVariables
> {
  document = GetCaseManagementExternalReferenceDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
