import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ExternalReferenceListElementFragmentDoc } from './external-reference-selection/external-reference-list-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetCaseManagementExternalReferenceListQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.CaseManagementExternalReferenceFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.CaseManagementExternalReferenceOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetCaseManagementExternalReferenceListQuery = {
  __typename?: 'Query';
  getCaseManagementExternalReferenceList: {
    __typename?: 'CaseManagementExternalReferencePaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{ __typename?: 'CaseManagementExternalReference'; id: string; url: string }>;
  };
};

export const GetCaseManagementExternalReferenceListDocument = gql`
  query getCaseManagementExternalReferenceList(
    $filter: [CaseManagementExternalReferenceFilter1ANDFilterEntry!]
    $order: [CaseManagementExternalReferenceOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getCaseManagementExternalReferenceList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...externalReferenceListElement
      }
      previous
      next
      totalCount
    }
  }
  ${ExternalReferenceListElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetCaseManagementExternalReferenceListQueryService extends Apollo.Query<
  GetCaseManagementExternalReferenceListQuery,
  GetCaseManagementExternalReferenceListQueryVariables
> {
  document = GetCaseManagementExternalReferenceListDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
