import { ChangeDetectionStrategy, Component } from '@angular/core';
import { CreateExternalReferenceForm } from '@orion/external-reference-types';
import { EntityModifyPageDirective } from '@orion/shared-components/create-edit';
import { EntityModifyBaseService, ModifyEntityControlsService } from '@orion/shared-services';

@Component({
  selector: 'orion-create-external-reference',
  templateUrl: './create-external-reference.component.html',
  styleUrls: ['./create-external-reference.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [ModifyEntityControlsService],
})
export class CreateExternalReferenceComponent extends EntityModifyPageDirective<CreateExternalReferenceForm> {
  constructor(
    protected modifyEntityService: EntityModifyBaseService<CreateExternalReferenceForm>,
    protected controlsService: ModifyEntityControlsService
  ) {
    super(modifyEntityService, controlsService);
  }
}
