import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatSelectModule } from '@angular/material/select';
import { CreateEditEntityModule } from '@orion/shared-components/create-edit';
import { EntitySubtitleModule } from '@orion/shared-components/entity-subtitle';

import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { OrionDateRangeFormModule } from '@csirtmu-orion/microframework/date-range-forms';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { OrionEnumerationSelectModule } from '@csirtmu-orion/microframework/enumeration-select';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelResourceSelectorModule } from '@sentinel/components/resource-selector';
import { SentinelTableModule } from '@sentinel/components/table';
import { AddExternalReferenceComponent } from './add-external-reference';
import { ExternalReferenceSelectionComponent } from './add-external-reference/external-reference-selection';
import { CreateExternalReferenceComponent, CreateExternalReferenceFormComponent } from './create-external-reference';
import { ExternalReferenceOverviewComponent } from './external-reference-overview.component';
import { ExternalReferenceFiltersComponent } from './filters';
import { ExternalReferenceTableComponent } from './table';
import { ExternalReferenceNavigatorPipe, ExternalReferenceRowComponent } from './table/rows';

@NgModule({
  declarations: [
    ExternalReferenceOverviewComponent,
    ExternalReferenceFiltersComponent,
    ExternalReferenceTableComponent,
    CreateExternalReferenceComponent,
    CreateExternalReferenceFormComponent,
    AddExternalReferenceComponent,
    ExternalReferenceSelectionComponent,
    ExternalReferenceRowComponent,
    ExternalReferenceNavigatorPipe,
  ],
  imports: [
    CommonModule,
    OrionFilterModule,
    MatFormFieldModule,
    ReactiveFormsModule,
    MatInputModule,
    OrionEnumerationSelectModule,
    SentinelTableModule,
    MatButtonModule,
    SentinelControlsModule,
    CreateEditEntityModule,
    MatIconModule,
    SentinelPipesModule,
    SentinelErrorModule,
    OrionDateRangeFormModule,
    OrionSkeletonLoadingModule,
    OrionCardModule,
    MatSelectModule,
    OrionEntityNameModule,
    SentinelResourceSelectorModule,
    EntitySubtitleModule,
  ],
  exports: [ExternalReferenceOverviewComponent],
})
export class ExternalReferenceOverviewModule {}
