import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { ExternalReferenceClientFilter } from '@orion/case-types';
import { CaseManagementExternalReferenceCategoryEnum } from '@orion/graphql-types';
import { OrionFilterDirective } from '@csirtmu-orion/microframework/filters';
import { ExternalReferenceFilterService } from './external-reference-filter.service';

@Component({
  selector: 'orion-external-reference-filters',
  templateUrl: './external-reference-filters.component.html',
  styleUrls: ['./external-reference-filters.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ExternalReferenceFiltersComponent extends OrionFilterDirective {
  @Input() activeFilter?: ExternalReferenceClientFilter;
  categories: CaseManagementExternalReferenceCategoryEnum[] = Object.values(
    CaseManagementExternalReferenceCategoryEnum
  );

  constructor(protected filterService: ExternalReferenceFilterService) {
    super(filterService);
  }

  onUrlChange(value: string): void {
    this.filterService.update({ url: value });
  }

  onCategoryChange(category?: CaseManagementExternalReferenceCategoryEnum): void {
    this.filterService.update({ category: category });
  }
}
