import { ChangeDetectionStrategy, Component, Optional } from '@angular/core';
import { ExternalReferenceActionsService } from '@orion/external-reference-services/overview';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { PaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ExternalReferenceTable } from './external-reference-table';
import { ExternalReferenceTableFragment } from './external-reference-table.fragment.generated';

@Component({
  selector: 'orion-external-reference-table',
  templateUrl: './external-reference-table.component.html',
  styleUrls: ['./external-reference-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ExternalReferenceTableComponent extends PaginatedEntityTableDirective<
  ExternalReferenceTableFragment,
  ExternalReferenceTable
> {
  constructor(@Optional() private actionService?: ExternalReferenceActionsService) {
    super();
  }

  protected createTable(entities: IPaginatedElements<ExternalReferenceTableFragment>): ExternalReferenceTable {
    return new ExternalReferenceTable(entities, this.actionService);
  }
}
