import { Optional, Pipe, PipeTransform } from '@angular/core';
import { ExternalReferenceNavigatorService } from './external-reference-navigator.service';
import { ExternalReferenceRowFragment } from './external-reference-row.fragment.generated';

@Pipe({
  name: 'externalReferenceNavigator',
})
export class ExternalReferenceNavigatorPipe implements PipeTransform {
  constructor(@Optional() private navigator?: ExternalReferenceNavigatorService) {}

  transform(value?: ExternalReferenceRowFragment): string | undefined {
    if (this.navigator && value) {
      return this.navigator.toDetail(value.id);
    } else {
      return undefined;
    }
  }
}
