import { ActivatedRoute } from '@angular/router';
import { CreateExternalReferenceForm } from '@orion/external-reference-types';
import { CreateEntityService } from '@orion/shared-services';
import { NotificationService } from '@orion/shared/services/global';
import { Observable, of } from 'rxjs';
import { ExternalReferenceViewStateService } from './external-reference-view-state.service';

export abstract class CreateExternalReferenceService extends CreateEntityService<CreateExternalReferenceForm> {
  protected constructor(
    protected notificationService: NotificationService,
    protected activatedRoute: ActivatedRoute,
    protected viewStateService: ExternalReferenceViewStateService
  ) {
    super('External reference', notificationService, activatedRoute);
  }

  protected createForm(): Observable<CreateExternalReferenceForm> {
    return of(new CreateExternalReferenceForm());
  }

  protected handleCancel(): Observable<boolean> {
    this.viewStateService.hideComponent();
    return of(true);
  }

  protected onSaveError(): Observable<boolean> {
    return of(false);
  }

  protected onSaveSuccess(): Observable<boolean> {
    this.viewStateService.hideComponent();
    return of(true);
  }
}
