import { Injectable } from '@angular/core';
import { ControlsService } from '@orion/shared-services';
import { SentinelControlMenuItem, SentinelExpandableControlItem } from '@sentinel/components/controls';
import { defer, of } from 'rxjs';
import { ExternalReferenceViewStateService } from './external-reference-view-state.service';

@Injectable()
export class ExternalReferenceControlsService extends ControlsService {
  constructor(private viewStateService: ExternalReferenceViewStateService) {
    super();
    this.controls$ = of([
      new SentinelExpandableControlItem('ADD', 'Add', 'primary', of(false), [
        new SentinelControlMenuItem(
          'CREATE',
          'Create',
          'primary',
          of(false),
          defer(() => this.viewStateService.displayAddNewComponent()),
          'add'
        ),
        new SentinelControlMenuItem(
          'ADD_EXISTING',
          'Add Existing',
          'primary',
          of(false),
          defer(() => this.viewStateService.displayAddExistingComponent()),
          'post_add'
        ),
      ]),
    ]);
  }
}
