import { Injectable } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';

export type ExternalReferenceAddViewMode = 'existing' | 'new';

@Injectable()
export class ExternalReferenceViewStateService {
  private displayedAddComponentSubject$: BehaviorSubject<ExternalReferenceAddViewMode | undefined> =
    new BehaviorSubject<ExternalReferenceAddViewMode | undefined>(undefined);
  displayedAddComponent$: Observable<ExternalReferenceAddViewMode | undefined> =
    this.displayedAddComponentSubject$.asObservable();

  displayAddNewComponent(): void {
    this.displayedAddComponentSubject$.next('new');
  }

  displayAddExistingComponent(): void {
    this.displayedAddComponentSubject$.next('existing');
  }

  hideComponent(): void {
    this.displayedAddComponentSubject$.next(undefined);
  }
}
