import { Injectable } from '@angular/core';
import { EXTERNAL_REFERENCE_ID_PARAM_SELECTOR } from '@orion/external-reference-paths';
import { entityId, entityTitle } from '@orion/common';
import { OrionIdBreadcrumbResolver } from '@orion/shared/services/global';

@Injectable()
export class ExternalReferenceBreadcrumbResolver extends OrionIdBreadcrumbResolver {
  protected toBreadcrumb(id: string): string {
    return `External Reference ${entityId(id)}`;
  }

  protected getIdParamSelector(): string {
    return EXTERNAL_REFERENCE_ID_PARAM_SELECTOR;
  }
}

@Injectable()
export class ExternalReferenceTitleResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return EXTERNAL_REFERENCE_ID_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'External Reference');
  }
}
