import {
  CaseManagementExternalReferenceCategoryEnum,
  CaseManagementExternalReferenceCreate,
} from '@orion/graphql-types';
import { CreateExternalReferenceData } from './create-external-reference-data';
import { CreateExternalReferenceRelationships } from './create-external-reference-relationships';

export class CreateExternalReference implements CaseManagementExternalReferenceCreate {
  url: string;
  category: CaseManagementExternalReferenceCategoryEnum;
  relatedCases?: string[];
  relatedTasks?: string[];

  constructor(data: CreateExternalReferenceData, relationships: CreateExternalReferenceRelationships) {
    this.url = data.url;
    this.category = data.category;
    if (relationships.relatedCaseId) {
      this.relatedCases = [relationships.relatedCaseId];
    }
    if (relationships.relatedTaskId) {
      this.relatedTasks = [relationships.relatedTaskId];
    }
  }
}
