import { gql } from 'apollo-angular';

export type ActiveFileItemCaseFileItemBaseFragment = { __typename?: 'CaseFileItemBase'; id: string; name: string };

export type ActiveFileItemDirectoryFragment = {
  __typename?: 'Directory';
  id: string;
  name: string;
  children?:
    | {
        __typename?: 'CaseFileItemNestedList';
        totalCount: number;
        data: Array<
          | { __typename?: 'CaseFileItemBase'; id: string; name: string }
          | { __typename?: 'Directory'; id: string; created?: any | undefined; name: string }
          | {
              __typename?: 'File';
              id: string;
              created?: any | undefined;
              src: string;
              displayName?: string | undefined;
              extension?: string | undefined;
            }
        >;
      }
    | undefined;
};

export type ActiveFileItemFileFragment = { __typename?: 'File'; id: string; name: string };

export type ActiveFileItemFragment =
  | ActiveFileItemCaseFileItemBaseFragment
  | ActiveFileItemDirectoryFragment
  | ActiveFileItemFileFragment;

export const ActiveFileItemFragmentDoc = gql`
  fragment activeFileItem on CaseFileItem {
    ... on File {
      id
      name
    }
    ... on Directory {
      id
      name
      children(ordering: [{ o: TYPE }, { o: NAME }, { o: CREATED, desc: true }]) {
        data {
          ...fileItemRow
        }
        totalCount
      }
    }
    ... on CaseFileItemBase {
      id
      name
    }
  }
`;
