import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityModifyDirective } from '@orion/shared-components/create-edit';
import { EntityModifyBaseService, ModifyEntityControlsService } from '@orion/shared-services';
import { CreateEditCaseFileItemForm } from '../create-edit-case-file-item-form';
import { CreateDirectoryService } from './create-directory.service';

@Component({
  selector: 'orion-create-directory',
  templateUrl: './create-directory.component.html',
  styleUrls: ['./create-directory.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [{ provide: EntityModifyBaseService, useClass: CreateDirectoryService }, ModifyEntityControlsService],
})
export class CreateDirectoryComponent extends EntityModifyDirective<CreateEditCaseFileItemForm> {
  constructor(
    protected createService: EntityModifyBaseService<CreateEditCaseFileItemForm>,
    protected controlsService: ModifyEntityControlsService
  ) {
    super(createService, controlsService);
  }
}
