import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { CreateEditEntityModule } from '@orion/shared-components/create-edit';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionUploadFilesModule } from '@csirtmu-orion/microframework/upload-files';
import { CreateDirectoryComponent } from './create-directory';
import { CreateEditCaseFileItemFormComponent } from './create-edit-case-file-item-form';
import { EditCaseFileItemComponent } from './edit-file-item';
import { UploadCaseFilesComponent } from './upload-files';

@NgModule({
  declarations: [
    CreateDirectoryComponent,
    CreateEditCaseFileItemFormComponent,
    UploadCaseFilesComponent,
    EditCaseFileItemComponent,
  ],
  imports: [
    CommonModule,
    CreateEditEntityModule,
    SentinelPipesModule,
    MatFormFieldModule,
    MatInputModule,
    ReactiveFormsModule,
    OrionUploadFilesModule,
  ],
  exports: [CreateDirectoryComponent, EditCaseFileItemComponent, UploadCaseFilesComponent],
})
export class CreateEditCaseFileItemModule {}
