import { ChangeDetectionStrategy, Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { take } from 'rxjs/operators';
import { UploadCaseFilesService } from './upload-case-files.service';

@Component({
  selector: 'orion-upload-case-files',
  templateUrl: './upload-case-files.component.html',
  styleUrls: ['./upload-case-files.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class UploadCaseFilesComponent implements OnInit {
  saveInProgress$?: Observable<boolean>;

  constructor(private uploadService: UploadCaseFilesService) {}

  ngOnInit(): void {
    this.saveInProgress$ = this.uploadService.saving$;
  }

  upload(files: File[]): void {
    this.uploadService.upload(files).pipe(take(1)).subscribe();
  }

  cancel() {
    this.uploadService.cancel();
  }
}
