import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { trackById } from '@sentinel/common/utils';
import { FileItemBreadcrumbFragment } from './file-item-breadcrumb.fragment.generated';

@Component({
  selector: 'orion-file-item-breadcrumbs',
  templateUrl: './file-item-breadcrumbs.component.html',
  styleUrls: ['./file-item-breadcrumbs.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class FileItemBreadcrumbsComponent {
  @Input() successorsFromRoot?: FileItemBreadcrumbFragment[];
  @Output() itemClicked: EventEmitter<FileItemBreadcrumbFragment> = new EventEmitter<FileItemBreadcrumbFragment>();
  trackByFn = trackById;

  onItemClicked(item: FileItemBreadcrumbFragment): void {
    this.itemClicked.emit(item);
  }
}
