import {
  ChangeDetectionStrategy,
  Component,
  EventEmitter,
  Input,
  OnChanges,
  Output,
  SimpleChanges,
} from '@angular/core';
import { Destroyable } from '@sentinel/common';
import { CaseFileItemComponentInputsMap } from './case-file-item-component-inputs-map';
import { CaseFileItemNameFragment } from './case-file-item-name.fragment.generated';

@Component({
  selector: 'orion-abstract-file-item',
  templateUrl: './abstract-file-item.component.html',
  styleUrls: ['./abstract-file-item.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AbstractFileItemComponent extends Destroyable() implements OnChanges {
  @Input() caseFileItem?: CaseFileItemNameFragment;
  @Output() itemClicked: EventEmitter<CaseFileItemNameFragment> = new EventEmitter<CaseFileItemNameFragment>();
  componentInputsMap?: CaseFileItemComponentInputsMap;

  ngOnChanges(changes: SimpleChanges): void {
    if ('caseFileItem' in changes && this.caseFileItem) {
      this.componentInputsMap = new CaseFileItemComponentInputsMap(this.caseFileItem);
    }
  }

  onItemClicked(item: CaseFileItemNameFragment): void {
    this.itemClicked.emit(item);
  }
}
