import {
  CaseFileItemNameDirectoryFragment,
  CaseFileItemNameFileFragment,
  CaseFileItemNameFragment,
} from '@orion/case-components/case-file';

export class CaseFileItemComponentInputsMap {
  file?: CaseFileItemNameFileFragment;
  directory?: CaseFileItemNameDirectoryFragment;
  unsupported?: unknown;

  constructor(item: CaseFileItemNameFragment) {
    if (isFileFragment(item)) {
      this.file = item;
    } else if (isDirectoryFragment(item)) {
      this.directory = item;
    } else {
      this.unsupported = item;
    }
  }
}

function isFileFragment(fragment: CaseFileItemNameFragment): fragment is CaseFileItemNameFileFragment {
  return fragment.__typename === 'File';
}

function isDirectoryFragment(fragment: CaseFileItemNameFragment): fragment is CaseFileItemNameDirectoryFragment {
  return fragment.__typename === 'Directory';
}
