import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { Destroyable } from '@sentinel/common';
import { CaseFileItemNameDirectoryFragment } from '../case-file-item-name.fragment.generated';

@Component({
  selector: 'orion-directory-item',
  templateUrl: './directory-item.component.html',
  styleUrls: ['./directory-item.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DirectoryItemComponent extends Destroyable() {
  @Input() directory?: CaseFileItemNameDirectoryFragment;
  @Output() itemClicked: EventEmitter<CaseFileItemNameDirectoryFragment> =
    new EventEmitter<CaseFileItemNameDirectoryFragment>();

  onItemClick(): void {
    this.itemClicked.emit(this.directory);
  }
}
