import { gql } from 'apollo-angular';

export type FileItemRowCaseFileItemBaseFragment = { __typename?: 'CaseFileItemBase'; id: string; name: string };

export type FileItemRowDirectoryFragment = {
  __typename?: 'Directory';
  id: string;
  created?: any | undefined;
  name: string;
};

export type FileItemRowFileFragment = {
  __typename?: 'File';
  id: string;
  created?: any | undefined;
  src: string;
  displayName?: string | undefined;
  extension?: string | undefined;
};

export type FileItemRowFragment =
  | FileItemRowCaseFileItemBaseFragment
  | FileItemRowDirectoryFragment
  | FileItemRowFileFragment;

export const FileItemRowFragmentDoc = gql`
  fragment fileItemRow on CaseFileItem {
    ... on File {
      id
      created
      src
    }
    ... on Directory {
      id
      created
    }
    ... on CaseFileItemBase {
      id
      name
    }
    ...caseFileItemName
  }
`;
