import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionButtonWithIconModule } from '@csirtmu-orion/microframework/button-with-icon';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { SentinelErrorModule } from '@sentinel/components/error';
import { SentinelLoadingModule } from '@sentinel/components/loading';
import { SentinelTableModule } from '@sentinel/components/table';
import {
  AbstractFileItemComponent,
  CaseFileItemsComponent,
  CreateEditCaseFileItemModule,
  DirectoryItemComponent,
  FileItemBreadcrumbComponent,
  FileItemBreadcrumbsComponent,
  FileItemComponent,
  FileItemNamePipe,
  FileItemTableComponent,
  UnsupportedItemComponent,
} from './case-file-items';
import { CaseRootDirComponent } from './case-root-dir.component';

@NgModule({
  declarations: [
    CaseRootDirComponent,
    CaseFileItemsComponent,
    AbstractFileItemComponent,
    FileItemComponent,
    FileItemNamePipe,
    DirectoryItemComponent,
    UnsupportedItemComponent,
    FileItemTableComponent,
    FileItemBreadcrumbsComponent,
    FileItemBreadcrumbComponent,
  ],
  imports: [
    CommonModule,
    SentinelControlsModule,
    SentinelPipesModule,
    SentinelTableModule,
    OrionButtonWithIconModule,
    MatIconModule,
    MatButtonModule,
    CreateEditCaseFileItemModule,
    SentinelErrorModule,
    SentinelLoadingModule,
  ],
  exports: [CaseRootDirComponent],
})
export class CaseFileModule {}
