import { Injectable } from '@angular/core';
import { ApolloEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import { ActiveFileItemFragment } from '../case-file-items';
import {
  GetActiveCaseFileItemQuery,
  GetActiveCaseFileItemQueryService,
  GetActiveCaseFileItemQueryVariables,
} from '../graphql';

@Injectable()
export class ActiveCaseFileItemQueryService extends ApolloEntityService<
  GetActiveCaseFileItemQuery,
  GetActiveCaseFileItemQueryVariables,
  ActiveFileItemFragment
> {
  constructor(public getQuery: GetActiveCaseFileItemQueryService) {
    super(getQuery, 'Fetching active case file items');
  }

  createVariables(entityId: string): GetActiveCaseFileItemQueryVariables {
    return { id: entityId };
  }

  protected toFragment(result: GetActiveCaseFileItemQuery): Optional<ActiveFileItemFragment> {
    return result?.getCaseFileItem;
  }
}
