import { Injectable } from '@angular/core';
import { Optional } from '@sentinel/common/utils';
import { BehaviorSubject, Observable } from 'rxjs';
import { ActiveFileItemFragment } from '../case-file-items';

@Injectable()
export class ActiveCaseFileItemStateService {
  private activeCaseFileSubject$: BehaviorSubject<Optional<ActiveFileItemFragment>> = new BehaviorSubject<
    Optional<ActiveFileItemFragment>
  >(undefined);
  activeCaseFile$: Observable<Optional<ActiveFileItemFragment>> = this.activeCaseFileSubject$.asObservable();

  getActiveCaseFile(): Optional<ActiveFileItemFragment> {
    return this.activeCaseFileSubject$.getValue();
  }

  setActiveCaseFile(caseFile: ActiveFileItemFragment): void {
    this.activeCaseFileSubject$.next(caseFile);
  }

  reset(): void {
    this.activeCaseFileSubject$.next(undefined);
  }
}
