import { Injectable } from '@angular/core';
import { BehaviorSubject, Observable, Subject } from 'rxjs';

@Injectable()
export class CaseFileViewStateService {
  private createDirectoryComponentDisplayedSubject$: BehaviorSubject<boolean> = new BehaviorSubject<boolean>(false);
  createDirectoryComponentDisplayed$: Observable<boolean> =
    this.createDirectoryComponentDisplayedSubject$.asObservable();

  private uploadFileComponentDisplayedSubject$: BehaviorSubject<boolean> = new BehaviorSubject<boolean>(false);
  uploadFileComponentDisplayed$: Observable<boolean> = this.uploadFileComponentDisplayedSubject$.asObservable();

  private editedIdSubject$: Subject<string | null> = new Subject<string | null>();
  editedId$: Observable<string | null> = this.editedIdSubject$.asObservable();

  displayCreateDirectoryComponent(): void {
    this.createDirectoryComponentDisplayedSubject$.next(true);
  }

  hideCreateDirectoryComponent(): void {
    this.createDirectoryComponentDisplayedSubject$.next(false);
  }

  displayUploadFileComponent(): void {
    this.uploadFileComponentDisplayedSubject$.next(true);
  }

  hideUploadFileComponent(): void {
    this.uploadFileComponentDisplayedSubject$.next(false);
  }

  edit(id: string): void {
    this.editedIdSubject$.next(id);
  }

  clearEdit(): void {
    this.editedIdSubject$.next(null);
  }
}
