import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap, Router } from '@angular/router';
import { RelatedAssetFilterService } from '@orion/asset-components/related-assets';
import { RelatedAssetClientFilter } from '@orion/asset-types';
import { CASE_PARAM_SELECTOR } from '@orion/case-paths';
import { Observable } from 'rxjs';
import { tap } from 'rxjs/operators';

@Injectable()
export class CaseRelatedAssetsFilterService extends RelatedAssetFilterService {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected createFilterFromRoute(queryParamMap: ParamMap, paramMap: ParamMap): Observable<RelatedAssetClientFilter> {
    const caseId = paramMap.get(CASE_PARAM_SELECTOR);
    return super
      .createFilterFromRoute(queryParamMap, paramMap)
      .pipe(tap((baseFilter) => (baseFilter.caseId = caseId ?? undefined)));
  }
}
