import { ChangeDetectionStrategy, Component } from '@angular/core';
import {
  RelatedAssetFilterChipsService,
  RelatedAssetFilterService,
  RelatedAssetFragment,
  RelatedAssetService,
} from '@orion/asset-components/related-assets';
import { RelatedAssetClientFilter } from '@orion/asset-types';
import { RELATED_ENTITY_ACTIONS_PROVIDERS } from '@orion/shared-components/related-entity-overview';
import { EntityFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { CaseRelatedAssetsFilterService } from './case-related-assets-filter.service';

@Component({
  selector: 'orion-case-related-assets',
  templateUrl: './case-related-assets.component.html',
  styleUrls: ['./case-related-assets.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    RelatedAssetService,
    RelatedAssetFilterChipsService,
    ...RELATED_ENTITY_ACTIONS_PROVIDERS,
    { provide: RelatedAssetFilterService, useClass: CaseRelatedAssetsFilterService },
  ],
})
export class CaseRelatedAssetsComponent extends EntityFilterableSmartOverviewDirective<
  RelatedAssetFragment,
  RelatedAssetClientFilter
> {
  constructor(
    protected relatedAssetsService: RelatedAssetService,
    protected filterService: RelatedAssetFilterService,
    protected chipsService: RelatedAssetFilterChipsService
  ) {
    super(relatedAssetsService, filterService, chipsService);
  }
}
