import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap, Router } from '@angular/router';
import { CASE_PARAM_SELECTOR } from '@orion/case-paths';
import { RelatedObservableFilterService } from '@orion/observable-components/filters';
import { RelatedObservableClientFilter } from '@orion/observable-types';
import { Observable } from 'rxjs';
import { tap } from 'rxjs/operators';

@Injectable()
export class CaseRelatedObservablesFilterService extends RelatedObservableFilterService {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected createFilterFromRoute(
    queryParamMap: ParamMap,
    paramMap: ParamMap
  ): Observable<RelatedObservableClientFilter> {
    const caseId = paramMap.get(CASE_PARAM_SELECTOR);
    return super
      .createFilterFromRoute(queryParamMap, paramMap)
      .pipe(tap((baseFilter) => (baseFilter.caseId = caseId ?? undefined)));
  }
}
