import { ChangeDetectionStrategy, Component } from '@angular/core';
import {
  RelatedObservableFilterChipsService,
  RelatedObservableFilterService,
} from '@orion/observable-components/filters';
import { RelatedObservableFragment, RelatedObservableService } from '@orion/observable-components/related-observables';
import { RelatedObservableClientFilter } from '@orion/observable-types';
import { RELATED_ENTITY_ACTIONS_PROVIDERS } from '@orion/shared-components/related-entity-overview';
import { EntityFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { CaseRelatedObservablesFilterService } from './case-related-observables-filter.service';

@Component({
  selector: 'orion-case-related-observables',
  templateUrl: './case-related-observables.component.html',
  styleUrls: ['./case-related-observables.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    RelatedObservableService,
    RelatedObservableFilterChipsService,
    ...RELATED_ENTITY_ACTIONS_PROVIDERS,
    { provide: RelatedObservableFilterService, useClass: CaseRelatedObservablesFilterService },
  ],
})
export class CaseRelatedObservablesComponent extends EntityFilterableSmartOverviewDirective<
  RelatedObservableFragment,
  RelatedObservableClientFilter
> {
  constructor(
    protected relatedObservablesService: RelatedObservableService,
    protected filterService: RelatedObservableFilterService,
    protected chipsService: RelatedObservableFilterChipsService
  ) {
    super(relatedObservablesService, filterService, chipsService);
  }
}
