import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap, Router } from '@angular/router';
import { CASE_PARAM_SELECTOR } from '@orion/case-paths';
import { RelatedTTPsFilterService } from '@orion/ttps-components/filters-related-ttps';
import { RelatedTTPClientFilter } from '@orion/ttps-types';
import { Observable } from 'rxjs';
import { tap } from 'rxjs/operators';

@Injectable()
export class CaseRelatedTTPsFilterService extends RelatedTTPsFilterService {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected createFilterFromRoute(queryParamMap: ParamMap, paramMap: ParamMap): Observable<RelatedTTPClientFilter> {
    const caseId = paramMap.get(CASE_PARAM_SELECTOR);
    return super
      .createFilterFromRoute(queryParamMap, paramMap)
      .pipe(tap((baseFilter) => (baseFilter.caseId = caseId ?? undefined)));
  }
}
