import { Injectable } from '@angular/core';
import { ActivatedRoute, Data, ParamMap, Router } from '@angular/router';
import { CASE_PARAM_SELECTOR } from '@orion/case-paths';
import { Observable } from 'rxjs';
import { tap } from 'rxjs/operators';
import { RelatedUsersClientFilter } from '@orion/user-accounting-types';
import { RelatedUsersFilterService } from '@orion/user-accounting-components/related-users';

@Injectable()
export class CaseRelatedUsersFilterService extends RelatedUsersFilterService {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected createFilterFromRoute(
    queryParamMap: ParamMap,
    paramMap: ParamMap,
    data: Data
  ): Observable<RelatedUsersClientFilter> {
    const caseId = paramMap.get(CASE_PARAM_SELECTOR);
    return super
      .createFilterFromRoute(queryParamMap, paramMap, data)
      .pipe(tap((baseFilter) => (baseFilter.caseId = caseId ?? undefined)));
  }
}
