import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { CaseRelatedUsersFilterService } from './case-related-users-filter.service';
import { RelatedUsersClientFilter } from '@orion/user-accounting-types';
import {
  RelatedUsersFilterService,
  RelatedUsersOverviewFragment,
  RelatedUsersOverviewService,
} from '@orion/user-accounting-components/related-users';

@Component({
  selector: 'orion-case-related-users',
  templateUrl: './case-related-users.component.html',
  styleUrls: ['./case-related-users.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    RelatedUsersOverviewService,
    { provide: RelatedUsersFilterService, useClass: CaseRelatedUsersFilterService },
  ],
})
export class CaseRelatedUsersComponent extends EntityFilterableSmartOverviewDirective<
  RelatedUsersOverviewFragment,
  RelatedUsersClientFilter
> {
  constructor(
    protected relatedUsersOverviewService: RelatedUsersOverviewService,
    protected filterService: RelatedUsersFilterService
  ) {
    super(relatedUsersOverviewService, filterService);
  }
}
