import { Injectable } from '@angular/core';
import { ControlsService } from '@orion/shared-services';
import { SentinelControlItem } from '@sentinel/components/controls';
import { defer, of } from 'rxjs';
import { CaseRelationshipViewStateService } from './case-relationship-view-state.service';

@Injectable()
export class CaseRelationshipControlsService extends ControlsService {
  constructor(private viewStateService: CaseRelationshipViewStateService) {
    super();
    this.controls$ = of([
      new SentinelControlItem(
        'ADD',
        'Add',
        'primary',
        of(false),
        defer(() => this.viewStateService.displayAddComponent())
      ),
    ]);
  }
}
