import { CaseRelationshipView } from './case-relationship-view';
import { CaseRelationshipFragment } from './graphql';

export class CaseRelationshipViewsResolver {
  static resolve(
    sourceRelationships: CaseRelationshipFragment[],
    targetRelationships: CaseRelationshipFragment[]
  ): CaseRelationshipView[] {
    const sourceViews = sourceRelationships.map((relationship) => new CaseRelationshipView(relationship, false));
    const targetViews = targetRelationships.map((relationship) => new CaseRelationshipView(relationship, true));
    return [...sourceViews, ...targetViews];
  }
}
