import { CaseRelationshipReversed } from '@orion/case-types';
import { CaseRelationshipTypeEnum } from '@orion/graphql-types';

export type CaseRelationshipViewType = CaseRelationshipTypeEnum | CaseRelationshipReversed;

export const allUniqueCaseRelationshipViewTypes: CaseRelationshipViewType[] = Array.from(
  new Set([...Object.values(CaseRelationshipTypeEnum), ...Object.values(CaseRelationshipReversed)])
);

export function isCaseRelationship(type: CaseRelationshipViewType): type is CaseRelationshipTypeEnum {
  return Object.values(CaseRelationshipTypeEnum)
    .map((type) => type.toString())
    .includes(type.toString());
}
