import { CaseRelationshipReverseMatcher } from '@orion/case-types';
import { CaseRelationshipViewType } from './case-relationship-view-type';
import { CaseRelationshipFragment } from './graphql';
import { CaseRelationshipTableFragment } from './relationship-overview';

export class CaseRelationshipView {
  id: string;
  source: CaseRelationshipTableFragment;
  target: CaseRelationshipTableFragment;
  isReversed: boolean;
  type: CaseRelationshipViewType;

  constructor(caseRelationship: CaseRelationshipFragment, isReversed: boolean) {
    this.id = caseRelationship.id;
    if (isReversed) {
      this.source = caseRelationship.target;
      this.target = caseRelationship.source;
      this.isReversed = true;
      this.type = CaseRelationshipReverseMatcher.reverse(caseRelationship.type);
    } else {
      this.source = caseRelationship.source;
      this.target = caseRelationship.target;
      this.isReversed = false;
      this.type = caseRelationship.type;
    }
  }
}
