import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { CaseNameModule, CaseSelectionModule, CaseStateModule } from '@orion/case-components/shared';
import { UsersTableCellModule } from '@orion/user-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { SentinelTableModule } from '@sentinel/components/table';
import { CaseRelationshipMaterialModule } from './case-relationship-material.module';
import { CaseRelationshipComponent } from './case-relationship.component';
import { CaseRelationshipPipe } from './case-relationship.pipe';
import {
  CaseRelationshipOverviewComponent,
  CaseRelationshipTableComponent,
  CreateCaseRelationshipComponent,
} from './relationship-overview';

@NgModule({
  declarations: [
    CaseRelationshipComponent,
    CaseRelationshipOverviewComponent,
    CreateCaseRelationshipComponent,
    CaseRelationshipTableComponent,
    CaseRelationshipPipe,
  ],
  imports: [
    CommonModule,
    FormsModule,
    CaseRelationshipMaterialModule,
    SentinelPipesModule,
    CaseStateModule,
    SentinelControlsModule,
    SentinelTableModule,
    UsersTableCellModule,
    CaseNameModule,
    CaseSelectionModule,
  ],
  exports: [CaseRelationshipComponent],
})
export class CaseRelationshipModule {}
