import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type CaseRelationshipFragment = {
  __typename?: 'CaseRelationship';
  id: string;
  type: SchemaTypes.CaseRelationshipTypeEnum;
  source: {
    __typename?: 'Case';
    id: string;
    name: string;
    state?: SchemaTypes.CaseStateEnum | undefined;
    assignees?:
      | {
          __typename?: 'CaseDBUserNestedList';
          totalCount: number;
          data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
        }
      | undefined;
  };
  target: {
    __typename?: 'Case';
    id: string;
    name: string;
    state?: SchemaTypes.CaseStateEnum | undefined;
    assignees?:
      | {
          __typename?: 'CaseDBUserNestedList';
          totalCount: number;
          data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
        }
      | undefined;
  };
};

export const CaseRelationshipFragmentDoc = gql`
  fragment caseRelationship on CaseRelationship {
    id
    type
    source {
      ...caseRelationshipTable
    }
    target {
      ...caseRelationshipTable
    }
  }
`;
