import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type CreateCaseRelationshipsMutationVariables = SchemaTypes.Exact<{
  relationships: Array<SchemaTypes.CaseRelationshipCreate>;
}>;

export type CreateCaseRelationshipsMutation = {
  __typename?: 'Mutation';
  createCaseRelationshipBulk: Array<{ __typename?: 'CreateResult'; id: string }>;
};

export type DeleteCaseRelationshipMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type DeleteCaseRelationshipMutation = {
  __typename?: 'Mutation';
  deleteCaseRelationship: { __typename?: 'MutateResult'; id?: string | undefined };
};

export const CreateCaseRelationshipsDocument = gql`
  mutation createCaseRelationships($relationships: [CaseRelationshipCreate!]!) {
    createCaseRelationshipBulk(dataList: $relationships) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class CreateCaseRelationshipsMutationService extends Apollo.Mutation<
  CreateCaseRelationshipsMutation,
  CreateCaseRelationshipsMutationVariables
> {
  document = CreateCaseRelationshipsDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const DeleteCaseRelationshipDocument = gql`
  mutation deleteCaseRelationship($id: ID!) {
    deleteCaseRelationship(id: $id) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class DeleteCaseRelationshipMutationService extends Apollo.Mutation<
  DeleteCaseRelationshipMutation,
  DeleteCaseRelationshipMutationVariables
> {
  document = DeleteCaseRelationshipDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
