import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type CaseWithRelationshipsFragment = {
  __typename?: 'Case';
  id: string;
  sourceRelationships?:
    | {
        __typename?: 'CaseRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'CaseRelationship';
          id: string;
          type: SchemaTypes.CaseRelationshipTypeEnum;
          source: {
            __typename?: 'Case';
            id: string;
            name: string;
            state?: SchemaTypes.CaseStateEnum | undefined;
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
          };
          target: {
            __typename?: 'Case';
            id: string;
            name: string;
            state?: SchemaTypes.CaseStateEnum | undefined;
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
          };
        }>;
      }
    | undefined;
  targetRelationships?:
    | {
        __typename?: 'CaseRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'CaseRelationship';
          id: string;
          type: SchemaTypes.CaseRelationshipTypeEnum;
          source: {
            __typename?: 'Case';
            id: string;
            name: string;
            state?: SchemaTypes.CaseStateEnum | undefined;
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
          };
          target: {
            __typename?: 'Case';
            id: string;
            name: string;
            state?: SchemaTypes.CaseStateEnum | undefined;
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
          };
        }>;
      }
    | undefined;
};

export const CaseWithRelationshipsFragmentDoc = gql`
  fragment caseWithRelationships on Case {
    id
    sourceRelationships {
      data {
        ...caseRelationship
      }
      totalCount
    }
    targetRelationships {
      data {
        ...caseRelationship
      }
      totalCount
    }
  }
`;
