import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { EntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { CaseRelationshipView } from '../../case-relationship-view';
import { CaseRelationshipViewTable } from '../../case-relationship-view-table';
import { CaseRelationshipViewType } from '../../case-relationship-view-type';
import { CaseRelationshipActionsService } from '../../case-relationship.actions.service';

@Component({
  selector: 'orion-case-relationship-table',
  templateUrl: './case-relationship-table.component.html',
  styleUrls: ['./case-relationship-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CaseRelationshipTableComponent extends EntityTableDirective<
  CaseRelationshipView,
  CaseRelationshipViewTable
> {
  @Input() type?: CaseRelationshipViewType;

  constructor(private service: CaseRelationshipActionsService) {
    super();
  }

  protected createTable(entities: CaseRelationshipView[]): CaseRelationshipViewTable {
    return new CaseRelationshipViewTable(entities, this.service);
  }
}
