import { ChangeDetectionStrategy, Component } from '@angular/core';
import { CreateCaseForm } from '@orion/case-types';
import { EntityModifyPageDirective } from '@orion/shared-components/create-edit';
import { EntityModifyBaseService, ModifyEntityControlsService } from '@orion/shared-services';
import { CreateCaseService } from './create-case.service';

@Component({
  selector: 'orion-create-case-page',
  templateUrl: './create-case-page.component.html',
  styleUrls: ['./create-case-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [{ provide: EntityModifyBaseService, useClass: CreateCaseService }, ModifyEntityControlsService],
})
export class CreateCasePageComponent extends EntityModifyPageDirective<CreateCaseForm> {
  constructor(
    protected modifyEntityService: EntityModifyBaseService<CreateCaseForm>,
    protected controlsService: ModifyEntityControlsService
  ) {
    super(modifyEntityService, controlsService);
  }
}
