import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MatDividerModule } from '@angular/material/divider';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatSelectModule } from '@angular/material/select';
import { CreateEditEntityModule } from '@orion/shared-components/create-edit';
import { EntityEditModule } from '@orion/shared-components/entity-edit';
import { WorkflowTemplateSelectionModule } from '@orion/workflow-components/workflow-template-selection';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { CreateCaseFormComponent } from './create-case';
import { CreateCasePageComponent } from './create-case-page.component';
import { CaseLinkWorkflowTemplateComponent } from './create-case/case-link-workflow-template';

@NgModule({
  declarations: [CreateCasePageComponent, CreateCaseFormComponent, CaseLinkWorkflowTemplateComponent],
  imports: [
    CommonModule,
    CreateEditEntityModule,
    SentinelPipesModule,
    MatFormFieldModule,
    EntityEditModule,
    MatSelectModule,
    ReactiveFormsModule,
    WorkflowTemplateSelectionModule,
    MatDividerModule,
    MatIconModule,
    FormsModule,
    OrionCardModule,
    MatInputModule,
  ],
  exports: [CreateCasePageComponent],
})
export class CreateCasePageModule {}
