import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type CreateCaseMutationVariables = SchemaTypes.Exact<{
  case: SchemaTypes.CaseCreate;
}>;

export type CreateCaseMutation = {
  __typename?: 'Mutation';
  createCase: { __typename?: 'MutationResult'; id?: number | undefined };
};

export const CreateCaseDocument = gql`
  mutation createCase($case: CaseCreate!) {
    createCase(data: $case) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class CreateCaseMutationService extends Apollo.Mutation<CreateCaseMutation, CreateCaseMutationVariables> {
  document = CreateCaseDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
