import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { Optional } from '@sentinel/common/utils';
import {
  CaseDetailFragment,
  GetCaseDetailQuery,
  GetCaseDetailQueryService,
  GetCaseDetailQueryVariables,
} from './graphql';
import { CASE_PARAM_SELECTOR } from '@orion/case-paths';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';

@Injectable()
export class CaseDetailService extends ApolloRoutedEntityService<
  GetCaseDetailQuery,
  GetCaseDetailQueryVariables,
  CaseDetailFragment
> {
  constructor(public getQuery: GetCaseDetailQueryService, protected activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching case');
  }

  protected createVariables(id: string): GetCaseDetailQueryVariables {
    return { id: id };
  }

  protected toFragment(queryRes: GetCaseDetailQuery): Optional<CaseDetailFragment> {
    return queryRes?.getCase;
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(CASE_PARAM_SELECTOR);
  }
}
