import { Injectable } from '@angular/core';
import { CaseUpdate } from '@orion/graphql-types';
import { namedOperations } from '@orion/named-operations';
import { ApolloEntityPatchService } from '@csirtmu-orion/microframework/apollo-services';
import { EntityUpdateEvent } from '@csirtmu-orion/microframework/graphql';
import { UpdateCaseMutation, UpdateCaseMutationService, UpdateCaseMutationVariables } from './graphql';

@Injectable()
export class CasePatchService extends ApolloEntityPatchService<
  CaseUpdate,
  UpdateCaseMutation,
  UpdateCaseMutationVariables
> {
  protected refetchQueriesNames = [namedOperations.Query.getCaseDetail];
  constructor(protected patchMutation: UpdateCaseMutationService) {
    super(patchMutation);
  }

  createVariables(event: EntityUpdateEvent<CaseUpdate>): UpdateCaseMutationVariables {
    return event;
  }
}
