import { ChangeDetectionStrategy, Component, OnInit } from '@angular/core';
import { CurrentUserFragment, CurrentUserService } from '@orion/user-services';
import { Optional } from '@sentinel/common/utils';
import {
  EntityDetailTabsDirective,
  OrionQueryParamTabService,
  OrionTabService,
  TABS_TOKEN,
} from '@csirtmu-orion/microframework/tabs';
import { Observable } from 'rxjs';
import { CaseDetailTabsFragment } from './case-detail-tabs.fragment.generated';

@Component({
  selector: 'orion-case-detail-tabs',
  templateUrl: './case-detail-tabs.component.html',
  styleUrls: ['./case-detail-tabs.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    { provide: OrionTabService, useClass: OrionQueryParamTabService },
    { provide: TABS_TOKEN, useValue: ['overview', 'users', 'observables', 'assets', 'events', 'references', 'ttps'] },
  ],
})
export class CaseDetailTabsComponent extends EntityDetailTabsDirective<CaseDetailTabsFragment> implements OnInit {
  activeUser$?: Observable<Optional<CurrentUserFragment>>;
  constructor(protected tabService: OrionTabService, private activeUserService: CurrentUserService) {
    super(tabService);
  }

  ngOnInit(): void {
    this.activeUser$ = this.activeUserService.data$;
  }
}
