import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { CaseExternalReferencesModule } from '@orion/case-components/case-external-references';
import { CaseRelatedUsersModule } from '@orion/case-components/case-related-users';
import { TabLabelsModule } from '@orion/shared-components/tab-labels';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionTabsModule } from '@csirtmu-orion/microframework/tabs';
import { CaseRelatedAssetsModule } from '../../../case-related-assets';
import { CaseRelatedEventsModule } from '../../../case-related-events';
import { CaseRelatedObservablesModule } from '../../../case-related-observables';
import { CaseRelatedTtpsModule } from '../../../case-related-ttps';
import { CaseDetailTabsComponent } from './case-detail-tabs.component';
import { CaseOverviewTabModule } from './overview-tab';

@NgModule({
  declarations: [CaseDetailTabsComponent],
  imports: [
    CommonModule,
    CaseOverviewTabModule,
    CaseRelatedObservablesModule,
    CaseRelatedAssetsModule,
    CaseExternalReferencesModule,
    OrionTabsModule,
    SentinelPipesModule,
    RouterModule,
    CaseRelatedTtpsModule,
    CaseRelatedEventsModule,
    CaseRelatedTtpsModule,
    TabLabelsModule,
    CaseRelatedUsersModule,
  ],
  exports: [CaseDetailTabsComponent],
})
export class CaseDetailTabsModule {}
