import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { EntityCommentFileUploadService } from '@orion/comment-components';
import { CommentFilterService, EntityCommentsActionService } from '@orion/comment-services';
import { CurrentUserFragment } from '@orion/user-services';
import { CaseCommentsActionService } from './case-comments-action.service';
import { CaseCommentsFilterService } from './case-comments-filter.service';
import { CaseOverviewTabFragment } from './case-overview-tab.fragment.generated';
import { UploadCaseCommentFileService } from './upload-case-comment-file.service';
import { CaseAssignedTasksFilterService } from '@orion/case-components/panels';
import { AssignedTasksFilterService } from '@orion/task-components/shared';

@Component({
  selector: 'orion-case-overview-tab',
  templateUrl: './case-overview-tab.component.html',
  styleUrls: ['./case-overview-tab.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    { provide: EntityCommentsActionService, useClass: CaseCommentsActionService },
    { provide: CommentFilterService, useClass: CaseCommentsFilterService },
    { provide: EntityCommentFileUploadService, useClass: UploadCaseCommentFileService },
    { provide: AssignedTasksFilterService, useClass: CaseAssignedTasksFilterService },
  ],
})
export class CaseOverviewTabComponent {
  @Input() case?: CaseOverviewTabFragment;
  @Input() activeUser?: CurrentUserFragment;
}
