import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { CaseFilePanelModule, CaseWorkflowsPanelModule, LinkedCasesPanelModule } from '@orion/case-components/panels';
import { CommentModule } from '@orion/comment-components';
import { EditableEntityModule } from '@orion/shared-components/editable-entity';
import { StageTaskPanelModule } from '@orion/stage-components/panels';
import { CaseOverviewTabMaterialModule } from './case-overview-tab-material.module';
import { CaseOverviewTabComponent } from './case-overview-tab.component';
import { AssignedTasksPanelModule } from '@orion/task-components/shared';

@NgModule({
  declarations: [CaseOverviewTabComponent],
  imports: [
    CommonModule,
    CaseOverviewTabMaterialModule,
    MatButtonModule,
    MatProgressBarModule,
    CaseFilePanelModule,
    LinkedCasesPanelModule,
    EditableEntityModule,
    CaseWorkflowsPanelModule,
    StageTaskPanelModule,
    AssignedTasksPanelModule,
    CommentModule,
  ],
  exports: [CaseOverviewTabComponent],
})
export class CaseOverviewTabModule {}
