import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type UploadCaseCommentFileMutationVariables = SchemaTypes.Exact<{
  file: SchemaTypes.Scalars['Upload'];
  caseId: SchemaTypes.Scalars['ID'];
  authorId: SchemaTypes.Scalars['ID'];
  filename: SchemaTypes.Scalars['String'];
  extension: SchemaTypes.Scalars['String'];
}>;

export type UploadCaseCommentFileMutation = {
  __typename?: 'Mutation';
  createFileFromCommentInCase?: { __typename?: 'MutationResultField'; url?: string | undefined } | undefined;
};

export const UploadCaseCommentFileDocument = gql`
  mutation uploadCaseCommentFile(
    $file: Upload!
    $caseId: ID!
    $authorId: ID!
    $filename: String!
    $extension: String!
  ) {
    createFileFromCommentInCase(
      caseId: $caseId
      data: { file: $file, createdBy: $authorId, displayName: $filename, extension: $extension }
    ) {
      url: field
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UploadCaseCommentFileMutationService extends Apollo.Mutation<
  UploadCaseCommentFileMutation,
  UploadCaseCommentFileMutationVariables
> {
  document = UploadCaseCommentFileDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
