import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type CaseDetailMainContentFragment = {
  __typename?: 'Case';
  id: string;
  name: string;
  description?: string | undefined;
  state?: SchemaTypes.CaseStateEnum | undefined;
  created?: any | undefined;
  type: SchemaTypes.CaseTypeEnum;
  createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
  workflowsWithTaskIds?:
    | {
        __typename?: 'WorkflowNestedList';
        data: Array<{
          __typename?: 'Workflow';
          stagesWithTaskIds?:
            | {
                __typename?: 'StageNestedList';
                data: Array<{
                  __typename?: 'Stage';
                  taskIds?:
                    | { __typename?: 'TaskNestedList'; data: Array<{ __typename?: 'Task'; id: string }> }
                    | undefined;
                }>;
              }
            | undefined;
        }>;
      }
    | undefined;
  workflows?:
    | {
        __typename?: 'WorkflowNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'Workflow';
          progress: number;
          id: string;
          dueDate?: any | undefined;
          state: SchemaTypes.WorkflowStateEnum;
          lastUpdated?: any | undefined;
          name: string;
          created?: any | undefined;
          stagesAggregate?: { __typename?: 'StageNestedList'; totalCount: number } | undefined;
          assignees?:
            | {
                __typename?: 'CaseDBUserNestedList';
                totalCount: number;
                data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
              }
            | undefined;
          case: {
            __typename?: 'Case';
            id: string;
            name: string;
            created?: any | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
        }>;
      }
    | undefined;
  caseFileRoot?: { __typename?: 'Directory'; id: string; name: string } | undefined;
  workflowsWithStageIds?:
    | {
        __typename?: 'WorkflowNestedList';
        data: Array<{
          __typename?: 'Workflow';
          stageIds?: { __typename?: 'StageNestedList'; data: Array<{ __typename?: 'Stage'; id: string }> } | undefined;
        }>;
      }
    | undefined;
  sourceRelationships?:
    | {
        __typename?: 'CaseRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'CaseRelationship';
          id: string;
          type: SchemaTypes.CaseRelationshipTypeEnum;
          source: {
            __typename?: 'Case';
            id: string;
            name: string;
            state?: SchemaTypes.CaseStateEnum | undefined;
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
          };
          target: {
            __typename?: 'Case';
            id: string;
            name: string;
            state?: SchemaTypes.CaseStateEnum | undefined;
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
          };
        }>;
      }
    | undefined;
  targetRelationships?:
    | {
        __typename?: 'CaseRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'CaseRelationship';
          id: string;
          type: SchemaTypes.CaseRelationshipTypeEnum;
          source: {
            __typename?: 'Case';
            id: string;
            name: string;
            state?: SchemaTypes.CaseStateEnum | undefined;
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
          };
          target: {
            __typename?: 'Case';
            id: string;
            name: string;
            state?: SchemaTypes.CaseStateEnum | undefined;
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
          };
        }>;
      }
    | undefined;
};

export const CaseDetailMainContentFragmentDoc = gql`
  fragment caseDetailMainContent on Case {
    id
    name
    description
    state
    created
    ...caseDetailTabs
    createdBy {
      ...userNameAndIcon
    }
  }
`;
