import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type RejectCaseMutationVariables = SchemaTypes.Exact<{
  caseId: SchemaTypes.Scalars['ID'];
}>;

export type RejectCaseMutation = {
  __typename?: 'Mutation';
  rejectCase: { __typename?: 'MutationResult'; id?: number | undefined };
};

export type ResolveCaseMutationVariables = SchemaTypes.Exact<{
  caseId: SchemaTypes.Scalars['ID'];
}>;

export type ResolveCaseMutation = {
  __typename?: 'Mutation';
  resolveCase: { __typename?: 'MutationResult'; id?: number | undefined };
};

export const RejectCaseDocument = gql`
  mutation rejectCase($caseId: ID!) {
    rejectCase(caseId: $caseId) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class RejectCaseMutationService extends Apollo.Mutation<RejectCaseMutation, RejectCaseMutationVariables> {
  document = RejectCaseDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const ResolveCaseDocument = gql`
  mutation resolveCase($caseId: ID!) {
    resolveCase(caseId: $caseId) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class ResolveCaseMutationService extends Apollo.Mutation<ResolveCaseMutation, ResolveCaseMutationVariables> {
  document = ResolveCaseDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
