import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type CaseDetailSidebarFragment = {
  __typename?: 'Case';
  id: string;
  priority: SchemaTypes.CasePriorityEnum;
  dueDate?: any | undefined;
  assignees?:
    | {
        __typename?: 'CaseDBUserNestedList';
        totalCount: number;
        data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
      }
    | undefined;
  labels?:
    | {
        __typename?: 'LabelNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'Label';
          id: string;
          name: string;
          backgroundColor?: string | undefined;
          textColor?: string | undefined;
        }>;
      }
    | undefined;
};

export const CaseDetailSidebarFragmentDoc = gql`
  fragment caseDetailSidebar on Case {
    id
    priority
    dueDate
    assignees {
      data {
        ...userNameAndIcon
      }
      totalCount
    }
    labels {
      data {
        ...labelChip
      }
      totalCount
    }
  }
`;
