import {
  ChangeDetectionStrategy,
  Component,
  EventEmitter,
  Input,
  OnChanges,
  Output,
  SimpleChanges,
} from '@angular/core';
import { CasePriorityEnum } from '@orion/graphql-types';

@Component({
  selector: 'orion-priority-expanded-sidebar-element',
  templateUrl: './priority-expanded-sidebar-element.component.html',
  styleUrls: ['./priority-expanded-sidebar-element.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class PriorityExpandedSidebarElementComponent implements OnChanges {
  @Input() priority?: CasePriorityEnum;
  @Output() save: EventEmitter<CasePriorityEnum> = new EventEmitter<CasePriorityEnum>();

  selected?: CasePriorityEnum;
  possiblePriorities: CasePriorityEnum[] = Object.values(CasePriorityEnum);

  ngOnChanges(changes: SimpleChanges): void {
    if ('priority' in changes) {
      this.selected = this.priority;
    }
  }

  onSave(): void {
    this.save.emit(this.selected);
  }

  onCancel(): void {
    this.selected = this.priority;
  }
}
