import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { CasePriorityEnum } from '@orion/graphql-types';
import { OrionSidebarElementDirective } from '@csirtmu-orion/microframework/sidebar';

@Component({
  selector: 'orion-priority-sidebar-element',
  templateUrl: './priority-sidebar-element.component.html',
  styleUrls: ['./priority-sidebar-element.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class PrioritySidebarElementComponent extends OrionSidebarElementDirective {
  @Input() priority?: CasePriorityEnum;
  @Output() save: EventEmitter<CasePriorityEnum> = new EventEmitter<CasePriorityEnum>();

  onSave(saved: CasePriorityEnum): void {
    this.save.emit(saved);
  }
}
