import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatTooltipModule } from '@angular/material/tooltip';
import { CasePriorityModule } from '@orion/case-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionEditableComponentModule } from '@csirtmu-orion/microframework/editable';
import { OrionEnumerationSelectModule } from '@csirtmu-orion/microframework/enumeration-select';
import { OrionSidebarModule } from '@csirtmu-orion/microframework/sidebar';
import { PriorityCollapsedSidebarElementComponent } from './collapsed';
import { PriorityExpandedSidebarElementComponent } from './expanded';
import { PrioritySidebarElementComponent } from './priority-sidebar-element.component';

@NgModule({
  declarations: [
    PrioritySidebarElementComponent,
    PriorityCollapsedSidebarElementComponent,
    PriorityExpandedSidebarElementComponent,
  ],
  imports: [
    CommonModule,
    CasePriorityModule,
    OrionEditableComponentModule,
    OrionEnumerationSelectModule,
    OrionSidebarModule,
    MatTooltipModule,
    SentinelPipesModule,
  ],
  exports: [PrioritySidebarElementComponent],
})
export class PrioritySidebarElementModule {}
