import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { CaseDetailFragmentDoc } from './case-detail.fragment.generated';
import { CaseNameFragmentDoc } from '../../shared/case-name/case-name.fragment.generated';
import { UserNameAndIconFragmentDoc } from '../../../../user/components/shared/graphql/user-icon.fragment.generated';
import { CaseDetailMainContentFragmentDoc } from '../detail-main-content/graphql/case-detail-main-content.fragment.generated';
import { CaseDetailTabsFragmentDoc } from '../detail-main-content/detail-tabs/case-detail-tabs.fragment.generated';
import { CaseOverviewTabFragmentDoc } from '../detail-main-content/detail-tabs/overview-tab/case-overview-tab.fragment.generated';
import { CaseLinkedCasesPanelFragmentDoc } from '../../panels/linked-cases-panel/case-linked-cases-panel.fragment.generated';
import { CaseWithRelationshipsFragmentDoc } from '../../case-relationship/graphql/case-with-relationships.fragment.generated';
import { CaseRelationshipFragmentDoc } from '../../case-relationship/graphql/case-relationship.fragment.generated';
import { CaseRelationshipTableFragmentDoc } from '../../case-relationship/relationship-overview/relationship-table/case-relationship-table.fragment.generated';
import { CaseWorkflowsPanelFragmentDoc } from '../../panels/case-workflows-panel/graphql/case-workflows-panel.fragment.generated';
import { WorkflowOverviewElementFragmentDoc } from '../../../../workflow/components/overview/workflow-overview.fragment.generated';
import { WorkflowRowFragmentDoc } from '../../../../workflow/components/overview/workflow-table/workflow-table.fragment.generated';
import { WorkflowNameFragmentDoc } from '../../../../workflow/components/shared/workflow-name/workflow-name.fragment.generated';
import { CaseFilePanelFragmentDoc } from '../../panels/case-file-panel/case-file-panel.fragment.generated';
import { RootDirFragmentDoc } from '../../case-file/graphql/root-dir.fragment.generated';
import { CaseActiveUserAssignedTasksPanelFragmentDoc } from '../../panels/case-assigned-tasks-panel/case-active-user-assigned-tasks-panel.generated';
import { CaseDetailSidebarFragmentDoc } from '../detail-sidebar/case-detail-sidebar.fragment.generated';
import { LabelChipFragmentDoc } from '../../../../label/components/shared/label/label-chip.fragment.generated';
import { Injectable } from '@angular/core';

export type GetCaseDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetCaseDetailQuery = {
  __typename?: 'Query';
  getCase?:
    | {
        __typename?: 'Case';
        id: string;
        name: string;
        created?: any | undefined;
        description?: string | undefined;
        state?: SchemaTypes.CaseStateEnum | undefined;
        priority: SchemaTypes.CasePriorityEnum;
        dueDate?: any | undefined;
        type: SchemaTypes.CaseTypeEnum;
        createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
        assignees?:
          | {
              __typename?: 'CaseDBUserNestedList';
              totalCount: number;
              data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
            }
          | undefined;
        labels?:
          | {
              __typename?: 'LabelNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'Label';
                id: string;
                name: string;
                backgroundColor?: string | undefined;
                textColor?: string | undefined;
              }>;
            }
          | undefined;
        workflowsWithTaskIds?:
          | {
              __typename?: 'WorkflowNestedList';
              data: Array<{
                __typename?: 'Workflow';
                stagesWithTaskIds?:
                  | {
                      __typename?: 'StageNestedList';
                      data: Array<{
                        __typename?: 'Stage';
                        taskIds?:
                          | { __typename?: 'TaskNestedList'; data: Array<{ __typename?: 'Task'; id: string }> }
                          | undefined;
                      }>;
                    }
                  | undefined;
              }>;
            }
          | undefined;
        workflows?:
          | {
              __typename?: 'WorkflowNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'Workflow';
                progress: number;
                id: string;
                dueDate?: any | undefined;
                state: SchemaTypes.WorkflowStateEnum;
                lastUpdated?: any | undefined;
                name: string;
                created?: any | undefined;
                stagesAggregate?: { __typename?: 'StageNestedList'; totalCount: number } | undefined;
                assignees?:
                  | {
                      __typename?: 'CaseDBUserNestedList';
                      totalCount: number;
                      data: Array<{
                        __typename?: 'CaseDBUser';
                        id: string;
                        name: string;
                        iconSrc?: string | undefined;
                      }>;
                    }
                  | undefined;
                case: {
                  __typename?: 'Case';
                  id: string;
                  name: string;
                  created?: any | undefined;
                  createdBy?:
                    | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                    | undefined;
                };
                createdBy?:
                  | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                  | undefined;
              }>;
            }
          | undefined;
        caseFileRoot?: { __typename?: 'Directory'; id: string; name: string } | undefined;
        workflowsWithStageIds?:
          | {
              __typename?: 'WorkflowNestedList';
              data: Array<{
                __typename?: 'Workflow';
                stageIds?:
                  | { __typename?: 'StageNestedList'; data: Array<{ __typename?: 'Stage'; id: string }> }
                  | undefined;
              }>;
            }
          | undefined;
        sourceRelationships?:
          | {
              __typename?: 'CaseRelationshipNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'CaseRelationship';
                id: string;
                type: SchemaTypes.CaseRelationshipTypeEnum;
                source: {
                  __typename?: 'Case';
                  id: string;
                  name: string;
                  state?: SchemaTypes.CaseStateEnum | undefined;
                  assignees?:
                    | {
                        __typename?: 'CaseDBUserNestedList';
                        totalCount: number;
                        data: Array<{
                          __typename?: 'CaseDBUser';
                          id: string;
                          name: string;
                          iconSrc?: string | undefined;
                        }>;
                      }
                    | undefined;
                };
                target: {
                  __typename?: 'Case';
                  id: string;
                  name: string;
                  state?: SchemaTypes.CaseStateEnum | undefined;
                  assignees?:
                    | {
                        __typename?: 'CaseDBUserNestedList';
                        totalCount: number;
                        data: Array<{
                          __typename?: 'CaseDBUser';
                          id: string;
                          name: string;
                          iconSrc?: string | undefined;
                        }>;
                      }
                    | undefined;
                };
              }>;
            }
          | undefined;
        targetRelationships?:
          | {
              __typename?: 'CaseRelationshipNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'CaseRelationship';
                id: string;
                type: SchemaTypes.CaseRelationshipTypeEnum;
                source: {
                  __typename?: 'Case';
                  id: string;
                  name: string;
                  state?: SchemaTypes.CaseStateEnum | undefined;
                  assignees?:
                    | {
                        __typename?: 'CaseDBUserNestedList';
                        totalCount: number;
                        data: Array<{
                          __typename?: 'CaseDBUser';
                          id: string;
                          name: string;
                          iconSrc?: string | undefined;
                        }>;
                      }
                    | undefined;
                };
                target: {
                  __typename?: 'Case';
                  id: string;
                  name: string;
                  state?: SchemaTypes.CaseStateEnum | undefined;
                  assignees?:
                    | {
                        __typename?: 'CaseDBUserNestedList';
                        totalCount: number;
                        data: Array<{
                          __typename?: 'CaseDBUser';
                          id: string;
                          name: string;
                          iconSrc?: string | undefined;
                        }>;
                      }
                    | undefined;
                };
              }>;
            }
          | undefined;
      }
    | undefined;
};

export type UpdateCaseMutationVariables = SchemaTypes.Exact<{
  patch: SchemaTypes.CaseUpdate;
  id: SchemaTypes.Scalars['ID'];
}>;

export type UpdateCaseMutation = {
  __typename?: 'Mutation';
  updateCase: { __typename?: 'MutateResult'; id?: string | undefined };
};

export const GetCaseDetailDocument = gql`
  query getCaseDetail($id: ID!) {
    getCase(id: $id) {
      ...caseDetail
    }
  }
  ${CaseDetailFragmentDoc}
  ${CaseNameFragmentDoc}
  ${UserNameAndIconFragmentDoc}
  ${CaseDetailMainContentFragmentDoc}
  ${CaseDetailTabsFragmentDoc}
  ${CaseOverviewTabFragmentDoc}
  ${CaseLinkedCasesPanelFragmentDoc}
  ${CaseWithRelationshipsFragmentDoc}
  ${CaseRelationshipFragmentDoc}
  ${CaseRelationshipTableFragmentDoc}
  ${CaseWorkflowsPanelFragmentDoc}
  ${WorkflowOverviewElementFragmentDoc}
  ${WorkflowRowFragmentDoc}
  ${WorkflowNameFragmentDoc}
  ${CaseFilePanelFragmentDoc}
  ${RootDirFragmentDoc}
  ${CaseActiveUserAssignedTasksPanelFragmentDoc}
  ${CaseDetailSidebarFragmentDoc}
  ${LabelChipFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetCaseDetailQueryService extends Apollo.Query<GetCaseDetailQuery, GetCaseDetailQueryVariables> {
  document = GetCaseDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateCaseDocument = gql`
  mutation updateCase($patch: CaseUpdate!, $id: ID!) {
    updateCase(data: $patch, id: $id) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateCaseMutationService extends Apollo.Mutation<UpdateCaseMutation, UpdateCaseMutationVariables> {
  document = UpdateCaseDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
