import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { MatOptionModule } from '@angular/material/core';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatSelectModule } from '@angular/material/select';
import { LabelsModule } from '@orion/label-components/shared';
import { UsersSidebarElementModule } from '@orion/user-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionDateFormModule } from '@csirtmu-orion/microframework/date-form';
import { OrionDateRangeFormModule } from '@csirtmu-orion/microframework/date-range-forms';
import { OrionEnumerationSelectModule } from '@csirtmu-orion/microframework/enumeration-select';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { CaseFiltersComponent } from './case-filters.component';

@NgModule({
  declarations: [CaseFiltersComponent],
  imports: [
    CommonModule,
    FormsModule,
    OrionEnumerationSelectModule,
    OrionFilterModule,
    MatOptionModule,
    MatSelectModule,
    MatFormFieldModule,
    OrionDateRangeFormModule,
    OrionDateFormModule,
    LabelsModule,
    UsersSidebarElementModule,
    SentinelPipesModule,
  ],
  exports: [CaseFiltersComponent],
})
export class CaseFiltersModule {}
