import { Injectable } from '@angular/core';
import { Router } from '@angular/router';
import { CaseNavigator } from '@orion/case-services';
import { ControlsService } from '@orion/shared-services';
import { SentinelControlItem } from '@sentinel/components/controls';
import { defer, from, Observable, of } from 'rxjs';

@Injectable()
export class CaseControlsService extends ControlsService {
  constructor(private router: Router, private caseRouter: CaseNavigator) {
    super();
    this.controls$ = of([
      new SentinelControlItem(
        'create',
        'Create',
        'primary',
        of(false),
        defer(() => this.onCreate())
      ),
    ]);
  }

  private onCreate(): Observable<boolean> {
    return from(this.router.navigate([this.caseRouter.toCreate()]));
  }
}
