import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap, Router } from '@angular/router';
import { CurrentUserService } from '@orion/user-services';
import { AssignedTasksFilterService } from '@orion/task-components/shared';
import { Observable } from 'rxjs';
import { CaseNestedStageIdsService } from '../../detail/case-nested-stage-ids.service';

@Injectable()
export class CaseAssignedTasksFilterService extends AssignedTasksFilterService {
  constructor(
    protected router: Router,
    protected activatedRoute: ActivatedRoute,
    protected currUserService: CurrentUserService,
    protected caseStageIdsService: CaseNestedStageIdsService
  ) {
    super(router, activatedRoute, currUserService);
  }

  protected getStageIds(paramMap: ParamMap): Observable<string[]> {
    return this.caseStageIdsService.ids$;
  }
}
