import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import {
  ActiveCaseFileItemQueryService,
  ActiveCaseFileItemStateService,
  CaseFileDownloadService,
  CaseFileItemsActionsService,
  CaseFileItemSelectionService,
  CaseFileViewStateService,
  DeleteFileItemService,
  FileItemControlsService,
  FileItemsBreadcrumbsService,
  UploadCaseFilesService,
} from '@orion/case-components/case-file';
import { SentinelControlItem } from '@sentinel/components/controls';
import { Observable } from 'rxjs';
import { CaseFilePanelFragment } from './case-file-panel.fragment.generated';

@Component({
  selector: 'orion-case-file-panel',
  templateUrl: './case-file-panel.component.html',
  styleUrls: ['./case-file-panel.component.scss'],
  providers: [
    FileItemControlsService,
    ActiveCaseFileItemStateService,
    CaseFileViewStateService,
    CaseFileItemSelectionService,
    CaseFileItemsActionsService,
    CaseFileDownloadService,
    ActiveCaseFileItemQueryService,
    FileItemsBreadcrumbsService,
    DeleteFileItemService,
    UploadCaseFilesService,
  ],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CaseFilePanelComponent {
  @Input() case?: CaseFilePanelFragment;
  controls$?: Observable<SentinelControlItem[]>;

  constructor(private controlsService: FileItemControlsService) {
    this.controls$ = this.controlsService.controls$;
  }
}
