import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatTooltipModule } from '@angular/material/tooltip';
import { ProgressModule } from '@orion/case-components/shared';
import { CreateEditEntityModule } from '@orion/shared-components/create-edit';
import { StageOverviewModule } from '@orion/stage-components/overview';
import { WorkflowOverviewModule } from '@orion/workflow-components/overview';
import { WorkflowNameModule } from '@orion/workflow-components/workflow-name';
import { WorkflowTemplateSelectionModule } from '@orion/workflow-components/workflow-template-selection';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { AddWorkflowFromTemplateComponent } from './add-workflow-from-template';
import { CaseWorkflowsPanelComponent } from './case-workflows-panel.component';

@NgModule({
  declarations: [CaseWorkflowsPanelComponent, AddWorkflowFromTemplateComponent],
  imports: [
    CommonModule,
    OrionBadgeModule,
    ProgressModule,
    SentinelPipesModule,
    SentinelControlsModule,
    StageOverviewModule,
    MatIconModule,
    WorkflowOverviewModule,
    WorkflowTemplateSelectionModule,
    OrionPanelModule,
    CreateEditEntityModule,
    MatTooltipModule,
    MatFormFieldModule,
    MatInputModule,
    FormsModule,
    WorkflowNameModule,
  ],
  exports: [CaseWorkflowsPanelComponent],
})
export class CaseWorkflowsPanelModule {}
