import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type CreateWorkflowFromTemplateMutationVariables = SchemaTypes.Exact<{
  caseId: SchemaTypes.Scalars['ID'];
  workflowTemplateId: SchemaTypes.Scalars['ID'];
  workflowName?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
}>;

export type CreateWorkflowFromTemplateMutation = {
  __typename?: 'Mutation';
  createWorkflowFromTemplate: { __typename?: 'MutationResult'; id?: number | undefined };
};

export const CreateWorkflowFromTemplateDocument = gql`
  mutation createWorkflowFromTemplate($caseId: ID!, $workflowTemplateId: ID!, $workflowName: String = null) {
    createWorkflowFromTemplate(caseId: $caseId, workflowTemplateId: $workflowTemplateId, workflowName: $workflowName) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class CreateWorkflowFromTemplateMutationService extends Apollo.Mutation<
  CreateWorkflowFromTemplateMutation,
  CreateWorkflowFromTemplateMutationVariables
> {
  document = CreateWorkflowFromTemplateDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
