import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type CaseWorkflowsPanelFragment = {
  __typename?: 'Case';
  id: string;
  name: string;
  created?: any | undefined;
  workflows?:
    | {
        __typename?: 'WorkflowNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'Workflow';
          progress: number;
          id: string;
          dueDate?: any | undefined;
          state: SchemaTypes.WorkflowStateEnum;
          lastUpdated?: any | undefined;
          name: string;
          created?: any | undefined;
          stagesAggregate?: { __typename?: 'StageNestedList'; totalCount: number } | undefined;
          assignees?:
            | {
                __typename?: 'CaseDBUserNestedList';
                totalCount: number;
                data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
              }
            | undefined;
          case: {
            __typename?: 'Case';
            id: string;
            name: string;
            created?: any | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
        }>;
      }
    | undefined;
  createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
};

export const CaseWorkflowsPanelFragmentDoc = gql`
  fragment caseWorkflowsPanel on Case {
    ...caseName
    workflows(ordering: [{ o: STATE, desc: false }, { o: WEIGHT, desc: false }, { o: ID, desc: false }]) {
      data {
        progress
        ...workflowOverviewElement
      }
      totalCount
    }
  }
`;
