import { Directive, OnDestroy } from '@angular/core';
import { RelatedCaseFilterChipsService, RelatedCaseFilterService } from '@orion/case-components/filters';
import { CaseOverviewElementFragment } from '@orion/case-components/overview';
import { RelatedCaseFilter } from '@orion/case-types';
import { EntityFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { RelatedCaseService } from './related-case.service';

@Directive()
export abstract class RelatedCasesParentDirective
  extends EntityFilterableSmartOverviewDirective<CaseOverviewElementFragment, RelatedCaseFilter>
  implements OnDestroy
{
  protected constructor(
    // No point in introducing a generic for query, query variables, and api filter in this component
    // as the types context doesn't matter to this component.
    // eslint-disable-next-line
    protected entityService: RelatedCaseService,
    protected filterService: RelatedCaseFilterService,
    protected chipsService: RelatedCaseFilterChipsService
  ) {
    super(entityService, filterService, chipsService);
  }
}
