import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { CaseListElementFragmentDoc } from './case-list-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetCaseListQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.CaseFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.CaseOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetCaseListQuery = {
  __typename?: 'Query';
  getCaseList: {
    __typename?: 'CasePaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{ __typename?: 'Case'; id: string; name: string }>;
  };
};

export const GetCaseListDocument = gql`
  query getCaseList(
    $filter: [CaseFilter1ANDFilterEntry!]
    $order: [CaseOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getCaseList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...caseListElement
      }
      previous
      next
      totalCount
    }
  }
  ${CaseListElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetCaseListQueryService extends Apollo.Query<GetCaseListQuery, GetCaseListQueryVariables> {
  document = GetCaseListDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
