import { Optional, Pipe, PipeTransform } from '@angular/core';
import { CaseNavigator } from '@orion/case-services';
import { CaseNameFragment } from './case-name.fragment.generated';

@Pipe({
  name: 'caseNavigator',
})
export class CaseNavigatorPipe implements PipeTransform {
  constructor(@Optional() private navigator?: CaseNavigator) {}

  transform(caseName?: CaseNameFragment): string | undefined {
    if (caseName && this.navigator) {
      return this.navigator.toDetail(caseName?.id);
    } else {
      return undefined;
    }
  }
}
