import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { LabelsModule } from '@orion/label-components/shared';
import { UsersTableCellModule } from '@orion/user-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionDueDateModule } from '@csirtmu-orion/microframework/due-date';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { CaseNameModule } from '../case-name';
import { CasePriorityModule } from '../priority';
import { CaseStateModule } from '../state';
import { CaseTableComponent } from './case-table.component';
import { CaseNameRowComponent } from './table-rows';

@NgModule({
  declarations: [CaseTableComponent, CaseNameRowComponent],
  imports: [
    CommonModule,
    SentinelTableModule,
    SentinelPipesModule,
    OrionDueDateModule,
    LabelsModule,
    CasePriorityModule,
    CaseStateModule,
    RouterModule,
    UsersTableCellModule,
    OrionTimeAgoModule,
    CaseNameModule,
    SentinelErrorModule,
    OrionSkeletonLoadingModule,
  ],
  exports: [CaseTableComponent],
})
export class CaseTableModule {}
