import { SimpleRowTable } from '@orion/common';
import { CaseOrdEnum } from '@orion/graphql-types';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { CaseTableFragment } from './case-table.generated';

export class CaseTable extends SimpleRowTable<CaseTableFragment> {
  constructor(resources: IPaginatedElements<CaseTableFragment> | CaseTableFragment[], sortable = true) {
    const columns = [
      new Column('title', 'Title', sortable, CaseOrdEnum.NAME),
      new Column('state', 'State', sortable, CaseOrdEnum.STATE),
      new Column('priority', 'Priority', sortable, CaseOrdEnum.PRIORITY),
      new Column('dueDate', 'Due Date', sortable, CaseOrdEnum.DUE_DATE),
      new Column('assignees', 'Assignees', false),
      new Column('updated', 'Updated', sortable, CaseOrdEnum.LAST_UPDATED),
    ];
    super(resources, columns);
  }
}
