import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { LabelChipFragment } from '@orion/label-components/shared';
import { CaseNameRowFragment } from './case-name-row.fragment.generated';

@Component({
  selector: 'orion-case-name-row',
  templateUrl: './case-name-row.component.html',
  styleUrls: ['./case-name-row.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CaseNameRowComponent {
  @Input() case?: CaseNameRowFragment;
  @Output() labelClicked: EventEmitter<LabelChipFragment> = new EventEmitter<LabelChipFragment>();

  onLabelClicked(label: LabelChipFragment): void {
    this.labelClicked.emit(label);
  }
}
