import { gql } from 'apollo-angular';

export type CaseNameRowFragment = {
  __typename?: 'Case';
  id: string;
  name: string;
  created?: any | undefined;
  labels?:
    | {
        __typename?: 'LabelNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'Label';
          id: string;
          name: string;
          backgroundColor?: string | undefined;
          textColor?: string | undefined;
        }>;
      }
    | undefined;
  createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
};

export const CaseNameRowFragmentDoc = gql`
  fragment caseNameRow on Case {
    ...caseName
    labels {
      data {
        ...labelChip
      }
      totalCount
    }
  }
`;
