import { Pipe, PipeTransform } from '@angular/core';
import { CaseStateEnum } from '@orion/graphql-types';

@Pipe({
  name: 'caseStateIcon',
})
export class CaseStateIconPipe implements PipeTransform {
  transform(state?: CaseStateEnum): string {
    if (state === undefined) {
      return '';
    }
    switch (state) {
      case CaseStateEnum.OPEN: {
        return 'outlined_flag';
      }
      case CaseStateEnum.IN_PROGRESS: {
        return 'hourglass_empty';
      }
      case CaseStateEnum.REJECTED: {
        return 'block';
      }
      case CaseStateEnum.RESOLVED: {
        return 'done';
      }
    }
  }
}
