import { Pipe, PipeTransform } from '@angular/core';
import { CaseStateEnum } from '@orion/graphql-types';

@Pipe({
  name: 'caseStateTooltip',
})
export class CaseStateTooltipPipe implements PipeTransform {
  transform(state?: CaseStateEnum): string {
    if (state === undefined) {
      return '';
    }
    switch (state) {
      case CaseStateEnum.OPEN: {
        return 'Case is open';
      }
      case CaseStateEnum.RESOLVED: {
        return 'Case was successfully resolved';
      }
      case CaseStateEnum.REJECTED: {
        return 'Case was rejected';
      }
      case CaseStateEnum.IN_PROGRESS: {
        return 'Case is in progress';
      }
    }
  }
}
