import * as SchemaTypes from '../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { AssigneeListElementFragmentDoc } from './assignee-list-element.fragment.generated';
import { UserNameAndIconFragmentDoc } from '../../../user/components/shared/graphql/user-icon.fragment.generated';
import { Injectable } from '@angular/core';

export type GetAssigneeListQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.CaseDbUserFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.CaseDbUserOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetAssigneeListQuery = {
  __typename?: 'Query';
  getCaseDbUserList: {
    __typename?: 'CaseDBUserPaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
  };
};

export const GetAssigneeListDocument = gql`
  query getAssigneeList(
    $filter: [CaseDBUserFilter1ANDFilterEntry!]
    $order: [CaseDBUserOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getCaseDbUserList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...assigneeListElement
      }
      previous
      next
      totalCount
    }
  }
  ${AssigneeListElementFragmentDoc}
  ${UserNameAndIconFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetAssigneeListQueryService extends Apollo.Query<GetAssigneeListQuery, GetAssigneeListQueryVariables> {
  document = GetAssigneeListDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
