import { Injectable } from '@angular/core';
import { CASE_PARAM_SELECTOR } from '@orion/case-paths';
import { entityId, entityTitle } from '@orion/common';
import { OrionIdBreadcrumbResolver } from '@orion/shared/services/global';

@Injectable()
export class CaseBreadcrumbResolver extends OrionIdBreadcrumbResolver {
  protected toBreadcrumb(id: string): string {
    return `Case ${entityId(id)}`;
  }

  protected getIdParamSelector(): string {
    return CASE_PARAM_SELECTOR;
  }
}

@Injectable()
export class CaseTitleResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return CASE_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Case');
  }
}
