import { CaseRelationshipTypeEnum } from '@orion/graphql-types';
import { CaseRelationshipReversed } from './case-relationship-type-reversed';

export class CaseRelationshipReverseMatcher {
  static reverse(type: CaseRelationshipTypeEnum): CaseRelationshipReversed;
  static reverse(type: CaseRelationshipReversed): CaseRelationshipTypeEnum;

  static reverse(
    type: CaseRelationshipTypeEnum | CaseRelationshipReversed
  ): CaseRelationshipTypeEnum | CaseRelationshipReversed {
    switch (type) {
      case CaseRelationshipReversed.BLOCKED:
        return CaseRelationshipTypeEnum.BLOCKS;
      case CaseRelationshipTypeEnum.BLOCKS:
        return CaseRelationshipReversed.BLOCKED;
      case CaseRelationshipReversed.DUPLICATED:
        return CaseRelationshipTypeEnum.DUPLICATES;
      case CaseRelationshipTypeEnum.DUPLICATES:
        return CaseRelationshipReversed.DUPLICATED;
      case CaseRelationshipTypeEnum.FOLLOWS:
        return CaseRelationshipReversed.PRECEDES;
      case CaseRelationshipReversed.PRECEDES:
        return CaseRelationshipTypeEnum.FOLLOWS;
      case CaseRelationshipTypeEnum.INCLUDES:
        return CaseRelationshipReversed.PART_OF;
      case CaseRelationshipReversed.PART_OF:
        return CaseRelationshipTypeEnum.INCLUDES;
      case CaseRelationshipReversed.REQUIRED:
        return CaseRelationshipTypeEnum.REQUIRES;
      case CaseRelationshipTypeEnum.REQUIRES:
        return CaseRelationshipReversed.REQUIRED;
      case CaseRelationshipTypeEnum.RELATES:
        return CaseRelationshipTypeEnum.RELATES;
      case CaseRelationshipReversed.RELATES:
        return CaseRelationshipTypeEnum.RELATES;
      default:
        throw 'Unsupported CaseRelationshipTypeEnum';
    }
  }
}
