import { CaseCreate, CasePriorityEnum, CaseTypeEnum, WorkflowTemplateInput } from '@orion/graphql-types';
import { CreateCaseData } from './create-case-data';

export class WorkflowTemplateDTO implements WorkflowTemplateInput {
  id: string;
  name?: string | null;

  constructor(input: WorkflowTemplateInput) {
    this.id = input.id;
    this.name = input.name;
  }
}

export class CreateCaseDTO implements CaseCreate {
  name: string;
  description: string | null;
  priority: CasePriorityEnum;
  type: CaseTypeEnum;
  createdBy?: string;
  workflowTemplates: WorkflowTemplateDTO[] | null;

  constructor(data: CreateCaseData, authorId?: string) {
    this.name = data.name;
    this.description = data.description ?? null;
    this.priority = data.priority;
    this.type = data.type;
    this.workflowTemplates = data.workflowTemplates?.map((template) => new WorkflowTemplateDTO(template)) ?? null;
    this.createdBy = authorId;
  }
}
