import { CaseFilter, CaseFilterAndFilterEntry } from '@orion/graphql-types';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import { RelatedCaseFilter } from './related-case-filter';

export class RelatedCaseFilterConverter implements FilterConverter<RelatedCaseFilter, CaseFilterAndFilterEntry[]> {
  convert(source?: RelatedCaseFilter): CaseFilterAndFilterEntry[] {
    const andFilter: CaseFilter = {};
    if (source?.id) {
      andFilter.caseId = { exact: source.id };
    }
    if (source?.ttp) {
      andFilter.ttp = source.ttp;
    }
    if (source?.asset) {
      andFilter.asset = source.asset;
    }
    if (source?.relatedUser) {
      andFilter.relatedUser = source.relatedUser;
    }
    if (source?.observable) {
      andFilter.observable = source.observable;
    }
    return [{ AND: [{ OR: [{ ...andFilter }] }] }];
  }
}
