import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatDividerModule } from '@angular/material/divider';
import { MatExpansionModule } from '@angular/material/expansion';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatMenuModule } from '@angular/material/menu';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatSelectModule } from '@angular/material/select';
import { MatTooltipModule } from '@angular/material/tooltip';
import { RouterModule } from '@angular/router';
import { UsersModule } from '@orion/user-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { SentinelErrorModule } from '@sentinel/components/error';
import { SentinelLoadingModule } from '@sentinel/components/loading';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelMarkdownEditorModule } from '@sentinel/components/markdown-editor';
import { SentinelMarkdownViewModule } from '@sentinel/components/markdown-view';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { TimeagoModule } from 'ngx-timeago';
import {
  CommentActionsComponent,
  CommentComponent,
  CommentContentComponent,
  CommentEditorComponent,
  CommentEditorTagPopupModule,
  CommentHeaderComponent,
  CommentIsLoadingPipe,
  CommentListComponent,
  CommentRepliesComponent,
  CommentReplyComponent,
  CommentSortComponent,
  CommentsShowMoreComponent,
  EntityCommentsComponent,
  ReplyPanelComponent,
  TopLevelCommentComponent,
} from './entity-comments';
import { CommentConnectorComponent } from './entity-comments/comment-list/top-level-comment/shared';
import { SLetModule } from '@sentinel/common';

@NgModule({
  declarations: [
    TopLevelCommentComponent,
    CommentActionsComponent,
    CommentListComponent,
    EntityCommentsComponent,
    CommentSortComponent,
    CommentsShowMoreComponent,
    CommentIsLoadingPipe,
    CommentContentComponent,
    CommentHeaderComponent,
    CommentComponent,
    CommentRepliesComponent,
    CommentReplyComponent,
    CommentConnectorComponent,
    ReplyPanelComponent,
    CommentEditorComponent,
  ],
  imports: [
    CommonModule,
    CommentEditorTagPopupModule,
    UsersModule,
    TimeagoModule.forChild(),
    SentinelMarkdownEditorModule.forChild(),
    SentinelMarkdownViewModule.forChild(),
    SentinelControlsModule,
    RouterModule,
    MatButtonModule,
    MatIconModule,
    MatMenuModule,
    MatTooltipModule,
    SentinelPipesModule,
    MatDividerModule,
    MatFormFieldModule,
    MatSelectModule,
    MatProgressSpinnerModule,
    SentinelErrorModule,
    OrionSkeletonLoadingModule,
    SentinelLoadingModule,
    OrionPanelModule,
    OrionBadgeModule,
    MatInputModule,
    MatExpansionModule,
    SLetModule,
  ],
  providers: [],
  exports: [CommentEditorComponent, CommentListComponent, EntityCommentsComponent],
})
export class CommentModule {}
