import { Injectable } from '@angular/core';

@Injectable()
export class CommentAutosaveService {
  get(idToken?: string): string | null {
    return localStorage.getItem(this.constructKey(idToken));
  }

  update(content: string, idToken?: string): void {
    return localStorage.setItem(this.constructKey(idToken), content);
  }

  clear(idToken?: string): void {
    return localStorage.removeItem(this.constructKey(idToken));
  }

  private constructKey(idToken?: string): string {
    const key = `comment_autosave_${location.host}${location.pathname}`;
    return idToken ? `${key}-${idToken}` : key;
  }
}
