import { ChangeDetectionStrategy, Component } from '@angular/core';
import { AssetSelectionFragment } from '@orion/asset-components/selection';
import { TagSelectListDirective } from '../../tag-select-list.directive';

@Component({
  selector: 'orion-asset-tag-select-list',
  templateUrl: './asset-tag-select-list.component.html',
  styleUrls: ['./asset-tag-select-list.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AssetTagSelectListComponent extends TagSelectListDirective<AssetSelectionFragment> {
  onTagSelected(tag: AssetSelectionFragment): void {
    this.tagSelected.emit(`${tag.assetType}/${tag.id.toString()}`);
  }
}
