import { ChangeDetectionStrategy, Component } from '@angular/core';
import { CaseListElementFragment, CaseListService } from '@orion/case-components/shared';
import { CaseClientFilter } from '@orion/case-types';
import { CaseOrdEnum } from '@orion/graphql-types';
import { TagPopupDirective } from '../tag-popup.directive';

@Component({
  selector: 'orion-case-tag-popup',
  templateUrl: './case-tag-popup.component.html',
  styleUrls: ['./case-tag-popup.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [CaseListService],
})
export class CaseTagPopupComponent extends TagPopupDirective<CaseListElementFragment, CaseClientFilter> {
  sortBy = CaseOrdEnum.NAME;

  constructor(protected caseListService: CaseListService) {
    super(caseListService);
  }

  protected createFilter(value: string): CaseClientFilter {
    return { idOrName: value };
  }
}
