import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatCardModule } from '@angular/material/card';
import { MatOptionModule } from '@angular/material/core';
import { MatIconModule } from '@angular/material/icon';
import { MatTooltipModule } from '@angular/material/tooltip';
import { AssetBaseViewModule } from '@orion/asset-components/base-view';
import { ObservableBaseViewModule } from '@orion/observable-components/base-view';
import { TTPNameModule } from '@orion/ttps-components/shared';

import { UsersModule } from '@orion/user-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionTextMatchModule } from '@csirtmu-orion/microframework/text-match';
import { AssetTagPopupComponent, AssetTagSelectListComponent } from './asset-tag-popup';
import { CaseTagPopupComponent, CaseTagSelectListComponent } from './case-tag-popup';
import { CommentEditorTagPopupComponent } from './comment-editor-tag-popup.component';
import {
  ExternalReferenceTagPopupComponent,
  ExternalReferenceTagSelectListComponent,
} from './external-reference-tag-popup';
import { ObservableTagPopupComponent, ObservableTagSelectListComponent } from './observable-tag-popup';
import { TagPopupCardComponent } from './tag-popup-card';
import { TaskTagPopupComponent, TaskTagSelectListComponent } from './task-tag-popup';
import { TtpTagPopupComponent, TtpTagSelectListComponent } from './ttp-tag-popup';
import { UserTagPopupComponent, UserTagSelectListComponent } from './user-tag-popup';

@NgModule({
  declarations: [
    CommentEditorTagPopupComponent,
    CaseTagPopupComponent,
    TaskTagPopupComponent,
    UserTagPopupComponent,
    CaseTagSelectListComponent,
    TaskTagSelectListComponent,
    UserTagSelectListComponent,
    AssetTagPopupComponent,
    AssetTagSelectListComponent,
    ObservableTagPopupComponent,
    ObservableTagSelectListComponent,
    TtpTagPopupComponent,
    TtpTagSelectListComponent,
    ExternalReferenceTagPopupComponent,
    ExternalReferenceTagSelectListComponent,
    TagPopupCardComponent,
  ],
  imports: [
    CommonModule,
    SentinelPipesModule,
    MatOptionModule,
    UsersModule,
    MatCardModule,
    OrionTextMatchModule,
    MatIconModule,
    AssetBaseViewModule,
    MatTooltipModule,
    ObservableBaseViewModule,
    TTPNameModule,
  ],
  exports: [CommentEditorTagPopupComponent],
})
export class CommentEditorTagPopupModule {}
