import { ChangeDetectionStrategy, Component } from '@angular/core';
import { ExternalReferenceClientFilter } from '@orion/case-types';
import {
  ExternalReferenceListElementFragment,
  ExternalReferenceListService,
} from '@orion/external-reference-components/overview';
import { CaseManagementExternalReferenceOrdEnum } from '@orion/graphql-types';
import { TagPopupDirective } from '../tag-popup.directive';

@Component({
  selector: 'orion-external-reference-tag-popup',
  templateUrl: './external-reference-tag-popup.component.html',
  styleUrls: ['./external-reference-tag-popup.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [ExternalReferenceListService],
})
export class ExternalReferenceTagPopupComponent extends TagPopupDirective<
  ExternalReferenceListElementFragment,
  ExternalReferenceClientFilter
> {
  sortBy = CaseManagementExternalReferenceOrdEnum.URL;

  constructor(protected externalReferenceListService: ExternalReferenceListService) {
    super(externalReferenceListService);
  }

  protected createFilter(value: string): ExternalReferenceClientFilter {
    return { idOrUrl: value };
  }
}
