import { ChangeDetectionStrategy, Component } from '@angular/core';
import { ObservableOrdEnum } from '@orion/graphql-types';
import { ObservableSelectionFragment } from '@orion/observable-components/observable-selection';
import { ObservablesListService } from '@orion/observable-components/related-observables';
import { ObservableClientFilter } from '@orion/observable-types';
import { TagPopupDirective } from '../tag-popup.directive';

@Component({
  selector: 'orion-observable-tag-popup',
  templateUrl: './observable-tag-popup.component.html',
  styleUrls: ['./observable-tag-popup.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [ObservablesListService],
})
export class ObservableTagPopupComponent extends TagPopupDirective<
  ObservableSelectionFragment,
  ObservableClientFilter
> {
  sortBy = ObservableOrdEnum.ID;

  constructor(protected observableListService: ObservablesListService) {
    super(observableListService);
  }

  protected createFilter(value: string): ObservableClientFilter {
    return { termSearchOrId: value };
  }
}
