import { Directive, EventEmitter, Input, Output } from '@angular/core';
import { Identifiable } from '@sentinel/common/entity';
import { trackById } from '@sentinel/common/utils';

@Directive()
export class TagSelectListDirective<Fragment extends Identifiable> {
  @Input() entities?: Fragment[];
  @Input() searchedValue?: string;
  @Output() tagSelected: EventEmitter<string> = new EventEmitter<string>();
  trackByFn = trackById;

  onTagSelected(tag: Fragment): void {
    this.tagSelected.emit(tag.id.toString());
  }
}
