import { ChangeDetectionStrategy, Component } from '@angular/core';
import { TaskOrdEnum } from '@orion/graphql-types';
import { TaskListElementFragment, TaskListService } from '@orion/task-components/shared';
import { TaskClientFilter } from '@orion/task-types';
import { TagPopupDirective } from '../tag-popup.directive';

@Component({
  selector: 'orion-task-tag-popup',
  templateUrl: './task-tag-popup.component.html',
  styleUrls: ['./task-tag-popup.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [TaskListService],
})
export class TaskTagPopupComponent extends TagPopupDirective<TaskListElementFragment, TaskClientFilter> {
  sortBy = TaskOrdEnum.NAME;

  constructor(protected entityService: TaskListService) {
    super(entityService);
  }

  protected createFilter(value: string): TaskClientFilter {
    return { idOrName: value };
  }
}
