import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IttpOrdEnum } from '@orion/graphql-types';
import { TTPsListService } from '@orion/ttps-components/related-ttps';
import { TtpSelectionFragment } from '@orion/ttps-components/shared';
import { TTPClientFilter } from '@orion/ttps-types';
import { TagPopupDirective } from '../tag-popup.directive';

@Component({
  selector: 'orion-ttp-tag-popup',
  templateUrl: './ttp-tag-popup.component.html',
  styleUrls: ['./ttp-tag-popup.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [TTPsListService],
})
export class TtpTagPopupComponent extends TagPopupDirective<TtpSelectionFragment, TTPClientFilter> {
  sortBy = IttpOrdEnum.MODIFIED;

  constructor(protected ttpListService: TTPsListService) {
    super(ttpListService);
  }

  protected createFilter(value: string): TTPClientFilter {
    return { idOrName: value };
  }
}
