import { ChangeDetectionStrategy, Component } from '@angular/core';
import { AssigneesListService } from '@orion/case-services';
import { CaseDbUserOrdEnum } from '@orion/graphql-types';
import { UserNameAndIconFragment } from '@orion/user-components/shared';
import { UserClientFilter } from '@orion/user-types';
import { TagPopupDirective } from '../tag-popup.directive';

@Component({
  selector: 'orion-user-tag-popup',
  templateUrl: './user-tag-popup.component.html',
  styleUrls: ['./user-tag-popup.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [AssigneesListService],
})
export class UserTagPopupComponent extends TagPopupDirective<UserNameAndIconFragment, UserClientFilter> {
  sortBy = CaseDbUserOrdEnum.NAME;

  constructor(protected entityService: AssigneesListService) {
    super(entityService);
  }

  protected createFilter(value: string): UserClientFilter {
    return { idOrName: value };
  }
}
