import { EditorSelection, MarkdownEditorAction } from '@sentinel/components/markdown-editor';

export class TagAction implements MarkdownEditorAction {
  icon?: string;
  tooltipHint?: string;
  tag: string;
  searchTagText?: string;
  selectedTagValue: string;

  constructor(tag: string, selectedTagValue: string, searchTagText?: string) {
    this.icon = undefined;
    this.tooltipHint = undefined;
    this.tag = tag;
    this.searchTagText = searchTagText;
    this.selectedTagValue = selectedTagValue;
  }

  transform(content: string, selected: EditorSelection): string {
    const tagTextSize = this.searchTagText?.length ?? 0;
    const originalTagStart = selected.from - tagTextSize;
    return `${content.slice(0, originalTagStart)}${this.selectedTagValue} ${content.slice(selected.to)}`;
  }
}
