import { Pipe, PipeTransform } from '@angular/core';
import { EntityLoadingState, isLoading } from '@sentinel/common/utils';

@Pipe({
  name: 'commentIsLoading',
})
export class CommentIsLoadingPipe implements PipeTransform {
  transform(comment: { id: string } | undefined, updating: EntityLoadingState, deleting: EntityLoadingState): boolean {
    if (comment) {
      return isLoading(updating, comment.id) || isLoading(deleting, comment.id);
    } else {
      return false;
    }
  }
}
