import { ChangeDetectionStrategy, Component } from '@angular/core';
import { CommentActionType } from '@orion/comment-types';
import { SmartCommentDirective } from '../../../shared';
import { CommentReplyFragment } from './comment-reply.fragment.generated';

@Component({
  selector: 'orion-comment-reply',
  templateUrl: './comment-reply.component.html',
  styleUrls: ['./comment-reply.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CommentReplyComponent extends SmartCommentDirective<CommentReplyFragment> {
  resolveActions(comment: CommentReplyFragment): CommentActionType[] {
    const authorId = comment.author.id;
    return this.resolveSharedActionTypes(authorId, this.currUserId);
  }
}
