import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { CommentContentFragment } from './comment-content.fragment.generated';

@Component({
  selector: 'orion-comment-content',
  templateUrl: './comment-content.component.html',
  styleUrls: ['./comment-content.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CommentContentComponent {
  @Input() editMode = false;
  @Input() comment?: CommentContentFragment;
  @Output() cancelEdit: EventEmitter<void> = new EventEmitter<void>();
  @Output() saveEdit: EventEmitter<string> = new EventEmitter<string>();

  onCancelEdit(): void {
    this.cancelEdit.emit();
  }

  onSaveEdit(content: string): void {
    this.saveEdit.emit(content);
  }
}
