import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { CommentActionType } from '@orion/comment-types';

@Component({
  selector: 'orion-comment-actions',
  templateUrl: './comment-actions.component.html',
  styleUrls: ['./comment-actions.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CommentActionsComponent {
  @Output() action: EventEmitter<CommentActionType> = new EventEmitter<CommentActionType>();
  @Input() actions?: CommentActionType[];
  possibleActions = CommentActionType;

  trackByFn(index: number, item: CommentActionType): string {
    return item.toString();
  }

  onAction(type: CommentActionType): void {
    this.action.emit(type);
  }
}
