import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { CommentActionType } from '@orion/comment-types';
import { CommentHeaderFragment } from './comment-header.fragment.generated';

@Component({
  selector: 'orion-comment-header',
  templateUrl: './comment-header.component.html',
  styleUrls: ['./comment-header.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CommentHeaderComponent {
  @Input() comment?: CommentHeaderFragment;
  @Input() actions?: CommentActionType[];
  @Output() action: EventEmitter<CommentActionType> = new EventEmitter<CommentActionType>();

  onAction(type: CommentActionType): void {
    this.action.emit(type);
  }
}
