import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { CommentActionType } from '@orion/comment-types';
import { CommentFragment } from './comment.fragment.generated';

@Component({
  selector: 'orion-comment',
  templateUrl: './comment.component.html',
  styleUrls: ['./comment.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CommentComponent {
  @Input() comment?: CommentFragment;
  @Input() actions?: CommentActionType[];
  @Input() editMode = false;
  @Output() action: EventEmitter<CommentActionType> = new EventEmitter<CommentActionType>();
  @Output() cancelEdit: EventEmitter<void> = new EventEmitter<void>();
  @Output() saveEdit: EventEmitter<string> = new EventEmitter<string>();
  onAction(actionType: CommentActionType): void {
    this.action.emit(actionType);
  }

  onCancelEdit(): void {
    this.cancelEdit.emit();
  }

  onSaveEdit(content: string): void {
    this.saveEdit.emit(content);
  }
}
