import { gql } from 'apollo-angular';

export type TopLevelCommentFragment = {
  __typename?: 'Comment';
  id: string;
  created?: any | undefined;
  content: string;
  lastUpdated?: any | undefined;
  replies?:
    | {
        __typename?: 'CommentNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'Comment';
          id: string;
          created?: any | undefined;
          content: string;
          lastUpdated?: any | undefined;
          replyTo?: { __typename?: 'Comment'; id: string } | undefined;
          author: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined };
        }>;
      }
    | undefined;
  author: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined };
};

export const TopLevelCommentFragmentDoc = gql`
  fragment topLevelComment on Comment {
    id
    ...comment
    replies(ordering: [{ desc: false, o: CREATED }]) {
      totalCount
      data {
        ...commentReply
      }
    }
  }
`;
