import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';

export type CommentSort = 'newest' | 'oldest';

@Component({
  selector: 'orion-comment-sort',
  templateUrl: './comment-sort.component.html',
  styleUrls: ['./comment-sort.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CommentSortComponent {
  @Input() sort?: CommentSort;
  @Input() isLoading = false;
  @Output() commentSortChange: EventEmitter<CommentSort> = new EventEmitter<CommentSort>();

  onSortChange(sort: CommentSort): void {
    this.commentSortChange.emit(sort);
  }
}
