import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { TopLevelCommentFragmentDoc } from '../comment-list/top-level-comment/top-level-comment.fragment.generated';
import { CommentFragmentDoc } from '../comment-list/top-level-comment/shared/comment/comment.fragment.generated';
import { CommentHeaderFragmentDoc } from '../comment-list/top-level-comment/shared/comment/comment-header/comment-header.fragment.generated';
import { UserNameAndIconFragmentDoc } from '../../../../user/components/shared/graphql/user-icon.fragment.generated';
import { CommentContentFragmentDoc } from '../comment-list/top-level-comment/shared/comment/comment-content/comment-content.fragment.generated';
import { CommentReplyFragmentDoc } from '../comment-list/top-level-comment/reply-panel/comment-replies/comment-reply/comment-reply.fragment.generated';
import { Injectable } from '@angular/core';

export type GetCommentsQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.CommentFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.CommentOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetCommentsQuery = {
  __typename?: 'Query';
  getCommentList: {
    __typename?: 'CommentPaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'Comment';
      id: string;
      created?: any | undefined;
      content: string;
      lastUpdated?: any | undefined;
      replies?:
        | {
            __typename?: 'CommentNestedList';
            totalCount: number;
            data: Array<{
              __typename?: 'Comment';
              id: string;
              created?: any | undefined;
              content: string;
              lastUpdated?: any | undefined;
              replyTo?: { __typename?: 'Comment'; id: string } | undefined;
              author: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined };
            }>;
          }
        | undefined;
      author: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined };
    }>;
  };
};

export const GetCommentsDocument = gql`
  query getComments(
    $filter: [CommentFilter1ANDFilterEntry!]
    $order: [CommentOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getCommentList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...topLevelComment
      }
      previous
      next
      totalCount
    }
  }
  ${TopLevelCommentFragmentDoc}
  ${CommentFragmentDoc}
  ${CommentHeaderFragmentDoc}
  ${UserNameAndIconFragmentDoc}
  ${CommentContentFragmentDoc}
  ${CommentReplyFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetCommentsQueryService extends Apollo.Query<GetCommentsQuery, GetCommentsQueryVariables> {
  document = GetCommentsDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
