import * as SchemaTypes from '../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type CreateCommentMutationVariables = SchemaTypes.Exact<{
  comment: SchemaTypes.CommentCreate;
}>;

export type CreateCommentMutation = {
  __typename?: 'Mutation';
  createComment: { __typename?: 'CreateResult'; id: string };
};

export type UpdateCommentMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
  input: SchemaTypes.CommentUpdate;
}>;

export type UpdateCommentMutation = {
  __typename?: 'Mutation';
  updateComment: { __typename?: 'MutateResult'; id?: string | undefined };
};

export type DeleteCommentMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type DeleteCommentMutation = {
  __typename?: 'Mutation';
  deleteComment: { __typename?: 'MutateResult'; id?: string | undefined };
};

export const CreateCommentDocument = gql`
  mutation createComment($comment: CommentCreate!) {
    createComment(data: $comment) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class CreateCommentMutationService extends Apollo.Mutation<
  CreateCommentMutation,
  CreateCommentMutationVariables
> {
  document = CreateCommentDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateCommentDocument = gql`
  mutation updateComment($id: ID!, $input: CommentUpdate!) {
    updateComment(id: $id, data: $input) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateCommentMutationService extends Apollo.Mutation<
  UpdateCommentMutation,
  UpdateCommentMutationVariables
> {
  document = UpdateCommentDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const DeleteCommentDocument = gql`
  mutation deleteComment($id: ID!) {
    deleteComment(id: $id) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class DeleteCommentMutationService extends Apollo.Mutation<
  DeleteCommentMutation,
  DeleteCommentMutationVariables
> {
  document = DeleteCommentDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
