import { CommentFilter1, CommentFilter1AndFilterEntry } from '@orion/graphql-types';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import { CommentClientFilter } from './comment-client-filter';

export class CommentFilterConverter implements FilterConverter<CommentClientFilter, CommentFilter1AndFilterEntry[]> {
  convert(source?: CommentClientFilter): CommentFilter1AndFilterEntry[] {
    const orFilter: CommentFilter1 = {};
    if (source?.taskId) {
      orFilter.task = { id: { exact: source.taskId } };
    }
    if (source?.caseId) {
      orFilter.case = { id: { exact: source.caseId } };
    }
    if (source?.replyOfId) {
      orFilter.replyTo = { id: { exact: source?.replyOfId } };
    }
    if (source?.isFirstLevelComment === true) {
      orFilter.replyTo = { id: { exact: null } };
    }
    return [{ AND: [{ OR: orFilter }] }];
  }
}
