import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { DashboardQueryResult } from '../dashboard.service';
import { CASE_ICON, TASK_ICON } from '@orion/common';

export type TodoQueryResult = Pick<DashboardQueryResult, 'caseTodo' | 'taskTodo'>;

@Component({
  selector: 'orion-todo-overview',
  templateUrl: './todo-overview.component.html',
  styleUrls: ['./todo-overview.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TodoOverviewComponent {
  @Input() todos?: TodoQueryResult;
  taskIcon = TASK_ICON;
  caseIcon = CASE_ICON;
}
