import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { IpFixClientFilter } from '@orion/data-platform-types';
import { OrionFilterDirective } from '@csirtmu-orion/microframework/filters';
import { IpFixFilterService } from './ip-fix-filter.service';

@Component({
  selector: 'orion-ip-fix-filter',
  templateUrl: './ip-fix-filter.component.html',
  styleUrls: ['./ip-fix-filter.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class IpFixFilterComponent extends OrionFilterDirective {
  @Input() activeFilter?: IpFixClientFilter;

  constructor(protected filterService: IpFixFilterService) {
    super(filterService);
  }

  onAddressChange(value?: string): void {
    this.filterService.update({ ipAddress: value });
  }

  onPortChange(value: number): void {
    this.filterService.update({ port: value });
  }
}
