import { ChangeDetectionStrategy, Component, Input, OnInit } from '@angular/core';
import {
  FlowDataIpFixDetailFragment,
  IpFixDetailFragment,
  UserIpFixDetailFragment,
} from './ip-fix-detail.fragment.generated';

@Component({
  selector: 'orion-ip-fix-detail',
  templateUrl: './ip-fix-detail.component.html',
  styleUrls: ['./ip-fix-detail.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class IpFixDetailComponent implements OnInit {
  @Input() data?: IpFixDetailFragment | UserIpFixDetailFragment | FlowDataIpFixDetailFragment;
  entries?: [string, string][];

  ngOnInit(): void {
    if (this.data) {
      const ignoredKeys = [
        '__typename',
        'protocolidentifier',
        'destinationipv4address',
        'destinationipv6address',
        'destinationtransportport',
        'sourceipv4address',
        'sourceipv6address',
        'sourcetransportport',
        'timestamp',
        'flowEvent',
      ];
      this.entries = Object.entries(this.data).filter(
        (entry) => entry !== undefined && !ignoredKeys.includes(entry[0]) && entry[1] !== null
      ) as [string, string][];
    }
  }
}
