import { gql } from 'apollo-angular';

export type IpFixTableElementFragment = {
  __typename?: 'DataPlatformServiceIPFix';
  protocolidentifier?: number | undefined;
  destinationipv4address?: string | undefined;
  destinationipv6address?: string | undefined;
  destinationtransportport?: number | undefined;
  sourceipv4address?: string | undefined;
  sourceipv6address?: string | undefined;
  sourcetransportport?: number | undefined;
  timestamp?: any | undefined;
  id: string;
  exporttime?: any | undefined;
  seqnumber?: any | undefined;
  odid?: number | undefined;
  msglength?: number | undefined;
  srcaddr?: string | undefined;
  templateid?: number | undefined;
  applicationid?: string | undefined;
  applicationidrev?: string | undefined;
  applicationname?: string | undefined;
  applicationnamerev?: string | undefined;
  bgpdestinationasnumber?: any | undefined;
  bgpdestinationasnumberrev?: any | undefined;
  bgpsourceasnumber?: any | undefined;
  bgpsourceasnumberrev?: any | undefined;
  flowendmilliseconds?: any | undefined;
  flowendmillisecondsrev?: any | undefined;
  flowstartmilliseconds?: any | undefined;
  flowstartmillisecondsrev?: any | undefined;
  icmptypecodeipv4?: number | undefined;
  ingressinterface?: any | undefined;
  ipclassofservice?: number | undefined;
  ipclassofservicerev?: number | undefined;
  ipversion?: number | undefined;
  mplstoplabelstacksection?: string | undefined;
  mplstoplabelstacksectionrev?: string | undefined;
  mplslabelstacksection2?: string | undefined;
  mplslabelstacksection2rev?: string | undefined;
  mplslabelstacksection3?: string | undefined;
  mplslabelstacksection3rev?: string | undefined;
  mplslabelstacksection4?: string | undefined;
  mplslabelstacksection4rev?: string | undefined;
  mplslabelstacksection5?: string | undefined;
  mplslabelstacksection5rev?: string | undefined;
  mplslabelstacksection6?: string | undefined;
  mplslabelstacksection6rev?: string | undefined;
  mplslabelstacksection7?: string | undefined;
  mplslabelstacksection7rev?: string | undefined;
  mplslabelstacksection8?: string | undefined;
  mplslabelstacksection8rev?: string | undefined;
  mplslabelstacksection9?: string | undefined;
  mplslabelstacksection9rev?: string | undefined;
  mplslabelstacksection10?: string | undefined;
  mplslabelstacksection10rev?: string | undefined;
  octetdeltacount?: any | undefined;
  octetdeltacountrev?: any | undefined;
  originalexporteripv6address?: string | undefined;
  packetdeltacount?: any | undefined;
  packetdeltacountrev?: any | undefined;
  samplingalgorithm?: number | undefined;
  samplingalgorithmrev?: number | undefined;
  samplinginterval?: any | undefined;
  samplingintervalrev?: any | undefined;
  tcpcontrolbits?: number | undefined;
  tcpcontrolbitsrev?: number | undefined;
  tcpwindowsize?: number | undefined;
  tcpwindowsizerev?: number | undefined;
  vlanid?: number | undefined;
  vlanidrev?: number | undefined;
};

export type UserIpFixTableElementFragment = {
  __typename?: 'UserAccountingIPFix';
  protocolidentifier?: number | undefined;
  destinationipv4address?: string | undefined;
  destinationipv6address?: string | undefined;
  destinationtransportport?: number | undefined;
  sourceipv4address?: string | undefined;
  sourceipv6address?: string | undefined;
  sourcetransportport?: number | undefined;
  timestamp?: any | undefined;
  id: string;
  applicationid?: string | undefined;
  applicationidrev?: string | undefined;
  applicationname?: string | undefined;
  applicationnamerev?: string | undefined;
  bgpdestinationasnumber?: any | undefined;
  bgpdestinationasnumberrev?: any | undefined;
  bgpsourceasnumber?: any | undefined;
  bgpsourceasnumberrev?: any | undefined;
  flowendmilliseconds?: any | undefined;
  flowendmillisecondsrev?: any | undefined;
  flowstartmilliseconds?: any | undefined;
  flowstartmillisecondsrev?: any | undefined;
  icmptypecodeipv4?: number | undefined;
  ingressinterface?: any | undefined;
  ipclassofservice?: number | undefined;
  ipclassofservicerev?: number | undefined;
  ipversion?: number | undefined;
  mplslabelstacksection10?: string | undefined;
  mplslabelstacksection10rev?: string | undefined;
  mplslabelstacksection2?: string | undefined;
  mplslabelstacksection2rev?: string | undefined;
  mplslabelstacksection3?: string | undefined;
  mplslabelstacksection3rev?: string | undefined;
  mplslabelstacksection4?: string | undefined;
  mplslabelstacksection4rev?: string | undefined;
  mplslabelstacksection5?: string | undefined;
  mplslabelstacksection5rev?: string | undefined;
  mplslabelstacksection6?: string | undefined;
  mplslabelstacksection6rev?: string | undefined;
  mplslabelstacksection7?: string | undefined;
  mplslabelstacksection7rev?: string | undefined;
  mplslabelstacksection8?: string | undefined;
  mplslabelstacksection8rev?: string | undefined;
  mplslabelstacksection9?: string | undefined;
  mplslabelstacksection9rev?: string | undefined;
  mplstoplabelstacksection?: string | undefined;
  mplstoplabelstacksectionrev?: string | undefined;
  octetdeltacount?: any | undefined;
  octetdeltacountrev?: any | undefined;
  originalexporteripv6address?: string | undefined;
  packetdeltacount?: any | undefined;
  packetdeltacountrev?: any | undefined;
  samplingalgorithm?: number | undefined;
  samplingalgorithmrev?: number | undefined;
  samplinginterval?: any | undefined;
  samplingintervalrev?: any | undefined;
  tcpcontrolbits?: number | undefined;
  tcpcontrolbitsrev?: number | undefined;
  tcpwindowsize?: number | undefined;
  tcpwindowsizerev?: number | undefined;
  vlanid?: number | undefined;
  vlanidrev?: number | undefined;
};

export const IpFixTableElementFragmentDoc = gql`
  fragment ipFixTableElement on DataPlatformServiceIPFix {
    ...ipFixDetail
    protocolidentifier
    destinationipv4address
    destinationipv6address
    destinationtransportport
    sourceipv4address
    sourceipv6address
    sourcetransportport
    timestamp
  }
`;
export const UserIpFixTableElementFragmentDoc = gql`
  fragment userIpFixTableElement on UserAccountingIPFix {
    ...userIpFixDetail
    protocolidentifier
    destinationipv4address
    destinationipv6address
    destinationtransportport
    sourceipv4address
    sourceipv6address
    sourcetransportport
    timestamp
  }
`;
