import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { IpFixTable } from './ip-fix-table';
import { IpFixTableElementFragment, UserIpFixTableElementFragment } from './ip-fix-table-element.fragment.generated';

@Component({
  selector: 'orion-ip-fix-table',
  templateUrl: './ip-fix-table.component.html',
  styleUrls: ['./ip-fix-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class IpFixTableComponent extends OptionallyPaginatedEntityTableDirective<
  IpFixTableElementFragment | UserIpFixTableElementFragment,
  IpFixTable
> {
  protected createTable(
    entities: IPaginatedElements<IpFixTableElementFragment> | UserIpFixTableElementFragment[]
  ): IpFixTable {
    return new IpFixTable(entities);
  }
}
