import { SimpleRowTable } from '@orion/common';
import {
  IpFixDetailComponent,
  IpFixTableElementFragment,
  UserIpFixTableElementFragment,
} from '@orion/data-platform-components-shared';
import { DataPlatformServiceIpFixOrdEnum } from '@orion/graphql-types';
import { IPaginatedElements, isPaginatedElements } from '@sentinel/common/pagination';
import { Column, RowExpand } from '@sentinel/components/table';

export class IpFixTable extends SimpleRowTable<IpFixTableElementFragment | UserIpFixTableElementFragment> {
  constructor(resource: IPaginatedElements<IpFixTableElementFragment> | UserIpFixTableElementFragment[]) {
    const isSortable = isPaginatedElements(resource);
    const columns = [
      new Column(
        'timestamp',
        'Timestamp',
        isSortable,
        isSortable ? DataPlatformServiceIpFixOrdEnum.TIMESTAMP : undefined
      ),
      new Column('sourceIp', 'Source IP', false),
      new Column('destIp', 'Destination IP', false),
      new Column(
        'sourcePort',
        'Source Port',
        isSortable,
        isSortable ? DataPlatformServiceIpFixOrdEnum.SOURCETRANSPORTPORT : undefined
      ),
      new Column(
        'destPort',
        'Destination Port',
        isSortable,
        isSortable ? DataPlatformServiceIpFixOrdEnum.DESTINATIONTRANSPORTPORT : undefined
      ),
      new Column(
        'protocol',
        'Protocol',
        isSortable,
        isSortable ? DataPlatformServiceIpFixOrdEnum.PROTOCOLIDENTIFIER : undefined
      ),
    ];
    super(resource, columns);
    this.expand = new RowExpand(IpFixDetailComponent);
  }
}
