import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { FlowEventClientFilter } from '@orion/event-types';
import { OrionFilterDirective } from '@csirtmu-orion/microframework/filters';
import { FlowEventsFilterService } from './flow-events-filter.service';

@Component({
  selector: 'orion-events-filters',
  templateUrl: './events-filters.component.html',
  styleUrls: ['./events-filters.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class EventsFiltersComponent extends OrionFilterDirective {
  @Input() activeFilter?: FlowEventClientFilter;

  constructor(protected filterService: FlowEventsFilterService) {
    super(filterService);
  }

  onKeywordChange(value: string): void {
    this.filterService.update({ keyword: value });
  }
}
