import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EventNameModule } from '@orion/event-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionKeyValueListModule } from '@csirtmu-orion/microframework/key-value-list';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import {
  EventNestedFlowsTableComponent,
  FlowEventNestedFlowsComponent,
  FlowEventsTableComponent,
} from './flow-events-table';

@NgModule({
  declarations: [FlowEventsTableComponent, FlowEventNestedFlowsComponent, EventNestedFlowsTableComponent],
  imports: [
    CommonModule,
    SentinelTableModule,
    SentinelPipesModule,
    EventNameModule,
    SentinelErrorModule,
    OrionSkeletonLoadingModule,
    OrionKeyValueListModule,
    OrionCardModule,
  ],
  exports: [FlowEventsTableComponent],
})
export class FlowEventsOverviewSharedModule {}
