import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { PaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { trackByIdTableRow } from '@sentinel/components/table';
import { EventNestedFlowsTable } from './event-nested-flows-table';
import { FlowEventNestedFlowsTableElementFragment } from './event-nested-flows-table-element.fragment.generated';

@Component({
  selector: 'orion-event-nested-flows-table',
  templateUrl: './event-nested-flows-table.component.html',
  styleUrls: ['./event-nested-flows-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class EventNestedFlowsTableComponent extends PaginatedEntityTableDirective<
  FlowEventNestedFlowsTableElementFragment,
  EventNestedFlowsTable
> {
  trackByFn = trackByIdTableRow;

  protected createTable(entities: IPaginatedElements<FlowEventNestedFlowsTableElementFragment>): EventNestedFlowsTable {
    return new EventNestedFlowsTable(entities);
  }
}
