import { SimpleRowTable } from '@orion/common';
import { IpFixDetailComponent } from '@orion/data-platform-components-shared';
import { FlowEventDataOrdEnum } from '@orion/graphql-types';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column, RowExpand } from '@sentinel/components/table';
import { FlowEventNestedFlowsTableElementFragment } from './event-nested-flows-table-element.fragment.generated';

export class EventNestedFlowsTable extends SimpleRowTable<FlowEventNestedFlowsTableElementFragment> {
  constructor(resources: IPaginatedElements<FlowEventNestedFlowsTableElementFragment>) {
    const columns = [
      new Column('timestamp', 'Timestamp', true, FlowEventDataOrdEnum.TIMESTAMP),
      new Column('sourceIp', 'Source IP', false),
      new Column('destIp', 'Destination IP', false),
      new Column('sourcePort', 'Source Port', true, FlowEventDataOrdEnum.SOURCETRANSPORTPORT),
      new Column('destPort', 'Destination Port', true, FlowEventDataOrdEnum.DESTINATIONTRANSPORTPORT),
      new Column('protocol', 'Protocol', true, FlowEventDataOrdEnum.PROTOCOLIDENTIFIER),
    ];
    super(resources, columns);
    this.expand = new RowExpand(IpFixDetailComponent);
  }
}
