import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { FlowEventNestedFlowsFragmentDoc } from './flow-event-nested-flows.fragment.generated';
import { FlowEventNestedFlowsTableElementFragmentDoc } from './event-nested-flows-table/event-nested-flows-table-element.fragment.generated';
import { FlowDataIpFixDetailFragmentDoc } from '../../../../../data-platform/components/shared/ip-fix-table/ip-fix-detail/ip-fix-detail.fragment.generated';
import { Injectable } from '@angular/core';

export type GetFlowEventNestedFlowsQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.FlowEventDataFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.FlowEventDataOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetFlowEventNestedFlowsQuery = {
  __typename?: 'Query';
  getFlowEventDataList: {
    __typename?: 'FlowEventDataPaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'FlowEventData';
      protocolidentifier?: number | undefined;
      destinationipv4address?: string | undefined;
      destinationipv6address?: string | undefined;
      destinationtransportport?: number | undefined;
      sourceipv4address?: string | undefined;
      sourceipv6address?: string | undefined;
      sourcetransportport?: number | undefined;
      timestamp?: any | undefined;
      id: string;
      applicationid?: string | undefined;
      applicationidrev?: string | undefined;
      applicationname?: string | undefined;
      applicationnamerev?: string | undefined;
      bgpdestinationasnumber?: any | undefined;
      bgpdestinationasnumberrev?: any | undefined;
      bgpsourceasnumber?: any | undefined;
      bgpsourceasnumberrev?: any | undefined;
      flowendmilliseconds?: any | undefined;
      flowendmillisecondsrev?: any | undefined;
      flowstartmilliseconds?: any | undefined;
      flowstartmillisecondsrev?: any | undefined;
      icmptypecodeipv4?: number | undefined;
      ingressinterface?: any | undefined;
      ipclassofservice?: number | undefined;
      ipclassofservicerev?: number | undefined;
      ipversion?: number | undefined;
      mplslabelstacksection10?: string | undefined;
      mplslabelstacksection10rev?: string | undefined;
      mplslabelstacksection2?: string | undefined;
      mplslabelstacksection2rev?: string | undefined;
      mplslabelstacksection3?: string | undefined;
      mplslabelstacksection3rev?: string | undefined;
      mplslabelstacksection4?: string | undefined;
      mplslabelstacksection4rev?: string | undefined;
      mplslabelstacksection5?: string | undefined;
      mplslabelstacksection5rev?: string | undefined;
      mplslabelstacksection6?: string | undefined;
      mplslabelstacksection6rev?: string | undefined;
      mplslabelstacksection7?: string | undefined;
      mplslabelstacksection7rev?: string | undefined;
      mplslabelstacksection8?: string | undefined;
      mplslabelstacksection8rev?: string | undefined;
      mplslabelstacksection9?: string | undefined;
      mplslabelstacksection9rev?: string | undefined;
      mplstoplabelstacksection?: string | undefined;
      mplstoplabelstacksectionrev?: string | undefined;
      octetdeltacount?: any | undefined;
      octetdeltacountrev?: any | undefined;
      originalexporteripv6address?: string | undefined;
      packetdeltacount?: any | undefined;
      packetdeltacountrev?: any | undefined;
      samplingalgorithm?: number | undefined;
      samplingalgorithmrev?: number | undefined;
      samplinginterval?: any | undefined;
      samplingintervalrev?: any | undefined;
      tcpcontrolbits?: number | undefined;
      tcpcontrolbitsrev?: number | undefined;
      tcpwindowsize?: number | undefined;
      tcpwindowsizerev?: number | undefined;
      vlanid?: number | undefined;
      vlanidrev?: number | undefined;
      flowEvent?: { __typename?: 'FlowEvent'; id: string } | undefined;
    }>;
  };
};

export const GetFlowEventNestedFlowsDocument = gql`
  query getFlowEventNestedFlows(
    $filter: [FlowEventDataFilter1ANDFilterEntry!]
    $order: [FlowEventDataOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getFlowEventDataList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...flowEventNestedFlows
      }
      previous
      next
      totalCount
    }
  }
  ${FlowEventNestedFlowsFragmentDoc}
  ${FlowEventNestedFlowsTableElementFragmentDoc}
  ${FlowDataIpFixDetailFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetFlowEventNestedFlowsQueryService extends Apollo.Query<
  GetFlowEventNestedFlowsQuery,
  GetFlowEventNestedFlowsQueryVariables
> {
  document = GetFlowEventNestedFlowsDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
