import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { PaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { FlowEventTableElementFlowEventFragment } from './flow-event-table.fragment.generated';
import { FlowEventsTable } from './flow-events-table';

@Component({
  selector: 'orion-flow-events-table',
  templateUrl: './flow-events-table.component.html',
  styleUrls: ['./flow-events-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class FlowEventsTableComponent extends PaginatedEntityTableDirective<
  FlowEventTableElementFlowEventFragment,
  FlowEventsTable
> {
  protected createTable(entities: IPaginatedElements<FlowEventTableElementFlowEventFragment>): FlowEventsTable {
    return new FlowEventsTable(entities);
  }
}
