import { FlowEventOrdEnum } from '@orion/graphql-types';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column, Row, RowExpand, SentinelTable } from '@sentinel/components/table';
import { FlowEventNestedFlowsComponent } from './flow-event-nested-flows';
import { FlowEventTableElementFragment } from './flow-event-table.fragment.generated';

export class FlowEventsTable extends SentinelTable<FlowEventTableElementFragment> {
  constructor(resource: IPaginatedElements<FlowEventTableElementFragment>) {
    const columns = [
      new Column('name', 'Name', true, FlowEventOrdEnum.NAME),
      new Column('created', 'Created', true, FlowEventOrdEnum.CREATED),
      new Column('eventTime', 'Event Time', true, FlowEventOrdEnum.EVENT_TIME),
      new Column('type', 'Type', true, FlowEventOrdEnum.TYPE),
      new Column('description', 'Description', false),
    ];
    const rows = resource.elements.map((event) => new Row(event));
    super(rows, columns);
    this.pagination = resource.pagination;
    this.expand = new RowExpand(FlowEventNestedFlowsComponent);
  }
}
