import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { FlowEventFragmentDoc } from './related-flow-event.fragment.generated';
import { FlowEventTableElementFragmentDoc } from '../../overview-shared/flow-events-table/flow-event-table.fragment.generated';
import { Injectable } from '@angular/core';

export type GetFlowEventsQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.FlowEventFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.FlowEventOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetFlowEventsQuery = {
  __typename?: 'Query';
  getFlowEventList: {
    __typename?: 'FlowEventPaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'FlowEvent';
      id: string;
      name?: string | undefined;
      description?: string | undefined;
      created?: any | undefined;
      eventTime?: any | undefined;
      type?: string | undefined;
    }>;
  };
};

export const GetFlowEventsDocument = gql`
  query getFlowEvents(
    $filter: [FlowEventFilter1ANDFilterEntry!]
    $order: [FlowEventOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getFlowEventList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...flowEvent
      }
      previous
      next
      totalCount
    }
  }
  ${FlowEventFragmentDoc}
  ${FlowEventTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetFlowEventsQueryService extends Apollo.Query<GetFlowEventsQuery, GetFlowEventsQueryVariables> {
  document = GetFlowEventsDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
