import { Optional, Pipe, PipeTransform } from '@angular/core';
import { EventNameFragment } from './event-name.fragment.generated';
import { EventNavigator } from './event-navigator.service';

@Pipe({
  name: 'eventNavigator',
})
export class EventNavigatorPipe implements PipeTransform {
  constructor(@Optional() private routeResolver?: EventNavigator) {}

  transform(event?: EventNameFragment): string | undefined {
    if (event && this.routeResolver) {
      return this.routeResolver.toDetail(event?.id);
    } else {
      return undefined;
    }
  }
}
