export type PossibleTypesResultData = {
  possibleTypes: {
    Activity: ['Comment'];
    AssetFederationBase: [
      'ASNType',
      'AggregateType',
      'CableType',
      'CircuitTerminationType',
      'CircuitType',
      'CircuitTypeType',
      'ClusterGroupType',
      'ClusterType',
      'ClusterTypeType',
      'ConsolePortType',
      'ConsoleServerPortType',
      'DeviceBayType',
      'DeviceRoleType',
      'DeviceType',
      'DeviceTypeType',
      'FHRPGroupType',
      'FrontPortType',
      'IPAddressType',
      'IPRangeType',
      'InterfaceType',
      'InventoryItemType',
      'LocationType',
      'ManufacturerType',
      'PlatformType',
      'PowerFeedType',
      'PowerOutletType',
      'PowerPanelType',
      'PowerPortType',
      'PrefixType',
      'ProviderNetworkType',
      'ProviderType',
      'RIRType',
      'RackReservationType',
      'RackRoleType',
      'RackType',
      'RearPortType',
      'RegionType',
      'RoleType',
      'RouteTargetType',
      'ServiceType',
      'SiteGroupType',
      'SiteType',
      'TenantGroupType',
      'TenantType',
      'VLANGroupType',
      'VLANType',
      'VMInterfaceType',
      'VRFType',
      'VirtualChassisType',
      'VirtualMachineType',
      'WirelessLanGroupType',
      'WirelessLanType',
      'WirelessLinkType'
    ];
    AssetType: [
      'ASNType',
      'AggregateType',
      'CableType',
      'CircuitTerminationType',
      'CircuitType',
      'CircuitTypeType',
      'ClusterGroupType',
      'ClusterType',
      'ClusterTypeType',
      'ConsolePortType',
      'ConsoleServerPortType',
      'DeviceBayType',
      'DeviceRoleType',
      'DeviceType',
      'DeviceTypeType',
      'FHRPGroupType',
      'FrontPortType',
      'IPAddressType',
      'IPRangeType',
      'InterfaceType',
      'InventoryItemType',
      'LocationType',
      'ManufacturerType',
      'PlatformType',
      'PowerFeedType',
      'PowerOutletType',
      'PowerPanelType',
      'PowerPortType',
      'PrefixType',
      'ProviderNetworkType',
      'ProviderType',
      'RIRType',
      'RackReservationType',
      'RackRoleType',
      'RackType',
      'RearPortType',
      'RegionType',
      'RoleType',
      'RouteTargetType',
      'ServiceType',
      'SiteGroupType',
      'SiteType',
      'TenantGroupType',
      'TenantType',
      'VLANGroupType',
      'VLANType',
      'VMInterfaceType',
      'VRFType',
      'VirtualChassisType',
      'VirtualMachineType',
      'WirelessLanGroupType',
      'WirelessLanType',
      'WirelessLinkType'
    ];
    CaseFileItem: ['CaseFileItemBase', 'Directory', 'File'];
    Event: ['FlowEvent', 'StorageEvent'];
    HashableObservable: ['BaseHashableObservable', 'EmailMessage', 'FileReference'];
    Host: ['BaseHost', 'DomainName', 'IPAddress'];
    ITTP: ['GroupProcedure', 'MalwareProcedure', 'Tactic', 'Technique', 'ToolProcedure'];
    Observable: [
      'BaseHashableObservable',
      'BaseHost',
      'BaseObservable',
      'DomainName',
      'DomainToDomainResolution',
      'DomainToIPAddressResolution',
      'EmailAddress',
      'EmailMessage',
      'EmailMessageEmailAddressRelationship',
      'EmailMessagePartsRelationship',
      'FileReference',
      'IPAddress',
      'IPAddressToDomainResolution',
      'URL'
    ];
    ObservableFederationBase: [
      'DomainName',
      'DomainToDomainResolution',
      'DomainToIPAddressResolution',
      'EmailAddress',
      'EmailMessage',
      'FileReference',
      'IPAddress',
      'IPAddressToDomainResolution',
      'URL'
    ];
    TTPFederationBase: ['GroupProcedure', 'MalwareProcedure', 'Tactic', 'Technique', 'ToolProcedure'];
    TaskInputOutput: [
      'BaseTaskInputOutput',
      'BoolInputOutput',
      'DateInputOutput',
      'DateTimeInputOutput',
      'DomainInputOutput',
      'EmailAddressInputOutput',
      'EmailMessageInputOutput',
      'FileInputOutput',
      'FileRefInputOutput',
      'HashInputOutput',
      'IPInputOutput',
      'JSONInputOutput',
      'StringInputOutput',
      'URLInputOutput'
    ];
  };
};
const result: PossibleTypesResultData = {
  possibleTypes: {
    Activity: ['Comment'],
    AssetFederationBase: [
      'ASNType',
      'AggregateType',
      'CableType',
      'CircuitTerminationType',
      'CircuitType',
      'CircuitTypeType',
      'ClusterGroupType',
      'ClusterType',
      'ClusterTypeType',
      'ConsolePortType',
      'ConsoleServerPortType',
      'DeviceBayType',
      'DeviceRoleType',
      'DeviceType',
      'DeviceTypeType',
      'FHRPGroupType',
      'FrontPortType',
      'IPAddressType',
      'IPRangeType',
      'InterfaceType',
      'InventoryItemType',
      'LocationType',
      'ManufacturerType',
      'PlatformType',
      'PowerFeedType',
      'PowerOutletType',
      'PowerPanelType',
      'PowerPortType',
      'PrefixType',
      'ProviderNetworkType',
      'ProviderType',
      'RIRType',
      'RackReservationType',
      'RackRoleType',
      'RackType',
      'RearPortType',
      'RegionType',
      'RoleType',
      'RouteTargetType',
      'ServiceType',
      'SiteGroupType',
      'SiteType',
      'TenantGroupType',
      'TenantType',
      'VLANGroupType',
      'VLANType',
      'VMInterfaceType',
      'VRFType',
      'VirtualChassisType',
      'VirtualMachineType',
      'WirelessLanGroupType',
      'WirelessLanType',
      'WirelessLinkType',
    ],
    AssetType: [
      'ASNType',
      'AggregateType',
      'CableType',
      'CircuitTerminationType',
      'CircuitType',
      'CircuitTypeType',
      'ClusterGroupType',
      'ClusterType',
      'ClusterTypeType',
      'ConsolePortType',
      'ConsoleServerPortType',
      'DeviceBayType',
      'DeviceRoleType',
      'DeviceType',
      'DeviceTypeType',
      'FHRPGroupType',
      'FrontPortType',
      'IPAddressType',
      'IPRangeType',
      'InterfaceType',
      'InventoryItemType',
      'LocationType',
      'ManufacturerType',
      'PlatformType',
      'PowerFeedType',
      'PowerOutletType',
      'PowerPanelType',
      'PowerPortType',
      'PrefixType',
      'ProviderNetworkType',
      'ProviderType',
      'RIRType',
      'RackReservationType',
      'RackRoleType',
      'RackType',
      'RearPortType',
      'RegionType',
      'RoleType',
      'RouteTargetType',
      'ServiceType',
      'SiteGroupType',
      'SiteType',
      'TenantGroupType',
      'TenantType',
      'VLANGroupType',
      'VLANType',
      'VMInterfaceType',
      'VRFType',
      'VirtualChassisType',
      'VirtualMachineType',
      'WirelessLanGroupType',
      'WirelessLanType',
      'WirelessLinkType',
    ],
    CaseFileItem: ['CaseFileItemBase', 'Directory', 'File'],
    Event: ['FlowEvent', 'StorageEvent'],
    HashableObservable: ['BaseHashableObservable', 'EmailMessage', 'FileReference'],
    Host: ['BaseHost', 'DomainName', 'IPAddress'],
    ITTP: ['GroupProcedure', 'MalwareProcedure', 'Tactic', 'Technique', 'ToolProcedure'],
    Observable: [
      'BaseHashableObservable',
      'BaseHost',
      'BaseObservable',
      'DomainName',
      'DomainToDomainResolution',
      'DomainToIPAddressResolution',
      'EmailAddress',
      'EmailMessage',
      'EmailMessageEmailAddressRelationship',
      'EmailMessagePartsRelationship',
      'FileReference',
      'IPAddress',
      'IPAddressToDomainResolution',
      'URL',
    ],
    ObservableFederationBase: [
      'DomainName',
      'DomainToDomainResolution',
      'DomainToIPAddressResolution',
      'EmailAddress',
      'EmailMessage',
      'FileReference',
      'IPAddress',
      'IPAddressToDomainResolution',
      'URL',
    ],
    TTPFederationBase: ['GroupProcedure', 'MalwareProcedure', 'Tactic', 'Technique', 'ToolProcedure'],
    TaskInputOutput: [
      'BaseTaskInputOutput',
      'BoolInputOutput',
      'DateInputOutput',
      'DateTimeInputOutput',
      'DomainInputOutput',
      'EmailAddressInputOutput',
      'EmailMessageInputOutput',
      'FileInputOutput',
      'FileRefInputOutput',
      'HashInputOutput',
      'IPInputOutput',
      'JSONInputOutput',
      'StringInputOutput',
      'URLInputOutput',
    ],
  },
};
export default result;
