import { ChangeDetectionStrategy, Component } from '@angular/core';
import { LabelForm } from '@orion/label-types';
import { EntityModifyPageDirective } from '@orion/shared-components/create-edit';
import { EntityModifyBaseService, ModifyEntityControlsService } from '@orion/shared-services';
import { CreateEditLabelService } from './create-edit-label.service';

@Component({
  selector: 'orion-create-edit-label-page',
  templateUrl: './create-edit-label-page.component.html',
  styleUrls: ['./create-edit-label-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [{ provide: EntityModifyBaseService, useClass: CreateEditLabelService }, ModifyEntityControlsService],
})
export class CreateEditLabelPageComponent extends EntityModifyPageDirective<LabelForm> {
  constructor(
    protected modifyEntityService: EntityModifyBaseService<LabelForm>,
    protected controlsService: ModifyEntityControlsService
  ) {
    super(modifyEntityService, controlsService);
  }
}
