import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatTooltipModule } from '@angular/material/tooltip';
import { LabelsModule } from '@orion/label-components/shared';
import { CreateEditEntityModule } from '@orion/shared-components/create-edit';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { CreateEditLabelComponent, RecommendedColorsComponent } from './create-edit-label';
import { CreateEditLabelPageComponent } from './create-edit-label-page.component';

@NgModule({
  declarations: [CreateEditLabelPageComponent, CreateEditLabelComponent, RecommendedColorsComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    MatFormFieldModule,
    MatButtonModule,
    MatInputModule,
    ReactiveFormsModule,
    MatIconModule,
    LabelsModule,
    MatTooltipModule,
    CreateEditEntityModule,
  ],
  exports: [CreateEditLabelPageComponent],
})
export class CreateEditLabelPageModule {}
