import { LabelChipFragment } from '@orion/label-components/shared';

export class LabelPreview implements LabelChipFragment {
  private readonly DEFAULT_ID = 'LABEL_PREVIEW';
  private readonly DEFAULT_NAME = 'My label';
  private readonly DEFAULT_BACKGROUND_COLOR = 'black';
  private readonly DEFAULT_TEXT_COLOR = 'white';

  id: string;
  name: string;
  backgroundColor: string;
  textColor: string;

  constructor(partial?: Partial<LabelChipFragment>) {
    if (partial) {
      this.id = this.DEFAULT_ID;
      this.name = partial.name && partial.name !== '' ? partial.name : this.DEFAULT_NAME;
      this.backgroundColor =
        partial.backgroundColor && partial.backgroundColor !== ''
          ? partial.backgroundColor
          : this.DEFAULT_BACKGROUND_COLOR;
      this.textColor = partial.textColor && partial.textColor !== '' ? partial.textColor : this.DEFAULT_TEXT_COLOR;
    } else {
      this.id = this.DEFAULT_ID;
      this.name = this.DEFAULT_NAME;
      this.backgroundColor = this.DEFAULT_BACKGROUND_COLOR;
      this.textColor = this.DEFAULT_TEXT_COLOR;
    }
  }
}
