import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { trackByIndex } from '@sentinel/common/utils';

@Component({
  selector: 'orion-recommended-colors',
  templateUrl: './recommended-colors.component.html',
  styleUrls: ['./recommended-colors.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class RecommendedColorsComponent {
  @Input() recommendedColors?: string[] = [];
  @Output() colorSelected: EventEmitter<string> = new EventEmitter<string>();
  trackBy = trackByIndex;

  onColorClicked(color: string): void {
    this.colorSelected.emit(color);
  }
}
