import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type CreateLabelMutationVariables = SchemaTypes.Exact<{
  label: SchemaTypes.LabelCreate;
}>;

export type CreateLabelMutation = { __typename?: 'Mutation'; createLabel: { __typename?: 'CreateResult'; id: string } };

export type UpdateLabelMutationVariables = SchemaTypes.Exact<{
  patch: SchemaTypes.LabelUpdate;
  id: SchemaTypes.Scalars['ID'];
}>;

export type UpdateLabelMutation = {
  __typename?: 'Mutation';
  updateLabel: { __typename?: 'MutateResult'; id?: string | undefined };
};

export const CreateLabelDocument = gql`
  mutation createLabel($label: LabelCreate!) {
    createLabel(data: $label) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class CreateLabelMutationService extends Apollo.Mutation<CreateLabelMutation, CreateLabelMutationVariables> {
  document = CreateLabelDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateLabelDocument = gql`
  mutation updateLabel($patch: LabelUpdate!, $id: ID!) {
    updateLabel(data: $patch, id: $id) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateLabelMutationService extends Apollo.Mutation<UpdateLabelMutation, UpdateLabelMutationVariables> {
  document = UpdateLabelDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
