import { Injectable } from '@angular/core';
import { LabelClientFilter } from '@orion/label-types';
import { FilterChip, StringValueChip } from '@csirtmu-orion/microframework/filter';
import { FilterChipsService } from '@csirtmu-orion/microframework/filter-services';
import { LabelFilterService } from './label-filter.service';

@Injectable()
export class LabelFilterChipsService extends FilterChipsService<LabelClientFilter> {
  constructor(protected filterService: LabelFilterService) {
    super(filterService);
  }

  removeChip(removedChip: FilterChip): void {
    if (removedChip instanceof StringValueChip) {
      this.filterService.updateAndSubmit({ name: undefined });
    }
  }

  protected createChips(filter?: LabelClientFilter): FilterChip[] {
    if (filter === undefined || filter === this.filterService.EMPTY_FILTER) {
      return [];
    } else {
      const chips = [];
      if (filter.name) {
        chips.push(new StringValueChip(filter.name));
      }
      return chips;
    }
  }
}
