import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap, Router } from '@angular/router';
import { LabelClientFilter } from '@orion/label-types';
import { QueryParamFilterService } from '@csirtmu-orion/microframework/filter-services';
import { Observable, of } from 'rxjs';

@Injectable()
export class LabelFilterService extends QueryParamFilterService<LabelClientFilter> {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }
  protected createEmptyFilter(): LabelClientFilter {
    return { name: undefined };
  }

  protected createFilterFromRoute(queryParamMap: ParamMap, paramMap: ParamMap): Observable<LabelClientFilter> {
    const nameParam = queryParamMap.get('name');
    if (nameParam === null) {
      return of(this.EMPTY_FILTER);
    }
    return of({ name: this.deslugify(nameParam) });
  }
}
