import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { LabelClientFilter } from '@orion/label-types';
import { LabelFilterService } from './label-filter.service';

@Component({
  selector: 'orion-label-filters',
  templateUrl: './label-filters.component.html',
  styleUrls: ['./label-filters.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class LabelFiltersComponent {
  @Input() activeFilter?: LabelClientFilter;

  constructor(private filterService: LabelFilterService) {}

  onNameChange(value: string): void {
    this.filterService.update({ name: value });
  }
}
