import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { RouterModule } from '@angular/router';
import { LabelsModule } from '@orion/label-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { LabelFiltersComponent } from './filters';
import { LabelOverviewPageComponent } from './label-overview-page.component';
import { LabelCasesRowComponent, LabelTableComponent } from './label-table';

@NgModule({
  declarations: [LabelOverviewPageComponent, LabelTableComponent, LabelCasesRowComponent, LabelFiltersComponent],
  imports: [
    CommonModule,
    OrionFilterModule,
    SentinelControlsModule,
    SentinelPipesModule,
    SentinelTableModule,
    LabelsModule,
    RouterModule,
    MatButtonModule,
    SentinelErrorModule,
    OrionSkeletonLoadingModule,
    OrionCardModule,
  ],
  exports: [LabelOverviewPageComponent],
})
export class LabelOverviewPageModule {}
