import { ChangeDetectionStrategy, Component } from '@angular/core';
import { LabelOverviewActionsService } from '@orion/label-services';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { PaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { LabelTableFragment } from './label-table.fragment.generated';
import { LabelsTable } from './labels-table';

@Component({
  selector: 'orion-label-table',
  templateUrl: './label-table.component.html',
  styleUrls: ['./label-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class LabelTableComponent extends PaginatedEntityTableDirective<LabelTableFragment, LabelsTable> {
  constructor(private labelActionsService: LabelOverviewActionsService) {
    super();
  }

  protected createTable(entities: IPaginatedElements<LabelTableFragment>): LabelsTable {
    return new LabelsTable(entities, this.labelActionsService);
  }
}
