import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { LabelChipFragment } from './label-chip.fragment.generated';

@Component({
  selector: 'orion-label',
  templateUrl: './label.component.html',
  styleUrls: ['./label.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class LabelComponent {
  @Input() label?: LabelChipFragment;
  @Input() clickable = false;
  @Input() removable = false;
  @Output() labelClicked: EventEmitter<LabelChipFragment> = new EventEmitter<LabelChipFragment>();
  @Output() labelRemoved: EventEmitter<LabelChipFragment> = new EventEmitter<LabelChipFragment>();

  onLabelClicked(label: LabelChipFragment): void {
    if (this.clickable) {
      this.labelClicked.emit(label);
    }
  }

  onRemoveClicked(label: LabelChipFragment): void {
    if (this.removable) {
      this.labelRemoved.emit(label);
    }
  }
}
