import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { trackById } from '@sentinel/common/utils';
import { LabelChipFragment } from '../label';

@Component({
  selector: 'orion-labels',
  templateUrl: './labels.component.html',
  styleUrls: ['./labels.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class LabelsComponent {
  @Input() labels?: LabelChipFragment[];
  @Input() noContentMessage?: string;
  @Input() clickable = false;
  @Input() removable = false;
  @Output() labelClicked: EventEmitter<LabelChipFragment> = new EventEmitter<LabelChipFragment>();
  @Output() labelRemoved: EventEmitter<LabelChipFragment> = new EventEmitter<LabelChipFragment>();

  trackByFn = trackById;

  onLabelClicked(label: LabelChipFragment): void {
    if (this.clickable) {
      this.labelClicked.emit(label);
    }
  }

  onLabelRemoved(label: LabelChipFragment): void {
    if (this.removable) {
      this.labelRemoved.emit(label);
    }
  }
}
