import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatTooltipModule } from '@angular/material/tooltip';

import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionEditableComponentModule } from '@csirtmu-orion/microframework/editable';
import { OrionSidebarModule } from '@csirtmu-orion/microframework/sidebar';
import { LabelsModule } from '../labels.module';
import { LabelsCollapsedSidebarElementComponent } from './collapsed';
import { LabelsExpandedSidebarElementComponent } from './expanded';
import { LabelsSidebarElementComponent } from './labels-sidebar-element.component';

@NgModule({
  declarations: [
    LabelsSidebarElementComponent,
    LabelsExpandedSidebarElementComponent,
    LabelsCollapsedSidebarElementComponent,
  ],
  imports: [
    CommonModule,
    OrionEditableComponentModule,
    LabelsModule,
    OrionSidebarModule,
    SentinelPipesModule,
    MatTooltipModule,
  ],
  exports: [LabelsSidebarElementComponent],
})
export class LabelsSidebarElementModule {}
