import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { LabelEditFragmentDoc } from '../../../components/create-edit/graphql/label-edit.fragment.generated';
import { LabelChipFragmentDoc } from '../../../components/shared/label/label-chip.fragment.generated';
import { Injectable } from '@angular/core';

export type GetLabelEditQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetLabelEditQuery = {
  __typename?: 'Query';
  getLabel?:
    | {
        __typename?: 'Label';
        id: string;
        name: string;
        backgroundColor?: string | undefined;
        textColor?: string | undefined;
      }
    | undefined;
};

export const GetLabelEditDocument = gql`
  query getLabelEdit($id: ID!) {
    getLabel(id: $id) {
      ...labelEdit
    }
  }
  ${LabelEditFragmentDoc}
  ${LabelChipFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetLabelEditQueryService extends Apollo.Query<GetLabelEditQuery, GetLabelEditQueryVariables> {
  document = GetLabelEditDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
