import { Injectable } from '@angular/core';
import { entityId, entityTitle } from '@orion/common';
import { OrionIdBreadcrumbResolver } from '@orion/shared/services/global';
import { LABEL_PARAM_SELECTOR } from '@orion/label-paths';

@Injectable()
export class LabelBreadcrumbResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return LABEL_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return `Edit Label ${entityId(id)}`;
  }
}

@Injectable()
export class LabelEditTitleResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return LABEL_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return `Edit ${entityTitle(id, undefined, 'Case')}`;
  }
}
