import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { LabelListElementFragmentDoc } from './label-list-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetLabelListQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.LabelFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.LabelOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetLabelListQuery = {
  __typename?: 'Query';
  getLabelList: {
    __typename?: 'LabelPaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{ __typename?: 'Label'; id: string; name: string }>;
  };
};

export const GetLabelListDocument = gql`
  query getLabelList(
    $filter: [LabelFilter1ANDFilterEntry!]
    $order: [LabelOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getLabelList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...labelListElement
      }
      previous
      next
      totalCount
    }
  }
  ${LabelListElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetLabelListQueryService extends Apollo.Query<GetLabelListQuery, GetLabelListQueryVariables> {
  document = GetLabelListDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
