import { LabelFilter1, LabelFilter1AndFilterEntry } from '@orion/graphql-types';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import { LabelClientFilter } from './';

export class LabelFilterConverter implements FilterConverter<LabelClientFilter, LabelFilter1AndFilterEntry[]> {
  convert(clientFilter?: LabelClientFilter): LabelFilter1AndFilterEntry[] {
    const andFilter: LabelFilter1 = {};
    if (clientFilter && clientFilter.name !== '') {
      andFilter.name = { icontains: clientFilter.name };
    }
    return [
      {
        AND: [{ OR: andFilter }],
      },
    ];
  }
}
