import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { ObservableCtiEntryClientFilter } from '@orion/observable-types';
import { OrionFilterDirective } from '@csirtmu-orion/microframework/filters';
import { ObservableCtiEntryFilterService } from './observable-cti-entry-filter.service';

@Component({
  selector: 'orion-observable-cti-entry-filters',
  templateUrl: './observable-cti-entry-filters.component.html',
  styleUrls: ['./observable-cti-entry-filters.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ObservableCtiEntryFiltersComponent extends OrionFilterDirective {
  @Input() activeFilter?: ObservableCtiEntryClientFilter;

  constructor(protected filterService: ObservableCtiEntryFilterService) {
    super(filterService);
  }

  onExternalReferenceChange(value: string): void {
    this.filterService.update({ externalReference: value });
  }
}
