import * as SchemaTypes from '../../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ObservableCtiEntryFragmentDoc } from './observable-cti-entry.fragment.generated';
import { CtiEntryFragmentDoc } from '../../../../../shared/cti-entry-table/cti-entry-table-row.fragment.generated';
import { CtiEntryExternalUrlFragmentDoc } from '../../../../../shared/cti-entry-external-url/cti-entry-external-url.fragment.generated';
import { Injectable } from '@angular/core';

export type GetObservableCtiEntriesQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.CtiEntryFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.CtiEntryOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetObservableCtiEntriesQuery = {
  __typename?: 'Query';
  getCtiEntryList: {
    __typename?: 'CTIEntryPaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'CTIEntry';
      id: string;
      created?: any | undefined;
      externalReference?: string | undefined;
      sourceSpecifier?:
        | {
            __typename?: 'SourceSpecifier';
            dataSource?: { __typename?: 'DataSource'; baseUrl?: string | undefined } | undefined;
          }
        | undefined;
    }>;
  };
};

export const GetObservableCtiEntriesDocument = gql`
  query getObservableCTIEntries(
    $filter: [CTIEntryFilter1ANDFilterEntry!]
    $order: [CTIEntryOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getCtiEntryList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...observableCTIEntry
      }
      previous
      next
      totalCount
    }
  }
  ${ObservableCtiEntryFragmentDoc}
  ${CtiEntryFragmentDoc}
  ${CtiEntryExternalUrlFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetObservableCtiEntriesQueryService extends Apollo.Query<
  GetObservableCtiEntriesQuery,
  GetObservableCtiEntriesQueryVariables
> {
  document = GetObservableCtiEntriesDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
