import { ChangeDetectionStrategy, Component } from '@angular/core';
import { CtiEntryOrdEnum } from '@orion/graphql-types';
import { ObservableCtiEntryClientFilter } from '@orion/observable-types';
import {
  INIT_PAGINATION_EVENT_BASE_TOKEN,
  PaginationBaseInit,
  PaginationService,
  QueryParamPaginationService,
} from '@csirtmu-orion/microframework/pagination-services';
import { EntityPaginableFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ObservableCtiEntryFilterChipsService, ObservableCtiEntryFilterService } from './filters';
import { ObservableCtiEntryFragment } from './graphql';
import { ObservableCtiEntriesService } from './observable-cti-entries.service';

@Component({
  selector: 'orion-observable-cti-entries',
  templateUrl: './observable-cti-entries.component.html',
  styleUrls: ['./observable-cti-entries.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    ObservableCtiEntriesService,
    ObservableCtiEntryFilterService,
    ObservableCtiEntryFilterChipsService,
    { provide: PaginationService, useClass: QueryParamPaginationService },
    {
      provide: INIT_PAGINATION_EVENT_BASE_TOKEN,
      useValue: new PaginationBaseInit(50, CtiEntryOrdEnum.CREATED, 'asc'),
    },
  ],
})
export class ObservableCtiEntriesComponent extends EntityPaginableFilterableSmartOverviewDirective<
  ObservableCtiEntryFragment,
  ObservableCtiEntryClientFilter
> {
  constructor(
    protected paginationService: PaginationService,
    protected sightingsService: ObservableCtiEntriesService,
    protected filterService: ObservableCtiEntryFilterService,
    protected filterChipsService: ObservableCtiEntryFilterChipsService
  ) {
    super(sightingsService, filterService, paginationService, filterChipsService);
  }
}
