import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CtiEntryTableModule } from '@orion/observable-components/shared-cti-entry-table';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionDateRangeFormModule } from '@csirtmu-orion/microframework/date-range-forms';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { ObservableCtiEntryFiltersComponent } from './filters';
import { ObservableCtiEntriesComponent } from './observable-cti-entries.component';

@NgModule({
  declarations: [ObservableCtiEntriesComponent, ObservableCtiEntryFiltersComponent],
  imports: [
    CommonModule,
    OrionFilterModule,
    SentinelPipesModule,
    OrionCardModule,
    CtiEntryTableModule,
    OrionDateRangeFormModule,
  ],
  exports: [ObservableCtiEntriesComponent],
})
export class ObservableCtiEntriesModule {}
