import { ChangeDetectionStrategy, Component } from '@angular/core';
import { CaseNavigator } from '@orion/case-services';
import { CTI_ENTRY_ICON } from '@orion/common';
import { TaskNavigator } from '@orion/task-services';
import {
  EntityDetailTabsDirective,
  OrionQueryParamTabService,
  OrionTabService,
  TABS_TOKEN,
} from '@csirtmu-orion/microframework/tabs';
import { ObservableIdFragment } from '../observable-id';

@Component({
  selector: 'orion-observable-detail-tabs',
  templateUrl: './observable-detail-tabs.component.html',
  styleUrls: ['./observable-detail-tabs.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    CaseNavigator,
    TaskNavigator,
    { provide: OrionTabService, useClass: OrionQueryParamTabService },
    { provide: TABS_TOKEN, useValue: ['overview', 'ctiEntries', 'cases', 'tasks'] },
  ],
})
export class ObservableDetailTabsComponent extends EntityDetailTabsDirective<ObservableIdFragment> {
  ctiEntryIcon = CTI_ENTRY_ICON;

  constructor(protected tabService: OrionTabService) {
    super(tabService);
  }
}
