import { Injectable } from '@angular/core';
import { ActivatedRoute, Data, ParamMap, Params, Router } from '@angular/router';
import { RelatedCaseFilterService } from '@orion/case-components/filters';
import { RelatedCaseFilter } from '@orion/case-types';
import { OBSERVABLE_ID_PARAM_SELECTOR } from '@orion/observable-paths';
import { Observable, of } from 'rxjs';

@Injectable()
export class ObservableRelatedCasesFilterService extends RelatedCaseFilterService {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected toQueryParams(filter: RelatedCaseFilter): Params {
    const params = super.toQueryParams(filter);
    delete params.observable;
    return params;
  }

  protected createFilterFromRoute(
    queryParamMap: ParamMap,
    paramMap: ParamMap,
    data: Data
  ): Observable<RelatedCaseFilter> {
    const idParam = paramMap.get(OBSERVABLE_ID_PARAM_SELECTOR) ?? undefined;
    const type = data.observableType;
    return of({ observable: { observableId: { exact: idParam }, observableType: { exact: type } } });
  }
}
