import { ChangeDetectionStrategy, Component } from '@angular/core';
import { RelatedCaseFilterChipsService, RelatedCaseFilterService } from '@orion/case-components/filters';
import { RelatedCaseService, RelatedCasesParentDirective } from '@orion/case-components/related-cases';
import { ObservableRelatedCasesFilterService } from './observable-related-cases-filter.service';

@Component({
  selector: 'orion-observable-related-cases',
  templateUrl: './observable-related-cases.component.html',
  styleUrls: ['./observable-related-cases.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    RelatedCaseService,
    RelatedCaseFilterChipsService,
    { provide: RelatedCaseFilterService, useClass: ObservableRelatedCasesFilterService },
  ],
})
export class ObservableRelatedCasesComponent extends RelatedCasesParentDirective {
  constructor(
    protected relatedCasesService: RelatedCaseService,
    protected filterService: RelatedCaseFilterService,
    protected chipsService: RelatedCaseFilterChipsService
  ) {
    super(relatedCasesService, filterService, chipsService);
  }
}
