import { ChangeDetectionStrategy, Component } from '@angular/core';
import { ChildEntityInterfaceSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ObservableRelatedTasksService } from './observable-related-tasks.service';
import { TaskTableFragment } from '@orion/task-components/overview';

@Component({
  selector: 'orion-observable-related-tasks',
  templateUrl: './observable-related-tasks.component.html',
  styleUrls: ['./observable-related-tasks.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [ObservableRelatedTasksService],
})
export class ObservableRelatedTasksComponent extends ChildEntityInterfaceSmartOverviewDirective<
  TaskTableFragment,
  string
> {
  constructor(protected relatedTasksService: ObservableRelatedTasksService) {
    super(relatedTasksService);
  }
}
