import { Injectable } from '@angular/core';
import { ObservableTypename, strToObservableTypeEnum } from '@orion/observable-types';
import { ApolloInterfaceChildEntitiesService } from '@csirtmu-orion/microframework/apollo-services';
import {
  GetObservableRelatedTasksQuery,
  GetObservableRelatedTasksQueryService,
  GetObservableRelatedTasksQueryVariables,
} from './observable-related-tasks.operation.generated';
import { TaskTableFragment } from '@orion/task-components/overview';

@Injectable()
export class ObservableRelatedTasksService extends ApolloInterfaceChildEntitiesService<
  GetObservableRelatedTasksQuery,
  GetObservableRelatedTasksQueryVariables,
  TaskTableFragment,
  ObservableTypename
> {
  constructor(public getQuery: GetObservableRelatedTasksQueryService) {
    super(getQuery, 'Fetching related tasks');
  }

  protected createVariables(parentId: string, observableType: string): GetObservableRelatedTasksQueryVariables {
    return {
      observableId: parentId,
      observableType: strToObservableTypeEnum(observableType),
    };
  }

  protected toFragments(query: GetObservableRelatedTasksQuery): TaskTableFragment[] {
    return query?.getFederatedObservable?.tasks?.data ?? [];
  }
}
