import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ObservableIdBaseHashableObservableFragment = {
  __typename: 'BaseHashableObservable';
  id: string;
  observableType?: string | undefined;
};

export type ObservableIdBaseHostFragment = { __typename: 'BaseHost'; id: string; observableType?: string | undefined };

export type ObservableIdBaseObservableFragment = {
  __typename: 'BaseObservable';
  id: string;
  observableType?: string | undefined;
};

export type ObservableIdDomainNameFragment = {
  __typename: 'DomainName';
  id: string;
  observableType?: string | undefined;
};

export type ObservableIdDomainToDomainResolutionFragment = {
  __typename: 'DomainToDomainResolution';
  id: string;
  observableType?: string | undefined;
};

export type ObservableIdDomainToIpAddressResolutionFragment = {
  __typename: 'DomainToIPAddressResolution';
  id: string;
  observableType?: string | undefined;
};

export type ObservableIdEmailAddressFragment = {
  __typename: 'EmailAddress';
  id: string;
  observableType?: string | undefined;
};

export type ObservableIdEmailMessageFragment = {
  __typename: 'EmailMessage';
  id: string;
  observableType?: string | undefined;
};

export type ObservableIdEmailMessageEmailAddressRelationshipFragment = {
  __typename: 'EmailMessageEmailAddressRelationship';
  id: string;
  observableType?: string | undefined;
};

export type ObservableIdEmailMessagePartsRelationshipFragment = {
  __typename: 'EmailMessagePartsRelationship';
  id: string;
  observableType?: string | undefined;
};

export type ObservableIdFileReferenceFragment = {
  __typename: 'FileReference';
  id: string;
  observableType?: string | undefined;
};

export type ObservableIdIpAddressFragment = {
  __typename: 'IPAddress';
  id: string;
  observableType?: string | undefined;
};

export type ObservableIdIpAddressToDomainResolutionFragment = {
  __typename: 'IPAddressToDomainResolution';
  id: string;
  observableType?: string | undefined;
};

export type ObservableIdUrlFragment = { __typename: 'URL'; id: string; observableType?: string | undefined };

export type ObservableIdFragment =
  | ObservableIdBaseHashableObservableFragment
  | ObservableIdBaseHostFragment
  | ObservableIdBaseObservableFragment
  | ObservableIdDomainNameFragment
  | ObservableIdDomainToDomainResolutionFragment
  | ObservableIdDomainToIpAddressResolutionFragment
  | ObservableIdEmailAddressFragment
  | ObservableIdEmailMessageFragment
  | ObservableIdEmailMessageEmailAddressRelationshipFragment
  | ObservableIdEmailMessagePartsRelationshipFragment
  | ObservableIdFileReferenceFragment
  | ObservableIdIpAddressFragment
  | ObservableIdIpAddressToDomainResolutionFragment
  | ObservableIdUrlFragment;

export type ObservableFederationIdDomainNameFragment = {
  __typename: 'DomainName';
  id: string;
  observableType?: string | undefined;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type ObservableFederationIdDomainToDomainResolutionFragment = {
  __typename: 'DomainToDomainResolution';
  id: string;
  observableType?: string | undefined;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type ObservableFederationIdDomainToIpAddressResolutionFragment = {
  __typename: 'DomainToIPAddressResolution';
  id: string;
  observableType?: string | undefined;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type ObservableFederationIdEmailAddressFragment = {
  __typename: 'EmailAddress';
  id: string;
  observableType?: string | undefined;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type ObservableFederationIdEmailMessageFragment = {
  __typename: 'EmailMessage';
  id: string;
  observableType?: string | undefined;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type ObservableFederationIdFileReferenceFragment = {
  __typename: 'FileReference';
  id: string;
  observableType?: string | undefined;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type ObservableFederationIdIpAddressFragment = {
  __typename: 'IPAddress';
  id: string;
  observableType?: string | undefined;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type ObservableFederationIdIpAddressToDomainResolutionFragment = {
  __typename: 'IPAddressToDomainResolution';
  id: string;
  observableType?: string | undefined;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type ObservableFederationIdUrlFragment = {
  __typename: 'URL';
  id: string;
  observableType?: string | undefined;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type ObservableFederationIdFragment =
  | ObservableFederationIdDomainNameFragment
  | ObservableFederationIdDomainToDomainResolutionFragment
  | ObservableFederationIdDomainToIpAddressResolutionFragment
  | ObservableFederationIdEmailAddressFragment
  | ObservableFederationIdEmailMessageFragment
  | ObservableFederationIdFileReferenceFragment
  | ObservableFederationIdIpAddressFragment
  | ObservableFederationIdIpAddressToDomainResolutionFragment
  | ObservableFederationIdUrlFragment;

export const ObservableIdFragmentDoc = gql`
  fragment observableId on Observable {
    id
    observableType
    __typename
  }
`;
export const ObservableFederationIdFragmentDoc = gql`
  fragment observableFederationId on ObservableFederationBase {
    id
    observableType
    observableTypeEnum
    __typename
  }
`;
