import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ObservableBaseViewModule } from '@orion/observable-components/base-view';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';
import { EntityToolbarModule } from '@orion/shared-components/entity-toolbar';
import { TabLabelsModule } from '@orion/shared-components/tab-labels';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionTabsModule } from '@csirtmu-orion/microframework/tabs';
import { ObservableOverviewTabContentDirective } from './observable-overview-tab-content.directive';
import {
  ObservableCtiEntriesModule,
  ObservableDetailTabsComponent,
  ObservableRelatedCasesModule,
  ObservableRelatedTasksModule,
  ObservableSharedDetailMainContentComponent,
} from './observable-shared-detail-main-content';
import { ObservableSharedDetailPageComponent } from './observable-shared-detail-page.component';
import { EntityToolbarInfoModule } from '@orion/user-components/shared';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';

@NgModule({
  declarations: [
    ObservableSharedDetailPageComponent,
    ObservableDetailTabsComponent,
    ObservableOverviewTabContentDirective,
    ObservableSharedDetailMainContentComponent,
  ],
  imports: [
    CommonModule,
    SentinelPipesModule,
    OrionTabsModule,
    SLetModule,
    TabLabelsModule,
    ObservableRelatedTasksModule,
    ObservableRelatedCasesModule,
    EntityToolbarModule,
    ObservableBaseViewModule,
    EntityDetailPageModule,
    ObservableCtiEntriesModule,
    EntityToolbarInfoModule,
    OrionTimeAgoModule,
  ],
  exports: [ObservableSharedDetailPageComponent, ObservableOverviewTabContentDirective],
})
export class ObservableSharedDetailPageModule {}
