import { gql } from 'apollo-angular';

export type ObservableSharedDetailBaseHashableObservableFragment = {
  __typename: 'BaseHashableObservable';
  observableType?: string | undefined;
  id: string;
};

export type ObservableSharedDetailBaseHostFragment = {
  __typename: 'BaseHost';
  observableType?: string | undefined;
  id: string;
};

export type ObservableSharedDetailBaseObservableFragment = {
  __typename: 'BaseObservable';
  observableType?: string | undefined;
  id: string;
};

export type ObservableSharedDetailDomainNameFragment = {
  __typename: 'DomainName';
  domainName: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableSharedDetailDomainToDomainResolutionFragment = {
  __typename: 'DomainToDomainResolution';
  observableType?: string | undefined;
  id: string;
  originalDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
  resolutionDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
};

export type ObservableSharedDetailDomainToIpAddressResolutionFragment = {
  __typename: 'DomainToIPAddressResolution';
  observableType?: string | undefined;
  id: string;
  sourceDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
  resolvedIpAddress?:
    | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
    | undefined;
};

export type ObservableSharedDetailEmailAddressFragment = {
  __typename: 'EmailAddress';
  rawEmailAddress: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableSharedDetailEmailMessageFragment = {
  __typename: 'EmailMessage';
  id: string;
  subject?: string | undefined;
  observableType?: string | undefined;
};

export type ObservableSharedDetailEmailMessageEmailAddressRelationshipFragment = {
  __typename: 'EmailMessageEmailAddressRelationship';
  observableType?: string | undefined;
  id: string;
};

export type ObservableSharedDetailEmailMessagePartsRelationshipFragment = {
  __typename: 'EmailMessagePartsRelationship';
  observableType?: string | undefined;
  id: string;
};

export type ObservableSharedDetailFileReferenceFragment = {
  __typename: 'FileReference';
  name: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableSharedDetailIpAddressFragment = {
  __typename: 'IPAddress';
  observableType?: string | undefined;
  id: string;
  address: { __typename?: 'IPNetworkAddressType'; compressed: string };
};

export type ObservableSharedDetailIpAddressToDomainResolutionFragment = {
  __typename: 'IPAddressToDomainResolution';
  observableType?: string | undefined;
  id: string;
  sourceIpAddress?:
    | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
    | undefined;
  resolvedDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
};

export type ObservableSharedDetailUrlFragment = {
  __typename: 'URL';
  rawUrl: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableSharedDetailFragment =
  | ObservableSharedDetailBaseHashableObservableFragment
  | ObservableSharedDetailBaseHostFragment
  | ObservableSharedDetailBaseObservableFragment
  | ObservableSharedDetailDomainNameFragment
  | ObservableSharedDetailDomainToDomainResolutionFragment
  | ObservableSharedDetailDomainToIpAddressResolutionFragment
  | ObservableSharedDetailEmailAddressFragment
  | ObservableSharedDetailEmailMessageFragment
  | ObservableSharedDetailEmailMessageEmailAddressRelationshipFragment
  | ObservableSharedDetailEmailMessagePartsRelationshipFragment
  | ObservableSharedDetailFileReferenceFragment
  | ObservableSharedDetailIpAddressFragment
  | ObservableSharedDetailIpAddressToDomainResolutionFragment
  | ObservableSharedDetailUrlFragment;

export const ObservableSharedDetailFragmentDoc = gql`
  fragment observableSharedDetail on Observable {
    ...observableBaseView
    ...observableId
  }
`;
