import { ChangeDetectionStrategy, Component } from '@angular/core';
import { ObservableLinkOrdEnum } from '@orion/graphql-types';
import { ObservableLinkFilterChipsService, ObservableLinkFilterService } from '@orion/observable-components/filters';
import { ObservableLinkClientFilter } from '@orion/observable-types';
import {
  INIT_PAGINATION_EVENT_BASE_TOKEN,
  PaginationBaseInit,
  PaginationService,
  QueryParamPaginationService,
} from '@csirtmu-orion/microframework/pagination-services';
import { EntityPaginableFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { CtiEntryDetailTabObservablesFragment } from './graphql';
import { ObservableLinkOverviewService } from './observable-link-overview.service';

@Component({
  selector: 'orion-cti-entry-detail-tab-observables',
  templateUrl: './cti-entry-detail-tab-observables.component.html',
  styleUrls: ['./cti-entry-detail-tab-observables.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    ObservableLinkOverviewService,
    ObservableLinkFilterService,
    ObservableLinkFilterChipsService,
    { provide: PaginationService, useClass: QueryParamPaginationService },
    {
      provide: INIT_PAGINATION_EVENT_BASE_TOKEN,
      useValue: new PaginationBaseInit(25, ObservableLinkOrdEnum.OBSERVABLE_LINK_TYPE, 'asc'),
    },
  ],
})
export class CtiEntryDetailTabObservablesComponent extends EntityPaginableFilterableSmartOverviewDirective<
  CtiEntryDetailTabObservablesFragment,
  ObservableLinkClientFilter
> {
  constructor(
    protected observableLinkService: ObservableLinkOverviewService,
    protected filterService: ObservableLinkFilterService,
    protected filterChipsService: ObservableLinkFilterChipsService,
    protected paginationService: PaginationService
  ) {
    super(observableLinkService, filterService, paginationService, filterChipsService);
  }
}
