import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ObservableBaseViewModule } from '@orion/observable-components/base-view';
import { ObservableLinkFiltersModule } from '@orion/observable-components/filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { CtiEntryDetailTabObservablesComponent } from './cti-entry-detail-tab-observables.component';
import { ObservableLinkTableComponent } from './observable-link-table';

@NgModule({
  declarations: [ObservableLinkTableComponent, CtiEntryDetailTabObservablesComponent],
  imports: [
    CommonModule,
    OrionFilterModule,
    SentinelPipesModule,
    OrionCardModule,
    ObservableLinkFiltersModule,
    OrionSkeletonLoadingModule,
    SentinelErrorModule,
    SentinelTableModule,
    ObservableBaseViewModule,
  ],
  exports: [CtiEntryDetailTabObservablesComponent],
})
export class CtiEntryDetailTabObservablesModule {}
