import * as SchemaTypes from '../../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { CtiEntryDetailTabObservablesFragmentDoc } from './cti-entry-detail-tab-observables.fragment.generated';
import { ObservableLinkTableElementFragmentDoc } from '../observable-link-table/observable-link-table.fragment.generated';
import { ObservableBaseViewFragmentDoc } from '../../../../../shared/observable-base-view/observable-base-view.fragment.generated';
import { ObservableIdFragmentDoc } from '../../../../../detail-shared/observable-shared-detail-main-content/observable-id/observable-id.fragment.generated';
import { Injectable } from '@angular/core';

export type GetObservableLinkOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.ObservableLinkFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.ObservableLinkOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetObservableLinkOverviewQuery = {
  __typename?: 'Query';
  getObservableLinkList: {
    __typename?: 'ObservableLinkPaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'ObservableLink';
      id: string;
      observableLinkType?: SchemaTypes.ObservableLinkTypeEnum | undefined;
      observable?:
        | { __typename: 'BaseHashableObservable'; observableType?: string | undefined; id: string }
        | { __typename: 'BaseHost'; observableType?: string | undefined; id: string }
        | { __typename: 'BaseObservable'; observableType?: string | undefined; id: string }
        | { __typename: 'DomainName'; domainName: string; observableType?: string | undefined; id: string }
        | {
            __typename: 'DomainToDomainResolution';
            observableType?: string | undefined;
            id: string;
            originalDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
            resolutionDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
          }
        | {
            __typename: 'DomainToIPAddressResolution';
            observableType?: string | undefined;
            id: string;
            sourceDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
            resolvedIpAddress?:
              | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
              | undefined;
          }
        | { __typename: 'EmailAddress'; rawEmailAddress: string; observableType?: string | undefined; id: string }
        | { __typename: 'EmailMessage'; id: string; subject?: string | undefined; observableType?: string | undefined }
        | { __typename: 'EmailMessageEmailAddressRelationship'; observableType?: string | undefined; id: string }
        | { __typename: 'EmailMessagePartsRelationship'; observableType?: string | undefined; id: string }
        | { __typename: 'FileReference'; name: string; observableType?: string | undefined; id: string }
        | {
            __typename: 'IPAddress';
            observableType?: string | undefined;
            id: string;
            address: { __typename?: 'IPNetworkAddressType'; compressed: string };
          }
        | {
            __typename: 'IPAddressToDomainResolution';
            observableType?: string | undefined;
            id: string;
            sourceIpAddress?:
              | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
              | undefined;
            resolvedDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
          }
        | { __typename: 'URL'; rawUrl: string; observableType?: string | undefined; id: string }
        | undefined;
    }>;
  };
};

export const GetObservableLinkOverviewDocument = gql`
  query getObservableLinkOverview(
    $filter: [ObservableLinkFilter1ANDFilterEntry!]
    $order: [ObservableLinkOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getObservableLinkList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...ctiEntryDetailTabObservables
      }
      previous
      next
      totalCount
    }
  }
  ${CtiEntryDetailTabObservablesFragmentDoc}
  ${ObservableLinkTableElementFragmentDoc}
  ${ObservableBaseViewFragmentDoc}
  ${ObservableIdFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetObservableLinkOverviewQueryService extends Apollo.Query<
  GetObservableLinkOverviewQuery,
  GetObservableLinkOverviewQueryVariables
> {
  document = GetObservableLinkOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
