import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { PaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ObservableLinkTable } from './observable-link-table';
import { ObservableLinkTableElementFragment } from './observable-link-table.fragment.generated';

@Component({
  selector: 'orion-observable-link-table',
  templateUrl: './observable-link-table.component.html',
  styleUrls: ['./observable-link-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ObservableLinkTableComponent extends PaginatedEntityTableDirective<
  ObservableLinkTableElementFragment,
  ObservableLinkTable
> {
  protected createTable(entities: IPaginatedElements<ObservableLinkTableElementFragment>): ObservableLinkTable {
    return new ObservableLinkTable(entities);
  }
}
