import { ObservableLinkOrdEnum } from '@orion/graphql-types';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column, Row, SentinelTable } from '@sentinel/components/table';
import { ObservableLinkTableElementFragment } from './observable-link-table.fragment.generated';

export class ObservableLinkTable extends SentinelTable<ObservableLinkTableElementFragment> {
  constructor(resources: IPaginatedElements<ObservableLinkTableElementFragment>) {
    const columns = [
      new Column('observable', 'Observable', false),
      new Column('link', 'Link Type', true, ObservableLinkOrdEnum.OBSERVABLE_LINK_TYPE),
    ];
    const rows = resources.elements.map((element) => new Row(element));
    super(rows, columns);
    this.pagination = resources.pagination;
  }
}
