import { ChangeDetectionStrategy, Component } from '@angular/core';
import { TtpLinkOrdEnum } from '@orion/graphql-types';
import { TtpLinkFilterChipsService, TtpLinkFilterService } from '@orion/observable-components/filters';
import { TtpLinkClientFilter } from '@orion/observable-types';
import {
  INIT_PAGINATION_EVENT_BASE_TOKEN,
  PaginationBaseInit,
  PaginationService,
  QueryParamPaginationService,
} from '@csirtmu-orion/microframework/pagination-services';
import { EntityPaginableFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { CtiEntryDetailTabTtpsFragment } from './graphql';
import { TtpLinkOverviewService } from './ttp-link-overview.service';

@Component({
  selector: 'orion-cti-entry-detail-tab-ttps',
  templateUrl: './cti-entry-detail-tab-ttps.component.html',
  styleUrls: ['./cti-entry-detail-tab-ttps.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    TtpLinkOverviewService,
    TtpLinkFilterService,
    TtpLinkFilterChipsService,
    { provide: PaginationService, useClass: QueryParamPaginationService },
    {
      provide: INIT_PAGINATION_EVENT_BASE_TOKEN,
      useValue: new PaginationBaseInit(25, TtpLinkOrdEnum.TTP_META_LINK_TYPE, 'desc'),
    },
  ],
})
export class CtiEntryDetailTabTtpsComponent extends EntityPaginableFilterableSmartOverviewDirective<
  CtiEntryDetailTabTtpsFragment,
  TtpLinkClientFilter
> {
  constructor(
    protected ttpLinkService: TtpLinkOverviewService,
    protected filterService: TtpLinkFilterService,
    protected filterChipsService: TtpLinkFilterChipsService,
    protected paginationService: PaginationService
  ) {
    super(ttpLinkService, filterService, paginationService, filterChipsService);
  }
}
