import * as SchemaTypes from '../../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { CtiEntryDetailTabTtpsFragmentDoc } from './cti-entry-detail-tab-ttps.fragment.generated';
import { TtpLinkTableElementFragmentDoc } from '../ttp-link-table/ttp-link-table.fragment.generated';
import { Injectable } from '@angular/core';

export type GetTttpLinkOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.TtpLinkFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.TtpLinkOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetTttpLinkOverviewQuery = {
  __typename?: 'Query';
  getTtpLinkList: {
    __typename?: 'TTPLinkPaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'TTPLink';
      id: string;
      ttpMetaLinkType?: string | undefined;
      ttpMeta?: { __typename: 'TTPMeta'; ttpId: string } | undefined;
    }>;
  };
};

export const GetTttpLinkOverviewDocument = gql`
  query getTttpLinkOverview(
    $filter: [TTPLinkFilter1ANDFilterEntry!]
    $order: [TTPLinkOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getTtpLinkList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...ctiEntryDetailTabTtps
      }
      previous
      next
      totalCount
    }
  }
  ${CtiEntryDetailTabTtpsFragmentDoc}
  ${TtpLinkTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetTttpLinkOverviewQueryService extends Apollo.Query<
  GetTttpLinkOverviewQuery,
  GetTttpLinkOverviewQueryVariables
> {
  document = GetTttpLinkOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
