import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { PaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { TtpLinkTable } from './ttp-link-table';
import { TtpLinkTableElementFragment } from './ttp-link-table.fragment.generated';

@Component({
  selector: 'orion-ttp-link-table',
  templateUrl: './ttp-link-table.component.html',
  styleUrls: ['./ttp-link-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TtpLinkTableComponent extends PaginatedEntityTableDirective<TtpLinkTableElementFragment, TtpLinkTable> {
  protected createTable(entities: IPaginatedElements<TtpLinkTableElementFragment>): TtpLinkTable {
    return new TtpLinkTable(entities);
  }
}
