import { TtpLinkOrdEnum } from '@orion/graphql-types';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column, Row, SentinelTable } from '@sentinel/components/table';
import { TtpLinkTableElementFragment } from './ttp-link-table.fragment.generated';

export class TtpLinkTable extends SentinelTable<TtpLinkTableElementFragment> {
  constructor(resources: IPaginatedElements<TtpLinkTableElementFragment>) {
    const columns = [
      new Column('ttp', 'TTP', false),
      new Column('link', 'Link Type', true, TtpLinkOrdEnum.TTP_META_LINK_TYPE),
    ];
    const rows = resources.elements.map((element) => new Row(element));
    super(rows, columns);
    this.pagination = resources.pagination;
  }
}
