import { ChangeDetectionStrategy, Component } from '@angular/core';
import { ObservableNavigator } from '@orion/observable-services';
import { TTPNavigator } from '@orion/ttps-services';
import {
  EntityDetailTabsDirective,
  OrionQueryParamTabService,
  OrionTabService,
  TABS_TOKEN,
} from '@csirtmu-orion/microframework/tabs';
import { CtiEntryDetailFragment } from '../graphql';

@Component({
  selector: 'orion-cti-entry-detail-tabs',
  templateUrl: './cti-entry-detail-tabs.component.html',
  styleUrls: ['./cti-entry-detail-tabs.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    ObservableNavigator,
    TTPNavigator,
    { provide: OrionTabService, useClass: OrionQueryParamTabService },
    { provide: TABS_TOKEN, useValue: ['overview', 'observables', 'ttps'] },
  ],
})
export class CtiEntryDetailTabsComponent extends EntityDetailTabsDirective<CtiEntryDetailFragment> {
  constructor(protected tabService: OrionTabService) {
    super(tabService);
  }
}
