import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { CtiEntryDetailFragmentDoc } from './cti-entry-detail.fragment.generated';
import { CtiEntryExternalUrlFragmentDoc } from '../../../shared/cti-entry-external-url/cti-entry-external-url.fragment.generated';
import { CtiEntryDetailTabOverviewFragmentDoc } from '../cti-entry-detail-tabs/cti-entry-detail-tab-overview/cti-entry-detail-tab-overview.fragment.generated';
import { CtiEntrySourceSpecifierCardFragmentDoc } from '../cti-entry-detail-tabs/cti-entry-detail-tab-overview/cti-entry-source-specifier-card/cti-entry-source-specifier-card.fragment.generated';
import { Injectable } from '@angular/core';

export type GetCtiEntryDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetCtiEntryDetailQuery = {
  __typename?: 'Query';
  getCtiEntry?:
    | {
        __typename?: 'CTIEntry';
        id: string;
        created?: any | undefined;
        externalReference?: string | undefined;
        sourceSpecifier?:
          | {
              __typename?: 'SourceSpecifier';
              id: string;
              globalUuid: string;
              dataSource?:
                | {
                    __typename?: 'DataSource';
                    baseUrl?: string | undefined;
                    id: string;
                    description?: string | undefined;
                    name: string;
                    type: string;
                  }
                | undefined;
              entryType?:
                | { __typename?: 'EntryType'; id: string; name: string; description?: string | undefined }
                | undefined;
            }
          | undefined;
      }
    | undefined;
};

export const GetCtiEntryDetailDocument = gql`
  query getCtiEntryDetail($id: ID!) {
    getCtiEntry(id: $id) {
      ...ctiEntryDetail
    }
  }
  ${CtiEntryDetailFragmentDoc}
  ${CtiEntryExternalUrlFragmentDoc}
  ${CtiEntryDetailTabOverviewFragmentDoc}
  ${CtiEntrySourceSpecifierCardFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetCtiEntryDetailQueryService extends Apollo.Query<
  GetCtiEntryDetailQuery,
  GetCtiEntryDetailQueryVariables
> {
  document = GetCtiEntryDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
