import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import {
  DomainToDomainResolutionDetailFragment,
  GetDomainToDomainResolutionObservableQuery,
  GetDomainToDomainResolutionObservableQueryService,
  GetDomainToDomainResolutionObservableQueryVariables,
} from '@orion/observable-components/detail-domain-to-domain-resolution-graphql';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import { OBSERVABLE_ID_PARAM_SELECTOR } from '@orion/observable-paths';

@Injectable()
export class DomainToDomainResolutionObservableDetailService extends ApolloRoutedEntityService<
  GetDomainToDomainResolutionObservableQuery,
  GetDomainToDomainResolutionObservableQueryVariables,
  DomainToDomainResolutionDetailFragment
> {
  constructor(getQuery: GetDomainToDomainResolutionObservableQueryService, activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching domain to domain resolution');
  }

  protected createVariables(entityId: string): GetDomainToDomainResolutionObservableQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(OBSERVABLE_ID_PARAM_SELECTOR);
  }

  protected toFragment(
    query: GetDomainToDomainResolutionObservableQuery
  ): Optional<DomainToDomainResolutionDetailFragment> {
    return query.getDomainToDomainResolution;
  }
}
