import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { DomainToDomainResolutionDetailFragmentDoc } from './domain-to-domain-resolution-detail.fragment.generated';
import { ObservableSharedDetailFragmentDoc } from '../../../detail-shared/observable-shared-detail.fragment.generated';
import { ObservableBaseViewFragmentDoc } from '../../../shared/observable-base-view/observable-base-view.fragment.generated';
import { ObservableIdFragmentDoc } from '../../../detail-shared/observable-shared-detail-main-content/observable-id/observable-id.fragment.generated';
import { DomainToDomainResolutionObservableDetailCardFragmentDoc } from '../domain-to-domain-resolution-observable-detail-card/domain-to-domain-resolution-observable-detail-card.fragment.generated';
import { Injectable } from '@angular/core';

export type GetDomainToDomainResolutionObservableQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetDomainToDomainResolutionObservableQuery = {
  __typename?: 'Query';
  getDomainToDomainResolution?:
    | {
        __typename: 'DomainToDomainResolution';
        domainToDomainFirstSeen?: any | undefined;
        domainToDomainLastSeen?: any | undefined;
        description?: string | undefined;
        observableType?: string | undefined;
        id: string;
        originalDomain?:
          | { __typename: 'DomainName'; domainName: string; observableType?: string | undefined; id: string }
          | undefined;
        resolutionDomain?:
          | { __typename: 'DomainName'; domainName: string; observableType?: string | undefined; id: string }
          | undefined;
      }
    | undefined;
};

export const GetDomainToDomainResolutionObservableDocument = gql`
  query getDomainToDomainResolutionObservable($id: ID!) {
    getDomainToDomainResolution(id: $id) {
      ...domainToDomainResolutionDetail
    }
  }
  ${DomainToDomainResolutionDetailFragmentDoc}
  ${ObservableSharedDetailFragmentDoc}
  ${ObservableBaseViewFragmentDoc}
  ${ObservableIdFragmentDoc}
  ${DomainToDomainResolutionObservableDetailCardFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetDomainToDomainResolutionObservableQueryService extends Apollo.Query<
  GetDomainToDomainResolutionObservableQuery,
  GetDomainToDomainResolutionObservableQueryVariables
> {
  document = GetDomainToDomainResolutionObservableDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
