import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import {
  DomainToIpAddressResolutionObservableFragment,
  GetDomainToIpAddressResolutionObservableQuery,
  GetDomainToIpAddressResolutionObservableQueryService,
  GetDomainToIpAddressResolutionObservableQueryVariables,
} from '@orion/observable-components/detail-domain-to-ip-address-resolution-graphql';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import { OBSERVABLE_ID_PARAM_SELECTOR } from '@orion/observable-paths';

@Injectable()
export class DomainToIpAddressResolutionObservableDetailService extends ApolloRoutedEntityService<
  GetDomainToIpAddressResolutionObservableQuery,
  GetDomainToIpAddressResolutionObservableQueryVariables,
  DomainToIpAddressResolutionObservableFragment
> {
  constructor(getQuery: GetDomainToIpAddressResolutionObservableQueryService, activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching domain to IP address resolution observable');
  }

  protected createVariables(entityId: string): GetDomainToIpAddressResolutionObservableQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(OBSERVABLE_ID_PARAM_SELECTOR);
  }

  protected toFragment(
    query: GetDomainToIpAddressResolutionObservableQuery
  ): Optional<DomainToIpAddressResolutionObservableFragment> {
    return query?.getDomainToIpAddressResolution;
  }
}
