import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { DomainToIpAddressResolutionObservableFragmentDoc } from './domain-to-ip-address-resolution-observable-detail.fragment.generated';
import { ObservableSharedDetailFragmentDoc } from '../../../detail-shared/observable-shared-detail.fragment.generated';
import { ObservableBaseViewFragmentDoc } from '../../../shared/observable-base-view/observable-base-view.fragment.generated';
import { ObservableIdFragmentDoc } from '../../../detail-shared/observable-shared-detail-main-content/observable-id/observable-id.fragment.generated';
import { DomainToIpAddressResolutionObservableDetailCardFragmentDoc } from '../domain-to-ip-address-resolution-observable-detail-card/domain-to-ip-address-resolution-observable-detail-card.fragment.generated';
import { Injectable } from '@angular/core';

export type GetDomainToIpAddressResolutionObservableQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetDomainToIpAddressResolutionObservableQuery = {
  __typename?: 'Query';
  getDomainToIpAddressResolution?:
    | {
        __typename: 'DomainToIPAddressResolution';
        domainToIpFirstSeen?: any | undefined;
        domainToIpLastSeen?: any | undefined;
        description?: string | undefined;
        observableType?: string | undefined;
        id: string;
        sourceDomain?:
          | { __typename: 'DomainName'; domainName: string; observableType?: string | undefined; id: string }
          | undefined;
        resolvedIpAddress?:
          | {
              __typename: 'IPAddress';
              observableType?: string | undefined;
              id: string;
              address: { __typename?: 'IPNetworkAddressType'; compressed: string };
            }
          | undefined;
      }
    | undefined;
};

export const GetDomainToIpAddressResolutionObservableDocument = gql`
  query getDomainToIpAddressResolutionObservable($id: ID!) {
    getDomainToIpAddressResolution(id: $id) {
      ...domainToIpAddressResolutionObservable
    }
  }
  ${DomainToIpAddressResolutionObservableFragmentDoc}
  ${ObservableSharedDetailFragmentDoc}
  ${ObservableBaseViewFragmentDoc}
  ${ObservableIdFragmentDoc}
  ${DomainToIpAddressResolutionObservableDetailCardFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetDomainToIpAddressResolutionObservableQueryService extends Apollo.Query<
  GetDomainToIpAddressResolutionObservableQuery,
  GetDomainToIpAddressResolutionObservableQueryVariables
> {
  document = GetDomainToIpAddressResolutionObservableDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
