import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import {
  DomainObservableDetailFragment,
  GetDomainObservableQuery,
  GetDomainObservableQueryService,
  GetDomainObservableQueryVariables,
} from '@orion/observable-components/detail-domain-graphql';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import { OBSERVABLE_ID_PARAM_SELECTOR } from '@orion/observable-paths';

@Injectable()
export class DomainObservableDetailService extends ApolloRoutedEntityService<
  GetDomainObservableQuery,
  GetDomainObservableQueryVariables,
  DomainObservableDetailFragment
> {
  constructor(getQuery: GetDomainObservableQueryService, activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching domain');
  }

  protected createVariables(entityId: string): GetDomainObservableQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(OBSERVABLE_ID_PARAM_SELECTOR);
  }

  protected toFragment(query: GetDomainObservableQuery): Optional<DomainObservableDetailFragment> {
    return query?.getDomainName;
  }
}
