import { gql } from 'apollo-angular';

export type DomainObservableDetailFragment = {
  __typename: 'DomainName';
  description?: string | undefined;
  domainName: string;
  observableType?: string | undefined;
  id: string;
  resolvedFromDomains?:
    | {
        __typename?: 'DomainToDomainResolutionNestedList';
        totalCount: number;
        data: Array<{
          __typename: 'DomainToDomainResolution';
          observableType?: string | undefined;
          id: string;
          originalDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
          resolutionDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
        }>;
      }
    | undefined;
  resolvesToDomains?:
    | {
        __typename?: 'DomainToDomainResolutionNestedList';
        totalCount: number;
        data: Array<{
          __typename: 'DomainToDomainResolution';
          observableType?: string | undefined;
          id: string;
          originalDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
          resolutionDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
        }>;
      }
    | undefined;
  domainResolvedFromIps?:
    | {
        __typename?: 'IPAddressToDomainResolutionNestedList';
        totalCount: number;
        data: Array<{
          __typename: 'IPAddressToDomainResolution';
          observableType?: string | undefined;
          id: string;
          sourceIpAddress?:
            | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
            | undefined;
          resolvedDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
        }>;
      }
    | undefined;
  domainResolvesToIps?:
    | {
        __typename?: 'DomainToIPAddressResolutionNestedList';
        totalCount: number;
        data: Array<{
          __typename: 'DomainToIPAddressResolution';
          observableType?: string | undefined;
          id: string;
          sourceDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
          resolvedIpAddress?:
            | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
            | undefined;
        }>;
      }
    | undefined;
  urls?:
    | {
        __typename?: 'URLNestedList';
        totalCount: number;
        data: Array<{ __typename: 'URL'; rawUrl: string; observableType?: string | undefined; id: string }>;
      }
    | undefined;
  emails?:
    | {
        __typename?: 'EmailAddressNestedList';
        totalCount: number;
        data: Array<{
          __typename: 'EmailAddress';
          rawEmailAddress: string;
          observableType?: string | undefined;
          id: string;
        }>;
      }
    | undefined;
};

export const DomainObservableDetailFragmentDoc = gql`
  fragment domainObservableDetail on DomainName {
    ...observableSharedDetail
    description
    resolvedFromDomains {
      data {
        ...observableTable
      }
      totalCount
    }
    resolvesToDomains {
      data {
        ...observableTable
      }
      totalCount
    }
    domainResolvedFromIps {
      data {
        ...observableTable
      }
      totalCount
    }
    domainResolvesToIps {
      data {
        ...observableTable
      }
      totalCount
    }
    urls {
      data {
        ...observableTable
      }
      totalCount
    }
    emails {
      data {
        ...observableTable
      }
      totalCount
    }
  }
`;
