import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { DomainObservableDetailFragmentDoc } from './domain-observable-detail.fragment.generated';
import { ObservableSharedDetailFragmentDoc } from '../../../detail-shared/observable-shared-detail.fragment.generated';
import { ObservableBaseViewFragmentDoc } from '../../../shared/observable-base-view/observable-base-view.fragment.generated';
import { ObservableIdFragmentDoc } from '../../../detail-shared/observable-shared-detail-main-content/observable-id/observable-id.fragment.generated';
import { ObservableTableFragmentDoc } from '../../../shared/observable-table/observable-table.fragment.generated';
import { Injectable } from '@angular/core';

export type GetDomainObservableQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetDomainObservableQuery = {
  __typename?: 'Query';
  getDomainName?:
    | {
        __typename: 'DomainName';
        description?: string | undefined;
        domainName: string;
        observableType?: string | undefined;
        id: string;
        resolvedFromDomains?:
          | {
              __typename?: 'DomainToDomainResolutionNestedList';
              totalCount: number;
              data: Array<{
                __typename: 'DomainToDomainResolution';
                observableType?: string | undefined;
                id: string;
                originalDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
                resolutionDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
              }>;
            }
          | undefined;
        resolvesToDomains?:
          | {
              __typename?: 'DomainToDomainResolutionNestedList';
              totalCount: number;
              data: Array<{
                __typename: 'DomainToDomainResolution';
                observableType?: string | undefined;
                id: string;
                originalDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
                resolutionDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
              }>;
            }
          | undefined;
        domainResolvedFromIps?:
          | {
              __typename?: 'IPAddressToDomainResolutionNestedList';
              totalCount: number;
              data: Array<{
                __typename: 'IPAddressToDomainResolution';
                observableType?: string | undefined;
                id: string;
                sourceIpAddress?:
                  | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
                  | undefined;
                resolvedDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
              }>;
            }
          | undefined;
        domainResolvesToIps?:
          | {
              __typename?: 'DomainToIPAddressResolutionNestedList';
              totalCount: number;
              data: Array<{
                __typename: 'DomainToIPAddressResolution';
                observableType?: string | undefined;
                id: string;
                sourceDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
                resolvedIpAddress?:
                  | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
                  | undefined;
              }>;
            }
          | undefined;
        urls?:
          | {
              __typename?: 'URLNestedList';
              totalCount: number;
              data: Array<{ __typename: 'URL'; rawUrl: string; observableType?: string | undefined; id: string }>;
            }
          | undefined;
        emails?:
          | {
              __typename?: 'EmailAddressNestedList';
              totalCount: number;
              data: Array<{
                __typename: 'EmailAddress';
                rawEmailAddress: string;
                observableType?: string | undefined;
                id: string;
              }>;
            }
          | undefined;
      }
    | undefined;
};

export const GetDomainObservableDocument = gql`
  query getDomainObservable($id: ID!) {
    getDomainName(id: $id) {
      ...domainObservableDetail
    }
  }
  ${DomainObservableDetailFragmentDoc}
  ${ObservableSharedDetailFragmentDoc}
  ${ObservableBaseViewFragmentDoc}
  ${ObservableIdFragmentDoc}
  ${ObservableTableFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetDomainObservableQueryService extends Apollo.Query<
  GetDomainObservableQuery,
  GetDomainObservableQueryVariables
> {
  document = GetDomainObservableDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
