import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ObservableBaseViewModule } from '@orion/observable-components/base-view';
import { ObservableSharedDetailPageModule } from '@orion/observable-components/detail-shared';
import { ObservableTableModule } from '@orion/observable-components/shared-observable-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { EmailAddressDetailCardComponent } from './email-address-detail-card';
import { EmailAddressObservableDetailPageComponent } from './email-address-observable-detail-page.component';
import { RelationshipToEmailMessagesPipe } from './relationship-to-email-messages.pipe';
import { MatIconModule } from '@angular/material/icon';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';

@NgModule({
  declarations: [
    EmailAddressObservableDetailPageComponent,
    EmailAddressDetailCardComponent,
    RelationshipToEmailMessagesPipe,
  ],
  imports: [
    CommonModule,
    SentinelPipesModule,
    SLetModule,
    ObservableSharedDetailPageModule,
    OrionCardModule,
    OrionAttributeModule,
    ObservableTableModule,
    ObservableBaseViewModule,
    OrionPanelModule,
    MatIconModule,
    OrionBadgeModule,
  ],
  exports: [EmailAddressObservableDetailPageComponent],
})
export class EmailAddressObservableDetailPageModule {}
