import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import {
  EmailAddressObservableDetailFragment,
  GetEmailAddressObservableQuery,
  GetEmailAddressObservableQueryService,
  GetEmailAddressObservableQueryVariables,
} from './graphql';
import { OBSERVABLE_ID_PARAM_SELECTOR } from '@orion/observable-paths';

@Injectable()
export class EmailAddressObservableDetailService extends ApolloRoutedEntityService<
  GetEmailAddressObservableQuery,
  GetEmailAddressObservableQueryVariables,
  EmailAddressObservableDetailFragment
> {
  constructor(getQuery: GetEmailAddressObservableQueryService, activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching email address');
  }

  protected createVariables(entityId: string): GetEmailAddressObservableQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(OBSERVABLE_ID_PARAM_SELECTOR);
  }

  protected toFragment(query: GetEmailAddressObservableQuery): Optional<EmailAddressObservableDetailFragment> {
    return query?.getEmailAddress;
  }
}
