import { gql } from 'apollo-angular';

export type EmailAddressObservableDetailFragment = {
  __typename: 'EmailAddress';
  username: string;
  description?: string | undefined;
  rawEmailAddress: string;
  observableType?: string | undefined;
  id: string;
  emailMessages?:
    | {
        __typename?: 'EmailMessageEmailAddressRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'EmailMessageEmailAddressRelationship';
          emailMessage: {
            __typename: 'EmailMessage';
            id: string;
            subject?: string | undefined;
            observableType?: string | undefined;
          };
        }>;
      }
    | undefined;
  emailAddressHost:
    | { __typename?: 'BaseHost'; id: string; observableType?: string | undefined }
    | { __typename?: 'DomainName'; domainName: string; id: string; observableType?: string | undefined }
    | {
        __typename?: 'IPAddress';
        id: string;
        observableType?: string | undefined;
        address: { __typename?: 'IPNetworkAddressType'; compressed: string };
      };
};

export const EmailAddressObservableDetailFragmentDoc = gql`
  fragment emailAddressObservableDetail on EmailAddress {
    ...observableSharedDetail
    ...emailAddressDetailCard
    emailMessages {
      data {
        emailMessage {
          ...observableTable
        }
      }
      totalCount
    }
  }
`;
