import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { EmailAddressObservableDetailFragmentDoc } from './email-address-observable-detail.fragment.generated';
import { ObservableSharedDetailFragmentDoc } from '../../../detail-shared/observable-shared-detail.fragment.generated';
import {
  HostBaseViewFragmentDoc,
  ObservableBaseViewFragmentDoc,
} from '../../../shared/observable-base-view/observable-base-view.fragment.generated';
import { ObservableIdFragmentDoc } from '../../../detail-shared/observable-shared-detail-main-content/observable-id/observable-id.fragment.generated';
import { EmailAddressDetailCardFragmentDoc } from '../email-address-detail-card/email-address-detail-card.fragment.generated';
import { ObservableTableFragmentDoc } from '../../../shared/observable-table/observable-table.fragment.generated';
import { Injectable } from '@angular/core';

export type GetEmailAddressObservableQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetEmailAddressObservableQuery = {
  __typename?: 'Query';
  getEmailAddress?:
    | {
        __typename: 'EmailAddress';
        username: string;
        description?: string | undefined;
        rawEmailAddress: string;
        observableType?: string | undefined;
        id: string;
        emailMessages?:
          | {
              __typename?: 'EmailMessageEmailAddressRelationshipNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'EmailMessageEmailAddressRelationship';
                emailMessage: {
                  __typename: 'EmailMessage';
                  id: string;
                  subject?: string | undefined;
                  observableType?: string | undefined;
                };
              }>;
            }
          | undefined;
        emailAddressHost:
          | { __typename?: 'BaseHost'; id: string; observableType?: string | undefined }
          | { __typename?: 'DomainName'; domainName: string; id: string; observableType?: string | undefined }
          | {
              __typename?: 'IPAddress';
              id: string;
              observableType?: string | undefined;
              address: { __typename?: 'IPNetworkAddressType'; compressed: string };
            };
      }
    | undefined;
};

export const GetEmailAddressObservableDocument = gql`
  query getEmailAddressObservable($id: ID!) {
    getEmailAddress(id: $id) {
      ...emailAddressObservableDetail
    }
  }
  ${EmailAddressObservableDetailFragmentDoc}
  ${ObservableSharedDetailFragmentDoc}
  ${ObservableBaseViewFragmentDoc}
  ${ObservableIdFragmentDoc}
  ${EmailAddressDetailCardFragmentDoc}
  ${HostBaseViewFragmentDoc}
  ${ObservableTableFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetEmailAddressObservableQueryService extends Apollo.Query<
  GetEmailAddressObservableQuery,
  GetEmailAddressObservableQueryVariables
> {
  document = GetEmailAddressObservableDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
