import { gql } from 'apollo-angular';

export type EmailMessageDetailCardFragment = {
  __typename?: 'EmailMessage';
  description?: string | undefined;
  subject?: string | undefined;
  body?: string | undefined;
  rawReference?: string | undefined;
  hashes?:
    | {
        __typename?: 'HashNestedList';
        totalCount: number;
        data: Array<{ __typename?: 'Hash'; hashType?: string | undefined; value?: string | undefined }>;
      }
    | undefined;
  headers?:
    | {
        __typename?: 'EmailHeaderNestedList';
        totalCount: number;
        data: Array<{ __typename?: 'EmailHeader'; id: string; key?: string | undefined; value?: string | undefined }>;
      }
    | undefined;
  parts?:
    | {
        __typename?: 'EmailMessagePartsRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'EmailMessagePartsRelationship';
          partType?: string | undefined;
          file: { __typename: 'FileReference'; name: string; observableType?: string | undefined; id: string };
        }>;
      }
    | undefined;
};

export const EmailMessageDetailCardFragmentDoc = gql`
  fragment emailMessageDetailCard on EmailMessage {
    description
    subject
    body
    rawReference
    hashes {
      data {
        ...hashTableElement
      }
      totalCount
    }
    headers {
      data {
        id
        key
        value
      }
      totalCount
    }
    parts {
      data {
        partType
        file {
          ...observableBaseView
        }
      }
      totalCount
    }
  }
`;
