import { Pipe, PipeTransform } from '@angular/core';
import { EmailMessageDetailCardFragment } from '@orion/observable-components/detail-email-message';
import { ObservableTableFragment } from '@orion/observable-components/shared-observable-table';

@Pipe({
  name: 'emailMessageToFiles',
})
export class EmailMessageToFilesPipe implements PipeTransform {
  transform(message?: EmailMessageDetailCardFragment): ObservableTableFragment[] {
    const files: ObservableTableFragment[] = [];
    message?.parts?.data?.forEach((part) => {
      if (part.file) {
        files.push(part.file as ObservableTableFragment);
      }
    });
    return files;
  }
}
