import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { ObservableBaseViewModule } from '@orion/observable-components/base-view';
import { ObservableSharedDetailPageModule } from '@orion/observable-components/detail-shared';
import { HashTableModule } from '@orion/observable-components/shared-hash-table';
import { ObservableTableModule } from '@orion/observable-components/shared-observable-table';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionInlineListModule } from '@csirtmu-orion/microframework/inline-list';
import { OrionKeyValueListModule } from '@csirtmu-orion/microframework/key-value-list';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { HighlightModule } from 'ngx-highlightjs';
import { EmailMessageDetailCardComponent } from './email-message-detail-card';
import { HeadersToObjectEntriesPipe } from './email-message-detail-card/headers-to-object-entries.pipe';
import { EmailMessageToFilesPipe } from './email-message-detail-card/part-relationship-to-files.pipe';
import { EmailMessageObservableDetailPageComponent } from './email-message-observable-detail-page.component';
import { RelationshipToEmailAddressesPipe } from './relationship-to-email-addresses.pipe';

@NgModule({
  declarations: [
    EmailMessageObservableDetailPageComponent,
    EmailMessageDetailCardComponent,
    RelationshipToEmailAddressesPipe,
    HeadersToObjectEntriesPipe,
    EmailMessageToFilesPipe,
  ],
  imports: [
    CommonModule,
    SLetModule,
    HighlightModule,
    SentinelPipesModule,
    ObservableSharedDetailPageModule,
    OrionCardModule,
    ObservableTableModule,
    OrionAttributeModule,
    OrionInlineListModule,
    ObservableBaseViewModule,
    OrionKeyValueListModule,
    HashTableModule,
    OrionPanelModule,
    OrionBadgeModule,
    MatIconModule,
  ],
  exports: [EmailMessageObservableDetailPageComponent, EmailMessageDetailCardComponent],
})
export class EmailMessageObservableDetailPageModule {}
