import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import {
  EmailMessageObservableDetailFragment,
  GetEmailMessageObservableQuery,
  GetEmailMessageObservableQueryService,
  GetEmailMessageObservableQueryVariables,
} from './graphql';
import { OBSERVABLE_ID_PARAM_SELECTOR } from '@orion/observable-paths';

@Injectable()
export class EmailMessageObservableDetailService extends ApolloRoutedEntityService<
  GetEmailMessageObservableQuery,
  GetEmailMessageObservableQueryVariables,
  EmailMessageObservableDetailFragment
> {
  constructor(getQuery: GetEmailMessageObservableQueryService, activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching email message');
  }

  protected createVariables(entityId: string): GetEmailMessageObservableQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(OBSERVABLE_ID_PARAM_SELECTOR);
  }

  protected toFragment(query: GetEmailMessageObservableQuery): Optional<EmailMessageObservableDetailFragment> {
    return query?.getEmailMessage;
  }
}
