import { gql } from 'apollo-angular';

export type EmailMessageObservableDetailFragment = {
  __typename: 'EmailMessage';
  description?: string | undefined;
  subject?: string | undefined;
  body?: string | undefined;
  rawReference?: string | undefined;
  id: string;
  observableType?: string | undefined;
  emailAddresses?:
    | {
        __typename?: 'EmailMessageEmailAddressRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'EmailMessageEmailAddressRelationship';
          emailAddress: {
            __typename: 'EmailAddress';
            rawEmailAddress: string;
            observableType?: string | undefined;
            id: string;
          };
        }>;
      }
    | undefined;
  hashes?:
    | {
        __typename?: 'HashNestedList';
        totalCount: number;
        data: Array<{ __typename?: 'Hash'; hashType?: string | undefined; value?: string | undefined }>;
      }
    | undefined;
  headers?:
    | {
        __typename?: 'EmailHeaderNestedList';
        totalCount: number;
        data: Array<{ __typename?: 'EmailHeader'; id: string; key?: string | undefined; value?: string | undefined }>;
      }
    | undefined;
  parts?:
    | {
        __typename?: 'EmailMessagePartsRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'EmailMessagePartsRelationship';
          partType?: string | undefined;
          file: { __typename: 'FileReference'; name: string; observableType?: string | undefined; id: string };
        }>;
      }
    | undefined;
};

export const EmailMessageObservableDetailFragmentDoc = gql`
  fragment emailMessageObservableDetail on EmailMessage {
    ...observableSharedDetail
    ...emailMessageDetailCard
    emailAddresses {
      data {
        emailAddress {
          ...observableTable
        }
      }
      totalCount
    }
  }
`;
