import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { EmailMessageObservableDetailFragmentDoc } from './email-message-observable-detail.fragment.generated';
import { ObservableSharedDetailFragmentDoc } from '../../../detail-shared/observable-shared-detail.fragment.generated';
import { ObservableBaseViewFragmentDoc } from '../../../shared/observable-base-view/observable-base-view.fragment.generated';
import { ObservableIdFragmentDoc } from '../../../detail-shared/observable-shared-detail-main-content/observable-id/observable-id.fragment.generated';
import { EmailMessageDetailCardFragmentDoc } from '../email-message-detail-card/email-message-detail-card.fragment.generated';
import { HashTableElementFragmentDoc } from '../../../shared/hash-table/hash-table-element.fragment.generated';
import { ObservableTableFragmentDoc } from '../../../shared/observable-table/observable-table.fragment.generated';
import { Injectable } from '@angular/core';

export type GetEmailMessageObservableQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetEmailMessageObservableQuery = {
  __typename?: 'Query';
  getEmailMessage?:
    | {
        __typename: 'EmailMessage';
        description?: string | undefined;
        subject?: string | undefined;
        body?: string | undefined;
        rawReference?: string | undefined;
        id: string;
        observableType?: string | undefined;
        emailAddresses?:
          | {
              __typename?: 'EmailMessageEmailAddressRelationshipNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'EmailMessageEmailAddressRelationship';
                emailAddress: {
                  __typename: 'EmailAddress';
                  rawEmailAddress: string;
                  observableType?: string | undefined;
                  id: string;
                };
              }>;
            }
          | undefined;
        hashes?:
          | {
              __typename?: 'HashNestedList';
              totalCount: number;
              data: Array<{ __typename?: 'Hash'; hashType?: string | undefined; value?: string | undefined }>;
            }
          | undefined;
        headers?:
          | {
              __typename?: 'EmailHeaderNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'EmailHeader';
                id: string;
                key?: string | undefined;
                value?: string | undefined;
              }>;
            }
          | undefined;
        parts?:
          | {
              __typename?: 'EmailMessagePartsRelationshipNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'EmailMessagePartsRelationship';
                partType?: string | undefined;
                file: { __typename: 'FileReference'; name: string; observableType?: string | undefined; id: string };
              }>;
            }
          | undefined;
      }
    | undefined;
};

export const GetEmailMessageObservableDocument = gql`
  query getEmailMessageObservable($id: ID!) {
    getEmailMessage(id: $id) {
      ...emailMessageObservableDetail
    }
  }
  ${EmailMessageObservableDetailFragmentDoc}
  ${ObservableSharedDetailFragmentDoc}
  ${ObservableBaseViewFragmentDoc}
  ${ObservableIdFragmentDoc}
  ${EmailMessageDetailCardFragmentDoc}
  ${HashTableElementFragmentDoc}
  ${ObservableTableFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetEmailMessageObservableQueryService extends Apollo.Query<
  GetEmailMessageObservableQuery,
  GetEmailMessageObservableQueryVariables
> {
  document = GetEmailMessageObservableDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
