import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { ObservableBaseViewModule } from '@orion/observable-components/base-view';
import { ObservableSharedDetailPageModule } from '@orion/observable-components/detail-shared';
import { HashTableModule } from '@orion/observable-components/shared-hash-table';
import { ObservableTableModule } from '@orion/observable-components/shared-observable-table';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionInlineListModule } from '@csirtmu-orion/microframework/inline-list';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { FileReferenceObservableDetailCardComponent } from './file-reference-observable-detail-card';
import { FileReferenceObservableDetailPageComponent } from './file-reference-observable-detail-page.component';
import { PartRelationshipToEmailMessagesPipe } from './part-relationship-to-email-messages.pipe';

@NgModule({
  declarations: [
    FileReferenceObservableDetailPageComponent,
    FileReferenceObservableDetailCardComponent,
    PartRelationshipToEmailMessagesPipe,
  ],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    ObservableSharedDetailPageModule,
    OrionCardModule,
    OrionAttributeModule,
    OrionInlineListModule,
    ObservableBaseViewModule,
    ObservableTableModule,
    OrionPanelModule,
    HashTableModule,
    MatIconModule,
    OrionBadgeModule,
  ],
  exports: [FileReferenceObservableDetailPageComponent],
})
export class FileReferenceObservableDetailPageModule {}
