import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import {
  FileReferenceDetailFragment,
  GetFileReferenceObservableQuery,
  GetFileReferenceObservableQueryService,
  GetFileReferenceObservableQueryVariables,
} from '@orion/observable-components/detail-file-reference-graphql';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import { OBSERVABLE_ID_PARAM_SELECTOR } from '@orion/observable-paths';

@Injectable()
export class FileReferenceObservableDetailPageService extends ApolloRoutedEntityService<
  GetFileReferenceObservableQuery,
  GetFileReferenceObservableQueryVariables,
  FileReferenceDetailFragment
> {
  constructor(getQuery: GetFileReferenceObservableQueryService, activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching file reference');
  }

  protected createVariables(entityId: string): GetFileReferenceObservableQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(OBSERVABLE_ID_PARAM_SELECTOR);
  }

  protected toFragment(query: GetFileReferenceObservableQuery): Optional<FileReferenceDetailFragment> {
    return query?.getFileReference;
  }
}
