import { gql } from 'apollo-angular';

export type FileReferenceDetailFragment = {
  __typename: 'FileReference';
  name: string;
  reference: string;
  description?: string | undefined;
  observableType?: string | undefined;
  id: string;
  attachmentOf?:
    | {
        __typename?: 'EmailMessagePartsRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'EmailMessagePartsRelationship';
          sourceEmailMessage: {
            __typename: 'EmailMessage';
            id: string;
            subject?: string | undefined;
            observableType?: string | undefined;
          };
        }>;
      }
    | undefined;
  hashes?:
    | {
        __typename?: 'HashNestedList';
        totalCount: number;
        data: Array<{ __typename?: 'Hash'; hashType?: string | undefined; value?: string | undefined }>;
      }
    | undefined;
};

export const FileReferenceDetailFragmentDoc = gql`
  fragment fileReferenceDetail on FileReference {
    ...observableSharedDetail
    ...fileReferenceObservableDetailCard
    attachmentOf {
      data {
        sourceEmailMessage {
          ...observableTable
        }
      }
      totalCount
    }
  }
`;
