import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { FileReferenceDetailFragmentDoc } from './file-reference-detail.fragment.generated';
import { ObservableSharedDetailFragmentDoc } from '../../../detail-shared/observable-shared-detail.fragment.generated';
import { ObservableBaseViewFragmentDoc } from '../../../shared/observable-base-view/observable-base-view.fragment.generated';
import { ObservableIdFragmentDoc } from '../../../detail-shared/observable-shared-detail-main-content/observable-id/observable-id.fragment.generated';
import { FileReferenceObservableDetailCardFragmentDoc } from '../file-reference-observable-detail-card/file-reference-observable-detail-card.fragment.generated';
import { HashTableElementFragmentDoc } from '../../../shared/hash-table/hash-table-element.fragment.generated';
import { ObservableTableFragmentDoc } from '../../../shared/observable-table/observable-table.fragment.generated';
import { Injectable } from '@angular/core';

export type GetFileReferenceObservableQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetFileReferenceObservableQuery = {
  __typename?: 'Query';
  getFileReference?:
    | {
        __typename: 'FileReference';
        name: string;
        reference: string;
        description?: string | undefined;
        observableType?: string | undefined;
        id: string;
        attachmentOf?:
          | {
              __typename?: 'EmailMessagePartsRelationshipNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'EmailMessagePartsRelationship';
                sourceEmailMessage: {
                  __typename: 'EmailMessage';
                  id: string;
                  subject?: string | undefined;
                  observableType?: string | undefined;
                };
              }>;
            }
          | undefined;
        hashes?:
          | {
              __typename?: 'HashNestedList';
              totalCount: number;
              data: Array<{ __typename?: 'Hash'; hashType?: string | undefined; value?: string | undefined }>;
            }
          | undefined;
      }
    | undefined;
};

export const GetFileReferenceObservableDocument = gql`
  query getFileReferenceObservable($id: ID!) {
    getFileReference(id: $id) {
      ...fileReferenceDetail
    }
  }
  ${FileReferenceDetailFragmentDoc}
  ${ObservableSharedDetailFragmentDoc}
  ${ObservableBaseViewFragmentDoc}
  ${ObservableIdFragmentDoc}
  ${FileReferenceObservableDetailCardFragmentDoc}
  ${HashTableElementFragmentDoc}
  ${ObservableTableFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetFileReferenceObservableQueryService extends Apollo.Query<
  GetFileReferenceObservableQuery,
  GetFileReferenceObservableQueryVariables
> {
  document = GetFileReferenceObservableDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
