import { Pipe, PipeTransform } from '@angular/core';
import { EmailMessagePartsRelationshipNestedList } from '@orion/graphql-types';
import { ObservableTableEmailMessageFragment } from '@orion/observable-components/shared-observable-table';

@Pipe({
  name: 'partRelationshipToEmailMessages',
})
export class PartRelationshipToEmailMessagesPipe implements PipeTransform {
  transform(relationshipList?: EmailMessagePartsRelationshipNestedList): ObservableTableEmailMessageFragment[] {
    return (
      relationshipList?.data.map((relationship) => {
        return relationship.sourceEmailMessage as ObservableTableEmailMessageFragment;
      }) ?? []
    );
  }
}
