import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { IpAddressToDomainResolutionObservableDetailFragmentDoc } from './ip-address-to-domain-resolution-observable-detail.fragment.generated';
import { ObservableSharedDetailFragmentDoc } from '../../../detail-shared/observable-shared-detail.fragment.generated';
import { ObservableBaseViewFragmentDoc } from '../../../shared/observable-base-view/observable-base-view.fragment.generated';
import { ObservableIdFragmentDoc } from '../../../detail-shared/observable-shared-detail-main-content/observable-id/observable-id.fragment.generated';
import { IpAddressToDomainResolutionObservableDetailCardFragmentDoc } from '../ip-address-to-domain-resolution-observable-detail-card/ip-address-to-domain-resolution-observable-detail-card.fragment.generated';
import { Injectable } from '@angular/core';

export type GetIpAddressToDomainResolutionObservableQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetIpAddressToDomainResolutionObservableQuery = {
  __typename?: 'Query';
  getIpAddressToDomainResolution?:
    | {
        __typename: 'IPAddressToDomainResolution';
        ipToDomainFirstSeen?: any | undefined;
        ipToDomainLastSeen?: any | undefined;
        description?: string | undefined;
        observableType?: string | undefined;
        id: string;
        sourceIpAddress?:
          | {
              __typename: 'IPAddress';
              observableType?: string | undefined;
              id: string;
              address: { __typename?: 'IPNetworkAddressType'; compressed: string };
            }
          | undefined;
        resolvedDomain?:
          | { __typename: 'DomainName'; domainName: string; observableType?: string | undefined; id: string }
          | undefined;
      }
    | undefined;
};

export const GetIpAddressToDomainResolutionObservableDocument = gql`
  query getIpAddressToDomainResolutionObservable($id: ID!) {
    getIpAddressToDomainResolution(id: $id) {
      ...ipAddressToDomainResolutionObservableDetail
    }
  }
  ${IpAddressToDomainResolutionObservableDetailFragmentDoc}
  ${ObservableSharedDetailFragmentDoc}
  ${ObservableBaseViewFragmentDoc}
  ${ObservableIdFragmentDoc}
  ${IpAddressToDomainResolutionObservableDetailCardFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetIpAddressToDomainResolutionObservableQueryService extends Apollo.Query<
  GetIpAddressToDomainResolutionObservableQuery,
  GetIpAddressToDomainResolutionObservableQueryVariables
> {
  document = GetIpAddressToDomainResolutionObservableDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
