import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import {
  GetIpAddressToDomainResolutionObservableQuery,
  GetIpAddressToDomainResolutionObservableQueryService,
  GetIpAddressToDomainResolutionObservableQueryVariables,
  IpAddressToDomainResolutionObservableDetailFragment,
} from '@orion/observable-components/detail-ip-address-to-domain-resolution-graphql';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import { OBSERVABLE_ID_PARAM_SELECTOR } from '@orion/observable-paths';

@Injectable()
export class IpAddressToDomainResolutionObservableDetailService extends ApolloRoutedEntityService<
  GetIpAddressToDomainResolutionObservableQuery,
  GetIpAddressToDomainResolutionObservableQueryVariables,
  IpAddressToDomainResolutionObservableDetailFragment
> {
  constructor(getQuery: GetIpAddressToDomainResolutionObservableQueryService, activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching IP address to domain resolution observable');
  }

  protected createVariables(entityId: string): GetIpAddressToDomainResolutionObservableQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(OBSERVABLE_ID_PARAM_SELECTOR);
  }

  protected toFragment(
    query: GetIpAddressToDomainResolutionObservableQuery
  ): Optional<IpAddressToDomainResolutionObservableDetailFragment> {
    return query?.getIpAddressToDomainResolution;
  }
}
