import { gql } from 'apollo-angular';

export type IpAddressObservableDetailFragment = {
  __typename: 'IPAddress';
  description?: string | undefined;
  observableType?: string | undefined;
  id: string;
  address: {
    __typename?: 'IPNetworkAddressType';
    compressed: string;
    exploded: string;
    isGlobal: boolean;
    isLinkLocal: boolean;
    isLoopback: boolean;
    isMulticast: boolean;
    isPrivate: boolean;
    isReserved: boolean;
    isUnspecified: boolean;
    maxPrefixlen: number;
    reversePointer: string;
    version: number;
    hostmask: {
      __typename?: 'AddressType';
      compressed: string;
      exploded: string;
      isGlobal: boolean;
      isLinkLocal: boolean;
      isLoopback: boolean;
      isMulticast: boolean;
      isPrivate: boolean;
      isReserved: boolean;
      isUnspecified: boolean;
      maxPrefixlen: number;
      reversePointer: string;
      version: number;
    };
    ip: {
      __typename?: 'AddressType';
      compressed: string;
      exploded: string;
      isGlobal: boolean;
      isLinkLocal: boolean;
      isLoopback: boolean;
      isMulticast: boolean;
      isPrivate: boolean;
      isReserved: boolean;
      isUnspecified: boolean;
      maxPrefixlen: number;
      reversePointer: string;
      version: number;
    };
    netmask: {
      __typename?: 'AddressType';
      compressed: string;
      exploded: string;
      isGlobal: boolean;
      isLinkLocal: boolean;
      isLoopback: boolean;
      isMulticast: boolean;
      isPrivate: boolean;
      isReserved: boolean;
      isUnspecified: boolean;
      maxPrefixlen: number;
      reversePointer: string;
      version: number;
    };
    network: {
      __typename?: 'IPNetworkType';
      compressed: string;
      exploded: string;
      isGlobal: boolean;
      isLinkLocal: boolean;
      isLoopback: boolean;
      isMulticast: boolean;
      isPrivate: boolean;
      isReserved: boolean;
      isUnspecified: boolean;
      maxPrefixlen: number;
      prefixlen: number;
      version: number;
      broadcastAddress: {
        __typename?: 'AddressType';
        compressed: string;
        exploded: string;
        isGlobal: boolean;
        isLinkLocal: boolean;
        isLoopback: boolean;
        isMulticast: boolean;
        isPrivate: boolean;
        isReserved: boolean;
        isUnspecified: boolean;
        maxPrefixlen: number;
        reversePointer: string;
        version: number;
      };
      hostmask: {
        __typename?: 'AddressType';
        compressed: string;
        exploded: string;
        isGlobal: boolean;
        isLinkLocal: boolean;
        isLoopback: boolean;
        isMulticast: boolean;
        isPrivate: boolean;
        isReserved: boolean;
        isUnspecified: boolean;
        maxPrefixlen: number;
        reversePointer: string;
        version: number;
      };
      netmask: {
        __typename?: 'AddressType';
        compressed: string;
        exploded: string;
        isGlobal: boolean;
        isLinkLocal: boolean;
        isLoopback: boolean;
        isMulticast: boolean;
        isPrivate: boolean;
        isReserved: boolean;
        isUnspecified: boolean;
        maxPrefixlen: number;
        reversePointer: string;
        version: number;
      };
      networkAddress: {
        __typename?: 'AddressType';
        compressed: string;
        exploded: string;
        isGlobal: boolean;
        isLinkLocal: boolean;
        isLoopback: boolean;
        isMulticast: boolean;
        isPrivate: boolean;
        isReserved: boolean;
        isUnspecified: boolean;
        maxPrefixlen: number;
        reversePointer: string;
        version: number;
      };
    };
  };
  ipResolvedFromDomains?:
    | {
        __typename?: 'DomainToIPAddressResolutionNestedList';
        totalCount: number;
        data: Array<{
          __typename: 'DomainToIPAddressResolution';
          observableType?: string | undefined;
          id: string;
          sourceDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
          resolvedIpAddress?:
            | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
            | undefined;
        }>;
      }
    | undefined;
  ipResolvesToDomains?:
    | {
        __typename?: 'IPAddressToDomainResolutionNestedList';
        totalCount: number;
        data: Array<{
          __typename: 'IPAddressToDomainResolution';
          observableType?: string | undefined;
          id: string;
          sourceIpAddress?:
            | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
            | undefined;
          resolvedDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
        }>;
      }
    | undefined;
  urls?:
    | {
        __typename?: 'URLNestedList';
        totalCount: number;
        data: Array<{ __typename: 'URL'; rawUrl: string; observableType?: string | undefined; id: string }>;
      }
    | undefined;
};

export const IpAddressObservableDetailFragmentDoc = gql`
  fragment ipAddressObservableDetail on IPAddress {
    ...observableSharedDetail
    description
    address {
      ...ipAddressInfo
    }
    ipResolvedFromDomains {
      data {
        ...observableTable
      }
      totalCount
    }
    ipResolvesToDomains {
      data {
        ...observableTable
      }
      totalCount
    }
    urls {
      data {
        ...observableTable
      }
      totalCount
    }
  }
`;
