import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { IpAddressObservableDetailFragmentDoc } from './ip-address-observable-detail.fragment.generated';
import { ObservableSharedDetailFragmentDoc } from '../../../detail-shared/observable-shared-detail.fragment.generated';
import { ObservableBaseViewFragmentDoc } from '../../../shared/observable-base-view/observable-base-view.fragment.generated';
import { ObservableIdFragmentDoc } from '../../../detail-shared/observable-shared-detail-main-content/observable-id/observable-id.fragment.generated';
import { IpAddressInfoFragmentDoc } from '../../../shared/ip-address-observable-detail-overview/ip-address-info/ip-address-info.fragment.generated';
import { AddressTypeInfoFragmentDoc } from '../../../shared/ip-address-observable-detail-overview/ip-address-info/address-type-info/address-type-info.fragment.generated';
import { NetworkTypeInfoFragmentDoc } from '../../../shared/ip-address-observable-detail-overview/ip-address-info/network-type-info/network-type-info.fragment.generated';
import { ObservableTableFragmentDoc } from '../../../shared/observable-table/observable-table.fragment.generated';
import { Injectable } from '@angular/core';

export type GetIpAddressObservableQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetIpAddressObservableQuery = {
  __typename?: 'Query';
  getIpAddress?:
    | {
        __typename: 'IPAddress';
        description?: string | undefined;
        observableType?: string | undefined;
        id: string;
        address: {
          __typename?: 'IPNetworkAddressType';
          compressed: string;
          exploded: string;
          isGlobal: boolean;
          isLinkLocal: boolean;
          isLoopback: boolean;
          isMulticast: boolean;
          isPrivate: boolean;
          isReserved: boolean;
          isUnspecified: boolean;
          maxPrefixlen: number;
          reversePointer: string;
          version: number;
          hostmask: {
            __typename?: 'AddressType';
            compressed: string;
            exploded: string;
            isGlobal: boolean;
            isLinkLocal: boolean;
            isLoopback: boolean;
            isMulticast: boolean;
            isPrivate: boolean;
            isReserved: boolean;
            isUnspecified: boolean;
            maxPrefixlen: number;
            reversePointer: string;
            version: number;
          };
          ip: {
            __typename?: 'AddressType';
            compressed: string;
            exploded: string;
            isGlobal: boolean;
            isLinkLocal: boolean;
            isLoopback: boolean;
            isMulticast: boolean;
            isPrivate: boolean;
            isReserved: boolean;
            isUnspecified: boolean;
            maxPrefixlen: number;
            reversePointer: string;
            version: number;
          };
          netmask: {
            __typename?: 'AddressType';
            compressed: string;
            exploded: string;
            isGlobal: boolean;
            isLinkLocal: boolean;
            isLoopback: boolean;
            isMulticast: boolean;
            isPrivate: boolean;
            isReserved: boolean;
            isUnspecified: boolean;
            maxPrefixlen: number;
            reversePointer: string;
            version: number;
          };
          network: {
            __typename?: 'IPNetworkType';
            compressed: string;
            exploded: string;
            isGlobal: boolean;
            isLinkLocal: boolean;
            isLoopback: boolean;
            isMulticast: boolean;
            isPrivate: boolean;
            isReserved: boolean;
            isUnspecified: boolean;
            maxPrefixlen: number;
            prefixlen: number;
            version: number;
            broadcastAddress: {
              __typename?: 'AddressType';
              compressed: string;
              exploded: string;
              isGlobal: boolean;
              isLinkLocal: boolean;
              isLoopback: boolean;
              isMulticast: boolean;
              isPrivate: boolean;
              isReserved: boolean;
              isUnspecified: boolean;
              maxPrefixlen: number;
              reversePointer: string;
              version: number;
            };
            hostmask: {
              __typename?: 'AddressType';
              compressed: string;
              exploded: string;
              isGlobal: boolean;
              isLinkLocal: boolean;
              isLoopback: boolean;
              isMulticast: boolean;
              isPrivate: boolean;
              isReserved: boolean;
              isUnspecified: boolean;
              maxPrefixlen: number;
              reversePointer: string;
              version: number;
            };
            netmask: {
              __typename?: 'AddressType';
              compressed: string;
              exploded: string;
              isGlobal: boolean;
              isLinkLocal: boolean;
              isLoopback: boolean;
              isMulticast: boolean;
              isPrivate: boolean;
              isReserved: boolean;
              isUnspecified: boolean;
              maxPrefixlen: number;
              reversePointer: string;
              version: number;
            };
            networkAddress: {
              __typename?: 'AddressType';
              compressed: string;
              exploded: string;
              isGlobal: boolean;
              isLinkLocal: boolean;
              isLoopback: boolean;
              isMulticast: boolean;
              isPrivate: boolean;
              isReserved: boolean;
              isUnspecified: boolean;
              maxPrefixlen: number;
              reversePointer: string;
              version: number;
            };
          };
        };
        ipResolvedFromDomains?:
          | {
              __typename?: 'DomainToIPAddressResolutionNestedList';
              totalCount: number;
              data: Array<{
                __typename: 'DomainToIPAddressResolution';
                observableType?: string | undefined;
                id: string;
                sourceDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
                resolvedIpAddress?:
                  | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
                  | undefined;
              }>;
            }
          | undefined;
        ipResolvesToDomains?:
          | {
              __typename?: 'IPAddressToDomainResolutionNestedList';
              totalCount: number;
              data: Array<{
                __typename: 'IPAddressToDomainResolution';
                observableType?: string | undefined;
                id: string;
                sourceIpAddress?:
                  | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
                  | undefined;
                resolvedDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
              }>;
            }
          | undefined;
        urls?:
          | {
              __typename?: 'URLNestedList';
              totalCount: number;
              data: Array<{ __typename: 'URL'; rawUrl: string; observableType?: string | undefined; id: string }>;
            }
          | undefined;
      }
    | undefined;
};

export const GetIpAddressObservableDocument = gql`
  query getIpAddressObservable($id: ID!) {
    getIpAddress(id: $id) {
      ...ipAddressObservableDetail
    }
  }
  ${IpAddressObservableDetailFragmentDoc}
  ${ObservableSharedDetailFragmentDoc}
  ${ObservableBaseViewFragmentDoc}
  ${ObservableIdFragmentDoc}
  ${IpAddressInfoFragmentDoc}
  ${AddressTypeInfoFragmentDoc}
  ${NetworkTypeInfoFragmentDoc}
  ${ObservableTableFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetIpAddressObservableQueryService extends Apollo.Query<
  GetIpAddressObservableQuery,
  GetIpAddressObservableQueryVariables
> {
  document = GetIpAddressObservableDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
