import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import {
  GetIpAddressObservableQuery,
  GetIpAddressObservableQueryService,
  GetIpAddressObservableQueryVariables,
  IpAddressObservableDetailFragment,
} from '@orion/observable-components/detail-ip-address-graphql';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import { OBSERVABLE_ID_PARAM_SELECTOR } from '@orion/observable-paths';

@Injectable()
export class IpAddressObservableDetailPageService extends ApolloRoutedEntityService<
  GetIpAddressObservableQuery,
  GetIpAddressObservableQueryVariables,
  IpAddressObservableDetailFragment
> {
  constructor(getQuery: GetIpAddressObservableQueryService, activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching IP address');
  }

  protected createVariables(entityId: string): GetIpAddressObservableQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(OBSERVABLE_ID_PARAM_SELECTOR);
  }

  protected toFragment(query: GetIpAddressObservableQuery): Optional<IpAddressObservableDetailFragment> {
    return query?.getIpAddress;
  }
}
