import { gql } from 'apollo-angular';

export type UrlObservableDetailFragment = {
  __typename: 'URL';
  rawUrl: string;
  port?: number | undefined;
  protocol?: string | undefined;
  description?: string | undefined;
  observableType?: string | undefined;
  id: string;
  fragment?: { __typename?: 'URLFragment'; rawFragment: string } | undefined;
  host?:
    | { __typename?: 'BaseHost'; id: string; observableType?: string | undefined }
    | { __typename?: 'DomainName'; domainName: string; id: string; observableType?: string | undefined }
    | {
        __typename?: 'IPAddress';
        id: string;
        observableType?: string | undefined;
        address: { __typename?: 'IPNetworkAddressType'; compressed: string };
      }
    | undefined;
  path?: { __typename?: 'URLPath'; path?: string | undefined } | undefined;
  query?:
    | {
        __typename?: 'URLQuery';
        params?:
          | {
              __typename?: 'URLQueryParamNestedList';
              totalCount: number;
              data: Array<{ __typename?: 'URLQueryParam'; key: string; value: string }>;
            }
          | undefined;
      }
    | undefined;
};

export const UrlObservableDetailFragmentDoc = gql`
  fragment urlObservableDetail on URL {
    ...observableSharedDetail
    ...urlObservableDetailCard
  }
`;
