import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { UrlObservableDetailFragmentDoc } from './url-observable-detail.fragment.generated';
import { ObservableSharedDetailFragmentDoc } from '../../../detail-shared/observable-shared-detail.fragment.generated';
import {
  HostBaseViewFragmentDoc,
  ObservableBaseViewFragmentDoc,
} from '../../../shared/observable-base-view/observable-base-view.fragment.generated';
import { ObservableIdFragmentDoc } from '../../../detail-shared/observable-shared-detail-main-content/observable-id/observable-id.fragment.generated';
import { UrlObservableDetailCardFragmentDoc } from '../url-observable-detail-card/url-observable-detail-card.fragment.generated';
import { Injectable } from '@angular/core';

export type GetUrlObservableQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetUrlObservableQuery = {
  __typename?: 'Query';
  getUrl?:
    | {
        __typename: 'URL';
        rawUrl: string;
        port?: number | undefined;
        protocol?: string | undefined;
        description?: string | undefined;
        observableType?: string | undefined;
        id: string;
        fragment?: { __typename?: 'URLFragment'; rawFragment: string } | undefined;
        host?:
          | { __typename?: 'BaseHost'; id: string; observableType?: string | undefined }
          | { __typename?: 'DomainName'; domainName: string; id: string; observableType?: string | undefined }
          | {
              __typename?: 'IPAddress';
              id: string;
              observableType?: string | undefined;
              address: { __typename?: 'IPNetworkAddressType'; compressed: string };
            }
          | undefined;
        path?: { __typename?: 'URLPath'; path?: string | undefined } | undefined;
        query?:
          | {
              __typename?: 'URLQuery';
              params?:
                | {
                    __typename?: 'URLQueryParamNestedList';
                    totalCount: number;
                    data: Array<{ __typename?: 'URLQueryParam'; key: string; value: string }>;
                  }
                | undefined;
            }
          | undefined;
      }
    | undefined;
};

export const GetUrlObservableDocument = gql`
  query getURLObservable($id: ID!) {
    getUrl(id: $id) {
      ...urlObservableDetail
    }
  }
  ${UrlObservableDetailFragmentDoc}
  ${ObservableSharedDetailFragmentDoc}
  ${ObservableBaseViewFragmentDoc}
  ${ObservableIdFragmentDoc}
  ${UrlObservableDetailCardFragmentDoc}
  ${HostBaseViewFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetUrlObservableQueryService extends Apollo.Query<GetUrlObservableQuery, GetUrlObservableQueryVariables> {
  document = GetUrlObservableDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
