import { Pipe, PipeTransform } from '@angular/core';
import { UrlQueryParam } from '@orion/graphql-types';

@Pipe({
  name: 'queryParamsToObjectEntries',
})
export class QueryParamsToObjectEntriesPipe implements PipeTransform {
  transform(queryParams?: Partial<UrlQueryParam>[]): [string, string][] {
    return queryParams?.map((param) => [param?.key ?? '', param?.value ?? '']) ?? [];
  }
}
