import { gql } from 'apollo-angular';

export type UrlObservableDetailCardFragment = {
  __typename?: 'URL';
  rawUrl: string;
  port?: number | undefined;
  protocol?: string | undefined;
  description?: string | undefined;
  fragment?: { __typename?: 'URLFragment'; rawFragment: string } | undefined;
  host?:
    | { __typename?: 'BaseHost'; id: string; observableType?: string | undefined }
    | { __typename?: 'DomainName'; domainName: string; id: string; observableType?: string | undefined }
    | {
        __typename?: 'IPAddress';
        id: string;
        observableType?: string | undefined;
        address: { __typename?: 'IPNetworkAddressType'; compressed: string };
      }
    | undefined;
  path?: { __typename?: 'URLPath'; path?: string | undefined } | undefined;
  query?:
    | {
        __typename?: 'URLQuery';
        params?:
          | {
              __typename?: 'URLQueryParamNestedList';
              totalCount: number;
              data: Array<{ __typename?: 'URLQueryParam'; key: string; value: string }>;
            }
          | undefined;
      }
    | undefined;
};

export const UrlObservableDetailCardFragmentDoc = gql`
  fragment urlObservableDetailCard on URL {
    rawUrl
    fragment {
      rawFragment
    }
    host {
      ...hostBaseView
    }
    path {
      path
    }
    port
    protocol
    query {
      params {
        totalCount
        data {
          key
          value
        }
      }
    }
    description
  }
`;
