import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { ObservableBaseViewModule } from '@orion/observable-components/base-view';
import { ObservableSharedDetailPageModule } from '@orion/observable-components/detail-shared';

import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionInlineListModule } from '@csirtmu-orion/microframework/inline-list';
import { OrionKeyValueListModule } from '@csirtmu-orion/microframework/key-value-list';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { QueryParamsToObjectEntriesPipe, UrlObservableDetailCardComponent } from './url-observable-detail-card';
import { UrlObservableDetailPageComponent } from './url-observable-detail-page.component';

@NgModule({
  declarations: [UrlObservableDetailPageComponent, UrlObservableDetailCardComponent, QueryParamsToObjectEntriesPipe],
  imports: [
    CommonModule,
    SLetModule,
    SentinelPipesModule,
    ObservableSharedDetailPageModule,
    OrionCardModule,
    OrionAttributeModule,
    OrionInlineListModule,
    ObservableBaseViewModule,
    OrionPanelModule,
    OrionKeyValueListModule,
    OrionBadgeModule,
    MatIconModule,
  ],
  exports: [UrlObservableDetailPageComponent],
})
export class UrlObservableDetailPageModule {}
