import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { KnownObservablesEnum, ObservableLinkTypeEnum } from '@orion/graphql-types';
import { OBSERVABLE_DROPDOWN_TYPES, ObservableLinkClientFilter } from '@orion/observable-types';
import { ObservableLinkFilterService } from '../observable-link-filter.service';

@Component({
  selector: 'orion-observable-link-filters',
  templateUrl: './observable-link-filters.component.html',
  styleUrls: ['./observable-link-filters.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ObservableLinkFiltersComponent {
  @Input() activeFilter?: ObservableLinkClientFilter;
  possibleObservableTypes = OBSERVABLE_DROPDOWN_TYPES;
  possibleLinkTypes: ObservableLinkTypeEnum[] = Object.values(ObservableLinkTypeEnum);

  constructor(private filterService: ObservableLinkFilterService) {}

  onTypeChange(type?: KnownObservablesEnum): void {
    this.filterService.update({ type: type });
  }

  onLinkTypeChange(type?: ObservableLinkTypeEnum): void {
    this.filterService.update({ observableLinkType: type });
  }
}
