import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { KnownObservablesEnum } from '@orion/graphql-types';
import { OBSERVABLE_DROPDOWN_TYPES, ObservableClientFilter } from '@orion/observable-types';
import { ObservableFilterService } from '../observable-filter.service';

@Component({
  selector: 'orion-observable-filters',
  templateUrl: './observable-filters.component.html',
  styleUrls: ['./observable-filters.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ObservableFiltersComponent {
  @Input() activeFilter?: ObservableClientFilter;
  possibleObservableTypes = OBSERVABLE_DROPDOWN_TYPES;

  constructor(private filterService: ObservableFilterService) {}

  onTypeChange(type?: KnownObservablesEnum): void {
    this.filterService.update({ type: type });
  }

  onTermChange(value: string): void {
    this.filterService.update({ termSearch: value });
  }
}
