import { Injectable } from '@angular/core';
import { ObservableTypeFilterChip, RelatedObservableClientFilter } from '@orion/observable-types';
import { FilterChip } from '@csirtmu-orion/microframework/filter';
import { FilterChipsService } from '@csirtmu-orion/microframework/filter-services';
import { RelatedObservableFilterService } from './related-observable-filter.service';

@Injectable()
export class RelatedObservableFilterChipsService extends FilterChipsService<RelatedObservableClientFilter> {
  constructor(protected filterService: RelatedObservableFilterService) {
    super(filterService);
  }

  removeChip(removedChip: FilterChip): void {
    if (removedChip instanceof ObservableTypeFilterChip) {
      this.filterService.updateAndSubmit({ observableType: undefined });
    }
  }

  protected createChips(filter?: RelatedObservableClientFilter): FilterChip[] {
    if (filter === undefined || filter === this.filterService.EMPTY_FILTER) {
      return [];
    } else {
      const chips = [];
      if (filter.observableType) {
        chips.push(new ObservableTypeFilterChip(filter.observableType));
      }
      return chips;
    }
  }
}
