import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { KnownObservablesEnum } from '@orion/graphql-types';
import { OBSERVABLE_DROPDOWN_TYPES, RelatedObservableClientFilter } from '@orion/observable-types';
import { RelatedObservableFilterService } from '../related-observable-filter.service';

@Component({
  selector: 'orion-related-observable-filters',
  templateUrl: './related-observable-filters.component.html',
  styleUrls: ['./related-observable-filters.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class RelatedObservableFiltersComponent {
  @Input() activeFilter?: RelatedObservableClientFilter;
  possibleObservableTypes = OBSERVABLE_DROPDOWN_TYPES;

  constructor(private filterService: RelatedObservableFilterService) {}

  onTypeChange(type?: KnownObservablesEnum): void {
    this.filterService.update({ observableType: type });
  }
}
