import { Injectable } from '@angular/core';
import { TtpLinkClientFilter } from '@orion/observable-types';
import { FilterChip, StringValueChip } from '@csirtmu-orion/microframework/filter';
import { FilterChipsService } from '@csirtmu-orion/microframework/filter-services';
import { TtpLinkFilterService } from './ttp-link-filter.service';

@Injectable()
export class TtpLinkFilterChipsService extends FilterChipsService<TtpLinkClientFilter> {
  constructor(protected filterService: TtpLinkFilterService) {
    super(filterService);
  }

  protected createChips(filter: TtpLinkClientFilter | undefined): FilterChip[] {
    if (filter === undefined || filter === this.filterService.EMPTY_FILTER) {
      return [];
    }
    const chips: FilterChip[] = [];
    if (filter?.linkType) {
      chips.push(new StringValueChip(filter?.linkType));
    }
    return chips;
  }

  removeChip(removedChip: FilterChip): void {
    if (removedChip instanceof StringValueChip) {
      this.filterService.updateAndSubmit({ linkType: undefined });
    }
  }
}
