import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap, Params, Router } from '@angular/router';
import { CTI_ENTRY_ID_PARAM_SELECTOR } from '@orion/observable-paths';
import { TtpLinkClientFilter } from '@orion/observable-types';
import { QueryParamFilterService } from '@csirtmu-orion/microframework/filter-services';
import { Observable, of } from 'rxjs';

@Injectable()
export class TtpLinkFilterService extends QueryParamFilterService<TtpLinkClientFilter> {
  constructor(router: Router, activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected createEmptyFilter(): TtpLinkClientFilter {
    return { ctiEntryId: undefined, linkType: undefined };
  }

  protected toQueryParams(filter: TtpLinkClientFilter): Params {
    const params = super.toQueryParams(filter);
    delete params.ctiEntryId;
    return params;
  }

  protected createFilterFromRoute(queryParamMap: ParamMap, paramMap: ParamMap): Observable<TtpLinkClientFilter> {
    const ctiEntryIdParam = paramMap.get(CTI_ENTRY_ID_PARAM_SELECTOR);
    const linkTypeParam = queryParamMap.get('linkType');
    return of({ ctiEntryId: ctiEntryIdParam ?? undefined, linkType: linkTypeParam ?? undefined });
  }
}
