import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { TtpLinkClientFilter } from '@orion/observable-types';
import { TtpLinkFilterService } from '../ttp-link-filter.service';

@Component({
  selector: 'orion-ttp-link-filters',
  templateUrl: './ttp-link-filters.component.html',
  styleUrls: ['./ttp-link-filters.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TtpLinkFiltersComponent {
  @Input() activeFilter?: TtpLinkClientFilter;

  constructor(private filterService: TtpLinkFilterService) {}

  onTypeChange(value: string): void {
    this.filterService.update({ linkType: value });
  }
}
