import { gql } from 'apollo-angular';

export type ObservableOverviewElementBaseHashableObservableFragment = {
  __typename: 'BaseHashableObservable';
  observableType?: string | undefined;
  id: string;
};

export type ObservableOverviewElementBaseHostFragment = {
  __typename: 'BaseHost';
  observableType?: string | undefined;
  id: string;
};

export type ObservableOverviewElementBaseObservableFragment = {
  __typename: 'BaseObservable';
  observableType?: string | undefined;
  id: string;
};

export type ObservableOverviewElementDomainNameFragment = {
  __typename: 'DomainName';
  domainName: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableOverviewElementDomainToDomainResolutionFragment = {
  __typename: 'DomainToDomainResolution';
  observableType?: string | undefined;
  id: string;
  originalDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
  resolutionDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
};

export type ObservableOverviewElementDomainToIpAddressResolutionFragment = {
  __typename: 'DomainToIPAddressResolution';
  observableType?: string | undefined;
  id: string;
  sourceDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
  resolvedIpAddress?:
    | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
    | undefined;
};

export type ObservableOverviewElementEmailAddressFragment = {
  __typename: 'EmailAddress';
  rawEmailAddress: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableOverviewElementEmailMessageFragment = {
  __typename: 'EmailMessage';
  id: string;
  subject?: string | undefined;
  observableType?: string | undefined;
};

export type ObservableOverviewElementEmailMessageEmailAddressRelationshipFragment = {
  __typename: 'EmailMessageEmailAddressRelationship';
  observableType?: string | undefined;
  id: string;
};

export type ObservableOverviewElementEmailMessagePartsRelationshipFragment = {
  __typename: 'EmailMessagePartsRelationship';
  observableType?: string | undefined;
  id: string;
};

export type ObservableOverviewElementFileReferenceFragment = {
  __typename: 'FileReference';
  name: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableOverviewElementIpAddressFragment = {
  __typename: 'IPAddress';
  observableType?: string | undefined;
  id: string;
  address: { __typename?: 'IPNetworkAddressType'; compressed: string };
};

export type ObservableOverviewElementIpAddressToDomainResolutionFragment = {
  __typename: 'IPAddressToDomainResolution';
  observableType?: string | undefined;
  id: string;
  sourceIpAddress?:
    | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
    | undefined;
  resolvedDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
};

export type ObservableOverviewElementUrlFragment = {
  __typename: 'URL';
  rawUrl: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableOverviewElementFragment =
  | ObservableOverviewElementBaseHashableObservableFragment
  | ObservableOverviewElementBaseHostFragment
  | ObservableOverviewElementBaseObservableFragment
  | ObservableOverviewElementDomainNameFragment
  | ObservableOverviewElementDomainToDomainResolutionFragment
  | ObservableOverviewElementDomainToIpAddressResolutionFragment
  | ObservableOverviewElementEmailAddressFragment
  | ObservableOverviewElementEmailMessageFragment
  | ObservableOverviewElementEmailMessageEmailAddressRelationshipFragment
  | ObservableOverviewElementEmailMessagePartsRelationshipFragment
  | ObservableOverviewElementFileReferenceFragment
  | ObservableOverviewElementIpAddressFragment
  | ObservableOverviewElementIpAddressToDomainResolutionFragment
  | ObservableOverviewElementUrlFragment;

export const ObservableOverviewElementFragmentDoc = gql`
  fragment observableOverviewElement on Observable {
    ...observableTable
  }
`;
