import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ObservableOverviewElementFragmentDoc } from './observable-overview.fragment.generated';
import { ObservableTableFragmentDoc } from '../../shared/observable-table/observable-table.fragment.generated';
import { ObservableBaseViewFragmentDoc } from '../../shared/observable-base-view/observable-base-view.fragment.generated';
import { ObservableIdFragmentDoc } from '../../detail-shared/observable-shared-detail-main-content/observable-id/observable-id.fragment.generated';
import { Injectable } from '@angular/core';

export type GetObservableOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.ObservableFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.ObservableOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetObservableOverviewQuery = {
  __typename?: 'Query';
  getObservableList: {
    __typename?: 'ObservablePaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<
      | { __typename: 'BaseHashableObservable'; observableType?: string | undefined; id: string }
      | { __typename: 'BaseHost'; observableType?: string | undefined; id: string }
      | { __typename: 'BaseObservable'; observableType?: string | undefined; id: string }
      | { __typename: 'DomainName'; domainName: string; observableType?: string | undefined; id: string }
      | {
          __typename: 'DomainToDomainResolution';
          observableType?: string | undefined;
          id: string;
          originalDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
          resolutionDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
        }
      | {
          __typename: 'DomainToIPAddressResolution';
          observableType?: string | undefined;
          id: string;
          sourceDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
          resolvedIpAddress?:
            | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
            | undefined;
        }
      | { __typename: 'EmailAddress'; rawEmailAddress: string; observableType?: string | undefined; id: string }
      | { __typename: 'EmailMessage'; id: string; subject?: string | undefined; observableType?: string | undefined }
      | { __typename: 'EmailMessageEmailAddressRelationship'; observableType?: string | undefined; id: string }
      | { __typename: 'EmailMessagePartsRelationship'; observableType?: string | undefined; id: string }
      | { __typename: 'FileReference'; name: string; observableType?: string | undefined; id: string }
      | {
          __typename: 'IPAddress';
          observableType?: string | undefined;
          id: string;
          address: { __typename?: 'IPNetworkAddressType'; compressed: string };
        }
      | {
          __typename: 'IPAddressToDomainResolution';
          observableType?: string | undefined;
          id: string;
          sourceIpAddress?:
            | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
            | undefined;
          resolvedDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
        }
      | { __typename: 'URL'; rawUrl: string; observableType?: string | undefined; id: string }
    >;
  };
};

export const GetObservableOverviewDocument = gql`
  query getObservableOverview(
    $filter: [ObservableFilter1ANDFilterEntry!]
    $order: [ObservableOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getObservableList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...observableOverviewElement
      }
      previous
      next
      totalCount
    }
  }
  ${ObservableOverviewElementFragmentDoc}
  ${ObservableTableFragmentDoc}
  ${ObservableBaseViewFragmentDoc}
  ${ObservableIdFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetObservableOverviewQueryService extends Apollo.Query<
  GetObservableOverviewQuery,
  GetObservableOverviewQueryVariables
> {
  document = GetObservableOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
