import { ChangeDetectionStrategy, Component } from '@angular/core';
import { ObservableOrdEnum } from '@orion/graphql-types';
import { ObservableFilterChipsService, ObservableFilterService } from '@orion/observable-components/filters';
import { ObservableClientFilter } from '@orion/observable-types';
import {
  INIT_PAGINATION_EVENT_BASE_TOKEN,
  PaginationBaseInit,
  PaginationService,
  QueryParamPaginationService,
} from '@csirtmu-orion/microframework/pagination-services';
import { EntityPaginableFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ObservableOverviewElementFragment } from './graphql';
import { ObservablesOverviewService } from './observables-overview.service';

@Component({
  selector: 'orion-observable-overview-page',
  templateUrl: './observable-overview-page.component.html',
  styleUrls: ['./observable-overview-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    ObservablesOverviewService,
    ObservableFilterService,
    ObservableFilterChipsService,
    { provide: PaginationService, useClass: QueryParamPaginationService },
    {
      provide: INIT_PAGINATION_EVENT_BASE_TOKEN,
      useValue: new PaginationBaseInit(10, ObservableOrdEnum.OBSERVABLE_TYPE, 'asc'),
    },
  ],
})
export class ObservableOverviewPageComponent extends EntityPaginableFilterableSmartOverviewDirective<
  ObservableOverviewElementFragment,
  ObservableClientFilter
> {
  constructor(
    protected observablesService: ObservablesOverviewService,
    protected filterService: ObservableFilterService,
    protected filterChipsService: ObservableFilterChipsService,
    protected paginationService: PaginationService
  ) {
    super(observablesService, filterService, paginationService, filterChipsService);
  }
}
