import { Injectable } from '@angular/core';
import { ObservableClientFilter, ObservableIdentification } from '@orion/observable-types';
import { FilterService } from '@csirtmu-orion/microframework/filter-services';

@Injectable()
export class EntityAddObservablesFilterService extends FilterService<ObservableClientFilter> {
  protected notIn: ObservableIdentification[] = [];

  constructor() {
    super();
  }

  exclude(notIn: ObservableIdentification[]): void {
    this.notIn = notIn;
    const lastFilter = this.filterSubject$.getValue();
    this.update({ ...lastFilter, notIn: this.notIn });
  }

  update(filter: Partial<ObservableClientFilter>): void {
    filter.notIn = this.notIn;
    super.update(filter);
  }

  protected createEmptyFilter(): ObservableClientFilter {
    return { notIn: this.notIn };
  }
}
