import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RelatedObservableDomainNameFragment = {
  __typename: 'DomainName';
  observableType?: string | undefined;
  domainName: string;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type RelatedObservableDomainToDomainResolutionFragment = {
  __typename: 'DomainToDomainResolution';
  observableType?: string | undefined;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
  originalDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
  resolutionDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
};

export type RelatedObservableDomainToIpAddressResolutionFragment = {
  __typename: 'DomainToIPAddressResolution';
  observableType?: string | undefined;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
  sourceDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
  resolvedIpAddress?:
    | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
    | undefined;
};

export type RelatedObservableEmailAddressFragment = {
  __typename: 'EmailAddress';
  observableType?: string | undefined;
  rawEmailAddress: string;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type RelatedObservableEmailMessageFragment = {
  __typename: 'EmailMessage';
  observableType?: string | undefined;
  id: string;
  subject?: string | undefined;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type RelatedObservableFileReferenceFragment = {
  __typename: 'FileReference';
  observableType?: string | undefined;
  name: string;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type RelatedObservableIpAddressFragment = {
  __typename: 'IPAddress';
  observableType?: string | undefined;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
  address: { __typename?: 'IPNetworkAddressType'; compressed: string };
};

export type RelatedObservableIpAddressToDomainResolutionFragment = {
  __typename: 'IPAddressToDomainResolution';
  observableType?: string | undefined;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
  sourceIpAddress?:
    | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
    | undefined;
  resolvedDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
};

export type RelatedObservableUrlFragment = {
  __typename: 'URL';
  observableType?: string | undefined;
  rawUrl: string;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type RelatedObservableFragment =
  | RelatedObservableDomainNameFragment
  | RelatedObservableDomainToDomainResolutionFragment
  | RelatedObservableDomainToIpAddressResolutionFragment
  | RelatedObservableEmailAddressFragment
  | RelatedObservableEmailMessageFragment
  | RelatedObservableFileReferenceFragment
  | RelatedObservableIpAddressFragment
  | RelatedObservableIpAddressToDomainResolutionFragment
  | RelatedObservableUrlFragment;

export const RelatedObservableFragmentDoc = gql`
  fragment relatedObservable on ObservableFederationBase {
    ...relatedObservablesTable
  }
`;
