import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { RelatedObservableFragmentDoc } from './related-observable.fragment.generated';
import { RelatedObservablesTableFragmentDoc } from '../related-observables-table/related-observables-table.fragment.generated';
import { ObservableFederationBaseViewFragmentDoc } from '../../shared/observable-base-view/observable-base-view.fragment.generated';
import { ObservableFederationIdFragmentDoc } from '../../detail-shared/observable-shared-detail-main-content/observable-id/observable-id.fragment.generated';
import { Injectable } from '@angular/core';

export type GetRelatedObservablesQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.ObservableFederationBaseFilterAndFilterEntry>>;
}>;

export type GetRelatedObservablesQuery = {
  __typename?: 'Query';
  getFederatedObservableList: {
    __typename?: 'ObservableFederationBaseFederationResult';
    data: Array<
      | {
          __typename: 'DomainName';
          observableType?: string | undefined;
          domainName: string;
          id: string;
          observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
        }
      | {
          __typename: 'DomainToDomainResolution';
          observableType?: string | undefined;
          id: string;
          observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
          originalDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
          resolutionDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
        }
      | {
          __typename: 'DomainToIPAddressResolution';
          observableType?: string | undefined;
          id: string;
          observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
          sourceDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
          resolvedIpAddress?:
            | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
            | undefined;
        }
      | {
          __typename: 'EmailAddress';
          observableType?: string | undefined;
          rawEmailAddress: string;
          id: string;
          observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
        }
      | {
          __typename: 'EmailMessage';
          observableType?: string | undefined;
          id: string;
          subject?: string | undefined;
          observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
        }
      | {
          __typename: 'FileReference';
          observableType?: string | undefined;
          name: string;
          id: string;
          observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
        }
      | {
          __typename: 'IPAddress';
          observableType?: string | undefined;
          id: string;
          observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
          address: { __typename?: 'IPNetworkAddressType'; compressed: string };
        }
      | {
          __typename: 'IPAddressToDomainResolution';
          observableType?: string | undefined;
          id: string;
          observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
          sourceIpAddress?:
            | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
            | undefined;
          resolvedDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
        }
      | {
          __typename: 'URL';
          observableType?: string | undefined;
          rawUrl: string;
          id: string;
          observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
        }
    >;
  };
};

export const GetRelatedObservablesDocument = gql`
  query getRelatedObservables($filter: [ObservableFederationBaseFilterANDFilterEntry!]) {
    getFederatedObservableList(filter: $filter) {
      data {
        ...relatedObservable
      }
    }
  }
  ${RelatedObservableFragmentDoc}
  ${RelatedObservablesTableFragmentDoc}
  ${ObservableFederationBaseViewFragmentDoc}
  ${ObservableFederationIdFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetRelatedObservablesQueryService extends Apollo.Query<
  GetRelatedObservablesQuery,
  GetRelatedObservablesQueryVariables
> {
  document = GetRelatedObservablesDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
