import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { Row } from '@sentinel/components/table';
import { RelatedObservablesTable } from './related-observables-table';
import { RelatedObservablesTableFragment } from './related-observables-table.fragment.generated';

@Component({
  selector: 'orion-related-observables-table',
  templateUrl: './related-observables-table.component.html',
  styleUrls: ['./related-observables-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class RelatedObservablesTableComponent extends EntityTableDirective<
  RelatedObservablesTableFragment,
  RelatedObservablesTable
> {
  trackByView = (index: number, view: Row<RelatedObservablesTableFragment>): string => {
    return view.element.id;
  };

  protected createTable(entities: RelatedObservablesTableFragment[]): RelatedObservablesTable {
    return new RelatedObservablesTable(entities);
  }
}
