import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type RelatedObservablesTableDomainNameFragment = {
  __typename: 'DomainName';
  observableType?: string | undefined;
  domainName: string;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type RelatedObservablesTableDomainToDomainResolutionFragment = {
  __typename: 'DomainToDomainResolution';
  observableType?: string | undefined;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
  originalDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
  resolutionDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
};

export type RelatedObservablesTableDomainToIpAddressResolutionFragment = {
  __typename: 'DomainToIPAddressResolution';
  observableType?: string | undefined;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
  sourceDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
  resolvedIpAddress?:
    | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
    | undefined;
};

export type RelatedObservablesTableEmailAddressFragment = {
  __typename: 'EmailAddress';
  observableType?: string | undefined;
  rawEmailAddress: string;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type RelatedObservablesTableEmailMessageFragment = {
  __typename: 'EmailMessage';
  observableType?: string | undefined;
  id: string;
  subject?: string | undefined;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type RelatedObservablesTableFileReferenceFragment = {
  __typename: 'FileReference';
  observableType?: string | undefined;
  name: string;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type RelatedObservablesTableIpAddressFragment = {
  __typename: 'IPAddress';
  observableType?: string | undefined;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
  address: { __typename?: 'IPNetworkAddressType'; compressed: string };
};

export type RelatedObservablesTableIpAddressToDomainResolutionFragment = {
  __typename: 'IPAddressToDomainResolution';
  observableType?: string | undefined;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
  sourceIpAddress?:
    | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
    | undefined;
  resolvedDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
};

export type RelatedObservablesTableUrlFragment = {
  __typename: 'URL';
  observableType?: string | undefined;
  rawUrl: string;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type RelatedObservablesTableFragment =
  | RelatedObservablesTableDomainNameFragment
  | RelatedObservablesTableDomainToDomainResolutionFragment
  | RelatedObservablesTableDomainToIpAddressResolutionFragment
  | RelatedObservablesTableEmailAddressFragment
  | RelatedObservablesTableEmailMessageFragment
  | RelatedObservablesTableFileReferenceFragment
  | RelatedObservablesTableIpAddressFragment
  | RelatedObservablesTableIpAddressToDomainResolutionFragment
  | RelatedObservablesTableUrlFragment;

export const RelatedObservablesTableFragmentDoc = gql`
  fragment relatedObservablesTable on ObservableFederationBase {
    observableType
    ...observableFederationBaseView
  }
`;
