import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RelatedObservableFiltersModule } from '@orion/observable-components/filters';
import { ObservableSelectionModule } from '@orion/observable-components/observable-selection';
import { CreateEditEntityModule } from '@orion/shared-components/create-edit';

import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { ObservableBaseViewModule } from '../shared/observable-base-view';
import { AddRelatedObservablesComponent } from './add-related-observables';
import { RelatedObservablesOverviewComponent } from './related-observables-overview.component';
import { RelatedObservablesTableComponent } from './related-observables-table';

@NgModule({
  declarations: [RelatedObservablesOverviewComponent, AddRelatedObservablesComponent, RelatedObservablesTableComponent],
  imports: [
    CommonModule,
    RelatedObservableFiltersModule,
    ObservableBaseViewModule,
    OrionFilterModule,
    SentinelPipesModule,
    SentinelTableModule,
    SentinelErrorModule,
    OrionSkeletonLoadingModule,
    OrionCardModule,
    SentinelControlsModule,
    CreateEditEntityModule,
    ObservableSelectionModule,
  ],
  exports: [RelatedObservablesOverviewComponent],
})
export class RelatedObservablesModule {}
