import { Pipe, PipeTransform } from '@angular/core';
import { CtiEntryExternalUrlFragment } from './cti-entry-external-url.fragment.generated';

@Pipe({
  name: 'ctiEntryExternalUrl',
})
export class CtiEntryExternalUrlPipe implements PipeTransform {
  transform(ctiEntry?: CtiEntryExternalUrlFragment): string {
    return ctiEntryToExternalUrl(ctiEntry);
  }
}

export function ctiEntryToExternalUrl(ctiEntry?: CtiEntryExternalUrlFragment): string {
  if (ctiEntry && ctiEntry?.sourceSpecifier?.dataSource?.baseUrl && ctiEntry?.externalReference) {
    return `${ctiEntry.sourceSpecifier.dataSource.baseUrl}/${ctiEntry.externalReference}`;
  } else {
    return '';
  }
}
