import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { PaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { CtiEntryTable } from './cti-entry-table';
import { CtiEntryFragment } from './cti-entry-table-row.fragment.generated';

@Component({
  selector: 'orion-cti-entry-table',
  templateUrl: './cti-entry-table.component.html',
  styleUrls: ['./cti-entry-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CtiEntryTableComponent extends PaginatedEntityTableDirective<CtiEntryFragment, CtiEntryTable> {
  protected createTable(entities: IPaginatedElements<CtiEntryFragment>): CtiEntryTable {
    return new CtiEntryTable(entities);
  }
}
