import { CtiEntryOrdEnum } from '@orion/graphql-types';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column, Row, SentinelTable } from '@sentinel/components/table';
import { CtiEntryFragment } from './cti-entry-table-row.fragment.generated';

export class CtiEntryTable extends SentinelTable<CtiEntryFragment> {
  constructor(resource: IPaginatedElements<CtiEntryFragment>) {
    const columns = [
      new Column('id', 'ID', true, CtiEntryOrdEnum.ID),
      new Column('externalReference', 'External Reference', true, CtiEntryOrdEnum.EXTERNAL_REFERENCE),
      new Column('created', 'Created', true, CtiEntryOrdEnum.CREATED),
    ];
    const rows = resource.elements.map((entry) => new Row(entry));
    super(rows, columns);
    this.pagination = resource.pagination;
  }
}
