import { ChangeDetectionStrategy, Component } from '@angular/core';
import { trackByIndex } from '@sentinel/common/utils';
import { HashTableElementFragment } from './hash-table-element.fragment.generated';
import { EntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { HashTable } from './hash-table';

@Component({
  selector: 'orion-hash-table',
  templateUrl: './hash-table.component.html',
  styleUrls: ['./hash-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class HashTableComponent extends EntityTableDirective<HashTableElementFragment, HashTable> {
  trackBy = trackByIndex;

  protected createTable(entities: HashTableElementFragment[]): HashTable {
    return new HashTable(entities);
  }
}
