import { gql } from 'apollo-angular';

export type IpAddressInfoFragment = {
  __typename?: 'IPNetworkAddressType';
  compressed: string;
  exploded: string;
  isGlobal: boolean;
  isLinkLocal: boolean;
  isLoopback: boolean;
  isMulticast: boolean;
  isPrivate: boolean;
  isReserved: boolean;
  isUnspecified: boolean;
  maxPrefixlen: number;
  reversePointer: string;
  version: number;
  hostmask: {
    __typename?: 'AddressType';
    compressed: string;
    exploded: string;
    isGlobal: boolean;
    isLinkLocal: boolean;
    isLoopback: boolean;
    isMulticast: boolean;
    isPrivate: boolean;
    isReserved: boolean;
    isUnspecified: boolean;
    maxPrefixlen: number;
    reversePointer: string;
    version: number;
  };
  ip: {
    __typename?: 'AddressType';
    compressed: string;
    exploded: string;
    isGlobal: boolean;
    isLinkLocal: boolean;
    isLoopback: boolean;
    isMulticast: boolean;
    isPrivate: boolean;
    isReserved: boolean;
    isUnspecified: boolean;
    maxPrefixlen: number;
    reversePointer: string;
    version: number;
  };
  netmask: {
    __typename?: 'AddressType';
    compressed: string;
    exploded: string;
    isGlobal: boolean;
    isLinkLocal: boolean;
    isLoopback: boolean;
    isMulticast: boolean;
    isPrivate: boolean;
    isReserved: boolean;
    isUnspecified: boolean;
    maxPrefixlen: number;
    reversePointer: string;
    version: number;
  };
  network: {
    __typename?: 'IPNetworkType';
    compressed: string;
    exploded: string;
    isGlobal: boolean;
    isLinkLocal: boolean;
    isLoopback: boolean;
    isMulticast: boolean;
    isPrivate: boolean;
    isReserved: boolean;
    isUnspecified: boolean;
    maxPrefixlen: number;
    prefixlen: number;
    version: number;
    broadcastAddress: {
      __typename?: 'AddressType';
      compressed: string;
      exploded: string;
      isGlobal: boolean;
      isLinkLocal: boolean;
      isLoopback: boolean;
      isMulticast: boolean;
      isPrivate: boolean;
      isReserved: boolean;
      isUnspecified: boolean;
      maxPrefixlen: number;
      reversePointer: string;
      version: number;
    };
    hostmask: {
      __typename?: 'AddressType';
      compressed: string;
      exploded: string;
      isGlobal: boolean;
      isLinkLocal: boolean;
      isLoopback: boolean;
      isMulticast: boolean;
      isPrivate: boolean;
      isReserved: boolean;
      isUnspecified: boolean;
      maxPrefixlen: number;
      reversePointer: string;
      version: number;
    };
    netmask: {
      __typename?: 'AddressType';
      compressed: string;
      exploded: string;
      isGlobal: boolean;
      isLinkLocal: boolean;
      isLoopback: boolean;
      isMulticast: boolean;
      isPrivate: boolean;
      isReserved: boolean;
      isUnspecified: boolean;
      maxPrefixlen: number;
      reversePointer: string;
      version: number;
    };
    networkAddress: {
      __typename?: 'AddressType';
      compressed: string;
      exploded: string;
      isGlobal: boolean;
      isLinkLocal: boolean;
      isLoopback: boolean;
      isMulticast: boolean;
      isPrivate: boolean;
      isReserved: boolean;
      isUnspecified: boolean;
      maxPrefixlen: number;
      reversePointer: string;
      version: number;
    };
  };
};

export const IpAddressInfoFragmentDoc = gql`
  fragment ipAddressInfo on IPNetworkAddressType {
    compressed
    exploded
    hostmask {
      ...addressTypeInfo
    }
    ip {
      ...addressTypeInfo
    }
    isGlobal
    isLinkLocal
    isLoopback
    isMulticast
    isPrivate
    isReserved
    isUnspecified
    maxPrefixlen
    netmask {
      ...addressTypeInfo
    }
    network {
      ...networkTypeInfo
    }
    reversePointer
    version
  }
`;
