import { gql } from 'apollo-angular';

export type NetworkTypeInfoFragment = {
  __typename?: 'IPNetworkType';
  compressed: string;
  exploded: string;
  isGlobal: boolean;
  isLinkLocal: boolean;
  isLoopback: boolean;
  isMulticast: boolean;
  isPrivate: boolean;
  isReserved: boolean;
  isUnspecified: boolean;
  maxPrefixlen: number;
  prefixlen: number;
  version: number;
  broadcastAddress: {
    __typename?: 'AddressType';
    compressed: string;
    exploded: string;
    isGlobal: boolean;
    isLinkLocal: boolean;
    isLoopback: boolean;
    isMulticast: boolean;
    isPrivate: boolean;
    isReserved: boolean;
    isUnspecified: boolean;
    maxPrefixlen: number;
    reversePointer: string;
    version: number;
  };
  hostmask: {
    __typename?: 'AddressType';
    compressed: string;
    exploded: string;
    isGlobal: boolean;
    isLinkLocal: boolean;
    isLoopback: boolean;
    isMulticast: boolean;
    isPrivate: boolean;
    isReserved: boolean;
    isUnspecified: boolean;
    maxPrefixlen: number;
    reversePointer: string;
    version: number;
  };
  netmask: {
    __typename?: 'AddressType';
    compressed: string;
    exploded: string;
    isGlobal: boolean;
    isLinkLocal: boolean;
    isLoopback: boolean;
    isMulticast: boolean;
    isPrivate: boolean;
    isReserved: boolean;
    isUnspecified: boolean;
    maxPrefixlen: number;
    reversePointer: string;
    version: number;
  };
  networkAddress: {
    __typename?: 'AddressType';
    compressed: string;
    exploded: string;
    isGlobal: boolean;
    isLinkLocal: boolean;
    isLoopback: boolean;
    isMulticast: boolean;
    isPrivate: boolean;
    isReserved: boolean;
    isUnspecified: boolean;
    maxPrefixlen: number;
    reversePointer: string;
    version: number;
  };
};

export const NetworkTypeInfoFragmentDoc = gql`
  fragment networkTypeInfo on IPNetworkType {
    broadcastAddress {
      ...addressTypeInfo
    }
    compressed
    exploded
    hostmask {
      ...addressTypeInfo
    }
    isGlobal
    isLinkLocal
    isLoopback
    isMulticast
    isPrivate
    isReserved
    isUnspecified
    maxPrefixlen
    netmask {
      ...addressTypeInfo
    }
    networkAddress {
      ...addressTypeInfo
    }
    prefixlen
    version
  }
`;
