import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ObservableBaseViewModule } from '@orion/observable-components/base-view';
import { ObservableTableModule } from '@orion/observable-components/shared-observable-table';
import { EditableEntityModule } from '@orion/shared-components/editable-entity';

import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionInlineListModule } from '@csirtmu-orion/microframework/inline-list';
import { AddressTypeInfoComponent, IpAddressInfoComponent, NetworkTypeInfoComponent } from './ip-address-info';

@NgModule({
  declarations: [IpAddressInfoComponent, AddressTypeInfoComponent, NetworkTypeInfoComponent],
  imports: [
    CommonModule,
    EditableEntityModule,
    OrionAttributeModule,
    ObservableBaseViewModule,
    OrionCardModule,
    ObservableTableModule,
    OrionInlineListModule,
    SentinelPipesModule,
  ],
  exports: [IpAddressInfoComponent],
})
export class IpAddressObservableDetailOverviewModule {}
