import { gql } from 'apollo-angular';

export type IpAddressRelatedObservablesFragment = {
  __typename?: 'IPAddress';
  id: string;
  ipResolvedFromDomains?:
    | {
        __typename?: 'DomainToIPAddressResolutionNestedList';
        data: Array<{
          __typename: 'DomainToIPAddressResolution';
          observableType?: string | undefined;
          id: string;
          sourceDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
          resolvedIpAddress?:
            | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
            | undefined;
        }>;
      }
    | undefined;
  ipResolvesToDomains?:
    | {
        __typename?: 'IPAddressToDomainResolutionNestedList';
        data: Array<{
          __typename: 'IPAddressToDomainResolution';
          observableType?: string | undefined;
          id: string;
          sourceIpAddress?:
            | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
            | undefined;
          resolvedDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
        }>;
      }
    | undefined;
  urls?:
    | {
        __typename?: 'URLNestedList';
        data: Array<{ __typename: 'URL'; rawUrl: string; observableType?: string | undefined; id: string }>;
      }
    | undefined;
};

export const IpAddressRelatedObservablesFragmentDoc = gql`
  fragment ipAddressRelatedObservables on IPAddress {
    id
    ipResolvedFromDomains {
      data {
        ...observableTable
      }
    }
    ipResolvesToDomains {
      data {
        ...observableTable
      }
    }
    urls {
      data {
        ...observableTable
      }
    }
  }
`;
