import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ObservableBaseViewBaseHashableObservableFragment = {
  __typename: 'BaseHashableObservable';
  observableType?: string | undefined;
  id: string;
};

export type ObservableBaseViewBaseHostFragment = {
  __typename: 'BaseHost';
  observableType?: string | undefined;
  id: string;
};

export type ObservableBaseViewBaseObservableFragment = {
  __typename: 'BaseObservable';
  observableType?: string | undefined;
  id: string;
};

export type ObservableBaseViewDomainNameFragment = {
  __typename: 'DomainName';
  domainName: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableBaseViewDomainToDomainResolutionFragment = {
  __typename: 'DomainToDomainResolution';
  observableType?: string | undefined;
  id: string;
  originalDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
  resolutionDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
};

export type ObservableBaseViewDomainToIpAddressResolutionFragment = {
  __typename: 'DomainToIPAddressResolution';
  observableType?: string | undefined;
  id: string;
  sourceDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
  resolvedIpAddress?:
    | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
    | undefined;
};

export type ObservableBaseViewEmailAddressFragment = {
  __typename: 'EmailAddress';
  rawEmailAddress: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableBaseViewEmailMessageFragment = {
  __typename: 'EmailMessage';
  id: string;
  subject?: string | undefined;
  observableType?: string | undefined;
};

export type ObservableBaseViewEmailMessageEmailAddressRelationshipFragment = {
  __typename: 'EmailMessageEmailAddressRelationship';
  observableType?: string | undefined;
  id: string;
};

export type ObservableBaseViewEmailMessagePartsRelationshipFragment = {
  __typename: 'EmailMessagePartsRelationship';
  observableType?: string | undefined;
  id: string;
};

export type ObservableBaseViewFileReferenceFragment = {
  __typename: 'FileReference';
  name: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableBaseViewIpAddressFragment = {
  __typename: 'IPAddress';
  observableType?: string | undefined;
  id: string;
  address: { __typename?: 'IPNetworkAddressType'; compressed: string };
};

export type ObservableBaseViewIpAddressToDomainResolutionFragment = {
  __typename: 'IPAddressToDomainResolution';
  observableType?: string | undefined;
  id: string;
  sourceIpAddress?:
    | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
    | undefined;
  resolvedDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
};

export type ObservableBaseViewUrlFragment = {
  __typename: 'URL';
  rawUrl: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableBaseViewFragment =
  | ObservableBaseViewBaseHashableObservableFragment
  | ObservableBaseViewBaseHostFragment
  | ObservableBaseViewBaseObservableFragment
  | ObservableBaseViewDomainNameFragment
  | ObservableBaseViewDomainToDomainResolutionFragment
  | ObservableBaseViewDomainToIpAddressResolutionFragment
  | ObservableBaseViewEmailAddressFragment
  | ObservableBaseViewEmailMessageFragment
  | ObservableBaseViewEmailMessageEmailAddressRelationshipFragment
  | ObservableBaseViewEmailMessagePartsRelationshipFragment
  | ObservableBaseViewFileReferenceFragment
  | ObservableBaseViewIpAddressFragment
  | ObservableBaseViewIpAddressToDomainResolutionFragment
  | ObservableBaseViewUrlFragment;

export type ObservableFederationBaseViewDomainNameFragment = {
  __typename: 'DomainName';
  domainName: string;
  observableType?: string | undefined;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type ObservableFederationBaseViewDomainToDomainResolutionFragment = {
  __typename: 'DomainToDomainResolution';
  observableType?: string | undefined;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
  originalDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
  resolutionDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
};

export type ObservableFederationBaseViewDomainToIpAddressResolutionFragment = {
  __typename: 'DomainToIPAddressResolution';
  observableType?: string | undefined;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
  sourceDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
  resolvedIpAddress?:
    | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
    | undefined;
};

export type ObservableFederationBaseViewEmailAddressFragment = {
  __typename: 'EmailAddress';
  rawEmailAddress: string;
  observableType?: string | undefined;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type ObservableFederationBaseViewEmailMessageFragment = {
  __typename: 'EmailMessage';
  id: string;
  subject?: string | undefined;
  observableType?: string | undefined;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type ObservableFederationBaseViewFileReferenceFragment = {
  __typename: 'FileReference';
  name: string;
  observableType?: string | undefined;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type ObservableFederationBaseViewIpAddressFragment = {
  __typename: 'IPAddress';
  observableType?: string | undefined;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
  address: { __typename?: 'IPNetworkAddressType'; compressed: string };
};

export type ObservableFederationBaseViewIpAddressToDomainResolutionFragment = {
  __typename: 'IPAddressToDomainResolution';
  observableType?: string | undefined;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
  sourceIpAddress?:
    | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
    | undefined;
  resolvedDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
};

export type ObservableFederationBaseViewUrlFragment = {
  __typename: 'URL';
  rawUrl: string;
  observableType?: string | undefined;
  id: string;
  observableTypeEnum?: SchemaTypes.KnownObservablesEnum | undefined;
};

export type ObservableFederationBaseViewFragment =
  | ObservableFederationBaseViewDomainNameFragment
  | ObservableFederationBaseViewDomainToDomainResolutionFragment
  | ObservableFederationBaseViewDomainToIpAddressResolutionFragment
  | ObservableFederationBaseViewEmailAddressFragment
  | ObservableFederationBaseViewEmailMessageFragment
  | ObservableFederationBaseViewFileReferenceFragment
  | ObservableFederationBaseViewIpAddressFragment
  | ObservableFederationBaseViewIpAddressToDomainResolutionFragment
  | ObservableFederationBaseViewUrlFragment;

export type HostBaseViewBaseHostFragment = { __typename?: 'BaseHost'; id: string; observableType?: string | undefined };

export type HostBaseViewDomainNameFragment = {
  __typename?: 'DomainName';
  domainName: string;
  id: string;
  observableType?: string | undefined;
};

export type HostBaseViewIpAddressFragment = {
  __typename?: 'IPAddress';
  id: string;
  observableType?: string | undefined;
  address: { __typename?: 'IPNetworkAddressType'; compressed: string };
};

export type HostBaseViewFragment =
  | HostBaseViewBaseHostFragment
  | HostBaseViewDomainNameFragment
  | HostBaseViewIpAddressFragment;

export const ObservableBaseViewFragmentDoc = gql`
  fragment observableBaseView on Observable {
    ...observableId
    observableType
    ... on IPAddress {
      address {
        compressed
      }
    }
    ... on DomainName {
      domainName
    }
    ... on DomainToDomainResolution {
      originalDomain {
        domainName
      }
      resolutionDomain {
        domainName
      }
    }
    ... on DomainToIPAddressResolution {
      sourceDomain {
        domainName
      }
      resolvedIpAddress {
        address {
          compressed
        }
      }
    }
    ... on IPAddressToDomainResolution {
      sourceIpAddress {
        address {
          compressed
        }
      }
      resolvedDomain {
        domainName
      }
    }
    ... on URL {
      rawUrl
    }
    ... on FileReference {
      name
    }
    ... on EmailAddress {
      rawEmailAddress
    }
    ... on EmailMessage {
      id
      subject
    }
  }
`;
export const ObservableFederationBaseViewFragmentDoc = gql`
  fragment observableFederationBaseView on ObservableFederationBase {
    ...observableFederationId
    observableType
    ... on IPAddress {
      address {
        compressed
      }
    }
    ... on DomainName {
      domainName
    }
    ... on DomainToDomainResolution {
      originalDomain {
        domainName
      }
      resolutionDomain {
        domainName
      }
    }
    ... on DomainToIPAddressResolution {
      sourceDomain {
        domainName
      }
      resolvedIpAddress {
        address {
          compressed
        }
      }
    }
    ... on IPAddressToDomainResolution {
      sourceIpAddress {
        address {
          compressed
        }
      }
      resolvedDomain {
        domainName
      }
    }
    ... on URL {
      rawUrl
    }
    ... on FileReference {
      name
    }
    ... on EmailAddress {
      rawEmailAddress
    }
    ... on EmailMessage {
      id
      subject
    }
  }
`;
export const HostBaseViewFragmentDoc = gql`
  fragment hostBaseView on Host {
    id
    observableType
    ... on IPAddress {
      address {
        compressed
      }
    }
    ... on DomainName {
      domainName
    }
  }
`;
