import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { MatTooltipModule } from '@angular/material/tooltip';
import { EntitySubtitleModule } from '@orion/shared-components/entity-subtitle';

import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { ObservableBaseViewComponent } from './observable-base-view.component';
import { ObservableIconPipe } from './observable-icon.pipe';
import { ObservableNamePipe } from './observable-name.pipe';
import { ObservableNavigatorPipe } from './observable-navigator.pipe';
import { ObservableTypenamePipe } from './observable-typename.pipe';

@NgModule({
  declarations: [
    ObservableBaseViewComponent,
    ObservableNavigatorPipe,
    ObservableNamePipe,
    ObservableTypenamePipe,
    ObservableIconPipe,
  ],
  imports: [
    CommonModule,
    SentinelPipesModule,
    OrionEntityNameModule,
    MatTooltipModule,
    MatIconModule,
    EntitySubtitleModule,
  ],
  exports: [
    ObservableBaseViewComponent,
    ObservableNamePipe,
    ObservableNavigatorPipe,
    ObservableIconPipe,
    ObservableTypenamePipe,
  ],
})
export class ObservableBaseViewModule {}
