import { Optional, Pipe, PipeTransform } from '@angular/core';
import { ObservableNavigator } from '@orion/observable-services';
import { AllObservableFragments } from './utils';

@Pipe({
  name: 'observableNavigator',
})
export class ObservableNavigatorPipe implements PipeTransform {
  constructor(@Optional() private routeResolver?: ObservableNavigator) {}

  transform(observable?: AllObservableFragments): string | undefined {
    if (observable && observable.observableType && this.routeResolver) {
      return this.routeResolver.toDetail(observable.id, observable.observableType);
    } else {
      return undefined;
    }
  }
}
