import {
  HostBaseViewDomainNameFragment,
  HostBaseViewFragment,
  HostBaseViewIpAddressFragment,
  ObservableBaseViewDomainNameFragment,
  ObservableBaseViewDomainToDomainResolutionFragment,
  ObservableBaseViewDomainToIpAddressResolutionFragment,
  ObservableBaseViewEmailAddressFragment,
  ObservableBaseViewEmailMessageFragment,
  ObservableBaseViewFileReferenceFragment,
  ObservableBaseViewFragment,
  ObservableBaseViewIpAddressFragment,
  ObservableBaseViewIpAddressToDomainResolutionFragment,
  ObservableBaseViewUrlFragment,
  ObservableFederationBaseViewDomainNameFragment,
  ObservableFederationBaseViewDomainToDomainResolutionFragment,
  ObservableFederationBaseViewDomainToIpAddressResolutionFragment,
  ObservableFederationBaseViewEmailAddressFragment,
  ObservableFederationBaseViewEmailMessageFragment,
  ObservableFederationBaseViewFileReferenceFragment,
  ObservableFederationBaseViewFragment,
  ObservableFederationBaseViewIpAddressFragment,
  ObservableFederationBaseViewIpAddressToDomainResolutionFragment,
  ObservableFederationBaseViewUrlFragment,
} from './observable-base-view.fragment.generated';

export type AllObservableFragments =
  | ObservableBaseViewFragment
  | ObservableFederationBaseViewFragment
  | HostBaseViewFragment;

export function isIPAddressObservable(
  observable: AllObservableFragments
): observable is
  | ObservableBaseViewIpAddressFragment
  | ObservableFederationBaseViewIpAddressFragment
  | HostBaseViewIpAddressFragment {
  return observable?.__typename === 'IPAddress';
}

export function isDomainNameObservable(
  observable: AllObservableFragments
): observable is
  | ObservableBaseViewDomainNameFragment
  | ObservableFederationBaseViewDomainNameFragment
  | HostBaseViewDomainNameFragment {
  return observable?.__typename === 'DomainName';
}

export function isDomainToDomainObservable(
  observable: AllObservableFragments
): observable is
  | ObservableBaseViewDomainToDomainResolutionFragment
  | ObservableFederationBaseViewDomainToDomainResolutionFragment {
  return observable?.__typename === 'DomainToDomainResolution';
}

export function isDomainToIpAddressResolutionObservable(
  observable: AllObservableFragments
): observable is
  | ObservableBaseViewDomainToIpAddressResolutionFragment
  | ObservableFederationBaseViewDomainToIpAddressResolutionFragment {
  return observable?.__typename === 'DomainToIPAddressResolution';
}

export function isIPAddressToDomainResolutionObservable(
  observable: AllObservableFragments
): observable is
  | ObservableBaseViewIpAddressToDomainResolutionFragment
  | ObservableFederationBaseViewIpAddressToDomainResolutionFragment {
  return observable?.__typename === 'IPAddressToDomainResolution';
}

export function isURLObservable(
  observable: AllObservableFragments
): observable is ObservableBaseViewUrlFragment | ObservableFederationBaseViewUrlFragment {
  return observable?.__typename === 'URL';
}

export function isFileReferenceObservable(
  observable: AllObservableFragments
): observable is ObservableBaseViewFileReferenceFragment | ObservableFederationBaseViewFileReferenceFragment {
  return observable?.__typename === 'FileReference';
}

export function isEmailMessageObservable(
  observable: AllObservableFragments
): observable is ObservableBaseViewEmailMessageFragment | ObservableFederationBaseViewEmailMessageFragment {
  return observable?.__typename === 'EmailMessage';
}

export function isEmailAddressObservable(
  observable: AllObservableFragments
): observable is ObservableBaseViewEmailAddressFragment | ObservableFederationBaseViewEmailAddressFragment {
  return observable?.__typename === 'EmailAddress';
}
