import { gql } from 'apollo-angular';

export type ObservableSelectionBaseHashableObservableFragment = {
  __typename: 'BaseHashableObservable';
  observableType?: string | undefined;
  id: string;
};

export type ObservableSelectionBaseHostFragment = {
  __typename: 'BaseHost';
  observableType?: string | undefined;
  id: string;
};

export type ObservableSelectionBaseObservableFragment = {
  __typename: 'BaseObservable';
  observableType?: string | undefined;
  id: string;
};

export type ObservableSelectionDomainNameFragment = {
  __typename: 'DomainName';
  domainName: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableSelectionDomainToDomainResolutionFragment = {
  __typename: 'DomainToDomainResolution';
  observableType?: string | undefined;
  id: string;
  originalDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
  resolutionDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
};

export type ObservableSelectionDomainToIpAddressResolutionFragment = {
  __typename: 'DomainToIPAddressResolution';
  observableType?: string | undefined;
  id: string;
  sourceDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
  resolvedIpAddress?:
    | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
    | undefined;
};

export type ObservableSelectionEmailAddressFragment = {
  __typename: 'EmailAddress';
  rawEmailAddress: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableSelectionEmailMessageFragment = {
  __typename: 'EmailMessage';
  id: string;
  subject?: string | undefined;
  observableType?: string | undefined;
};

export type ObservableSelectionEmailMessageEmailAddressRelationshipFragment = {
  __typename: 'EmailMessageEmailAddressRelationship';
  observableType?: string | undefined;
  id: string;
};

export type ObservableSelectionEmailMessagePartsRelationshipFragment = {
  __typename: 'EmailMessagePartsRelationship';
  observableType?: string | undefined;
  id: string;
};

export type ObservableSelectionFileReferenceFragment = {
  __typename: 'FileReference';
  name: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableSelectionIpAddressFragment = {
  __typename: 'IPAddress';
  observableType?: string | undefined;
  id: string;
  address: { __typename?: 'IPNetworkAddressType'; compressed: string };
};

export type ObservableSelectionIpAddressToDomainResolutionFragment = {
  __typename: 'IPAddressToDomainResolution';
  observableType?: string | undefined;
  id: string;
  sourceIpAddress?:
    | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
    | undefined;
  resolvedDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
};

export type ObservableSelectionUrlFragment = {
  __typename: 'URL';
  rawUrl: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableSelectionFragment =
  | ObservableSelectionBaseHashableObservableFragment
  | ObservableSelectionBaseHostFragment
  | ObservableSelectionBaseObservableFragment
  | ObservableSelectionDomainNameFragment
  | ObservableSelectionDomainToDomainResolutionFragment
  | ObservableSelectionDomainToIpAddressResolutionFragment
  | ObservableSelectionEmailAddressFragment
  | ObservableSelectionEmailMessageFragment
  | ObservableSelectionEmailMessageEmailAddressRelationshipFragment
  | ObservableSelectionEmailMessagePartsRelationshipFragment
  | ObservableSelectionFileReferenceFragment
  | ObservableSelectionIpAddressFragment
  | ObservableSelectionIpAddressToDomainResolutionFragment
  | ObservableSelectionUrlFragment;

export const ObservableSelectionFragmentDoc = gql`
  fragment observableSelection on Observable {
    ...observableBaseView
  }
`;
