import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ObservableTableFragment } from './observable-table.fragment.generated';
import { ObservablesTable } from './observables-table';

@Component({
  selector: 'orion-observable-table',
  templateUrl: './observable-table.component.html',
  styleUrls: ['./observable-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ObservableTableComponent extends OptionallyPaginatedEntityTableDirective<
  ObservableTableFragment,
  ObservablesTable
> {
  @Input() subtitleFullPath = false;
  protected createTable(
    entities: IPaginatedElements<ObservableTableFragment> | ObservableTableFragment[]
  ): ObservablesTable {
    return new ObservablesTable(entities);
  }
}
