import { gql } from 'apollo-angular';

export type ObservableTableBaseHashableObservableFragment = {
  __typename: 'BaseHashableObservable';
  observableType?: string | undefined;
  id: string;
};

export type ObservableTableBaseHostFragment = {
  __typename: 'BaseHost';
  observableType?: string | undefined;
  id: string;
};

export type ObservableTableBaseObservableFragment = {
  __typename: 'BaseObservable';
  observableType?: string | undefined;
  id: string;
};

export type ObservableTableDomainNameFragment = {
  __typename: 'DomainName';
  domainName: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableTableDomainToDomainResolutionFragment = {
  __typename: 'DomainToDomainResolution';
  observableType?: string | undefined;
  id: string;
  originalDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
  resolutionDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
};

export type ObservableTableDomainToIpAddressResolutionFragment = {
  __typename: 'DomainToIPAddressResolution';
  observableType?: string | undefined;
  id: string;
  sourceDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
  resolvedIpAddress?:
    | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
    | undefined;
};

export type ObservableTableEmailAddressFragment = {
  __typename: 'EmailAddress';
  rawEmailAddress: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableTableEmailMessageFragment = {
  __typename: 'EmailMessage';
  id: string;
  subject?: string | undefined;
  observableType?: string | undefined;
};

export type ObservableTableEmailMessageEmailAddressRelationshipFragment = {
  __typename: 'EmailMessageEmailAddressRelationship';
  observableType?: string | undefined;
  id: string;
};

export type ObservableTableEmailMessagePartsRelationshipFragment = {
  __typename: 'EmailMessagePartsRelationship';
  observableType?: string | undefined;
  id: string;
};

export type ObservableTableFileReferenceFragment = {
  __typename: 'FileReference';
  name: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableTableIpAddressFragment = {
  __typename: 'IPAddress';
  observableType?: string | undefined;
  id: string;
  address: { __typename?: 'IPNetworkAddressType'; compressed: string };
};

export type ObservableTableIpAddressToDomainResolutionFragment = {
  __typename: 'IPAddressToDomainResolution';
  observableType?: string | undefined;
  id: string;
  sourceIpAddress?:
    | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
    | undefined;
  resolvedDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
};

export type ObservableTableUrlFragment = {
  __typename: 'URL';
  rawUrl: string;
  observableType?: string | undefined;
  id: string;
};

export type ObservableTableFragment =
  | ObservableTableBaseHashableObservableFragment
  | ObservableTableBaseHostFragment
  | ObservableTableBaseObservableFragment
  | ObservableTableDomainNameFragment
  | ObservableTableDomainToDomainResolutionFragment
  | ObservableTableDomainToIpAddressResolutionFragment
  | ObservableTableEmailAddressFragment
  | ObservableTableEmailMessageFragment
  | ObservableTableEmailMessageEmailAddressRelationshipFragment
  | ObservableTableEmailMessagePartsRelationshipFragment
  | ObservableTableFileReferenceFragment
  | ObservableTableIpAddressFragment
  | ObservableTableIpAddressToDomainResolutionFragment
  | ObservableTableUrlFragment;

export const ObservableTableFragmentDoc = gql`
  fragment observableTable on Observable {
    ...observableBaseView
  }
`;
