import { SimpleRowTable } from '@orion/common';
import { ObservableOrdEnum } from '@orion/graphql-types';
import { IPaginatedElements, isPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { ObservableTableFragment } from './index';

export class ObservablesTable extends SimpleRowTable<ObservableTableFragment> {
  constructor(observables: IPaginatedElements<ObservableTableFragment> | ObservableTableFragment[]) {
    const isPaginated = isPaginatedElements(observables);
    const columns = [
      new Column('observable', 'Observable', false),
      new Column('type', 'Type', isPaginated, ObservableOrdEnum.OBSERVABLE_TYPE),
    ];
    super(observables, columns);
  }
}
