import { Injectable } from '@angular/core';
import { CTI_ENTRY_ID_PARAM_SELECTOR } from '@orion/observable-paths';
import { entityId, entityTitle } from '@orion/common';
import { OrionIdBreadcrumbResolver } from '@orion/shared/services/global';

@Injectable()
export class CtiEntryBreadcrumbResolver extends OrionIdBreadcrumbResolver {
  protected toBreadcrumb(id: string): string {
    return `CTI Entry ${entityId(id)}`;
  }

  protected getIdParamSelector(): string {
    return CTI_ENTRY_ID_PARAM_SELECTOR;
  }
}

@Injectable()
export class CtiEntryTitleResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return CTI_ENTRY_ID_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'CTI Entry');
  }
}
