import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ObservableBaseViewFragmentDoc } from '../../../components/shared/observable-base-view/observable-base-view.fragment.generated';
import { ObservableIdFragmentDoc } from '../../../components/detail-shared/observable-shared-detail-main-content/observable-id/observable-id.fragment.generated';
import { Injectable } from '@angular/core';

export type GetObservableQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetObservableQuery = {
  __typename?: 'Query';
  getObservable?:
    | { __typename: 'BaseHashableObservable'; observableType?: string | undefined; id: string }
    | { __typename: 'BaseHost'; observableType?: string | undefined; id: string }
    | { __typename: 'BaseObservable'; observableType?: string | undefined; id: string }
    | { __typename: 'DomainName'; domainName: string; observableType?: string | undefined; id: string }
    | {
        __typename: 'DomainToDomainResolution';
        observableType?: string | undefined;
        id: string;
        originalDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
        resolutionDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
      }
    | {
        __typename: 'DomainToIPAddressResolution';
        observableType?: string | undefined;
        id: string;
        sourceDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
        resolvedIpAddress?:
          | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
          | undefined;
      }
    | { __typename: 'EmailAddress'; rawEmailAddress: string; observableType?: string | undefined; id: string }
    | { __typename: 'EmailMessage'; id: string; subject?: string | undefined; observableType?: string | undefined }
    | { __typename: 'EmailMessageEmailAddressRelationship'; observableType?: string | undefined; id: string }
    | { __typename: 'EmailMessagePartsRelationship'; observableType?: string | undefined; id: string }
    | { __typename: 'FileReference'; name: string; observableType?: string | undefined; id: string }
    | {
        __typename: 'IPAddress';
        observableType?: string | undefined;
        id: string;
        address: { __typename?: 'IPNetworkAddressType'; compressed: string };
      }
    | {
        __typename: 'IPAddressToDomainResolution';
        observableType?: string | undefined;
        id: string;
        sourceIpAddress?:
          | { __typename?: 'IPAddress'; address: { __typename?: 'IPNetworkAddressType'; compressed: string } }
          | undefined;
        resolvedDomain?: { __typename?: 'DomainName'; domainName: string } | undefined;
      }
    | { __typename: 'URL'; rawUrl: string; observableType?: string | undefined; id: string }
    | undefined;
};

export const GetObservableDocument = gql`
  query getObservable($id: ID!) {
    getObservable(id: $id) {
      ...observableBaseView
    }
  }
  ${ObservableBaseViewFragmentDoc}
  ${ObservableIdFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetObservableQueryService extends Apollo.Query<GetObservableQuery, GetObservableQueryVariables> {
  document = GetObservableDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
