import { Injectable } from '@angular/core';
import { ObservableAbstractDetailResolver } from './observable-abstract-detail.resolver';
import { entityId, entityTitle } from '@orion/common';

@Injectable()
export class UrlObservableBreadcrumbResolver extends ObservableAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return `URL ${entityId(id)}`;
  }
}

@Injectable()
export class UrlObservableTitleResolver extends ObservableAbstractDetailResolver {
  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'URL');
  }
}
