import { convertDateTimeFilter } from '@orion/common';
import { CtiEntryFilter1, CtiEntryFilter1AndFilterEntry } from '@orion/graphql-types';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import { ObservableCtiEntryClientFilter } from './observable-cti-entry-client-filter';

export class ObservableCTIEntryFilterConverter
  implements FilterConverter<ObservableCtiEntryClientFilter, CtiEntryFilter1AndFilterEntry[]>
{
  convert(clientFilter?: ObservableCtiEntryClientFilter): CtiEntryFilter1AndFilterEntry[] {
    const andFilter: CtiEntryFilter1 = {};

    if (clientFilter?.from || clientFilter?.to) {
      andFilter.created = convertDateTimeFilter(clientFilter);
    }
    if (clientFilter?.observableId !== undefined) {
      andFilter.observables = {
        observable: { id: { exact: clientFilter?.observableId } },
      };
    }
    if (clientFilter?.externalReference && clientFilter.externalReference !== '') {
      andFilter.externalReference = { iexact: clientFilter.externalReference };
    }
    return [{ AND: [{ OR: andFilter }] }];
  }
}
