import { ObservableLinkFilter1, ObservableLinkFilter1AndFilterEntry } from '@orion/graphql-types';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import { ObservableLinkClientFilter } from './observable-link-client-filter';

export class ObservableLinkFilterConverter
  implements FilterConverter<ObservableLinkClientFilter, ObservableLinkFilter1AndFilterEntry[]>
{
  convert(source?: ObservableLinkClientFilter): ObservableLinkFilter1AndFilterEntry[] {
    const andFilter: ObservableLinkFilter1 = {};
    if (source?.ctiEntryId !== undefined && source.ctiEntryId !== '') {
      andFilter.ctiEntry = { id: { exact: source.ctiEntryId } };
    }
    if (source?.observableLinkType !== undefined) {
      andFilter.observableLinkType = { exact: source?.observableLinkType };
    }
    if (source?.type !== undefined) {
      andFilter.observable = { observableType: { iexact: source?.type } };
    }
    return [{ AND: [{ OR: andFilter }] }];
  }
}
