import { ObservableFederationBaseFilter, ObservableFederationBaseFilterAndFilterEntry } from '@orion/graphql-types';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import { RelatedObservableClientFilter } from './related-observable-client-filter';

export class RelatedObservableFilterConverter
  implements FilterConverter<RelatedObservableClientFilter, ObservableFederationBaseFilterAndFilterEntry[]>
{
  convert(clientFilter?: RelatedObservableClientFilter): ObservableFederationBaseFilterAndFilterEntry[] {
    const mainAndFilter: ObservableFederationBaseFilter = {};
    if (clientFilter?.observableType) {
      mainAndFilter.observableType = { exact: clientFilter.observableType };
    }
    if (clientFilter?.caseId) {
      mainAndFilter.caseId = { exact: clientFilter.caseId };
    }
    if (clientFilter?.taskIds && clientFilter.taskIds.length > 0) {
      mainAndFilter.taskId = { in_: clientFilter?.taskIds };
    }
    return [{ AND: [{ OR: [{ ...mainAndFilter }] }] }];
  }
}
