import { TtpLinkFilter1, TtpLinkFilter1AndFilterEntry } from '@orion/graphql-types';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import { TtpLinkClientFilter } from './ttp-link-client-filter';

export class TtpLinkFilterConverter implements FilterConverter<TtpLinkClientFilter, TtpLinkFilter1AndFilterEntry[]> {
  convert(source?: TtpLinkClientFilter): TtpLinkFilter1AndFilterEntry[] {
    const andFilter: TtpLinkFilter1 = {};
    if (source?.ctiEntryId !== undefined && source.ctiEntryId !== '') {
      andFilter.ctiEntry = { id: { exact: source.ctiEntryId } };
    }
    if (source?.linkType !== undefined && source.linkType !== '') {
      andFilter.ttpMetaLinkType = { iexact: source.linkType };
    }
    return [{ AND: [{ OR: andFilter }] }];
  }
}
