import { formatEnum } from '@orion/common';
import { KnownObservablesEnum } from '@orion/graphql-types';
import { enumFromValue } from '@sentinel/common/utils';

export function strToObservableTypeEnum(observableType?: string): KnownObservablesEnum {
  const upperCasedTypeString = observableType?.toUpperCase() ?? '';
  const maybeType = upperCasedTypeString
    ? enumFromValue(KnownObservablesEnum, upperCasedTypeString)
    : KnownObservablesEnum.OBSERVABLE;
  return maybeType ?? KnownObservablesEnum.OBSERVABLE;
}

export function formatObservableType(type: string): string {
  return formatEnum(type);
}
