import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CircuitAssetDetailPageComponent } from '@orion/asset-components/circuit-detail';
import { CircuitAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: CircuitAssetTitleResolver,
    component: CircuitAssetDetailPageComponent,
    data: {
      headline: 'Circuit Detail',
      headlineIcon: AssetIconResolver.resolve('CircuitType'),
      assetType: KnownAssetsEnum.CIRCUIT,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CircuitDetailRoutingModule {}
