import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CircuitAssetOverviewPageComponent } from '@orion/asset-components/circuit-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { CircuitAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Circuits Overview',
    component: CircuitAssetOverviewPageComponent,
    data: {
      headline: 'Circuits Overview',
      headlineIcon: AssetIconResolver.resolve('CircuitType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./circuit-detail/circuit-detail.module').then((m) => m.CircuitDetailModule),
    resolve: {
      breadcrumb: CircuitAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CircuitOverviewRoutingModule {}
