import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CircuitTerminationAssetDetailPageComponent } from '@orion/asset-components/circuit-termination-detail';
import { CircuitTerminationAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: CircuitTerminationAssetTitleResolver,
    component: CircuitTerminationAssetDetailPageComponent,
    data: {
      assetType: KnownAssetsEnum.CIRCUIT_TERMINATION,
      headline: 'Circuit Termination Detail',
      headlineIcon: AssetIconResolver.resolve('CircuitTerminationType'),
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CircuitTerminationDetailRoutingModule {}
