import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CircuitTerminationOverviewPageComponent } from '@orion/asset-components/circuit-termination-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { CircuitTerminationAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Circuit Terminations Overview',
    component: CircuitTerminationOverviewPageComponent,
    data: {
      headline: 'Circuit Terminations Overview',
      headlineIcon: AssetIconResolver.resolve('CircuitTerminationType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./circuit-termination-detail/circuit-termination-detail.module').then(
        (m) => m.CircuitTerminationDetailModule
      ),
    resolve: {
      breadcrumb: CircuitTerminationAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CircuitTerminationOverviewRoutingModule {}
