import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CircuitTypeAssetDetailPageComponent } from '@orion/asset-components/circuit-type-detail';
import { CircuitTypeAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: CircuitTypeAssetTitleResolver,
    component: CircuitTypeAssetDetailPageComponent,
    data: {
      headline: 'Circuit Type Detail',
      headlineIcon: AssetIconResolver.resolve('CircuitTypeType'),
      assetType: KnownAssetsEnum.CIRCUIT_TYPE,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CircuitTypeDetailRoutingModule {}
