import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CircuitTypeAssetOverviewPageComponent } from '@orion/asset-components/circuit-type-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { CircuitTypeAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Circuit Types Overview',
    component: CircuitTypeAssetOverviewPageComponent,
    data: {
      headline: 'Circuit Types Overview',
      headlineIcon: AssetIconResolver.resolve('CircuitTypeType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./circuit-type-detail/circuit-type-detail.module').then((m) => m.CircuitTypeDetailModule),
    resolve: {
      breadcrumb: CircuitTypeAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CircuitTypeOverviewRoutingModule {}
