import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ProviderNetworkAssetDetailPageComponent } from '@orion/asset-components/provider-network-detail';
import { ProviderNetworkAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: ProviderNetworkAssetTitleResolver,
    component: ProviderNetworkAssetDetailPageComponent,
    data: {
      headline: 'Provider Network Detail',
      headlineIcon: AssetIconResolver.resolve('ProviderNetworkType'),
      assetType: KnownAssetsEnum.PROVIDER_NETWORK,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ProviderNetworkDetailRoutingModule {}
