import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ProviderNetworkAssetOverviewPageComponent } from '@orion/asset-components/provider-network-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { ProviderNetworkAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Provider Networks Overview',
    component: ProviderNetworkAssetOverviewPageComponent,
    data: {
      headline: 'Provider Networks Overview',
      headlineIcon: AssetIconResolver.resolve('ProviderNetworkType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./provider-network-detail/provider-network-detail.module').then((m) => m.ProviderNetworkDetailModule),
    resolve: {
      breadcrumb: ProviderNetworkAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ProviderNetworkOverviewRoutingModule {}
