import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ProviderAssetDetailPageComponent } from '@orion/asset-components/provider-detail';
import { ProviderAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: ProviderAssetTitleResolver,
    component: ProviderAssetDetailPageComponent,
    data: {
      headline: 'Provider Detail',
      headlineIcon: AssetIconResolver.resolve('ProviderType'),
      assetType: KnownAssetsEnum.PROVIDER,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ProviderDetailRoutingModule {}
