import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ProviderAssetOverviewPageComponent } from '@orion/asset-components/provider-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { ProviderAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Providers Overview',
    component: ProviderAssetOverviewPageComponent,
    data: {
      headline: 'Providers Overview',
      headlineIcon: AssetIconResolver.resolve('ProviderType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./provider-detail/provider-detail.module').then((m) => m.ProviderDetailModule),
    resolve: {
      breadcrumb: ProviderAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ProviderOverviewRoutingModule {}
