import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CableAssetDetailPageComponent } from '@orion/asset-components/cable-detail';
import { CableAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: CableAssetTitleResolver,
    component: CableAssetDetailPageComponent,
    data: {
      headline: 'Cable Detail',
      headlineIcon: AssetIconResolver.resolve('CableType'),
      assetType: KnownAssetsEnum.CABLE,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CableDetailRoutingModule {}
