import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CableAssetOverviewPageComponent } from '@orion/asset-components/cable-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { CableAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Cables Overview',
    component: CableAssetOverviewPageComponent,
    data: {
      headline: 'Cables Overview',
      headlineIcon: AssetIconResolver.resolve('CableType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./cable-detail/cable-detail.module').then((m) => m.CableDetailModule),
    resolve: {
      breadcrumb: CableAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CableOverviewRoutingModule {}
