import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { WirelessLinkAssetDetailPageComponent } from '@orion/asset-components/wireless-link-detail';
import { WirelessLinkAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: WirelessLinkAssetTitleResolver,
    component: WirelessLinkAssetDetailPageComponent,
    data: {
      headline: 'Wireless Link Detail',
      headlineIcon: AssetIconResolver.resolve('WirelessLinkType'),
      assetType: KnownAssetsEnum.WIRELESS_LINK,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class WirelessLinkDetailRoutingModule {}
