import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { WirelessLinkAssetOverviewPageComponent } from '@orion/asset-components/wireless-link-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { WirelessLinkAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Wireless Links Overview',
    component: WirelessLinkAssetOverviewPageComponent,
    data: {
      headline: 'Wireless Links Overview',
      headlineIcon: AssetIconResolver.resolve('WirelessLinkType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./wireless-link-detail/wireless-link-detail.module').then((m) => m.WirelessLinkDetailModule),
    resolve: {
      breadcrumb: WirelessLinkAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class WirelessLinkOverviewRoutingModule {}
