import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ConsolePortAssetDetailPageComponent } from '@orion/asset-components/console-port-detail';
import { ConsolePortAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: ConsolePortAssetTitleResolver,
    component: ConsolePortAssetDetailPageComponent,
    data: {
      headline: 'Console Port Detail',
      headlineIcon: AssetIconResolver.resolve('ConsolePortType'),
      assetType: KnownAssetsEnum.CONSOLE_PORT,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ConsolePortDetailRoutingModule {}
