import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ConsolePortAssetOverviewPageComponent } from '@orion/asset-components/console-port-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { ConsolePortAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Console Ports Overview',
    component: ConsolePortAssetOverviewPageComponent,
    data: {
      headline: 'Console Ports Overview',
      headlineIcon: AssetIconResolver.resolve('ConsolePortType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./console-port-detail/console-port-detail.module').then((m) => m.ConsolePortDetailModule),
    resolve: {
      breadcrumb: ConsolePortAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ConsolePortOverviewRoutingModule {}
