import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ConsoleServerPortAssetDetailPageComponent } from '@orion/asset-components/console-server-port-detail';
import { ConsoleServerPortAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: ConsoleServerPortAssetTitleResolver,
    component: ConsoleServerPortAssetDetailPageComponent,
    data: {
      headline: 'Console Server Port Detail',
      headlineIcon: AssetIconResolver.resolve('ConsoleServerPortType'),
      assetType: KnownAssetsEnum.CONSOLE_SERVER_PORT,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ConsoleServerPortDetailRoutingModule {}
