import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ConsoleServerPortAssetOverviewPageComponent } from '@orion/asset-components/console-server-port-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { ConsoleServerPortAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Console Server Ports Overview',
    component: ConsoleServerPortAssetOverviewPageComponent,
    data: {
      headline: 'Console Server Ports Overview',
      headlineIcon: AssetIconResolver.resolve('ConsoleServerPortType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./console-server-port-detail/console-server-port-detail.module').then(
        (m) => m.ConsoleServerPortDetailModule
      ),
    resolve: {
      breadcrumb: ConsoleServerPortAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ConsoleServerPortOverviewRoutingModule {}
