import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DeviceBayAssetDetailPageComponent } from '@orion/asset-components/device-bay-detail';
import { DeviceBayAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: DeviceBayAssetTitleResolver,
    component: DeviceBayAssetDetailPageComponent,
    data: {
      headline: 'Device Bay Detail',
      headlineIcon: AssetIconResolver.resolve('DeviceBayType'),
      assetType: KnownAssetsEnum.DEVICE_BAY,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DeviceBayDetailRoutingModule {}
