import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DeviceBayAssetOverviewPageComponent } from '@orion/asset-components/device-bay-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { DeviceBayAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Device Bays Overview',
    component: DeviceBayAssetOverviewPageComponent,
    data: {
      headline: 'Device Bays Overview',
      headlineIcon: AssetIconResolver.resolve('DeviceBayType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./device-bay-detail/device-bay-detail.module').then((m) => m.DeviceBayDetailModule),
    resolve: {
      breadcrumb: DeviceBayAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DeviceBayOverviewRoutingModule {}
