import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DeviceAssetDetailPageComponent } from '@orion/asset-components/device-detail';
import { DeviceAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: DeviceAssetTitleResolver,
    component: DeviceAssetDetailPageComponent,
    data: {
      headline: 'Device Detail',
      headlineIcon: AssetIconResolver.resolve('DeviceType'),
      assetType: KnownAssetsEnum.DEVICE,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DeviceDetailRoutingModule {}
