import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DeviceAssetOverviewPageComponent } from '@orion/asset-components/device-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { DeviceAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Devices Overview',
    component: DeviceAssetOverviewPageComponent,
    data: {
      headline: 'Devices Overview',
      headlineIcon: AssetIconResolver.resolve('DeviceType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./device-detail/device-detail.module').then((m) => m.DeviceDetailModule),
    resolve: {
      breadcrumb: DeviceAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DeviceOverviewRoutingModule {}
