import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DeviceRoleAssetDetailPageComponent } from '@orion/asset-components/device-role-detail';
import { DeviceRoleAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: DeviceRoleAssetTitleResolver,
    component: DeviceRoleAssetDetailPageComponent,
    data: {
      headline: 'Device Role Detail',
      headlineIcon: AssetIconResolver.resolve('DeviceRoleType'),
      assetType: KnownAssetsEnum.DEVICE_ROLE,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DeviceRoleDetailRoutingModule {}
