import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DeviceRoleAssetOverviewPageComponent } from '@orion/asset-components/device-role-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { DeviceRoleAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Device Roles Overview',
    component: DeviceRoleAssetOverviewPageComponent,
    data: {
      headline: 'Device Roles Overview',
      headlineIcon: AssetIconResolver.resolve('DeviceRoleType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./device-role-detail/device-role-detail.module').then((m) => m.DeviceRoleDetailModule),
    resolve: {
      breadcrumb: DeviceRoleAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DeviceRoleOverviewRoutingModule {}
