import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DeviceTypeAssetDetailPageComponent } from '@orion/asset-components/device-type-detail';
import { DeviceTypeAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: DeviceTypeAssetTitleResolver,
    component: DeviceTypeAssetDetailPageComponent,
    data: {
      headline: 'Device Type Detail',
      headlineIcon: AssetIconResolver.resolve('DeviceTypeType'),
      assetType: KnownAssetsEnum.DEVICE_TYPE,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DeviceTypeDetailRoutingModule {}
