import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DeviceTypeAssetOverviewPageComponent } from '@orion/asset-components/device-type-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { DeviceTypeAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Device Types Overview',
    component: DeviceTypeAssetOverviewPageComponent,
    data: {
      headline: 'Device Types Overview',
      headlineIcon: AssetIconResolver.resolve('DeviceTypeType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./device-type-detail/device-type-detail.module').then((m) => m.DeviceTypeDetailModule),
    resolve: {
      breadcrumb: DeviceTypeAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DeviceTypeOverviewRoutingModule {}
