import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { FrontPortAssetDetailPageComponent } from '@orion/asset-components/front-port-detail';
import { FrontPortAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: FrontPortAssetTitleResolver,
    component: FrontPortAssetDetailPageComponent,
    data: {
      headline: 'Front Port Detail',
      headlineIcon: AssetIconResolver.resolve('FrontPortType'),
      assetType: KnownAssetsEnum.FRONT_PORT,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class FrontPortDetailRoutingModule {}
