import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { FrontPortAssetOverviewPageComponent } from '@orion/asset-components/front-port-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { FrontPortAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Front Ports Overview',
    component: FrontPortAssetOverviewPageComponent,
    data: {
      headline: 'Front Ports Overview',
      headlineIcon: AssetIconResolver.resolve('FrontPortType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./front-port-detail/front-port-detail.module').then((m) => m.FrontPortDetailModule),
    resolve: {
      breadcrumb: FrontPortAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class FrontPortOverviewRoutingModule {}
