import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { InterfaceAssetDetailPageComponent } from '@orion/asset-components/interface-detail';
import { InterfaceAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: InterfaceAssetTitleResolver,
    component: InterfaceAssetDetailPageComponent,
    data: {
      headline: 'Interface Detail',
      headlineIcon: AssetIconResolver.resolve('InterfaceType'),
      assetType: KnownAssetsEnum.INTERFACE,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class InterfaceDetailRoutingModule {}
