import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { InterfaceAssetOverviewPageComponent } from '@orion/asset-components/interface-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { InterfaceAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Interfaces Overview',
    component: InterfaceAssetOverviewPageComponent,
    data: {
      headline: 'Interfaces Overview',
      headlineIcon: AssetIconResolver.resolve('InterfaceType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./interface-detail/interface-detail.module').then((m) => m.InterfaceDetailModule),
    resolve: {
      breadcrumb: InterfaceAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class InterfaceOverviewRoutingModule {}
