import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { InventoryItemAssetDetailPageComponent } from '@orion/asset-components/inventory-item-detail';
import { InventoryItemAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: InventoryItemAssetTitleResolver,
    component: InventoryItemAssetDetailPageComponent,
    data: {
      assetType: KnownAssetsEnum.INVENTORY_ITEM,
      headline: 'Inventory Item Detail',
      headlineIcon: AssetIconResolver.resolve('InventoryItemType'),
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class InventoryItemDetailRoutingModule {}
