import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { InventoryItemAssetOverviewPageComponent } from '@orion/asset-components/inventory-item-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { InventoryItemAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Inventory Items Overview',
    component: InventoryItemAssetOverviewPageComponent,
    data: {
      headline: 'Inventory Items Overview',
      headlineIcon: AssetIconResolver.resolve('InventoryItemType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./inventory-item-detail/inventory-item-detail.module').then((m) => m.InventoryItemDetailModule),
    resolve: {
      breadcrumb: InventoryItemAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class InventoryItemOverviewRoutingModule {}
