import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ManufacturerAssetDetailPageComponent } from '@orion/asset-components/manufacturer-detail';
import { ManufacturerAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: ManufacturerAssetTitleResolver,
    component: ManufacturerAssetDetailPageComponent,
    data: {
      assetType: KnownAssetsEnum.MANUFACTURER,
      headline: 'Manufacturer Detail',
      headlineIcon: AssetIconResolver.resolve('ManufacturerType'),
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ManufacturerDetailRoutingModule {}
