import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ManufacturerAssetOverviewPageComponent } from '@orion/asset-components/manufacturer-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { ManufacturerAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Manufacturers Overview',
    component: ManufacturerAssetOverviewPageComponent,
    data: {
      headline: 'Manufacturers Overview',
      headlineIcon: AssetIconResolver.resolve('ManufacturerType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./manufacturer-detail/manufacturer-detail.module').then((m) => m.ManufacturerDetailModule),
    resolve: {
      breadcrumb: ManufacturerAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ManufacturerOverviewRoutingModule {}
