import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PlatformAssetOverviewPageComponent } from '@orion/asset-components/platform-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { PlatformAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Platforms Overview',
    component: PlatformAssetOverviewPageComponent,
    data: {
      headline: 'Platforms Overview',
      headlineIcon: AssetIconResolver.resolve('PlatformType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./platform-detail/platform-detail.module').then((m) => m.PlatformDetailModule),
    resolve: {
      breadcrumb: PlatformAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PlatformAssetOverviewRoutingModule {}
