import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PlatformAssetDetailPageComponent } from '@orion/asset-components/platform-detail';
import { PlatformAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: PlatformAssetTitleResolver,
    component: PlatformAssetDetailPageComponent,
    data: {
      assetType: KnownAssetsEnum.PLATFORM,
      headline: 'Platform Detail',
      headlineIcon: AssetIconResolver.resolve('PlatformType'),
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PlatformDetailRoutingModule {}
