import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PowerOutletAssetDetailPageComponent } from '@orion/asset-components/power-outlet-detail';
import { PowerOutletAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: PowerOutletAssetTitleResolver,
    component: PowerOutletAssetDetailPageComponent,
    data: {
      assetType: KnownAssetsEnum.POWER_OUTLET,
      headline: 'Power Outlet Detail',
      headlineIcon: AssetIconResolver.resolve('PowerOutletType'),
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PowerOutletDetailRoutingModule {}
