import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PowerOutletAssetOverviewPageComponent } from '@orion/asset-components/power-outlet-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { PowerOutletAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Power Outlets Overview',
    component: PowerOutletAssetOverviewPageComponent,
    data: {
      headline: 'Power Outlets Overview',
      headlineIcon: AssetIconResolver.resolve('PowerOutletType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./power-outlet-detail/power-outlet-detail.module').then((m) => m.PowerOutletDetailModule),
    resolve: {
      breadcrumb: PowerOutletAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PowerOutletOverviewRoutingModule {}
