import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PowerPortAssetDetailPageComponent } from '@orion/asset-components/power-port-detail';
import { PowerPortAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: PowerPortAssetTitleResolver,
    component: PowerPortAssetDetailPageComponent,
    data: {
      headline: 'Power Port Detail',
      assetType: KnownAssetsEnum.POWER_PORT,
      headlineIcon: AssetIconResolver.resolve('PowerPortType'),
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PowerPortDetailRoutingModule {}
