import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PowerPortAssetOverviewPageComponent } from '@orion/asset-components/power-port-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { PowerPortAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Power Ports Overview',
    component: PowerPortAssetOverviewPageComponent,
    data: {
      headline: 'Power Ports Overview',
      headlineIcon: AssetIconResolver.resolve('PowerPortType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./power-port-detail/power-port-detail.module').then((m) => m.PowerPortDetailModule),
    resolve: {
      breadcrumb: PowerPortAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PowerPortOverviewRoutingModule {}
