import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { RearPortAssetDetailPageComponent } from '@orion/asset-components/rear-port-detail';
import { RearPortAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: RearPortAssetTitleResolver,
    component: RearPortAssetDetailPageComponent,
    data: {
      headline: 'Rear Port Detail',
      assetType: KnownAssetsEnum.REAR_PORT,
      headlineIcon: AssetIconResolver.resolve('RearPortType'),
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class RearPortDetailRoutingModule {}
