import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { RearPortAssetOverviewPageComponent } from '@orion/asset-components/rear-port-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { RearPortAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Rear Ports Overview',
    component: RearPortAssetOverviewPageComponent,
    data: {
      headline: 'Rear Ports Overview',
      headlineIcon: AssetIconResolver.resolve('RearPortType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./rear-port-detail/rear-port-detail.module').then((m) => m.RearPortDetailModule),
    resolve: {
      breadcrumb: RearPortAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class RearPortOverviewRoutingModule {}
