import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { VirtualChassisAssetDetailPageComponent } from '@orion/asset-components/virtual-chassis-detail';
import { VirtualChassisAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: VirtualChassisAssetTitleResolver,
    component: VirtualChassisAssetDetailPageComponent,
    data: {
      headline: 'Virtual Chassis Detail',
      headlineIcon: AssetIconResolver.resolve('VirtualChassisType'),
      assetType: KnownAssetsEnum.VIRTUAL_CHASSIS,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class VirtualChassisDetailRoutingModule {}
