import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { VirtualChassisAssetOverviewPageComponent } from '@orion/asset-components/virtual-chassis-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { VirtualChassisAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Virtual Chassis Overview',
    component: VirtualChassisAssetOverviewPageComponent,
    data: {
      headline: 'Virtual Chassis Overview',
      headlineIcon: AssetIconResolver.resolve('VirtualChassisType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./virtual-chassis-detail/virtual-chassis-detail.module').then((m) => m.VirtualChassisDetailModule),
    resolve: {
      breadcrumb: VirtualChassisAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class VirtualChassisOverviewRoutingModule {}
