import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AggregateAssetDetailPageComponent } from '@orion/asset-components/aggregate-detail';
import { AggregateAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: AggregateAssetTitleResolver,
    component: AggregateAssetDetailPageComponent,
    data: {
      headline: 'Aggregate Detail',
      headlineIcon: AssetIconResolver.resolve('AggregateType'),
      assetType: KnownAssetsEnum.AGGREGATE,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class AggregateDetailRoutingModule {}
