import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AggregateAssetOverviewPageComponent } from '@orion/asset-components/aggregate-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { AggregateAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Aggregate Overview',
    component: AggregateAssetOverviewPageComponent,
    data: {
      headline: 'Aggregate Overview',
      headlineIcon: AssetIconResolver.resolve('AggregateType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./aggregate-detail/aggregate-detail.module').then((m) => m.AggregateDetailModule),
    resolve: {
      breadcrumb: AggregateAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class AggregateOverviewRoutingModule {}
