import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AsnAssetDetailPageComponent } from '@orion/asset-components/asn-detail';
import { AsnAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: AsnAssetTitleResolver,
    component: AsnAssetDetailPageComponent,
    data: {
      headline: 'ASN Detail',
      headlineIcon: AssetIconResolver.resolve('ASNType'),
      assetType: KnownAssetsEnum.ASN,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class AsnDetailRoutingModule {}
