import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AsnAssetOverviewPageComponent } from '@orion/asset-components/asn-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { AsnAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'ASNs Overview',
    component: AsnAssetOverviewPageComponent,
    data: {
      headline: 'ASNs Overview',
      headlineIcon: AssetIconResolver.resolve('ASNType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./asn-detail/asn-detail.module').then((m) => m.AsnDetailModule),
    resolve: {
      breadcrumb: AsnAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class AsnOverviewRoutingModule {}
