import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { FhrpGroupAssetDetailPageComponent } from '@orion/asset-components/fhrp-group-detail';
import { FhrpGroupAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: FhrpGroupAssetTitleResolver,
    component: FhrpGroupAssetDetailPageComponent,
    data: {
      headline: 'FHRP Group Detail',
      headlineIcon: AssetIconResolver.resolve('FHRPGroupType'),
      assetType: KnownAssetsEnum.FHRP_GROUP,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class FhrpGroupDetailRoutingModule {}
