import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { FhrpGroupAssetOverviewPageComponent } from '@orion/asset-components/fhrp-group-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { FhrpGroupAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'FHRP Groups Overview',
    component: FhrpGroupAssetOverviewPageComponent,
    data: {
      headline: 'FHRP Groups Overview',
      headlineIcon: AssetIconResolver.resolve('FHRPGroupType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./fhrp-group-detail/fhrp-group-detail.module').then((m) => m.FhrpGroupDetailModule),
    resolve: {
      breadcrumb: FhrpGroupAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class FhrpGroupOverviewRoutingModule {}
