import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { IpAddressAssetDetailPageComponent } from '@orion/asset-components/ip-address-detail';
import { IpAddressAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: IpAddressAssetTitleResolver,
    component: IpAddressAssetDetailPageComponent,
    data: {
      headline: 'IP Address Detail',
      headlineIcon: AssetIconResolver.resolve('IPAddressType'),
      assetType: KnownAssetsEnum.IP_ADDRESS,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class IpAddressDetailRoutingModule {}
