import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { IpAddressAssetOverviewPageComponent } from '@orion/asset-components/ip-address-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { IpAddressAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'IP Addresses Overview',
    component: IpAddressAssetOverviewPageComponent,
    data: {
      headline: 'IP Addresses Overview',
      headlineIcon: AssetIconResolver.resolve('IPAddressType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./ip-address-detail/ip-address-detail.module').then((m) => m.IpAddressDetailModule),
    resolve: {
      breadcrumb: IpAddressAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class IpAddressOverviewRoutingModule {}
