import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { IpRangeAssetDetailPageComponent } from '@orion/asset-components/ip-range-detail';
import { IpRangeAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: IpRangeAssetTitleResolver,
    component: IpRangeAssetDetailPageComponent,
    data: {
      headline: 'IP Range Detail',
      headlineIcon: AssetIconResolver.resolve('IPRangeType'),
      assetType: KnownAssetsEnum.IP_RANGE,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class IpRangeDetailRoutingModule {}
