import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { IpRangeAssetOverviewPageComponent } from '@orion/asset-components/ip-range-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { IpRangeAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'IP Range Overview',
    component: IpRangeAssetOverviewPageComponent,
    data: {
      headline: 'IP Range Overview',
      headlineIcon: AssetIconResolver.resolve('IPRangeType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./ip-range-detail/ip-range-detail.module').then((m) => m.IpRangeDetailModule),
    resolve: {
      breadcrumb: IpRangeAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class IpRangeOverviewRoutingModule {}
