import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PrefixAndVlanRoleAssetDetailPageComponent } from '@orion/asset-components/prefix-and-vlan-role-detail';
import { PrefixAndVlanRoleAssetTitleResolver } from '@orion/asset-services';
import { KnownAssetsEnum } from '@orion/graphql-types';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: PrefixAndVlanRoleAssetTitleResolver,
    component: PrefixAndVlanRoleAssetDetailPageComponent,
    data: {
      assetType: KnownAssetsEnum.ROLE,
      headlineIcon: AssetIconResolver.resolve('RoleType'),
      headline: 'Prefix & VLAN Role Detail',
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PrefixAndVlanRoleDetailRoutingModule {}
