import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PrefixAndVlanRoleAssetOverviewPageComponent } from '@orion/asset-components/prefix-and-vlan-role-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { PrefixAndVlanRoleAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Prefix & VLAN Roles Overview',
    component: PrefixAndVlanRoleAssetOverviewPageComponent,
    data: {
      headline: 'Prefix & VLAN Role Overview',
      headlineIcon: AssetIconResolver.resolve('RoleType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./prefix-and-vlan-role-detail/prefix-and-vlan-role-detail.module').then(
        (m) => m.PrefixAndVlanRoleDetailModule
      ),
    resolve: {
      breadcrumb: PrefixAndVlanRoleAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PrefixAndVlanRoleOverviewRoutingModule {}
