import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PrefixAssetDetailPageComponent } from '@orion/asset-components/prefix-detail';
import { PrefixAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: PrefixAssetTitleResolver,
    component: PrefixAssetDetailPageComponent,
    data: {
      headline: 'Prefix Detail',
      headlineIcon: AssetIconResolver.resolve('PrefixType'),
      assetType: KnownAssetsEnum.PREFIX,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PrefixDetailRoutingModule {}
