import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PrefixAssetOverviewPageComponent } from '@orion/asset-components/prefix-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { PrefixAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Prefixes Overview',
    component: PrefixAssetOverviewPageComponent,
    data: {
      headline: 'Prefixes Overview',
      headlineIcon: AssetIconResolver.resolve('PrefixType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./prefix-detail/prefix-detail.module').then((m) => m.PrefixDetailModule),
    resolve: {
      breadcrumb: PrefixAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PrefixOverviewRoutingModule {}
