import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { RirAssetDetailPageComponent } from '@orion/asset-components/rir-detail';
import { RirAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: RirAssetTitleResolver,
    component: RirAssetDetailPageComponent,
    data: {
      headline: 'RIR Detail',
      headlineIcon: AssetIconResolver.resolve('RIRType'),
      assetType: KnownAssetsEnum.RIR,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class RirDetailRoutingModule {}
