import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { RirAssetOverviewPageComponent } from '@orion/asset-components/rir-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { RirAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'RIR Overview',
    component: RirAssetOverviewPageComponent,
    data: {
      headline: 'RIR Overview',
      headlineIcon: AssetIconResolver.resolve('RIRType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./rir-detail/rir-detail.module').then((m) => m.RirDetailModule),
    resolve: {
      breadcrumb: RirAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class RirOverviewRoutingModule {}
