import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { RouteTargetAssetDetailPageComponent } from '@orion/asset-components/route-target-detail';
import { RouteTargetAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: RouteTargetAssetTitleResolver,
    component: RouteTargetAssetDetailPageComponent,
    data: {
      headline: 'Route Target Detail',
      assetType: KnownAssetsEnum.ROUTE_TARGET,
      headlineIcon: AssetIconResolver.resolve('RouteTargetType'),
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class RouteTargetDetailRoutingModule {}
