import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { RouteTargetAssetOverviewPageComponent } from '@orion/asset-components/route-target-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { RouteTargetAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Route Targets Overview',
    component: RouteTargetAssetOverviewPageComponent,
    data: {
      headline: 'Route Targets Overview',
      headlineIcon: AssetIconResolver.resolve('RouteTargetType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./route-target-detail/route-target-detail.module').then((m) => m.RouteTargetDetailModule),
    resolve: {
      breadcrumb: RouteTargetAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class RouteTargetOverviewRoutingModule {}
