import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ServiceAssetDetailPageComponent } from '@orion/asset-components/service-detail';
import { ServiceAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: ServiceAssetTitleResolver,
    component: ServiceAssetDetailPageComponent,
    data: {
      headline: 'Service Detail',
      headlineIcon: AssetIconResolver.resolve('ServiceType'),
      assetType: KnownAssetsEnum.SERVICE,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ServiceDetailRoutingModule {}
