import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ServiceAssetOverviewPageComponent } from '@orion/asset-components/service-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { ServiceAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Services Overview',
    component: ServiceAssetOverviewPageComponent,
    data: {
      headline: 'Services Overview',
      headlineIcon: AssetIconResolver.resolve('ServiceType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./service-detail/service-detail.module').then((m) => m.ServiceDetailModule),
    resolve: {
      breadcrumb: ServiceAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ServiceOverviewRoutingModule {}
