import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { VlanGroupAssetDetailPageComponent } from '@orion/asset-components/vlan-group-detail';
import { VlanGroupAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: VlanGroupAssetTitleResolver,
    component: VlanGroupAssetDetailPageComponent,
    data: {
      assetType: KnownAssetsEnum.VLAN_GROUP,
      headline: 'VLAN Group Detail',
      headlineIcon: AssetIconResolver.resolve('VLANGroupType'),
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class VlanGroupDetailRoutingModule {}
