import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { VlanGroupAssetOverviewPageComponent } from '@orion/asset-components/vlan-group-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { VlanGroupAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'VLAN Group Overview',
    component: VlanGroupAssetOverviewPageComponent,
    data: {
      headline: 'VLAN Groups Overview',
      headlineIcon: AssetIconResolver.resolve('VLANGroupType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./vlan-group-detail/vlan-group-detail.module').then((m) => m.VlanGroupDetailModule),
    resolve: {
      breadcrumb: VlanGroupAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class VlanGroupOverviewRoutingModule {}
