import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { VlanAssetDetailPageComponent } from '@orion/asset-components/vlan-detail';
import { VlanAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: VlanAssetTitleResolver,
    component: VlanAssetDetailPageComponent,
    data: {
      assetType: KnownAssetsEnum.VLAN,
      headline: 'VLAN Detail',
      headlineIcon: AssetIconResolver.resolve('VLANType'),
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class VlanDetailRoutingModule {}
