import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { VlanAssetOverviewPageComponent } from '@orion/asset-components/vlan-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { VlanAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    component: VlanAssetOverviewPageComponent,
    data: {
      headline: 'VLAN Overview',
      headlineIcon: AssetIconResolver.resolve('VLANType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./vlan-detail/vlan-detail.module').then((m) => m.VlanDetailModule),
    resolve: {
      breadcrumb: VlanAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class VlanOverviewRoutingModule {}
