import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { VrfAssetDetailPageComponent } from '@orion/asset-components/vrf-detail';
import { VrfAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: VrfAssetTitleResolver,
    component: VrfAssetDetailPageComponent,
    data: {
      assetType: KnownAssetsEnum.VRF,
      headline: 'VRF Detail',
      headlineIcon: AssetIconResolver.resolve('VRFType'),
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class VrfDetailRoutingModule {}
