import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { VrfAssetOverviewPageComponent } from '@orion/asset-components/vrf-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { VrfAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'VRFs Overview',
    component: VrfAssetOverviewPageComponent,
    data: {
      headline: 'VRFs Overview',
      headlineIcon: AssetIconResolver.resolve('VRFType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./vrf-detail/vrf-detail.module').then((m) => m.VrfDetailModule),
    resolve: {
      breadcrumb: VrfAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class VrfOverviewRoutingModule {}
