import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { LocationAssetDetailPageComponent } from '@orion/asset-components/location-detail';
import { LocationAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: LocationAssetTitleResolver,
    component: LocationAssetDetailPageComponent,
    data: {
      assetType: KnownAssetsEnum.LOCATION,
      headline: 'Location Detail',
      headlineIcon: AssetIconResolver.resolve('LocationType'),
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class LocationDetailRoutingModule {}
