import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { LocationAssetOverviewPageComponent } from '@orion/asset-components/location-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { LocationAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Locations Overview',
    component: LocationAssetOverviewPageComponent,
    data: {
      headline: 'Locations Overview',
      headlineIcon: AssetIconResolver.resolve('LocationType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./location-detail/location-detail.module').then((m) => m.LocationDetailModule),
    resolve: {
      breadcrumb: LocationAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class LocationOverviewRoutingModule {}
