import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { RackAssetDetailPageComponent } from '@orion/asset-components/rack-detail';
import { RackAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: RackAssetTitleResolver,
    component: RackAssetDetailPageComponent,
    data: {
      headline: 'Rack Detail',
      headlineIcon: AssetIconResolver.resolve('RackType'),
      assetType: KnownAssetsEnum.RACK,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class RackDetailRoutingModule {}
