import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { RackAssetOverviewPageComponent } from '@orion/asset-components/rack-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { RackAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Racks Overview',
    component: RackAssetOverviewPageComponent,
    data: {
      headline: 'Racks Overview',
      headlineIcon: AssetIconResolver.resolve('RackType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./rack-detail/rack-detail.module').then((m) => m.RackDetailModule),
    resolve: {
      breadcrumb: RackAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class RackOverviewRoutingModule {}
