import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { RackReservationAssetDetailPageComponent } from '@orion/asset-components/rack-reservation-detail';
import { RackReservationAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: RackReservationAssetTitleResolver,
    component: RackReservationAssetDetailPageComponent,
    data: {
      headline: 'Rack Reservation Detail',
      headlineIcon: AssetIconResolver.resolve('RackReservationType'),
      assetType: KnownAssetsEnum.RACK_RESERVATION,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class RackReservationDetailRoutingModule {}
