import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { RackReservationAssetOverviewPageComponent } from '@orion/asset-components/rack-reservation-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { RackReservationAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Rack Reservations Overview',
    component: RackReservationAssetOverviewPageComponent,
    data: {
      headline: 'Rack Reservations Overview',
      headlineIcon: AssetIconResolver.resolve('RackReservationType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./rack-reservation-detail/rack-reservation-detail.module').then((m) => m.RackReservationDetailModule),
    resolve: {
      breadcrumb: RackReservationAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class RackReservationOverviewRoutingModule {}
