import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { RackRoleAssetDetailPageComponent } from '@orion/asset-components/rack-role-detail';
import { RackRoleAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: RackRoleAssetTitleResolver,
    component: RackRoleAssetDetailPageComponent,
    data: {
      headline: 'Rack Role Detail',
      headlineIcon: AssetIconResolver.resolve('RackRoleType'),
      assetType: KnownAssetsEnum.RACK_ROLE,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class RackRoleDetailRoutingModule {}
