import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { RackRoleAssetOverviewPageComponent } from '@orion/asset-components/rack-role-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { RackRoleAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Rack Roles Overview',
    component: RackRoleAssetOverviewPageComponent,
    data: {
      headline: 'Rack Roles Overview',
      headlineIcon: AssetIconResolver.resolve('RackRoleType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./rack-role-detail/rack-role-detail.module').then((m) => m.RackRoleDetailModule),
    resolve: {
      breadcrumb: RackRoleAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class RackRoleOverviewRoutingModule {}
