import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { RegionAssetDetailPageComponent } from '@orion/asset-components/region-detail';
import { RegionAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: RegionAssetTitleResolver,
    component: RegionAssetDetailPageComponent,
    data: {
      headline: 'Region Detail',
      headlineIcon: AssetIconResolver.resolve('RegionType'),
      assetType: KnownAssetsEnum.REGION,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class RegionDetailRoutingModule {}
