import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { RegionAssetOverviewPageComponent } from '@orion/asset-components/region-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { RegionAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Regions Overview',
    component: RegionAssetOverviewPageComponent,
    data: {
      headline: 'Regions Overview',
      headlineIcon: AssetIconResolver.resolve('RegionType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./region-detail/region-detail.module').then((m) => m.RegionDetailModule),
    resolve: {
      breadcrumb: RegionAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class RegionOverviewRoutingModule {}
