import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { SiteGroupAssetDetailPageComponent } from '@orion/asset-components/site-group-detail';
import { SiteGroupAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: SiteGroupAssetTitleResolver,
    component: SiteGroupAssetDetailPageComponent,
    data: {
      headline: 'Site Group Detail',
      headlineIcon: AssetIconResolver.resolve('SiteGroupType'),
      assetType: KnownAssetsEnum.SITE_GROUP,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class SiteGroupDetailRoutingModule {}
