import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { SiteGroupAssetOverviewPageComponent } from '@orion/asset-components/site-group-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { SiteGroupAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Site Groups Overview',
    component: SiteGroupAssetOverviewPageComponent,
    data: {
      headline: 'Site Groups Overview',
      headlineIcon: AssetIconResolver.resolve('CircuitType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./site-group-detail/site-group-detail.module').then((m) => m.SiteGroupDetailModule),
    resolve: {
      breadcrumb: SiteGroupAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class SiteGroupOverviewRoutingModule {}
