import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { SiteAssetDetailPageComponent } from '@orion/asset-components/site-detail';
import { SiteAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: SiteAssetTitleResolver,
    component: SiteAssetDetailPageComponent,
    data: {
      headline: 'Site Detail',
      headlineIcon: AssetIconResolver.resolve('SiteType'),
      assetType: KnownAssetsEnum.SITE,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class SiteDetailRoutingModule {}
