import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { SiteAssetOverviewPageComponent } from '@orion/asset-components/site-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { SiteAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Sites Overview',
    component: SiteAssetOverviewPageComponent,
    data: {
      headline: 'Sites Overview',
      headlineIcon: AssetIconResolver.resolve('SiteType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./site-detail/site-detail.module').then((m) => m.SiteDetailModule),
    resolve: {
      breadcrumb: SiteAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class SiteOverviewRoutingModule {}
