import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { TenantGroupAssetDetailPageComponent } from '@orion/asset-components/tenant-group-detail';
import { TenantGroupAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: TenantGroupAssetTitleResolver,
    component: TenantGroupAssetDetailPageComponent,
    data: {
      headline: 'Tenant Group Detail',
      headlineIcon: AssetIconResolver.resolve('TenantGroupType'),
      assetType: KnownAssetsEnum.TENANT_GROUP,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class TenantGroupDetailRoutingModule {}
