import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { TenantGroupAssetOverviewPageComponent } from '@orion/asset-components/tenant-group-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { TenantGroupAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Tenant Groups Overview',
    component: TenantGroupAssetOverviewPageComponent,
    data: {
      headline: 'Tenant Groups Overview',
      headlineIcon: AssetIconResolver.resolve('TenantGroupType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./tenant-group-detail/tenant-group-detail.module').then((m) => m.TenantGroupDetailModule),
    resolve: {
      breadcrumb: TenantGroupAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class TenantGroupOverviewRoutingModule {}
