import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { TenantAssetDetailPageComponent } from '@orion/asset-components/tenant-detail';
import { TenantAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: TenantAssetTitleResolver,
    component: TenantAssetDetailPageComponent,
    data: {
      headline: 'Tenant Detail',
      headlineIcon: AssetIconResolver.resolve('TenantType'),
      assetType: KnownAssetsEnum.TENANT,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class TenantDetailRoutingModule {}
