import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { TenantAssetOverviewPageComponent } from '@orion/asset-components/tenant-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { TenantAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Tenants Overview',
    component: TenantAssetOverviewPageComponent,
    data: {
      headline: 'Tenants Overview',
      headlineIcon: AssetIconResolver.resolve('TenantType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./tenant-detail/tenant-detail.module').then((m) => m.TenantDetailModule),
    resolve: {
      breadcrumb: TenantAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class TenantOverviewRoutingModule {}
