import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PowerFeedAssetDetailPageComponent } from '@orion/asset-components/power-feed-detail';
import { PowerFeedAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: PowerFeedAssetTitleResolver,
    component: PowerFeedAssetDetailPageComponent,
    data: {
      headline: 'Power Feed Detail',
      headlineIcon: AssetIconResolver.resolve('PowerFeedType'),
      assetType: KnownAssetsEnum.POWER_FEED,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PowerFeedDetailRoutingModule {}
