import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PowerFeedAssetOverviewPageComponent } from '@orion/asset-components/power-feed-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { PowerFeedAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Power Feeds Overview',
    component: PowerFeedAssetOverviewPageComponent,
    data: {
      headline: 'Power Feeds Overview',
      headlineIcon: AssetIconResolver.resolve('PowerFeedType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./power-feed-detail/power-feed-detail.module').then((m) => m.PowerFeedDetailModule),
    resolve: {
      breadcrumb: PowerFeedAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PowerFeedOverviewRoutingModule {}
