import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PowerPanelAssetDetailPageComponent } from '@orion/asset-components/power-panel-detail';
import { PowerPanelAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: PowerPanelAssetTitleResolver,
    component: PowerPanelAssetDetailPageComponent,
    data: {
      headline: 'Power Panel Detail',
      headlineIcon: AssetIconResolver.resolve('PowerPanelType'),
      assetType: KnownAssetsEnum.POWER_PANEL,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PowerPanelDetailRoutingModule {}
