import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PowerPanelAssetOverviewPageComponent } from '@orion/asset-components/power-panel-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { PowerPanelAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Power Panels Overview',
    component: PowerPanelAssetOverviewPageComponent,
    data: {
      headline: 'Power Panels Overview',
      headlineIcon: AssetIconResolver.resolve('PowerPanelType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./power-panel-detail/power-panel-detail.module').then((m) => m.PowerPanelDetailModule),
    resolve: {
      breadcrumb: PowerPanelAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PowerPanelOverviewRoutingModule {}
