import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ClusterGroupAssetDetailPageComponent } from '@orion/asset-components/cluster-group-detail';
import { ClusterGroupAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: ClusterGroupAssetTitleResolver,
    component: ClusterGroupAssetDetailPageComponent,
    data: {
      headline: 'Cluster Group Detail',
      headlineIcon: AssetIconResolver.resolve('ClusterGroupType'),
      assetType: KnownAssetsEnum.CLUSTER_GROUP,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ClusterGroupDetailRoutingModule {}
