import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ClusterGroupAssetOverviewPageComponent } from '@orion/asset-components/cluster-group-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { ClusterGroupAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Cluster Groups Overview',
    component: ClusterGroupAssetOverviewPageComponent,
    data: {
      headline: 'Cluster Groups Overview',
      headlineIcon: AssetIconResolver.resolve('ClusterGroupType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./cluster-group-detail/cluster-group-detail.module').then((m) => m.ClusterGroupDetailModule),
    resolve: {
      breadcrumb: ClusterGroupAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ClusterGroupOverviewRoutingModule {}
