import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ClusterAssetDetailPageComponent } from '@orion/asset-components/cluster-detail';
import { ClusterAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: ClusterAssetTitleResolver,
    component: ClusterAssetDetailPageComponent,
    data: {
      headline: 'Cluster Detail',
      headlineIcon: AssetIconResolver.resolve('ClusterType'),
      assetType: KnownAssetsEnum.CLUSTER,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ClusterDetailRoutingModule {}
