import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ClusterAssetOverviewPageComponent } from '@orion/asset-components/cluster-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { ClusterAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Clusters Overview',
    component: ClusterAssetOverviewPageComponent,
    data: {
      headline: 'Clusters Overview',
      headlineIcon: AssetIconResolver.resolve('ClusterType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./cluster-detail/cluster-detail.module').then((m) => m.ClusterDetailModule),
    resolve: {
      breadcrumb: ClusterAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ClusterOverviewRoutingModule {}
