import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ClusterTypeAssetDetailPageComponent } from '@orion/asset-components/cluster-type-detail';
import { ClusterTypeAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: ClusterTypeAssetTitleResolver,
    component: ClusterTypeAssetDetailPageComponent,
    data: {
      assetType: KnownAssetsEnum.CLUSTER_TYPE,
      headlineIcon: AssetIconResolver.resolve('ClusterTypeType'),
      headline: 'Cluster Type Detail',
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ClusterTypeDetailRoutingModule {}
