import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ClusterTypeAssetOverviewPageComponent } from '@orion/asset-components/cluster-type-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { ClusterTypeAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Cluster Types Overview',
    component: ClusterTypeAssetOverviewPageComponent,
    data: {
      headline: 'Cluster Types Overview',
      headlineIcon: AssetIconResolver.resolve('ClusterTypeType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./cluster-type-detail/cluster-type-detail.module').then((m) => m.ClusterTypeDetailModule),
    resolve: {
      breadcrumb: ClusterTypeAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ClusterTypeOverviewRoutingModule {}
