import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { VmInterfaceAssetDetailPageComponent } from '@orion/asset-components/vm-interface-detail';
import { VmInterfaceTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: VmInterfaceTitleResolver,
    component: VmInterfaceAssetDetailPageComponent,
    data: {
      headline: 'VM Interface Detail',
      headlineIcon: AssetIconResolver.resolve('VMInterfaceType'),
      assetType: KnownAssetsEnum.VM_INTERFACE,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class VmInterfaceDetailRoutingModule {}
