import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { VmInterfaceAssetOverviewPageComponent } from '@orion/asset-components/vm-interface-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { VmInterfaceBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'VM Interfaces Overview',
    component: VmInterfaceAssetOverviewPageComponent,
    data: {
      headline: 'VM Interfaces Overview',
      headlineIcon: AssetIconResolver.resolve('VMInterfaceType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./vm-interface-detail/vm-interface-detail.module').then((m) => m.VmInterfaceDetailModule),
    resolve: {
      breadcrumb: VmInterfaceBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class VmInterfaceOverviewRoutingModule {}
