import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { VmAssetDetailPageComponent } from '@orion/asset-components/vm-detail';
import { VmAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: VmAssetTitleResolver,
    component: VmAssetDetailPageComponent,
    data: {
      headline: 'Virtual Machine Detail',
      headlineIcon: AssetIconResolver.resolve('VirtualMachineType'),
      assetType: KnownAssetsEnum.VIRTUAL_MACHINE,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class VmDetailRoutingModule {}
