import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { VmAssetOverviewPageComponent } from '@orion/asset-components/vm-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { VmAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Virtual Machines Overview',
    component: VmAssetOverviewPageComponent,
    data: {
      headline: 'Virtual Machines Overview',
      headlineIcon: AssetIconResolver.resolve('VirtualMachineType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () => import('./vm-detail/vm-detail.module').then((m) => m.VmDetailModule),
    resolve: {
      breadcrumb: VmAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class VmOverviewRoutingModule {}
