import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { WirelessLanGroupAssetDetailPageComponent } from '@orion/asset-components/wireless-lan-group-detail';
import { WirelessLanGroupAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: WirelessLanGroupAssetTitleResolver,
    component: WirelessLanGroupAssetDetailPageComponent,
    data: {
      headline: 'Wireless Lan Group Detail',
      headlineIcon: AssetIconResolver.resolve('WirelessLanGroupType'),
      assetType: KnownAssetsEnum.WIRELESS_LAN_GROUP,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class WirelessLanGroupDetailRoutingModule {}
