import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { WirelessLanGroupAssetOverviewPageComponent } from '@orion/asset-components/wireless-lan-group-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { WirelessLanGroupAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Wireless LAN Groups Overview',
    component: WirelessLanGroupAssetOverviewPageComponent,
    data: {
      headline: 'Wireless LAN Groups Overview',
      headlineIcon: AssetIconResolver.resolve('WirelessLanGroupType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./wireless-lan-group-detail/wireless-lan-group-detail.module').then(
        (m) => m.WirelessLanGroupDetailModule
      ),
    resolve: {
      breadcrumb: WirelessLanGroupAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class WirelessLanGroupOverviewRoutingModule {}
