import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { WirelessLanAssetDetailPageComponent } from '@orion/asset-components/wireless-lan-detail';
import { WirelessLanAssetTitleResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';
import { KnownAssetsEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: WirelessLanAssetTitleResolver,
    component: WirelessLanAssetDetailPageComponent,
    data: {
      headline: 'Wireless LAN Detail',
      headlineIcon: AssetIconResolver.resolve('WirelessLanType'),
      assetType: KnownAssetsEnum.WIRELESS_LAN,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class WirelessLanDetailRoutingModule {}
