import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { WirelessLanAssetOverviewPageComponent } from '@orion/asset-components/wireless-lan-overview';
import { ASSET_ID_PARAM_SELECTOR } from '@orion/asset-paths';
import { WirelessLanAssetBreadcrumbResolver } from '@orion/asset-services';
import { AssetIconResolver } from '@orion/asset-types';

const routes: Routes = [
  {
    path: '',
    title: 'Wireless LANs Overview',
    component: WirelessLanAssetOverviewPageComponent,
    data: {
      headline: 'Wireless LANs Overview',
      headlineIcon: AssetIconResolver.resolve('WirelessLanType'),
    },
  },
  {
    path: `:${ASSET_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('./wireless-lan-detail/wireless-lan-detail.module').then((m) => m.WirelessLanDetailModule),
    resolve: {
      breadcrumb: WirelessLanAssetBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class WirelessLanOverviewRoutingModule {}
