import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CreateCasePageComponent } from '@orion/case-components/create';
import { ConfirmationGuard } from '@orion/shared-services';
import { CASE_ICON } from '@orion/common';

const routes: Routes = [
  {
    path: '',
    title: 'Create Case',
    component: CreateCasePageComponent,
    canDeactivate: [ConfirmationGuard],
    data: {
      breadcrumb: 'Create Case',
      headline: 'Create Case',
      headlineIcon: CASE_ICON,
      case: null,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CreateCaseRoutingModule {}
