import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CaseDetailPageComponent } from '@orion/case-components/detail';
import { ConfirmationGuard } from '@orion/shared-services';
import { CaseTitleResolver } from '@orion/case-services';
import { WorkflowBreadcrumbResolver } from '@orion/workflow-services';
import { CASE_ICON } from '@orion/common';

const routes: Routes = [
  {
    path: '',
    title: CaseTitleResolver,
    component: CaseDetailPageComponent,
    canDeactivate: [ConfirmationGuard],
    data: {
      headline: 'Case Detail',
      headlineIcon: CASE_ICON,
    },
  },
  {
    path: 'workflow/create',
    loadChildren: () => import('../workflow/create/create-workflow.module').then((m) => m.CreateWorkflowModule),
  },
  {
    path: `workflow/:workflowId`,
    loadChildren: () => import('../workflow/detail/workflow-detail.module').then((m) => m.WorkflowDetailModule),
    resolve: {
      breadcrumb: WorkflowBreadcrumbResolver,
    },
  },
];
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CaseDetailRoutingModule {}
