import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CaseOverviewPageComponent } from '@orion/case-components/overview-page';
import { CASE_PARAM_SELECTOR } from '@orion/case-paths';
import { CaseBreadcrumbResolver } from '@orion/case-services';
import { CASE_ICON } from '@orion/common';

const routes: Routes = [
  {
    path: '',
    title: 'Cases Overview',
    component: CaseOverviewPageComponent,
    data: {
      headline: 'Cases Overview',
      headlineIcon: CASE_ICON,
    },
  },
  {
    path: 'create',
    loadChildren: () => import('../create/create-case.module').then((m) => m.CreateCaseModule),
  },
  {
    path: `:${CASE_PARAM_SELECTOR}`,
    resolve: {
      breadcrumb: CaseBreadcrumbResolver,
    },
    loadChildren: () => import('../detail/case-detail.module').then((m) => m.CaseDetailModule),
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CaseOverviewRoutingModule {}
