import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ConfirmationGuard } from '@orion/shared-services';
import { CreateWorkflowPageComponent } from '@orion/workflow-components/create';
import { WORKFLOW_ICON } from '@orion/common';

const routes: Routes = [
  {
    path: '',
    title: 'Create Workflow',
    component: CreateWorkflowPageComponent,
    canDeactivate: [ConfirmationGuard],
    data: {
      breadcrumb: 'Create Workflow',
      headline: 'Create Workflow',
      headlineIcon: WORKFLOW_ICON,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CreateWorkflowRoutingModule {}
