import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ConfirmationGuard } from '@orion/shared-services';
import { CreateStagePageComponent } from '@orion/stage-components/create';
import { STAGE_ICON } from '@orion/common';

const routes: Routes = [
  {
    path: '',
    title: 'Create Stage',
    component: CreateStagePageComponent,
    canDeactivate: [ConfirmationGuard],
    data: {
      breadcrumb: 'Create Stage',
      headline: 'Create Stage',
      headlineIcon: STAGE_ICON,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CreateStageRoutingModule {}
