import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { TASK_PARAM_SELECTOR, TASK_PATH } from '@orion/case-paths';
import { ConfirmationGuard } from '@orion/shared-services';
import { StageDetailPageComponent } from '@orion/stage-components/detail';
import { StageTitleResolver } from '@orion/stage-services';
import { TaskBreadcrumbResolver } from '@orion/task-services';
import { STAGE_ICON } from '@orion/common';

const routes: Routes = [
  {
    path: '',
    title: StageTitleResolver,
    component: StageDetailPageComponent,
    canDeactivate: [ConfirmationGuard],
    data: {
      headline: 'Stage Detail',
      headlineIcon: STAGE_ICON,
    },
  },
  {
    path: `create-task`,
    loadChildren: () => import('../task/create/create-task.module').then((m) => m.CreateTaskModule),
  },
  {
    path: `${TASK_PATH}/:${TASK_PARAM_SELECTOR}`,
    loadChildren: () => import('../../../../task/detail/task-detail.module').then((m) => m.TaskDetailModule),
    resolve: {
      breadcrumb: TaskBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class StageDetailRoutingModule {}
