import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ConfirmationGuard } from '@orion/shared-services';
import { CreateTaskPageComponent } from '@orion/task-components/create';
import { TASK_ICON } from '@orion/common';

const routes: Routes = [
  {
    path: '',
    title: 'Create Task',
    component: CreateTaskPageComponent,
    canDeactivate: [ConfirmationGuard],
    data: {
      breadcrumb: 'Create Task',
      headline: 'Create Task',
      headlineIcon: TASK_ICON,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CreateTaskRoutingModule {}
