import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { EXTERNAL_REFERENCE_ID_PARAM_SELECTOR } from '@orion/external-reference-paths';
import { ExternalReferenceBreadcrumbResolver } from '@orion/external-reference-services/resolvers';

const routes: Routes = [
  {
    path: `:${EXTERNAL_REFERENCE_ID_PARAM_SELECTOR}`,
    loadChildren: () =>
      import('../detail/external-reference-detail.module').then((m) => m.ExternalReferenceDetailModule),
    resolve: {
      breadcrumb: ExternalReferenceBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ExternalReferenceOverviewRoutingModule {}
