import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CreateEditLabelPageComponent } from '@orion/label-components/create-edit';
import { ConfirmationGuard } from '@orion/shared-services';
import { LABEL_ICON } from '@orion/common';

const routes: Routes = [
  {
    path: '',
    title: 'Create Label',
    component: CreateEditLabelPageComponent,
    canDeactivate: [ConfirmationGuard],
    data: {
      breadcrumb: 'Create Label',
      headline: 'Create Label',
      headlineIcon: LABEL_ICON,
      label: null,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CreateLabelRoutingModule {}
