import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CreateEditLabelPageComponent } from '@orion/label-components/create-edit';
import { LabelBreadcrumbResolver, LabelEditTitleResolver } from '@orion/label-services';
import { LABEL_ICON } from '@orion/common';

const routes: Routes = [
  {
    path: '',
    title: LabelEditTitleResolver,
    component: CreateEditLabelPageComponent,
    data: {
      headlineIcon: LABEL_ICON,
    },
    resolve: {
      headline: LabelBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class EditLabelRoutingModule {}
