import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { LabelOverviewPageComponent } from '@orion/label-components/overview';
import { LABEL_PARAM_SELECTOR } from '@orion/label-paths';
import { LabelBreadcrumbResolver } from '@orion/label-services';
import { LABEL_ICON } from '@orion/common';

const routes: Routes = [
  {
    path: '',
    title: 'Labels Overview',
    component: LabelOverviewPageComponent,
    data: {
      headline: 'Labels Overview',
      headlineIcon: LABEL_ICON,
    },
  },
  {
    path: `:${LABEL_PARAM_SELECTOR}/edit`,
    loadChildren: () => import('./edit/edit-label.module').then((m) => m.EditLabelModule),
    resolve: {
      breadcrumb: LabelBreadcrumbResolver,
    },
  },
  {
    path: 'create',
    loadChildren: () => import('./create/create-label.module').then((m) => m.CreateLabelModule),
  },
];

@NgModule({ imports: [RouterModule.forChild(routes)], exports: [RouterModule] })
export class LabelOverviewRoutingModule {}
