import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import {
  NotificationResolver,
  SentinelNotificationOverviewComponent,
  SentinelNotificationOverviewModule,
} from '@sentinel/layout/notification';
import { NOTIFICATION_ICON } from '@orion/common';

@NgModule({
  imports: [
    SentinelNotificationOverviewModule,
    RouterModule.forChild([
      {
        path: '',
        title: 'Notification Overview',
        data: {
          headline: 'Notification Overview',
          headlineIcon: NOTIFICATION_ICON,
        },
        component: SentinelNotificationOverviewComponent,
      },
      {
        path: ':id',
        loadChildren: () => import('./notification-detail.module').then((m) => m.NotificationDetailModule),
        data: { breadcrumb: 'Detail' },
        resolve: { sentinelNotification: NotificationResolver },
      },
    ]),
  ],
})
export class NotificationOverviewModule {}
