import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DomainObservableDetailPageComponent } from '@orion/observable-components/detail-domain';
import { DomainObservableTitleResolver } from '@orion/observable-services';
import { KnownObservablesEnum } from '@orion/graphql-types';
import { ObservableIconResolver } from '@orion/observable-types';

const routes: Routes = [
  {
    path: '',
    title: DomainObservableTitleResolver,
    component: DomainObservableDetailPageComponent,
    data: {
      headline: 'Domain Detail',
      headlineIcon: ObservableIconResolver.resolve('DomainName'),
      observableType: KnownObservablesEnum.DOMAIN_NAME,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DomainDetailRoutingModule {}
