import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DomainToDomainResolutionObservableDetailPageComponent } from '@orion/observable-components/detail-domain-to-domain-resolution';
import { DomainToDomainObservableTitleResolver } from '@orion/observable-services';
import { KnownObservablesEnum } from '@orion/graphql-types';
import { ObservableIconResolver } from '@orion/observable-types';

const routes: Routes = [
  {
    path: '',
    title: DomainToDomainObservableTitleResolver,
    component: DomainToDomainResolutionObservableDetailPageComponent,
    data: {
      headline: 'Domain to Domain Resolution Detail',
      headlineIcon: ObservableIconResolver.resolve('DomainToDomainResolution'),
      observableType: KnownObservablesEnum.DOMAIN_TO_DOMAIN_RESOLUTION,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DomainToDomainResolutionDetailRoutingModule {}
