import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DomainToIpAddressResolutionObservableDetailPageComponent } from '@orion/observable-components/detail-domain-to-ip-address-resolution';
import { DomainToIpAddressObservableTitleResolver } from '@orion/observable-services';
import { KnownObservablesEnum } from '@orion/graphql-types';
import { ObservableIconResolver } from '@orion/observable-types';

const routes: Routes = [
  {
    path: '',
    title: DomainToIpAddressObservableTitleResolver,
    component: DomainToIpAddressResolutionObservableDetailPageComponent,
    data: {
      headline: 'Domain to IP Address Resolution Detail',
      headlineIcon: ObservableIconResolver.resolve('DomainToIPAddressResolution'),
      observableType: KnownObservablesEnum.DOMAIN_TO_IP_ADDRESS_RESOLUTION,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DomainToIpAddressResolutionDetailRoutingModule {}
