import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { EmailAddressObservableDetailPageComponent } from '@orion/observable-components/detail-email-address';
import { EmailAddressObservableTitleResolver } from '@orion/observable-services';
import { KnownObservablesEnum } from '@orion/graphql-types';
import { ObservableIconResolver } from '@orion/observable-types';

const routes: Routes = [
  {
    path: '',
    title: EmailAddressObservableTitleResolver,
    component: EmailAddressObservableDetailPageComponent,
    data: {
      headline: 'Email Address Detail',
      headlineIcon: ObservableIconResolver.resolve('EmailAddress'),
      observableType: KnownObservablesEnum.EMAIL_ADDRESS,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class EmailAddressDetailRoutingModule {}
