import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { EmailMessageObservableDetailPageComponent } from '@orion/observable-components/detail-email-message';
import { EmailMessageObservableTitleResolver } from '@orion/observable-services';
import { KnownObservablesEnum } from '@orion/graphql-types';
import { ObservableIconResolver } from '@orion/observable-types';

const routes: Routes = [
  {
    path: '',
    title: EmailMessageObservableTitleResolver,
    component: EmailMessageObservableDetailPageComponent,
    data: {
      headline: 'Email Message Detail',
      headlineIcon: ObservableIconResolver.resolve('EmailMessage'),
      observableType: KnownObservablesEnum.EMAIL_MESSAGE,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class EmailMessageDetailRoutingModule {}
