import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { FileReferenceObservableDetailPageComponent } from '@orion/observable-components/detail-file-reference';
import { FileReferenceObservableTitleResolver } from '@orion/observable-services';
import { KnownObservablesEnum } from '@orion/graphql-types';
import { ObservableIconResolver } from '@orion/observable-types';

const routes: Routes = [
  {
    path: '',
    title: FileReferenceObservableTitleResolver,
    component: FileReferenceObservableDetailPageComponent,
    data: {
      headline: 'File Reference Detail',
      headlineIcon: ObservableIconResolver.resolve('FileReference'),
      observableType: KnownObservablesEnum.FILE_REFERENCE,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class FileReferenceDetailRoutingModule {}
