import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { IpAddressObservableDetailPageComponent } from '@orion/observable-components/detail-ip-address';
import { IpAddressObservableTitleResolver } from '@orion/observable-services';
import { KnownObservablesEnum } from '@orion/graphql-types';
import { ObservableIconResolver } from '@orion/observable-types';

const routes: Routes = [
  {
    path: '',
    title: IpAddressObservableTitleResolver,
    component: IpAddressObservableDetailPageComponent,
    data: {
      headline: 'IP Address Detail',
      headlineIcon: ObservableIconResolver.resolve('IPAddress'),
      observableType: KnownObservablesEnum.IP_ADDRESS,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class IpAddressDetailRoutingModule {}
