import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { IpAddressToDomainResolutionObservableDetailPageComponent } from '@orion/observable-components/detail-ip-address-to-domain-resolution';
import { IpAddressToDomainObservableTitleResolver } from '@orion/observable-services';
import { KnownObservablesEnum } from '@orion/graphql-types';
import { ObservableIconResolver } from '@orion/observable-types';

const routes: Routes = [
  {
    path: '',
    title: IpAddressToDomainObservableTitleResolver,
    component: IpAddressToDomainResolutionObservableDetailPageComponent,
    data: {
      headline: 'IP Address to Domain Detail',
      headlineIcon: ObservableIconResolver.resolve('IPAddressToDomainResolution'),
      observableType: KnownObservablesEnum.IP_ADDRESS_TO_DOMAIN_RESOLUTION,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class IpAddressToDomainResolutionDetailRoutingModule {}
