import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { UrlObservableDetailPageComponent } from '@orion/observable-components/detail-url';
import { UrlObservableTitleResolver } from '@orion/observable-services';
import { KnownObservablesEnum } from '@orion/graphql-types';
import { ObservableIconResolver } from '@orion/observable-types';

const routes: Routes = [
  {
    path: '',
    title: UrlObservableTitleResolver,
    component: UrlObservableDetailPageComponent,
    data: {
      headline: 'URL Detail',
      headlineIcon: ObservableIconResolver.resolve('URL'),
      observableType: KnownObservablesEnum.URL,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class UrlDetailRoutingModule {}
