import { NgModule } from '@angular/core';
import { ObservableOverviewPageModule } from '@orion/observable-components/overview';
import {
  CtiEntryBreadcrumbResolver,
  CtiEntryNavigator,
  DomainObservableBreadcrumbResolver,
  DomainToDomainObservableBreadcrumbResolver,
  DomainToIpAddressObservableBreadcrumbResolver,
  EmailAddressObservableBreadcrumbResolver,
  EmailMessageObservableBreadcrumbResolver,
  FileReferenceObservableBreadcrumbResolver,
  IpAddressObservableBreadcrumbResolver,
  IpAddressToDomainObservableBreadcrumbResolver,
  ObservableNavigator,
  UrlObservableBreadcrumbResolver,
} from '@orion/observable-services';
import { ObservableOverviewRoutingModule } from './observable-overview-routing.module';

@NgModule({
  imports: [ObservableOverviewPageModule, ObservableOverviewRoutingModule],
  providers: [
    ObservableNavigator,
    CtiEntryNavigator,
    CtiEntryBreadcrumbResolver,
    DomainObservableBreadcrumbResolver,
    DomainToDomainObservableBreadcrumbResolver,
    DomainToIpAddressObservableBreadcrumbResolver,
    EmailAddressObservableBreadcrumbResolver,
    EmailMessageObservableBreadcrumbResolver,
    FileReferenceObservableBreadcrumbResolver,
    IpAddressObservableBreadcrumbResolver,
    IpAddressToDomainObservableBreadcrumbResolver,
    UrlObservableBreadcrumbResolver,
  ],
})
export class ObservableOverviewModule {}
