import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ConfirmationGuard } from '@orion/shared-services';
import { TaskTitleResolver } from '@orion/task-services';
import { TaskDetailPageComponent } from '@orion/task-components/task-detail';
import { TASK_ICON } from '@orion/common';

const routes: Routes = [
  {
    path: '',
    title: TaskTitleResolver,
    component: TaskDetailPageComponent,
    canDeactivate: [ConfirmationGuard],
    data: {
      headline: 'Task Detail',
      headlineIcon: TASK_ICON,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class TaskDetailRoutingModule {}
