import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { GROUP_ICON } from '@orion/common';
import { KnownTtPsTypesEnum } from '@orion/graphql-types';
import { GroupProcedureDetailPageComponent } from '@orion/ttps-components/detail-group-procedure';
import { GroupProcedureTitleResolver } from '@orion/ttps-services';

const routes: Routes = [
  {
    path: '',
    title: GroupProcedureTitleResolver,
    component: GroupProcedureDetailPageComponent,
    data: {
      ttpType: KnownTtPsTypesEnum.GROUP_PROCEDURE,
      headline: 'Group Procedure Detail',
      headlineIcon: GROUP_ICON,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class GroupProcedureDetailRoutingModule {}
