import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { TECHNIQUE_ICON } from '@orion/common';
import { SubTechniqueDetailPageComponent } from '@orion/ttps-components/detail-sub-technique';
import { SubTechniqueTitleResolver } from '@orion/ttps-services';
import { KnownTtPsTypesEnum } from '@orion/graphql-types';

const routes: Routes = [
  {
    path: '',
    title: SubTechniqueTitleResolver,
    component: SubTechniqueDetailPageComponent,
    data: {
      headline: 'Sub-technique Detail',
      headlineIcon: TECHNIQUE_ICON,
      ttpType: KnownTtPsTypesEnum.TECHNIQUE,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class SubTechniqueDetailRoutingModule {}
