import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { TACTIC_ICON } from '@orion/common';
import { KnownTtPsTypesEnum } from '@orion/graphql-types';
import { TacticDetailPageComponent } from '@orion/ttps-components/detail-tactic';
import { TacticTitleResolver } from '@orion/ttps-services';

const routes: Routes = [
  {
    path: '',
    component: TacticDetailPageComponent,
    title: TacticTitleResolver,
    data: {
      headline: 'Tactic Detail',
      headlineIcon: TACTIC_ICON,
      ttpType: KnownTtPsTypesEnum.TACTIC,
    },
  },
];

@NgModule({ imports: [RouterModule.forChild(routes)], exports: [RouterModule] })
export class TacticDetailRoutingModule {}
