import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { enumToPath, TECHNIQUE_ICON } from '@orion/common';
import { KnownTtPsTypesEnum } from '@orion/graphql-types';
import { TechniqueDetailPageComponent } from '@orion/ttps-components/detail-technique';
import { SubTechniqueBreadcrumbResolver, TechniqueTitleResolver } from '@orion/ttps-services';

const routes: Routes = [
  {
    path: '',
    title: TechniqueTitleResolver,
    component: TechniqueDetailPageComponent,
    data: {
      headline: 'Technique Detail',
      headlineIcon: TECHNIQUE_ICON,
      ttpType: KnownTtPsTypesEnum.TECHNIQUE,
    },
  },
  {
    path: `${enumToPath(KnownTtPsTypesEnum.TECHNIQUE)}/:ttpId`,
    loadChildren: () =>
      import('../../detail/sub-technique/sub-technique-detail.module').then((m) => m.SubTechniqueDetailModule),
    resolve: {
      breadcrumb: SubTechniqueBreadcrumbResolver,
    },
  },
];

@NgModule({ imports: [RouterModule.forChild(routes)], exports: [RouterModule] })
export class TechniqueDetailRoutingModule {}
