import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { TOOL_ICON } from '@orion/common';
import { KnownTtPsTypesEnum } from '@orion/graphql-types';
import { ToolProcedureDetailPageComponent } from '@orion/ttps-components/detail-tool-procedure';
import { ToolProcedureTitleResolver } from '@orion/ttps-services';

const routes: Routes = [
  {
    path: '',
    title: ToolProcedureTitleResolver,
    component: ToolProcedureDetailPageComponent,
    data: {
      headline: 'Tool Procedure Detail',
      headlineIcon: TOOL_ICON,
      ttpType: KnownTtPsTypesEnum.TOOL_PROCEDURE,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ToolProcedureDetailRoutingModule {}
