import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { GROUP_ICON } from '@orion/common';
import { GroupProcedureOverviewPageComponent } from '@orion/ttps-components/group-procedure-overview';
import { GroupProcedureBreadcrumbResolver } from '@orion/ttps-services';

const routes: Routes = [
  {
    path: '',
    title: 'Group Procedures Overview',
    component: GroupProcedureOverviewPageComponent,
    data: {
      headline: 'Group Procedures Overview',
      headlineIcon: GROUP_ICON,
    },
  },
  {
    path: ':ttpId',
    loadChildren: () =>
      import('../../detail/group-procedure/group-procedure-detail.module').then((m) => m.GroupProcedureDetailModule),
    resolve: {
      breadcrumb: GroupProcedureBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class GroupProcedureOverviewRoutingModule {}
