import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { MITIGATION_ICON } from '@orion/common';
import { MitigationOverviewPageComponent } from '@orion/ttps-components/mitigation-overview';
import { MitigationBreadcrumbResolver } from '@orion/ttps-services';

const routes: Routes = [
  {
    path: '',
    title: 'Mitigations Overview',
    component: MitigationOverviewPageComponent,
    data: {
      headline: 'Mitigations Overview ',
      headlineIcon: MITIGATION_ICON,
    },
  },
  {
    path: ':mitigationId',
    loadChildren: () =>
      import('../../detail/mitigation/mitigation-detail.module').then((m) => m.MitigationDetailModule),
    resolve: {
      breadcrumb: MitigationBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class MitigationOverviewRoutingModule {}
