import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PLATFORM_ICON } from '@orion/common';
import { PlatformOverviewPageComponent } from '@orion/ttps-components/platform-overview';
import { PlatformBreadcrumbResolver } from '@orion/ttps-services';

const routes: Routes = [
  {
    path: '',
    title: 'Platforms Overview',
    component: PlatformOverviewPageComponent,
    data: {
      headline: 'Platforms Overview',
      headlineIcon: PLATFORM_ICON,
    },
  },
  {
    path: ':platformId',
    loadChildren: () => import('../../detail/platform/platform-detail.module').then((m) => m.PlatformDetailModule),
    resolve: {
      breadcrumb: PlatformBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PlatformOverviewRoutingModule {}
