import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { TACTIC_ICON } from '@orion/common';
import { TacticOverviewPageComponent } from '@orion/ttps-components/tactic-overview';
import { TacticBreadcrumbResolver } from '@orion/ttps-services';

const routes: Routes = [
  {
    path: '',
    component: TacticOverviewPageComponent,
    title: 'Tactics Overview',
    data: {
      headline: 'Tactics Overview',
      headlineIcon: TACTIC_ICON,
    },
  },
  {
    path: `:ttpId`,
    loadChildren: () => import('../../detail/tactic/tactic-detail.module').then((m) => m.TacticDetailModule),
    resolve: {
      breadcrumb: TacticBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class TacticOverviewRoutingModule {}
