import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { TECHNIQUE_ICON } from '@orion/common';
import { TechniqueOverviewPageComponent } from '@orion/ttps-components/technique-overview';
import { TechniqueBreadcrumbResolver } from '@orion/ttps-services';

const routes: Routes = [
  {
    path: '',
    title: 'Techniques Overview',
    component: TechniqueOverviewPageComponent,
    data: {
      headline: 'Techniques Overview',
      headlineIcon: TECHNIQUE_ICON,
    },
  },
  {
    path: ':ttpId',
    loadChildren: () => import('../../detail/technique/technique-detail.module').then((m) => m.TechniqueDetailModule),
    resolve: {
      breadcrumb: TechniqueBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class TechniqueOverviewRoutingModule {}
