import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { TOOL_ICON } from '@orion/common';
import { ToolProcedureOverviewPageComponent } from '@orion/ttps-components/tool-procedure-overview';
import { ToolProcedureBreadcrumbResolver } from '@orion/ttps-services';

const routes: Routes = [
  {
    path: '',
    title: 'Tool Procedures Overview',
    component: ToolProcedureOverviewPageComponent,
    data: {
      headline: 'Tool Procedures Overview',
      headlineIcon: TOOL_ICON,
    },
  },
  {
    path: `:ttpId`,
    loadChildren: () =>
      import('../../detail/tool-procedure/tool-procedure-detail.module').then((m) => m.ToolProcedureDetailModule),
    resolve: {
      breadcrumb: ToolProcedureBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ToolProcedureOverviewRoutingModule {}
