import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { UserAccountingOverviewPageComponent } from '@orion/user-accounting-components/overview';
import { USER_ID_PARAM_SELECTOR, USER_NAME_PARAM_SELECTOR } from '@orion/user-accounting-paths';
import { UserAccountingBreadcrumbResolver } from '@orion/user-accounting-services';
import { USER_ACCOUNTING_ICON } from '@orion/common';

const routes: Routes = [
  {
    path: '',
    title: 'User Accounting',
    component: UserAccountingOverviewPageComponent,
    data: {
      headline: 'User Accounting',
      headlineIcon: USER_ACCOUNTING_ICON,
    },
  },
  {
    path: `:${USER_ID_PARAM_SELECTOR}/:${USER_NAME_PARAM_SELECTOR}`,
    loadChildren: () => import('../detail/user-accounting-detail.module').then((m) => m.UserAccountingDetailModule),
    resolve: {
      breadcrumb: UserAccountingBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class UserAccountingOverviewRoutingModule {}
