import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ConfirmationGuard } from '@orion/shared-services';
import { CreateEditWorkflowTemplatePageComponent } from '@orion/workflow-template-components/create-edit';
import { WORKFLOW_TEMPLATE_ICON } from '@orion/common';

const routes: Routes = [
  {
    path: '',
    title: 'Create Template Workflow',
    component: CreateEditWorkflowTemplatePageComponent,
    canDeactivate: [ConfirmationGuard],
    data: {
      breadcrumb: 'Create Template Workflow',
      headline: 'Create Template Workflow',
      headlineIcon: WORKFLOW_TEMPLATE_ICON,
      workflowTemplate: null,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CreateWorkflowTemplateRoutingModule {}
