import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CreateEditWorkflowTemplatePageComponent } from '@orion/workflow-template-components/create-edit';
import { WorkflowTemplateBreadcrumbResolver, WorkflowTemplateTitleResolver } from '@orion/workflow-template-services';
import { WORKFLOW_TEMPLATE_ICON } from '@orion/common';

const routes: Routes = [
  {
    path: '',
    title: WorkflowTemplateTitleResolver,
    component: CreateEditWorkflowTemplatePageComponent,
    resolve: {
      headline: WorkflowTemplateBreadcrumbResolver,
    },
    data: {
      headlineIcon: WORKFLOW_TEMPLATE_ICON,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class EditWorkflowTemplateRoutingModule {}
