import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { WorkflowTemplateOverviewPageComponent } from '@orion/workflow-template-components/overview';
import { WORKFLOW_TEMPLATE_PARAM_SELECTOR } from '@orion/workflow-template-paths';
import { WorkflowTemplateBreadcrumbResolver } from '@orion/workflow-template-services';
import { WORKFLOW_TEMPLATE_ICON } from '@orion/common';

const routes: Routes = [
  {
    path: '',
    title: 'Workflow Templates Overview',
    component: WorkflowTemplateOverviewPageComponent,
    data: {
      headline: 'Workflow Templates Overview',
      headlineIcon: WORKFLOW_TEMPLATE_ICON,
    },
  },
  {
    path: `:${WORKFLOW_TEMPLATE_PARAM_SELECTOR}/edit`,
    loadChildren: () => import('./create-edit/edit-workflow-template.module').then((m) => m.EditWorkflowTemplateModule),
    resolve: {
      breadcrumb: WorkflowTemplateBreadcrumbResolver,
    },
  },
  {
    path: 'create',
    loadChildren: () =>
      import('./create-edit/create-workflow-template.module').then((m) => m.CreateWorkflowTemplateModule),
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class WorkflowTemplateOverviewRoutingModule {}
