import { DateTimeFieldFilter, Maybe } from '@orion/graphql-types';
import { DateClientFilter } from './date-client-filter';

export function convertDateTimeFilter(filter: DateClientFilter, offsetAware = true): Maybe<DateTimeFieldFilter> {
  if (filter.from && filter.to) {
    return { in_: [toIsoDateFormat(filter.from, offsetAware), toIsoDateFormat(filter.to, offsetAware)] };
  } else if (filter.from) {
    return { gt: toIsoDateFormat(filter.from, offsetAware) };
  } else if (filter.to) {
    return { lt: toIsoDateFormat(filter.to, offsetAware) };
  } else {
    return {};
  }
}

export function toIsoDateFormat(date: Date, offsetAware: boolean): string {
  return offsetAware ? date.toISOString() : date.toISOString().split('T')[0];
}
