import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { CreateEditEntityCardComponent } from './create-edit-entity-card';
import { CreateEditEntityInlineComponent } from './create-edit-entity-inline/create-edit-entity-inline.component';

@NgModule({
  declarations: [CreateEditEntityCardComponent, CreateEditEntityInlineComponent],
  imports: [
    CommonModule,
    SentinelControlsModule,
    MatIconModule,
    MatButtonModule,
    MatProgressSpinnerModule,
    SentinelPipesModule,
    OrionCardModule,
  ],
  exports: [CreateEditEntityCardComponent, CreateEditEntityInlineComponent],
})
export class CreateEditEntityModule {}
