import { Directive } from '@angular/core';
import { EntityModifyBaseService, ModifyEntityControlsService } from '@orion/shared-services';
import { BaseReactiveForm } from '@sentinel/common';
import { SentinelControlItem } from '@sentinel/components/controls';
import { Observable } from 'rxjs';

@Directive()
export abstract class EntityModifyDirective<Form extends BaseReactiveForm<any>> {
  controls$?: Observable<SentinelControlItem[]>;
  isSaving$: Observable<boolean>;
  form$: Observable<Form>;

  protected constructor(
    protected editService: EntityModifyBaseService<Form>,
    protected controlsService: ModifyEntityControlsService
  ) {
    this.controls$ = this.controlsService.controls$;
    this.isSaving$ = this.editService.isSaving$;
    this.form$ = this.editService.form$;
  }
}
