import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { DashboardChart } from './dashboard-card-chart';
import { DashboardCardTrend } from './dashboard-card-trend';

export interface DashboardCard {
  info: DashboardCardInfo;
  chart?: DashboardChart;
}

export interface DashboardCardInfo {
  metricLabel: string;
  value?: number;
  trend?: DashboardCardTrend;
}

@Component({
  selector: 'orion-dashboard-card',
  templateUrl: './dashboard-card.component.html',
  styleUrls: ['./dashboard-card.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DashboardCardComponent {
  @Input() cardData?: DashboardCardInfo;
  @Input() chartData?: DashboardChart;
}
