import {
  ChangeDetectionStrategy,
  Component,
  EventEmitter,
  Input,
  OnChanges,
  Output,
  SimpleChanges,
} from '@angular/core';
import { defer } from 'rxjs';
import { DashboardCard } from './dashboard-card';

@Component({
  selector: 'orion-dashboard-cards',
  templateUrl: './dashboard-cards.component.html',
  styleUrls: ['./dashboard-cards.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DashboardCardsComponent implements OnChanges {
  @Input() data?: DashboardCard[];
  @Input() isLoading = false;
  @Input() hasError = false;
  @Input() expectedCount?: number;
  @Output() tryAgain: EventEmitter<void> = new EventEmitter<void>();
  onTryAgain$ = defer(() => this.tryAgain.emit());
  cardPlaceholderCount: number[] = [];

  ngOnChanges(changes: SimpleChanges): void {
    if ('expectedCount' in changes && this.expectedCount !== undefined) {
      // the array needs to be filled with something but it does not matter with what
      // because it is used only to iterate *ngFor
      this.cardPlaceholderCount = Array<number>(this.expectedCount).fill(0);
    }
  }
}
