import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { SentinelErrorModule } from '@sentinel/components/error';
import { AreaChartModule } from '@swimlane/ngx-charts';
import { NgxSkeletonLoaderModule } from 'ngx-skeleton-loader';
import {
  DashboardCardChartComponent,
  DashboardCardComponent,
  DashboardCardInfoComponent,
  DashboardCardTrendComponent,
  FullWidthAreaChartDirective,
} from './dashboard-card';
import { DashboardCardPlaceholderComponent } from './dashboard-card-skeleton';
import { DashboardCardsComponent } from './dashboard-cards.component';

@NgModule({
  declarations: [
    DashboardCardsComponent,
    DashboardCardComponent,
    DashboardCardPlaceholderComponent,
    DashboardCardTrendComponent,
    DashboardCardChartComponent,
    DashboardCardInfoComponent,
    FullWidthAreaChartDirective,
  ],
  imports: [CommonModule, SentinelErrorModule, AreaChartModule, MatIconModule, NgxSkeletonLoaderModule],
  exports: [DashboardCardsComponent, DashboardCardComponent],
})
export class DashboardCardsModule {}
