import { Injectable, OnDestroy } from '@angular/core';
import { Subscription } from 'rxjs';
import { EntityEditService } from '../entity-edit';
import { EntityEditModeService } from './entity-edit-mode.service';

@Injectable()
export class EditableEntityPageCanDeactivateService implements OnDestroy {
  private readonly sub: Subscription;
  private editModeSync = false;

  constructor(private editModeService: EntityEditModeService, private editService: EntityEditService) {
    this.sub = this.editModeService.editMode$.subscribe((editMode) => (this.editModeSync = editMode));
  }

  ngOnDestroy(): void {
    if (this.sub) {
      this.sub.unsubscribe();
    }
  }

  canDeactivate(): boolean {
    return !this.editModeSync || this.editService.canDeactivate();
  }
}
