import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelMarkdownViewModule } from '@sentinel/components/markdown-view';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { EntityEditModule } from '../entity-edit/entity-edit.module';
import { EditableEntityComponent } from './editable-entity.component';
import { EntityDescriptionComponent } from './entity-description';

@NgModule({
  declarations: [EditableEntityComponent, EntityDescriptionComponent],
  imports: [
    CommonModule,
    MatButtonModule,
    MatIconModule,
    SentinelMarkdownViewModule.forChild(),
    SentinelPipesModule,
    EntityEditModule,
    OrionPanelModule,
  ],
  exports: [EditableEntityComponent, EntityDescriptionComponent],
})
export class EditableEntityModule {}
