import { Inject, Injectable, InjectionToken, Optional } from '@angular/core';
import { EntityEditService } from '@orion/shared-components/entity-edit';
import { Observable } from 'rxjs';
import { EntityEditEventService } from './entity-edit-event.service';
import { EntityEditModeService } from './entity-edit-mode.service';

export const ENTITY_EDIT_FORM_MANDATORY_DESCRIPTION_TOKEN = new InjectionToken<boolean>(
  'ENTITY_EDIT_FORM_MANDATORY_DESCRIPTION_TOKEN'
);

@Injectable()
export class PatchEntityEditService extends EntityEditService {
  constructor(
    @Optional() @Inject(ENTITY_EDIT_FORM_MANDATORY_DESCRIPTION_TOKEN) readonly mandatoryDescription: boolean,
    private editModeService: EntityEditModeService,
    private eventService: EntityEditEventService
  ) {
    super(mandatoryDescription);
  }

  cancel(): Observable<boolean> {
    return this.editModeService.set(false);
  }

  onSave(): Observable<boolean> {
    this.eventService.saveEmitter.emit(this.form.getData());
    return this.editModeService.set(false);
  }
}
