import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'orion-entity-detail-page',
  templateUrl: './entity-detail-page.component.html',
  styleUrls: ['./entity-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class EntityDetailPageComponent {
  @Input() isLoading? = false;
  @Input() hasError? = false;
  @Input() tabCount = 6;
  @Input() cardCount = 3;
  @Input() aboveTabLineCount = 2;
  @Input() belowTabLineCount = 0;
  @Input() sidebarElementsCount = 4;
  @Input() withSidebar = true;
  @Input() withToolbar = true;
  @Input() withTabs = true;
  @Output() refetch: EventEmitter<void> = new EventEmitter<void>();

  onRefetch(): void {
    this.refetch.emit();
  }
}
