import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { EntityForm } from '@orion/common';
import { SentinelControlItem } from '@sentinel/components/controls';
import { take } from 'rxjs/operators';

@Component({
  selector: 'orion-entity-edit',
  templateUrl: './entity-edit.component.html',
  styleUrls: ['./entity-edit.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class EntityEditComponent {
  @Input() controls?: SentinelControlItem[];
  @Input() form?: EntityForm;

  onControlsEvent(controlItem: SentinelControlItem): void {
    controlItem.result$?.pipe(take(1)).subscribe();
  }
}
