import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { SentinelMarkdownEditorModule } from '@sentinel/components/markdown-editor';
import { SentinelMarkdownViewModule } from '@sentinel/components/markdown-view';
import { EntityEditFormComponent, EntityEditFormInputsComponent } from './entity-edit-form';
import { EntityEditComponent } from './entity-edit.component';

@NgModule({
  declarations: [EntityEditComponent, EntityEditFormComponent, EntityEditFormInputsComponent],
  imports: [
    CommonModule,
    ReactiveFormsModule,
    MatFormFieldModule,
    MatInputModule,
    SentinelMarkdownEditorModule.forChild(),
    SentinelMarkdownViewModule.forChild(),
    SentinelControlsModule,
    MatButtonModule,
    MatIconModule,
    SentinelPipesModule,
  ],
  exports: [EntityEditComponent, EntityEditFormComponent, EntityEditFormInputsComponent],
})
export class EntityEditModule {}
