import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { SentinelControlItem } from '@sentinel/components/controls';
import { take } from 'rxjs/operators';

@Component({
  selector: 'orion-entity-toolbar',
  templateUrl: './entity-toolbar.component.html',
  styleUrls: ['./entity-toolbar.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class EntityToolbarComponent {
  @Input() controls?: SentinelControlItem[];
  @Input() controlsMaxItemCount = 1;

  onItemClicked(item: SentinelControlItem): void {
    item.result$?.pipe(take(1)).subscribe();
  }
}
