import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatTooltipModule } from '@angular/material/tooltip';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { AceEditorModule } from 'ng2-ace-editor';
import { EditorActionsDirective, EditorWrapperComponent } from './editor-wrapper';
import { JsonEditorComponent } from './json-editor.component';

@NgModule({
  declarations: [JsonEditorComponent, EditorWrapperComponent, EditorActionsDirective],
  imports: [
    CommonModule,
    SentinelPipesModule,
    MatButtonModule,
    MatTooltipModule,
    AceEditorModule,
    ReactiveFormsModule,
    MatIconModule,
  ],
  exports: [JsonEditorComponent, EditorWrapperComponent, EditorActionsDirective],
})
export class JsonEditorModule {}
