import { Injectable } from '@angular/core';
import { ControlsService } from '@orion/shared-services';
import { SentinelControlItem } from '@sentinel/components/controls';
import { defer, of } from 'rxjs';
import { CreateEntityAssociationService } from './create-entity-association.service';

@Injectable()
export class AddEntityControlsService extends ControlsService {
  constructor(private addEntityService: CreateEntityAssociationService) {
    super();
    this.controls$ = of([
      new SentinelControlItem(
        'cancel',
        'Cancel',
        'warn',
        this.addEntityService.isSaving$,
        defer(() => this.addEntityService.cancel())
      ),
      new SentinelControlItem(
        'save',
        'Save',
        'primary',
        this.addEntityService.isSaving$,
        defer(() => this.addEntityService.save()),
        this.addEntityService.isSaving$
      ),
    ]);
  }
}
