import { Injectable } from '@angular/core';
import { ControlsService } from '@orion/shared-services';
import { SentinelControlItem } from '@sentinel/components/controls';
import { defer, of } from 'rxjs';
import { CreateAssociationViewStateService } from './create-association-view-state.service';

@Injectable()
export class RelatedEntityControlsService extends ControlsService {
  constructor(private viewStateService: CreateAssociationViewStateService) {
    super();
    this.controls$ = of([
      new SentinelControlItem(
        'ADD',
        'Add',
        'primary',
        of(false),
        defer(() => this.onAdd())
      ),
    ]);
  }

  private onAdd(): void {
    this.viewStateService.displayAddComponent();
  }
}
