import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { OrionTabsModule } from '@csirtmu-orion/microframework/tabs';
import { AssetsTabLabelComponent } from './assets-tab-label';
import { CasesTabLabelComponent } from './cases-tab-label';
import { EventsTabLabelComponent } from './events-tab-label';
import { LogsTabLabelComponent } from './logs-tab-label';
import { ObservablesTabLabelComponent } from './observables-tab-label';
import { OverviewTabLabelComponent } from './overview-tab-label';
import { TasksTabLabelComponent } from './tasks-tab-label';
import { ExternalReferencesTabLabelComponent } from './tickets-tab-label';
import { TTPsTabLabelComponent } from './ttps-tab-label';
import { RelatedUsersTabLabelComponent } from './victims-tab-label';

const components = [
  AssetsTabLabelComponent,
  EventsTabLabelComponent,
  ObservablesTabLabelComponent,
  OverviewTabLabelComponent,
  ExternalReferencesTabLabelComponent,
  TTPsTabLabelComponent,
  CasesTabLabelComponent,
  TasksTabLabelComponent,
  LogsTabLabelComponent,
  RelatedUsersTabLabelComponent,
];

@NgModule({
  declarations: [...components],
  imports: [CommonModule, OrionTabsModule],
  exports: [...components],
})
export class TabLabelsModule {}
