import { Injectable } from '@angular/core';
import { SentinelAuthService } from '@sentinel/auth';

const ID_TOKEN_STORAGE_KEY = 'id_token';

@Injectable({ providedIn: 'root' })
export class OrionLogoutService {
  constructor(private authService: SentinelAuthService) {}

  logout(): void {
    const idToken = localStorage.getItem(ID_TOKEN_STORAGE_KEY);
    localStorage.clear();
    localStorage.setItem(ID_TOKEN_STORAGE_KEY, idToken ?? '');
    // removes all data saved in local storage apart from id token, which is required
    // to generate id_token_hint for logout request to OIDC provider. It will be automatically
    // removed by the OIDC library
    this.authService.logout();
  }
}
