import { Injectable } from '@angular/core';
import { UserSettingsService } from './user-settings.service';
import { Observable } from 'rxjs';
import { distinctUntilChanged, map } from 'rxjs/operators';

@Injectable({
  providedIn: 'root',
})
export class FullWidthPageContentService {
  fullWidth$: Observable<boolean>;

  constructor(private userSettingsService: UserSettingsService) {
    this.fullWidth$ = this.userSettingsService.stateSubject$.asObservable().pipe(
      map((state) => state.fullWidthMode),
      distinctUntilChanged()
    );
  }
}
