import { Injectable } from '@angular/core';
import { CurrentUserFragment, CurrentUserService } from '@orion/user-services';
import { SentinelAuthorizationStrategy, User } from '@sentinel/auth';
import { Observable } from 'rxjs';
import { map } from 'rxjs/operators';

@Injectable()
export class OrionAuthorizationStrategyService extends SentinelAuthorizationStrategy {
  constructor(private userService: CurrentUserService) {
    super();
  }

  authorize(): Observable<User> {
    return this.userService.data$.pipe(map((user) => this.mapToUser(user)));
  }

  private mapToUser(user?: CurrentUserFragment): User {
    const authUser = new User([]);
    if (user) {
      authUser.id = user.id;
      authUser.name = user.name;
      authUser.pictureSrc = user.iconSrc;
    }
    return authUser;
  }
}
