import { ActivatedRouteSnapshot, Resolve, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';

export abstract class OrionIdBreadcrumbResolver implements Resolve<string> {
  protected abstract getIdParamSelector(): string;
  protected abstract toBreadcrumb(id: string): string;

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<string> | Promise<string> | string {
    const id = route.paramMap.get(this.getIdParamSelector());
    return id ? this.toBreadcrumb(id) : '';
  }
}
