import { Injectable } from '@angular/core';
import { Observable, timer } from 'rxjs';
import { map, shareReplay } from 'rxjs/operators';

@Injectable({ providedIn: 'root' })
export class TimeService {
  now$: Observable<Date>;
  today$: Observable<Date>;

  constructor() {
    this.now$ = timer(0, 60000).pipe(
      map(() => new Date()),
      shareReplay({ refCount: true })
    );
    this.today$ = this.now$.pipe(
      map((now) => {
        const date = new Date(now);
        date.setHours(0, 0, 0);
        return date;
      }),
      shareReplay({ refCount: true })
    );
  }
}
