import { Directive, HostListener } from '@angular/core';
import { Destroyable } from '@sentinel/common';
import { DeactivableComponent } from './deactivable-component';

@Directive()
export abstract class CanDeactivatePageDirective extends Destroyable() implements DeactivableComponent {
  @HostListener('window:beforeunload')
  canRefreshOrLeave(): boolean {
    return this.canDeactivate();
  }

  abstract canDeactivate(): boolean;
}
