import { Injectable } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';

@Injectable()
export class EntitySelectionService<Entity> {
  private selectedSubject$: BehaviorSubject<Entity[]> = new BehaviorSubject<Entity[]>([]);
  selected$: Observable<Entity[]> = this.selectedSubject$.asObservable();

  getSelected(): Entity[] {
    return this.selectedSubject$.getValue();
  }

  setSelected(entities: Entity[]): void {
    this.selectedSubject$.next(entities);
  }

  clear(): void {
    this.setSelected([]);
  }
}
