import { Injectable } from '@angular/core';
import { EntityAdditionEvent, EntityOperationEvent, EntitySetEvent } from '@sentinel/common/entity';

export abstract class EntityAssociationService<T> {
  protected currSelected: T[] = [];

  select(selected: T[]): void {
    this.currSelected = selected;
  }

  abstract save(): EntityOperationEvent<T>;
}

@Injectable()
export class EntitySetAssociationService<T> extends EntityAssociationService<T> {
  save(): EntitySetEvent<T> {
    const set = this.currSelected;
    this.currSelected = [];
    return { set: set };
  }
}

@Injectable()
export class EntityAddAssociationService<T> extends EntityAssociationService<T> {
  save(): EntityAdditionEvent<T> {
    const add = this.currSelected;
    this.currSelected = [];
    return {
      add: add,
    };
  }
}
