import { ApolloFilterableService, ApolloQueryServiceOptions } from '@csirtmu-orion/microframework/apollo-services';
import * as Apollo from 'apollo-angular';
import { DEFAULT_POLL_INTERVAL_OVERVIEW_PAGE } from '@orion/common';

export abstract class ApolloFilterablePollingService<
  Query,
  QueryVariables,
  Entity,
  ClientFilter,
  ApiFilter
> extends ApolloFilterableService<Query, QueryVariables, Entity, ClientFilter, ApiFilter> {
  protected constructor(
    getQuery: Apollo.Query<Query, QueryVariables>,
    operationName: string,
    options?: ApolloQueryServiceOptions
  ) {
    super(getQuery, operationName, { pollInterval: DEFAULT_POLL_INTERVAL_OVERVIEW_PAGE, ...options });
  }
}
