import { gql } from 'apollo-angular';

export type StageDetailTabsFragment = {
  __typename?: 'Stage';
  id: string;
  description: string;
  tasksIds?: { __typename?: 'TaskNestedList'; data: Array<{ __typename?: 'Task'; id: string }> } | undefined;
};

export type WorkflowDetailTabsFragment = {
  __typename?: 'Workflow';
  id: string;
  description: string;
  stagesWithTasksIds?:
    | {
        __typename?: 'StageNestedList';
        data: Array<{
          __typename?: 'Stage';
          tasksIds?: { __typename?: 'TaskNestedList'; data: Array<{ __typename?: 'Task'; id: string }> } | undefined;
        }>;
      }
    | undefined;
};

export const StageDetailTabsFragmentDoc = gql`
  fragment stageDetailTabs on Stage {
    id
    ...stageDetailOverviewTab
    tasksIds: tasks(limit: 1000) {
      data {
        id
      }
    }
  }
`;
export const WorkflowDetailTabsFragmentDoc = gql`
  fragment workflowDetailTabs on Workflow {
    id
    ...workflowDetailOverviewTab
    stagesWithTasksIds: stages(limit: 1000) {
      data {
        tasksIds: tasks(limit: 1000) {
          data {
            id
          }
        }
      }
    }
  }
`;
