import { ChangeDetectionStrategy, Component } from '@angular/core';
import {
  RelatedAssetFilterChipsService,
  RelatedAssetFilterService,
  RelatedAssetFragment,
  RelatedAssetService,
} from '@orion/asset-components/related-assets';
import { RelatedAssetClientFilter } from '@orion/asset-types';
import { EntityFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { StageOrWorkflowRelatedAssetFilterService } from './stage-or-workflow-related-asset-filter.service';

@Component({
  selector: 'orion-stage-or-workflow-related-assets',
  templateUrl: './stage-or-workflow-related-assets.component.html',
  styleUrls: ['./stage-or-workflow-related-assets.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    RelatedAssetService,
    RelatedAssetFilterChipsService,
    { provide: RelatedAssetFilterService, useClass: StageOrWorkflowRelatedAssetFilterService },
  ],
})
export class StageOrWorkflowRelatedAssetsComponent extends EntityFilterableSmartOverviewDirective<
  RelatedAssetFragment,
  RelatedAssetClientFilter
> {
  constructor(
    protected relatedAssetsService: RelatedAssetService,
    protected filterService: RelatedAssetFilterService,
    protected chipsService: RelatedAssetFilterChipsService
  ) {
    super(relatedAssetsService, filterService, chipsService);
  }
}
