import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap, Router } from '@angular/router';
import { RelatedObservableFilterService } from '@orion/observable-components/filters';
import { RelatedObservableClientFilter } from '@orion/observable-types';
import { Observable } from 'rxjs';
import { concatMap, map } from 'rxjs/operators';
import { StageOrWorkflowNestedTasksService } from '../stage-or-workflow-nested-tasks.service';

@Injectable()
export class StageOrWorkflowRelatedObservableFilterService extends RelatedObservableFilterService {
  constructor(
    protected router: Router,
    protected activatedRoute: ActivatedRoute,
    private nestedTasksService: StageOrWorkflowNestedTasksService
  ) {
    super(router, activatedRoute);
  }

  protected createFilterFromRoute(
    queryParamMap: ParamMap,
    paramMap: ParamMap
  ): Observable<RelatedObservableClientFilter> {
    return super.createFilterFromRoute(queryParamMap, paramMap).pipe(
      concatMap((filter) =>
        this.nestedTasksService.ids$.pipe(
          map((taskIds) => {
            filter.taskIds = taskIds;
            return filter;
          })
        )
      )
    );
  }
}
