import { ChangeDetectionStrategy, Component } from '@angular/core';
import {
  RelatedObservableFilterChipsService,
  RelatedObservableFilterService,
} from '@orion/observable-components/filters';
import { RelatedObservableFragment, RelatedObservableService } from '@orion/observable-components/related-observables';
import { RelatedObservableClientFilter } from '@orion/observable-types';
import { EntityFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { StageOrWorkflowRelatedObservableFilterService } from './stage-or-workflow-related-observable-filter.service';

@Component({
  selector: 'orion-stage-or-workflow-related-observables',
  templateUrl: './stage-or-workflow-related-observables.component.html',
  styleUrls: ['./stage-or-workflow-related-observables.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    RelatedObservableService,
    RelatedObservableFilterChipsService,
    { provide: RelatedObservableFilterService, useClass: StageOrWorkflowRelatedObservableFilterService },
  ],
})
export class StageOrWorkflowRelatedObservablesComponent extends EntityFilterableSmartOverviewDirective<
  RelatedObservableFragment,
  RelatedObservableClientFilter
> {
  constructor(
    protected relatedObservablesService: RelatedObservableService,
    protected filterService: RelatedObservableFilterService,
    protected chipsService: RelatedObservableFilterChipsService
  ) {
    super(relatedObservablesService, filterService, chipsService);
  }
}
