import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap, Router } from '@angular/router';
import { RelatedTTPsFilterService } from '@orion/ttps-components/filters-related-ttps';
import { RelatedTTPClientFilter } from '@orion/ttps-types';
import { Observable } from 'rxjs';
import { concatMap, map } from 'rxjs/operators';
import { StageOrWorkflowNestedTasksService } from '../stage-or-workflow-nested-tasks.service';

@Injectable()
export class StageOrWorkflowRelatedTTPsFilterService extends RelatedTTPsFilterService {
  constructor(
    protected router: Router,
    protected activatedRoute: ActivatedRoute,
    private nestedTasksService: StageOrWorkflowNestedTasksService
  ) {
    super(router, activatedRoute);
  }

  protected createFilterFromRoute(queryParamMap: ParamMap, paramMap: ParamMap): Observable<RelatedTTPClientFilter> {
    return super.createFilterFromRoute(queryParamMap, paramMap).pipe(
      concatMap((filter) =>
        this.nestedTasksService.ids$.pipe(
          map((taskIds) => {
            filter.taskIds = taskIds;
            return filter;
          })
        )
      )
    );
  }
}
