import { ChangeDetectionStrategy, Component } from '@angular/core';
import { RelatedTTPsFilterChipsService, RelatedTTPsFilterService } from '@orion/ttps-components/filters-related-ttps';
import { RelatedTtpFragment, RelatedTTPsService } from '@orion/ttps-components/related-ttps';
import { RelatedTTPClientFilter } from '@orion/ttps-types';
import { EntityFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { StageOrWorkflowRelatedTTPsFilterService } from './stage-or-workflow-related-ttps-filter.service';

@Component({
  selector: 'orion-stage-or-workflow-related-ttps',
  templateUrl: './stage-or-workflow-related-ttps.component.html',
  styleUrls: ['./stage-or-workflow-related-ttps.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    RelatedTTPsService,
    RelatedTTPsFilterChipsService,
    { provide: RelatedTTPsFilterService, useClass: StageOrWorkflowRelatedTTPsFilterService },
  ],
})
export class StageOrWorkflowRelatedTTPsComponent extends EntityFilterableSmartOverviewDirective<
  RelatedTtpFragment,
  RelatedTTPClientFilter
> {
  constructor(
    protected ttpsService: RelatedTTPsService,
    protected filterService: RelatedTTPsFilterService,
    protected chipsService: RelatedTTPsFilterChipsService
  ) {
    super(ttpsService, filterService, chipsService);
  }
}
