import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { StageOrWorkflowRelatedUsersFilterService } from './stage-or-workflow-related-users-filter.service';
import { RelatedUsersClientFilter } from '@orion/user-accounting-types';
import {
  RelatedUsersFilterService,
  RelatedUsersOverviewFragment,
  RelatedUsersOverviewService,
} from '@orion/user-accounting-components/related-users';

@Component({
  selector: 'orion-stage-or-workflow-related-users',
  templateUrl: './stage-or-workflow-related-users.component.html',
  styleUrls: ['./stage-or-workflow-related-users.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    RelatedUsersOverviewService,
    { provide: RelatedUsersFilterService, useClass: StageOrWorkflowRelatedUsersFilterService },
  ],
})
export class StageOrWorkflowRelatedUsersComponent extends EntityFilterableSmartOverviewDirective<
  RelatedUsersOverviewFragment,
  RelatedUsersClientFilter
> {
  constructor(
    protected userOverviewService: RelatedUsersOverviewService,
    protected filterService: RelatedUsersFilterService
  ) {
    super(userOverviewService, filterService);
  }
}
