import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type StageDetailMainContentFragment = {
  __typename?: 'Stage';
  id: string;
  created?: any | undefined;
  state: SchemaTypes.StageStateEnum;
  name: string;
  description: string;
  createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
  workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
  tasksIds?: { __typename?: 'TaskNestedList'; data: Array<{ __typename?: 'Task'; id: string }> } | undefined;
};

export type WorkflowDetailMainContentFragment = {
  __typename?: 'Workflow';
  id: string;
  created?: any | undefined;
  state: SchemaTypes.WorkflowStateEnum;
  name: string;
  description: string;
  createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
  case: {
    __typename?: 'Case';
    id: string;
    name: string;
    created?: any | undefined;
    createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
  };
  stagesWithTasksIds?:
    | {
        __typename?: 'StageNestedList';
        data: Array<{
          __typename?: 'Stage';
          tasksIds?: { __typename?: 'TaskNestedList'; data: Array<{ __typename?: 'Task'; id: string }> } | undefined;
        }>;
      }
    | undefined;
};

export const StageDetailMainContentFragmentDoc = gql`
  fragment stageDetailMainContent on Stage {
    id
    ...stageName
    created
    state
    createdBy {
      ...userNameAndIcon
    }
    ...stageDetailTabs
  }
`;
export const WorkflowDetailMainContentFragmentDoc = gql`
  fragment workflowDetailMainContent on Workflow {
    id
    ...workflowName
    created
    state
    createdBy {
      ...userNameAndIcon
    }
    ...workflowDetailTabs
  }
`;
