import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EditableEntityModule } from '@orion/shared-components/editable-entity';
import { EntityToolbarModule } from '@orion/shared-components/entity-toolbar';
import { TabLabelsModule } from '@orion/shared-components/tab-labels';
import { StageOrWorkflowStateModule } from '@orion/stage-workflow-shared-components/state';
import { EntityToolbarInfoModule } from '@orion/user-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionTabsModule } from '@csirtmu-orion/microframework/tabs';
import {
  StageOrWorkflowDetailTabsComponent,
  StageOrWorkflowExternalReferencesModule,
  StageOrWorkflowOverviewTabComponent,
  StageOrWorkflowRelatedAssetsModule,
  StageOrWorkflowRelatedEventsModule,
  StageOrWorkflowRelatedObservablesModule,
  StageOrWorkflowRelatedTTPsModule,
  StageOrWorkflowRelatedUsersModule,
} from './detail-tabs';
import { StageOrWorkflowDetailMainContentComponent } from './stage-or-workflow-detail-main-content.component';
import { AssignedTasksPanelModule } from '@orion/task-components/shared';

@NgModule({
  declarations: [
    StageOrWorkflowDetailMainContentComponent,
    StageOrWorkflowDetailTabsComponent,
    StageOrWorkflowOverviewTabComponent,
  ],
  imports: [
    CommonModule,
    SentinelPipesModule,
    EntityToolbarModule,
    StageOrWorkflowStateModule,
    EditableEntityModule,
    EntityToolbarInfoModule,
    OrionTabsModule,
    StageOrWorkflowRelatedTTPsModule,
    StageOrWorkflowExternalReferencesModule,
    StageOrWorkflowRelatedEventsModule,
    StageOrWorkflowRelatedAssetsModule,
    StageOrWorkflowRelatedObservablesModule,
    TabLabelsModule,
    StageOrWorkflowRelatedUsersModule,
    AssignedTasksPanelModule,
  ],
  exports: [StageOrWorkflowDetailMainContentComponent],
})
export class StageOrWorkflowDetailMainContentModule {}
