import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type StageDetailSidebarFragment = {
  __typename?: 'Stage';
  id: string;
  dueDate?: any | undefined;
  state: SchemaTypes.StageStateEnum;
  workflow: {
    __typename?: 'Workflow';
    id: string;
    name: string;
    created?: any | undefined;
    case: {
      __typename?: 'Case';
      id: string;
      name: string;
      created?: any | undefined;
      createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
    };
    createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
  };
  assignees?:
    | {
        __typename?: 'CaseDBUserNestedList';
        totalCount: number;
        data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
      }
    | undefined;
};

export type WorkflowDetailSidebarFragment = {
  __typename?: 'Workflow';
  id: string;
  dueDate?: any | undefined;
  state: SchemaTypes.WorkflowStateEnum;
  case: {
    __typename?: 'Case';
    id: string;
    name: string;
    created?: any | undefined;
    createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
  };
  assignees?:
    | {
        __typename?: 'CaseDBUserNestedList';
        totalCount: number;
        data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
      }
    | undefined;
};

export const StageDetailSidebarFragmentDoc = gql`
  fragment stageDetailSidebar on Stage {
    id
    dueDate
    state
    workflow {
      ...workflowName
      case {
        ...caseName
      }
    }
    assignees {
      data {
        ...userNameAndIcon
      }
      totalCount
    }
  }
`;
export const WorkflowDetailSidebarFragmentDoc = gql`
  fragment workflowDetailSidebar on Workflow {
    id
    dueDate
    state
    case {
      ...caseName
    }
    assignees {
      data {
        ...userNameAndIcon
      }
      totalCount
    }
  }
`;
