import { Pipe, PipeTransform } from '@angular/core';
import { StageStateEnum, WorkflowStateEnum } from '@orion/graphql-types';

@Pipe({
  name: 'stageOrWorkflowStateIcon',
})
export class StageOrWorkflowStateIconPipe implements PipeTransform {
  transform(state?: StageStateEnum | WorkflowStateEnum): string {
    if (state === undefined) {
      return '';
    }
    switch (state) {
      case StageStateEnum.DONE || WorkflowStateEnum.DONE: {
        return 'done';
      }
      case StageStateEnum.IN_PROGRESS || WorkflowStateEnum.IN_PROGRESS: {
        return 'hourglass_empty';
      }
      case StageStateEnum.REJECTED || WorkflowStateEnum.REJECTED: {
        return 'block';
      }
      case StageStateEnum.PENDING: {
        return 'pending_outlined';
      }
    }
    return '';
  }
}
