import { Pipe, PipeTransform } from '@angular/core';
import { StageStateEnum, WorkflowStateEnum } from '@orion/graphql-types';

@Pipe({
  name: 'stageOrWorkflowStateTooltip',
})
export class StageOrWorkflowTooltipPipe implements PipeTransform {
  transform(state?: StageStateEnum | WorkflowStateEnum, typename?: 'Stage' | 'Workflow'): string {
    if (state === undefined) {
      return '';
    }
    switch (state) {
      case StageStateEnum.DONE || WorkflowStateEnum.DONE: {
        return `${typename} is finished`;
      }
      case StageStateEnum.IN_PROGRESS || WorkflowStateEnum.IN_PROGRESS: {
        return `${typename} is in progress`;
      }
      case StageStateEnum.REJECTED || WorkflowStateEnum.REJECTED: {
        return `${typename} was rejected`;
      }
      case StageStateEnum.PENDING: {
        return 'Stage is waiting for predecessors to finish';
      }
    }
    return '';
  }
}
