import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityModifyPageDirective } from '@orion/shared-components/create-edit';
import { EntityModifyBaseService, ModifyEntityControlsService } from '@orion/shared-services';
import { CreateStageForm } from '@orion/stage-types';
import { CreateStageService } from './create-stage.service';

@Component({
  selector: 'orion-create-stage-page',
  templateUrl: './create-stage-page.component.html',
  styleUrls: ['./create-stage-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [{ provide: EntityModifyBaseService, useClass: CreateStageService }, ModifyEntityControlsService],
})
export class CreateStagePageComponent extends EntityModifyPageDirective<CreateStageForm> {
  constructor(
    protected modifyEntityService: EntityModifyBaseService<CreateStageForm>,
    protected controlsService: ModifyEntityControlsService
  ) {
    super(modifyEntityService, controlsService);
  }
}
