import { ChangeDetectionStrategy, Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { EntityFormModel } from '@orion/common';
import { CreateStageForm } from '@orion/stage-types';

@Component({
  selector: 'orion-create-stage-form',
  templateUrl: './create-stage-form.component.html',
  styleUrls: ['./create-stage-form.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CreateStageFormComponent implements OnChanges {
  @Input() form?: CreateStageForm;
  sharedFormGroup?: FormGroup<EntityFormModel>;

  ngOnChanges(changes: SimpleChanges): void {
    if ('form' in changes && this.form) {
      this.sharedFormGroup = this.form.formGroup;
    }
  }
}
