import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type CreateStageMutationVariables = SchemaTypes.Exact<{
  stage: SchemaTypes.StageCreate;
}>;

export type CreateStageMutation = { __typename?: 'Mutation'; createStage: { __typename?: 'CreateResult'; id: string } };

export const CreateStageDocument = gql`
  mutation createStage($stage: StageCreate!) {
    createStage(data: $stage) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class CreateStageMutationService extends Apollo.Mutation<CreateStageMutation, CreateStageMutationVariables> {
  document = CreateStageDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
