import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { StageDetailFragmentDoc } from './stage-detail.fragment.generated';
import { StageDetailMainContentFragmentDoc } from '../../../../stage-workflow-shared/components/detail-shared/graphql/stage-or-workflow-detail-main-content.fragment.generated';
import { StageNameFragmentDoc } from '../../shared/stage-name/stage-name.fragment.generated';
import { UserNameAndIconFragmentDoc } from '../../../../user/components/shared/graphql/user-icon.fragment.generated';
import { StageDetailTabsFragmentDoc } from '../../../../stage-workflow-shared/components/detail-shared/detail-tabs/stage-or-workflow-detail-tabs.generated';
import { StageDetailOverviewTabFragmentDoc } from '../../../../stage-workflow-shared/components/detail-shared/detail-tabs/overview-tab/stage-or-workflow-detail-overview-tab.fragment.generated';
import { StageTaskPanelFragmentDoc } from '../../panels/stage-tasks-panel/stage-task-panel.fragment.generated';
import { StageTasksOverviewFragmentDoc } from '../../panels/stage-tasks-panel/stage-tasks-overview/graphql/stage-tasks-overview.fragment.generated';
import { TaskOverviewElementFragmentDoc } from '../../../../task/components/overview/task-overview-element.fragment.generated';
import { TaskTableFragmentDoc } from '../../../../task/components/overview/task-table/task-table.fragment.generated';
import { TaskNameRowFragmentDoc } from '../../../../task/components/overview/task-table/task-name-row/task-name-row.fragment.generated';
import { TaskNameFragmentDoc } from '../../../../task/components/shared/task-name/graphql/task-name.fragment.generated';
import { LabelChipFragmentDoc } from '../../../../label/components/shared/label/label-chip.fragment.generated';
import { TaskStateFragmentDoc } from '../../../../task/components/shared/task-state/task-state.fragment.generated';
import { TaskFlagsFragmentDoc } from '../../../../task/components/shared/task-flags/task-flags.fragment.generated';
import { StageDetailSidebarFragmentDoc } from '../../../../stage-workflow-shared/components/detail-shared/stage-or-workflow-detail-sidebar/stage-or-workflow-detail-sidebar.fragment.generated';
import { WorkflowNameFragmentDoc } from '../../../../workflow/components/shared/workflow-name/workflow-name.fragment.generated';
import { CaseNameFragmentDoc } from '../../../../case/components/shared/case-name/case-name.fragment.generated';
import { Injectable } from '@angular/core';

export type GetStageDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetStageDetailQuery = {
  __typename?: 'Query';
  getStage?:
    | {
        __typename?: 'Stage';
        id: string;
        created?: any | undefined;
        state: SchemaTypes.StageStateEnum;
        name: string;
        progress: number;
        dueDate?: any | undefined;
        description: string;
        workflow: {
          __typename?: 'Workflow';
          id: string;
          name: string;
          created?: any | undefined;
          case: {
            __typename?: 'Case';
            id: string;
            name: string;
            created?: any | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
        };
        createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
        tasksAggregate?: { __typename?: 'TaskNestedList'; totalCount: number } | undefined;
        assignees?:
          | {
              __typename?: 'CaseDBUserNestedList';
              totalCount: number;
              data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
            }
          | undefined;
        tasksIds?: { __typename?: 'TaskNestedList'; data: Array<{ __typename?: 'Task'; id: string }> } | undefined;
        tasks?:
          | {
              __typename?: 'TaskNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'Task';
                dueDate?: any | undefined;
                lastUpdated?: any | undefined;
                state?: SchemaTypes.TaskStateEnum | undefined;
                isDecision?: boolean | undefined;
                decision?: boolean | undefined;
                autotrigger?: boolean | undefined;
                isAutomated?: boolean | undefined;
                aggregatesResults?: boolean | undefined;
                id: string;
                name: string;
                created?: any | undefined;
                stage: {
                  __typename?: 'Stage';
                  id: string;
                  workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                };
                assignees?:
                  | {
                      __typename?: 'CaseDBUserNestedList';
                      totalCount: number;
                      data: Array<{
                        __typename?: 'CaseDBUser';
                        id: string;
                        name: string;
                        iconSrc?: string | undefined;
                      }>;
                    }
                  | undefined;
                labels?:
                  | {
                      __typename?: 'LabelNestedList';
                      totalCount: number;
                      data: Array<{
                        __typename?: 'Label';
                        id: string;
                        name: string;
                        backgroundColor?: string | undefined;
                        textColor?: string | undefined;
                      }>;
                    }
                  | undefined;
                createdBy?:
                  | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                  | undefined;
              }>;
            }
          | undefined;
      }
    | undefined;
};

export type UpdateStageMutationVariables = SchemaTypes.Exact<{
  patch: SchemaTypes.StageUpdate;
  id: SchemaTypes.Scalars['ID'];
}>;

export type UpdateStageMutation = {
  __typename?: 'Mutation';
  updateStage: { __typename?: 'MutateResult'; id?: string | undefined };
};

export type RejectStageMutationVariables = SchemaTypes.Exact<{
  stageId: SchemaTypes.Scalars['ID'];
}>;

export type RejectStageMutation = {
  __typename?: 'Mutation';
  rejectStage: { __typename?: 'MutationResult'; id?: number | undefined };
};

export const GetStageDetailDocument = gql`
  query getStageDetail($id: ID!) {
    getStage(id: $id) {
      ...stageDetail
    }
  }
  ${StageDetailFragmentDoc}
  ${StageDetailMainContentFragmentDoc}
  ${StageNameFragmentDoc}
  ${UserNameAndIconFragmentDoc}
  ${StageDetailTabsFragmentDoc}
  ${StageDetailOverviewTabFragmentDoc}
  ${StageTaskPanelFragmentDoc}
  ${StageTasksOverviewFragmentDoc}
  ${TaskOverviewElementFragmentDoc}
  ${TaskTableFragmentDoc}
  ${TaskNameRowFragmentDoc}
  ${TaskNameFragmentDoc}
  ${LabelChipFragmentDoc}
  ${TaskStateFragmentDoc}
  ${TaskFlagsFragmentDoc}
  ${StageDetailSidebarFragmentDoc}
  ${WorkflowNameFragmentDoc}
  ${CaseNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetStageDetailQueryService extends Apollo.Query<GetStageDetailQuery, GetStageDetailQueryVariables> {
  document = GetStageDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateStageDocument = gql`
  mutation updateStage($patch: StageUpdate!, $id: ID!) {
    updateStage(data: $patch, id: $id) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateStageMutationService extends Apollo.Mutation<UpdateStageMutation, UpdateStageMutationVariables> {
  document = UpdateStageDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const RejectStageDocument = gql`
  mutation rejectStage($stageId: ID!) {
    rejectStage(stageId: $stageId) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class RejectStageMutationService extends Apollo.Mutation<RejectStageMutation, RejectStageMutationVariables> {
  document = RejectStageDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
