import { Injectable } from '@angular/core';
import { AssignedTasksFilterService } from '@orion/task-components/shared';
import { ActivatedRoute, ParamMap, Router } from '@angular/router';
import { CurrentUserService } from '@orion/user-services';
import { STAGE_PARAM_SELECTOR } from '@orion/case-paths';
import { Observable, of } from 'rxjs';

@Injectable()
export class StageAssignedTasksFilterService extends AssignedTasksFilterService {
  constructor(
    protected router: Router,
    protected activatedRoute: ActivatedRoute,
    protected currUserService: CurrentUserService
  ) {
    super(router, activatedRoute, currUserService);
  }

  protected getStageIds(paramMap: ParamMap): Observable<string[]> {
    const stageId = paramMap.get(STAGE_PARAM_SELECTOR);
    return stageId ? of([stageId]) : of([]);
  }
}
