import { Injectable } from '@angular/core';
import { StageStateEnum } from '@orion/graphql-types';
import {
  StageDetailMainContentFragment,
  StageOrWorkflowControlsService,
  WorkflowDetailMainContentFragment,
} from '@orion/stage-workflow-shared-components/detail';
import { SentinelControlItem } from '@sentinel/components/controls';
import { defer } from 'rxjs';
import { StageActionsService } from './stage-actions.service';

@Injectable()
export class StageControlsService extends StageOrWorkflowControlsService {
  constructor(private stageActionService: StageActionsService) {
    super();
  }

  protected createControls(
    stageOrWorkflow: StageDetailMainContentFragment | WorkflowDetailMainContentFragment
  ): SentinelControlItem[] {
    if (stageOrWorkflow.state === StageStateEnum.IN_PROGRESS || stageOrWorkflow.state === StageStateEnum.PENDING) {
      return [
        new SentinelControlItem(
          'REJECT_STAGE',
          'Reject',
          'primary',
          this.stageActionService.rejectInProgress$,
          defer(() => this.stageActionService.reject(stageOrWorkflow.id)),
          this.stageActionService.rejectInProgress$
        ),
      ];
    } else {
      return [];
    }
  }
}
