import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { Optional } from '@sentinel/common/utils';
import {
  GetStageDetailQuery,
  GetStageDetailQueryService,
  GetStageDetailQueryVariables,
  StageDetailFragment,
} from './graphql';
import { STAGE_PARAM_SELECTOR } from '@orion/case-paths';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';

@Injectable()
export class StageDetailService extends ApolloRoutedEntityService<
  GetStageDetailQuery,
  GetStageDetailQueryVariables,
  StageDetailFragment
> {
  constructor(public getQuery: GetStageDetailQueryService, protected activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching stage');
  }

  protected createVariables(id: string): GetStageDetailQueryVariables {
    return { id: id };
  }

  protected toFragment(queryRes: GetStageDetailQuery): Optional<StageDetailFragment> {
    return queryRes?.getStage;
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(STAGE_PARAM_SELECTOR);
  }
}
