import { Injectable } from '@angular/core';
import { StageUpdate } from '@orion/graphql-types';
import { namedOperations } from '@orion/named-operations';
import { ApolloEntityPatchService } from '@csirtmu-orion/microframework/apollo-services';
import { EntityUpdateEvent } from '@csirtmu-orion/microframework/graphql';
import { UpdateStageMutation, UpdateStageMutationService, UpdateStageMutationVariables } from './graphql';

@Injectable()
export class StagePatchService extends ApolloEntityPatchService<
  StageUpdate,
  UpdateStageMutation,
  UpdateStageMutationVariables
> {
  protected refetchQueriesNames = [namedOperations.Query.getStageDetail];

  constructor(protected patchMutation: UpdateStageMutationService) {
    super(patchMutation);
  }

  createVariables(vars: EntityUpdateEvent<StageUpdate>): UpdateStageMutationVariables {
    return vars;
  }
}
