import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { StageNameModule } from '@orion/stage-components/stage-name';
import { StageOrWorkflowStateModule } from '@orion/stage-workflow-shared-components/state';
import { UsersTableCellModule } from '@orion/user-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionDueDateModule } from '@csirtmu-orion/microframework/due-date';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { StageOverviewComponent } from './stage-overview.component';
import { StagesTableComponent } from './stages-table';

@NgModule({
  declarations: [StageOverviewComponent, StagesTableComponent],
  imports: [
    CommonModule,
    StageNameModule,
    SentinelTableModule,
    OrionDueDateModule,
    StageOrWorkflowStateModule,
    UsersTableCellModule,
    OrionTimeAgoModule,
    SentinelPipesModule,
  ],
  exports: [StageOverviewComponent],
})
export class StageOverviewModule {}
