import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type StageRowFragment = {
  __typename?: 'Stage';
  progress: number;
  dueDate?: any | undefined;
  state: SchemaTypes.StageStateEnum;
  lastUpdated?: any | undefined;
  id: string;
  name: string;
  created?: any | undefined;
  assignees?:
    | {
        __typename?: 'CaseDBUserNestedList';
        totalCount: number;
        data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
      }
    | undefined;
  workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
  createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
};

export const StageRowFragmentDoc = gql`
  fragment stageRow on Stage {
    progress
    dueDate
    state
    lastUpdated
    ...stageName
    assignees {
      data {
        ...userNameAndIcon
      }
      totalCount
    }
  }
`;
