import { ChangeDetectionStrategy, Component } from '@angular/core';
import { TimeService } from '@orion/shared/services/global';
import { EntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { Observable } from 'rxjs';
import { StageRowFragment } from './stage-row.fragment.generated';
import { StagesTable } from './stages-table';

@Component({
  selector: 'orion-stages-table',
  templateUrl: './stages-table.component.html',
  styleUrls: ['./stages-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class StagesTableComponent extends EntityTableDirective<StageRowFragment, StagesTable> {
  today$: Observable<Date>;

  constructor(private timeService: TimeService) {
    super();
    this.today$ = this.timeService.today$;
  }

  protected createTable(entities: StageRowFragment[]): StagesTable {
    return new StagesTable(entities);
  }
}
