import { Column, Row, SentinelTable } from '@sentinel/components/table';
import { StageRowFragment } from './stage-row.fragment.generated';

export class StagesTable extends SentinelTable<StageRowFragment> {
  constructor(stages: StageRowFragment[]) {
    const columns = [
      new Column('name', 'Name', false),
      new Column('dueDate', 'Due Date', false),
      new Column('assignees', 'Assignees', false),
      new Column('state', 'State', false),
      new Column('updated', 'Updated', false),
    ];
    const rows = stages.map((stage) => new Row(stage));
    super(rows, columns);
  }
}
