import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type ActiveStagesPanelFragment = {
  __typename?: 'Workflow';
  id: string;
  name: string;
  activeStages?:
    | {
        __typename?: 'StageNestedList';
        data: Array<{
          __typename?: 'Stage';
          state: SchemaTypes.StageStateEnum;
          id: string;
          name: string;
          progress: number;
          created?: any | undefined;
          tasksAggregate?: { __typename?: 'TaskNestedList'; totalCount: number } | undefined;
          workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
          createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
          tasks?:
            | {
                __typename?: 'TaskNestedList';
                totalCount: number;
                data: Array<{
                  __typename?: 'Task';
                  dueDate?: any | undefined;
                  lastUpdated?: any | undefined;
                  state?: SchemaTypes.TaskStateEnum | undefined;
                  isDecision?: boolean | undefined;
                  decision?: boolean | undefined;
                  autotrigger?: boolean | undefined;
                  isAutomated?: boolean | undefined;
                  aggregatesResults?: boolean | undefined;
                  id: string;
                  name: string;
                  created?: any | undefined;
                  stage: {
                    __typename?: 'Stage';
                    id: string;
                    workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                  };
                  assignees?:
                    | {
                        __typename?: 'CaseDBUserNestedList';
                        totalCount: number;
                        data: Array<{
                          __typename?: 'CaseDBUser';
                          id: string;
                          name: string;
                          iconSrc?: string | undefined;
                        }>;
                      }
                    | undefined;
                  labels?:
                    | {
                        __typename?: 'LabelNestedList';
                        totalCount: number;
                        data: Array<{
                          __typename?: 'Label';
                          id: string;
                          name: string;
                          backgroundColor?: string | undefined;
                          textColor?: string | undefined;
                        }>;
                      }
                    | undefined;
                  createdBy?:
                    | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                    | undefined;
                }>;
              }
            | undefined;
        }>;
      }
    | undefined;
};

export const ActiveStagesPanelFragmentDoc = gql`
  fragment activeStagesPanel on Workflow {
    id
    name
    activeStages: stages(
      filter: [{ AND: [{ OR: { state: { exact: IN_PROGRESS } } }] }]
      ordering: [{ o: STATE, desc: false }, { o: WEIGHT, desc: false }, { o: ID, desc: false }]
    ) {
      data {
        state
        ...stageTaskPanel
      }
    }
  }
`;
