import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatDividerModule } from '@angular/material/divider';
import { MatIconModule } from '@angular/material/icon';
import { ProgressModule } from '@orion/case-components/shared';
import { StageTaskPanelModule } from '@orion/stage-components/panels';
import { StageNameModule } from '@orion/stage-components/stage-name';
import { TasksOverviewModule } from '@orion/task-components/overview';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { ActiveStagesPanelComponent } from './active-stages-panel.component';
import { ActiveStagesProgressPipe } from './active-stages-progress.pipe';

@NgModule({
  declarations: [ActiveStagesPanelComponent, ActiveStagesProgressPipe],
  imports: [
    CommonModule,
    StageTaskPanelModule,
    ProgressModule,
    OrionPanelModule,
    OrionBadgeModule,
    MatIconModule,
    TasksOverviewModule,
    SentinelPipesModule,
    StageNameModule,
    MatDividerModule,
    SLetModule,
  ],
  exports: [ActiveStagesPanelComponent],
})
export class ActiveStagesPanelModule {}
