import { Pipe, PipeTransform } from '@angular/core';
import { StageTaskPanelFragment } from '@orion/stage-components/panels';

@Pipe({
  name: 'activeStagesProgress',
})
export class ActiveStagesProgressPipe implements PipeTransform {
  transform(stages?: StageTaskPanelFragment[]): number {
    if (!stages || stages.length === 0) {
      return 0;
    } else {
      const totalProgress =
        stages?.map((stage) => stage.progress ?? 0).reduce((progressA, progressB) => progressA + progressB) ?? 0;
      return totalProgress > 0 ? totalProgress / stages.length : 0;
    }
  }
}
