import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type StagePanelFragment = {
  __typename?: 'Workflow';
  id: string;
  name: string;
  progress: number;
  created?: any | undefined;
  stages?:
    | {
        __typename?: 'StageNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'Stage';
          progress: number;
          dueDate?: any | undefined;
          state: SchemaTypes.StageStateEnum;
          lastUpdated?: any | undefined;
          id: string;
          name: string;
          created?: any | undefined;
          assignees?:
            | {
                __typename?: 'CaseDBUserNestedList';
                totalCount: number;
                data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
              }
            | undefined;
          workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
          createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
        }>;
      }
    | undefined;
  case: {
    __typename?: 'Case';
    id: string;
    name: string;
    created?: any | undefined;
    createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
  };
  createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
};

export const StagePanelFragmentDoc = gql`
  fragment stagePanel on Workflow {
    id
    name
    progress
    ...workflowName
    stages(ordering: [{ o: STATE, desc: false }, { o: WEIGHT, desc: false }, { o: ID, desc: false }]) {
      data {
        ...stageOverviewElement
      }
      totalCount
    }
  }
`;
