import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatTooltipModule } from '@angular/material/tooltip';
import { ProgressModule } from '@orion/case-components/shared';

import { TasksOverviewModule } from '@orion/task-components/overview';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { StageTaskPanelComponent } from './stage-task-panel.component';
import { StageTasksOverviewComponent } from './stage-tasks-overview';

@NgModule({
  declarations: [StageTaskPanelComponent, StageTasksOverviewComponent],
  imports: [
    CommonModule,
    TasksOverviewModule,
    MatButtonModule,
    MatIconModule,
    SentinelPipesModule,
    OrionBadgeModule,
    SentinelControlsModule,
    OrionPanelModule,
    ProgressModule,
    SLetModule,
    MatTooltipModule,
  ],
  exports: [StageTaskPanelComponent],
})
export class StageTaskPanelModule {}
