import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type StageTasksOverviewFragment = {
  __typename?: 'Stage';
  id: string;
  workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
  tasks?:
    | {
        __typename?: 'TaskNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'Task';
          dueDate?: any | undefined;
          lastUpdated?: any | undefined;
          state?: SchemaTypes.TaskStateEnum | undefined;
          isDecision?: boolean | undefined;
          decision?: boolean | undefined;
          autotrigger?: boolean | undefined;
          isAutomated?: boolean | undefined;
          aggregatesResults?: boolean | undefined;
          id: string;
          name: string;
          created?: any | undefined;
          stage: {
            __typename?: 'Stage';
            id: string;
            workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
          };
          assignees?:
            | {
                __typename?: 'CaseDBUserNestedList';
                totalCount: number;
                data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
              }
            | undefined;
          labels?:
            | {
                __typename?: 'LabelNestedList';
                totalCount: number;
                data: Array<{
                  __typename?: 'Label';
                  id: string;
                  name: string;
                  backgroundColor?: string | undefined;
                  textColor?: string | undefined;
                }>;
              }
            | undefined;
          createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
        }>;
      }
    | undefined;
};

export const StageTasksOverviewFragmentDoc = gql`
  fragment stageTasksOverview on Stage {
    id
    workflow {
      id
      case {
        id
      }
    }
    tasks(ordering: [{ o: STATE, desc: false }, { o: WEIGHT, desc: false }, { o: ID, desc: false }]) {
      data {
        ...taskOverviewElement
      }
      totalCount
    }
  }
`;
