import { ChangeDetectionStrategy, Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { TaskOverviewElementFragment } from '@orion/task-components/overview';
import { StageTasksOverviewFragment } from './graphql';

@Component({
  selector: 'orion-stage-tasks-overview',
  templateUrl: './stage-tasks-overview.component.html',
  styleUrls: ['./stage-tasks-overview.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class StageTasksOverviewComponent implements OnChanges {
  @Input() stage?: StageTasksOverviewFragment;
  subTasks: TaskOverviewElementFragment[] = [];

  ngOnChanges(changes: SimpleChanges): void {
    if ('stage' in changes && this.stage?.tasks?.data) {
      this.subTasks = this.stage.tasks.data;
    }
  }
}
