import { Optional, Pipe, PipeTransform } from '@angular/core';
import { StageNavigator } from '@orion/stage-services';
import { StageNameFragment } from './stage-name.fragment.generated';

@Pipe({
  name: 'stageNavigator',
})
export class StageNavigatorPipe implements PipeTransform {
  constructor(@Optional() private routeResolver?: StageNavigator) {}

  transform(stage?: StageNameFragment): string | undefined {
    if (stage && this.routeResolver) {
      return this.routeResolver.toDetail(stage);
    } else {
      return undefined;
    }
  }
}
