import { Injectable } from '@angular/core';

import { STAGE_PARAM_SELECTOR } from '@orion/case-paths';
import { entityId, entityTitle } from '@orion/common';
import { OrionIdBreadcrumbResolver } from '@orion/shared/services/global';

@Injectable()
export class StageBreadcrumbResolver extends OrionIdBreadcrumbResolver {
  protected toBreadcrumb(id: string): string {
    return `Stage ${entityId(id)}`;
  }
  protected getIdParamSelector(): string {
    return STAGE_PARAM_SELECTOR;
  }
}

@Injectable()
export class StageTitleResolver extends OrionIdBreadcrumbResolver {
  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Stage');
  }
  protected getIdParamSelector(): string {
    return STAGE_PARAM_SELECTOR;
  }
}
