import { Injectable } from '@angular/core';
import { CASES_PATH, CREATE_STAGE_PATH, STAGE_PATH, WORKFLOW_PATH } from '@orion/case-paths';
import { toAuthPath } from '@orion/common';
import { StageNameFragment } from '@orion/stage-components/stage-name';
import { WorkflowNameFragment } from '@orion/workflow-components/workflow-name';

@Injectable()
export class StageNavigator {
  toDetail(stage?: StageNameFragment): string {
    return toAuthPath(
      `${CASES_PATH}/${stage?.workflow?.case?.id}/${WORKFLOW_PATH}/${stage?.workflow?.id}/${STAGE_PATH}/${stage?.id}`
    );
  }

  toCreate(workflow: WorkflowNameFragment): string {
    return toAuthPath(
      `${CASES_PATH}/${workflow.case?.id}/${WORKFLOW_PATH}/${workflow.id}/${STAGE_PATH}/${CREATE_STAGE_PATH}`
    );
  }
}
