import { StageCreate } from '@orion/graphql-types';
import { CreateStageData } from './create-stage-data';

export interface StageRefs {
  workflowId: string;
  authorId?: string;
}

export class CreateStageDTO implements StageCreate {
  workflow: string;
  name: string;
  description: string;
  createdBy?: string;

  constructor(data: CreateStageData, refs: StageRefs) {
    this.name = data.name;
    this.description = data.description;
    this.workflow = refs.workflowId;
    this.createdBy = refs.authorId;
  }
}
