import { FormGroup } from '@angular/forms';
import { defaultEntityControls, EntityFormModel } from '@orion/common';
import { BaseReactiveForm } from '@sentinel/common';
import { CreateStageData } from './create-stage-data';

export type CreateStageFormModel = EntityFormModel;

export class CreateStageForm extends BaseReactiveForm<CreateStageFormModel> {
  constructor() {
    const formGroup = new FormGroup<CreateStageFormModel>({
      ...defaultEntityControls(undefined, undefined, true),
    });
    super(formGroup);
  }

  getData(): CreateStageData {
    return {
      name: this.formGroup.controls.name.value,
      description: this.formGroup.controls.description.value,
    };
  }
}
