import { TaskRelationshipTypeEnum } from '@orion/graphql-types';
import { TaskListElementFragment } from '@orion/task-components/shared';

const BASE_TASK_PREDECESSOR_RELATIONSHIP_TYPES = [TaskRelationshipTypeEnum.ON_COMPLETION];

const TASK_WITH_AGGREGATOR_PREDECESSOR_RELATIONSHIP_TYPES = [TaskRelationshipTypeEnum.BLOCKED_BY];

const TASK_WITH_DECISION_PREDECESSOR_RELATIONSHIP_TYPES = [
  TaskRelationshipTypeEnum.ON_TRUE,
  TaskRelationshipTypeEnum.ON_FALSE,
];

export class PredecessorPossibleRelationshipResolver {
  static resolve(predecessor: TaskListElementFragment): TaskRelationshipTypeEnum[] {
    const relationships: TaskRelationshipTypeEnum[] = [];
    relationships.push(...BASE_TASK_PREDECESSOR_RELATIONSHIP_TYPES);
    if (predecessor.aggregatesResults) {
      relationships.push(...TASK_WITH_AGGREGATOR_PREDECESSOR_RELATIONSHIP_TYPES);
    }
    if (predecessor.isDecision) {
      relationships.push(...TASK_WITH_DECISION_PREDECESSOR_RELATIONSHIP_TYPES);
    }
    return relationships;
  }
}
