import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { TaskListElementFragment } from '@orion/task-components/shared';

@Component({
  selector: 'orion-task-predecessors-add',
  templateUrl: './task-predecessors-add.component.html',
  styleUrls: ['./task-predecessors-add.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TaskPredecessorsAddComponent {
  @Input() stageId?: string;
  @Input() exceptIds?: string[];
  @Output() predecessorAdded: EventEmitter<TaskListElementFragment> = new EventEmitter<TaskListElementFragment>();

  onPredecessorSelectionChange(selected: TaskListElementFragment): void {
    this.predecessorAdded.emit(selected);
  }
}
