import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatSelectModule } from '@angular/material/select';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { MatTooltipModule } from '@angular/material/tooltip';
import { CreateEditEntityModule } from '@orion/shared-components/create-edit';
import { EntityEditModule } from '@orion/shared-components/entity-edit';
import { TaskSelectionModule } from '@orion/task-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelMarkdownEditorModule } from '@sentinel/components/markdown-editor';
import {
  CreateTaskFormComponent,
  PredecessorPossibleRelationshipsPipe,
  TaskLinkPredecessorComponent,
  TaskPredecessorsAddComponent,
} from './create-task-form';
import { CreateTaskPageComponent } from './create-task-page.component';
import { IoValidationModule, TaskInputOutputEditModule } from '@orion/task-components/task-detail';
import { MatStepperModule } from '@angular/material/stepper';
import { STEPPER_GLOBAL_OPTIONS } from '@angular/cdk/stepper';

@NgModule({
  declarations: [
    CreateTaskPageComponent,
    CreateTaskFormComponent,
    TaskLinkPredecessorComponent,
    TaskPredecessorsAddComponent,
    PredecessorPossibleRelationshipsPipe,
  ],
  imports: [
    CommonModule,
    CreateEditEntityModule,
    SentinelPipesModule,
    EntityEditModule,
    MatFormFieldModule,
    MatSelectModule,
    ReactiveFormsModule,
    MatIconModule,
    MatButtonModule,
    MatInputModule,
    OrionCardModule,
    TaskSelectionModule,
    TaskInputOutputEditModule,
    MatCheckboxModule,
    SentinelMarkdownEditorModule,
    MatSlideToggleModule,
    IoValidationModule,
    MatTooltipModule,
    MatStepperModule,
  ],
  exports: [CreateTaskPageComponent],
  providers: [
    {
      provide: STEPPER_GLOBAL_OPTIONS,
      useValue: { displayDefaultIndicatorType: false },
    },
  ],
})
export class CreateTaskPageModule {}
