import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type CreateTaskMutationVariables = SchemaTypes.Exact<{
  task: SchemaTypes.TaskCreate;
  inputFile?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Upload']>;
}>;

export type CreateTaskMutation = {
  __typename?: 'Mutation';
  createTask: { __typename?: 'MutationResult'; id?: number | undefined };
};

export type CreateTaskParentlessMutationVariables = SchemaTypes.Exact<{
  task: SchemaTypes.TaskCreateParentless;
  inputFile?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Upload']>;
}>;

export type CreateTaskParentlessMutation = {
  __typename?: 'Mutation';
  createTaskParentless: { __typename?: 'MutationResult'; id?: number | undefined };
};

export const CreateTaskDocument = gql`
  mutation createTask($task: TaskCreate!, $inputFile: Upload) {
    createTask(task: $task, inputFile: $inputFile) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class CreateTaskMutationService extends Apollo.Mutation<CreateTaskMutation, CreateTaskMutationVariables> {
  document = CreateTaskDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const CreateTaskParentlessDocument = gql`
  mutation createTaskParentless($task: TaskCreateParentless!, $inputFile: Upload) {
    createTaskParentless(task: $task, inputFile: $inputFile) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class CreateTaskParentlessMutationService extends Apollo.Mutation<
  CreateTaskParentlessMutation,
  CreateTaskParentlessMutationVariables
> {
  document = CreateTaskParentlessDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
