import { Injectable } from '@angular/core';
import { BehaviorSubject, Observable, Subject } from 'rxjs';

@Injectable()
export class TaskFormStepperService {
  private previousSubject$: Subject<void> = new Subject<void>();
  previous$: Observable<void> = this.previousSubject$.asObservable();
  private nextSubject$: Subject<void> = new Subject<void>();
  next$: Observable<void> = this.nextSubject$.asObservable();
  private stepSubject$: BehaviorSubject<number> = new BehaviorSubject<number>(0);
  step$: Observable<number> = this.stepSubject$.asObservable();

  previous(): void {
    this.previousSubject$.next();
  }

  next(): void {
    this.nextSubject$.next();
  }

  setStep(step: number): void {
    this.stepSubject$.next(step);
  }
}
