import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { TaskDetailFragmentDoc } from './task-detail.fragment.generated';
import { TaskDetailMainContentFragmentDoc } from '../task-detail-main-content/task-detail-main-content.fragment.generated';
import { TaskNameFragmentDoc } from '../../shared/task-name/graphql/task-name.fragment.generated';
import { UserNameAndIconFragmentDoc } from '../../../../user/components/shared/graphql/user-icon.fragment.generated';
import { TaskStateFragmentDoc } from '../../shared/task-state/task-state.fragment.generated';
import { TaskToolbarFragmentDoc } from '../task-detail-main-content/task-toolbar/task-toolbar.fragment.generated';
import { TaskFlagsFragmentDoc } from '../../shared/task-flags/task-flags.fragment.generated';
import { TaskDetailTabsFragmentDoc } from '../task-detail-main-content/tabs/task-detail-tabs.fragment.generated';
import { TaskOverviewTabFragmentDoc } from '../task-detail-main-content/tabs/overview-tab/task-overview-tab.fragment.generated';
import { TaskInputOutputPanelFragmentDoc } from '../task-detail-main-content/tabs/overview-tab/graphql/task-input-output-panel.fragment.generated';
import { TaskInputOutputFragmentDoc } from '../task-detail-main-content/tabs/overview-tab/task-io-panels/task-input-output-panel/task-io/task-input-output-display/task-input-output-display.fragment.generated';
import { TaskReferencesPanelFragmentDoc } from '../task-detail-main-content/tabs/overview-tab/task-references-panel/task-references-panel.fragment.generated';
import { TaskReferenceTableElementFragmentDoc } from '../task-detail-main-content/tabs/overview-tab/task-references-panel/task-reference-table/task-reference-table.fragment.generated';
import { TaskPredecessorsPanelFragmentDoc } from '../task-detail-main-content/tabs/overview-tab/predecessors-panel/task-predecessors-panel.fragment.generated';
import { TaskRelationshipTableElementFragmentDoc } from '../task-detail-main-content/tabs/overview-tab/task-relationship-table/task-relationship-table.fragment.generated';
import { TaskSuccessorsPanelFragmentDoc } from '../task-detail-main-content/tabs/overview-tab/sucessors-panel/task-successors-panel.generated';
import { BlockedByTasksPanelFragmentDoc } from '../task-detail-main-content/tabs/overview-tab/blocked-by-panel/blocked-by-panel.fragment.generated';
import { BlockingTasksPanelFragmentDoc } from '../task-detail-main-content/tabs/overview-tab/blocking-panel/blocking-panel.fragment.generated';
import { TaskDetailSidebarFragmentDoc } from '../task-detail-sidebar/task-detail-sidebar.fragment.generated';
import { StageNameFragmentDoc } from '../../../../stage/components/shared/stage-name/stage-name.fragment.generated';
import { WorkflowNameFragmentDoc } from '../../../../workflow/components/shared/workflow-name/workflow-name.fragment.generated';
import { CaseNameFragmentDoc } from '../../../../case/components/shared/case-name/case-name.fragment.generated';
import { LabelChipFragmentDoc } from '../../../../label/components/shared/label/label-chip.fragment.generated';
import { Injectable } from '@angular/core';

export type GetTaskDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetTaskDetailQuery = {
  __typename?: 'Query';
  getTask?:
    | {
        __typename?: 'Task';
        description: string;
        id: string;
        decision?: boolean | undefined;
        state?: SchemaTypes.TaskStateEnum | undefined;
        isAutomated?: boolean | undefined;
        outputIsJoined?: boolean | undefined;
        aggregatesResults?: boolean | undefined;
        dueDate?: any | undefined;
        name: string;
        created?: any | undefined;
        isDecision?: boolean | undefined;
        autotrigger?: boolean | undefined;
        stage: {
          __typename?: 'Stage';
          id: string;
          name: string;
          created?: any | undefined;
          workflow: {
            __typename?: 'Workflow';
            id: string;
            name: string;
            created?: any | undefined;
            case: {
              __typename?: 'Case';
              id: string;
              name: string;
              created?: any | undefined;
              createdBy?:
                | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                | undefined;
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
        };
        assignees?:
          | {
              __typename?: 'CaseDBUserNestedList';
              totalCount: number;
              data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
            }
          | undefined;
        labels?:
          | {
              __typename?: 'LabelNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'Label';
                id: string;
                name: string;
                backgroundColor?: string | undefined;
                textColor?: string | undefined;
              }>;
            }
          | undefined;
        createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
        events?: { __typename?: 'EventNestedList'; totalCount: number } | undefined;
        externalReferences?:
          | { __typename?: 'CaseManagementExternalReferenceNestedList'; totalCount: number }
          | undefined;
        assets: {
          __typename?: 'AssetFederationBaseFederationResult';
          data: Array<
            | { __typename?: 'ASNType'; id: string }
            | { __typename?: 'AggregateType'; id: string }
            | { __typename?: 'CableType'; id: string }
            | { __typename?: 'CircuitTerminationType'; id: string }
            | { __typename?: 'CircuitType'; id: string }
            | { __typename?: 'CircuitTypeType'; id: string }
            | { __typename?: 'ClusterGroupType'; id: string }
            | { __typename?: 'ClusterType'; id: string }
            | { __typename?: 'ClusterTypeType'; id: string }
            | { __typename?: 'ConsolePortType'; id: string }
            | { __typename?: 'ConsoleServerPortType'; id: string }
            | { __typename?: 'DeviceBayType'; id: string }
            | { __typename?: 'DeviceRoleType'; id: string }
            | { __typename?: 'DeviceType'; id: string }
            | { __typename?: 'DeviceTypeType'; id: string }
            | { __typename?: 'FHRPGroupType'; id: string }
            | { __typename?: 'FrontPortType'; id: string }
            | { __typename?: 'IPAddressType'; id: string }
            | { __typename?: 'IPRangeType'; id: string }
            | { __typename?: 'InterfaceType'; id: string }
            | { __typename?: 'InventoryItemType'; id: string }
            | { __typename?: 'LocationType'; id: string }
            | { __typename?: 'ManufacturerType'; id: string }
            | { __typename?: 'PlatformType'; id: string }
            | { __typename?: 'PowerFeedType'; id: string }
            | { __typename?: 'PowerOutletType'; id: string }
            | { __typename?: 'PowerPanelType'; id: string }
            | { __typename?: 'PowerPortType'; id: string }
            | { __typename?: 'PrefixType'; id: string }
            | { __typename?: 'ProviderNetworkType'; id: string }
            | { __typename?: 'ProviderType'; id: string }
            | { __typename?: 'RIRType'; id: string }
            | { __typename?: 'RackReservationType'; id: string }
            | { __typename?: 'RackRoleType'; id: string }
            | { __typename?: 'RackType'; id: string }
            | { __typename?: 'RearPortType'; id: string }
            | { __typename?: 'RegionType'; id: string }
            | { __typename?: 'RoleType'; id: string }
            | { __typename?: 'RouteTargetType'; id: string }
            | { __typename?: 'ServiceType'; id: string }
            | { __typename?: 'SiteGroupType'; id: string }
            | { __typename?: 'SiteType'; id: string }
            | { __typename?: 'TenantGroupType'; id: string }
            | { __typename?: 'TenantType'; id: string }
            | { __typename?: 'VLANGroupType'; id: string }
            | { __typename?: 'VLANType'; id: string }
            | { __typename?: 'VMInterfaceType'; id: string }
            | { __typename?: 'VRFType'; id: string }
            | { __typename?: 'VirtualChassisType'; id: string }
            | { __typename?: 'VirtualMachineType'; id: string }
            | { __typename?: 'WirelessLanGroupType'; id: string }
            | { __typename?: 'WirelessLanType'; id: string }
            | { __typename?: 'WirelessLinkType'; id: string }
          >;
        };
        ttps: {
          __typename?: 'TTPFederationBaseFederationResult';
          data: Array<
            | { __typename?: 'GroupProcedure'; id: string }
            | { __typename?: 'MalwareProcedure'; id: string }
            | { __typename?: 'Tactic'; id: string }
            | { __typename?: 'Technique'; id: string }
            | { __typename?: 'ToolProcedure'; id: string }
          >;
        };
        observables: {
          __typename?: 'ObservableFederationBaseFederationResult';
          data: Array<
            | { __typename?: 'DomainName'; id: string }
            | { __typename?: 'DomainToDomainResolution'; id: string }
            | { __typename?: 'DomainToIPAddressResolution'; id: string }
            | { __typename?: 'EmailAddress'; id: string }
            | { __typename?: 'EmailMessage'; id: string }
            | { __typename?: 'FileReference'; id: string }
            | { __typename?: 'IPAddress'; id: string }
            | { __typename?: 'IPAddressToDomainResolution'; id: string }
            | { __typename?: 'URL'; id: string }
          >;
        };
        relatedUsers: {
          __typename?: 'RelatedUserFederatedTypeFederationResult';
          data: Array<{ __typename?: 'RelatedUserFederatedType'; id: string }>;
        };
        input?:
          | {
              __typename?: 'BaseTaskInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | {
              __typename?: 'BoolInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | {
              __typename?: 'DateInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
              dateValue?: any | undefined;
            }
          | {
              __typename?: 'DateTimeInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
              datetimeValue?: any | undefined;
            }
          | {
              __typename?: 'DomainInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | {
              __typename?: 'EmailAddressInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | {
              __typename?: 'EmailMessageInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | {
              __typename?: 'FileInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | {
              __typename?: 'FileRefInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | {
              __typename?: 'HashInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | {
              __typename?: 'IPInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | {
              __typename?: 'JSONInputOutput';
              jsonFormlySchema?: string | undefined;
              jsonInitialValue?: string | undefined;
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
              validation?: string | undefined;
            }
          | {
              __typename?: 'StringInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
              validation?: string | undefined;
            }
          | {
              __typename?: 'URLInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | undefined;
        output?:
          | {
              __typename?: 'BaseTaskInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | {
              __typename?: 'BoolInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | {
              __typename?: 'DateInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
              dateValue?: any | undefined;
            }
          | {
              __typename?: 'DateTimeInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
              datetimeValue?: any | undefined;
            }
          | {
              __typename?: 'DomainInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | {
              __typename?: 'EmailAddressInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | {
              __typename?: 'EmailMessageInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | {
              __typename?: 'FileInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | {
              __typename?: 'FileRefInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | {
              __typename?: 'HashInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | {
              __typename?: 'IPInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | {
              __typename?: 'JSONInputOutput';
              jsonFormlySchema?: string | undefined;
              jsonInitialValue?: string | undefined;
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
              validation?: string | undefined;
            }
          | {
              __typename?: 'StringInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
              validation?: string | undefined;
            }
          | {
              __typename?: 'URLInputOutput';
              id: string;
              stringifiedValue?: string | undefined;
              type?: string | undefined;
              description?: string | undefined;
            }
          | undefined;
        referencedBy?:
          | {
              __typename?: 'TaskReferenceNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'TaskReference';
                id: string;
                relationshipType: SchemaTypes.TaskReferenceTypeEnum;
                source: {
                  __typename?: 'Task';
                  id: string;
                  name: string;
                  created?: any | undefined;
                  state?: SchemaTypes.TaskStateEnum | undefined;
                  isDecision?: boolean | undefined;
                  decision?: boolean | undefined;
                  autotrigger?: boolean | undefined;
                  isAutomated?: boolean | undefined;
                  aggregatesResults?: boolean | undefined;
                  stage: {
                    __typename?: 'Stage';
                    id: string;
                    workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                  };
                  createdBy?:
                    | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                    | undefined;
                };
                target: {
                  __typename?: 'Task';
                  id: string;
                  name: string;
                  created?: any | undefined;
                  state?: SchemaTypes.TaskStateEnum | undefined;
                  isDecision?: boolean | undefined;
                  decision?: boolean | undefined;
                  autotrigger?: boolean | undefined;
                  isAutomated?: boolean | undefined;
                  aggregatesResults?: boolean | undefined;
                  stage: {
                    __typename?: 'Stage';
                    id: string;
                    workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                  };
                  createdBy?:
                    | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                    | undefined;
                };
              }>;
            }
          | undefined;
        refersTo?:
          | {
              __typename?: 'TaskReferenceNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'TaskReference';
                id: string;
                relationshipType: SchemaTypes.TaskReferenceTypeEnum;
                source: {
                  __typename?: 'Task';
                  id: string;
                  name: string;
                  created?: any | undefined;
                  state?: SchemaTypes.TaskStateEnum | undefined;
                  isDecision?: boolean | undefined;
                  decision?: boolean | undefined;
                  autotrigger?: boolean | undefined;
                  isAutomated?: boolean | undefined;
                  aggregatesResults?: boolean | undefined;
                  stage: {
                    __typename?: 'Stage';
                    id: string;
                    workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                  };
                  createdBy?:
                    | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                    | undefined;
                };
                target: {
                  __typename?: 'Task';
                  id: string;
                  name: string;
                  created?: any | undefined;
                  state?: SchemaTypes.TaskStateEnum | undefined;
                  isDecision?: boolean | undefined;
                  decision?: boolean | undefined;
                  autotrigger?: boolean | undefined;
                  isAutomated?: boolean | undefined;
                  aggregatesResults?: boolean | undefined;
                  stage: {
                    __typename?: 'Stage';
                    id: string;
                    workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                  };
                  createdBy?:
                    | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                    | undefined;
                };
              }>;
            }
          | undefined;
        targetRelationships?:
          | {
              __typename?: 'TaskRelationshipNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'TaskRelationship';
                id: string;
                relationshipType: SchemaTypes.TaskRelationshipTypeEnum;
                source: {
                  __typename?: 'Task';
                  id: string;
                  name: string;
                  created?: any | undefined;
                  state?: SchemaTypes.TaskStateEnum | undefined;
                  isDecision?: boolean | undefined;
                  decision?: boolean | undefined;
                  autotrigger?: boolean | undefined;
                  isAutomated?: boolean | undefined;
                  aggregatesResults?: boolean | undefined;
                  stage: {
                    __typename?: 'Stage';
                    id: string;
                    workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                  };
                  createdBy?:
                    | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                    | undefined;
                };
                target: {
                  __typename?: 'Task';
                  id: string;
                  name: string;
                  created?: any | undefined;
                  state?: SchemaTypes.TaskStateEnum | undefined;
                  isDecision?: boolean | undefined;
                  decision?: boolean | undefined;
                  autotrigger?: boolean | undefined;
                  isAutomated?: boolean | undefined;
                  aggregatesResults?: boolean | undefined;
                  stage: {
                    __typename?: 'Stage';
                    id: string;
                    workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                  };
                  createdBy?:
                    | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                    | undefined;
                };
              }>;
            }
          | undefined;
        sourceRelationships?:
          | {
              __typename?: 'TaskRelationshipNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'TaskRelationship';
                id: string;
                relationshipType: SchemaTypes.TaskRelationshipTypeEnum;
                source: {
                  __typename?: 'Task';
                  id: string;
                  name: string;
                  created?: any | undefined;
                  state?: SchemaTypes.TaskStateEnum | undefined;
                  isDecision?: boolean | undefined;
                  decision?: boolean | undefined;
                  autotrigger?: boolean | undefined;
                  isAutomated?: boolean | undefined;
                  aggregatesResults?: boolean | undefined;
                  stage: {
                    __typename?: 'Stage';
                    id: string;
                    workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                  };
                  createdBy?:
                    | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                    | undefined;
                };
                target: {
                  __typename?: 'Task';
                  id: string;
                  name: string;
                  created?: any | undefined;
                  state?: SchemaTypes.TaskStateEnum | undefined;
                  isDecision?: boolean | undefined;
                  decision?: boolean | undefined;
                  autotrigger?: boolean | undefined;
                  isAutomated?: boolean | undefined;
                  aggregatesResults?: boolean | undefined;
                  stage: {
                    __typename?: 'Stage';
                    id: string;
                    workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                  };
                  createdBy?:
                    | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                    | undefined;
                };
              }>;
            }
          | undefined;
        blockedSourceRelationship?:
          | {
              __typename?: 'TaskRelationshipNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'TaskRelationship';
                id: string;
                relationshipType: SchemaTypes.TaskRelationshipTypeEnum;
                source: {
                  __typename?: 'Task';
                  id: string;
                  name: string;
                  created?: any | undefined;
                  state?: SchemaTypes.TaskStateEnum | undefined;
                  isDecision?: boolean | undefined;
                  decision?: boolean | undefined;
                  autotrigger?: boolean | undefined;
                  isAutomated?: boolean | undefined;
                  aggregatesResults?: boolean | undefined;
                  stage: {
                    __typename?: 'Stage';
                    id: string;
                    workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                  };
                  createdBy?:
                    | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                    | undefined;
                };
                target: {
                  __typename?: 'Task';
                  id: string;
                  name: string;
                  created?: any | undefined;
                  state?: SchemaTypes.TaskStateEnum | undefined;
                  isDecision?: boolean | undefined;
                  decision?: boolean | undefined;
                  autotrigger?: boolean | undefined;
                  isAutomated?: boolean | undefined;
                  aggregatesResults?: boolean | undefined;
                  stage: {
                    __typename?: 'Stage';
                    id: string;
                    workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                  };
                  createdBy?:
                    | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                    | undefined;
                };
              }>;
            }
          | undefined;
        blockedTargetRelationship?:
          | {
              __typename?: 'TaskRelationshipNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'TaskRelationship';
                id: string;
                relationshipType: SchemaTypes.TaskRelationshipTypeEnum;
                source: {
                  __typename?: 'Task';
                  id: string;
                  name: string;
                  created?: any | undefined;
                  state?: SchemaTypes.TaskStateEnum | undefined;
                  isDecision?: boolean | undefined;
                  decision?: boolean | undefined;
                  autotrigger?: boolean | undefined;
                  isAutomated?: boolean | undefined;
                  aggregatesResults?: boolean | undefined;
                  stage: {
                    __typename?: 'Stage';
                    id: string;
                    workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                  };
                  createdBy?:
                    | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                    | undefined;
                };
                target: {
                  __typename?: 'Task';
                  id: string;
                  name: string;
                  created?: any | undefined;
                  state?: SchemaTypes.TaskStateEnum | undefined;
                  isDecision?: boolean | undefined;
                  decision?: boolean | undefined;
                  autotrigger?: boolean | undefined;
                  isAutomated?: boolean | undefined;
                  aggregatesResults?: boolean | undefined;
                  stage: {
                    __typename?: 'Stage';
                    id: string;
                    workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                  };
                  createdBy?:
                    | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                    | undefined;
                };
              }>;
            }
          | undefined;
      }
    | undefined;
};

export type UpdateTaskMutationVariables = SchemaTypes.Exact<{
  patch: SchemaTypes.TaskUpdate;
  id: SchemaTypes.Scalars['ID'];
}>;

export type UpdateTaskMutation = {
  __typename?: 'Mutation';
  updateTask: { __typename?: 'MutateResult'; id?: string | undefined };
};

export type RejectTaskMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type RejectTaskMutation = {
  __typename?: 'Mutation';
  rejectTask: { __typename?: 'MutationResult'; id?: number | undefined };
};

export type ResolveTaskMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type ResolveTaskMutation = {
  __typename?: 'Mutation';
  resolveTask: { __typename?: 'MutationResult'; id?: number | undefined };
};

export type ResolveTaskWithDecisionMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
  decision: SchemaTypes.Scalars['Boolean'];
}>;

export type ResolveTaskWithDecisionMutation = {
  __typename?: 'Mutation';
  resolveTaskWithDecision: { __typename?: 'MutationResult'; id?: number | undefined };
};

export type UpdateOutputFromBlockingTasksMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type UpdateOutputFromBlockingTasksMutation = {
  __typename?: 'Mutation';
  updateOutputFromBlockingTasks: { __typename?: 'MutationResult'; id?: number | undefined };
};

export type TriggerTaskMutationVariables = SchemaTypes.Exact<{
  taskId: SchemaTypes.Scalars['ID'];
}>;

export type TriggerTaskMutation = { __typename?: 'Mutation'; triggerTask: string };

export const GetTaskDetailDocument = gql`
  query getTaskDetail($id: ID!) {
    getTask(id: $id) {
      ...taskDetail
    }
  }
  ${TaskDetailFragmentDoc}
  ${TaskDetailMainContentFragmentDoc}
  ${TaskNameFragmentDoc}
  ${UserNameAndIconFragmentDoc}
  ${TaskStateFragmentDoc}
  ${TaskToolbarFragmentDoc}
  ${TaskFlagsFragmentDoc}
  ${TaskDetailTabsFragmentDoc}
  ${TaskOverviewTabFragmentDoc}
  ${TaskInputOutputPanelFragmentDoc}
  ${TaskInputOutputFragmentDoc}
  ${TaskReferencesPanelFragmentDoc}
  ${TaskReferenceTableElementFragmentDoc}
  ${TaskPredecessorsPanelFragmentDoc}
  ${TaskRelationshipTableElementFragmentDoc}
  ${TaskSuccessorsPanelFragmentDoc}
  ${BlockedByTasksPanelFragmentDoc}
  ${BlockingTasksPanelFragmentDoc}
  ${TaskDetailSidebarFragmentDoc}
  ${StageNameFragmentDoc}
  ${WorkflowNameFragmentDoc}
  ${CaseNameFragmentDoc}
  ${LabelChipFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetTaskDetailQueryService extends Apollo.Query<GetTaskDetailQuery, GetTaskDetailQueryVariables> {
  document = GetTaskDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateTaskDocument = gql`
  mutation updateTask($patch: TaskUpdate!, $id: ID!) {
    updateTask(data: $patch, id: $id) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateTaskMutationService extends Apollo.Mutation<UpdateTaskMutation, UpdateTaskMutationVariables> {
  document = UpdateTaskDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const RejectTaskDocument = gql`
  mutation rejectTask($id: ID!) {
    rejectTask(taskId: $id) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class RejectTaskMutationService extends Apollo.Mutation<RejectTaskMutation, RejectTaskMutationVariables> {
  document = RejectTaskDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const ResolveTaskDocument = gql`
  mutation resolveTask($id: ID!) {
    resolveTask(taskId: $id) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class ResolveTaskMutationService extends Apollo.Mutation<ResolveTaskMutation, ResolveTaskMutationVariables> {
  document = ResolveTaskDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const ResolveTaskWithDecisionDocument = gql`
  mutation resolveTaskWithDecision($id: ID!, $decision: Boolean!) {
    resolveTaskWithDecision(taskId: $id, decision: $decision) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class ResolveTaskWithDecisionMutationService extends Apollo.Mutation<
  ResolveTaskWithDecisionMutation,
  ResolveTaskWithDecisionMutationVariables
> {
  document = ResolveTaskWithDecisionDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateOutputFromBlockingTasksDocument = gql`
  mutation updateOutputFromBlockingTasks($id: ID!) {
    updateOutputFromBlockingTasks(id: $id) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateOutputFromBlockingTasksMutationService extends Apollo.Mutation<
  UpdateOutputFromBlockingTasksMutation,
  UpdateOutputFromBlockingTasksMutationVariables
> {
  document = UpdateOutputFromBlockingTasksDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const TriggerTaskDocument = gql`
  mutation triggerTask($taskId: ID!) {
    triggerTask(taskId: $taskId)
  }
`;

@Injectable({
  providedIn: 'root',
})
export class TriggerTaskMutationService extends Apollo.Mutation<TriggerTaskMutation, TriggerTaskMutationVariables> {
  document = TriggerTaskDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
