import * as SchemaTypes from '../../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type UpdateBoolIoMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
  data: SchemaTypes.BoolInputOutputUpdate;
}>;

export type UpdateBoolIoMutation = {
  __typename?: 'Mutation';
  updateBoolInputOutput: { __typename?: 'MutateResult'; id?: string | undefined };
};

export type UpdateDateIoMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
  data: SchemaTypes.DateInputOutputUpdate;
}>;

export type UpdateDateIoMutation = {
  __typename?: 'Mutation';
  updateDateInputOutput: { __typename?: 'MutateResult'; id?: string | undefined };
};

export type UpdateDateTimeIoMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
  data: SchemaTypes.DateTimeInputOutputUpdate;
}>;

export type UpdateDateTimeIoMutation = {
  __typename?: 'Mutation';
  updateDateTimeInputOutput: { __typename?: 'MutateResult'; id?: string | undefined };
};

export type UpdateDomainIoMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
  data: SchemaTypes.DomainInputOutputUpdate;
}>;

export type UpdateDomainIoMutation = {
  __typename?: 'Mutation';
  updateDomainInputOutput: { __typename?: 'MutateResult'; id?: string | undefined };
};

export type UpdateEmailAddressIoMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
  data: SchemaTypes.EmailAddressInputOutputUpdate;
}>;

export type UpdateEmailAddressIoMutation = {
  __typename?: 'Mutation';
  updateEmailAddressInputOutput: { __typename?: 'MutateResult'; id?: string | undefined };
};

export type UpdateEmailMessageIoMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
  data: SchemaTypes.EmailMessageInputOutputUpdate;
}>;

export type UpdateEmailMessageIoMutation = {
  __typename?: 'Mutation';
  updateEmailMessageInputOutput: { __typename?: 'MutateResult'; id?: string | undefined };
};

export type UpdateFileIoMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
  data: SchemaTypes.FileInputOutputUpdate;
}>;

export type UpdateFileIoMutation = {
  __typename?: 'Mutation';
  updateFileInputOutput: { __typename?: 'MutateResult'; id?: string | undefined };
};

export type UpdateFileRefIoMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
  data: SchemaTypes.FileRefInputOutputUpdate;
}>;

export type UpdateFileRefIoMutation = {
  __typename?: 'Mutation';
  updateFileRefInputOutput: { __typename?: 'MutateResult'; id?: string | undefined };
};

export type UpdateHashIoMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
  data: SchemaTypes.HashInputOutputUpdate;
}>;

export type UpdateHashIoMutation = {
  __typename?: 'Mutation';
  updateHashInputOutput: { __typename?: 'MutateResult'; id?: string | undefined };
};

export type UpdateIpioMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
  data: SchemaTypes.IpInputOutputUpdate;
}>;

export type UpdateIpioMutation = {
  __typename?: 'Mutation';
  updateIpInputOutput: { __typename?: 'MutateResult'; id?: string | undefined };
};

export type UpdateJsonIoMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
  data: SchemaTypes.JsonInputOutputUpdate;
}>;

export type UpdateJsonIoMutation = {
  __typename?: 'Mutation';
  updateJsonInputOutput: { __typename?: 'MutateResult'; id?: string | undefined };
};

export type UpdateStringIoMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
  data: SchemaTypes.StringInputOutputUpdate;
}>;

export type UpdateStringIoMutation = {
  __typename?: 'Mutation';
  updateStringInputOutput: { __typename?: 'MutateResult'; id?: string | undefined };
};

export type UpdateUrlIoMutationVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
  data: SchemaTypes.UrlInputOutputUpdate;
}>;

export type UpdateUrlIoMutation = {
  __typename?: 'Mutation';
  updateUrlInputOutput: { __typename?: 'MutateResult'; id?: string | undefined };
};

export const UpdateBoolIoDocument = gql`
  mutation updateBoolIO($id: ID!, $data: BoolInputOutputUpdate!) {
    updateBoolInputOutput(id: $id, data: $data) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateBoolIoMutationService extends Apollo.Mutation<UpdateBoolIoMutation, UpdateBoolIoMutationVariables> {
  document = UpdateBoolIoDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateDateIoDocument = gql`
  mutation updateDateIO($id: ID!, $data: DateInputOutputUpdate!) {
    updateDateInputOutput(id: $id, data: $data) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateDateIoMutationService extends Apollo.Mutation<UpdateDateIoMutation, UpdateDateIoMutationVariables> {
  document = UpdateDateIoDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateDateTimeIoDocument = gql`
  mutation updateDateTimeIO($id: ID!, $data: DateTimeInputOutputUpdate!) {
    updateDateTimeInputOutput(id: $id, data: $data) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateDateTimeIoMutationService extends Apollo.Mutation<
  UpdateDateTimeIoMutation,
  UpdateDateTimeIoMutationVariables
> {
  document = UpdateDateTimeIoDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateDomainIoDocument = gql`
  mutation updateDomainIO($id: ID!, $data: DomainInputOutputUpdate!) {
    updateDomainInputOutput(id: $id, data: $data) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateDomainIoMutationService extends Apollo.Mutation<
  UpdateDomainIoMutation,
  UpdateDomainIoMutationVariables
> {
  document = UpdateDomainIoDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateEmailAddressIoDocument = gql`
  mutation updateEmailAddressIO($id: ID!, $data: EmailAddressInputOutputUpdate!) {
    updateEmailAddressInputOutput(id: $id, data: $data) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateEmailAddressIoMutationService extends Apollo.Mutation<
  UpdateEmailAddressIoMutation,
  UpdateEmailAddressIoMutationVariables
> {
  document = UpdateEmailAddressIoDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateEmailMessageIoDocument = gql`
  mutation updateEmailMessageIO($id: ID!, $data: EmailMessageInputOutputUpdate!) {
    updateEmailMessageInputOutput(id: $id, data: $data) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateEmailMessageIoMutationService extends Apollo.Mutation<
  UpdateEmailMessageIoMutation,
  UpdateEmailMessageIoMutationVariables
> {
  document = UpdateEmailMessageIoDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateFileIoDocument = gql`
  mutation updateFileIO($id: ID!, $data: FileInputOutputUpdate!) {
    updateFileInputOutput(id: $id, data: $data) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateFileIoMutationService extends Apollo.Mutation<UpdateFileIoMutation, UpdateFileIoMutationVariables> {
  document = UpdateFileIoDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateFileRefIoDocument = gql`
  mutation updateFileRefIO($id: ID!, $data: FileRefInputOutputUpdate!) {
    updateFileRefInputOutput(id: $id, data: $data) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateFileRefIoMutationService extends Apollo.Mutation<
  UpdateFileRefIoMutation,
  UpdateFileRefIoMutationVariables
> {
  document = UpdateFileRefIoDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateHashIoDocument = gql`
  mutation updateHashIO($id: ID!, $data: HashInputOutputUpdate!) {
    updateHashInputOutput(id: $id, data: $data) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateHashIoMutationService extends Apollo.Mutation<UpdateHashIoMutation, UpdateHashIoMutationVariables> {
  document = UpdateHashIoDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateIpioDocument = gql`
  mutation updateIPIO($id: ID!, $data: IPInputOutputUpdate!) {
    updateIpInputOutput(id: $id, data: $data) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateIpioMutationService extends Apollo.Mutation<UpdateIpioMutation, UpdateIpioMutationVariables> {
  document = UpdateIpioDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateJsonIoDocument = gql`
  mutation updateJsonIO($id: ID!, $data: JSONInputOutputUpdate!) {
    updateJsonInputOutput(id: $id, data: $data) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateJsonIoMutationService extends Apollo.Mutation<UpdateJsonIoMutation, UpdateJsonIoMutationVariables> {
  document = UpdateJsonIoDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateStringIoDocument = gql`
  mutation updateStringIO($id: ID!, $data: StringInputOutputUpdate!) {
    updateStringInputOutput(id: $id, data: $data) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateStringIoMutationService extends Apollo.Mutation<
  UpdateStringIoMutation,
  UpdateStringIoMutationVariables
> {
  document = UpdateStringIoDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateUrlIoDocument = gql`
  mutation updateUrlIO($id: ID!, $data: URLInputOutputUpdate!) {
    updateUrlInputOutput(id: $id, data: $data) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateUrlIoMutationService extends Apollo.Mutation<UpdateUrlIoMutation, UpdateUrlIoMutationVariables> {
  document = UpdateUrlIoDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
