import * as SchemaTypes from '../../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type SetTaskInputMutationVariables = SchemaTypes.Exact<{
  taskId: SchemaTypes.Scalars['ID'];
  input: SchemaTypes.Scalars['String'];
}>;

export type SetTaskInputMutation = {
  __typename?: 'Mutation';
  setTaskInput?: { __typename?: 'MutationResult'; id?: number | undefined } | undefined;
};

export type SetTaskFileInputMutationVariables = SchemaTypes.Exact<{
  taskId: SchemaTypes.Scalars['ID'];
  fileInput: SchemaTypes.Scalars['Upload'];
}>;

export type SetTaskFileInputMutation = {
  __typename?: 'Mutation';
  setTaskFileInput?: { __typename?: 'MutationResult'; id?: number | undefined } | undefined;
};

export type CreateTaskInputMutationVariables = SchemaTypes.Exact<{
  taskId: SchemaTypes.Scalars['ID'];
  type: SchemaTypes.KnownInputOutputTypes;
  inputFormat?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  description?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
}>;

export type CreateTaskInputMutation = {
  __typename?: 'Mutation';
  createTaskInput?: { __typename?: 'MutationResult'; id?: number | undefined } | undefined;
};

export const SetTaskInputDocument = gql`
  mutation setTaskInput($taskId: ID!, $input: String!) {
    setTaskInput(id: $taskId, input: $input) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class SetTaskInputMutationService extends Apollo.Mutation<SetTaskInputMutation, SetTaskInputMutationVariables> {
  document = SetTaskInputDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const SetTaskFileInputDocument = gql`
  mutation setTaskFileInput($taskId: ID!, $fileInput: Upload!) {
    setTaskFileInput(id: $taskId, fileInput: $fileInput) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class SetTaskFileInputMutationService extends Apollo.Mutation<
  SetTaskFileInputMutation,
  SetTaskFileInputMutationVariables
> {
  document = SetTaskFileInputDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const CreateTaskInputDocument = gql`
  mutation createTaskInput($taskId: ID!, $type: KnownInputOutputTypes!, $inputFormat: String, $description: String) {
    createTaskInput(id: $taskId, inputType: $type, inputFormat: $inputFormat, description: $description) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class CreateTaskInputMutationService extends Apollo.Mutation<
  CreateTaskInputMutation,
  CreateTaskInputMutationVariables
> {
  document = CreateTaskInputDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
