import * as SchemaTypes from '../../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type SetTaskOutputMutationVariables = SchemaTypes.Exact<{
  taskId: SchemaTypes.Scalars['ID'];
  output: SchemaTypes.Scalars['String'];
}>;

export type SetTaskOutputMutation = {
  __typename?: 'Mutation';
  setTaskOutput?: { __typename?: 'MutationResult'; id?: number | undefined } | undefined;
};

export type SetTaskFileOutputMutationVariables = SchemaTypes.Exact<{
  taskId: SchemaTypes.Scalars['ID'];
  fileOutput: SchemaTypes.Scalars['Upload'];
}>;

export type SetTaskFileOutputMutation = {
  __typename?: 'Mutation';
  setTaskFileOutput?: { __typename?: 'MutationResult'; id?: number | undefined } | undefined;
};

export type CreateTaskOutputMutationVariables = SchemaTypes.Exact<{
  taskId: SchemaTypes.Scalars['ID'];
  type: SchemaTypes.KnownInputOutputTypes;
  outputFormat?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  description?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
}>;

export type CreateTaskOutputMutation = {
  __typename?: 'Mutation';
  createTaskOutput?: { __typename?: 'MutationResult'; id?: number | undefined } | undefined;
};

export const SetTaskOutputDocument = gql`
  mutation setTaskOutput($taskId: ID!, $output: String!) {
    setTaskOutput(id: $taskId, output: $output) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class SetTaskOutputMutationService extends Apollo.Mutation<
  SetTaskOutputMutation,
  SetTaskOutputMutationVariables
> {
  document = SetTaskOutputDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const SetTaskFileOutputDocument = gql`
  mutation setTaskFileOutput($taskId: ID!, $fileOutput: Upload!) {
    setTaskFileOutput(id: $taskId, fileOutput: $fileOutput) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class SetTaskFileOutputMutationService extends Apollo.Mutation<
  SetTaskFileOutputMutation,
  SetTaskFileOutputMutationVariables
> {
  document = SetTaskFileOutputDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const CreateTaskOutputDocument = gql`
  mutation createTaskOutput($taskId: ID!, $type: KnownInputOutputTypes!, $outputFormat: String, $description: String) {
    createTaskOutput(id: $taskId, outputType: $type, outputFormat: $outputFormat, description: $description) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class CreateTaskOutputMutationService extends Apollo.Mutation<
  CreateTaskOutputMutation,
  CreateTaskOutputMutationVariables
> {
  document = CreateTaskOutputDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
