import * as SchemaTypes from '../../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type UploadTaskCommentFileMutationVariables = SchemaTypes.Exact<{
  file: SchemaTypes.Scalars['Upload'];
  taskId: SchemaTypes.Scalars['ID'];
  authorId: SchemaTypes.Scalars['ID'];
  filename: SchemaTypes.Scalars['String'];
  extension: SchemaTypes.Scalars['String'];
}>;

export type UploadTaskCommentFileMutation = {
  __typename?: 'Mutation';
  createFileFromCommentInTask?: { __typename?: 'MutationResultField'; url?: string | undefined } | undefined;
};

export const UploadTaskCommentFileDocument = gql`
  mutation uploadTaskCommentFile(
    $file: Upload!
    $taskId: ID!
    $authorId: ID!
    $filename: String!
    $extension: String!
  ) {
    createFileFromCommentInTask(
      taskId: $taskId
      data: { file: $file, createdBy: $authorId, displayName: $filename, extension: $extension }
    ) {
      url: field
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UploadTaskCommentFileMutationService extends Apollo.Mutation<
  UploadTaskCommentFileMutation,
  UploadTaskCommentFileMutationVariables
> {
  document = UploadTaskCommentFileDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
