import { gql } from 'apollo-angular';

export type TaskInputOutputPanelBaseTaskInputOutputFragment = {
  __typename?: 'BaseTaskInputOutput';
  id: string;
  stringifiedValue?: string | undefined;
  type?: string | undefined;
  description?: string | undefined;
};

export type TaskInputOutputPanelBoolInputOutputFragment = {
  __typename?: 'BoolInputOutput';
  id: string;
  stringifiedValue?: string | undefined;
  type?: string | undefined;
  description?: string | undefined;
};

export type TaskInputOutputPanelDateInputOutputFragment = {
  __typename?: 'DateInputOutput';
  id: string;
  stringifiedValue?: string | undefined;
  type?: string | undefined;
  description?: string | undefined;
  dateValue?: any | undefined;
};

export type TaskInputOutputPanelDateTimeInputOutputFragment = {
  __typename?: 'DateTimeInputOutput';
  id: string;
  stringifiedValue?: string | undefined;
  type?: string | undefined;
  description?: string | undefined;
  datetimeValue?: any | undefined;
};

export type TaskInputOutputPanelDomainInputOutputFragment = {
  __typename?: 'DomainInputOutput';
  id: string;
  stringifiedValue?: string | undefined;
  type?: string | undefined;
  description?: string | undefined;
};

export type TaskInputOutputPanelEmailAddressInputOutputFragment = {
  __typename?: 'EmailAddressInputOutput';
  id: string;
  stringifiedValue?: string | undefined;
  type?: string | undefined;
  description?: string | undefined;
};

export type TaskInputOutputPanelEmailMessageInputOutputFragment = {
  __typename?: 'EmailMessageInputOutput';
  id: string;
  stringifiedValue?: string | undefined;
  type?: string | undefined;
  description?: string | undefined;
};

export type TaskInputOutputPanelFileInputOutputFragment = {
  __typename?: 'FileInputOutput';
  id: string;
  stringifiedValue?: string | undefined;
  type?: string | undefined;
  description?: string | undefined;
};

export type TaskInputOutputPanelFileRefInputOutputFragment = {
  __typename?: 'FileRefInputOutput';
  id: string;
  stringifiedValue?: string | undefined;
  type?: string | undefined;
  description?: string | undefined;
};

export type TaskInputOutputPanelHashInputOutputFragment = {
  __typename?: 'HashInputOutput';
  id: string;
  stringifiedValue?: string | undefined;
  type?: string | undefined;
  description?: string | undefined;
};

export type TaskInputOutputPanelIpInputOutputFragment = {
  __typename?: 'IPInputOutput';
  id: string;
  stringifiedValue?: string | undefined;
  type?: string | undefined;
  description?: string | undefined;
};

export type TaskInputOutputPanelJsonInputOutputFragment = {
  __typename?: 'JSONInputOutput';
  jsonFormlySchema?: string | undefined;
  jsonInitialValue?: string | undefined;
  id: string;
  stringifiedValue?: string | undefined;
  type?: string | undefined;
  description?: string | undefined;
  validation?: string | undefined;
};

export type TaskInputOutputPanelStringInputOutputFragment = {
  __typename?: 'StringInputOutput';
  id: string;
  stringifiedValue?: string | undefined;
  type?: string | undefined;
  description?: string | undefined;
  validation?: string | undefined;
};

export type TaskInputOutputPanelUrlInputOutputFragment = {
  __typename?: 'URLInputOutput';
  id: string;
  stringifiedValue?: string | undefined;
  type?: string | undefined;
  description?: string | undefined;
};

export type TaskInputOutputPanelFragment =
  | TaskInputOutputPanelBaseTaskInputOutputFragment
  | TaskInputOutputPanelBoolInputOutputFragment
  | TaskInputOutputPanelDateInputOutputFragment
  | TaskInputOutputPanelDateTimeInputOutputFragment
  | TaskInputOutputPanelDomainInputOutputFragment
  | TaskInputOutputPanelEmailAddressInputOutputFragment
  | TaskInputOutputPanelEmailMessageInputOutputFragment
  | TaskInputOutputPanelFileInputOutputFragment
  | TaskInputOutputPanelFileRefInputOutputFragment
  | TaskInputOutputPanelHashInputOutputFragment
  | TaskInputOutputPanelIpInputOutputFragment
  | TaskInputOutputPanelJsonInputOutputFragment
  | TaskInputOutputPanelStringInputOutputFragment
  | TaskInputOutputPanelUrlInputOutputFragment;

export const TaskInputOutputPanelFragmentDoc = gql`
  fragment taskInputOutputPanel on TaskInputOutput {
    id
    stringifiedValue
    type
    description
    ...taskInputOutput
    ... on StringInputOutput {
      validation: stringRegex
    }
    ... on JSONInputOutput {
      validation: jsonSchema
      jsonFormlySchema
      jsonInitialValue
    }
  }
`;
