import * as SchemaTypes from '../../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type TaskSuccessorsPanelFragment = {
  __typename?: 'Task';
  id: string;
  state?: SchemaTypes.TaskStateEnum | undefined;
  sourceRelationships?:
    | {
        __typename?: 'TaskRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'TaskRelationship';
          id: string;
          relationshipType: SchemaTypes.TaskRelationshipTypeEnum;
          source: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          target: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
        }>;
      }
    | undefined;
};

export const TaskSuccessorsPanelFragmentDoc = gql`
  fragment taskSuccessorsPanel on Task {
    id
    state
    sourceRelationships(filter: [{ AND: [{ OR: { relationshipType: { except_: BLOCKED_BY } } }] }]) {
      data {
        ...taskRelationshipTableElement
      }
      totalCount
    }
  }
`;
