import { Injectable } from '@angular/core';
import { ActivatedRoute, Data, ParamMap, Params, Router } from '@angular/router';
import { TASK_PARAM_SELECTOR } from '@orion/case-paths';
import { CommentFilterService } from '@orion/comment-services';
import { CommentClientFilter } from '@orion/comment-types';
import { Observable, of } from 'rxjs';

@Injectable()
export class TaskCommentsFilterService extends CommentFilterService {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected toQueryParams(filter: CommentClientFilter): Params {
    return {};
  }

  protected createFilterFromRoute(
    queryParamMap: ParamMap,
    paramMap: ParamMap,
    data: Data
  ): Observable<CommentClientFilter> {
    const taskId = paramMap.get(TASK_PARAM_SELECTOR);
    return of({ taskId: taskId ?? undefined, isFirstLevelComment: true });
  }
}
