import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatDividerModule } from '@angular/material/divider';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatSelectModule } from '@angular/material/select';
import { EditableEntityModule } from '@orion/shared-components/editable-entity';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { SentinelMarkdownEditorModule } from '@sentinel/components/markdown-editor';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { NoTaskIoTypeSuffixPipe } from './no-task-io-type-suffix.pipe';
import { TaskInputOutputPanelComponent } from './task-input-output-panel.component';
import {
  IoValidationModule,
  NoInputOutputTaskContentComponent,
  TaskInputOutputCreateModule,
  TaskInputOutputDisplayModule,
  TaskInputOutputEditModule,
} from './task-io';

@NgModule({
  declarations: [TaskInputOutputPanelComponent, NoTaskIoTypeSuffixPipe, NoInputOutputTaskContentComponent],
  imports: [
    CommonModule,
    OrionPanelModule,
    MatIconModule,
    TaskInputOutputDisplayModule,
    TaskInputOutputEditModule,
    MatFormFieldModule,
    MatSelectModule,
    ReactiveFormsModule,
    SentinelControlsModule,
    MatButtonModule,
    EditableEntityModule,
    MatCheckboxModule,
    SentinelMarkdownEditorModule,
    MatDividerModule,
    SentinelPipesModule,
    TaskInputOutputCreateModule,
    IoValidationModule,
  ],
  exports: [TaskInputOutputPanelComponent],
})
export class TaskInputOutputPanelModule {}
