import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import {
  IsAnyDateFormPipe,
  IsBoolFormPipe,
  IsDateFormPipe,
  IsFileFormPipe,
  IsJSONFormPipe,
  IsStringFormPipe,
  IsStringLikeFormPipe,
  ToBoolValuePipe,
  ToDateValuePipe,
} from './task-form.pipe';

const pipes = [
  IsBoolFormPipe,
  IsAnyDateFormPipe,
  IsDateFormPipe,
  IsFileFormPipe,
  IsJSONFormPipe,
  IsStringLikeFormPipe,
  IsStringFormPipe,
  ToBoolValuePipe,
  ToDateValuePipe,
];

@NgModule({
  declarations: pipes,
  imports: [CommonModule],
  exports: [pipes],
})
export class IoUtilsModule {}
