import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { JsonEditorModule } from '@orion/shared-components/json-editor';
import { IoUtilsModule } from '../io-utils';
import {
  JsonSchemaEditComponent,
  RegexValidationEditComponent,
  TaskInputOutputValidationEditComponent,
} from './task-input-output-validation-edit';
import { TaskIoValidationPipe } from './task-io-validation.pipe';

@NgModule({
  declarations: [
    TaskIoValidationPipe,
    TaskInputOutputValidationEditComponent,
    JsonSchemaEditComponent,
    RegexValidationEditComponent,
  ],
  imports: [
    CommonModule,
    IoUtilsModule,
    MatFormFieldModule,
    ReactiveFormsModule,
    MatIconModule,
    JsonEditorModule,
    MatButtonModule,
    MatInputModule,
  ],
  exports: [
    TaskIoValidationPipe,
    TaskInputOutputValidationEditComponent,
    JsonSchemaEditComponent,
    RegexValidationEditComponent,
  ],
})
export class IoValidationModule {}
