import { Pipe, PipeTransform } from '@angular/core';
import {
  TaskInputOutputPanelFragment,
  TaskInputOutputPanelJsonInputOutputFragment,
  TaskInputOutputPanelStringInputOutputFragment,
} from '@orion/task-components/task-detail';

@Pipe({
  name: 'taskIOValidation',
})
export class TaskIoValidationPipe implements PipeTransform {
  transform(io?: TaskInputOutputPanelFragment): string | undefined {
    if (io && hasCustomValidation(io)) {
      return io.validation;
    } else {
      return undefined;
    }
  }
}

export function hasCustomValidation(
  io: TaskInputOutputPanelFragment
): io is TaskInputOutputPanelStringInputOutputFragment | TaskInputOutputPanelJsonInputOutputFragment {
  return io.__typename === 'StringInputOutput' || io.__typename === 'JSONInputOutput';
}
