import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { TaskMode } from '../io-utils';
import { CreateTaskInputOutputData } from '../task-input-output-create';

@Component({
  selector: 'orion-no-input-output-task-content',
  templateUrl: './no-input-output-task-content.component.html',
  styleUrls: ['./no-input-output-task-content.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class NoInputOutputTaskContentComponent {
  @Input() isLoading?: boolean;
  @Input() mode?: TaskMode;
  @Output() createInputOutput: EventEmitter<CreateTaskInputOutputData> = new EventEmitter<CreateTaskInputOutputData>();
  formDisplayed = false;

  onCreate(): void {
    this.formDisplayed = true;
  }

  onCreateIO(data: CreateTaskInputOutputData): void {
    this.createInputOutput.emit(data);
  }

  onCancel(): void {
    this.formDisplayed = false;
  }
}
