import { ChangeDetectionStrategy, Component, Input, OnDestroy } from '@angular/core';
import { KnownInputOutputTypes } from '@orion/graphql-types';
import { CreateInputOutputForm } from './create-input-output-form';

@Component({
  selector: 'orion-create-task-input-output-form',
  templateUrl: './create-task-input-output-form.component.html',
  styleUrls: ['./create-task-input-output-form.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CreateTaskInputOutputFormComponent implements OnDestroy {
  @Input() form?: CreateInputOutputForm;
  inputOutputTypes = Object.values(KnownInputOutputTypes);

  ngOnDestroy(): void {
    this.form?.onDestroy();
  }
}
