import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatSelectModule } from '@angular/material/select';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { SentinelMarkdownEditorModule } from '@sentinel/components/markdown-editor';
import { IoValidationModule } from '../io-validation';
import { CreateTaskInputOutputFormComponent } from './create-task-inpu-output-form';
import { TaskInputOutputCreateComponent } from './task-input-output-create.component';

@NgModule({
  declarations: [TaskInputOutputCreateComponent, CreateTaskInputOutputFormComponent],
  imports: [
    CommonModule,
    MatFormFieldModule,
    MatSelectModule,
    SentinelMarkdownEditorModule,
    MatCheckboxModule,
    SentinelControlsModule,
    ReactiveFormsModule,
    SentinelPipesModule,
    IoValidationModule,
  ],
  exports: [TaskInputOutputCreateComponent, CreateTaskInputOutputFormComponent],
})
export class TaskInputOutputCreateModule {}
