import { HttpClient } from '@angular/common/http';
import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { Destroyable } from '@sentinel/common';
import { saveAs } from 'file-saver';
import { takeUntil } from 'rxjs/operators';

@Component({
  selector: 'orion-task-file-ref-input-output-display',
  templateUrl: './task-file-ref-input-output-display.component.html',
  styleUrls: ['./task-file-ref-input-output-display.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TaskFileRefInputOutputDisplayComponent extends Destroyable() {
  @Input() value?: string;

  constructor(private http: HttpClient) {
    super();
  }

  download(url: string): void {
    const split = url.split('/');
    const filename = split[split.length - 1];
    this.http
      .get(url, { observe: 'response', responseType: 'blob' })
      .pipe(takeUntil(this.destroy$))
      .subscribe((response) => {
        if (response.body) {
          saveAs(response.body, filename);
        }
      });
  }
}
