import {
  TaskInputOutputDateInputOutputFragment,
  TaskInputOutputDateTimeInputOutputFragment,
  TaskInputOutputFragment,
} from './task-input-output-display.fragment.generated';

export class TaskInputOutputComponentMap {
  date?: Date;
  file?: string;
  JSON?: JSON;
  primitive?: string;
  url?: string;

  constructor(io: TaskInputOutputFragment) {
    const type = io.__typename;
    if (isDateIO(io)) {
      this.date = io.dateValue;
      return;
    }
    if (isDateTimeIO(io)) {
      this.date = io.datetimeValue;
      return;
    }
    if (type === 'FileInputOutput' || type === 'FileRefInputOutput' || type === 'EmailMessageInputOutput') {
      this.file = io.stringifiedValue;
      return;
    }
    if (io.stringifiedValue && type === 'JSONInputOutput') {
      this.JSON = JSON.parse(io.stringifiedValue);
      return;
    }
    if (type === 'URLInputOutput') {
      this.url = io.stringifiedValue;
      return;
    }
    this.primitive = io.stringifiedValue;
  }
}

export function isDateIO(io: TaskInputOutputFragment): io is TaskInputOutputDateInputOutputFragment {
  return io.__typename === 'DateInputOutput';
}

export function isDateTimeIO(io: TaskInputOutputFragment): io is TaskInputOutputDateTimeInputOutputFragment {
  return io.__typename === 'DateTimeInputOutput';
}
