import { ChangeDetectionStrategy, Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { TaskInputOutputComponentMap } from './task-input-output-component-map';
import { TaskInputOutputFragment } from './task-input-output-display.fragment.generated';

@Component({
  selector: 'orion-task-input-output-display',
  templateUrl: './task-input-output-display.component.html',
  styleUrls: ['./task-input-output-display.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TaskInputOutputDisplayComponent implements OnChanges {
  @Input() inputOutput?: TaskInputOutputFragment;
  componentsMap?: TaskInputOutputComponentMap;

  ngOnChanges(changes: SimpleChanges): void {
    if ('inputOutput' in changes && this.inputOutput) {
      this.createComponentsMap();
    }
  }

  private createComponentsMap() {
    if (this.inputOutput) {
      this.componentsMap = new TaskInputOutputComponentMap(this.inputOutput);
    }
  }
}
