import { ClipboardModule } from '@angular/cdk/clipboard';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatTooltipModule } from '@angular/material/tooltip';
import { JsonEditorModule } from '@orion/shared-components/json-editor';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { NgxJsonViewerModule } from 'ngx-json-viewer';
import { TaskDateInputOutputDisplayComponent } from './task-date-input-output-display';
import { TaskFileRefInputOutputDisplayComponent } from './task-file-ref-input-output-display';
import { TaskInputOutputDisplayComponent } from './task-input-output-display.component';
import { TaskJsonInputOutputDisplayComponent } from './task-json-input-output-display';
import { TaskPrimitiveInputOutputDisplayComponent } from './task-primitve-input-output-display';
import { TaskUrlInputOutputDisplayComponent } from './task-url-input-output-display';

@NgModule({
  declarations: [
    TaskJsonInputOutputDisplayComponent,
    TaskPrimitiveInputOutputDisplayComponent,
    TaskUrlInputOutputDisplayComponent,
    TaskFileRefInputOutputDisplayComponent,
    TaskDateInputOutputDisplayComponent,
    TaskInputOutputDisplayComponent,
  ],
  imports: [
    CommonModule,
    OrionAttributeModule,
    SentinelPipesModule,
    MatButtonModule,
    NgxJsonViewerModule,
    ClipboardModule,
    MatIconModule,
    MatTooltipModule,
    JsonEditorModule,
  ],
  exports: [
    TaskJsonInputOutputDisplayComponent,
    TaskPrimitiveInputOutputDisplayComponent,
    TaskUrlInputOutputDisplayComponent,
    TaskFileRefInputOutputDisplayComponent,
    TaskDateInputOutputDisplayComponent,
    TaskInputOutputDisplayComponent,
  ],
})
export class TaskInputOutputDisplayModule {}
