import { Clipboard } from '@angular/cdk/clipboard';
import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { NotificationService } from '@orion/shared/services/global';
import { saveAs } from 'file-saver';

@Component({
  selector: 'orion-task-json-input-output-display',
  templateUrl: './task-json-input-output-display.component.html',
  styleUrls: ['./task-json-input-output-display.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TaskJsonInputOutputDisplayComponent {
  @Input() value?: JSON;
  constructor(private notificationService: NotificationService, private clipboard: Clipboard) {}

  copy(): void {
    this.clipboard.copy(JSON.stringify(this.value, null, '\t'));
    this.notificationService.emit('info', 'Copied to clipboard');
  }

  download(): void {
    const blob = new Blob([JSON.stringify(this.value, null, '\t')], { type: 'text/json' });
    saveAs(blob, 'task-input.json');
    this.notificationService.emit('info', 'Downloaded JSON file');
  }
}
