import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'orion-task-file-input-output-edit',
  templateUrl: './task-file-input-output-edit.component.html',
  styleUrls: ['./task-file-input-output-edit.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TaskFileInputOutputEditComponent {
  @Input() disabled = false;
  @Input() required = false;
  @Output() fileChange: EventEmitter<File | undefined> = new EventEmitter<File | undefined>();

  selectedFilesChanged(files: File[]): void {
    if (files.length > 0) {
      this.fileChange.emit(files[0]);
    } else {
      this.fileChange.emit(undefined);
    }
  }
}
