import { Injectable } from '@angular/core';
import { TaskMode } from '../../io-utils';

@Injectable()
export class TaskInputOutputLocalAutosaveService {
  get(id: string, mode: TaskMode): string | undefined {
    return localStorage.getItem(this.constructKey(id, mode)) ?? undefined;
  }

  update(id: string, mode: TaskMode, data: string): void {
    localStorage.setItem(this.constructKey(id, mode), data);
  }

  remove(id: string, mode: TaskMode): void {
    localStorage.removeItem(this.constructKey(id, mode));
  }

  private constructKey(id: string, mode: TaskMode): string {
    return `task_${id}_${mode}_autosave`;
  }
}
