import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatSelectModule } from '@angular/material/select';
import { MatTooltipModule } from '@angular/material/tooltip';
import { JsonEditorModule } from '@orion/shared-components/json-editor';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { OrionDateFormModule } from '@csirtmu-orion/microframework/date-form';
import { OrionUploadFilesModule } from '@csirtmu-orion/microframework/upload-files';
import { AceEditorModule } from 'ng2-ace-editor';
import { IoUtilsModule } from '../io-utils';
import { IoValidationModule } from '../io-validation';
import { TaskInputOutputCreateModule } from '../task-input-output-create';
import {
  TaskBoolInputOutputEditComponent,
  TaskFileInputOutputEditComponent,
  TaskInputOutputFormComponent,
  TaskRawJsonInputOutputEditComponent,
  TaskStringInputOutputEditComponent,
} from './edit-components';
import {
  TaskJsonFormInputOutputEditComponent,
  TaskJsonFormInputOutputEditFormViewComponent,
} from './edit-components/task-json-form-input-output-edit';
import { TaskInputOutputEditComponent } from './io-edit';
import { TaskInputOutputSetComponent } from './io-set';
import { TaskIOPrettifyTypePipe } from './task-input-output-prettify-typename.pipe';
import { MatRadioModule } from '@angular/material/radio';

@NgModule({
  declarations: [
    TaskInputOutputSetComponent,
    TaskInputOutputEditComponent,
    TaskInputOutputFormComponent,
    TaskBoolInputOutputEditComponent,
    TaskFileInputOutputEditComponent,
    TaskRawJsonInputOutputEditComponent,
    TaskJsonFormInputOutputEditComponent,
    TaskJsonFormInputOutputEditFormViewComponent,
    TaskStringInputOutputEditComponent,
    TaskIOPrettifyTypePipe,
  ],
  imports: [
    CommonModule,
    MatButtonModule,
    OrionDateFormModule,
    AceEditorModule,
    MatFormFieldModule,
    MatIconModule,
    MatInputModule,
    FormsModule,
    OrionUploadFilesModule,
    MatSelectModule,
    ReactiveFormsModule,
    MatTooltipModule,
    JsonEditorModule,
    SentinelPipesModule,
    MatCheckboxModule,
    SentinelControlsModule,
    IoValidationModule,
    IoUtilsModule,
    TaskInputOutputCreateModule,
    MatRadioModule,
  ],
  exports: [
    TaskInputOutputSetComponent,
    TaskInputOutputEditComponent,
    TaskInputOutputFormComponent,
    TaskJsonFormInputOutputEditComponent,
    TaskBoolInputOutputEditComponent,
    TaskFileInputOutputEditComponent,
    TaskRawJsonInputOutputEditComponent,
    TaskStringInputOutputEditComponent,
  ],
})
export class TaskInputOutputEditModule {}
