import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type TaskOverviewTabFragment = {
  __typename?: 'Task';
  id: string;
  state?: SchemaTypes.TaskStateEnum | undefined;
  description: string;
  isDecision?: boolean | undefined;
  isAutomated?: boolean | undefined;
  autotrigger?: boolean | undefined;
  input?:
    | {
        __typename?: 'BaseTaskInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'BoolInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'DateInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
        dateValue?: any | undefined;
      }
    | {
        __typename?: 'DateTimeInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
        datetimeValue?: any | undefined;
      }
    | {
        __typename?: 'DomainInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'EmailAddressInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'EmailMessageInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'FileInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'FileRefInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'HashInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'IPInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'JSONInputOutput';
        jsonFormlySchema?: string | undefined;
        jsonInitialValue?: string | undefined;
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
        validation?: string | undefined;
      }
    | {
        __typename?: 'StringInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
        validation?: string | undefined;
      }
    | {
        __typename?: 'URLInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | undefined;
  output?:
    | {
        __typename?: 'BaseTaskInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'BoolInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'DateInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
        dateValue?: any | undefined;
      }
    | {
        __typename?: 'DateTimeInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
        datetimeValue?: any | undefined;
      }
    | {
        __typename?: 'DomainInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'EmailAddressInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'EmailMessageInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'FileInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'FileRefInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'HashInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'IPInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'JSONInputOutput';
        jsonFormlySchema?: string | undefined;
        jsonInitialValue?: string | undefined;
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
        validation?: string | undefined;
      }
    | {
        __typename?: 'StringInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
        validation?: string | undefined;
      }
    | {
        __typename?: 'URLInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | undefined;
  referencedBy?:
    | {
        __typename?: 'TaskReferenceNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'TaskReference';
          id: string;
          relationshipType: SchemaTypes.TaskReferenceTypeEnum;
          source: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          target: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
        }>;
      }
    | undefined;
  refersTo?:
    | {
        __typename?: 'TaskReferenceNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'TaskReference';
          id: string;
          relationshipType: SchemaTypes.TaskReferenceTypeEnum;
          source: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          target: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
        }>;
      }
    | undefined;
  targetRelationships?:
    | {
        __typename?: 'TaskRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'TaskRelationship';
          id: string;
          relationshipType: SchemaTypes.TaskRelationshipTypeEnum;
          source: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          target: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
        }>;
      }
    | undefined;
  sourceRelationships?:
    | {
        __typename?: 'TaskRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'TaskRelationship';
          id: string;
          relationshipType: SchemaTypes.TaskRelationshipTypeEnum;
          source: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          target: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
        }>;
      }
    | undefined;
  blockedSourceRelationship?:
    | {
        __typename?: 'TaskRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'TaskRelationship';
          id: string;
          relationshipType: SchemaTypes.TaskRelationshipTypeEnum;
          source: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          target: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
        }>;
      }
    | undefined;
  blockedTargetRelationship?:
    | {
        __typename?: 'TaskRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'TaskRelationship';
          id: string;
          relationshipType: SchemaTypes.TaskRelationshipTypeEnum;
          source: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          target: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
        }>;
      }
    | undefined;
};

export const TaskOverviewTabFragmentDoc = gql`
  fragment taskOverviewTab on Task {
    id
    state
    description
    input {
      ...taskInputOutputPanel
    }
    output {
      ...taskInputOutputPanel
    }
    isDecision
    isAutomated
    autotrigger
    ...taskReferencesPanel
    ...taskPredecessorsPanel
    ...taskSuccessorsPanel
    ...blockedByTasksPanel
    ...blockingTasksPanel
  }
`;
