import * as SchemaTypes from '../../../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type CreateTaskReferencesMutationVariables = SchemaTypes.Exact<{
  data: Array<SchemaTypes.TaskReferenceCreate>;
}>;

export type CreateTaskReferencesMutation = {
  __typename?: 'Mutation';
  createTaskReferenceBulk: Array<{ __typename?: 'CreateResult'; id: string }>;
};

export type DeleteTaskReferencesMutationVariables = SchemaTypes.Exact<{
  ids: Array<SchemaTypes.Scalars['ID']>;
}>;

export type DeleteTaskReferencesMutation = {
  __typename?: 'Mutation';
  deleteTaskReferenceBulk: Array<{ __typename?: 'MutateResult'; id?: string | undefined }>;
};

export const CreateTaskReferencesDocument = gql`
  mutation createTaskReferences($data: [TaskReferenceCreate!]!) {
    createTaskReferenceBulk(dataList: $data) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class CreateTaskReferencesMutationService extends Apollo.Mutation<
  CreateTaskReferencesMutation,
  CreateTaskReferencesMutationVariables
> {
  document = CreateTaskReferencesDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const DeleteTaskReferencesDocument = gql`
  mutation deleteTaskReferences($ids: [ID!]!) {
    deleteTaskReferenceBulk(ids: $ids) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class DeleteTaskReferencesMutationService extends Apollo.Mutation<
  DeleteTaskReferencesMutation,
  DeleteTaskReferencesMutationVariables
> {
  document = DeleteTaskReferencesDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
