import { Injectable } from '@angular/core';
import { ControlsService } from '@orion/shared-services';
import { SentinelControlItem } from '@sentinel/components/controls';
import { defer, Observable, of } from 'rxjs';
import { TaskReferenceViewStateService } from './task-reference-view-state.service';

@Injectable()
export class TaskReferenceControlsService extends ControlsService {
  constructor(private viewStateService: TaskReferenceViewStateService) {
    super();
    this.controls$ = this.createControls();
  }

  private createControls(): Observable<SentinelControlItem[]> {
    return of([
      new SentinelControlItem(
        'ADD',
        'Add',
        'primary',
        of(false),
        defer(() => this.viewStateService.displayAddComponent())
      ),
    ]);
  }
}
