import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { EntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { TaskReferenceActionsService } from '../task-reference-actions.service';
import { TaskReferenceTable } from './task-reference-table';
import { TaskReferenceTableElementFragment } from './task-reference-table.fragment.generated';

@Component({
  selector: 'orion-task-reference-table',
  templateUrl: './task-reference-table.component.html',
  styleUrls: ['./task-reference-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TaskReferenceTableComponent extends EntityTableDirective<
  TaskReferenceTableElementFragment,
  TaskReferenceTable
> {
  @Input() displayTaskSide: 'source' | 'target' = 'source';
  constructor(private referenceActionsService: TaskReferenceActionsService) {
    super();
  }

  protected createTable(entities: TaskReferenceTableElementFragment[]): TaskReferenceTable {
    return new TaskReferenceTable(entities, this.referenceActionsService);
  }
}
