import * as SchemaTypes from '../../../../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type TaskReferencesPanelFragment = {
  __typename?: 'Task';
  id: string;
  referencedBy?:
    | {
        __typename?: 'TaskReferenceNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'TaskReference';
          id: string;
          relationshipType: SchemaTypes.TaskReferenceTypeEnum;
          source: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          target: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
        }>;
      }
    | undefined;
  refersTo?:
    | {
        __typename?: 'TaskReferenceNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'TaskReference';
          id: string;
          relationshipType: SchemaTypes.TaskReferenceTypeEnum;
          source: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          target: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
        }>;
      }
    | undefined;
};

export const TaskReferencesPanelFragmentDoc = gql`
  fragment taskReferencesPanel on Task {
    id
    referencedBy {
      data {
        ...taskReferenceTableElement
      }
      totalCount
    }
    refersTo {
      data {
        ...taskReferenceTableElement
      }
      totalCount
    }
  }
`;
