import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatSelectModule } from '@angular/material/select';

import { TaskNameModule, TaskSelectionModule, TaskStateModule } from '@orion/task-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { SentinelTableModule } from '@sentinel/components/table';
import { CreateTaskReferenceComponent } from './create-task-reference/create-task-reference.component';
import { TaskReferenceTableComponent } from './task-reference-table';
import { TaskReferencesPanelComponent } from './task-references-panel.component';

@NgModule({
  declarations: [TaskReferencesPanelComponent, TaskReferenceTableComponent, CreateTaskReferenceComponent],
  imports: [
    CommonModule,
    OrionPanelModule,
    SentinelPipesModule,
    MatIconModule,
    OrionBadgeModule,
    SentinelTableModule,
    TaskNameModule,
    MatFormFieldModule,
    MatSelectModule,
    FormsModule,
    TaskSelectionModule,
    MatButtonModule,
    TaskStateModule,
    MatCardModule,
    OrionCardModule,
  ],
  exports: [TaskReferencesPanelComponent, TaskReferenceTableComponent],
})
export class TaskReferencesPanelModule {}
