import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { EntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { TaskRelationshipTable } from './task-relationship-table';
import { TaskRelationshipTableElementFragment } from './task-relationship-table.fragment.generated';

@Component({
  selector: 'orion-task-relationship-table',
  templateUrl: './task-relationship-table.component.html',
  styleUrls: ['./task-relationship-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TaskRelationshipTableComponent extends EntityTableDirective<
  TaskRelationshipTableElementFragment,
  TaskRelationshipTable
> {
  @Input() displayType: 'predecessor' | 'successor' = 'predecessor';

  protected createTable(entities: TaskRelationshipTableElementFragment[]): TaskRelationshipTable {
    return new TaskRelationshipTable(entities);
  }
}
