import { Column, Row, SentinelTable } from '@sentinel/components/table';
import { TaskRelationshipTableElementFragment } from './task-relationship-table.fragment.generated';

export class TaskRelationshipTable extends SentinelTable<TaskRelationshipTableElementFragment> {
  constructor(relationships: TaskRelationshipTableElementFragment[]) {
    const column = [
      new Column('task', 'Task', false),
      new Column('type', 'Relationship Type', false),
      new Column('state', 'State', false),
      new Column('flags', 'Flags', false),
    ];
    const rows = relationships.map((relationship) => new Row(relationship));
    super(rows, column);
  }
}
