import { ChangeDetectionStrategy, Component, OnChanges } from '@angular/core';
import {
  EntityDetailTabsDirective,
  OrionQueryParamTabService,
  OrionTabService,
  TABS_TOKEN,
} from '@csirtmu-orion/microframework/tabs';
import { TaskDetailTabsFragment } from './task-detail-tabs.fragment.generated';

@Component({
  selector: 'orion-task-detail-tabs',
  templateUrl: './task-detail-tabs.component.html',
  styleUrls: ['./task-detail-tabs.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    { provide: OrionTabService, useClass: OrionQueryParamTabService },
    { provide: TABS_TOKEN, useValue: ['overview', 'users', 'observables', 'assets', 'events', 'references', 'ttps'] },
  ],
})
export class TaskDetailTabsComponent extends EntityDetailTabsDirective<TaskDetailTabsFragment> implements OnChanges {
  constructor(protected tabService: OrionTabService) {
    super(tabService);
  }
}
