import * as SchemaTypes from '../../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type AddAssetsToTaskMutationVariables = SchemaTypes.Exact<{
  task: SchemaTypes.TaskInput;
  assets: Array<SchemaTypes.AssetInput>;
}>;

export type AddAssetsToTaskMutation = {
  __typename?: 'Mutation';
  addAssetToTaskBulk: {
    __typename?: 'FederatedMutationResult';
    created: Array<string>;
    errors: Array<{ __typename?: 'FederatedMutationError'; identifier: string; message: string }>;
  };
};

export const AddAssetsToTaskDocument = gql`
  mutation addAssetsToTask($task: TaskInput!, $assets: [AssetInput!]!) {
    addAssetToTaskBulk(task: $task, assets: $assets) {
      created
      errors {
        identifier
        message
      }
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class AddAssetsToTaskMutationService extends Apollo.Mutation<
  AddAssetsToTaskMutation,
  AddAssetsToTaskMutationVariables
> {
  document = AddAssetsToTaskDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
