import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap, Router } from '@angular/router';
import { RelatedAssetClientFilter } from '@orion/asset-types';
import { TASK_PARAM_SELECTOR } from '@orion/case-paths';
import { Observable } from 'rxjs';
import { tap } from 'rxjs/operators';
import { RelatedAssetFilterService } from '@orion/asset-components/related-assets';

@Injectable()
export class TaskRelatedAssetFilterService extends RelatedAssetFilterService {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected createFilterFromRoute(queryParamMap: ParamMap, paramMap: ParamMap): Observable<RelatedAssetClientFilter> {
    const taskId = paramMap.get(TASK_PARAM_SELECTOR);
    if (taskId === null) {
      throw new Error('Task ID param is null');
    }
    return super.createFilterFromRoute(queryParamMap, paramMap).pipe(tap((filter) => (filter.taskIds = [taskId])));
  }
}
