import { ChangeDetectionStrategy, Component } from '@angular/core';
import {
  RelatedAssetFilterChipsService,
  RelatedAssetFilterService,
  RelatedAssetFragment,
  RelatedAssetService,
} from '@orion/asset-components/related-assets';
import { RelatedAssetClientFilter } from '@orion/asset-types';
import {
  CreateEntityAssociationService,
  RELATED_ENTITY_ACTIONS_PROVIDERS,
} from '@orion/shared-components/related-entity-overview';
import { EntityFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { AddTaskAssetsService } from './add-task-assets.service';
import { TaskRelatedAssetFilterService } from './task-related-asset-filter.service';

@Component({
  selector: 'orion-task-related-assets',
  templateUrl: './task-related-assets.component.html',
  styleUrls: ['./task-related-assets.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    RelatedAssetService,
    RelatedAssetFilterChipsService,
    ...RELATED_ENTITY_ACTIONS_PROVIDERS,
    { provide: CreateEntityAssociationService, useClass: AddTaskAssetsService },
    { provide: RelatedAssetFilterService, useClass: TaskRelatedAssetFilterService },
  ],
})
export class TaskRelatedAssetsComponent extends EntityFilterableSmartOverviewDirective<
  RelatedAssetFragment,
  RelatedAssetClientFilter
> {
  constructor(
    protected relatedAssetsService: RelatedAssetService,
    protected filterService: RelatedAssetFilterService,
    protected chipsService: RelatedAssetFilterChipsService
  ) {
    super(relatedAssetsService, filterService, chipsService);
  }
}
