import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap, Router } from '@angular/router';
import { TASK_PARAM_SELECTOR } from '@orion/case-paths';
import { FlowEventsFilterService } from '@orion/event-components/filters';
import { FlowEventClientFilter } from '@orion/event-types';
import { Observable } from 'rxjs';
import { tap } from 'rxjs/operators';

@Injectable()
export class TaskRelatedEventsFilterService extends FlowEventsFilterService {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected createFilterFromRoute(queryParamMap: ParamMap, paramMap: ParamMap): Observable<FlowEventClientFilter> {
    const taskId = paramMap.get(TASK_PARAM_SELECTOR);
    if (taskId === null) {
      throw new Error('Task ID param is null');
    }
    return super.createFilterFromRoute(queryParamMap, paramMap).pipe(tap((filter) => (filter.taskIds = [taskId])));
  }
}
