import * as SchemaTypes from '../../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type AddObservablesToTaskMutationVariables = SchemaTypes.Exact<{
  task: SchemaTypes.TaskInput;
  observables: Array<SchemaTypes.ObservableInput>;
}>;

export type AddObservablesToTaskMutation = {
  __typename?: 'Mutation';
  addObservableToTaskBulk: {
    __typename?: 'FederatedMutationResult';
    created: Array<string>;
    errors: Array<{ __typename?: 'FederatedMutationError'; identifier: string; message: string }>;
  };
};

export const AddObservablesToTaskDocument = gql`
  mutation addObservablesToTask($task: TaskInput!, $observables: [ObservableInput!]!) {
    addObservableToTaskBulk(task: $task, observables: $observables) {
      created
      errors {
        identifier
        message
      }
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class AddObservablesToTaskMutationService extends Apollo.Mutation<
  AddObservablesToTaskMutation,
  AddObservablesToTaskMutationVariables
> {
  document = AddObservablesToTaskDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
