import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap, Router } from '@angular/router';
import { TASK_PARAM_SELECTOR } from '@orion/case-paths';
import { RelatedObservableFilterService } from '@orion/observable-components/filters';
import { RelatedObservableClientFilter } from '@orion/observable-types';
import { Observable } from 'rxjs';
import { tap } from 'rxjs/operators';

@Injectable()
export class TaskRelatedObservableFilterService extends RelatedObservableFilterService {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected createFilterFromRoute(
    queryParamMap: ParamMap,
    paramMap: ParamMap
  ): Observable<RelatedObservableClientFilter> {
    const taskId = paramMap.get(TASK_PARAM_SELECTOR);
    if (taskId === null) {
      throw new Error('Task ID param is null');
    }
    return super.createFilterFromRoute(queryParamMap, paramMap).pipe(tap((filter) => (filter.taskIds = [taskId])));
  }
}
