import { ChangeDetectionStrategy, Component } from '@angular/core';
import {
  RelatedObservableFilterChipsService,
  RelatedObservableFilterService,
} from '@orion/observable-components/filters';
import { RelatedObservableFragment, RelatedObservableService } from '@orion/observable-components/related-observables';
import { RelatedObservableClientFilter } from '@orion/observable-types';
import {
  CreateEntityAssociationService,
  RELATED_ENTITY_ACTIONS_PROVIDERS,
} from '@orion/shared-components/related-entity-overview';
import { EntityFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { AddTaskObservablesService } from './add-task-observables.service';
import { TaskRelatedObservableFilterService } from './task-related-observable-filter.service';

@Component({
  selector: 'orion-task-related-observables',
  templateUrl: './task-related-observables.component.html',
  styleUrls: ['./task-related-observables.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    RelatedObservableService,
    RelatedObservableFilterChipsService,
    ...RELATED_ENTITY_ACTIONS_PROVIDERS,
    { provide: CreateEntityAssociationService, useClass: AddTaskObservablesService },
    { provide: RelatedObservableFilterService, useClass: TaskRelatedObservableFilterService },
  ],
})
export class TaskRelatedObservablesComponent extends EntityFilterableSmartOverviewDirective<
  RelatedObservableFragment,
  RelatedObservableClientFilter
> {
  constructor(
    protected relatedObservablesService: RelatedObservableService,
    protected filterService: RelatedObservableFilterService,
    protected chipsService: RelatedObservableFilterChipsService
  ) {
    super(relatedObservablesService, filterService, chipsService);
  }
}
