import * as SchemaTypes from '../../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type AddTtPsToTaskMutationVariables = SchemaTypes.Exact<{
  task: SchemaTypes.TaskInput;
  ttps: Array<SchemaTypes.TtpInput>;
}>;

export type AddTtPsToTaskMutation = {
  __typename?: 'Mutation';
  addTtpToTaskBulk: {
    __typename?: 'FederatedMutationResult';
    created: Array<string>;
    errors: Array<{ __typename?: 'FederatedMutationError'; identifier: string; message: string }>;
  };
};

export const AddTtPsToTaskDocument = gql`
  mutation addTTPsToTask($task: TaskInput!, $ttps: [TTPInput!]!) {
    addTtpToTaskBulk(task: $task, ttps: $ttps) {
      created
      errors {
        identifier
        message
      }
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class AddTtPsToTaskMutationService extends Apollo.Mutation<
  AddTtPsToTaskMutation,
  AddTtPsToTaskMutationVariables
> {
  document = AddTtPsToTaskDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
