import { ChangeDetectionStrategy, Component } from '@angular/core';
import {
  CreateEntityAssociationService,
  RELATED_ENTITY_ACTIONS_PROVIDERS,
} from '@orion/shared-components/related-entity-overview';
import { RelatedTTPsFilterChipsService, RelatedTTPsFilterService } from '@orion/ttps-components/filters-related-ttps';
import { RelatedTtpFragment, RelatedTTPsService } from '@orion/ttps-components/related-ttps';
import { RelatedTTPClientFilter } from '@orion/ttps-types';
import { EntityFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { AddTaskTTPsService } from './add-task-ttps.service';
import { TaskRelatedTTPsFilterService } from './task-related-ttps-filter.service';

@Component({
  selector: 'orion-task-related-ttps',
  templateUrl: './task-related-ttps.component.html',
  styleUrls: ['./task-related-ttps.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    RelatedTTPsService,
    RelatedTTPsFilterChipsService,
    ...RELATED_ENTITY_ACTIONS_PROVIDERS,
    { provide: RelatedTTPsFilterService, useClass: TaskRelatedTTPsFilterService },
    { provide: CreateEntityAssociationService, useClass: AddTaskTTPsService },
  ],
})
export class TaskRelatedTTPsComponent extends EntityFilterableSmartOverviewDirective<
  RelatedTtpFragment,
  RelatedTTPClientFilter
> {
  constructor(
    protected relatedTTPsService: RelatedTTPsService,
    protected filterService: RelatedTTPsFilterService,
    protected chipsService: RelatedTTPsFilterChipsService
  ) {
    super(relatedTTPsService, filterService, chipsService);
  }
}
