import { Injectable } from '@angular/core';
import { ActivatedRoute, Data, ParamMap, Router } from '@angular/router';
import { TASK_PARAM_SELECTOR } from '@orion/case-paths';
import { Observable } from 'rxjs';
import { tap } from 'rxjs/operators';
import { RelatedUsersClientFilter } from '@orion/user-accounting-types';
import { RelatedUsersFilterService } from '@orion/user-accounting-components/related-users';

@Injectable()
export class TaskRelatedUsersFilterService extends RelatedUsersFilterService {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected createFilterFromRoute(
    queryParamMap: ParamMap,
    paramMap: ParamMap,
    data: Data
  ): Observable<RelatedUsersClientFilter> {
    const taskId = paramMap.get(TASK_PARAM_SELECTOR);
    if (taskId === null) {
      throw new Error('Task ID param is null');
    }
    return super
      .createFilterFromRoute(queryParamMap, paramMap, data)
      .pipe(tap((filter) => (filter.taskIds = [taskId])));
  }
}
