import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { TaskRelatedUsersFilterService } from './task-related-users-filter.service';
import { RelatedUsersClientFilter } from '@orion/user-accounting-types';
import {
  RelatedUsersFilterService,
  RelatedUsersOverviewFragment,
  RelatedUsersOverviewService,
} from '@orion/user-accounting-components/related-users';

@Component({
  selector: 'orion-task-related-users',
  templateUrl: './task-related-users.component.html',
  styleUrls: ['./task-related-users.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    RelatedUsersOverviewService,
    {
      provide: RelatedUsersFilterService,
      useClass: TaskRelatedUsersFilterService,
    },
  ],
})
export class TaskRelatedUsersComponent extends EntityFilterableSmartOverviewDirective<
  RelatedUsersOverviewFragment,
  RelatedUsersClientFilter
> {
  constructor(
    protected victimOverviewService: RelatedUsersOverviewService,
    protected filterService: RelatedUsersFilterService
  ) {
    super(victimOverviewService, filterService);
  }
}
