import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type TaskDetailMainContentFragment = {
  __typename?: 'Task';
  id: string;
  decision?: boolean | undefined;
  description: string;
  state?: SchemaTypes.TaskStateEnum | undefined;
  isAutomated?: boolean | undefined;
  outputIsJoined?: boolean | undefined;
  aggregatesResults?: boolean | undefined;
  name: string;
  created?: any | undefined;
  isDecision?: boolean | undefined;
  autotrigger?: boolean | undefined;
  stage: {
    __typename?: 'Stage';
    id: string;
    workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
  };
  createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
  events?: { __typename?: 'EventNestedList'; totalCount: number } | undefined;
  externalReferences?: { __typename?: 'CaseManagementExternalReferenceNestedList'; totalCount: number } | undefined;
  assets: {
    __typename?: 'AssetFederationBaseFederationResult';
    data: Array<
      | { __typename?: 'ASNType'; id: string }
      | { __typename?: 'AggregateType'; id: string }
      | { __typename?: 'CableType'; id: string }
      | { __typename?: 'CircuitTerminationType'; id: string }
      | { __typename?: 'CircuitType'; id: string }
      | { __typename?: 'CircuitTypeType'; id: string }
      | { __typename?: 'ClusterGroupType'; id: string }
      | { __typename?: 'ClusterType'; id: string }
      | { __typename?: 'ClusterTypeType'; id: string }
      | { __typename?: 'ConsolePortType'; id: string }
      | { __typename?: 'ConsoleServerPortType'; id: string }
      | { __typename?: 'DeviceBayType'; id: string }
      | { __typename?: 'DeviceRoleType'; id: string }
      | { __typename?: 'DeviceType'; id: string }
      | { __typename?: 'DeviceTypeType'; id: string }
      | { __typename?: 'FHRPGroupType'; id: string }
      | { __typename?: 'FrontPortType'; id: string }
      | { __typename?: 'IPAddressType'; id: string }
      | { __typename?: 'IPRangeType'; id: string }
      | { __typename?: 'InterfaceType'; id: string }
      | { __typename?: 'InventoryItemType'; id: string }
      | { __typename?: 'LocationType'; id: string }
      | { __typename?: 'ManufacturerType'; id: string }
      | { __typename?: 'PlatformType'; id: string }
      | { __typename?: 'PowerFeedType'; id: string }
      | { __typename?: 'PowerOutletType'; id: string }
      | { __typename?: 'PowerPanelType'; id: string }
      | { __typename?: 'PowerPortType'; id: string }
      | { __typename?: 'PrefixType'; id: string }
      | { __typename?: 'ProviderNetworkType'; id: string }
      | { __typename?: 'ProviderType'; id: string }
      | { __typename?: 'RIRType'; id: string }
      | { __typename?: 'RackReservationType'; id: string }
      | { __typename?: 'RackRoleType'; id: string }
      | { __typename?: 'RackType'; id: string }
      | { __typename?: 'RearPortType'; id: string }
      | { __typename?: 'RegionType'; id: string }
      | { __typename?: 'RoleType'; id: string }
      | { __typename?: 'RouteTargetType'; id: string }
      | { __typename?: 'ServiceType'; id: string }
      | { __typename?: 'SiteGroupType'; id: string }
      | { __typename?: 'SiteType'; id: string }
      | { __typename?: 'TenantGroupType'; id: string }
      | { __typename?: 'TenantType'; id: string }
      | { __typename?: 'VLANGroupType'; id: string }
      | { __typename?: 'VLANType'; id: string }
      | { __typename?: 'VMInterfaceType'; id: string }
      | { __typename?: 'VRFType'; id: string }
      | { __typename?: 'VirtualChassisType'; id: string }
      | { __typename?: 'VirtualMachineType'; id: string }
      | { __typename?: 'WirelessLanGroupType'; id: string }
      | { __typename?: 'WirelessLanType'; id: string }
      | { __typename?: 'WirelessLinkType'; id: string }
    >;
  };
  ttps: {
    __typename?: 'TTPFederationBaseFederationResult';
    data: Array<
      | { __typename?: 'GroupProcedure'; id: string }
      | { __typename?: 'MalwareProcedure'; id: string }
      | { __typename?: 'Tactic'; id: string }
      | { __typename?: 'Technique'; id: string }
      | { __typename?: 'ToolProcedure'; id: string }
    >;
  };
  observables: {
    __typename?: 'ObservableFederationBaseFederationResult';
    data: Array<
      | { __typename?: 'DomainName'; id: string }
      | { __typename?: 'DomainToDomainResolution'; id: string }
      | { __typename?: 'DomainToIPAddressResolution'; id: string }
      | { __typename?: 'EmailAddress'; id: string }
      | { __typename?: 'EmailMessage'; id: string }
      | { __typename?: 'FileReference'; id: string }
      | { __typename?: 'IPAddress'; id: string }
      | { __typename?: 'IPAddressToDomainResolution'; id: string }
      | { __typename?: 'URL'; id: string }
    >;
  };
  relatedUsers: {
    __typename?: 'RelatedUserFederatedTypeFederationResult';
    data: Array<{ __typename?: 'RelatedUserFederatedType'; id: string }>;
  };
  input?:
    | {
        __typename?: 'BaseTaskInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'BoolInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'DateInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
        dateValue?: any | undefined;
      }
    | {
        __typename?: 'DateTimeInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
        datetimeValue?: any | undefined;
      }
    | {
        __typename?: 'DomainInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'EmailAddressInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'EmailMessageInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'FileInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'FileRefInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'HashInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'IPInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'JSONInputOutput';
        jsonFormlySchema?: string | undefined;
        jsonInitialValue?: string | undefined;
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
        validation?: string | undefined;
      }
    | {
        __typename?: 'StringInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
        validation?: string | undefined;
      }
    | {
        __typename?: 'URLInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | undefined;
  output?:
    | {
        __typename?: 'BaseTaskInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'BoolInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'DateInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
        dateValue?: any | undefined;
      }
    | {
        __typename?: 'DateTimeInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
        datetimeValue?: any | undefined;
      }
    | {
        __typename?: 'DomainInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'EmailAddressInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'EmailMessageInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'FileInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'FileRefInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'HashInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'IPInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | {
        __typename?: 'JSONInputOutput';
        jsonFormlySchema?: string | undefined;
        jsonInitialValue?: string | undefined;
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
        validation?: string | undefined;
      }
    | {
        __typename?: 'StringInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
        validation?: string | undefined;
      }
    | {
        __typename?: 'URLInputOutput';
        id: string;
        stringifiedValue?: string | undefined;
        type?: string | undefined;
        description?: string | undefined;
      }
    | undefined;
  referencedBy?:
    | {
        __typename?: 'TaskReferenceNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'TaskReference';
          id: string;
          relationshipType: SchemaTypes.TaskReferenceTypeEnum;
          source: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          target: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
        }>;
      }
    | undefined;
  refersTo?:
    | {
        __typename?: 'TaskReferenceNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'TaskReference';
          id: string;
          relationshipType: SchemaTypes.TaskReferenceTypeEnum;
          source: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          target: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
        }>;
      }
    | undefined;
  targetRelationships?:
    | {
        __typename?: 'TaskRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'TaskRelationship';
          id: string;
          relationshipType: SchemaTypes.TaskRelationshipTypeEnum;
          source: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          target: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
        }>;
      }
    | undefined;
  sourceRelationships?:
    | {
        __typename?: 'TaskRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'TaskRelationship';
          id: string;
          relationshipType: SchemaTypes.TaskRelationshipTypeEnum;
          source: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          target: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
        }>;
      }
    | undefined;
  blockedSourceRelationship?:
    | {
        __typename?: 'TaskRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'TaskRelationship';
          id: string;
          relationshipType: SchemaTypes.TaskRelationshipTypeEnum;
          source: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          target: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
        }>;
      }
    | undefined;
  blockedTargetRelationship?:
    | {
        __typename?: 'TaskRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'TaskRelationship';
          id: string;
          relationshipType: SchemaTypes.TaskRelationshipTypeEnum;
          source: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
          target: {
            __typename?: 'Task';
            id: string;
            name: string;
            created?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          };
        }>;
      }
    | undefined;
};

export const TaskDetailMainContentFragmentDoc = gql`
  fragment taskDetailMainContent on Task {
    id
    ...taskName
    ...taskState
    ...taskToolbar
    decision
    description
    state
    isAutomated
    outputIsJoined
    aggregatesResults
    ...taskDetailTabs
  }
`;
