import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { CommentModule } from '@orion/comment-components';
import { EditableEntityModule } from '@orion/shared-components/editable-entity';
import { EntityToolbarModule } from '@orion/shared-components/entity-toolbar';
import { TabLabelsModule } from '@orion/shared-components/tab-labels';
import { TaskFlagsModule, TaskNameModule, TaskStateModule } from '@orion/task-components/shared';
import { EntityToolbarInfoModule } from '@orion/user-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelLoadingModule } from '@sentinel/components/loading';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { OrionTabsModule } from '@csirtmu-orion/microframework/tabs';
import { TaskDetailMainContentComponent } from './task-detail-main-content.component';
import { TaskToolbarComponent } from './task-toolbar';
import {
  TaskDetailTabsComponent,
  TaskExternalReferencesModule,
  TaskIoModule,
  TaskOverviewTabComponent,
  TaskPredecessorsPanelModule,
  TaskReferencesPanelModule,
  TaskRelatedAssetsModule,
  TaskRelatedEventsModule,
  TaskRelatedObservablesModule,
  TaskRelatedTtpsModule,
  TaskRelatedUsersModule,
} from './tabs';
import { BlockingPanelModule } from './tabs/overview-tab/blocking-panel';
import { TaskSuccessorsPanelModule } from './tabs/overview-tab/sucessors-panel';
import { BlockedByPanelModule } from './tabs/overview-tab/blocked-by-panel';

@NgModule({
  declarations: [
    TaskDetailMainContentComponent,
    TaskToolbarComponent,
    TaskDetailTabsComponent,
    TaskOverviewTabComponent,
  ],
  imports: [
    CommonModule,
    EntityToolbarModule,
    EntityToolbarInfoModule,
    EditableEntityModule,
    TaskRelatedAssetsModule,
    OrionTabsModule,
    TaskRelatedEventsModule,
    TaskExternalReferencesModule,
    TaskRelatedTtpsModule,
    TaskRelatedObservablesModule,
    SentinelPipesModule,
    TabLabelsModule,
    TaskStateModule,
    CommentModule,
    OrionPanelModule,
    MatIconModule,
    SentinelLoadingModule,
    TaskReferencesPanelModule,
    TaskPredecessorsPanelModule,
    TaskIoModule,
    TaskRelatedUsersModule,
    TaskNameModule,
    TaskSuccessorsPanelModule,
    BlockingPanelModule,
    BlockedByPanelModule,
    TaskFlagsModule,
  ],
  exports: [TaskDetailMainContentComponent],
})
export class TaskDetailMainContentModule {}
