import { gql } from 'apollo-angular';

export type TaskDetailSidebarFragment = {
  __typename?: 'Task';
  id: string;
  dueDate?: any | undefined;
  stage: {
    __typename?: 'Stage';
    id: string;
    name: string;
    created?: any | undefined;
    workflow: {
      __typename?: 'Workflow';
      id: string;
      name: string;
      created?: any | undefined;
      case: {
        __typename?: 'Case';
        id: string;
        name: string;
        created?: any | undefined;
        createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
      };
      createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
    };
    createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
  };
  assignees?:
    | {
        __typename?: 'CaseDBUserNestedList';
        totalCount: number;
        data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
      }
    | undefined;
  labels?:
    | {
        __typename?: 'LabelNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'Label';
          id: string;
          name: string;
          backgroundColor?: string | undefined;
          textColor?: string | undefined;
        }>;
      }
    | undefined;
};

export const TaskDetailSidebarFragmentDoc = gql`
  fragment taskDetailSidebar on Task {
    id
    dueDate
    stage {
      ...stageName
      workflow {
        ...workflowName
        case {
          ...caseName
        }
      }
    }
    assignees {
      data {
        ...userNameAndIcon
      }
      totalCount
    }
    labels {
      data {
        ...labelChip
      }
      totalCount
    }
  }
`;
