import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { RouterModule } from '@angular/router';
import { CaseNameSidebarElementModule } from '@orion/case-components/shared';
import { EntityNameSidebarElementModule } from '@orion/shared-components/entity-name-sidebar-element';
import { StageNameSidebarElementModule } from '@orion/stage-components/stage-name-sidebar';
import { UsersSidebarElementModule } from '@orion/user-components/shared';
import { WorkflowNameSidebarElementModule } from '@orion/workflow-components/workflow-name-sidebar';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionDueDateSidebarElementModule } from '@csirtmu-orion/microframework/due-date';
import { OrionSidebarModule } from '@csirtmu-orion/microframework/sidebar';
import { TaskDetailSidebarComponent } from './task-detail-sidebar.component';
import { LabelsSidebarElementModule } from '@orion/label-components/shared';

@NgModule({
  declarations: [TaskDetailSidebarComponent],
  imports: [
    CommonModule,
    OrionSidebarModule,
    SentinelPipesModule,
    MatButtonModule,
    RouterModule,
    OrionDueDateSidebarElementModule,
    UsersSidebarElementModule,
    EntityNameSidebarElementModule,
    StageNameSidebarElementModule,
    WorkflowNameSidebarElementModule,
    CaseNameSidebarElementModule,
    LabelsSidebarElementModule,
  ],
  exports: [TaskDetailSidebarComponent],
})
export class TaskDetailSidebarModule {}
