import { Injectable } from '@angular/core';
import { TaskUpdate } from '@orion/graphql-types';
import { namedOperations } from '@orion/named-operations';
import { ApolloEntityPatchService } from '@csirtmu-orion/microframework/apollo-services';
import { EntityUpdateEvent } from '@csirtmu-orion/microframework/graphql';
import { UpdateTaskMutation, UpdateTaskMutationService, UpdateTaskMutationVariables } from './graphql';

@Injectable()
export class TaskPatchService extends ApolloEntityPatchService<
  TaskUpdate,
  UpdateTaskMutation,
  UpdateTaskMutationVariables
> {
  protected refetchQueriesNames = [namedOperations.Query.getTaskDetail];

  constructor(protected patchMutation: UpdateTaskMutationService) {
    super(patchMutation);
  }

  createVariables(event: EntityUpdateEvent<TaskUpdate>): UpdateTaskMutationVariables {
    return event;
  }
}
