import { gql } from 'apollo-angular';

export type TaskNameRowFragment = {
  __typename?: 'Task';
  id: string;
  name: string;
  created?: any | undefined;
  labels?:
    | {
        __typename?: 'LabelNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'Label';
          id: string;
          name: string;
          backgroundColor?: string | undefined;
          textColor?: string | undefined;
        }>;
      }
    | undefined;
  stage: {
    __typename?: 'Stage';
    id: string;
    workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
  };
  createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
};

export const TaskNameRowFragmentDoc = gql`
  fragment taskNameRow on Task {
    ...taskName
    labels {
      data {
        ...labelChip
      }
      totalCount
    }
  }
`;
