import { SimpleRowTable } from '@orion/common';
import { TaskOrdEnum } from '@orion/graphql-types';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { TaskTableFragment } from './task-table.fragment.generated';

export class TasksTable extends SimpleRowTable<TaskTableFragment> {
  constructor(
    resources: IPaginatedElements<TaskTableFragment> | TaskTableFragment[],
    sortable = false,
    selectable = false
  ) {
    const columns = [
      new Column('name', 'Name', sortable, TaskOrdEnum.NAME),
      new Column('dueDate', 'Due Date', sortable, TaskOrdEnum.DUE_DATE),
      new Column('assignees', 'Assignees', false),
      new Column('state', 'State', sortable, TaskOrdEnum.STATE),
      new Column('updated', 'updated', sortable, TaskOrdEnum.LAST_UPDATED),
      new Column('flags', 'Flags', false),
    ];
    super(resources, columns);

    this.selectable = selectable;
  }
}
