import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { defer } from 'rxjs';
import { TaskOverviewElementFragment } from './task-overview-element.fragment.generated';

@Component({
  selector: 'orion-tasks-overview',
  templateUrl: './tasks-overview.component.html',
  styleUrls: ['./tasks-overview.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TasksOverviewComponent {
  @Input() hasError = false;
  @Input() tasks: TaskOverviewElementFragment[] = [];
  @Output() tryAgain: EventEmitter<void> = new EventEmitter<void>();
  onTryAgain$ = defer(() => this.tryAgain.emit());
}
