import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';

import { TaskFlagsModule, TaskNameModule, TaskStateModule } from '@orion/task-components/shared';
import { UsersModule, UsersTableCellModule } from '@orion/user-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionButtonWithIconModule } from '@csirtmu-orion/microframework/button-with-icon';
import { OrionDueDateModule } from '@csirtmu-orion/microframework/due-date';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { TaskNameRowComponent, TaskTableComponent } from './task-table';
import { TasksOverviewComponent } from './tasks-overview.component';
import { LabelsModule } from '@orion/label-components/shared';

@NgModule({
  declarations: [TasksOverviewComponent, TaskTableComponent, TaskNameRowComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    UsersModule,
    OrionButtonWithIconModule,
    SentinelTableModule,
    UsersTableCellModule,
    OrionDueDateModule,
    OrionTimeAgoModule,
    TaskNameModule,
    TaskStateModule,
    SentinelErrorModule,
    OrionSkeletonLoadingModule,
    TaskFlagsModule,
    LabelsModule,
  ],
  exports: [TasksOverviewComponent, TaskTableComponent],
})
export class TasksOverviewModule {}
