import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { TasksOverviewModule } from '../overview';
import { RelatedTasksOverviewComponent } from './related-tasks-overview.component';
import { TasksFiltersComponent } from './task-filters';
import { OrionDateRangeFormModule } from '@csirtmu-orion/microframework/date-range-forms';
import { OrionDateFormModule } from '@csirtmu-orion/microframework/date-form';
import { OrionEnumerationSelectModule } from '@csirtmu-orion/microframework/enumeration-select';
import { UsersSidebarElementModule } from '@orion/user-components/shared';

@NgModule({
  declarations: [RelatedTasksOverviewComponent, TasksFiltersComponent],
  imports: [
    CommonModule,
    OrionFilterModule,
    SentinelPipesModule,
    TasksOverviewModule,
    OrionCardModule,
    OrionDateRangeFormModule,
    OrionDateFormModule,
    OrionEnumerationSelectModule,
    UsersSidebarElementModule,
  ],
  exports: [RelatedTasksOverviewComponent],
})
export class RelatedTasksOverviewModule {}
