import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { TaskListElementFragmentDoc } from '../task-selection/task-list-element.fragment.generated';
import { TaskNameFragmentDoc } from '../task-name/graphql/task-name.fragment.generated';
import { UserNameAndIconFragmentDoc } from '../../../../user/components/shared/graphql/user-icon.fragment.generated';
import { TaskFlagsFragmentDoc } from '../task-flags/task-flags.fragment.generated';
import { Injectable } from '@angular/core';

export type GetTaskListQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.TaskFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.TaskOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetTaskListQuery = {
  __typename?: 'Query';
  getTaskList: {
    __typename?: 'TaskPaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'Task';
      state?: SchemaTypes.TaskStateEnum | undefined;
      isDecision?: boolean | undefined;
      id: string;
      name: string;
      created?: any | undefined;
      autotrigger?: boolean | undefined;
      isAutomated?: boolean | undefined;
      aggregatesResults?: boolean | undefined;
      stage: {
        __typename?: 'Stage';
        id: string;
        workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
      };
      createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
    }>;
  };
};

export const GetTaskListDocument = gql`
  query getTaskList(
    $filter: [TaskFilter1ANDFilterEntry!]
    $order: [TaskOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getTaskList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...taskListElement
      }
      previous
      next
      totalCount
    }
  }
  ${TaskListElementFragmentDoc}
  ${TaskNameFragmentDoc}
  ${UserNameAndIconFragmentDoc}
  ${TaskFlagsFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetTaskListQueryService extends Apollo.Query<GetTaskListQuery, GetTaskListQueryVariables> {
  document = GetTaskListDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
