import { gql } from 'apollo-angular';

export type TaskNameFragment = {
  __typename?: 'Task';
  id: string;
  name: string;
  created?: any | undefined;
  stage: {
    __typename?: 'Stage';
    id: string;
    workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
  };
  createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
};

export const TaskNameFragmentDoc = gql`
  fragment taskName on Task {
    id
    name
    stage {
      id
      workflow {
        id
        case {
          id
        }
      }
    }
    created
    createdBy {
      ...userNameAndIcon
    }
  }
`;
