import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EntitySubtitleModule } from '@orion/shared-components/entity-subtitle';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { TaskNameComponent } from './task-name.component';
import { TaskNavigatorPipe } from './task-navigator.pipe';
import { MatIconModule } from '@angular/material/icon';
import { MatTooltipModule } from '@angular/material/tooltip';
import { SentinelPipesModule } from '@sentinel/common/pipes';

@NgModule({
  declarations: [TaskNameComponent, TaskNavigatorPipe],
  imports: [
    CommonModule,
    OrionEntityNameModule,
    EntitySubtitleModule,
    MatIconModule,
    MatTooltipModule,
    SentinelPipesModule,
  ],
  exports: [TaskNameComponent, TaskNavigatorPipe],
})
export class TaskNameModule {}
