import { Optional, Pipe, PipeTransform } from '@angular/core';
import { TaskNameFragment } from '@orion/task-components/shared';
import { TaskNavigator } from '@orion/task-services';

@Pipe({
  name: 'taskNavigator',
})
export class TaskNavigatorPipe implements PipeTransform {
  constructor(@Optional() private routeResolver?: TaskNavigator) {}

  transform(task?: TaskNameFragment): string | undefined {
    if (task && this.routeResolver) {
      return this.routeResolver.toDetail(task);
    } else {
      return undefined;
    }
  }
}
