import { Pipe, PipeTransform } from '@angular/core';
import { TaskStateEnum } from '@orion/graphql-types';

@Pipe({
  name: 'taskStateIcon',
})
export class TaskStateIconPipe implements PipeTransform {
  transform(state: TaskStateEnum, hasDecision?: boolean, decision?: boolean): string {
    switch (state) {
      case TaskStateEnum.OPEN: {
        return 'outlined_flag';
      }
      case TaskStateEnum.PENDING: {
        return 'pending_outlined';
      }
      case TaskStateEnum.REJECTED: {
        return 'block';
      }
      case TaskStateEnum.RESOLVED: {
        if (hasDecision) {
          return decision ? 'done_all' : 'unpublished';
        } else {
          return 'done';
        }
      }
      case TaskStateEnum.RUNNING: {
        return 'hourglass_empty';
      }
      case TaskStateEnum.SKIPPED: {
        return 'skip_next';
      }
    }
  }
}
