import { Pipe, PipeTransform } from '@angular/core';
import { TaskStateEnum } from '@orion/graphql-types';

@Pipe({
  name: 'taskStateTooltip',
})
export class TaskStateTooltipPipe implements PipeTransform {
  transform(state: TaskStateEnum, hasDecision?: boolean, decision?: boolean): string {
    switch (state) {
      case TaskStateEnum.OPEN: {
        return 'Task is open and can be worked on';
      }
      case TaskStateEnum.PENDING: {
        return 'Task is waiting for predecessors to resolve';
      }
      case TaskStateEnum.REJECTED: {
        return 'Task was rejected';
      }
      case TaskStateEnum.RESOLVED: {
        if (hasDecision) {
          return decision ? 'Task was resolved to true decision' : 'Task was resolved to false decision';
        } else {
          return 'Task is done';
        }
      }
      case TaskStateEnum.RUNNING: {
        return 'Task automation pipeline is running';
      }
      case TaskStateEnum.SKIPPED: {
        return 'Task was skipped';
      }
    }
  }
}
