import * as SchemaTypes from '../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { TaskNameFragmentDoc } from '../../components/shared/task-name/graphql/task-name.fragment.generated';
import { UserNameAndIconFragmentDoc } from '../../../user/components/shared/graphql/user-icon.fragment.generated';
import { Injectable } from '@angular/core';

export type GetTaskNameQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetTaskNameQuery = {
  __typename?: 'Query';
  getTask?:
    | {
        __typename?: 'Task';
        id: string;
        name: string;
        created?: any | undefined;
        stage: {
          __typename?: 'Stage';
          id: string;
          workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
        };
        createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
      }
    | undefined;
};

export const GetTaskNameDocument = gql`
  query getTaskName($id: ID!) {
    getTask(id: $id) {
      ...taskName
    }
  }
  ${TaskNameFragmentDoc}
  ${UserNameAndIconFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetTaskNameQueryService extends Apollo.Query<GetTaskNameQuery, GetTaskNameQueryVariables> {
  document = GetTaskNameDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
