import { Injectable } from '@angular/core';
import { TASK_PARAM_SELECTOR } from '@orion/case-paths';
import { entityId, entityTitle } from '@orion/common';
import { OrionIdBreadcrumbResolver } from '@orion/shared/services/global';

@Injectable()
export class TaskBreadcrumbResolver extends OrionIdBreadcrumbResolver {
  protected toBreadcrumb(id: string): string {
    return `Task ${entityId(id)}`;
  }

  protected getIdParamSelector(): string {
    return TASK_PARAM_SELECTOR;
  }
}

@Injectable()
export class TaskTitleResolver extends OrionIdBreadcrumbResolver {
  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Task');
  }

  protected getIdParamSelector(): string {
    return TASK_PARAM_SELECTOR;
  }
}
