import { CASES_PATH, CREATE_TASK_PATH, STAGE_PATH, TASK_PATH, WORKFLOW_PATH } from '@orion/case-paths';
import { toAuthPath } from '@orion/common';
import { StageNameFragment } from '@orion/stage-components/stage-name';
import { TaskNameFragment } from '@orion/task-components/shared';

export class TaskNavigator {
  toDetail(task: TaskNameFragment): string {
    const caseId = task.stage?.workflow?.case?.id;
    const workflowId = task?.stage?.workflow?.id;
    const stageId = task?.stage?.id;
    return toAuthPath(
      `${CASES_PATH}/${caseId}/${WORKFLOW_PATH}/${workflowId}/${STAGE_PATH}/${stageId}/${TASK_PATH}/${task.id}`
    );
  }

  toCreate(stage: StageNameFragment): string {
    const caseId = stage?.workflow?.case?.id;
    const workflowId = stage?.workflow?.id;
    return toAuthPath(
      `${CASES_PATH}/${caseId}/${WORKFLOW_PATH}/${workflowId}/${STAGE_PATH}/${stage.id}/${CREATE_TASK_PATH}`
    );
  }
}
