import { KnownInputOutputTypes, TaskRelationshipTypeEnum } from '@orion/graphql-types';

export interface CreateTaskPredecessor {
  id: string;
  condition: TaskRelationshipTypeEnum;
}

export interface CreateTaskBaseData {
  aggregatesResults: boolean;
  isDecision: boolean;
  name: string;
  description: string;
  inputType?: KnownInputOutputTypes;
  inputDescription?: string;
  input?: string;
  inputFormat?: string;
  outputDescription?: string;
  outputType?: KnownInputOutputTypes;
  outputFormat?: string;
}

export interface CreateParentlessTaskData extends CreateTaskBaseData {}

export interface CreateTaskWithParentData extends CreateTaskBaseData {
  predecessors: CreateTaskPredecessor[];
}

export type CreateTaskData = CreateParentlessTaskData | CreateTaskWithParentData;

export function isParentlessTask(data: CreateTaskData): data is CreateParentlessTaskData {
  return !data.hasOwnProperty('predecessors');
}
