import { ChangeDetectionStrategy, Component } from '@angular/core';
import { Optional } from '@sentinel/common/utils';
import { EntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { SubTechniquesTableFragment } from './sub-technique-table.fragment.generated';
import { SubTechniquesTable } from './sub-techniques-table';

@Component({
  selector: 'orion-sub-techniques-table',
  templateUrl: './sub-techniques-table.component.html',
  styleUrls: ['./sub-techniques-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class SubTechniquesTableComponent extends EntityTableDirective<
  Optional<SubTechniquesTableFragment>,
  SubTechniquesTable
> {
  protected createTable(entities: SubTechniquesTableFragment[]): SubTechniquesTable {
    return new SubTechniquesTable(entities);
  }
}
