import { gql } from 'apollo-angular';

export type SelectedTtpGroupProcedureFragment = {
  __typename?: 'GroupProcedure';
  id: string;
  ttpType?: string | undefined;
  created?: any | undefined;
  name: string;
};

export type SelectedTtpMalwareProcedureFragment = {
  __typename?: 'MalwareProcedure';
  id: string;
  ttpType?: string | undefined;
  created?: any | undefined;
  name: string;
};

export type SelectedTtpTacticFragment = {
  __typename?: 'Tactic';
  id: string;
  ttpType?: string | undefined;
  created?: any | undefined;
  name: string;
};

export type SelectedTtpTechniqueFragment = {
  __typename?: 'Technique';
  id: string;
  ttpType?: string | undefined;
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  name: string;
  subTechniqueOf?:
    | {
        __typename?: 'Technique';
        id: string;
        ttpType?: string | undefined;
        name: string;
        tactics?:
          | {
              __typename?: 'TacticNestedList';
              data: Array<{ __typename?: 'Tactic'; id: string; ttpType?: string | undefined }>;
            }
          | undefined;
      }
    | undefined;
  tactics?:
    | {
        __typename?: 'TacticNestedList';
        data: Array<{ __typename?: 'Tactic'; id: string; ttpType?: string | undefined }>;
      }
    | undefined;
};

export type SelectedTtpToolProcedureFragment = {
  __typename?: 'ToolProcedure';
  id: string;
  ttpType?: string | undefined;
  created?: any | undefined;
  name: string;
};

export type SelectedTtpFragment =
  | SelectedTtpGroupProcedureFragment
  | SelectedTtpMalwareProcedureFragment
  | SelectedTtpTacticFragment
  | SelectedTtpTechniqueFragment
  | SelectedTtpToolProcedureFragment;

export const SelectedTtpFragmentDoc = gql`
  fragment selectedTTP on ITTP {
    ...ttpId
    ...ttpName
    ... on Technique {
      subTechniqueOf {
        ...ttpId
        tactics {
          data {
            ...ttpId
          }
        }
      }
      tactics {
        data {
          ...ttpId
        }
      }
    }
  }
`;
