import { gql } from 'apollo-angular';

export type TtpNodeGroupProcedureFragment = {
  __typename?: 'GroupProcedure';
  ttpType?: string | undefined;
  created?: any | undefined;
  id: string;
  name: string;
};

export type TtpNodeMalwareProcedureFragment = {
  __typename?: 'MalwareProcedure';
  ttpType?: string | undefined;
  created?: any | undefined;
  id: string;
  name: string;
};

export type TtpNodeTacticFragment = {
  __typename?: 'Tactic';
  ttpType?: string | undefined;
  created?: any | undefined;
  id: string;
  name: string;
};

export type TtpNodeTechniqueFragment = {
  __typename?: 'Technique';
  ttpType?: string | undefined;
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  id: string;
  name: string;
  subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
};

export type TtpNodeToolProcedureFragment = {
  __typename?: 'ToolProcedure';
  ttpType?: string | undefined;
  created?: any | undefined;
  id: string;
  name: string;
};

export type TtpNodeFragment =
  | TtpNodeGroupProcedureFragment
  | TtpNodeMalwareProcedureFragment
  | TtpNodeTacticFragment
  | TtpNodeTechniqueFragment
  | TtpNodeToolProcedureFragment;

export type TacticNodeFragment = {
  __typename?: 'Tactic';
  ttpType?: string | undefined;
  created?: any | undefined;
  id: string;
  name: string;
  techniques?:
    | { __typename?: 'TechniqueNestedList'; totalCount: number; data: Array<{ __typename?: 'Technique'; id: string }> }
    | undefined;
};

export type TechniqueNodeFragment = {
  __typename?: 'Technique';
  ttpType?: string | undefined;
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  id: string;
  name: string;
  subTechniques?:
    | { __typename?: 'TechniqueNestedList'; totalCount: number; data: Array<{ __typename?: 'Technique'; id: string }> }
    | undefined;
  subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
};

export const TtpNodeFragmentDoc = gql`
  fragment ttpNode on ITTP {
    ...ttpName
    ttpType
  }
`;
export const TacticNodeFragmentDoc = gql`
  fragment tacticNode on Tactic {
    ...ttpNode
    techniques(filter: [{ AND: [{ OR: { isSubtechnique: { exact: false } } }] }]) {
      totalCount
      data {
        id
      }
    }
  }
`;
export const TechniqueNodeFragmentDoc = gql`
  fragment techniqueNode on Technique {
    ...ttpNode
    subTechniques {
      totalCount
      data {
        id
      }
    }
  }
`;
