import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { TacticNodeFragmentDoc, TechniqueNodeFragmentDoc, TtpNodeFragmentDoc } from './ttp-tree.fragment.generated';
import { TtpNameFragmentDoc } from '../../../shared/ttp-name/ttp-name.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../types/ttp-id/ttp-id.fragment.generated';
import { Injectable } from '@angular/core';

export type GetTacticNodesQueryVariables = SchemaTypes.Exact<{ [key: string]: never }>;

export type GetTacticNodesQuery = {
  __typename?: 'Query';
  getTacticList: {
    __typename?: 'TacticPaginated';
    next?: string | undefined;
    previous?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'Tactic';
      ttpType?: string | undefined;
      created?: any | undefined;
      id: string;
      name: string;
      techniques?:
        | {
            __typename?: 'TechniqueNestedList';
            totalCount: number;
            data: Array<{ __typename?: 'Technique'; id: string }>;
          }
        | undefined;
    }>;
  };
};

export type GetTechniqueNodesQueryVariables = SchemaTypes.Exact<{
  tacticId: SchemaTypes.Scalars['ID'];
}>;

export type GetTechniqueNodesQuery = {
  __typename?: 'Query';
  getTactic?:
    | {
        __typename?: 'Tactic';
        id: string;
        techniques?:
          | {
              __typename?: 'TechniqueNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'Technique';
                ttpType?: string | undefined;
                isSubtechnique?: boolean | undefined;
                created?: any | undefined;
                id: string;
                name: string;
                subTechniques?:
                  | {
                      __typename?: 'TechniqueNestedList';
                      totalCount: number;
                      data: Array<{ __typename?: 'Technique'; id: string }>;
                    }
                  | undefined;
                subTechniqueOf?:
                  | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
                  | undefined;
              }>;
            }
          | undefined;
      }
    | undefined;
};

export type GetSubTechniqueNodesQueryVariables = SchemaTypes.Exact<{
  techniqueId: SchemaTypes.Scalars['ID'];
}>;

export type GetSubTechniqueNodesQuery = {
  __typename?: 'Query';
  getTechnique?:
    | {
        __typename?: 'Technique';
        id: string;
        subTechniques?:
          | {
              __typename?: 'TechniqueNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'Technique';
                ttpType?: string | undefined;
                isSubtechnique?: boolean | undefined;
                created?: any | undefined;
                id: string;
                name: string;
                subTechniques?:
                  | {
                      __typename?: 'TechniqueNestedList';
                      totalCount: number;
                      data: Array<{ __typename?: 'Technique'; id: string }>;
                    }
                  | undefined;
                subTechniqueOf?:
                  | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
                  | undefined;
              }>;
            }
          | undefined;
      }
    | undefined;
};

export const GetTacticNodesDocument = gql`
  query getTacticNodes {
    getTacticList {
      data {
        ...tacticNode
      }
      next
      previous
      totalCount
    }
  }
  ${TacticNodeFragmentDoc}
  ${TtpNodeFragmentDoc}
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetTacticNodesQueryService extends Apollo.Query<GetTacticNodesQuery, GetTacticNodesQueryVariables> {
  document = GetTacticNodesDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const GetTechniqueNodesDocument = gql`
  query getTechniqueNodes($tacticId: ID!) {
    getTactic(id: $tacticId) {
      id
      techniques(filter: [{ AND: [{ OR: { isSubtechnique: { exact: false } } }] }]) {
        data {
          ...techniqueNode
        }
        totalCount
      }
    }
  }
  ${TechniqueNodeFragmentDoc}
  ${TtpNodeFragmentDoc}
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetTechniqueNodesQueryService extends Apollo.Query<
  GetTechniqueNodesQuery,
  GetTechniqueNodesQueryVariables
> {
  document = GetTechniqueNodesDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const GetSubTechniqueNodesDocument = gql`
  query getSubTechniqueNodes($techniqueId: ID!) {
    getTechnique(id: $techniqueId) {
      id
      subTechniques {
        data {
          ...techniqueNode
        }
        totalCount
      }
    }
  }
  ${TechniqueNodeFragmentDoc}
  ${TtpNodeFragmentDoc}
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetSubTechniqueNodesQueryService extends Apollo.Query<
  GetSubTechniqueNodesQuery,
  GetSubTechniqueNodesQueryVariables
> {
  document = GetSubTechniqueNodesDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
