import {
  SelectedTtpFragment,
  SelectedTtpTechniqueFragment,
  TacticNodeFragment,
  TechniqueNodeFragment,
  TtpNodeFragment,
} from '@orion/ttps-components/detail-shared';

export function isTacticNode(ttp: TtpNodeFragment): ttp is TacticNodeFragment {
  return ttp.__typename === 'Tactic';
}

export function isTechniqueNode(ttp: TtpNodeFragment): ttp is TechniqueNodeFragment {
  return ttp.__typename === 'Technique';
}

export function isSelectedTtpTechniqueFragment(
  fragment: SelectedTtpFragment
): fragment is SelectedTtpTechniqueFragment {
  return fragment && fragment.__typename === 'Technique' && fragment.isSubtechnique === false;
}

export function isSelectedTtpSubTechniqueFragment(
  fragment: SelectedTtpFragment
): fragment is SelectedTtpTechniqueFragment {
  return fragment && fragment.__typename === 'Technique' && fragment.isSubtechnique === true;
}
