import { TACTIC_ICON, TECHNIQUE_ICON } from '@orion/common';
import { TreeNode } from '@csirtmu-orion/microframework/nested-tree';
import { TtpNodeFragment } from '../graphql';
import { isTacticNode, isTechniqueNode } from './fragment-guards';

export class TTPTreeNode extends TreeNode<TtpNodeFragment> {
  constructor(ttp: TtpNodeFragment) {
    super(ttp);
    this.title = ttp.name;
    this.icon = this.resolveIcon(ttp);
  }

  private resolveIcon(ttp: TtpNodeFragment): string {
    if (isTacticNode(ttp)) {
      return TACTIC_ICON;
    }
    if (isTechniqueNode(ttp)) {
      return TECHNIQUE_ICON;
    } else {
      return TECHNIQUE_ICON;
    }
  }
}
