import { Injectable } from '@angular/core';
import { ActivatedRoute, Data, ParamMap, Params, Router } from '@angular/router';
import { RelatedCaseFilterService } from '@orion/case-components/filters';
import { RelatedCaseFilter } from '@orion/case-types';
import { TTP_PARAM_SELECTOR } from '@orion/ttps-paths';
import { Observable, of } from 'rxjs';

@Injectable()
export class TTPRelatedCaseFilterService extends RelatedCaseFilterService {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected toQueryParams(filter: RelatedCaseFilter): Params {
    const params = super.toQueryParams(filter);
    delete params.ttp;
    return params;
  }

  protected createFilterFromRoute(
    queryParamMap: ParamMap,
    paramMap: ParamMap,
    data: Data
  ): Observable<RelatedCaseFilter> {
    const id = paramMap.get(TTP_PARAM_SELECTOR) ?? undefined;
    const type = data.ttpType;
    return of({ ttp: { ttpId: { exact: id }, ttpType: { exact: type } } });
  }
}
