import { ChangeDetectionStrategy, Component } from '@angular/core';
import { RelatedCaseFilterChipsService, RelatedCaseFilterService } from '@orion/case-components/filters';
import { RelatedCaseService, RelatedCasesParentDirective } from '@orion/case-components/related-cases';
import { TTPRelatedCaseFilterService } from './ttp-related-case-filter.service';

@Component({
  selector: 'orion-ttp-related-cases',
  templateUrl: './ttp-related-cases.component.html',
  styleUrls: ['./ttp-related-cases.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    RelatedCaseService,
    RelatedCaseFilterChipsService,
    { provide: RelatedCaseFilterService, useClass: TTPRelatedCaseFilterService },
  ],
})
export class TTPRelatedCasesComponent extends RelatedCasesParentDirective {
  constructor(
    protected relatedCasesService: RelatedCaseService,
    protected filterService: RelatedCaseFilterService,
    protected chipsService: RelatedCaseFilterChipsService
  ) {
    super(relatedCasesService, filterService, chipsService);
  }
}
