import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { TaskTableFragmentDoc } from '../../../../../../task/components/overview/task-table/task-table.fragment.generated';
import { TaskNameRowFragmentDoc } from '../../../../../../task/components/overview/task-table/task-name-row/task-name-row.fragment.generated';
import { TaskNameFragmentDoc } from '../../../../../../task/components/shared/task-name/graphql/task-name.fragment.generated';
import { UserNameAndIconFragmentDoc } from '../../../../../../user/components/shared/graphql/user-icon.fragment.generated';
import { LabelChipFragmentDoc } from '../../../../../../label/components/shared/label/label-chip.fragment.generated';
import { TaskStateFragmentDoc } from '../../../../../../task/components/shared/task-state/task-state.fragment.generated';
import { TaskFlagsFragmentDoc } from '../../../../../../task/components/shared/task-flags/task-flags.fragment.generated';
import { Injectable } from '@angular/core';

export type GetTtpRelatedTasksQueryVariables = SchemaTypes.Exact<{
  ttpId: SchemaTypes.Scalars['ID'];
  ttpType: SchemaTypes.KnownTtPsTypesEnum;
}>;

export type GetTtpRelatedTasksQuery = {
  __typename?: 'Query';
  getFederatedTtp?:
    | {
        __typename?: 'GroupProcedure';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'MalwareProcedure';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'Tactic';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'Technique';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | {
        __typename?: 'ToolProcedure';
        id: string;
        tasks: {
          __typename?: 'TaskFederationResult';
          data: Array<{
            __typename?: 'Task';
            dueDate?: any | undefined;
            lastUpdated?: any | undefined;
            state?: SchemaTypes.TaskStateEnum | undefined;
            isDecision?: boolean | undefined;
            decision?: boolean | undefined;
            autotrigger?: boolean | undefined;
            isAutomated?: boolean | undefined;
            aggregatesResults?: boolean | undefined;
            id: string;
            name: string;
            created?: any | undefined;
            stage: {
              __typename?: 'Stage';
              id: string;
              workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
            };
            assignees?:
              | {
                  __typename?: 'CaseDBUserNestedList';
                  totalCount: number;
                  data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
                }
              | undefined;
            labels?:
              | {
                  __typename?: 'LabelNestedList';
                  totalCount: number;
                  data: Array<{
                    __typename?: 'Label';
                    id: string;
                    name: string;
                    backgroundColor?: string | undefined;
                    textColor?: string | undefined;
                  }>;
                }
              | undefined;
            createdBy?:
              | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
              | undefined;
          }>;
        };
      }
    | undefined;
};

export const GetTtpRelatedTasksDocument = gql`
  query getTTPRelatedTasks($ttpId: ID!, $ttpType: KnownTTPsTypesEnum!) {
    getFederatedTtp(ttpId: $ttpId, ttpType: $ttpType) {
      id
      tasks {
        data {
          ...taskTable
        }
      }
    }
  }
  ${TaskTableFragmentDoc}
  ${TaskNameRowFragmentDoc}
  ${TaskNameFragmentDoc}
  ${UserNameAndIconFragmentDoc}
  ${LabelChipFragmentDoc}
  ${TaskStateFragmentDoc}
  ${TaskFlagsFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetTtpRelatedTasksQueryService extends Apollo.Query<
  GetTtpRelatedTasksQuery,
  GetTtpRelatedTasksQueryVariables
> {
  document = GetTtpRelatedTasksDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
