import { Injectable } from '@angular/core';
import { KnownTtPsTypesEnum } from '@orion/graphql-types';
import { strToTTPTypeEnum } from '@orion/ttps-types';
import { ApolloInterfaceChildEntitiesService } from '@csirtmu-orion/microframework/apollo-services';
import {
  GetTtpRelatedTasksQuery,
  GetTtpRelatedTasksQueryService,
  GetTtpRelatedTasksQueryVariables,
} from './ttp-related-tasks.operation.generated';
import { TaskTableFragment } from '@orion/task-components/overview';

@Injectable()
export class TTPRelatedTasksService extends ApolloInterfaceChildEntitiesService<
  GetTtpRelatedTasksQuery,
  GetTtpRelatedTasksQueryVariables,
  TaskTableFragment,
  KnownTtPsTypesEnum
> {
  constructor(public getQuery: GetTtpRelatedTasksQueryService) {
    super(getQuery, 'Fetching related tasks');
  }

  protected createVariables(parentId: string, parentType: KnownTtPsTypesEnum): GetTtpRelatedTasksQueryVariables {
    return {
      ttpId: parentId,
      ttpType: strToTTPTypeEnum(parentType),
    };
  }

  protected toFragments(query: GetTtpRelatedTasksQuery): TaskTableFragment[] {
    return query?.getFederatedTtp?.tasks.data ?? [];
  }
}
