import { ChangeDetectionStrategy, Component } from '@angular/core';
import { CaseNavigator } from '@orion/case-services';
import { TaskNavigator } from '@orion/task-services';
import {
  EntityDetailTabsDirective,
  OrionQueryParamTabService,
  OrionTabService,
  TABS_TOKEN,
} from '@csirtmu-orion/microframework/tabs';
import { TtpDetailTabsFragment } from './ttp-detail-tabs.fragment.generated';

@Component({
  selector: 'orion-ttp-detail-tabs',
  templateUrl: './ttp-detail-tabs.component.html',
  styleUrls: ['./ttp-detail-tabs.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    CaseNavigator,
    TaskNavigator,
    { provide: OrionTabService, useClass: OrionQueryParamTabService },
    { provide: TABS_TOKEN, useValue: ['overview', 'cases', 'tasks'] },
  ],
})
export class TTPDetailTabsComponent extends EntityDetailTabsDirective<TtpDetailTabsFragment> {
  constructor(protected tabService: OrionTabService) {
    super(tabService);
  }
}
