import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RelatedCasesModule } from '@orion/case-components/related-cases';
import { TabLabelsModule } from '@orion/shared-components/tab-labels';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelMarkdownViewModule } from '@sentinel/components/markdown-view';
import { OrionTabsModule } from '@csirtmu-orion/microframework/tabs';
import { TTPContentInjectionModule } from '../ttp-content-injection';
import { TTPRelatedCasesComponent } from './related-cases';
import { TTPRelatedTasksModule } from './related-tasks';
import { TTPDetailTabsComponent } from './ttp-detail-tabs.component';
import { TTPOverviewTabComponent } from './ttp-overview-tab';

@NgModule({
  declarations: [TTPDetailTabsComponent, TTPOverviewTabComponent, TTPRelatedCasesComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    OrionTabsModule,
    SentinelMarkdownViewModule.forChild(),
    TTPContentInjectionModule,
    TTPRelatedTasksModule,
    TabLabelsModule,
    RelatedCasesModule,
    OrionCardModule,
  ],
  exports: [TTPDetailTabsComponent],
})
export class TTPDetailTabsModule {}
