import { ChangeDetectionStrategy, Component, Input, OnChanges, Optional, SimpleChanges } from '@angular/core';
import { SidebarStateService } from '@sentinel/layout/sidebar';
import { TtpMainContentFragment } from './ttp-main-content.fragment.generated';

@Component({
  selector: 'orion-ttp-main-content',
  templateUrl: './ttp-main-content.component.html',
  styleUrls: ['./ttp-main-content.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TTPMainContentComponent implements OnChanges {
  @Input() ttp?: TtpMainContentFragment;
  isSubTechnique = false;
  withSidebarToggle = false;

  constructor(@Optional() public sidebarState: SidebarStateService) {}

  ngOnChanges(changes: SimpleChanges): void {
    if ('ttp' in changes && this.ttp) {
      this.isSubTechnique = this.ttp.__typename === 'Technique' && this.ttp.isSubtechnique === true;
    }
  }
}
