import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';

import { GroupsTableModule } from '@orion/ttps-components/groups-table';
import { MalwareTableModule } from '@orion/ttps-components/malware-table';
import { ToolsTableModule } from '@orion/ttps-components/tools-table';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { AliasDetailContentComponent } from './alias-detail-content';
import { AliasDetailPageComponent } from './alias-detail-page.component';
import { EntityToolbarInfoModule } from '@orion/user-components/shared';
import { EntityToolbarModule } from '@orion/shared-components/entity-toolbar';

@NgModule({
  declarations: [AliasDetailPageComponent, AliasDetailContentComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    SLetModule,
    EntityDetailPageModule,
    GroupsTableModule,
    MalwareTableModule,
    ToolsTableModule,
    OrionCardModule,
    EntityToolbarInfoModule,
    EntityToolbarModule,
  ],
  exports: [AliasDetailPageComponent],
})
export class AliasDetailPageModule {}
