import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import {
  AliasDetailFragment,
  GetAliasDetailQuery,
  GetAliasDetailQueryService,
  GetAliasDetailQueryVariables,
} from './graphql';
import { ALIAS_PARAM_SELECTOR } from '@orion/ttps-paths';

@Injectable()
export class AliasDetailService extends ApolloRoutedEntityService<
  GetAliasDetailQuery,
  GetAliasDetailQueryVariables,
  AliasDetailFragment
> {
  constructor(public getQuery: GetAliasDetailQueryService, protected activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching alias');
  }

  protected createVariables(entityId: string): GetAliasDetailQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(ALIAS_PARAM_SELECTOR);
  }

  protected toFragment(query: GetAliasDetailQuery): Optional<AliasDetailFragment> {
    return query.getAlias;
  }
}
