import { gql } from 'apollo-angular';

export type AliasDetailFragment = {
  __typename?: 'Alias';
  id: string;
  value: string;
  groups?:
    | {
        __typename?: 'TTPGroupNestedList';
        data: Array<{ __typename?: 'TTPGroup'; id: string; name: string; description?: string | undefined }>;
      }
    | undefined;
  malware?:
    | {
        __typename?: 'MalwareNestedList';
        data: Array<{ __typename?: 'Malware'; id: string; name: string; description?: string | undefined }>;
      }
    | undefined;
  tools?:
    | {
        __typename?: 'ToolNestedList';
        data: Array<{ __typename?: 'Tool'; id: string; name: string; description?: string | undefined }>;
      }
    | undefined;
};

export const AliasDetailFragmentDoc = gql`
  fragment aliasDetail on Alias {
    id
    value
    groups {
      data {
        ...groupsTableElement
      }
    }
    malware {
      data {
        ...malwareTableElement
      }
    }
    tools {
      data {
        ...toolsTableElement
      }
    }
  }
`;
