import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { AliasDetailFragmentDoc } from './alias-detail.fragment.generated';
import { GroupsTableElementFragmentDoc } from '../../../tables/groups-table/group-table-element.fragment.generated';
import { MalwareTableElementFragmentDoc } from '../../../tables/malware-table/malware-table-element.fragment.generated';
import { ToolsTableElementFragmentDoc } from '../../../tables/tools-table/tools-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetAliasDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetAliasDetailQuery = {
  __typename?: 'Query';
  getAlias?:
    | {
        __typename?: 'Alias';
        id: string;
        value: string;
        groups?:
          | {
              __typename?: 'TTPGroupNestedList';
              data: Array<{ __typename?: 'TTPGroup'; id: string; name: string; description?: string | undefined }>;
            }
          | undefined;
        malware?:
          | {
              __typename?: 'MalwareNestedList';
              data: Array<{ __typename?: 'Malware'; id: string; name: string; description?: string | undefined }>;
            }
          | undefined;
        tools?:
          | {
              __typename?: 'ToolNestedList';
              data: Array<{ __typename?: 'Tool'; id: string; name: string; description?: string | undefined }>;
            }
          | undefined;
      }
    | undefined;
};

export const GetAliasDetailDocument = gql`
  query getAliasDetail($id: ID!) {
    getAlias(id: $id) {
      ...aliasDetail
    }
  }
  ${AliasDetailFragmentDoc}
  ${GroupsTableElementFragmentDoc}
  ${MalwareTableElementFragmentDoc}
  ${ToolsTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetAliasDetailQueryService extends Apollo.Query<GetAliasDetailQuery, GetAliasDetailQueryVariables> {
  document = GetAliasDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
