import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { GroupProcedureDetailFragmentDoc } from './group-procedure-detail.fragment.generated';
import { TtpMainContentFragmentDoc } from '../../../detail-shared/ttp-main-content/ttp-main-content.fragment.generated';
import { TtpNameFragmentDoc } from '../../../shared/ttp-name/ttp-name.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../types/ttp-id/ttp-id.fragment.generated';
import { TtpDetailTabsFragmentDoc } from '../../../detail-shared/ttp-main-content/ttp-detail-tabs/ttp-detail-tabs.fragment.generated';
import { TtpOverviewTabFragmentDoc } from '../../../detail-shared/ttp-main-content/ttp-detail-tabs/ttp-overview-tab/ttp-overview-tab.fragment.generated';
import { TtpSharedCardContentFragmentDoc } from '../../../detail-shared/ttp-shared-card-content/ttp-shared-card-content.fragment.generated';
import { GroupProcedureDetailContentFragmentDoc } from '../group-procedure-detail-content/group-procedure-detail-content.fragment.generated';
import { GroupProcedureCardInfoFragmentDoc } from '../group-procedure-detail-content/group-procedure-card-info/group-procedure-card-info.fragment.generated';
import { ExternalReferencesTableElementFragmentDoc } from '../../../tables/external-references-table/external-references-table-element.generated';
import { Injectable } from '@angular/core';

export type GetGroupProcedureDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetGroupProcedureDetailQuery = {
  __typename?: 'Query';
  getGroupProcedure?:
    | {
        __typename?: 'GroupProcedure';
        id: string;
        groupProcedureName: string;
        created?: any | undefined;
        modified?: any | undefined;
        ttpType?: string | undefined;
        description?: string | undefined;
        name: string;
        externalReferences?:
          | {
              __typename?: 'ExternalReferenceNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'ExternalReference';
                id: string;
                url?: string | undefined;
                sourceName: string;
                description?: string | undefined;
              }>;
            }
          | undefined;
        groupTechnique: {
          __typename?: 'Technique';
          isSubtechnique?: boolean | undefined;
          created?: any | undefined;
          ttpType?: string | undefined;
          id: string;
          name: string;
          subTechniqueOf?:
            | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
            | undefined;
        };
        group: { __typename?: 'TTPGroup'; id: string; name: string };
      }
    | undefined;
};

export const GetGroupProcedureDetailDocument = gql`
  query getGroupProcedureDetail($id: ID!) {
    getGroupProcedure(id: $id) {
      ...groupProcedureDetail
    }
  }
  ${GroupProcedureDetailFragmentDoc}
  ${TtpMainContentFragmentDoc}
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
  ${TtpDetailTabsFragmentDoc}
  ${TtpOverviewTabFragmentDoc}
  ${TtpSharedCardContentFragmentDoc}
  ${GroupProcedureDetailContentFragmentDoc}
  ${GroupProcedureCardInfoFragmentDoc}
  ${ExternalReferencesTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetGroupProcedureDetailQueryService extends Apollo.Query<
  GetGroupProcedureDetailQuery,
  GetGroupProcedureDetailQueryVariables
> {
  document = GetGroupProcedureDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
