import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import {
  GetGroupProcedureDetailQuery,
  GetGroupProcedureDetailQueryService,
  GetGroupProcedureDetailQueryVariables,
  GroupProcedureDetailFragment,
} from './graphql';
import { TTP_PARAM_SELECTOR } from '@orion/ttps-paths';

@Injectable()
export class GroupProcedureDetailService extends ApolloRoutedEntityService<
  GetGroupProcedureDetailQuery,
  GetGroupProcedureDetailQueryVariables,
  GroupProcedureDetailFragment
> {
  constructor(public getQuery: GetGroupProcedureDetailQueryService, protected activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching group procedure');
  }

  protected createVariables(entityId: string): GetGroupProcedureDetailQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(TTP_PARAM_SELECTOR);
  }

  protected toFragment(query: GetGroupProcedureDetailQuery): Optional<GroupProcedureDetailFragment> {
    return query.getGroupProcedure;
  }
}
