import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { GroupDetailFragmentDoc } from './group-detail.fragment.generated';
import { GroupDetailContentFragmentDoc } from '../group-detail-content/group-detail-content.fragment.generated';
import { GroupCardInfoFragmentDoc } from '../group-detail-content/group-card-info/group-card-info.fragment.generated';
import { ToolsTableElementFragmentDoc } from '../../../tables/tools-table/tools-table-element.fragment.generated';
import { GroupProceduresTableElementFragmentDoc } from '../../../tables/group-procedures-table/group-procedures-table-element.generated';
import { TtpNameFragmentDoc } from '../../../shared/ttp-name/ttp-name.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../types/ttp-id/ttp-id.fragment.generated';
import { MalwareTableElementFragmentDoc } from '../../../tables/malware-table/malware-table-element.fragment.generated';
import { ExternalReferencesTableElementFragmentDoc } from '../../../tables/external-references-table/external-references-table-element.generated';
import { Injectable } from '@angular/core';

export type GetGroupDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetGroupDetailQuery = {
  __typename?: 'Query';
  getTtpGroup?:
    | {
        __typename?: 'TTPGroup';
        id: string;
        name: string;
        description?: string | undefined;
        modified?: any | undefined;
        created?: any | undefined;
        tools?:
          | {
              __typename?: 'ToolNestedList';
              data: Array<{ __typename?: 'Tool'; id: string; name: string; description?: string | undefined }>;
            }
          | undefined;
        techniquesUsed?:
          | {
              __typename?: 'GroupProcedureNestedList';
              data: Array<{
                __typename?: 'GroupProcedure';
                description?: string | undefined;
                created?: any | undefined;
                ttpType?: string | undefined;
                id: string;
                name: string;
              }>;
            }
          | undefined;
        malware?:
          | {
              __typename?: 'MalwareNestedList';
              data: Array<{ __typename?: 'Malware'; id: string; name: string; description?: string | undefined }>;
            }
          | undefined;
        externalReferences?:
          | {
              __typename?: 'ExternalReferenceNestedList';
              data: Array<{
                __typename?: 'ExternalReference';
                id: string;
                url?: string | undefined;
                sourceName: string;
                description?: string | undefined;
              }>;
            }
          | undefined;
        aliases?:
          | { __typename?: 'AliasNestedList'; data: Array<{ __typename?: 'Alias'; id: string; value: string }> }
          | undefined;
      }
    | undefined;
};

export const GetGroupDetailDocument = gql`
  query getGroupDetail($id: ID!) {
    getTtpGroup(id: $id) {
      ...groupDetail
    }
  }
  ${GroupDetailFragmentDoc}
  ${GroupDetailContentFragmentDoc}
  ${GroupCardInfoFragmentDoc}
  ${ToolsTableElementFragmentDoc}
  ${GroupProceduresTableElementFragmentDoc}
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
  ${MalwareTableElementFragmentDoc}
  ${ExternalReferencesTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetGroupDetailQueryService extends Apollo.Query<GetGroupDetailQuery, GetGroupDetailQueryVariables> {
  document = GetGroupDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
