import { gql } from 'apollo-angular';

export type GroupDetailContentFragment = {
  __typename?: 'TTPGroup';
  name: string;
  description?: string | undefined;
  id: string;
  modified?: any | undefined;
  created?: any | undefined;
  tools?:
    | {
        __typename?: 'ToolNestedList';
        data: Array<{ __typename?: 'Tool'; id: string; name: string; description?: string | undefined }>;
      }
    | undefined;
  techniquesUsed?:
    | {
        __typename?: 'GroupProcedureNestedList';
        data: Array<{
          __typename?: 'GroupProcedure';
          description?: string | undefined;
          created?: any | undefined;
          ttpType?: string | undefined;
          id: string;
          name: string;
        }>;
      }
    | undefined;
  malware?:
    | {
        __typename?: 'MalwareNestedList';
        data: Array<{ __typename?: 'Malware'; id: string; name: string; description?: string | undefined }>;
      }
    | undefined;
  externalReferences?:
    | {
        __typename?: 'ExternalReferenceNestedList';
        data: Array<{
          __typename?: 'ExternalReference';
          id: string;
          url?: string | undefined;
          sourceName: string;
          description?: string | undefined;
        }>;
      }
    | undefined;
  aliases?:
    | { __typename?: 'AliasNestedList'; data: Array<{ __typename?: 'Alias'; id: string; value: string }> }
    | undefined;
};

export const GroupDetailContentFragmentDoc = gql`
  fragment groupDetailContent on TTPGroup {
    name
    description
    ...groupCardInfo
    tools {
      data {
        ...toolsTableElement
      }
    }
    techniquesUsed {
      data {
        ...groupProceduresTableElement
      }
    }
    malware {
      data {
        ...malwareTableElement
      }
    }
    externalReferences {
      data {
        ...externalReferencesTableElement
      }
    }
  }
`;
