import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EditableEntityModule } from '@orion/shared-components/editable-entity';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';
import { ExternalReferencesTableModule } from '@orion/ttps-components/external-references-table';
import { GroupProceduresTableModule } from '@orion/ttps-components/group-procedures-table';

import { MalwareTableModule } from '@orion/ttps-components/malware-table';
import { TTPDescriptionModule, TTPNavigatorPipesModule } from '@orion/ttps-components/shared';
import { ToolsTableModule } from '@orion/ttps-components/tools-table';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { OrionInlineListModule } from '@csirtmu-orion/microframework/inline-list';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { GroupCardInfoComponent, GroupDetailContentComponent } from './group-detail-content';
import { GroupDetailPageComponent } from './group-detail-page.component';
import { EntityToolbarModule } from '@orion/shared-components/entity-toolbar';
import { EntityToolbarInfoModule } from '@orion/user-components/shared';

@NgModule({
  declarations: [GroupDetailPageComponent, GroupDetailContentComponent, GroupCardInfoComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    EntityDetailPageModule,
    SLetModule,
    EditableEntityModule,
    ToolsTableModule,
    MalwareTableModule,
    OrionCardModule,
    OrionTimeAgoModule,
    OrionEntityNameModule,
    TTPNavigatorPipesModule,
    OrionAttributeModule,
    OrionInlineListModule,
    ExternalReferencesTableModule,
    GroupProceduresTableModule,
    TTPDescriptionModule,
    EntityToolbarModule,
    EntityToolbarInfoModule,
  ],
  exports: [GroupDetailPageComponent],
})
export class GroupDetailPageModule {}
