import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import {
  GetGroupDetailQuery,
  GetGroupDetailQueryService,
  GetGroupDetailQueryVariables,
  GroupDetailFragment,
} from './graphql';
import { GROUP_PARAM_SELECTOR } from '@orion/ttps-paths';

@Injectable()
export class GroupDetailService extends ApolloRoutedEntityService<
  GetGroupDetailQuery,
  GetGroupDetailQueryVariables,
  GroupDetailFragment
> {
  constructor(public getQuery: GetGroupDetailQueryService, protected activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching group');
  }

  protected createVariables(entityId: string): GetGroupDetailQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(GROUP_PARAM_SELECTOR);
  }

  protected toFragment(query: GetGroupDetailQuery): Optional<GroupDetailFragment> {
    return query.getTtpGroup;
  }
}
