import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { MitigationDetailFragmentDoc } from './mitigation-detail.fragment.generated';
import { MitigationDetailContentFragmentDoc } from '../mitigation-detail-content/mitigation-detail-content.generated';
import { MitigationCardInfoFragmentDoc } from '../mitigation-detail-content/mitigation-card-info/mitigation-card-info.generated';
import {
  TechniqueRowFragmentDoc,
  TechniqueTableFragmentDoc,
} from '../../../tables/techniques-table/technique-and-sub-technique-table.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../types/ttp-id/ttp-id.fragment.generated';
import { TtpNameFragmentDoc } from '../../../shared/ttp-name/ttp-name.fragment.generated';
import { ExternalReferencesTableElementFragmentDoc } from '../../../tables/external-references-table/external-references-table-element.generated';
import { Injectable } from '@angular/core';

export type GetMitigationDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetMitigationDetailQuery = {
  __typename?: 'Query';
  getMitigation?:
    | {
        __typename?: 'Mitigation';
        id: string;
        name: string;
        description?: string | undefined;
        created?: any | undefined;
        modified?: any | undefined;
        techniques?:
          | {
              __typename?: 'TechniqueMitigationRelationshipNestedList';
              data: Array<{
                __typename?: 'TechniqueMitigationRelationship';
                technique?:
                  | {
                      __typename?: 'Technique';
                      description?: string | undefined;
                      id: string;
                      ttpType?: string | undefined;
                      isSubtechnique?: boolean | undefined;
                      created?: any | undefined;
                      name: string;
                      subTechniqueOf?:
                        | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
                        | undefined;
                    }
                  | undefined;
              }>;
            }
          | undefined;
        externalReferences?:
          | {
              __typename?: 'ExternalReferenceNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'ExternalReference';
                id: string;
                url?: string | undefined;
                sourceName: string;
                description?: string | undefined;
              }>;
            }
          | undefined;
      }
    | undefined;
};

export const GetMitigationDetailDocument = gql`
  query getMitigationDetail($id: ID!) {
    getMitigation(id: $id) {
      ...mitigationDetail
    }
  }
  ${MitigationDetailFragmentDoc}
  ${MitigationDetailContentFragmentDoc}
  ${MitigationCardInfoFragmentDoc}
  ${TechniqueTableFragmentDoc}
  ${TechniqueRowFragmentDoc}
  ${TtpIdFragmentDoc}
  ${TtpNameFragmentDoc}
  ${ExternalReferencesTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetMitigationDetailQueryService extends Apollo.Query<
  GetMitigationDetailQuery,
  GetMitigationDetailQueryVariables
> {
  document = GetMitigationDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
