import { ChangeDetectionStrategy, Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { TechniqueAndSubTechniqueTableFragment } from '@orion/ttps-components/techniques-table';
import { MitigationDetailContentFragment } from './mitigation-detail-content.generated';

@Component({
  selector: 'orion-mitigation-detail-content',
  templateUrl: './mitigation-detail-content.component.html',
  styleUrls: ['./mitigation-detail-content.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class MitigationDetailContentComponent implements OnChanges {
  @Input() mitigation?: MitigationDetailContentFragment;
  techniques: TechniqueAndSubTechniqueTableFragment[] = [];

  ngOnChanges(changes: SimpleChanges): void {
    if (
      'mitigation' in changes &&
      this.mitigation &&
      this.mitigation.techniques &&
      this.mitigation.techniques.data.length > 0
    ) {
      this.techniques = this.mitigation.techniques.data.map(
        (relationship) => relationship.technique
      ) as TechniqueAndSubTechniqueTableFragment[];
    }
  }
}
