import { gql } from 'apollo-angular';

export type MitigationDetailContentFragment = {
  __typename?: 'Mitigation';
  id: string;
  name: string;
  description?: string | undefined;
  created?: any | undefined;
  modified?: any | undefined;
  techniques?:
    | {
        __typename?: 'TechniqueMitigationRelationshipNestedList';
        data: Array<{
          __typename?: 'TechniqueMitigationRelationship';
          technique?:
            | {
                __typename?: 'Technique';
                description?: string | undefined;
                id: string;
                ttpType?: string | undefined;
                isSubtechnique?: boolean | undefined;
                created?: any | undefined;
                name: string;
                subTechniqueOf?:
                  | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
                  | undefined;
              }
            | undefined;
        }>;
      }
    | undefined;
  externalReferences?:
    | {
        __typename?: 'ExternalReferenceNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'ExternalReference';
          id: string;
          url?: string | undefined;
          sourceName: string;
          description?: string | undefined;
        }>;
      }
    | undefined;
};

export const MitigationDetailContentFragmentDoc = gql`
  fragment mitigationDetailContent on Mitigation {
    id
    name
    description
    ...mitigationCardInfo
    techniques(limit: 100) {
      data {
        technique {
          ...techniqueTable
        }
      }
    }
    externalReferences {
      data {
        ...externalReferencesTableElement
      }
      totalCount
    }
  }
`;
