import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EditableEntityModule } from '@orion/shared-components/editable-entity';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';
import { ExternalReferencesTableModule } from '@orion/ttps-components/external-references-table';
import { TTPDescriptionModule } from '@orion/ttps-components/shared';
import { TechniquesTableModule } from '@orion/ttps-components/techniques-table';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { MitigationCardInfoComponent, MitigationDetailContentComponent } from './mitigation-detail-content';
import { MitigationDetailPageComponent } from './mitigation-detail-page.component';
import { EntityToolbarInfoModule } from '@orion/user-components/shared';
import { EntityToolbarModule } from '@orion/shared-components/entity-toolbar';

@NgModule({
  declarations: [MitigationDetailPageComponent, MitigationDetailContentComponent, MitigationCardInfoComponent],
  imports: [
    CommonModule,
    SLetModule,
    EntityDetailPageModule,
    SentinelPipesModule,
    TechniquesTableModule,
    EditableEntityModule,
    OrionCardModule,
    OrionTimeAgoModule,
    OrionAttributeModule,
    ExternalReferencesTableModule,
    TTPDescriptionModule,
    EntityToolbarInfoModule,
    EntityToolbarModule,
  ],
})
export class MitigationDetailPageModule {}
