import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import {
  GetMitigationDetailQuery,
  GetMitigationDetailQueryService,
  GetMitigationDetailQueryVariables,
  MitigationDetailFragment,
} from './graphql';
import { MITIGATION_PARAM_SELECTOR } from '@orion/ttps-paths';

@Injectable()
export class MitigationDetailService extends ApolloRoutedEntityService<
  GetMitigationDetailQuery,
  GetMitigationDetailQueryVariables,
  MitigationDetailFragment
> {
  constructor(public getQuery: GetMitigationDetailQueryService, protected activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching mitigation');
  }

  protected createVariables(entityId: string): GetMitigationDetailQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(MITIGATION_PARAM_SELECTOR);
  }

  protected toFragment(query: GetMitigationDetailQuery): Optional<MitigationDetailFragment> {
    return query?.getMitigation;
  }
}
