import { gql } from 'apollo-angular';

export type PlatformDetailFragment = {
  __typename?: 'TTPPlatform';
  id: string;
  value: string;
  malware?:
    | {
        __typename?: 'MalwareNestedList';
        data: Array<{ __typename?: 'Malware'; id: string; name: string; description?: string | undefined }>;
      }
    | undefined;
  techniques?:
    | {
        __typename?: 'TechniqueNestedList';
        data: Array<{
          __typename?: 'Technique';
          description?: string | undefined;
          id: string;
          ttpType?: string | undefined;
          isSubtechnique?: boolean | undefined;
          created?: any | undefined;
          name: string;
          subTechniques?:
            | {
                __typename?: 'TechniqueNestedList';
                totalCount: number;
                data: Array<{
                  __typename?: 'Technique';
                  description?: string | undefined;
                  id: string;
                  ttpType?: string | undefined;
                  isSubtechnique?: boolean | undefined;
                  created?: any | undefined;
                  name: string;
                  subTechniqueOf?:
                    | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
                    | undefined;
                }>;
              }
            | undefined;
          subTechniqueOf?:
            | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
            | undefined;
        }>;
      }
    | undefined;
  tools?:
    | {
        __typename?: 'ToolNestedList';
        data: Array<{ __typename?: 'Tool'; id: string; name: string; description?: string | undefined }>;
      }
    | undefined;
};

export const PlatformDetailFragmentDoc = gql`
  fragment platformDetail on TTPPlatform {
    id
    value
    ...platformDetailContent
  }
`;
