import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { PlatformDetailFragmentDoc } from './platform-detail.fragment.generated';
import { PlatformDetailContentFragmentDoc } from '../platform-detail-content/platform-detail-content.fragment.generated';
import { MalwareTableElementFragmentDoc } from '../../../tables/malware-table/malware-table-element.fragment.generated';
import {
  SubTechniqueRowFragmentDoc,
  TechniqueAndSubTechniqueRowFragmentDoc,
  TechniqueAndSubTechniqueTableFragmentDoc,
} from '../../../tables/techniques-table/technique-and-sub-technique-table.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../types/ttp-id/ttp-id.fragment.generated';
import { TtpNameFragmentDoc } from '../../../shared/ttp-name/ttp-name.fragment.generated';
import { ToolsTableElementFragmentDoc } from '../../../tables/tools-table/tools-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetPlatformDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetPlatformDetailQuery = {
  __typename?: 'Query';
  getTtpPlatform?:
    | {
        __typename?: 'TTPPlatform';
        id: string;
        value: string;
        malware?:
          | {
              __typename?: 'MalwareNestedList';
              data: Array<{ __typename?: 'Malware'; id: string; name: string; description?: string | undefined }>;
            }
          | undefined;
        techniques?:
          | {
              __typename?: 'TechniqueNestedList';
              data: Array<{
                __typename?: 'Technique';
                description?: string | undefined;
                id: string;
                ttpType?: string | undefined;
                isSubtechnique?: boolean | undefined;
                created?: any | undefined;
                name: string;
                subTechniques?:
                  | {
                      __typename?: 'TechniqueNestedList';
                      totalCount: number;
                      data: Array<{
                        __typename?: 'Technique';
                        description?: string | undefined;
                        id: string;
                        ttpType?: string | undefined;
                        isSubtechnique?: boolean | undefined;
                        created?: any | undefined;
                        name: string;
                        subTechniqueOf?:
                          | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
                          | undefined;
                      }>;
                    }
                  | undefined;
                subTechniqueOf?:
                  | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
                  | undefined;
              }>;
            }
          | undefined;
        tools?:
          | {
              __typename?: 'ToolNestedList';
              data: Array<{ __typename?: 'Tool'; id: string; name: string; description?: string | undefined }>;
            }
          | undefined;
      }
    | undefined;
};

export const GetPlatformDetailDocument = gql`
  query getPlatformDetail($id: ID!) {
    getTtpPlatform(id: $id) {
      ...platformDetail
    }
  }
  ${PlatformDetailFragmentDoc}
  ${PlatformDetailContentFragmentDoc}
  ${MalwareTableElementFragmentDoc}
  ${TechniqueAndSubTechniqueTableFragmentDoc}
  ${TechniqueAndSubTechniqueRowFragmentDoc}
  ${TtpIdFragmentDoc}
  ${TtpNameFragmentDoc}
  ${SubTechniqueRowFragmentDoc}
  ${ToolsTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetPlatformDetailQueryService extends Apollo.Query<
  GetPlatformDetailQuery,
  GetPlatformDetailQueryVariables
> {
  document = GetPlatformDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
