import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';
import { MalwareTableModule } from '@orion/ttps-components/malware-table';
import { TechniquesTableModule } from '@orion/ttps-components/techniques-table';
import { ToolsTableModule } from '@orion/ttps-components/tools-table';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { PlatformDetailContentComponent } from './platform-detail-content';
import { PlatformDetailPageComponent } from './platform-detail-page.component';
import { EntityToolbarInfoModule } from '@orion/user-components/shared';
import { EntityToolbarModule } from '@orion/shared-components/entity-toolbar';

@NgModule({
  declarations: [PlatformDetailPageComponent, PlatformDetailContentComponent],
  imports: [
    CommonModule,
    EntityDetailPageModule,
    SentinelPipesModule,
    SLetModule,
    OrionCardModule,
    TechniquesTableModule,
    ToolsTableModule,
    MalwareTableModule,
    EntityToolbarInfoModule,
    EntityToolbarModule,
  ],
  exports: [PlatformDetailPageComponent],
})
export class PlatformDetailPageModule {}
