import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import {
  GetPlatformDetailQuery,
  GetPlatformDetailQueryService,
  GetPlatformDetailQueryVariables,
  PlatformDetailFragment,
} from './graphql';
import { PLATFORM_PARAM_SELECTOR } from '@orion/ttps-paths';

@Injectable()
export class PlatformDetailService extends ApolloRoutedEntityService<
  GetPlatformDetailQuery,
  GetPlatformDetailQueryVariables,
  PlatformDetailFragment
> {
  constructor(public getQuery: GetPlatformDetailQueryService, protected activatedRouter: ActivatedRoute) {
    super(getQuery, activatedRouter, 'Fetching platform');
  }

  protected createVariables(entityId: string): GetPlatformDetailQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(PLATFORM_PARAM_SELECTOR);
  }

  protected toFragment(query: GetPlatformDetailQuery): Optional<PlatformDetailFragment> {
    return query?.getTtpPlatform;
  }
}
