import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { SubTechniqueDetailFragmentDoc } from './sub-technique-detail.fragment.generated';
import { TtpNameFragmentDoc } from '../../../shared/ttp-name/ttp-name.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../types/ttp-id/ttp-id.fragment.generated';
import { TtpMainContentFragmentDoc } from '../../../detail-shared/ttp-main-content/ttp-main-content.fragment.generated';
import { TtpDetailTabsFragmentDoc } from '../../../detail-shared/ttp-main-content/ttp-detail-tabs/ttp-detail-tabs.fragment.generated';
import { TtpOverviewTabFragmentDoc } from '../../../detail-shared/ttp-main-content/ttp-detail-tabs/ttp-overview-tab/ttp-overview-tab.fragment.generated';
import { SubTechniqueCardFragmentDoc } from '../sub-technique-card-content/sub-technique-card.fragment.generated';
import { TtpSharedCardContentFragmentDoc } from '../../../detail-shared/ttp-shared-card-content/ttp-shared-card-content.fragment.generated';
import { SelectedTtpFragmentDoc } from '../../../detail-shared/ttp-detail-sidebar/graphql/selected-ttp.fragment.generated';
import { SubTechniquesTableFragmentDoc } from '../../../detail-shared/sub-techniques/table/sub-technique-table.fragment.generated';
import { ExternalReferencesTableElementFragmentDoc } from '../../../tables/external-references-table/external-references-table-element.generated';
import { Injectable } from '@angular/core';

export type GetSubTechniqueDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetSubTechniqueDetailQuery = {
  __typename?: 'Query';
  getTechnique?:
    | {
        __typename?: 'Technique';
        isSubtechnique?: boolean | undefined;
        created?: any | undefined;
        ttpType?: string | undefined;
        id: string;
        modified?: any | undefined;
        description?: string | undefined;
        name: string;
        subTechniqueOf?:
          | {
              __typename?: 'Technique';
              id: string;
              ttpType?: string | undefined;
              isSubtechnique?: boolean | undefined;
              created?: any | undefined;
              name: string;
              subTechniques?:
                | {
                    __typename?: 'TechniqueNestedList';
                    totalCount: number;
                    data: Array<{
                      __typename?: 'Technique';
                      id: string;
                      description?: string | undefined;
                      ttpType?: string | undefined;
                      isSubtechnique?: boolean | undefined;
                      created?: any | undefined;
                      name: string;
                      subTechniqueOf?:
                        | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
                        | undefined;
                    }>;
                  }
                | undefined;
              tactics?:
                | {
                    __typename?: 'TacticNestedList';
                    data: Array<{
                      __typename?: 'Tactic';
                      id: string;
                      created?: any | undefined;
                      ttpType?: string | undefined;
                      name: string;
                    }>;
                  }
                | undefined;
              subTechniqueOf?:
                | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
                | undefined;
            }
          | undefined;
        externalReferences?:
          | {
              __typename?: 'ExternalReferenceNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'ExternalReference';
                id: string;
                url?: string | undefined;
                sourceName: string;
                description?: string | undefined;
              }>;
            }
          | undefined;
        tactics?:
          | {
              __typename?: 'TacticNestedList';
              data: Array<{ __typename?: 'Tactic'; id: string; ttpType?: string | undefined }>;
            }
          | undefined;
      }
    | undefined;
};

export const GetSubTechniqueDetailDocument = gql`
  query GetSubTechniqueDetail($id: ID!) {
    getTechnique(id: $id) {
      ...subTechniqueDetail
    }
  }
  ${SubTechniqueDetailFragmentDoc}
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
  ${TtpMainContentFragmentDoc}
  ${TtpDetailTabsFragmentDoc}
  ${TtpOverviewTabFragmentDoc}
  ${SubTechniqueCardFragmentDoc}
  ${TtpSharedCardContentFragmentDoc}
  ${SelectedTtpFragmentDoc}
  ${SubTechniquesTableFragmentDoc}
  ${ExternalReferencesTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetSubTechniqueDetailQueryService extends Apollo.Query<
  GetSubTechniqueDetailQuery,
  GetSubTechniqueDetailQueryVariables
> {
  document = GetSubTechniqueDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
