import { ChangeDetectionStrategy, Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { SubTechniquesTableFragment } from '@orion/ttps-components/detail-shared';
import { SubTechniqueDetailFragment } from '../graphql';

@Component({
  selector: 'orion-sub-technique-detail-overview-tab-content',
  templateUrl: './sub-technique-detail-overview-tab-content.component.html',
  styleUrls: ['./sub-technique-detail-overview-tab-content.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class SubTechniqueDetailOverviewTabContentComponent implements OnChanges {
  @Input() subTechnique?: SubTechniqueDetailFragment;
  otherSubTechniques: SubTechniquesTableFragment[] = [];

  ngOnChanges(changes: SimpleChanges): void {
    if ('subTechnique' in changes && this.subTechnique?.subTechniqueOf?.subTechniques) {
      this.otherSubTechniques = this.getOtherSubTechniques(this.subTechnique);
    }
  }
  private getOtherSubTechniques(subTechnique?: SubTechniqueDetailFragment): SubTechniquesTableFragment[] {
    if (subTechnique?.subTechniqueOf?.subTechniques) {
      const otherSubTechniques = subTechnique.subTechniqueOf.subTechniques.data;
      return otherSubTechniques.filter((otherSubTechnique) => otherSubTechnique.id !== subTechnique.id);
    } else {
      return [];
    }
  }
}
