import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';
import {
  SubTechniqueSharedModule,
  TTPContentInjectionModule,
  TTPDetailSidebarModule,
  TTPMainContentModule,
  TTPSharedCardContentModule,
  TTTPNameRowModule,
} from '@orion/ttps-components/detail-shared';
import { ExternalReferencesTableModule } from '@orion/ttps-components/external-references-table';
import { TTPDescriptionModule, TTPNameModule } from '@orion/ttps-components/shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionInlineListModule } from '@csirtmu-orion/microframework/inline-list';
import { SentinelTableModule } from '@sentinel/components/table';
import { SentinelSidebarCommonModule } from '@sentinel/layout/sidebar';
import { SubTechniqueCardContentComponent } from './sub-technique-card-content';
import { SubTechniqueDetailOverviewTabContentComponent } from './sub-technique-detail-overview-tab-content';
import { SubTechniqueDetailPageComponent } from './sub-technique-detail-page.component';

@NgModule({
  declarations: [
    SubTechniqueDetailPageComponent,
    SubTechniqueCardContentComponent,
    SubTechniqueDetailOverviewTabContentComponent,
  ],
  imports: [
    CommonModule,
    TTPMainContentModule,
    SentinelPipesModule,
    SentinelTableModule,
    TTPDescriptionModule,
    TTTPNameRowModule,
    TTPContentInjectionModule,
    TTPSharedCardContentModule,
    TTPNameModule,
    SubTechniqueSharedModule,
    TTPDetailSidebarModule,
    SentinelSidebarCommonModule,
    SLetModule,
    EntityDetailPageModule,
    ExternalReferencesTableModule,
    OrionCardModule,
    OrionAttributeModule,
    OrionInlineListModule,
  ],
  exports: [SubTechniqueDetailPageComponent],
})
export class SubTechniqueDetailPageModule {}
