import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import {
  GetSubTechniqueDetailQuery,
  GetSubTechniqueDetailQueryService,
  GetSubTechniqueDetailQueryVariables,
  SubTechniqueDetailFragment,
} from './graphql';
import { TTP_PARAM_SELECTOR } from '@orion/ttps-paths';

@Injectable()
export class SubTechniqueDetailService extends ApolloRoutedEntityService<
  GetSubTechniqueDetailQuery,
  GetSubTechniqueDetailQueryVariables,
  SubTechniqueDetailFragment
> {
  constructor(public getQuery: GetSubTechniqueDetailQueryService, protected activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching sub technique');
  }

  protected createVariables(id: string): GetSubTechniqueDetailQueryVariables {
    return { id: id };
  }

  protected toFragment(queryRes: GetSubTechniqueDetailQuery): Optional<SubTechniqueDetailFragment> {
    return queryRes.getTechnique;
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(TTP_PARAM_SELECTOR);
  }
}
