import { gql } from 'apollo-angular';

export type TacticDetailFragment = {
  __typename?: 'Tactic';
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  modified?: any | undefined;
  description?: string | undefined;
  name: string;
  techniques?:
    | {
        __typename?: 'TechniqueNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'Technique';
          description?: string | undefined;
          id: string;
          ttpType?: string | undefined;
          isSubtechnique?: boolean | undefined;
          created?: any | undefined;
          name: string;
          subTechniques?:
            | {
                __typename?: 'TechniqueNestedList';
                totalCount: number;
                data: Array<{
                  __typename?: 'Technique';
                  description?: string | undefined;
                  id: string;
                  ttpType?: string | undefined;
                  isSubtechnique?: boolean | undefined;
                  created?: any | undefined;
                  name: string;
                  subTechniqueOf?:
                    | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
                    | undefined;
                }>;
              }
            | undefined;
          subTechniqueOf?:
            | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
            | undefined;
        }>;
      }
    | undefined;
  externalReferences?:
    | {
        __typename?: 'ExternalReferenceNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'ExternalReference';
          id: string;
          url?: string | undefined;
          sourceName: string;
          description?: string | undefined;
        }>;
      }
    | undefined;
};

export const TacticDetailFragmentDoc = gql`
  fragment tacticDetail on Tactic {
    ...ttpName
    ...ttpMainContent
    ...ttpSharedCardContent
    ...selectedTTP
    techniques(
      filter: [{ AND: { OR: { isSubtechnique: { exact: false } } } }]
      ordering: [{ o: TECHNIQUE_NAME, desc: false }]
      limit: 100
    ) {
      data {
        ...techniqueAndSubTechniqueTable
      }
      totalCount
    }
    externalReferences {
      data {
        ...externalReferencesTableElement
      }
      totalCount
    }
  }
`;
