import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { TacticDetailFragmentDoc } from './tactic-detail.fragment.generated';
import { TtpNameFragmentDoc } from '../../../shared/ttp-name/ttp-name.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../types/ttp-id/ttp-id.fragment.generated';
import { TtpMainContentFragmentDoc } from '../../../detail-shared/ttp-main-content/ttp-main-content.fragment.generated';
import { TtpDetailTabsFragmentDoc } from '../../../detail-shared/ttp-main-content/ttp-detail-tabs/ttp-detail-tabs.fragment.generated';
import { TtpOverviewTabFragmentDoc } from '../../../detail-shared/ttp-main-content/ttp-detail-tabs/ttp-overview-tab/ttp-overview-tab.fragment.generated';
import { TtpSharedCardContentFragmentDoc } from '../../../detail-shared/ttp-shared-card-content/ttp-shared-card-content.fragment.generated';
import { SelectedTtpFragmentDoc } from '../../../detail-shared/ttp-detail-sidebar/graphql/selected-ttp.fragment.generated';
import {
  SubTechniqueRowFragmentDoc,
  TechniqueAndSubTechniqueRowFragmentDoc,
  TechniqueAndSubTechniqueTableFragmentDoc,
} from '../../../tables/techniques-table/technique-and-sub-technique-table.fragment.generated';
import { ExternalReferencesTableElementFragmentDoc } from '../../../tables/external-references-table/external-references-table-element.generated';
import { Injectable } from '@angular/core';

export type GetTacticDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetTacticDetailQuery = {
  __typename?: 'Query';
  getTactic?:
    | {
        __typename?: 'Tactic';
        created?: any | undefined;
        ttpType?: string | undefined;
        id: string;
        modified?: any | undefined;
        description?: string | undefined;
        name: string;
        techniques?:
          | {
              __typename?: 'TechniqueNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'Technique';
                description?: string | undefined;
                id: string;
                ttpType?: string | undefined;
                isSubtechnique?: boolean | undefined;
                created?: any | undefined;
                name: string;
                subTechniques?:
                  | {
                      __typename?: 'TechniqueNestedList';
                      totalCount: number;
                      data: Array<{
                        __typename?: 'Technique';
                        description?: string | undefined;
                        id: string;
                        ttpType?: string | undefined;
                        isSubtechnique?: boolean | undefined;
                        created?: any | undefined;
                        name: string;
                        subTechniqueOf?:
                          | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
                          | undefined;
                      }>;
                    }
                  | undefined;
                subTechniqueOf?:
                  | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
                  | undefined;
              }>;
            }
          | undefined;
        externalReferences?:
          | {
              __typename?: 'ExternalReferenceNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'ExternalReference';
                id: string;
                url?: string | undefined;
                sourceName: string;
                description?: string | undefined;
              }>;
            }
          | undefined;
      }
    | undefined;
};

export const GetTacticDetailDocument = gql`
  query GetTacticDetail($id: ID!) {
    getTactic(id: $id) {
      ...tacticDetail
    }
  }
  ${TacticDetailFragmentDoc}
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
  ${TtpMainContentFragmentDoc}
  ${TtpDetailTabsFragmentDoc}
  ${TtpOverviewTabFragmentDoc}
  ${TtpSharedCardContentFragmentDoc}
  ${SelectedTtpFragmentDoc}
  ${TechniqueAndSubTechniqueTableFragmentDoc}
  ${TechniqueAndSubTechniqueRowFragmentDoc}
  ${SubTechniqueRowFragmentDoc}
  ${ExternalReferencesTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetTacticDetailQueryService extends Apollo.Query<GetTacticDetailQuery, GetTacticDetailQueryVariables> {
  document = GetTacticDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
