import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';
import {
  TTPContentInjectionModule,
  TTPDetailSidebarModule,
  TTPMainContentModule,
  TTPSharedCardContentModule,
} from '@orion/ttps-components/detail-shared';
import { ExternalReferencesTableModule } from '@orion/ttps-components/external-references-table';
import { TTPNameModule } from '@orion/ttps-components/shared';
import { TechniquesTableModule } from '@orion/ttps-components/techniques-table';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelSidebarCommonModule } from '@sentinel/layout/sidebar';
import { TacticDetailOverviewTabContentComponent } from './tactic-detail-overview-tab-content';
import { TacticDetailPageComponent } from './tactic-detail-page.component';

@NgModule({
  declarations: [TacticDetailPageComponent, TacticDetailOverviewTabContentComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    TTPMainContentModule,
    TTPContentInjectionModule,
    TTPNameModule,
    TTPSharedCardContentModule,
    SentinelSidebarCommonModule,
    TTPDetailSidebarModule,
    EntityDetailPageModule,
    SLetModule,
    ExternalReferencesTableModule,
    TechniquesTableModule,
    OrionCardModule,
  ],
  exports: [TacticDetailPageComponent],
})
export class TacticDetailPageModule {}
