import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import {
  GetTacticDetailQuery,
  GetTacticDetailQueryService,
  GetTacticDetailQueryVariables,
  TacticDetailFragment,
} from './graphql';
import { TTP_PARAM_SELECTOR } from '@orion/ttps-paths';

@Injectable()
export class TacticDetailService extends ApolloRoutedEntityService<
  GetTacticDetailQuery,
  GetTacticDetailQueryVariables,
  TacticDetailFragment
> {
  constructor(public getQuery: GetTacticDetailQueryService, protected activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching tactic');
  }

  protected createVariables(id: string): GetTacticDetailQueryVariables {
    return { id: id };
  }

  protected toFragment(queryRes: GetTacticDetailQuery): Optional<TacticDetailFragment> {
    return queryRes.getTactic;
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(TTP_PARAM_SELECTOR);
  }
}
