import { gql } from 'apollo-angular';

export type TechniqueDetailFragment = {
  __typename?: 'Technique';
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  modified?: any | undefined;
  description?: string | undefined;
  name: string;
  subTechniques?:
    | {
        __typename?: 'TechniqueNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'Technique';
          description?: string | undefined;
          id: string;
          ttpType?: string | undefined;
          isSubtechnique?: boolean | undefined;
          created?: any | undefined;
          name: string;
          subTechniqueOf?:
            | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
            | undefined;
        }>;
      }
    | undefined;
  externalReferences?:
    | {
        __typename?: 'ExternalReferenceNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'ExternalReference';
          id: string;
          url?: string | undefined;
          sourceName: string;
          description?: string | undefined;
        }>;
      }
    | undefined;
  groupProcedures?:
    | {
        __typename?: 'GroupProcedureNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'GroupProcedure';
          description?: string | undefined;
          created?: any | undefined;
          ttpType?: string | undefined;
          id: string;
          name: string;
        }>;
      }
    | undefined;
  malwareProcedures?:
    | {
        __typename?: 'MalwareProcedureNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'MalwareProcedure';
          description?: string | undefined;
          created?: any | undefined;
          ttpType?: string | undefined;
          id: string;
          name: string;
        }>;
      }
    | undefined;
  mitigations?:
    | {
        __typename?: 'TechniqueMitigationRelationshipNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'TechniqueMitigationRelationship';
          mitigation?:
            | { __typename?: 'Mitigation'; id: string; name: string; description?: string | undefined }
            | undefined;
        }>;
      }
    | undefined;
  platforms?:
    | {
        __typename?: 'TTPPlatformNestedList';
        totalCount: number;
        data: Array<{ __typename?: 'TTPPlatform'; id: string; value: string }>;
      }
    | undefined;
  toolProcedures?:
    | {
        __typename?: 'ToolProcedureNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'ToolProcedure';
          description?: string | undefined;
          created?: any | undefined;
          ttpType?: string | undefined;
          id: string;
          name: string;
        }>;
      }
    | undefined;
  subTechniqueOf?:
    | {
        __typename?: 'Technique';
        id: string;
        ttpType?: string | undefined;
        name: string;
        tactics?:
          | {
              __typename?: 'TacticNestedList';
              data: Array<{ __typename?: 'Tactic'; id: string; ttpType?: string | undefined }>;
            }
          | undefined;
      }
    | undefined;
  tactics?:
    | {
        __typename?: 'TacticNestedList';
        data: Array<{
          __typename?: 'Tactic';
          id: string;
          created?: any | undefined;
          ttpType?: string | undefined;
          name: string;
        }>;
      }
    | undefined;
};

export const TechniqueDetailFragmentDoc = gql`
  fragment techniqueDetail on Technique {
    ...ttpName
    ...ttpMainContent
    ...techniqueCard
    ...selectedTTP
    subTechniques {
      data {
        ...subTechniquesTable
      }
      totalCount
    }
    externalReferences {
      data {
        ...externalReferencesTableElement
      }
      totalCount
    }
    groupProcedures {
      data {
        ...groupProceduresTableElement
      }
      totalCount
    }
    malwareProcedures {
      data {
        ...malwareProceduresTableElement
      }
      totalCount
    }
    mitigations {
      data {
        mitigation {
          ...mitigationsTableElement
        }
      }
      totalCount
    }
    platforms {
      data {
        ...platformsTableElement
      }
      totalCount
    }
    toolProcedures {
      data {
        ...toolProceduresTableElement
      }
      totalCount
    }
  }
`;
