import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { TechniqueDetailFragmentDoc } from './technique-detail.fragment.generated';
import { TtpNameFragmentDoc } from '../../../shared/ttp-name/ttp-name.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../types/ttp-id/ttp-id.fragment.generated';
import { TtpMainContentFragmentDoc } from '../../../detail-shared/ttp-main-content/ttp-main-content.fragment.generated';
import { TtpDetailTabsFragmentDoc } from '../../../detail-shared/ttp-main-content/ttp-detail-tabs/ttp-detail-tabs.fragment.generated';
import { TtpOverviewTabFragmentDoc } from '../../../detail-shared/ttp-main-content/ttp-detail-tabs/ttp-overview-tab/ttp-overview-tab.fragment.generated';
import { TechniqueCardFragmentDoc } from '../technique-card-content/technique-card.fragment.generated';
import { TtpSharedCardContentFragmentDoc } from '../../../detail-shared/ttp-shared-card-content/ttp-shared-card-content.fragment.generated';
import { SelectedTtpFragmentDoc } from '../../../detail-shared/ttp-detail-sidebar/graphql/selected-ttp.fragment.generated';
import { SubTechniquesTableFragmentDoc } from '../../../detail-shared/sub-techniques/table/sub-technique-table.fragment.generated';
import { ExternalReferencesTableElementFragmentDoc } from '../../../tables/external-references-table/external-references-table-element.generated';
import { GroupProceduresTableElementFragmentDoc } from '../../../tables/group-procedures-table/group-procedures-table-element.generated';
import { MalwareProceduresTableElementFragmentDoc } from '../../../tables/malware-procedures-table/malware-procedures-table-element.generated';
import { MitigationsTableElementFragmentDoc } from '../../../tables/mitigations-table/mitigations-table-element.generated';
import { PlatformsTableElementFragmentDoc } from '../../../tables/platforms-table/platforms-table-element.fragment.generated';
import { ToolProceduresTableElementFragmentDoc } from '../../../tables/tool-procedures-table/tool-procedures-table-element.generated';
import { Injectable } from '@angular/core';

export type GetTechniqueDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetTechniqueDetailQuery = {
  __typename?: 'Query';
  getTechnique?:
    | {
        __typename?: 'Technique';
        isSubtechnique?: boolean | undefined;
        created?: any | undefined;
        ttpType?: string | undefined;
        id: string;
        modified?: any | undefined;
        description?: string | undefined;
        name: string;
        subTechniques?:
          | {
              __typename?: 'TechniqueNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'Technique';
                description?: string | undefined;
                id: string;
                ttpType?: string | undefined;
                isSubtechnique?: boolean | undefined;
                created?: any | undefined;
                name: string;
                subTechniqueOf?:
                  | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
                  | undefined;
              }>;
            }
          | undefined;
        externalReferences?:
          | {
              __typename?: 'ExternalReferenceNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'ExternalReference';
                id: string;
                url?: string | undefined;
                sourceName: string;
                description?: string | undefined;
              }>;
            }
          | undefined;
        groupProcedures?:
          | {
              __typename?: 'GroupProcedureNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'GroupProcedure';
                description?: string | undefined;
                created?: any | undefined;
                ttpType?: string | undefined;
                id: string;
                name: string;
              }>;
            }
          | undefined;
        malwareProcedures?:
          | {
              __typename?: 'MalwareProcedureNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'MalwareProcedure';
                description?: string | undefined;
                created?: any | undefined;
                ttpType?: string | undefined;
                id: string;
                name: string;
              }>;
            }
          | undefined;
        mitigations?:
          | {
              __typename?: 'TechniqueMitigationRelationshipNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'TechniqueMitigationRelationship';
                mitigation?:
                  | { __typename?: 'Mitigation'; id: string; name: string; description?: string | undefined }
                  | undefined;
              }>;
            }
          | undefined;
        platforms?:
          | {
              __typename?: 'TTPPlatformNestedList';
              totalCount: number;
              data: Array<{ __typename?: 'TTPPlatform'; id: string; value: string }>;
            }
          | undefined;
        toolProcedures?:
          | {
              __typename?: 'ToolProcedureNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'ToolProcedure';
                description?: string | undefined;
                created?: any | undefined;
                ttpType?: string | undefined;
                id: string;
                name: string;
              }>;
            }
          | undefined;
        subTechniqueOf?:
          | {
              __typename?: 'Technique';
              id: string;
              ttpType?: string | undefined;
              name: string;
              tactics?:
                | {
                    __typename?: 'TacticNestedList';
                    data: Array<{ __typename?: 'Tactic'; id: string; ttpType?: string | undefined }>;
                  }
                | undefined;
            }
          | undefined;
        tactics?:
          | {
              __typename?: 'TacticNestedList';
              data: Array<{
                __typename?: 'Tactic';
                id: string;
                created?: any | undefined;
                ttpType?: string | undefined;
                name: string;
              }>;
            }
          | undefined;
      }
    | undefined;
};

export const GetTechniqueDetailDocument = gql`
  query GetTechniqueDetail($id: ID!) {
    getTechnique(id: $id) {
      ...techniqueDetail
    }
  }
  ${TechniqueDetailFragmentDoc}
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
  ${TtpMainContentFragmentDoc}
  ${TtpDetailTabsFragmentDoc}
  ${TtpOverviewTabFragmentDoc}
  ${TechniqueCardFragmentDoc}
  ${TtpSharedCardContentFragmentDoc}
  ${SelectedTtpFragmentDoc}
  ${SubTechniquesTableFragmentDoc}
  ${ExternalReferencesTableElementFragmentDoc}
  ${GroupProceduresTableElementFragmentDoc}
  ${MalwareProceduresTableElementFragmentDoc}
  ${MitigationsTableElementFragmentDoc}
  ${PlatformsTableElementFragmentDoc}
  ${ToolProceduresTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetTechniqueDetailQueryService extends Apollo.Query<
  GetTechniqueDetailQuery,
  GetTechniqueDetailQueryVariables
> {
  document = GetTechniqueDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
