import { ChangeDetectionStrategy, Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { MitigationsTableElementFragment } from '@orion/ttps-components/mitigations-table';
import { TechniqueDetailFragment } from '../graphql';

@Component({
  selector: 'orion-technique-detail-overview-tab-content',
  templateUrl: './technique-detail-overview-tab-content.component.html',
  styleUrls: ['./technique-detail-overview-tab-content.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TechniqueDetailOverviewTabContentComponent implements OnChanges {
  @Input() technique?: TechniqueDetailFragment;
  mitigations: MitigationsTableElementFragment[] = [];

  ngOnChanges(changes: SimpleChanges): void {
    if (
      'technique' in changes &&
      this.technique &&
      this.technique.mitigations &&
      this.technique.mitigations.data.length > 0
    ) {
      this.mitigations = this.technique.mitigations.data.map(
        (relationship) => relationship.mitigation
      ) as MitigationsTableElementFragment[];
    }
  }
}
