import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';
import {
  SubTechniqueSharedModule,
  TTPContentInjectionModule,
  TTPDetailSidebarModule,
  TTPMainContentModule,
  TTPSharedCardContentModule,
} from '@orion/ttps-components/detail-shared';
import { SubTechniqueDetailPageModule } from '@orion/ttps-components/detail-sub-technique';
import { ExternalReferencesTableModule } from '@orion/ttps-components/external-references-table';
import { GroupProceduresTableModule } from '@orion/ttps-components/group-procedures-table';
import { GroupsTableModule } from '@orion/ttps-components/groups-table';
import { MalwareProceduresTableModule } from '@orion/ttps-components/malware-procedures-table';
import { MalwareTableModule } from '@orion/ttps-components/malware-table';
import { MitigationsTableModule } from '@orion/ttps-components/mitigations-table';
import { PlatformsTableModule } from '@orion/ttps-components/platforms-table';
import { TTPNameModule } from '@orion/ttps-components/shared';
import { ToolProceduresTableModule } from '@orion/ttps-components/tool-procedures-table';
import { ToolsTableModule } from '@orion/ttps-components/tools-table';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionInlineListModule } from '@csirtmu-orion/microframework/inline-list';
import { SentinelSidebarCommonModule } from '@sentinel/layout/sidebar';
import { TechniqueCardContentComponent } from './technique-card-content';
import { TechniqueDetailOverviewTabContentComponent } from './technique-detail-overview-tab-content';
import { TechniqueDetailPageComponent } from './technique-detail-page.component';

@NgModule({
  declarations: [
    TechniqueDetailPageComponent,
    TechniqueCardContentComponent,
    TechniqueDetailOverviewTabContentComponent,
  ],
  imports: [
    CommonModule,
    TTPMainContentModule,
    SentinelPipesModule,
    TTPContentInjectionModule,
    SubTechniqueDetailPageModule,
    TTPSharedCardContentModule,
    TTPNameModule,
    SubTechniqueSharedModule,
    TTPDetailSidebarModule,
    SentinelSidebarCommonModule,
    EntityDetailPageModule,
    SLetModule,
    ExternalReferencesTableModule,
    GroupsTableModule,
    MalwareTableModule,
    MitigationsTableModule,
    PlatformsTableModule,
    ToolsTableModule,
    OrionCardModule,
    OrionAttributeModule,
    OrionInlineListModule,
    GroupProceduresTableModule,
    MalwareProceduresTableModule,
    ToolProceduresTableModule,
  ],
  exports: [TechniqueDetailPageComponent],
})
export class TechniqueDetailPageModule {}
