import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import {
  GetTechniqueDetailQuery,
  GetTechniqueDetailQueryService,
  GetTechniqueDetailQueryVariables,
  TechniqueDetailFragment,
} from './graphql';
import { TTP_PARAM_SELECTOR } from '@orion/ttps-paths';

@Injectable()
export class TechniqueDetailService extends ApolloRoutedEntityService<
  GetTechniqueDetailQuery,
  GetTechniqueDetailQueryVariables,
  TechniqueDetailFragment
> {
  constructor(public getQuery: GetTechniqueDetailQueryService, protected activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching technique');
  }

  protected createVariables(id: string): GetTechniqueDetailQueryVariables {
    return { id: id };
  }

  protected toFragment(queryRes: GetTechniqueDetailQuery): Optional<TechniqueDetailFragment> {
    return queryRes.getTechnique;
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(TTP_PARAM_SELECTOR);
  }
}
