import { gql } from 'apollo-angular';

export type ToolProcedureDetailFragment = {
  __typename?: 'ToolProcedure';
  id: string;
  toolProcedureName: string;
  created?: any | undefined;
  modified?: any | undefined;
  ttpType?: string | undefined;
  description?: string | undefined;
  name: string;
  externalReferences?:
    | {
        __typename?: 'ExternalReferenceNestedList';
        data: Array<{
          __typename?: 'ExternalReference';
          id: string;
          url?: string | undefined;
          sourceName: string;
          description?: string | undefined;
        }>;
      }
    | undefined;
  tool: { __typename?: 'Tool'; id: string; name: string };
  toolTechnique: {
    __typename?: 'Technique';
    isSubtechnique?: boolean | undefined;
    created?: any | undefined;
    ttpType?: string | undefined;
    id: string;
    name: string;
    subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
  };
};

export const ToolProcedureDetailFragmentDoc = gql`
  fragment toolProcedureDetail on ToolProcedure {
    id
    toolProcedureName
    ...ttpMainContent
    ...ttpSharedCardContent
    ...toolProcedureDetailContent
  }
`;
