import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ToolProcedureDetailFragmentDoc } from './tool-procedure-detail.fragment.generated';
import { TtpMainContentFragmentDoc } from '../../../detail-shared/ttp-main-content/ttp-main-content.fragment.generated';
import { TtpNameFragmentDoc } from '../../../shared/ttp-name/ttp-name.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../types/ttp-id/ttp-id.fragment.generated';
import { TtpDetailTabsFragmentDoc } from '../../../detail-shared/ttp-main-content/ttp-detail-tabs/ttp-detail-tabs.fragment.generated';
import { TtpOverviewTabFragmentDoc } from '../../../detail-shared/ttp-main-content/ttp-detail-tabs/ttp-overview-tab/ttp-overview-tab.fragment.generated';
import { TtpSharedCardContentFragmentDoc } from '../../../detail-shared/ttp-shared-card-content/ttp-shared-card-content.fragment.generated';
import { ToolProcedureDetailContentFragmentDoc } from '../tool-procedure-detail-content/tool-procedure-detail-content.fragment.generated';
import { ToolProcedureDetailCardInfoFragmentDoc } from '../tool-procedure-detail-content/tool-procedure-detail-card-info/tool-procedure-detail-card-info.fragment.generated';
import { ExternalReferencesTableElementFragmentDoc } from '../../../tables/external-references-table/external-references-table-element.generated';
import { Injectable } from '@angular/core';

export type GetToolProcedureDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetToolProcedureDetailQuery = {
  __typename?: 'Query';
  getToolProcedure?:
    | {
        __typename?: 'ToolProcedure';
        id: string;
        toolProcedureName: string;
        created?: any | undefined;
        modified?: any | undefined;
        ttpType?: string | undefined;
        description?: string | undefined;
        name: string;
        externalReferences?:
          | {
              __typename?: 'ExternalReferenceNestedList';
              data: Array<{
                __typename?: 'ExternalReference';
                id: string;
                url?: string | undefined;
                sourceName: string;
                description?: string | undefined;
              }>;
            }
          | undefined;
        tool: { __typename?: 'Tool'; id: string; name: string };
        toolTechnique: {
          __typename?: 'Technique';
          isSubtechnique?: boolean | undefined;
          created?: any | undefined;
          ttpType?: string | undefined;
          id: string;
          name: string;
          subTechniqueOf?:
            | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
            | undefined;
        };
      }
    | undefined;
};

export const GetToolProcedureDetailDocument = gql`
  query getToolProcedureDetail($id: ID!) {
    getToolProcedure(id: $id) {
      ...toolProcedureDetail
    }
  }
  ${ToolProcedureDetailFragmentDoc}
  ${TtpMainContentFragmentDoc}
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
  ${TtpDetailTabsFragmentDoc}
  ${TtpOverviewTabFragmentDoc}
  ${TtpSharedCardContentFragmentDoc}
  ${ToolProcedureDetailContentFragmentDoc}
  ${ToolProcedureDetailCardInfoFragmentDoc}
  ${ExternalReferencesTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetToolProcedureDetailQueryService extends Apollo.Query<
  GetToolProcedureDetailQuery,
  GetToolProcedureDetailQueryVariables
> {
  document = GetToolProcedureDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
