import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EditableEntityModule } from '@orion/shared-components/editable-entity';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';
import {
  TTPContentInjectionModule,
  TTPMainContentModule,
  TTPSharedCardContentModule,
} from '@orion/ttps-components/detail-shared';
import { ExternalReferencesTableModule } from '@orion/ttps-components/external-references-table';
import { TTPNavigatorPipesModule } from '@orion/ttps-components/shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import {
  ToolProcedureDetailCardInfoComponent,
  ToolProcedureDetailOverviewTabContentComponent,
} from './tool-procedure-detail-content';
import { ToolProcedureDetailPageComponent } from './tool-procedure-detail-page.component';

@NgModule({
  declarations: [
    ToolProcedureDetailPageComponent,
    ToolProcedureDetailOverviewTabContentComponent,
    ToolProcedureDetailCardInfoComponent,
  ],
  imports: [
    CommonModule,
    SLetModule,
    EntityDetailPageModule,
    SentinelPipesModule,
    EditableEntityModule,
    OrionCardModule,
    ExternalReferencesTableModule,
    OrionAttributeModule,
    OrionTimeAgoModule,
    OrionEntityNameModule,
    TTPNavigatorPipesModule,
    TTPMainContentModule,
    TTPContentInjectionModule,
    TTPSharedCardContentModule,
  ],
  exports: [ToolProcedureDetailPageComponent],
})
export class ToolProcedureDetailPageModule {}
