import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import {
  GetToolProcedureDetailQuery,
  GetToolProcedureDetailQueryService,
  GetToolProcedureDetailQueryVariables,
  ToolProcedureDetailFragment,
} from './graphql';
import { TTP_PARAM_SELECTOR } from '@orion/ttps-paths';

@Injectable()
export class ToolProcedureDetailService extends ApolloRoutedEntityService<
  GetToolProcedureDetailQuery,
  GetToolProcedureDetailQueryVariables,
  ToolProcedureDetailFragment
> {
  constructor(public getQuery: GetToolProcedureDetailQueryService, protected activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching tool procedure');
  }

  protected createVariables(entityId: string): GetToolProcedureDetailQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(TTP_PARAM_SELECTOR);
  }

  protected toFragment(query: GetToolProcedureDetailQuery): Optional<ToolProcedureDetailFragment> {
    return query.getToolProcedure;
  }
}
