import { gql } from 'apollo-angular';

export type ToolDetailFragment = {
  __typename?: 'Tool';
  id: string;
  name: string;
  description?: string | undefined;
  modified?: any | undefined;
  created?: any | undefined;
  groups?:
    | {
        __typename?: 'TTPGroupNestedList';
        data: Array<{ __typename?: 'TTPGroup'; id: string; name: string; description?: string | undefined }>;
      }
    | undefined;
  techniquesUsed?:
    | {
        __typename?: 'ToolProcedureNestedList';
        data: Array<{
          __typename?: 'ToolProcedure';
          description?: string | undefined;
          created?: any | undefined;
          ttpType?: string | undefined;
          id: string;
          name: string;
        }>;
      }
    | undefined;
  platforms?:
    | { __typename?: 'TTPPlatformNestedList'; data: Array<{ __typename?: 'TTPPlatform'; id: string; value: string }> }
    | undefined;
  externalReferences?:
    | {
        __typename?: 'ExternalReferenceNestedList';
        data: Array<{
          __typename?: 'ExternalReference';
          id: string;
          url?: string | undefined;
          sourceName: string;
          description?: string | undefined;
        }>;
      }
    | undefined;
  aliases?:
    | {
        __typename?: 'AliasNestedList';
        data: Array<{
          __typename?: 'Alias';
          id: string;
          value: string;
          tools?:
            | { __typename?: 'ToolNestedList'; data: Array<{ __typename?: 'Tool'; id: string; name: string }> }
            | undefined;
        }>;
      }
    | undefined;
};

export const ToolDetailFragmentDoc = gql`
  fragment toolDetail on Tool {
    id
    name
    ...toolDetailContent
  }
`;
