import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ToolDetailFragmentDoc } from './tool-detail.fragment.generated';
import { ToolDetailContentFragmentDoc } from '../tool-detail-content/tool-detail-content.fragment.generated';
import {
  ToolAliasFragmentDoc,
  ToolAliasNameFragmentDoc,
  ToolCardInfoFragmentDoc,
} from '../tool-detail-content/tool-card-info/tool-card-info.fragment.generated';
import { GroupsTableElementFragmentDoc } from '../../../tables/groups-table/group-table-element.fragment.generated';
import { ToolProceduresTableElementFragmentDoc } from '../../../tables/tool-procedures-table/tool-procedures-table-element.generated';
import { TtpNameFragmentDoc } from '../../../shared/ttp-name/ttp-name.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../types/ttp-id/ttp-id.fragment.generated';
import { PlatformsTableElementFragmentDoc } from '../../../tables/platforms-table/platforms-table-element.fragment.generated';
import { ExternalReferencesTableElementFragmentDoc } from '../../../tables/external-references-table/external-references-table-element.generated';
import { Injectable } from '@angular/core';

export type GetToolDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetToolDetailQuery = {
  __typename?: 'Query';
  getTool?:
    | {
        __typename?: 'Tool';
        id: string;
        name: string;
        description?: string | undefined;
        modified?: any | undefined;
        created?: any | undefined;
        groups?:
          | {
              __typename?: 'TTPGroupNestedList';
              data: Array<{ __typename?: 'TTPGroup'; id: string; name: string; description?: string | undefined }>;
            }
          | undefined;
        techniquesUsed?:
          | {
              __typename?: 'ToolProcedureNestedList';
              data: Array<{
                __typename?: 'ToolProcedure';
                description?: string | undefined;
                created?: any | undefined;
                ttpType?: string | undefined;
                id: string;
                name: string;
              }>;
            }
          | undefined;
        platforms?:
          | {
              __typename?: 'TTPPlatformNestedList';
              data: Array<{ __typename?: 'TTPPlatform'; id: string; value: string }>;
            }
          | undefined;
        externalReferences?:
          | {
              __typename?: 'ExternalReferenceNestedList';
              data: Array<{
                __typename?: 'ExternalReference';
                id: string;
                url?: string | undefined;
                sourceName: string;
                description?: string | undefined;
              }>;
            }
          | undefined;
        aliases?:
          | {
              __typename?: 'AliasNestedList';
              data: Array<{
                __typename?: 'Alias';
                id: string;
                value: string;
                tools?:
                  | { __typename?: 'ToolNestedList'; data: Array<{ __typename?: 'Tool'; id: string; name: string }> }
                  | undefined;
              }>;
            }
          | undefined;
      }
    | undefined;
};

export const GetToolDetailDocument = gql`
  query getToolDetail($id: ID!) {
    getTool(id: $id) {
      ...toolDetail
    }
  }
  ${ToolDetailFragmentDoc}
  ${ToolDetailContentFragmentDoc}
  ${ToolCardInfoFragmentDoc}
  ${ToolAliasFragmentDoc}
  ${ToolAliasNameFragmentDoc}
  ${GroupsTableElementFragmentDoc}
  ${ToolProceduresTableElementFragmentDoc}
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
  ${PlatformsTableElementFragmentDoc}
  ${ExternalReferencesTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetToolDetailQueryService extends Apollo.Query<GetToolDetailQuery, GetToolDetailQueryVariables> {
  document = GetToolDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
