import { gql } from 'apollo-angular';

export type ToolCardInfoFragment = {
  __typename?: 'Tool';
  id: string;
  modified?: any | undefined;
  created?: any | undefined;
  aliases?:
    | {
        __typename?: 'AliasNestedList';
        data: Array<{
          __typename?: 'Alias';
          id: string;
          value: string;
          tools?:
            | { __typename?: 'ToolNestedList'; data: Array<{ __typename?: 'Tool'; id: string; name: string }> }
            | undefined;
        }>;
      }
    | undefined;
};

export type ToolAliasFragment = {
  __typename?: 'Alias';
  id: string;
  value: string;
  tools?: { __typename?: 'ToolNestedList'; data: Array<{ __typename?: 'Tool'; id: string; name: string }> } | undefined;
};

export type ToolAliasNameFragment = { __typename?: 'Tool'; id: string; name: string };

export const ToolAliasNameFragmentDoc = gql`
  fragment toolAliasName on Tool {
    id
    name
  }
`;
export const ToolAliasFragmentDoc = gql`
  fragment toolAlias on Alias {
    id
    value
    tools {
      data {
        ...toolAliasName
      }
    }
  }
`;
export const ToolCardInfoFragmentDoc = gql`
  fragment toolCardInfo on Tool {
    id
    modified
    created
    aliases {
      data {
        ...toolAlias
      }
    }
  }
`;
