import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EditableEntityModule } from '@orion/shared-components/editable-entity';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';
import { ExternalReferencesTableModule } from '@orion/ttps-components/external-references-table';
import { GroupsTableModule } from '@orion/ttps-components/groups-table';
import { PlatformsTableModule } from '@orion/ttps-components/platforms-table';
import { TTPDescriptionModule, TTPNavigatorPipesModule } from '@orion/ttps-components/shared';
import { ToolProceduresTableModule } from '@orion/ttps-components/tool-procedures-table';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { OrionInlineListModule } from '@csirtmu-orion/microframework/inline-list';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { ToolCardInfoComponent, ToolDetailContentComponent } from './tool-detail-content';
import { ToolDetailPageComponent } from './tool-detail-page.component';
import { EntityToolbarModule } from '@orion/shared-components/entity-toolbar';
import { EntityToolbarInfoModule } from '@orion/user-components/shared';

@NgModule({
  declarations: [ToolDetailPageComponent, ToolDetailContentComponent, ToolCardInfoComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    EntityDetailPageModule,
    GroupsTableModule,
    OrionCardModule,
    EditableEntityModule,
    OrionTimeAgoModule,
    SLetModule,
    PlatformsTableModule,
    OrionEntityNameModule,
    TTPNavigatorPipesModule,
    OrionAttributeModule,
    OrionInlineListModule,
    ExternalReferencesTableModule,
    ToolProceduresTableModule,
    TTPDescriptionModule,
    EntityToolbarModule,
    EntityToolbarInfoModule,
  ],
  exports: [ToolDetailPageComponent],
})
export class ToolDetailPageModule {}
