import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import {
  GetToolDetailQuery,
  GetToolDetailQueryService,
  GetToolDetailQueryVariables,
  ToolDetailFragment,
} from './graphql';
import { TOOL_PARAM_SELECTOR } from '@orion/ttps-paths';

@Injectable()
export class ToolDetailService extends ApolloRoutedEntityService<
  GetToolDetailQuery,
  GetToolDetailQueryVariables,
  ToolDetailFragment
> {
  constructor(public getQuery: GetToolDetailQueryService, protected activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching tool');
  }

  protected createVariables(entityId: string): GetToolDetailQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(TOOL_PARAM_SELECTOR);
  }

  protected toFragment(query: GetToolDetailQuery): Optional<ToolDetailFragment> {
    return query.getTool;
  }
}
