import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap, Router } from '@angular/router';
import { ProcedureSharedFilterService } from '@orion/ttps-components/filters-procedure-shared';
import { GroupProcedureClientFilter } from '@orion/ttps-types';
import { Observable } from 'rxjs';

@Injectable()
export class GroupProcedureFilterService extends ProcedureSharedFilterService<GroupProcedureClientFilter> {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected createEmptyFilter(): GroupProcedureClientFilter {
    return this.createSharedEmptyFilter();
  }

  protected createFilterFromRoute(queryParamMap: ParamMap, paramMap: ParamMap): Observable<GroupProcedureClientFilter> {
    return this.sharedAttributesFromQueryParamMap(queryParamMap);
  }
}
