import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap, Router } from '@angular/router';
import { ProcedureSharedFilterService } from '@orion/ttps-components/filters-procedure-shared';
import { MitigationClientFilter } from '@orion/ttps-types';
import { Observable } from 'rxjs';

@Injectable()
export class MitigationFilterService extends ProcedureSharedFilterService<MitigationClientFilter> {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected createEmptyFilter(): MitigationClientFilter {
    return this.createSharedEmptyFilter();
  }

  protected createFilterFromRoute(paramMap: ParamMap): Observable<MitigationClientFilter> {
    return this.sharedAttributesFromQueryParamMap(paramMap);
  }
}
