import { Injectable } from '@angular/core';
import { PlatformClientFilter } from '@orion/ttps-types';
import { FilterChip, StringValueChip } from '@csirtmu-orion/microframework/filter';
import { FilterChipsService } from '@csirtmu-orion/microframework/filter-services';
import { PlatformFilterService } from './platform-filter.service';

@Injectable()
export class PlatformFilterChipsService extends FilterChipsService<PlatformClientFilter> {
  constructor(protected filterService: PlatformFilterService) {
    super(filterService);
  }

  protected createChips(filter?: PlatformClientFilter): FilterChip[] {
    const chips = [];
    if (filter?.name) {
      chips.push(new StringValueChip(filter.name));
    }
    return chips;
  }

  removeChip(removedChip: FilterChip): void {
    if (removedChip instanceof StringValueChip) {
      this.filterService.updateAndSubmit({ name: undefined });
    }
  }
}
