import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap, Router } from '@angular/router';
import { PlatformClientFilter } from '@orion/ttps-types';
import { QueryParamFilterService } from '@csirtmu-orion/microframework/filter-services';
import { Observable, of } from 'rxjs';

@Injectable()
export class PlatformFilterService extends QueryParamFilterService<PlatformClientFilter> {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected createEmptyFilter(): PlatformClientFilter {
    return { name: undefined };
  }

  protected createFilterFromRoute(queryParamMap: ParamMap, paramMap: ParamMap): Observable<PlatformClientFilter> {
    const name = this.deslugify(queryParamMap.get('name'));
    return of({ name });
  }
}
