import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { PlatformClientFilter } from '@orion/ttps-types';
import { PlatformFilterService } from './platform-filter.service';

@Component({
  selector: 'orion-platform-filters',
  templateUrl: './platform-filters.component.html',
  styleUrls: ['./platform-filters.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class PlatformFiltersComponent {
  @Input() activeFilter?: PlatformClientFilter;

  constructor(protected filterService: PlatformFilterService) {}

  onNameChange(value: string): void {
    this.filterService.update({ name: value });
  }
}
