import { ParamMap, Params } from '@angular/router';
import { TtpSharedClientFilter } from '@orion/ttps-types';
import { QueryParamFilterService } from '@csirtmu-orion/microframework/filter-services';
import { Observable, of } from 'rxjs';

export abstract class ProcedureSharedFilterService<T extends TtpSharedClientFilter> extends QueryParamFilterService<T> {
  protected toQueryParams(filter: T): Params {
    const params = super.toQueryParams(filter);
    if (filter.from) {
      params.from = filter.from.valueOf();
    }
    if (filter.to) {
      params.to = filter.to.valueOf();
    }
    return params;
  }
  protected createSharedEmptyFilter(): TtpSharedClientFilter {
    return { name: undefined, from: undefined, to: undefined };
  }

  protected sharedAttributesFromQueryParamMap(paramMap: ParamMap): Observable<TtpSharedClientFilter> {
    const name = this.deslugify(paramMap.get('name'));
    const from = this.deslugifyTimestamp(paramMap.get('from'));
    const to = this.deslugifyTimestamp(paramMap.get('to'));
    return of({ name, from, to });
  }
}
