import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { TtpSharedClientFilter } from '@orion/ttps-types';
import { FilterService } from '@csirtmu-orion/microframework/filter-services';
import { OrionFilterDirective } from '@csirtmu-orion/microframework/filters';

@Component({
  selector: 'orion-procedure-shared-filters',
  templateUrl: './procedure-shared-filters.component.html',
  styleUrls: ['./procedure-shared-filters.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ProcedureSharedFiltersComponent extends OrionFilterDirective {
  @Input() activeFilter?: TtpSharedClientFilter;

  constructor(protected filterService: FilterService<TtpSharedClientFilter>) {
    super(filterService);
  }

  onNameChange(value: string): void {
    this.filterService.update({ name: value });
  }
}
