import { Injectable } from '@angular/core';
import { RelatedTTPClientFilter, TtpTypeFilterChip } from '@orion/ttps-types';
import { FilterChip } from '@csirtmu-orion/microframework/filter';
import { FilterChipsService } from '@csirtmu-orion/microframework/filter-services';
import { RelatedTTPsFilterService } from './related-ttps-filter.service';

@Injectable()
export class RelatedTTPsFilterChipsService extends FilterChipsService<RelatedTTPClientFilter> {
  constructor(protected filterService: RelatedTTPsFilterService) {
    super(filterService);
  }

  protected createChips(filter?: RelatedTTPClientFilter): FilterChip[] {
    const chips = [];
    if (filter?.ttpType) {
      chips.push(new TtpTypeFilterChip(filter.ttpType));
    }
    return chips;
  }

  removeChip(removedChip: FilterChip): void {
    if (removedChip instanceof TtpTypeFilterChip) {
      this.filterService.updateAndSubmit({ ttpType: undefined });
    }
  }
}
