import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { KnownTtPsTypesEnum } from '@orion/graphql-types';
import { RelatedTTPClientFilter, TTP_DROPDOWN_TYPES } from '@orion/ttps-types';
import { RelatedTTPsFilterService } from './related-ttps-filter.service';

@Component({
  selector: 'orion-related-ttps-filters',
  templateUrl: './related-ttps-filters.component.html',
  styleUrls: ['./related-ttps-filters.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class RelatedTTPsFiltersComponent {
  @Input() activeFilter?: RelatedTTPClientFilter;
  possibleTTPTypes = TTP_DROPDOWN_TYPES;

  constructor(protected filterService: RelatedTTPsFilterService) {}

  onTypeChange(value: KnownTtPsTypesEnum): void {
    this.filterService.update({ ttpType: value });
  }
}
