import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { TechniqueClientFilter } from '@orion/ttps-types';
import { OrionFilterDirective } from '@csirtmu-orion/microframework/filters';
import { TechniqueFilterService } from './technique-filter.service';

@Component({
  selector: 'orion-technique-filters',
  templateUrl: './technique-filters.component.html',
  styleUrls: ['./technique-filters.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TechniqueFiltersComponent extends OrionFilterDirective {
  @Input() activeFilter?: TechniqueClientFilter;

  constructor(protected filterService: TechniqueFilterService) {
    super(filterService);
  }

  onNameChange(value: string): void {
    this.filterService.update({ name: value });
  }
}
