import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { GroupProcedureOverviewElementFragmentDoc } from './group-procedure-overview-element.fragment.generated';
import { GroupProceduresTableElementFragmentDoc } from '../../../tables/group-procedures-table/group-procedures-table-element.generated';
import { TtpNameFragmentDoc } from '../../../shared/ttp-name/ttp-name.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../types/ttp-id/ttp-id.fragment.generated';
import { Injectable } from '@angular/core';

export type GroupProcedureOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.GroupProcedureFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.GroupProcedureOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GroupProcedureOverviewQuery = {
  __typename?: 'Query';
  getGroupProcedureList: {
    __typename?: 'GroupProcedurePaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'GroupProcedure';
      description?: string | undefined;
      created?: any | undefined;
      ttpType?: string | undefined;
      id: string;
      name: string;
    }>;
  };
};

export const GroupProcedureOverviewDocument = gql`
  query groupProcedureOverview(
    $filter: [GroupProcedureFilter1ANDFilterEntry!]
    $order: [GroupProcedureOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getGroupProcedureList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...groupProcedureOverviewElement
      }
      previous
      next
      totalCount
    }
  }
  ${GroupProcedureOverviewElementFragmentDoc}
  ${GroupProceduresTableElementFragmentDoc}
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GroupProcedureOverviewQueryService extends Apollo.Query<
  GroupProcedureOverviewQuery,
  GroupProcedureOverviewQueryVariables
> {
  document = GroupProcedureOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
