import { ChangeDetectionStrategy, Component } from '@angular/core';
import { GroupProcedureOrdEnum } from '@orion/graphql-types';
import {
  GroupProcedureFilterChipsService,
  GroupProcedureFilterService,
} from '@orion/ttps-components/filters-group-procedure';
import { GroupProcedureClientFilter } from '@orion/ttps-types';
import { FilterService } from '@csirtmu-orion/microframework/filter-services';
import {
  INIT_PAGINATION_EVENT_BASE_TOKEN,
  PaginationBaseInit,
  PaginationService,
  QueryParamPaginationService,
} from '@csirtmu-orion/microframework/pagination-services';
import { EntityPaginableFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { GroupProcedureOverviewElementFragment } from './graphql';
import { GroupProcedureOverviewService } from './group-procedure-overview.service';

@Component({
  selector: 'orion-group-procedure-overview-page',
  templateUrl: './group-procedure-overview-page.component.html',
  styleUrls: ['./group-procedure-overview-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    GroupProcedureOverviewService,
    GroupProcedureFilterChipsService,
    { provide: FilterService, useClass: GroupProcedureFilterService },
    { provide: PaginationService, useClass: QueryParamPaginationService },
    {
      provide: INIT_PAGINATION_EVENT_BASE_TOKEN,
      useValue: new PaginationBaseInit(10, GroupProcedureOrdEnum.GROUP_PROCEDURE_NAME, 'asc'),
    },
  ],
})
export class GroupProcedureOverviewPageComponent extends EntityPaginableFilterableSmartOverviewDirective<
  GroupProcedureOverviewElementFragment,
  GroupProcedureClientFilter
> {
  constructor(
    protected paginationService: PaginationService,
    protected groupsService: GroupProcedureOverviewService,
    protected filterService: FilterService<GroupProcedureClientFilter>,
    protected filterChipsService: GroupProcedureFilterChipsService
  ) {
    super(groupsService, filterService, paginationService, filterChipsService);
  }
}
