import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { MitigationOverviewElementFragmentDoc } from './mitigation-overview-element.fragment.generated';
import { MitigationsTableElementFragmentDoc } from '../../../tables/mitigations-table/mitigations-table-element.generated';
import { Injectable } from '@angular/core';

export type MitigationOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.MitigationFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.MitigationOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type MitigationOverviewQuery = {
  __typename?: 'Query';
  getMitigationList: {
    __typename?: 'MitigationPaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{ __typename?: 'Mitigation'; id: string; name: string; description?: string | undefined }>;
  };
};

export const MitigationOverviewDocument = gql`
  query mitigationOverview(
    $filter: [MitigationFilter1ANDFilterEntry!]
    $order: [MitigationOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getMitigationList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...mitigationOverviewElement
      }
      previous
      next
      totalCount
    }
  }
  ${MitigationOverviewElementFragmentDoc}
  ${MitigationsTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class MitigationOverviewQueryService extends Apollo.Query<
  MitigationOverviewQuery,
  MitigationOverviewQueryVariables
> {
  document = MitigationOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
