import { ChangeDetectionStrategy, Component } from '@angular/core';
import { MitigationOrdEnum } from '@orion/graphql-types';
import { MitigationFilterChipsService, MitigationFilterService } from '@orion/ttps-components/filters-mitigation';
import { MitigationClientFilter } from '@orion/ttps-types';
import { FilterService } from '@csirtmu-orion/microframework/filter-services';
import {
  INIT_PAGINATION_EVENT_BASE_TOKEN,
  PaginationBaseInit,
  PaginationService,
  QueryParamPaginationService,
} from '@csirtmu-orion/microframework/pagination-services';
import { EntityPaginableFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { MitigationOverviewElementFragment } from './graphql';
import { MitigationOverviewService } from './mitigation-overview.service';

@Component({
  selector: 'orion-mitigation-overview-page',
  templateUrl: './mitigation-overview-page.component.html',
  styleUrls: ['./mitigation-overview-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    MitigationOverviewService,
    MitigationFilterChipsService,
    { provide: FilterService, useClass: MitigationFilterService },
    { provide: PaginationService, useClass: QueryParamPaginationService },
    {
      provide: INIT_PAGINATION_EVENT_BASE_TOKEN,
      useValue: new PaginationBaseInit(10, MitigationOrdEnum.NAME, 'asc'),
    },
  ],
})
export class MitigationOverviewPageComponent extends EntityPaginableFilterableSmartOverviewDirective<
  MitigationOverviewElementFragment,
  MitigationClientFilter
> {
  constructor(
    protected paginationService: PaginationService,
    protected mitigationService: MitigationOverviewService,
    protected filterService: FilterService<MitigationClientFilter>,
    protected filterChipsService: MitigationFilterChipsService
  ) {
    super(mitigationService, filterService, paginationService, filterChipsService);
  }
}
