import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { PlatformOverviewElementFragmentDoc } from './platform-overview-element.fragment.generated';
import { PlatformsTableElementFragmentDoc } from '../../../tables/platforms-table/platforms-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type PlatformOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.TtpPlatformFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.TtpPlatformOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type PlatformOverviewQuery = {
  __typename?: 'Query';
  getTtpPlatformList: {
    __typename?: 'TTPPlatformPaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{ __typename?: 'TTPPlatform'; id: string; value: string }>;
  };
};

export const PlatformOverviewDocument = gql`
  query platformOverview(
    $filter: [TTPPlatformFilter1ANDFilterEntry!]
    $order: [TTPPlatformOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getTtpPlatformList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...platformOverviewElement
      }
      previous
      next
      totalCount
    }
  }
  ${PlatformOverviewElementFragmentDoc}
  ${PlatformsTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class PlatformOverviewQueryService extends Apollo.Query<PlatformOverviewQuery, PlatformOverviewQueryVariables> {
  document = PlatformOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
