import { ChangeDetectionStrategy, Component } from '@angular/core';
import { TtpPlatformOrdEnum } from '@orion/graphql-types';
import { PlatformFilterChipsService, PlatformFilterService } from '@orion/ttps-components/filters-platform';
import { PlatformClientFilter } from '@orion/ttps-types';
import {
  INIT_PAGINATION_EVENT_BASE_TOKEN,
  PaginationBaseInit,
  PaginationService,
  QueryParamPaginationService,
} from '@csirtmu-orion/microframework/pagination-services';
import { EntityPaginableFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { PlatformOverviewElementFragment } from './graphql';
import { PlatformOverviewService } from './platform-overview.service';

@Component({
  selector: 'orion-platform-overview-page',
  templateUrl: './platform-overview-page.component.html',
  styleUrls: ['./platform-overview-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    PlatformOverviewService,
    PlatformFilterService,
    PlatformFilterChipsService,
    {
      provide: PaginationService,
      useClass: QueryParamPaginationService,
    },
    {
      provide: INIT_PAGINATION_EVENT_BASE_TOKEN,
      useValue: new PaginationBaseInit(10, TtpPlatformOrdEnum.VALUE, 'asc'),
    },
  ],
})
export class PlatformOverviewPageComponent extends EntityPaginableFilterableSmartOverviewDirective<
  PlatformOverviewElementFragment,
  PlatformClientFilter
> {
  constructor(
    protected paginationService: PaginationService,
    protected platformService: PlatformOverviewService,
    protected filterService: PlatformFilterService,
    protected filterChipsService: PlatformFilterChipsService
  ) {
    super(platformService, filterService, paginationService, filterChipsService);
  }
}
