import { gql } from 'apollo-angular';

export type TacticCardFragment = {
  __typename?: 'Tactic';
  description?: string | undefined;
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  name: string;
  techniques?:
    | { __typename?: 'TechniqueNestedList'; totalCount: number; data: Array<{ __typename?: 'Technique'; id: string }> }
    | undefined;
};

export const TacticCardFragmentDoc = gql`
  fragment tacticCard on Tactic {
    ...ttpName
    description
    techniques(
      filter: [{ AND: { OR: { isSubtechnique: { exact: false } } } }]
      ordering: [{ o: TECHNIQUE_NAME, desc: false }]
      limit: 100
    ) {
      data {
        id
      }
      totalCount
    }
  }
`;
