import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { TacticCardFragmentDoc } from './tactic-card.fragment.generated';
import { TtpNameFragmentDoc } from '../../../shared/ttp-name/ttp-name.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../types/ttp-id/ttp-id.fragment.generated';
import { Injectable } from '@angular/core';

export type GetTacticCardsQueryVariables = SchemaTypes.Exact<{ [key: string]: never }>;

export type GetTacticCardsQuery = {
  __typename?: 'Query';
  getTacticList: {
    __typename?: 'TacticPaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'Tactic';
      description?: string | undefined;
      created?: any | undefined;
      ttpType?: string | undefined;
      id: string;
      name: string;
      techniques?:
        | {
            __typename?: 'TechniqueNestedList';
            totalCount: number;
            data: Array<{ __typename?: 'Technique'; id: string }>;
          }
        | undefined;
    }>;
  };
};

export const GetTacticCardsDocument = gql`
  query getTacticCards {
    getTacticList {
      data {
        ...tacticCard
      }
      previous
      next
      totalCount
    }
  }
  ${TacticCardFragmentDoc}
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetTacticCardsQueryService extends Apollo.Query<GetTacticCardsQuery, GetTacticCardsQueryVariables> {
  document = GetTacticCardsDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
