import { Injectable } from '@angular/core';
import { ApolloEntitiesService } from '@csirtmu-orion/microframework/apollo-services';
import {
  GetTacticCardsQuery,
  GetTacticCardsQueryService,
  GetTacticCardsQueryVariables,
  TacticCardFragment,
} from './graphql';

@Injectable()
export class TacticCardsService extends ApolloEntitiesService<
  GetTacticCardsQuery,
  GetTacticCardsQueryVariables,
  TacticCardFragment
> {
  constructor(public getQuery: GetTacticCardsQueryService) {
    super(getQuery, 'Fetching tactics');
  }

  protected toFragments(query: GetTacticCardsQuery): TacticCardFragment[] {
    return query.getTacticList.data;
  }

  protected createVariables(): GetTacticCardsQueryVariables {
    return {};
  }
}
