import { ChangeDetectionStrategy, Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { TacticCardFragment } from '../../graphql';
import { TacticIdService } from './tactic-id.service';

@Component({
  selector: 'orion-tactic-card',
  templateUrl: './tactic-card.component.html',
  styleUrls: ['./tactic-card.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [TacticIdService],
})
export class TacticCardComponent implements OnChanges {
  @Input() tactic?: TacticCardFragment;
  expanded = false;

  constructor(private tacticIdService: TacticIdService) {}

  ngOnChanges(changes: SimpleChanges): void {
    if ('tactic' in changes && this.tactic) {
      this.tacticIdService.set(this.tactic.id);
    }
  }

  toggleExpand(): void {
    this.expanded = !this.expanded;
  }
}
