import * as SchemaTypes from '../../../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { TechniqueListItemFragmentDoc } from './technique-list.fragment.generated';
import { TtpNameFragmentDoc } from '../../../../../../shared/ttp-name/ttp-name.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../../../../types/ttp-id/ttp-id.fragment.generated';
import { Injectable } from '@angular/core';

export type GetTechniqueListQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.TechniqueFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.TechniqueOrdEnumOrderingEntry>>;
}>;

export type GetTechniqueListQuery = {
  __typename?: 'Query';
  getTechniqueList: {
    __typename?: 'TechniquePaginated';
    data: Array<{
      __typename?: 'Technique';
      isSubtechnique?: boolean | undefined;
      created?: any | undefined;
      ttpType?: string | undefined;
      id: string;
      name: string;
      subTechniques?:
        | {
            __typename?: 'TechniqueNestedList';
            totalCount: number;
            data: Array<{ __typename?: 'Technique'; id: string }>;
          }
        | undefined;
      subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
    }>;
  };
};

export const GetTechniqueListDocument = gql`
  query getTechniqueList($filter: [TechniqueFilter1ANDFilterEntry!], $order: [TechniqueOrdEnumOrderingEntry!]) {
    getTechniqueList(filter: $filter, ordering: $order) {
      data {
        ...techniqueListItem
      }
    }
  }
  ${TechniqueListItemFragmentDoc}
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetTechniqueListQueryService extends Apollo.Query<GetTechniqueListQuery, GetTechniqueListQueryVariables> {
  document = GetTechniqueListDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
