import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap, Router } from '@angular/router';
import { TechniqueFilterService } from '@orion/ttps-components/filters-technique';
import { TechniqueClientFilter } from '@orion/ttps-types';
import { Observable } from 'rxjs';
import { concatMap, map } from 'rxjs/operators';
import { TacticIdService } from '../tactic-id.service';

@Injectable()
export class TechniquesOfTacticFilterService extends TechniqueFilterService {
  constructor(
    protected router: Router,
    protected activatedRoute: ActivatedRoute,
    private tacticIdService: TacticIdService
  ) {
    super(router, activatedRoute);
  }
  protected createFilterFromRoute(queryParamMap: ParamMap, paramMap: ParamMap): Observable<TechniqueClientFilter> {
    return super.createFilterFromRoute(queryParamMap, paramMap).pipe(
      concatMap((filter) =>
        this.tacticIdService.id$.pipe(
          map((id) => {
            filter.tacticId = id;
            return filter;
          })
        )
      )
    );
  }
}
