import { ChangeDetectionStrategy, Component, OnInit } from '@angular/core';
import { defer, Observable } from 'rxjs';
import { TacticCardFragment } from './graphql';
import { TacticCardsService } from './tactic-cards.service';

@Component({
  selector: 'orion-tactic-overview-page',
  templateUrl: './tactic-overview-page.component.html',
  styleUrls: ['./tactic-overview-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [TacticCardsService],
})
export class TacticOverviewPageComponent implements OnInit {
  entities$?: Observable<TacticCardFragment[]>;
  isLoading$?: Observable<boolean>;
  hasError$?: Observable<boolean>;
  onTryAgain$ = defer(() => this.entityService.recoverAfterError());

  constructor(private entityService: TacticCardsService) {}

  ngOnInit(): void {
    this.entities$ = this.entityService.data$;
    this.isLoading$ = this.entityService.isLoading$;
    this.hasError$ = this.entityService.hasError$;
  }
}
