import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatTooltipModule } from '@angular/material/tooltip';
import { RouterModule } from '@angular/router';
import { TTPDescriptionModule, TTPNameModule, TTPNavigatorPipesModule } from '@orion/ttps-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import {
  TacticCardComponent,
  TacticCardsComponent,
  TechniquesListComponent,
  TechniquesOfTacticComponent,
} from './tactic-cards';
import { TacticOverviewPageComponent } from './tactic-overview-page.component';

@NgModule({
  declarations: [
    TacticOverviewPageComponent,
    TacticCardsComponent,
    TacticCardComponent,
    TechniquesOfTacticComponent,
    TechniquesListComponent,
  ],
  imports: [
    CommonModule,
    SentinelPipesModule,
    TTPNameModule,
    MatButtonModule,
    MatIconModule,
    MatTooltipModule,
    SentinelErrorModule,
    OrionSkeletonLoadingModule,
    OrionEntityNameModule,
    RouterModule,
    OrionCardModule,
    TTPNavigatorPipesModule,
    TTPDescriptionModule,
  ],
  exports: [TacticOverviewPageComponent],
})
export class TacticOverviewPageModule {}
