import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { TechniqueOverviewElementFragmentDoc } from './technique-overview-element.fragment.generated';
import {
  SubTechniqueRowFragmentDoc,
  TechniqueAndSubTechniqueRowFragmentDoc,
  TechniqueAndSubTechniqueTableFragmentDoc,
} from '../../../tables/techniques-table/technique-and-sub-technique-table.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../types/ttp-id/ttp-id.fragment.generated';
import { TtpNameFragmentDoc } from '../../../shared/ttp-name/ttp-name.fragment.generated';
import { Injectable } from '@angular/core';

export type TechniqueOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.TechniqueFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.TechniqueOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type TechniqueOverviewQuery = {
  __typename?: 'Query';
  getTechniqueList: {
    __typename?: 'TechniquePaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'Technique';
      description?: string | undefined;
      id: string;
      ttpType?: string | undefined;
      isSubtechnique?: boolean | undefined;
      created?: any | undefined;
      name: string;
      subTechniques?:
        | {
            __typename?: 'TechniqueNestedList';
            totalCount: number;
            data: Array<{
              __typename?: 'Technique';
              description?: string | undefined;
              id: string;
              ttpType?: string | undefined;
              isSubtechnique?: boolean | undefined;
              created?: any | undefined;
              name: string;
              subTechniqueOf?:
                | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
                | undefined;
            }>;
          }
        | undefined;
      subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
    }>;
  };
};

export const TechniqueOverviewDocument = gql`
  query techniqueOverview(
    $filter: [TechniqueFilter1ANDFilterEntry!]
    $order: [TechniqueOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getTechniqueList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...techniqueOverviewElement
      }
      previous
      next
      totalCount
    }
  }
  ${TechniqueOverviewElementFragmentDoc}
  ${TechniqueAndSubTechniqueTableFragmentDoc}
  ${TechniqueAndSubTechniqueRowFragmentDoc}
  ${TtpIdFragmentDoc}
  ${TtpNameFragmentDoc}
  ${SubTechniqueRowFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class TechniqueOverviewQueryService extends Apollo.Query<
  TechniqueOverviewQuery,
  TechniqueOverviewQueryVariables
> {
  document = TechniqueOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
