import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { ToolProcedureOverviewElementFragmentDoc } from './tool-procedure-overview-element.fragment.generated';
import { ToolProceduresTableElementFragmentDoc } from '../../../tables/tool-procedures-table/tool-procedures-table-element.generated';
import { TtpNameFragmentDoc } from '../../../shared/ttp-name/ttp-name.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../types/ttp-id/ttp-id.fragment.generated';
import { Injectable } from '@angular/core';

export type ToolProcedureOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.ToolProcedureFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.ToolProcedureOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type ToolProcedureOverviewQuery = {
  __typename?: 'Query';
  getToolProcedureList: {
    __typename?: 'ToolProcedurePaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'ToolProcedure';
      description?: string | undefined;
      created?: any | undefined;
      ttpType?: string | undefined;
      id: string;
      name: string;
    }>;
  };
};

export const ToolProcedureOverviewDocument = gql`
  query toolProcedureOverview(
    $filter: [ToolProcedureFilter1ANDFilterEntry!]
    $order: [ToolProcedureOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getToolProcedureList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...toolProcedureOverviewElement
      }
      previous
      next
      totalCount
    }
  }
  ${ToolProcedureOverviewElementFragmentDoc}
  ${ToolProceduresTableElementFragmentDoc}
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class ToolProcedureOverviewQueryService extends Apollo.Query<
  ToolProcedureOverviewQuery,
  ToolProcedureOverviewQueryVariables
> {
  document = ToolProcedureOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
