import { TTPClientFilter, TTPIdentification } from '@orion/ttps-types';
import { FilterService } from '@csirtmu-orion/microframework/filter-services';

export class EntityAddTTPsFilterService extends FilterService<TTPClientFilter> {
  constructor() {
    super();
  }

  protected notIn: TTPIdentification[] = [];

  exclude(notIn: TTPIdentification[]): void {
    this.notIn = notIn;
    const lastFilter = this.filterSubject$.getValue();
    this.update({ ...lastFilter, notIn: this.notIn });
  }

  update(filter: Partial<TTPClientFilter>): void {
    filter.notIn = this.notIn;
    super.update(filter);
  }

  protected createEmptyFilter(): TTPClientFilter {
    return { notIn: this.notIn };
  }
}
