import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { TtpSelectionFragmentDoc } from '../../../shared/ttps-selection/ttp-selection.fragment.generated';
import { TtpNameFragmentDoc } from '../../../shared/ttp-name/ttp-name.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../types/ttp-id/ttp-id.fragment.generated';
import { Injectable } from '@angular/core';

export type GetTtpListQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.IttpFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.IttpOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetTtpListQuery = {
  __typename?: 'Query';
  getIttpList: {
    __typename?: 'ITTPPaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<
      | {
          __typename?: 'GroupProcedure';
          created?: any | undefined;
          ttpType?: string | undefined;
          id: string;
          name: string;
        }
      | {
          __typename?: 'MalwareProcedure';
          created?: any | undefined;
          ttpType?: string | undefined;
          id: string;
          name: string;
        }
      | { __typename?: 'Tactic'; created?: any | undefined; ttpType?: string | undefined; id: string; name: string }
      | {
          __typename?: 'Technique';
          isSubtechnique?: boolean | undefined;
          created?: any | undefined;
          ttpType?: string | undefined;
          id: string;
          name: string;
          subTechniqueOf?:
            | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
            | undefined;
        }
      | {
          __typename?: 'ToolProcedure';
          created?: any | undefined;
          ttpType?: string | undefined;
          id: string;
          name: string;
        }
    >;
  };
};

export const GetTtpListDocument = gql`
  query getTTPList(
    $filter: [ITTPFilter1ANDFilterEntry!]
    $order: [ITTPOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getIttpList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...ttpSelection
      }
      previous
      next
      totalCount
    }
  }
  ${TtpSelectionFragmentDoc}
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetTtpListQueryService extends Apollo.Query<GetTtpListQuery, GetTtpListQueryVariables> {
  document = GetTtpListDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
