import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { RelatedTtpFragmentDoc } from './related-ttp.fragment.generated';
import { RelatedTtpTableElementFragmentDoc } from '../ttps-table/related-ttp-table.fragment.generated';
import { TtpFederationNameFragmentDoc } from '../../shared/ttp-name/ttp-name.fragment.generated';
import { TtpFederationIdFragmentDoc, TtpIdFragmentDoc } from '../../../types/ttp-id/ttp-id.fragment.generated';
import { Injectable } from '@angular/core';

export type GetRelatedTtPsQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.TtpFederationBaseFilterAndFilterEntry>>;
}>;

export type GetRelatedTtPsQuery = {
  __typename?: 'Query';
  getFederatedTtpList: {
    __typename?: 'TTPFederationBaseFederationResult';
    data: Array<
      | {
          __typename?: 'GroupProcedure';
          ttpType?: string | undefined;
          created?: any | undefined;
          id: string;
          name: string;
        }
      | {
          __typename?: 'MalwareProcedure';
          ttpType?: string | undefined;
          created?: any | undefined;
          id: string;
          name: string;
        }
      | { __typename?: 'Tactic'; ttpType?: string | undefined; created?: any | undefined; id: string; name: string }
      | {
          __typename?: 'Technique';
          ttpType?: string | undefined;
          isSubtechnique?: boolean | undefined;
          created?: any | undefined;
          id: string;
          name: string;
          subTechniqueOf?:
            | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
            | undefined;
        }
      | {
          __typename?: 'ToolProcedure';
          ttpType?: string | undefined;
          created?: any | undefined;
          id: string;
          name: string;
        }
    >;
  };
};

export const GetRelatedTtPsDocument = gql`
  query getRelatedTTPs($filter: [TTPFederationBaseFilterANDFilterEntry!]) {
    getFederatedTtpList(filter: $filter) {
      data {
        ...relatedTTP
      }
    }
  }
  ${RelatedTtpFragmentDoc}
  ${RelatedTtpTableElementFragmentDoc}
  ${TtpFederationNameFragmentDoc}
  ${TtpFederationIdFragmentDoc}
  ${TtpIdFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetRelatedTtPsQueryService extends Apollo.Query<GetRelatedTtPsQuery, GetRelatedTtPsQueryVariables> {
  document = GetRelatedTtPsDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
