import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CreateEditEntityModule } from '@orion/shared-components/create-edit';
import { TTPNameModule, TTPsSelectionModule } from '@orion/ttps-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { RelatedTTPsFiltersModule } from '../filters/related-ttps/related-ttps-filters.module';
import { AddRelatedTTPsComponent } from './add-related-ttps';
import { RelatedTTPsOverviewComponent } from './related-ttps-overview.component';
import { TTPsTableComponent } from './ttps-table';

@NgModule({
  declarations: [RelatedTTPsOverviewComponent, AddRelatedTTPsComponent, TTPsTableComponent],
  imports: [
    CommonModule,
    SentinelControlsModule,
    OrionFilterModule,
    SentinelPipesModule,
    RelatedTTPsFiltersModule,
    SentinelTableModule,
    TTPNameModule,
    SentinelErrorModule,
    TTPsSelectionModule,
    CreateEditEntityModule,
    OrionSkeletonLoadingModule,
    OrionCardModule,
  ],
  exports: [RelatedTTPsOverviewComponent],
})
export class RelatedTTPsOverviewModule {}
