import { Optional, Pipe, PipeTransform } from '@angular/core';
import { AliasNavigator } from '@orion/ttps-services';

@Pipe({
  name: 'aliasNavigator',
})
export class AliasNavigatorPipe implements PipeTransform {
  constructor(@Optional() private routeResolver?: AliasNavigator) {}

  transform(id: string): string | undefined {
    if (id && this.routeResolver) {
      return this.routeResolver.toDetail(id);
    } else {
      return undefined;
    }
  }
}
