import { Optional, Pipe, PipeTransform } from '@angular/core';
import { PlatformNavigator } from '@orion/ttps-services';

@Pipe({
  name: 'platformNavigator',
})
export class PlatformNavigatorPipe implements PipeTransform {
  constructor(@Optional() private routeResolver?: PlatformNavigator) {}

  transform(id: string): string | undefined {
    if (id && this.routeResolver) {
      return this.routeResolver.toDetail(id);
    } else {
      return undefined;
    }
  }
}
