import { Optional, Pipe, PipeTransform } from '@angular/core';
import { TtpNameFragment } from '@orion/ttps-components/shared';
import { TTPNavigator } from '@orion/ttps-services';

@Pipe({
  name: 'ttpNavigator',
})
export class TtpNavigatorPipe implements PipeTransform {
  constructor(@Optional() private routeResolver?: TTPNavigator) {}

  transform(ttp?: TtpNameFragment): string | undefined {
    if (ttp && this.routeResolver) {
      return this.routeResolver.toDetail(ttp);
    } else {
      return undefined;
    }
  }
}
