import { gql } from 'apollo-angular';

export type TtpNameGroupProcedureFragment = {
  __typename?: 'GroupProcedure';
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  name: string;
};

export type TtpNameMalwareProcedureFragment = {
  __typename?: 'MalwareProcedure';
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  name: string;
};

export type TtpNameTacticFragment = {
  __typename?: 'Tactic';
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  name: string;
};

export type TtpNameTechniqueFragment = {
  __typename?: 'Technique';
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  name: string;
  subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
};

export type TtpNameToolProcedureFragment = {
  __typename?: 'ToolProcedure';
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  name: string;
};

export type TtpNameFragment =
  | TtpNameGroupProcedureFragment
  | TtpNameMalwareProcedureFragment
  | TtpNameTacticFragment
  | TtpNameTechniqueFragment
  | TtpNameToolProcedureFragment;

export type TtpFederationNameGroupProcedureFragment = {
  __typename?: 'GroupProcedure';
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  name: string;
};

export type TtpFederationNameMalwareProcedureFragment = {
  __typename?: 'MalwareProcedure';
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  name: string;
};

export type TtpFederationNameTacticFragment = {
  __typename?: 'Tactic';
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  name: string;
};

export type TtpFederationNameTechniqueFragment = {
  __typename?: 'Technique';
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  name: string;
  subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
};

export type TtpFederationNameToolProcedureFragment = {
  __typename?: 'ToolProcedure';
  created?: any | undefined;
  ttpType?: string | undefined;
  id: string;
  name: string;
};

export type TtpFederationNameFragment =
  | TtpFederationNameGroupProcedureFragment
  | TtpFederationNameMalwareProcedureFragment
  | TtpFederationNameTacticFragment
  | TtpFederationNameTechniqueFragment
  | TtpFederationNameToolProcedureFragment;

export const TtpNameFragmentDoc = gql`
  fragment ttpName on ITTP {
    ...ttpId
    created
    ttpType
    ... on MalwareProcedure {
      name: malwareProcedureName
    }
    ... on GroupProcedure {
      name: groupProcedureName
    }
    ... on Tactic {
      name: tacticName
    }
    ... on Technique {
      name: techniqueName
      isSubtechnique
      subTechniqueOf {
        ...ttpId
        name: techniqueName
      }
    }
    ... on ToolProcedure {
      name: toolProcedureName
    }
  }
`;
export const TtpFederationNameFragmentDoc = gql`
  fragment ttpFederationName on TTPFederationBase {
    ...ttpFederationId
    created
    ttpType
    ... on MalwareProcedure {
      name: malwareProcedureName
    }
    ... on GroupProcedure {
      name: groupProcedureName
    }
    ... on Tactic {
      name: tacticName
    }
    ... on Technique {
      name: techniqueName
      isSubtechnique
      subTechniqueOf {
        ...ttpId
        name: techniqueName
      }
    }
    ... on ToolProcedure {
      name: toolProcedureName
    }
  }
`;
