import { Pipe, PipeTransform } from '@angular/core';
import { isProcedureName, isTechniqueName, TtpNameFragment } from './index';

@Pipe({
  name: 'ttpName',
})
export class TTPNamePipe implements PipeTransform {
  transform(ttp?: TtpNameFragment, prefixSubTechnique = true): string {
    if (ttp === undefined || ttp === null) {
      return 'Undefined';
    }
    if (isProcedureName(ttp)) {
      return `#${ttp.id}:\u00A0${ttp.name}`;
    }
    if (prefixSubTechnique && isTechniqueName(ttp) && ttp.subTechniqueOf) {
      return `${ttp.subTechniqueOf.name}:\u00A0${ttp.name}`;
    } else {
      return ttp.name;
    }
  }
}
