import {
  TtpNameFragment,
  TtpNameGroupProcedureFragment,
  TtpNameMalwareProcedureFragment,
  TtpNameTechniqueFragment,
  TtpNameToolProcedureFragment,
} from './ttp-name.fragment.generated';

export function isTechniqueName(ttp: TtpNameFragment): ttp is TtpNameTechniqueFragment {
  return ttp.__typename === 'Technique';
}

export function isProcedureName(
  ttp: TtpNameFragment
): ttp is TtpNameMalwareProcedureFragment | TtpNameToolProcedureFragment | TtpNameGroupProcedureFragment {
  return (
    ttp.__typename === 'MalwareProcedure' || ttp.__typename === 'ToolProcedure' || ttp.__typename === 'GroupProcedure'
  );
}
