import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ExternalReferencesTable } from './external-references-table';
import { ExternalReferencesTableElementFragment } from './external-references-table-element.generated';

@Component({
  selector: 'orion-external-references-table',
  templateUrl: './external-references-table.component.html',
  styleUrls: ['./external-references-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ExternalReferencesTableComponent extends EntityTableDirective<
  ExternalReferencesTableElementFragment,
  ExternalReferencesTable
> {
  protected createTable(entities: ExternalReferencesTableElementFragment[]): ExternalReferencesTable {
    return new ExternalReferencesTable(entities);
  }
}
