import { Column, Row, SentinelTable } from '@sentinel/components/table';
import { ExternalReferencesTableElementFragment } from './external-references-table-element.generated';

export class ExternalReferencesTable extends SentinelTable<ExternalReferencesTableElementFragment> {
  constructor(references: ExternalReferencesTableElementFragment[]) {
    const columns = [new Column('name', 'Name', false), new Column('description', 'Description', false)];
    const rows = references.map((reference) => new Row(reference));
    super(rows, columns);
  }
}
