import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { GroupProceduresTable } from './group-procedures-table';
import { GroupProceduresTableElementFragment } from './group-procedures-table-element.generated';

@Component({
  selector: 'orion-group-procedures-table',
  templateUrl: './group-procedures-table.component.html',
  styleUrls: ['./group-procedures-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class GroupProceduresTableComponent extends OptionallyPaginatedEntityTableDirective<
  GroupProceduresTableElementFragment,
  GroupProceduresTable
> {
  protected createTable(
    entities: IPaginatedElements<GroupProceduresTableElementFragment> | GroupProceduresTableElementFragment[]
  ): GroupProceduresTable {
    return new GroupProceduresTable(entities);
  }
}
