import { SimpleRowTable } from '@orion/common';
import { GroupProcedureOrdEnum } from '@orion/graphql-types';
import { IPaginatedElements, isPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { GroupProceduresTableElementFragment } from './group-procedures-table-element.generated';

export class GroupProceduresTable extends SimpleRowTable<GroupProceduresTableElementFragment> {
  constructor(
    groupProcedures: IPaginatedElements<GroupProceduresTableElementFragment> | GroupProceduresTableElementFragment[]
  ) {
    const isPaginated = isPaginatedElements(groupProcedures);
    const columns = [
      new Column('name', 'Name', isPaginated, GroupProcedureOrdEnum.GROUP_PROCEDURE_NAME),
      new Column('description', 'Description', false),
    ];
    super(groupProcedures, columns);
  }
}
