import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { GroupsTableElementFragment } from './group-table-element.fragment.generated';
import { GroupsTable } from './groups-table';

@Component({
  selector: 'orion-groups-table',
  templateUrl: './groups-table.component.html',
  styleUrls: ['./groups-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class GroupsTableComponent extends OptionallyPaginatedEntityTableDirective<
  GroupsTableElementFragment,
  GroupsTable
> {
  protected createTable(
    entities: IPaginatedElements<GroupsTableElementFragment> | GroupsTableElementFragment[]
  ): GroupsTable {
    return new GroupsTable(entities);
  }
}
