import { SimpleRowTable } from '@orion/common';
import { TtpGroupOrdEnum } from '@orion/graphql-types';
import { IPaginatedElements, isPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { GroupsTableElementFragment } from './group-table-element.fragment.generated';

export class GroupsTable extends SimpleRowTable<GroupsTableElementFragment> {
  constructor(groups: IPaginatedElements<GroupsTableElementFragment> | GroupsTableElementFragment[]) {
    const isPaginated = isPaginatedElements(groups);
    const columns = [
      new Column('name', 'Name', isPaginated, TtpGroupOrdEnum.NAME),
      new Column('description', 'Description', false),
    ];
    super(groups, columns);
  }
}
