import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { MitigationsTable } from './mitigations-table';
import { MitigationsTableElementFragment } from './mitigations-table-element.generated';

@Component({
  selector: 'orion-mitigations-table',
  templateUrl: './mitigations-table.component.html',
  styleUrls: ['./mitigations-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class MitigationsTableComponent extends OptionallyPaginatedEntityTableDirective<
  MitigationsTableElementFragment,
  MitigationsTable
> {
  protected createTable(
    entities: IPaginatedElements<MitigationsTableElementFragment> | MitigationsTableElementFragment[]
  ): MitigationsTable {
    return new MitigationsTable(entities);
  }
}
