import { SimpleRowTable } from '@orion/common';
import { MitigationOrdEnum } from '@orion/graphql-types';
import { IPaginatedElements, isPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { MitigationsTableElementFragment } from './mitigations-table-element.generated';

export class MitigationsTable extends SimpleRowTable<MitigationsTableElementFragment> {
  constructor(mitigations: IPaginatedElements<MitigationsTableElementFragment> | MitigationsTableElementFragment[]) {
    const isPaginated = isPaginatedElements(mitigations);
    const columns = [
      new Column('name', 'Name', isPaginated, MitigationOrdEnum.NAME),
      new Column('description', 'Description', false),
    ];
    super(mitigations, columns);
  }
}
