import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { PlatformsTable } from './platforms-table';
import { PlatformsTableElementFragment } from './platforms-table-element.fragment.generated';

@Component({
  selector: 'orion-platforms-table',
  templateUrl: './platforms-table.component.html',
  styleUrls: ['./platforms-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class PlatformsTableComponent extends OptionallyPaginatedEntityTableDirective<
  PlatformsTableElementFragment,
  PlatformsTable
> {
  protected createTable(
    entities: IPaginatedElements<PlatformsTableElementFragment> | PlatformsTableElementFragment[]
  ): PlatformsTable {
    return new PlatformsTable(entities);
  }
}
