import { SimpleRowTable } from '@orion/common';
import { TtpPlatformOrdEnum } from '@orion/graphql-types';
import { IPaginatedElements, isPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { PlatformsTableElementFragment } from './platforms-table-element.fragment.generated';

export class PlatformsTable extends SimpleRowTable<PlatformsTableElementFragment> {
  constructor(platforms: IPaginatedElements<PlatformsTableElementFragment> | PlatformsTableElementFragment[]) {
    const isPaginated = isPaginatedElements(platforms);
    const columns = [new Column('name', 'Name', isPaginated, TtpPlatformOrdEnum.VALUE)];
    super(platforms, columns);
  }
}
