import { gql } from 'apollo-angular';

export type TechniqueAndSubTechniqueTableFragment = {
  __typename?: 'Technique';
  description?: string | undefined;
  id: string;
  ttpType?: string | undefined;
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  name: string;
  subTechniques?:
    | {
        __typename?: 'TechniqueNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'Technique';
          description?: string | undefined;
          id: string;
          ttpType?: string | undefined;
          isSubtechnique?: boolean | undefined;
          created?: any | undefined;
          name: string;
          subTechniqueOf?:
            | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
            | undefined;
        }>;
      }
    | undefined;
  subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
};

export type TechniqueTableFragment = {
  __typename?: 'Technique';
  description?: string | undefined;
  id: string;
  ttpType?: string | undefined;
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  name: string;
  subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
};

export type TechniqueRowFragment = {
  __typename?: 'Technique';
  description?: string | undefined;
  id: string;
  ttpType?: string | undefined;
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  name: string;
  subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
};

export type TechniqueAndSubTechniqueRowFragment = {
  __typename?: 'Technique';
  description?: string | undefined;
  id: string;
  ttpType?: string | undefined;
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  name: string;
  subTechniques?:
    | {
        __typename?: 'TechniqueNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'Technique';
          description?: string | undefined;
          id: string;
          ttpType?: string | undefined;
          isSubtechnique?: boolean | undefined;
          created?: any | undefined;
          name: string;
          subTechniqueOf?:
            | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
            | undefined;
        }>;
      }
    | undefined;
  subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
};

export type SubTechniqueRowFragment = {
  __typename?: 'Technique';
  description?: string | undefined;
  id: string;
  ttpType?: string | undefined;
  isSubtechnique?: boolean | undefined;
  created?: any | undefined;
  name: string;
  subTechniqueOf?: { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string } | undefined;
};

export const SubTechniqueRowFragmentDoc = gql`
  fragment subTechniqueRow on Technique {
    ...ttpId
    ...ttpName
    description
  }
`;
export const TechniqueAndSubTechniqueRowFragmentDoc = gql`
  fragment techniqueAndSubTechniqueRow on Technique {
    ...ttpId
    ...ttpName
    description
    subTechniques {
      data {
        ...subTechniqueRow
      }
      totalCount
    }
  }
`;
export const TechniqueAndSubTechniqueTableFragmentDoc = gql`
  fragment techniqueAndSubTechniqueTable on Technique {
    ...techniqueAndSubTechniqueRow
  }
`;
export const TechniqueRowFragmentDoc = gql`
  fragment techniqueRow on Technique {
    ...ttpId
    ...ttpName
    description
  }
`;
export const TechniqueTableFragmentDoc = gql`
  fragment techniqueTable on Technique {
    ...techniqueRow
  }
`;
