import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import {
  TechniqueAndSubTechniqueTableFragment,
  TechniqueTableFragment,
} from './technique-and-sub-technique-table.fragment.generated';
import { TechniquesAndSubTechniquesTable } from './techniques-and-sub-techniques-table';

@Component({
  selector: 'orion-techniques-table',
  templateUrl: './techniques-table.component.html',
  styleUrls: ['./techniques-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TechniquesTableComponent extends OptionallyPaginatedEntityTableDirective<
  TechniqueAndSubTechniqueTableFragment | TechniqueTableFragment,
  TechniquesAndSubTechniquesTable
> {
  @Input() prefixSubtechniques = true;

  protected createTable(
    entities:
      | IPaginatedElements<TechniqueAndSubTechniqueTableFragment | TechniqueTableFragment>
      | TechniqueAndSubTechniqueTableFragment[]
      | TechniqueTableFragment[]
  ): TechniquesAndSubTechniquesTable {
    return new TechniquesAndSubTechniquesTable(entities);
  }
}
