import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ToolProceduresTable } from './tool-procedures-table';
import { ToolProceduresTableElementFragment } from './tool-procedures-table-element.generated';

@Component({
  selector: 'orion-tool-procedures-table',
  templateUrl: './tool-procedures-table.component.html',
  styleUrls: ['./tool-procedures-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ToolProceduresTableComponent extends OptionallyPaginatedEntityTableDirective<
  ToolProceduresTableElementFragment,
  ToolProceduresTable
> {
  protected createTable(
    entities: IPaginatedElements<ToolProceduresTableElementFragment> | ToolProceduresTableElementFragment[]
  ): ToolProceduresTable {
    return new ToolProceduresTable(entities);
  }
}
