import { SimpleRowTable } from '@orion/common';
import { ToolProcedureOrdEnum } from '@orion/graphql-types';
import { IPaginatedElements, isPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { ToolProceduresTableElementFragment } from './tool-procedures-table-element.generated';

export class ToolProceduresTable extends SimpleRowTable<ToolProceduresTableElementFragment> {
  constructor(
    toolProcedures: IPaginatedElements<ToolProceduresTableElementFragment> | ToolProceduresTableElementFragment[]
  ) {
    const isPaginated = isPaginatedElements(toolProcedures);
    const columns = [
      new Column('name', 'Name', isPaginated, ToolProcedureOrdEnum.TOOL_PROCEDURE_NAME),
      new Column('description', 'Description', false),
    ];
    super(toolProcedures, columns);
  }
}
