import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { ToolsTable } from './tools-table';
import { ToolsTableElementFragment } from './tools-table-element.fragment.generated';

@Component({
  selector: 'orion-tools-table',
  templateUrl: './tools-table.component.html',
  styleUrls: ['./tools-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ToolsTableComponent extends OptionallyPaginatedEntityTableDirective<
  ToolsTableElementFragment,
  ToolsTable
> {
  protected createTable(
    entities: IPaginatedElements<ToolsTableElementFragment> | ToolsTableElementFragment[]
  ): ToolsTable {
    return new ToolsTable(entities);
  }
}
