import { SimpleRowTable } from '@orion/common';
import { ToolOrdEnum } from '@orion/graphql-types';
import { IPaginatedElements, isPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { ToolsTableElementFragment } from './tools-table-element.fragment.generated';

export class ToolsTable extends SimpleRowTable<ToolsTableElementFragment> {
  constructor(tools: IPaginatedElements<ToolsTableElementFragment> | ToolsTableElementFragment[]) {
    const isPaginated = isPaginatedElements(tools);
    const columns = [
      new Column('name', 'Name', isPaginated, ToolOrdEnum.NAME),
      new Column('description', 'Description', false),
    ];
    super(tools, columns);
  }
}
