import { Injectable } from '@angular/core';
import { enumToPath, toAuthPath } from '@orion/common';
import { KnownTtPsTypesEnum } from '@orion/graphql-types';
import { isTechniqueName, TtpNameFragment } from '@orion/ttps-components/shared';
import { TTP_PATH } from '@orion/ttps-paths';
import { RouterLinkCommands } from '@sentinel/common';

@Injectable()
export class TTPNavigator {
  toDetail(ttp: TtpNameFragment): RouterLinkCommands {
    if (isTechniqueName(ttp) && ttp.subTechniqueOf) {
      return toAuthPath(
        `${TTP_PATH}/${enumToPath(KnownTtPsTypesEnum.TECHNIQUE)}/${ttp.subTechniqueOf.id}/${enumToPath(
          KnownTtPsTypesEnum.TECHNIQUE
        )}/${ttp.id}`
      );
    } else {
      const typename = enumToPath(`${ttp.ttpType}` ?? '');
      return toAuthPath(`${TTP_PATH}/${typename}/${ttp.id}`);
    }
  }
}
