import { Injectable } from '@angular/core';
import { ALIAS_PARAM_SELECTOR } from '@orion/ttps-paths';
import { entityId, entityTitle } from '@orion/common';
import { OrionIdBreadcrumbResolver } from '@orion/shared/services/global';

@Injectable()
export class AliasBreadcrumbResolver extends OrionIdBreadcrumbResolver {
  protected toBreadcrumb(id: string): string {
    return `Alias ${entityId(id)}`;
  }

  protected getIdParamSelector(): string {
    return ALIAS_PARAM_SELECTOR;
  }
}

@Injectable()
export class AliasTitleResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return ALIAS_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Alias');
  }
}
