import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { TtpNameFragmentDoc } from '../../../components/shared/ttp-name/ttp-name.fragment.generated';
import { TtpIdFragmentDoc } from '../../../types/ttp-id/ttp-id.fragment.generated';
import { Injectable } from '@angular/core';

export type GetIttpQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetIttpQuery = {
  __typename?: 'Query';
  getIttp?:
    | {
        __typename?: 'GroupProcedure';
        created?: any | undefined;
        ttpType?: string | undefined;
        id: string;
        name: string;
      }
    | {
        __typename?: 'MalwareProcedure';
        created?: any | undefined;
        ttpType?: string | undefined;
        id: string;
        name: string;
      }
    | { __typename?: 'Tactic'; created?: any | undefined; ttpType?: string | undefined; id: string; name: string }
    | {
        __typename?: 'Technique';
        isSubtechnique?: boolean | undefined;
        created?: any | undefined;
        ttpType?: string | undefined;
        id: string;
        name: string;
        subTechniqueOf?:
          | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
          | undefined;
      }
    | {
        __typename?: 'ToolProcedure';
        created?: any | undefined;
        ttpType?: string | undefined;
        id: string;
        name: string;
      }
    | undefined;
};

export const GetIttpDocument = gql`
  query getIttp($id: ID!) {
    getIttp(id: $id) {
      ...ttpName
    }
  }
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetIttpQueryService extends Apollo.Query<GetIttpQuery, GetIttpQueryVariables> {
  document = GetIttpDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
