import { Injectable } from '@angular/core';
import { GROUP_PARAM_SELECTOR } from '@orion/ttps-paths';
import { entityId, entityTitle } from '@orion/common';
import { OrionIdBreadcrumbResolver } from '@orion/shared/services/global';

@Injectable()
export class GroupBreadcrumbResolver extends OrionIdBreadcrumbResolver {
  protected toBreadcrumb(id: string): string {
    return `Group ${entityId(id)}`;
  }

  protected getIdParamSelector(): string {
    return GROUP_PARAM_SELECTOR;
  }
}

@Injectable()
export class GroupTitleResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return GROUP_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Group');
  }
}
