import { Injectable } from '@angular/core';
import { MITIGATION_PARAM_SELECTOR } from '@orion/ttps-paths';
import { entityId, entityTitle } from '@orion/common';
import { OrionIdBreadcrumbResolver } from '@orion/shared/services/global';

@Injectable()
export class MitigationBreadcrumbResolver extends OrionIdBreadcrumbResolver {
  protected toBreadcrumb(id: string): string {
    return `Mitigation ${entityId(id)}`;
  }

  protected getIdParamSelector(): string {
    return MITIGATION_PARAM_SELECTOR;
  }
}

@Injectable()
export class MitigationTitleResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return MITIGATION_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Mitigation');
  }
}
