import { Injectable } from '@angular/core';
import { PLATFORM_PARAM_SELECTOR } from '@orion/ttps-paths';
import { entityId, entityTitle } from '@orion/common';
import { OrionIdBreadcrumbResolver } from '@orion/shared/services/global';

@Injectable()
export class PlatformBreadcrumbResolver extends OrionIdBreadcrumbResolver {
  protected toBreadcrumb(id: string): string {
    return `Platform ${entityId(id)}`;
  }

  protected getIdParamSelector(): string {
    return PLATFORM_PARAM_SELECTOR;
  }
}

@Injectable()
export class PlatformTitleResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return PLATFORM_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Platform');
  }
}
