import { Injectable } from '@angular/core';
import { TTP_PARAM_SELECTOR } from '@orion/ttps-paths';
import { entityId, entityTitle } from '@orion/common';
import { OrionIdBreadcrumbResolver } from '@orion/shared/services/global';

@Injectable()
export class ToolProcedureBreadcrumbResolver extends OrionIdBreadcrumbResolver {
  protected toBreadcrumb(id: string): string {
    return `Tool Procedure ${entityId(id)}`;
  }

  protected getIdParamSelector(): string {
    return TTP_PARAM_SELECTOR;
  }
}

@Injectable()
export class ToolProcedureTitleResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return TTP_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Tool Procedure ');
  }
}
