import { Injectable } from '@angular/core';
import { TOOL_PARAM_SELECTOR } from '@orion/ttps-paths';
import { entityId, entityTitle } from '@orion/common';
import { OrionIdBreadcrumbResolver } from '@orion/shared/services/global';

@Injectable()
export class ToolBreadcrumbResolver extends OrionIdBreadcrumbResolver {
  protected toBreadcrumb(id: string): string {
    return `Tool ${entityId(id)}`;
  }

  protected getIdParamSelector(): string {
    return TOOL_PARAM_SELECTOR;
  }
}

@Injectable()
export class ToolTitleResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return TOOL_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Tool');
  }
}
