import { convertDateTimeFilter } from '@orion/common';
import { GroupProcedureFilter1, GroupProcedureFilter1AndFilterEntry } from '@orion/graphql-types';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import { GroupProcedureClientFilter } from './group-procedure-client-filter';

export class GroupProcedureFilterConverter
  implements FilterConverter<GroupProcedureClientFilter, GroupProcedureFilter1AndFilterEntry[]>
{
  convert(clientFilter?: GroupProcedureClientFilter): GroupProcedureFilter1AndFilterEntry[] {
    const andFilter: GroupProcedureFilter1 = {};
    if (clientFilter?.from || clientFilter?.to) {
      andFilter.created = convertDateTimeFilter(clientFilter);
    }
    if (clientFilter?.name) {
      andFilter.groupProcedureName = { icontains: clientFilter.name };
    }
    return [{ AND: [{ OR: andFilter }] }];
  }
}
