import { convertDateTimeFilter } from '@orion/common';
import { MitigationFilter1, MitigationFilter1AndFilterEntry } from '@orion/graphql-types';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import { MitigationClientFilter } from './mitigation-client-filter';

export class MitigationFilterConverter
  implements FilterConverter<MitigationClientFilter, MitigationFilter1AndFilterEntry[]>
{
  convert(clientFilter?: MitigationClientFilter): MitigationFilter1AndFilterEntry[] {
    const andFilter: MitigationFilter1 = {};
    if (clientFilter?.from || clientFilter?.to) {
      andFilter.created = convertDateTimeFilter(clientFilter);
    }
    if (clientFilter?.name) {
      andFilter.name = { icontains: clientFilter.name };
    }
    return [{ AND: [{ OR: andFilter }] }];
  }
}
