import { TtpPlatformFilter1, TtpPlatformFilter1AndFilterEntry } from '@orion/graphql-types';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import { PlatformClientFilter } from './platform-client-filter';

export class PlatformFilterConverter
  implements FilterConverter<PlatformClientFilter, TtpPlatformFilter1AndFilterEntry[]>
{
  convert(clientFilter?: PlatformClientFilter): TtpPlatformFilter1AndFilterEntry[] {
    const andFilter: TtpPlatformFilter1 = {};
    if (clientFilter?.name) {
      andFilter.value = { icontains: clientFilter.name };
    }
    return [{ AND: [{ OR: andFilter }] }];
  }
}
