import { TtpFederationBaseFilter, TtpFederationBaseFilterAndFilterEntry } from '@orion/graphql-types';
import { RelatedTTPClientFilter } from '@orion/ttps-types';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';

export class RelatedTTPFilterConverter
  implements FilterConverter<RelatedTTPClientFilter, TtpFederationBaseFilterAndFilterEntry[]>
{
  convert(clientFilter?: RelatedTTPClientFilter): TtpFederationBaseFilterAndFilterEntry[] {
    const mainAndFilter: TtpFederationBaseFilter = {};
    if (clientFilter?.id) {
      mainAndFilter.ttpId = { exact: clientFilter.id };
    }
    if (clientFilter?.ttpType) {
      mainAndFilter.ttpType = { exact: clientFilter.ttpType };
    }
    if (clientFilter?.caseId) {
      mainAndFilter.caseId = { exact: clientFilter.caseId };
    }
    if (clientFilter?.taskIds && clientFilter.taskIds.length > 0) {
      mainAndFilter.taskId = { in_: clientFilter?.taskIds };
    }
    return [{ AND: [{ OR: [{ ...mainAndFilter }] }] }];
  }
}
