import { convertDateTimeFilter } from '@orion/common';
import { TechniqueFilter1, TechniqueFilter1AndFilterEntry } from '@orion/graphql-types';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import { TechniqueClientFilter } from './technique-client-filter';

export class TechniqueFilterConverter
  implements FilterConverter<TechniqueClientFilter, TechniqueFilter1AndFilterEntry[]>
{
  convert(clientFilter?: TechniqueClientFilter): TechniqueFilter1AndFilterEntry[] {
    const andFilter: TechniqueFilter1 = {};
    andFilter.isSubtechnique = { exact: false };
    if (clientFilter?.from || clientFilter?.to) {
      andFilter.created = convertDateTimeFilter(clientFilter);
    }
    if (clientFilter?.name) {
      andFilter.techniqueName = { icontains: clientFilter.name };
    }
    if (clientFilter?.tacticId) {
      andFilter.tactics = { id: { exact: clientFilter.tacticId } };
    }
    return [{ AND: [{ OR: andFilter }] }];
  }
}
