import { convertDateTimeFilter } from '@orion/common';
import { ToolProcedureFilter1, ToolProcedureFilter1AndFilterEntry } from '@orion/graphql-types';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import { ToolProcedureClientFilter } from './tool-procedure-client-filter';

export class ToolProcedureFilterConverter
  implements FilterConverter<ToolProcedureClientFilter, ToolProcedureFilter1AndFilterEntry[]>
{
  convert(clientFilter?: ToolProcedureClientFilter): ToolProcedureFilter1AndFilterEntry[] {
    const andFilter: ToolProcedureFilter1 = {};
    if (clientFilter?.from || clientFilter?.to) {
      andFilter.created = convertDateTimeFilter(clientFilter);
    }
    if (clientFilter?.name) {
      andFilter.toolProcedureName = { icontains: clientFilter.name };
    }
    return [{ AND: [{ OR: andFilter }] }];
  }
}
