import { formatEnum } from '@orion/common';
import { KnownTtPsTypesEnum } from '@orion/graphql-types';
import { enumFromValue } from '@sentinel/common/utils';

export function strToTTPTypeEnum(ttpType?: string): KnownTtPsTypesEnum {
  const upperCasedTypeString = ttpType?.toUpperCase() ?? '';
  const maybeType = upperCasedTypeString
    ? enumFromValue(KnownTtPsTypesEnum, upperCasedTypeString)
    : KnownTtPsTypesEnum.TACTIC;
  return maybeType ?? KnownTtPsTypesEnum.TACTIC;
}

export function formatTTPType(type: string): string {
  return formatEnum(type);
}
