import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RelatedCasesModule } from '@orion/case-components/related-cases';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';
import { TabLabelsModule } from '@orion/shared-components/tab-labels';
import { RelatedTasksOverviewModule } from '@orion/task-components/related-tasks';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionTabsModule } from '@csirtmu-orion/microframework/tabs';
import { UserAccountingDetailPageComponent } from './user-accounting-detail-page.component';
import {
  UserAccountingRelatedCasesComponent,
  UserAccountingRelatedTasksComponent,
  UserAccountingTabsComponent,
  UserFlowsOverviewModule,
} from './user-tabs';

@NgModule({
  declarations: [
    UserAccountingDetailPageComponent,
    UserAccountingTabsComponent,
    UserAccountingRelatedCasesComponent,
    UserAccountingRelatedTasksComponent,
  ],
  imports: [
    CommonModule,
    SentinelPipesModule,
    SLetModule,
    EntityDetailPageModule,
    TabLabelsModule,
    OrionTabsModule,
    RelatedCasesModule,
    RelatedTasksOverviewModule,
    UserFlowsOverviewModule,
  ],
  exports: [UserAccountingDetailPageComponent],
})
export class UserAccountingDetailPageModule {}
