import { Injectable } from '@angular/core';
import { ActivatedRoute, Data, ParamMap, Params, Router } from '@angular/router';
import { RelatedCaseFilterService } from '@orion/case-components/filters';
import { RelatedCaseFilter } from '@orion/case-types';
import { USER_ID_PARAM_SELECTOR } from '@orion/user-accounting-paths';
import { Observable, of } from 'rxjs';

@Injectable()
export class UserAccountingRelatedCaseFilterService extends RelatedCaseFilterService {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected toQueryParams(filter: RelatedCaseFilter): Params {
    const params = super.toQueryParams(filter);
    delete params.relatedUser;
    return params;
  }

  protected createFilterFromRoute(
    queryParamMap: ParamMap,
    paramMap: ParamMap,
    data: Data
  ): Observable<RelatedCaseFilter> {
    const id = paramMap.get(USER_ID_PARAM_SELECTOR);
    return of({ relatedUser: { userId: { exact: id } } });
  }
}
