import { ChangeDetectionStrategy, Component } from '@angular/core';
import { RelatedCaseFilterChipsService, RelatedCaseFilterService } from '@orion/case-components/filters';
import { RelatedCaseService, RelatedCasesParentDirective } from '@orion/case-components/related-cases';
import { UserAccountingRelatedCaseFilterService } from './user-accounting-related-case-filter.service';

@Component({
  selector: 'orion-user-accounting-related-cases',
  templateUrl: './user-accounting-related-cases.component.html',
  styleUrls: ['./user-accounting-related-cases.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    RelatedCaseService,
    RelatedCaseFilterChipsService,
    { provide: RelatedCaseFilterService, useClass: UserAccountingRelatedCaseFilterService },
  ],
})
export class UserAccountingRelatedCasesComponent extends RelatedCasesParentDirective {
  constructor(
    protected relatedCasesService: RelatedCaseService,
    protected filterService: RelatedCaseFilterService,
    protected chipsService: RelatedCaseFilterChipsService
  ) {
    super(relatedCasesService, filterService, chipsService);
  }
}
