import { Injectable } from '@angular/core';
import { ApolloChildEntitiesService } from '@csirtmu-orion/microframework/apollo-services';
import {
  GetUsersRelatedTasksQuery,
  GetUsersRelatedTasksQueryService,
  GetUsersRelatedTasksQueryVariables,
} from './user-accounting-related-tasks.operation.generated';
import { TaskTableFragment } from '@orion/task-components/overview';

@Injectable()
export class UserAccountingRelatedTasksService extends ApolloChildEntitiesService<
  GetUsersRelatedTasksQuery,
  GetUsersRelatedTasksQueryVariables,
  TaskTableFragment
> {
  constructor(getQuery: GetUsersRelatedTasksQueryService) {
    super(getQuery, 'Fetching related tasks');
  }

  protected createVariables(parentId: string): GetUsersRelatedTasksQueryVariables {
    return {
      userId: parentId,
    };
  }

  protected toFragments(query: GetUsersRelatedTasksQuery): TaskTableFragment[] {
    return query?.getFederatedRelatedUser?.tasks?.data ?? [];
  }
}
