import { ChangeDetectionStrategy, Component } from '@angular/core';
import {
  EntityDetailTabsDirective,
  OrionQueryParamTabService,
  OrionTabService,
  TABS_TOKEN,
} from '@csirtmu-orion/microframework/tabs';
import { UsernameAndId } from '../user-accounting-detail-page.component';

@Component({
  selector: 'orion-user-accounting-tabs',
  templateUrl: './user-accounting-tabs.component.html',
  styleUrls: ['./user-accounting-tabs.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    { provide: OrionTabService, useClass: OrionQueryParamTabService },
    { provide: TABS_TOKEN, useValue: ['flows', 'cases', 'tasks'] },
  ],
})
export class UserAccountingTabsComponent extends EntityDetailTabsDirective<UsernameAndId> {
  constructor(protected tabService: OrionTabService) {
    super(tabService);
  }
}
