import { ChangeDetectionStrategy, Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import {
  normalizeUserAccountingTableData,
  UserAccountingWithIntrospectionTableElement,
} from '@orion/user-accounting-types';
import { trackByIndex } from '@sentinel/common/utils';
import { FramedIpAddressPanelFragment } from './framed-ip-address-panel.fragment.generated';

@Component({
  selector: 'orion-framed-ip-address-panel',
  templateUrl: './framed-ip-address-panel.component.html',
  styleUrls: ['./framed-ip-address-panel.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class FramedIpAddressPanelComponent implements OnChanges {
  @Input() framedIpAddresses?: FramedIpAddressPanelFragment[];
  trackByFn = trackByIndex;
  accountingWithFlowsData: UserAccountingWithIntrospectionTableElement[] = [];

  ngOnChanges(changes: SimpleChanges): void {
    if ('framedIpAddresses' in changes && this.framedIpAddresses && this.framedIpAddresses.length > 0) {
      this.accountingWithFlowsData = normalizeUserAccountingTableData(this.framedIpAddresses);
    }
  }
}
