import * as SchemaTypes from '../../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { UserFlowsFragmentDoc } from './user-flows.fragment.generated';
import { FramedIpAddressPanelFragmentDoc } from '../framed-ip-address-panel/framed-ip-address-panel.fragment.generated';
import { UserIntrospectionFragmentDoc } from '../../../../shared/user-accounting-table/user-introspection/user-instrospection.fragment.generated';
import { UserAccountingTableElementFragmentDoc } from '../../../../shared/user-accounting-table/user-accounting-table-element.fragment.generated';
import { UserAccountingDataRowFragmentDoc } from '../../../../shared/user-accounting-data-row/user-accounting-data-row.fragment.generated';
import { Injectable } from '@angular/core';

export type GetUserFlowsQueryVariables = SchemaTypes.Exact<{
  from?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['DateTime']>;
  to?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['DateTime']>;
  username: SchemaTypes.Scalars['String'];
}>;

export type GetUserFlowsQuery = {
  __typename?: 'Query';
  getUserFlows: Array<{
    __typename?: 'UserAccountingUserIPDataGroup';
    framedipaddress: string;
    userIntrospection?:
      | { __typename?: 'UserIntrospection'; firstName: string; lastName: string; email: string }
      | undefined;
    accounting: Array<{
      __typename?: 'UserAccountingUserIPData';
      id?: number | undefined;
      userId?: string | undefined;
      acctstarttimemilliseconds?: any | undefined;
      acctstoptimemilliseconds?: any | undefined;
      framedipaddress?: string | undefined;
      username?: string | undefined;
      acctinputoctets?: number | undefined;
      acctoutputoctets?: number | undefined;
      acctterminatecause?: number | undefined;
      calledstationid?: string | undefined;
      callingstationid?: string | undefined;
      chargeableuseridentity?: string | undefined;
      eapidentity?: string | undefined;
      nasidentifier?: string | undefined;
      nasipaddress?: string | undefined;
    }>;
  }>;
};

export const GetUserFlowsDocument = gql`
  query getUserFlows($from: DateTime, $to: DateTime, $username: String!) {
    getUserFlows(from_: $from, to_: $to, username: $username) {
      ...userFlows
    }
  }
  ${UserFlowsFragmentDoc}
  ${FramedIpAddressPanelFragmentDoc}
  ${UserIntrospectionFragmentDoc}
  ${UserAccountingTableElementFragmentDoc}
  ${UserAccountingDataRowFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetUserFlowsQueryService extends Apollo.Query<GetUserFlowsQuery, GetUserFlowsQueryVariables> {
  document = GetUserFlowsDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
