import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { UserFlowsClientFilter } from '@orion/user-accounting-types';
import { OrionFilterDirective } from '@csirtmu-orion/microframework/filters';
import { UserFlowsFilterService } from './user-flows-filter.service';

@Component({
  selector: 'orion-user-flows-filter',
  templateUrl: './user-flows-filter.component.html',
  styleUrls: ['./user-flows-filter.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class UserFlowsFilterComponent extends OrionFilterDirective {
  @Input() activeFilter?: UserFlowsClientFilter;

  constructor(protected filterService: UserFlowsFilterService) {
    super(filterService);
  }
}
