import { ChangeDetectionStrategy, Component } from '@angular/core';
import { UserFlowsFilterChipsService, UserFlowsFilterService } from './user-flows-filter';
import { UserFlowsClientFilter } from '@orion/user-accounting-types';
import { EntityFilterableSmartOverviewDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { UserFlowsFragment } from './graphql';
import { UserFlowsService } from './user-flows.service';

@Component({
  selector: 'orion-user-flows-overview',
  templateUrl: './user-flows-overview.component.html',
  styleUrls: ['./user-flows-overview.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [UserFlowsService, UserFlowsFilterService, UserFlowsFilterChipsService],
})
export class UserFlowsOverviewComponent extends EntityFilterableSmartOverviewDirective<
  UserFlowsFragment,
  UserFlowsClientFilter
> {
  constructor(
    protected userFlowsService: UserFlowsService,
    protected filterService: UserFlowsFilterService,
    protected filterChipsService: UserFlowsFilterChipsService
  ) {
    super(userFlowsService, filterService, filterChipsService);
  }
}
