import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { UserFlowsFilterModule } from './user-flows-filter';
import { UserAccountingTableModule } from '@orion/user-accounting-components/shared-table';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { FramedIpAddressPanelComponent } from './framed-ip-address-panel';
import { UserFlowsOverviewComponent } from './user-flows-overview.component';

@NgModule({
  declarations: [UserFlowsOverviewComponent, FramedIpAddressPanelComponent],
  imports: [
    CommonModule,
    OrionFilterModule,
    SentinelPipesModule,
    OrionCardModule,
    UserAccountingTableModule,
    UserFlowsFilterModule,
    SentinelErrorModule,
    OrionSkeletonLoadingModule,
  ],
  exports: [UserFlowsOverviewComponent],
})
export class UserFlowsOverviewModule {}
