import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { UserAccountingClientFilter } from '@orion/user-accounting-types';
import { OrionFilterDirective } from '@csirtmu-orion/microframework/filters';
import { UserAccountingFilterService } from './user-accounting-filter.service';

@Component({
  selector: 'orion-user-accounting-filter',
  templateUrl: './user-accounting-filter.component.html',
  styleUrls: ['./user-accounting-filter.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class UserAccountingFilterComponent extends OrionFilterDirective {
  @Input() activeFilter?: UserAccountingClientFilter;

  constructor(protected filterService: UserAccountingFilterService) {
    super(filterService);
  }

  onAddressChange(value?: string): void {
    this.filterService.update({ ipAddress: value });
  }

  onUsernameChange(value?: string): void {
    this.filterService.update({ username: value });
  }
}
