import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { UserAccountingOverviewFragmentDoc } from './user-accounting-overview.fragment.generated';
import { UserAccountingTableElementFragmentDoc } from '../../shared/user-accounting-table/user-accounting-table-element.fragment.generated';
import { UserAccountingDataRowFragmentDoc } from '../../shared/user-accounting-data-row/user-accounting-data-row.fragment.generated';
import { Injectable } from '@angular/core';

export type GetUserAccountingOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.UserIpAccountingModelFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.UserIpAccountingModelOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetUserAccountingOverviewQuery = {
  __typename?: 'Query';
  getUserIpAccountingModelList: {
    __typename?: 'UserAccountingUserIPDataPaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'UserAccountingUserIPData';
      id?: number | undefined;
      userId?: string | undefined;
      acctstarttimemilliseconds?: any | undefined;
      acctstoptimemilliseconds?: any | undefined;
      framedipaddress?: string | undefined;
      username?: string | undefined;
      acctinputoctets?: number | undefined;
      acctoutputoctets?: number | undefined;
      acctterminatecause?: number | undefined;
      calledstationid?: string | undefined;
      callingstationid?: string | undefined;
      chargeableuseridentity?: string | undefined;
      eapidentity?: string | undefined;
      nasidentifier?: string | undefined;
      nasipaddress?: string | undefined;
    }>;
  };
};

export const GetUserAccountingOverviewDocument = gql`
  query getUserAccountingOverview(
    $filter: [UserIPAccountingModelFilter1ANDFilterEntry!]
    $order: [UserIPAccountingModelOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getUserIpAccountingModelList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...userAccountingOverview
      }
      previous
      next
      totalCount
    }
  }
  ${UserAccountingOverviewFragmentDoc}
  ${UserAccountingTableElementFragmentDoc}
  ${UserAccountingDataRowFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetUserAccountingOverviewQueryService extends Apollo.Query<
  GetUserAccountingOverviewQuery,
  GetUserAccountingOverviewQueryVariables
> {
  document = GetUserAccountingOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
