import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { RelatedUsersOverviewFragmentDoc } from './related-users-overview.fragment.generated';
import { RelatedUsersTableElementFragmentDoc } from '../related-users-table/related-users-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetRelatedUsersOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.RelatedUserFederationBaseFilterAndFilterEntry>>;
}>;

export type GetRelatedUsersOverviewQuery = {
  __typename?: 'Query';
  getFederatedRelatedUserList: {
    __typename?: 'RelatedUserFederatedTypeFederationResult';
    data: Array<{
      __typename?: 'RelatedUserFederatedType';
      firstName: string;
      lastName: string;
      username: string;
      email: string;
      id: string;
    }>;
  };
};

export const GetRelatedUsersOverviewDocument = gql`
  query getRelatedUsersOverview($filter: [RelatedUserFederationBaseFilterANDFilterEntry!]) {
    getFederatedRelatedUserList(filter: $filter) {
      data {
        ...relatedUsersOverview
      }
    }
  }
  ${RelatedUsersOverviewFragmentDoc}
  ${RelatedUsersTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetRelatedUsersOverviewQueryService extends Apollo.Query<
  GetRelatedUsersOverviewQuery,
  GetRelatedUsersOverviewQueryVariables
> {
  document = GetRelatedUsersOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
