import { Injectable } from '@angular/core';
import { ActivatedRoute, Data, ParamMap, Params, Router } from '@angular/router';
import { RelatedUsersClientFilter } from '@orion/user-accounting-types';
import { QueryParamFilterService } from '@csirtmu-orion/microframework/filter-services';
import { Observable, of } from 'rxjs';

@Injectable()
export class RelatedUsersFilterService extends QueryParamFilterService<RelatedUsersClientFilter> {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected toQueryParams(filter: RelatedUsersClientFilter): Params {
    const params = super.toQueryParams(filter);
    delete params.taskIds;
    delete params.caseId;
    return params;
  }

  protected createFilterFromRoute(
    queryParamMap: ParamMap,
    paramMap: ParamMap,
    data: Data
  ): Observable<RelatedUsersClientFilter> {
    return of(this.EMPTY_FILTER);
  }

  protected createEmptyFilter(): RelatedUsersClientFilter {
    return {};
  }
}
