import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { SentinelTableModule } from '@sentinel/components/table';
import { RelatedUsersOverviewComponent } from './related-users-overview.component';
import { RelatedUsersTableComponent } from './related-users-table';
import { UserAccountingNameModule } from '@orion/user-accounting-components/shared-user-name';

@NgModule({
  declarations: [RelatedUsersOverviewComponent, RelatedUsersTableComponent],
  imports: [
    CommonModule,
    OrionSkeletonLoadingModule,
    SentinelErrorModule,
    SentinelTableModule,
    OrionCardModule,
    OrionEntityNameModule,
    UserAccountingNameModule,
  ],
  exports: [RelatedUsersOverviewComponent],
})
export class RelatedUsersOverviewModule {}
