import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { RelatedUsersTable } from './related-users-table';
import { RelatedUsersTableElementFragment } from './related-users-table-element.fragment.generated';

@Component({
  selector: 'orion-related-users-table',
  templateUrl: './related-users-table.component.html',
  styleUrls: ['./related-users-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class RelatedUsersTableComponent extends EntityTableDirective<
  RelatedUsersTableElementFragment,
  RelatedUsersTable
> {
  protected createTable(entities: RelatedUsersTableElementFragment[]): RelatedUsersTable {
    return new RelatedUsersTable(entities);
  }
}
