import { ChangeDetectionStrategy, Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { UserAccountingDataRowFragment } from './user-accounting-data-row.fragment.generated';

@Component({
  selector: 'orion-user-accounting-data-row',
  templateUrl: './user-accounting-data-row.component.html',
  styleUrls: ['./user-accounting-data-row.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class UserAccountingDataRowComponent implements OnChanges {
  @Input() data?: UserAccountingDataRowFragment;
  entries?: [string, string][];

  ngOnChanges(changes: SimpleChanges): void {
    if ('data' in changes && this.data) {
      const ignoredKeys = [
        '__typename',
        'username',
        'acctstarttime',
        'acctstarttimemilliseconds',
        'acctstoptime',
        'framedipaddress',
        'userIntrospection',
        'flowsFrom',
        'flowsTo',
      ];
      this.entries = Object.entries(this.data).filter(
        (entry) => entry !== undefined && !ignoredKeys.includes(entry[0]) && entry[1] !== null
      ) as [string, string][];
    }
  }
}
