import { Optional, Pipe, PipeTransform } from '@angular/core';
import { UserAccountingNavigator } from '@orion/user-accounting-services';

@Pipe({
  name: 'userAccountingNavigator',
})
export class UserAccountingNavigatorPipe implements PipeTransform {
  constructor(@Optional() private navigator?: UserAccountingNavigator) {}

  transform(id?: string, username?: string): string | undefined {
    if (this.navigator && id && username) {
      return this.navigator.toDetail(id, username);
    } else {
      return undefined;
    }
  }
}
