import { Injectable } from '@angular/core';
import { ApolloEntityService } from '@csirtmu-orion/microframework/apollo-services';
import {
  GetUserAccountingWithFlowsQuery,
  GetUserAccountingWithFlowsQueryService,
  GetUserAccountingWithFlowsQueryVariables,
} from './user-accounting-with-flows.operation.generated';
import { UserAccountingWithFlowsTableDetailFragment } from '@orion/user-accounting-components/shared-table';
import { Optional } from '@sentinel/common/utils';

@Injectable()
export class UserFlowsService extends ApolloEntityService<
  GetUserAccountingWithFlowsQuery,
  GetUserAccountingWithFlowsQueryVariables,
  UserAccountingWithFlowsTableDetailFragment
> {
  constructor(public getQuery: GetUserAccountingWithFlowsQueryService) {
    super(getQuery, 'Fetching user flows');
  }

  protected createVariables(entityId: string): GetUserAccountingWithFlowsQueryVariables {
    return { id: entityId };
  }

  protected toFragment(query: GetUserAccountingWithFlowsQuery): Optional<UserAccountingWithFlowsTableDetailFragment> {
    return query?.getUserIpAccountingModel;
  }
}
