import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { IpFixTableModule } from '@orion/data-platform-components-shared';
import { UserAccountingDataRowModule } from '@orion/user-accounting-components/shared-data-row';
import { UsersModule } from '@orion/user-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { SentinelTableModule } from '@sentinel/components/table';
import { UserAccountingFlowTableDetailComponent } from './user-accounting-flow-table-detail';
import { UserAccountingTableComponent } from './user-accounting-table.component';
import { UserIntrospectionComponent } from './user-introspection';
import { SLetModule } from '@sentinel/common';
import { UserAccountingNameModule } from '@orion/user-accounting-components/shared-user-name';

@NgModule({
  declarations: [UserAccountingTableComponent, UserAccountingFlowTableDetailComponent, UserIntrospectionComponent],
  imports: [
    CommonModule,
    SentinelTableModule,
    UserAccountingDataRowModule,
    SentinelPipesModule,
    OrionEntityNameModule,
    OrionAttributeModule,
    IpFixTableModule,
    OrionCardModule,
    UsersModule,
    UserAccountingNameModule,
    SLetModule,
  ],
  exports: [UserAccountingTableComponent, UserIntrospectionComponent],
})
export class UserAccountingTableModule {}
