import { SimpleRowTable } from '@orion/common';
import { UserAccountingWithIntrospectionTableElement } from '@orion/user-accounting-types';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { Column, RowExpand } from '@sentinel/components/table';
import { UserAccountingTableElementFragment } from './user-accounting-table-element.fragment.generated';
import { UserAccountingFlowTableDetailComponent } from './user-accounting-flow-table-detail';

export class UserAccountingTable extends SimpleRowTable<UserAccountingTableElementFragment> {
  constructor(
    entities:
      | IPaginatedElements<UserAccountingWithIntrospectionTableElement>
      | IPaginatedElements<UserAccountingTableElementFragment>
      | UserAccountingWithIntrospectionTableElement[]
      | UserAccountingTableElementFragment[],
    withIntrospection: boolean
  ) {
    let columns: Column[];
    if (withIntrospection) {
      columns = [
        new Column('username', 'Username', false),
        new Column('framedAddress', 'Framed address', false),
        new Column('name', 'Name', false),
        new Column('email', 'Email', false),
        new Column('from', 'From', false),
        new Column('to', 'To', false),
        new Column('data', 'data', false),
      ];
    } else {
      columns = [
        new Column('username', 'Username', false),
        new Column('framedAddress', 'Framed address', false),
        new Column('from', 'From', false),
        new Column('to', 'To', false),
        new Column('data', 'data', false),
      ];
    }
    super(entities, columns);
    this.expand = new RowExpand(UserAccountingFlowTableDetailComponent);
  }
}
