import { Injectable } from '@angular/core';
import { USER_NAME_PARAM_SELECTOR } from '@orion/user-accounting-paths';
import { OrionIdBreadcrumbResolver } from '@orion/shared/services/global';
import { entityTitle } from '@orion/common';

@Injectable()
export class UserAccountingBreadcrumbResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return USER_NAME_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return id;
  }
}

@Injectable()
export class UserAccountingTitleResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return USER_NAME_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return entityTitle(undefined, id, 'User Accounting');
  }
}
