import { RelatedUserFederationBaseFilter, RelatedUserFederationBaseFilterAndFilterEntry } from '@orion/graphql-types';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import { RelatedUsersClientFilter } from './related-users-client-filter';

export class RelatedUsersFilterConverter
  implements FilterConverter<RelatedUsersClientFilter, RelatedUserFederationBaseFilterAndFilterEntry[]>
{
  convert(clientFilter?: RelatedUsersClientFilter): RelatedUserFederationBaseFilterAndFilterEntry[] {
    const mainAndFilter: RelatedUserFederationBaseFilter = {};
    if (clientFilter?.id) {
      mainAndFilter.userId = { exact: clientFilter.id };
    }
    if (clientFilter?.caseId) {
      mainAndFilter.caseId = { exact: clientFilter.caseId };
    }
    if (clientFilter?.taskIds && clientFilter.taskIds.length > 0) {
      mainAndFilter.taskId = { in_: clientFilter?.taskIds };
    }
    return [{ AND: [{ OR: [{ ...mainAndFilter }] }] }];
  }
}
