import {
  UserAccountingTableElementFragment,
  UserIntrospectionFragment,
} from '@orion/user-accounting-components/shared-table';
import { FramedIpAddressPanelFragment } from '../components/detail/user-tabs/user-flows-overview/framed-ip-address-panel/framed-ip-address-panel.fragment.generated';

export type UserAccountingWithIntrospectionTableElement = UserAccountingTableElementFragment & {
  userIntrospection?: UserIntrospectionFragment;
};

export function normalizeUserAccountingTableData(
  data: FramedIpAddressPanelFragment[]
): UserAccountingWithIntrospectionTableElement[] {
  const elements: UserAccountingWithIntrospectionTableElement[] = [];
  data.forEach((el) =>
    elements.push(
      ...el.accounting.map((accounting) => {
        return {
          ...accounting,
          userIntrospection: el.userIntrospection,
        };
      })
    )
  );
  return elements;
}
