import { FormControl, FormGroup } from '@angular/forms';
import { BaseReactiveForm } from '@sentinel/common';
import { UserSettingsState } from '@orion/shared/services/global';

export interface UserSettingsFormModel {
  presentationMode: FormControl<boolean>;
  fullWidthMode: FormControl<boolean>;
}

export class UserSettingsForm extends BaseReactiveForm<UserSettingsFormModel> {
  constructor(state: UserSettingsState) {
    const formGroup = new FormGroup<UserSettingsFormModel>({
      presentationMode: new FormControl<boolean>(state.presentationMode, { nonNullable: true }),
      fullWidthMode: new FormControl<boolean>(state.fullWidthMode, { nonNullable: true }),
    });
    super(formGroup);
  }

  toData(): UserSettingsState {
    return {
      presentationMode: this.formGroup.controls.presentationMode.value,
      fullWidthMode: this.formGroup.controls.fullWidthMode.value,
    };
  }
}
