import { gql } from 'apollo-angular';

export type UserDetailFragment = {
  __typename?: 'CaseDBUser';
  id: string;
  name: string;
  iconSrc?: string | undefined;
  cases?: { __typename?: 'CaseNestedList'; totalCount: number } | undefined;
  tasks?: { __typename?: 'TaskNestedList'; totalCount: number } | undefined;
  comments?:
    | {
        __typename?: 'CommentNestedList';
        data: Array<{
          __typename?: 'Comment';
          content: string;
          created?: any | undefined;
          case?:
            | {
                __typename?: 'Case';
                id: string;
                name: string;
                created?: any | undefined;
                createdBy?:
                  | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                  | undefined;
              }
            | undefined;
          task?:
            | {
                __typename?: 'Task';
                id: string;
                name: string;
                created?: any | undefined;
                stage: {
                  __typename?: 'Stage';
                  id: string;
                  workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                };
                createdBy?:
                  | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                  | undefined;
              }
            | undefined;
          author: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined };
        }>;
      }
    | undefined;
};

export const UserDetailFragmentDoc = gql`
  fragment userDetail on CaseDBUser {
    ...userTabs
  }
`;
