import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { UserDetailFragmentDoc } from './user-detail.fragment.generated';
import { UserTabsFragmentDoc } from '../user-tabs/user-tabs.fragment.generated';
import { UserNameAndIconFragmentDoc } from '../../shared/graphql/user-icon.fragment.generated';
import { UserOverviewFragmentDoc } from '../user-tabs/user-overview/user-overview.fragment.generated';
import { UserCommentElementFragmentDoc } from '../user-tabs/user-overview/user-comments/user-comment-element.fragment.generated';
import { CaseNameFragmentDoc } from '../../../../case/components/shared/case-name/case-name.fragment.generated';
import { TaskNameFragmentDoc } from '../../../../task/components/shared/task-name/graphql/task-name.fragment.generated';
import { Injectable } from '@angular/core';

export type GetUserDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetUserDetailQuery = {
  __typename?: 'Query';
  getCaseDbUser?:
    | {
        __typename?: 'CaseDBUser';
        id: string;
        name: string;
        iconSrc?: string | undefined;
        cases?: { __typename?: 'CaseNestedList'; totalCount: number } | undefined;
        tasks?: { __typename?: 'TaskNestedList'; totalCount: number } | undefined;
        comments?:
          | {
              __typename?: 'CommentNestedList';
              data: Array<{
                __typename?: 'Comment';
                content: string;
                created?: any | undefined;
                case?:
                  | {
                      __typename?: 'Case';
                      id: string;
                      name: string;
                      created?: any | undefined;
                      createdBy?:
                        | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                        | undefined;
                    }
                  | undefined;
                task?:
                  | {
                      __typename?: 'Task';
                      id: string;
                      name: string;
                      created?: any | undefined;
                      stage: {
                        __typename?: 'Stage';
                        id: string;
                        workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                      };
                      createdBy?:
                        | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                        | undefined;
                    }
                  | undefined;
                author: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined };
              }>;
            }
          | undefined;
      }
    | undefined;
};

export const GetUserDetailDocument = gql`
  query getUserDetail($id: ID!) {
    getCaseDbUser(id: $id) {
      ...userDetail
    }
  }
  ${UserDetailFragmentDoc}
  ${UserTabsFragmentDoc}
  ${UserNameAndIconFragmentDoc}
  ${UserOverviewFragmentDoc}
  ${UserCommentElementFragmentDoc}
  ${CaseNameFragmentDoc}
  ${TaskNameFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetUserDetailQueryService extends Apollo.Query<GetUserDetailQuery, GetUserDetailQueryVariables> {
  document = GetUserDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
