import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityDetailPageBaseDirective } from '@orion/shared-components/entity-base';
import { UserDetailFragment } from './graphql';
import { UserDetailService } from './user-detail.service';

@Component({
  selector: 'orion-user-detail-page',
  templateUrl: './user-detail-page.component.html',
  styleUrls: ['./user-detail-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [UserDetailService],
})
export class UserDetailPageComponent extends EntityDetailPageBaseDirective<UserDetailFragment> {
  constructor(protected userService: UserDetailService) {
    super(userService);
  }
}
