import { gql } from 'apollo-angular';

export type UserCommentElementFragment = {
  __typename?: 'Comment';
  content: string;
  created?: any | undefined;
  case?:
    | {
        __typename?: 'Case';
        id: string;
        name: string;
        created?: any | undefined;
        createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
      }
    | undefined;
  task?:
    | {
        __typename?: 'Task';
        id: string;
        name: string;
        created?: any | undefined;
        stage: {
          __typename?: 'Stage';
          id: string;
          workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
        };
        createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
      }
    | undefined;
  author: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined };
};

export const UserCommentElementFragmentDoc = gql`
  fragment userCommentElement on Comment {
    case {
      ...caseName
    }
    task {
      ...taskName
    }
    author {
      ...userNameAndIcon
    }
    content
    created
  }
`;
