import { ChangeDetectionStrategy, Component } from '@angular/core';
import {
  EntityDetailTabsDirective,
  OrionQueryParamTabService,
  OrionTabService,
  TABS_TOKEN,
} from '@csirtmu-orion/microframework/tabs';
import { UserTabsFragment } from './user-tabs.fragment.generated';

@Component({
  selector: 'orion-user-tabs',
  templateUrl: './user-tabs.component.html',
  styleUrls: ['./user-tabs.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    { provide: OrionTabService, useClass: OrionQueryParamTabService },
    { provide: TABS_TOKEN, useValue: ['overview', 'cases', 'tasks'] },
  ],
})
export class UserTabsComponent extends EntityDetailTabsDirective<UserTabsFragment> {
  constructor(protected tabService: OrionTabService) {
    super(tabService);
  }
}
