import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CaseNameModule } from '@orion/case-components/shared';
import { TabLabelsModule } from '@orion/shared-components/tab-labels';
import { TaskNameModule } from '@orion/task-components/shared';
import { UsersModule } from '@orion/user-components/shared';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionInlineListModule } from '@csirtmu-orion/microframework/inline-list';
import { SentinelMarkdownViewModule } from '@sentinel/components/markdown-view';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { OrionTabsModule } from '@csirtmu-orion/microframework/tabs';
import { TimeagoModule } from 'ngx-timeago';
import { UserCasesModule } from '../user-cases';
import { UserTasksModule } from '../user-tasks';
import { UserCommentsComponent, UserOverviewComponent } from './user-overview';
import { UserTabsComponent } from './user-tabs.component';

@NgModule({
  declarations: [UserTabsComponent, UserOverviewComponent, UserCommentsComponent],
  imports: [
    CommonModule,
    SentinelPipesModule,
    OrionTabsModule,
    TabLabelsModule,
    UserCasesModule,
    UserTasksModule,
    OrionCardModule,
    OrionInlineListModule,
    SentinelMarkdownViewModule,
    UsersModule,
    TimeagoModule,
    CaseNameModule,
    TaskNameModule,
    OrionPanelModule,
    OrionBadgeModule,
  ],
  exports: [UserTabsComponent],
})
export class UserTabsModule {}
