import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { EditableSelectionDirective } from '@orion/case-components/shared';
import { EntitySetAssociationService } from '@orion/shared-services';
import { UserNameAndIconFragment } from '../../../graphql';

@Component({
  selector: 'orion-users-expanded-sidebar-element',
  templateUrl: './users-expanded-sidebar-element.component.html',
  styleUrls: ['./users-expanded-sidebar-element.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [EntitySetAssociationService],
})
export class UsersExpandedSidebarElementComponent extends EditableSelectionDirective<UserNameAndIconFragment> {
  @Input() currUser?: UserNameAndIconFragment;

  constructor(public selectionService: EntitySetAssociationService<UserNameAndIconFragment>) {
    super(selectionService);
  }

  onAssignToMe(): void {
    if (this.currUser) {
      this.save.emit({ set: [this.currUser] });
    }
  }
}
