import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntitySelectionDirective } from '@orion/shared-components/related-entity-overview';
import { SentinelResourceSelectorMapping } from '@sentinel/components/resource-selector';
import { UserNameAndIconFragment } from '../../../graphql';

@Component({
  selector: 'orion-users-selection',
  templateUrl: './users-selection.component.html',
  styleUrls: ['./users-selection.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class UsersSelectionComponent extends EntitySelectionDirective<UserNameAndIconFragment> {
  assigneeSelectorMapping: SentinelResourceSelectorMapping = { id: 'id', title: 'name', icon: 'iconSrc' };
}
