import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatTooltipModule } from '@angular/material/tooltip';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionEditableComponentModule } from '@csirtmu-orion/microframework/editable';
import { SentinelResourceSelectorModule } from '@sentinel/components/resource-selector';
import { OrionSidebarModule } from '@csirtmu-orion/microframework/sidebar';
import { UsersModule } from '../../users';
import { UsersCollapsedSidebarElementComponent } from './collapsed';
import { UsersExpandedSidebarElementComponent } from './expanded';
import { UsersSelectionComponent } from './users-selection';
import { UsersSidebarElementComponent } from './users-sidebar-element.component';
import { UserSidebarTitlePipe } from './user-sidebar-name.pipe';

@NgModule({
  declarations: [
    UsersSidebarElementComponent,
    UsersExpandedSidebarElementComponent,
    UsersCollapsedSidebarElementComponent,
    UsersSelectionComponent,
    UserSidebarTitlePipe,
  ],
  imports: [
    CommonModule,
    SentinelResourceSelectorModule,
    OrionEditableComponentModule,
    UsersModule,
    MatTooltipModule,
    OrionSidebarModule,
    SentinelPipesModule,
    MatButtonModule,
  ],
  exports: [UsersSidebarElementComponent, UsersSelectionComponent],
})
export class UsersSidebarElementModule {}
