import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { ThemePalette } from '@angular/material/core';
import { UserNameAndIconFragment } from '../../graphql';

@Component({
  selector: 'orion-user-icon-name',
  templateUrl: './user-icon-name.component.html',
  styleUrls: ['./user-icon-name.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class UserIconNameComponent {
  @Input() user?: UserNameAndIconFragment;
  @Input() withIcon = true;
  @Input() navigable = true;
  @Input() color?: ThemePalette = undefined;
  @Input() iconSize: 'small' | 'medium' | 'large' = 'medium';
}
