import { Optional, Pipe, PipeTransform } from '@angular/core';
import { UserNavigator } from '@orion/user-services';
import { UserNameAndIconFragment } from '../../graphql';

@Pipe({
  name: 'userNavigator',
})
export class UserNavigatorPipe implements PipeTransform {
  constructor(@Optional() private routeResolver?: UserNavigator) {}

  transform(user?: UserNameAndIconFragment): string | undefined {
    if (user && this.routeResolver) {
      return this.routeResolver.toDetail(user?.id);
    } else {
      return undefined;
    }
  }
}
