import { ChangeDetectionStrategy, Component, Input, OnChanges, Optional, SimpleChanges } from '@angular/core';
import { UserNavigator } from '@orion/user-services';
import { UserNameAndIconFragment } from '../../graphql';

@Component({
  selector: 'orion-user-icon',
  templateUrl: './user-icon.component.html',
  styleUrls: ['./user-icon.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class UserIconComponent implements OnChanges {
  @Input() user?: UserNameAndIconFragment;
  @Input() noContentMessage?: string;
  @Input() noContentIcon = false;
  @Input() showTooltip = true;
  @Input() navigable = true;
  @Input() size: 'small' | 'medium' | 'large' = 'small';
  userDetailRoute?: string;
  constructor(@Optional() private routeResolver?: UserNavigator) {}

  ngOnChanges(changes: SimpleChanges): void {
    if ('user' in changes && this.user) {
      if (this.navigable && this.routeResolver) {
        this.userDetailRoute = this.routeResolver.toDetail(this.user.id);
      }
    }
  }
}
