import { ChangeDetectionStrategy, Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { trackById } from '@sentinel/common/utils';
import { UserNameAndIconFragment } from '../../graphql';

@Component({
  selector: 'orion-users-icon',
  templateUrl: './users-icon.component.html',
  styleUrls: ['./users-icon.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class UsersIconComponent implements OnChanges {
  @Input() users?: UserNameAndIconFragment[];
  @Input() noContentMessage?: string;
  @Input() noContentIcon = false;
  @Input() maxIcons = 3;
  @Input() navigable = true;
  @Input() showTooltip = true;
  hasMoreUsers = false;
  trackByFn = trackById;

  ngOnChanges(changes: SimpleChanges): void {
    if ('users' in changes && this.users) {
      this.hasMoreUsers = this.users.length > this.maxIcons;
    }
  }
}
