import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { MatTooltipModule } from '@angular/material/tooltip';
import { RouterModule } from '@angular/router';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { UserIconComponent } from './user-icon';
import { UserIconNameComponent, UserNavigatorPipe } from './user-icon-name';
import { UserIconLinkFormatPipe } from './user-icon-src.pipe';
import { HiddenUserIconsTooltipPipe, UsersIconComponent } from './users-icon';

@NgModule({
  declarations: [
    UsersIconComponent,
    UserIconComponent,
    UserIconNameComponent,
    UserNavigatorPipe,
    UserIconLinkFormatPipe,
    HiddenUserIconsTooltipPipe,
  ],
  imports: [CommonModule, MatTooltipModule, RouterModule, SentinelPipesModule, MatIconModule, OrionEntityNameModule],
  exports: [UsersIconComponent, UserIconComponent, UserIconNameComponent, UserNavigatorPipe, UserIconLinkFormatPipe],
})
export class UsersModule {}
