import * as SchemaTypes from '../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { CurrentUserFragmentDoc } from './current-user.fragment.generated';
import { UserNameAndIconFragmentDoc } from '../../components/shared/graphql/user-icon.fragment.generated';
import { Injectable } from '@angular/core';

export type GetCurrentUserQueryVariables = SchemaTypes.Exact<{ [key: string]: never }>;

export type GetCurrentUserQuery = {
  __typename?: 'Query';
  getCurrentUser: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined };
};

export const GetCurrentUserDocument = gql`
  query getCurrentUser {
    getCurrentUser {
      ...currentUser
    }
  }
  ${CurrentUserFragmentDoc}
  ${UserNameAndIconFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetCurrentUserQueryService extends Apollo.Query<GetCurrentUserQuery, GetCurrentUserQueryVariables> {
  document = GetCurrentUserDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
