import { Injectable } from '@angular/core';
import { USER_PARAM_SELECTOR } from '@orion/user-paths';
import { entityId, entityTitle } from '@orion/common';
import { OrionIdBreadcrumbResolver } from '@orion/shared/services/global';

@Injectable()
export class UserBreadcrumbResolver extends OrionIdBreadcrumbResolver {
  protected toBreadcrumb(id: string): string {
    return `User ${entityId(id)}`;
  }

  protected getIdParamSelector(): string {
    return USER_PARAM_SELECTOR;
  }
}

@Injectable()
export class UserTitleResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return USER_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'User');
  }
}
