import { CaseDbUserFilter1, CaseDbUserFilter1AndFilterEntry } from '@orion/graphql-types';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import { UserClientFilter } from './user-client-filter';

export class UserFilterConverter implements FilterConverter<UserClientFilter, CaseDbUserFilter1AndFilterEntry[]> {
  convert(clientFilter?: UserClientFilter): CaseDbUserFilter1AndFilterEntry[] {
    const andFilter: CaseDbUserFilter1 = {};
    if (clientFilter && clientFilter.name && clientFilter.name.length > 0) {
      andFilter.name = { icontains: clientFilter.name };
    }
    if (clientFilter?.idOrName) {
      const isNumber = !Number.isNaN(Number.parseInt(clientFilter.idOrName));
      if (isNumber) {
        return [
          {
            AND: [
              { OR: andFilter },
              { OR: { id: { exact: clientFilter.idOrName } } },
              { OR: { name: { icontains: clientFilter.idOrName } } },
            ],
          },
        ];
      } else {
        return [
          {
            AND: [{ OR: andFilter }, { OR: { name: { icontains: clientFilter.idOrName } } }],
          },
        ];
      }
    } else {
      return [{ AND: [{ OR: andFilter }] }];
    }
  }
}
