import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityModifyPageDirective } from '@orion/shared-components/create-edit';
import { EntityModifyBaseService, ModifyEntityControlsService } from '@orion/shared-services';
import { CreateEditWorkflowTemplateService } from './create-edit-workflow-template.service';
import { WorkflowTemplateForm } from './workflow-template-form';

@Component({
  selector: 'orion-create-edit-workflow-template-page',
  templateUrl: './create-edit-workflow-template-page.component.html',
  styleUrls: ['./create-edit-workflow-template-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [
    { provide: EntityModifyBaseService, useClass: CreateEditWorkflowTemplateService },
    ModifyEntityControlsService,
  ],
})
export class CreateEditWorkflowTemplatePageComponent extends EntityModifyPageDirective<WorkflowTemplateForm> {
  constructor(
    protected modifyEntityService: EntityModifyBaseService<WorkflowTemplateForm>,
    protected controlsService: ModifyEntityControlsService
  ) {
    super(modifyEntityService, controlsService);
  }
}
