import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { MatFormFieldModule } from '@angular/material/form-field';
import { CreateEditEntityModule } from '@orion/shared-components/create-edit';
import { EntityEditModule } from '@orion/shared-components/entity-edit';
import { JsonEditorModule } from '@orion/shared-components/json-editor';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { CreateEditWorkflowTemplateComponent } from './create-edit-workflow-template';
import { CreateEditWorkflowTemplatePageComponent } from './create-edit-workflow-template-page.component';
import { TaskInputOutputEditModule } from '@orion/task-components/task-detail';

@NgModule({
  declarations: [CreateEditWorkflowTemplatePageComponent, CreateEditWorkflowTemplateComponent],
  imports: [
    CommonModule,
    CreateEditEntityModule,
    SentinelPipesModule,
    ReactiveFormsModule,
    EntityEditModule,
    TaskInputOutputEditModule,
    MatFormFieldModule,
    JsonEditorModule,
  ],
  exports: [CreateEditWorkflowTemplatePageComponent],
})
export class CreateEditWorkflowTemplatePageModule {}
