import { ChangeDetectionStrategy, Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { EntityFormModel } from '@orion/common';
import { WorkflowTemplateForm } from '../workflow-template-form';

@Component({
  selector: 'orion-create-edit-workflow-template',
  templateUrl: './create-edit-workflow-template.component.html',
  styleUrls: ['./create-edit-workflow-template.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CreateEditWorkflowTemplateComponent implements OnChanges {
  @Input() form?: WorkflowTemplateForm;

  sharedFormGroup?: FormGroup<EntityFormModel>;

  ngOnChanges(changes: SimpleChanges): void {
    if ('form' in changes && this.form) {
      this.sharedFormGroup = this.form.formGroup as unknown as FormGroup<EntityFormModel>;
    }
  }
}
