import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type CreateWorkflowTemplateMutationVariables = SchemaTypes.Exact<{
  workflowTemplate: SchemaTypes.TemplateCreate;
}>;

export type CreateWorkflowTemplateMutation = {
  __typename?: 'Mutation';
  createWorkflowTemplate: { __typename?: 'MutationResult'; id?: number | undefined };
};

export type UpdateWorkflowTemplateMutationVariables = SchemaTypes.Exact<{
  patch: SchemaTypes.WorkflowTemplateUpdate;
  id: SchemaTypes.Scalars['ID'];
}>;

export type UpdateWorkflowTemplateMutation = {
  __typename?: 'Mutation';
  updateWorkflowTemplate: { __typename?: 'MutateResult'; id?: string | undefined };
};

export const CreateWorkflowTemplateDocument = gql`
  mutation createWorkflowTemplate($workflowTemplate: TemplateCreate!) {
    createWorkflowTemplate(data: $workflowTemplate) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class CreateWorkflowTemplateMutationService extends Apollo.Mutation<
  CreateWorkflowTemplateMutation,
  CreateWorkflowTemplateMutationVariables
> {
  document = CreateWorkflowTemplateDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateWorkflowTemplateDocument = gql`
  mutation updateWorkflowTemplate($patch: WorkflowTemplateUpdate!, $id: ID!) {
    updateWorkflowTemplate(data: $patch, id: $id) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateWorkflowTemplateMutationService extends Apollo.Mutation<
  UpdateWorkflowTemplateMutation,
  UpdateWorkflowTemplateMutationVariables
> {
  document = UpdateWorkflowTemplateDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
