import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { WorkflowTemplateFilterService } from '@orion/workflow-template-services';
import { WorkflowTemplateClientFilter } from '@orion/workflow-template-types';
import { OrionFilterDirective } from '@csirtmu-orion/microframework/filters';

@Component({
  selector: 'orion-workflow-template-filters',
  templateUrl: './workflow-template-filters.component.html',
  styleUrls: ['./workflow-template-filters.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class WorkflowTemplateFiltersComponent extends OrionFilterDirective {
  @Input() activeFilter?: WorkflowTemplateClientFilter;

  constructor(protected filterService: WorkflowTemplateFilterService) {
    super(filterService);
  }

  onNameChange(value: string): void {
    this.filterService.update({ name: value });
  }
}
