import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { WorkflowTemplateOverviewFragmentDoc } from './workflow-template-overview.fragment.generated';
import { WorkflowTemplateTableElementFragmentDoc } from '../workflow-template-table/workflow-template-table-element.fragment.generated';
import { Injectable } from '@angular/core';

export type GetWorkflowTemplateOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.WorkflowTemplateFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.WorkflowTemplateOrdEnumOrderingEntry>>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
}>;

export type GetWorkflowTemplateOverviewQuery = {
  __typename?: 'Query';
  getWorkflowTemplateList: {
    __typename?: 'WorkflowTemplatePaginated';
    totalCount: number;
    data: Array<{
      __typename?: 'WorkflowTemplate';
      id: string;
      name: string;
      description: string;
      created?: any | undefined;
      lastUpdated?: any | undefined;
      template?: string | undefined;
      src: string;
    }>;
  };
};

export type DeleteWorkflowTemplatesMutationVariables = SchemaTypes.Exact<{
  ids: Array<SchemaTypes.Scalars['ID']>;
}>;

export type DeleteWorkflowTemplatesMutation = {
  __typename?: 'Mutation';
  deleteWorkflowTemplateBulk: Array<{ __typename?: 'MutateResult'; id?: string | undefined }>;
};

export type UploadWorkflowTemplateMutationVariables = SchemaTypes.Exact<{
  file: SchemaTypes.Scalars['Upload'];
}>;

export type UploadWorkflowTemplateMutation = {
  __typename?: 'Mutation';
  uploadWorkflowTemplate: { __typename?: 'MutationResult'; id?: number | undefined };
};

export const GetWorkflowTemplateOverviewDocument = gql`
  query getWorkflowTemplateOverview(
    $filter: [WorkflowTemplateFilter1ANDFilterEntry!]
    $order: [WorkflowTemplateOrdEnumOrderingEntry!]
    $limit: Int
    $cursor: String
  ) {
    getWorkflowTemplateList(filter: $filter, ordering: $order, limit: $limit, cursor: $cursor) {
      data {
        ...workflowTemplateOverview
      }
      totalCount
    }
  }
  ${WorkflowTemplateOverviewFragmentDoc}
  ${WorkflowTemplateTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetWorkflowTemplateOverviewQueryService extends Apollo.Query<
  GetWorkflowTemplateOverviewQuery,
  GetWorkflowTemplateOverviewQueryVariables
> {
  document = GetWorkflowTemplateOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const DeleteWorkflowTemplatesDocument = gql`
  mutation deleteWorkflowTemplates($ids: [ID!]!) {
    deleteWorkflowTemplateBulk(ids: $ids) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class DeleteWorkflowTemplatesMutationService extends Apollo.Mutation<
  DeleteWorkflowTemplatesMutation,
  DeleteWorkflowTemplatesMutationVariables
> {
  document = DeleteWorkflowTemplatesDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UploadWorkflowTemplateDocument = gql`
  mutation uploadWorkflowTemplate($file: Upload!) {
    uploadWorkflowTemplate(file: $file) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UploadWorkflowTemplateMutationService extends Apollo.Mutation<
  UploadWorkflowTemplateMutation,
  UploadWorkflowTemplateMutationVariables
> {
  document = UploadWorkflowTemplateDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
