import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { EditableEntityModule } from '@orion/shared-components/editable-entity';
import { WorkflowTemplateFiltersModule } from '@orion/workflow-template-components/filters';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { SentinelErrorModule } from '@sentinel/components/error';
import { OrionFilterModule } from '@csirtmu-orion/microframework/filters';
import { OrionSkeletonLoadingModule } from '@csirtmu-orion/microframework/loading-skeleton';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { OrionUploadFilesModule } from '@csirtmu-orion/microframework/upload-files';
import { NgxJsonViewerModule } from 'ngx-json-viewer';
import { WorkflowTemplateOverviewPageComponent } from './workflow-template-overview-page.component';
import { WorkflowTemplateTableComponent, WorkflowTemplateTableDetailComponent } from './workflow-template-table';
import { WorkflowTemplateUploadComponent } from './workflow-template-upload';

@NgModule({
  declarations: [
    WorkflowTemplateOverviewPageComponent,
    WorkflowTemplateTableComponent,
    WorkflowTemplateTableDetailComponent,
    WorkflowTemplateUploadComponent,
  ],
  imports: [
    CommonModule,
    OrionFilterModule,
    SentinelPipesModule,
    WorkflowTemplateFiltersModule,
    OrionCardModule,
    SentinelControlsModule,
    OrionSkeletonLoadingModule,
    SentinelErrorModule,
    SentinelTableModule,
    OrionTimeAgoModule,
    EditableEntityModule,
    OrionPanelModule,
    MatIconModule,
    NgxJsonViewerModule,
    OrionUploadFilesModule,
  ],
  exports: [WorkflowTemplateOverviewPageComponent],
})
export class WorkflowTemplateOverviewPageModule {}
