import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { PaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { WorkflowTemplateOverviewActionsService } from '../workflow-template-overview-actions.service';
import { WorkflowTemplateTable } from './workflow-template-table';
import { WorkflowTemplateTableElementFragment } from './workflow-template-table-element.fragment.generated';

@Component({
  selector: 'orion-workflow-template-table',
  templateUrl: './workflow-template-table.component.html',
  styleUrls: ['./workflow-template-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class WorkflowTemplateTableComponent extends PaginatedEntityTableDirective<
  WorkflowTemplateTableElementFragment,
  WorkflowTemplateTable
> {
  constructor(private actionService: WorkflowTemplateOverviewActionsService) {
    super();
  }

  protected createTable(entities: IPaginatedElements<WorkflowTemplateTableElementFragment>): WorkflowTemplateTable {
    return new WorkflowTemplateTable(entities, this.actionService);
  }
}
