import { ChangeDetectionStrategy, Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { take } from 'rxjs/operators';
import { WorkflowTemplateOverviewActionsService } from '../workflow-template-overview-actions.service';

@Component({
  selector: 'orion-workflow-template-upload',
  templateUrl: './workflow-template-upload.component.html',
  styleUrls: ['./workflow-template-upload.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class WorkflowTemplateUploadComponent implements OnInit {
  uploadInProgress$?: Observable<boolean>;

  constructor(private actionService: WorkflowTemplateOverviewActionsService) {}

  ngOnInit(): void {
    this.uploadInProgress$ = this.actionService.uploadInProgress$;
  }

  upload(files: File[]): void {
    if (files.length === 1) {
      const file = files[0];
      this.actionService.upload(file).pipe(take(1)).subscribe();
    }
  }

  cancel() {
    this.actionService.hideUploadComponent();
  }
}
