import * as SchemaTypes from '../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { EditWorkflowTemplateFragmentDoc } from '../../components/create-edit/graphql/edit-worfklow-template.fragment.generated';
import { Injectable } from '@angular/core';

export type GetWorkflowTemplateEditQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetWorkflowTemplateEditQuery = {
  __typename?: 'Query';
  getWorkflowTemplate?:
    | { __typename?: 'WorkflowTemplate'; id: string; name: string; description: string; template?: string | undefined }
    | undefined;
};

export const GetWorkflowTemplateEditDocument = gql`
  query getWorkflowTemplateEdit($id: ID!) {
    getWorkflowTemplate(id: $id) {
      ...editWorkflowTemplate
    }
  }
  ${EditWorkflowTemplateFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetWorkflowTemplateEditQueryService extends Apollo.Query<
  GetWorkflowTemplateEditQuery,
  GetWorkflowTemplateEditQueryVariables
> {
  document = GetWorkflowTemplateEditDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
