import { Injectable } from '@angular/core';
import { WORKFLOW_TEMPLATE_PARAM_SELECTOR } from '@orion/workflow-template-paths';
import { entityId, entityTitle } from '@orion/common';
import { OrionIdBreadcrumbResolver } from '@orion/shared/services/global';

@Injectable()
export class WorkflowTemplateBreadcrumbResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return WORKFLOW_TEMPLATE_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return `Edit Workflow Template ${entityId(id)}`;
  }
}

@Injectable()
export class WorkflowTemplateTitleResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return WORKFLOW_TEMPLATE_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return `Edit ${entityTitle(id, undefined, 'Workflow Template')}`;
  }
}
