import { convertDateTimeFilter } from '@orion/common';
import { WorkflowTemplateFilter1, WorkflowTemplateFilter1AndFilterEntry } from '@orion/graphql-types';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import { WorkflowTemplateClientFilter } from './workflow-template-client-filter';

export class WorkflowTemplateFilterConverter
  implements FilterConverter<WorkflowTemplateClientFilter, WorkflowTemplateFilter1AndFilterEntry[]>
{
  convert(source?: WorkflowTemplateClientFilter): WorkflowTemplateFilter1AndFilterEntry[] {
    const andFilter: WorkflowTemplateFilter1 = {};
    if (source?.name) {
      andFilter.name = { icontains: source.name };
    }
    if (source?.from || source?.to) {
      andFilter.created = convertDateTimeFilter(source);
    }
    return [{ AND: [{ OR: andFilter }] }];
  }
}
