import { ChangeDetectionStrategy, Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { EntityFormModel } from '@orion/common';
import { CreateWorkflowForm } from '@orion/workflow-types';

@Component({
  selector: 'orion-create-workflow-form',
  templateUrl: './create-workflow-form.component.html',
  styleUrls: ['./create-workflow-form.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CreateWorkflowFormComponent implements OnChanges {
  @Input() form?: CreateWorkflowForm;
  sharedFormGroup?: FormGroup<EntityFormModel>;

  ngOnChanges(changes: SimpleChanges): void {
    if ('form' in changes && this.form) {
      this.sharedFormGroup = this.form.formGroup;
    }
  }
}
