import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityModifyPageDirective } from '@orion/shared-components/create-edit';
import { EntityModifyBaseService, ModifyEntityControlsService } from '@orion/shared-services';
import { CreateWorkflowForm } from '@orion/workflow-types';
import { CreateWorkflowService } from './create-workflow.service';

@Component({
  selector: 'orion-create-workflow-page',
  templateUrl: './create-workflow-page.component.html',
  styleUrls: ['./create-workflow-page.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  providers: [{ provide: EntityModifyBaseService, useClass: CreateWorkflowService }, ModifyEntityControlsService],
})
export class CreateWorkflowPageComponent extends EntityModifyPageDirective<CreateWorkflowForm> {
  constructor(
    protected modifyEntityService: EntityModifyBaseService<CreateWorkflowForm>,
    protected controlsService: ModifyEntityControlsService
  ) {
    super(modifyEntityService, controlsService);
  }
}
