import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';

export type CreateWorkflowMutationVariables = SchemaTypes.Exact<{
  workflow: SchemaTypes.WorkflowCreate;
}>;

export type CreateWorkflowMutation = {
  __typename?: 'Mutation';
  createWorkflow: { __typename?: 'CreateResult'; id: string };
};

export const CreateWorkflowDocument = gql`
  mutation createWorkflow($workflow: WorkflowCreate!) {
    createWorkflow(data: $workflow) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class CreateWorkflowMutationService extends Apollo.Mutation<
  CreateWorkflowMutation,
  CreateWorkflowMutationVariables
> {
  document = CreateWorkflowDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
