import { Injectable } from '@angular/core';
import { AssignedTasksFilterService } from '@orion/task-components/shared';
import { ActivatedRoute, ParamMap, Router } from '@angular/router';
import { CurrentUserService } from '@orion/user-services';
import { Observable } from 'rxjs';
import { WorkflowStageIdsService } from '../workflow-stage-ids.service';

@Injectable()
export class WorkflowAssignedTasksFilterService extends AssignedTasksFilterService {
  constructor(
    protected router: Router,
    protected activatedRoute: ActivatedRoute,
    protected currUserService: CurrentUserService,
    protected stageIdsService: WorkflowStageIdsService
  ) {
    super(router, activatedRoute, currUserService);
  }

  protected getStageIds(paramMap: ParamMap): Observable<string[]> {
    return this.stageIdsService.ids$;
  }
}
