import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type WorkflowDetailFragment = {
  __typename?: 'Workflow';
  id: string;
  created?: any | undefined;
  state: SchemaTypes.WorkflowStateEnum;
  name: string;
  progress: number;
  dueDate?: any | undefined;
  description: string;
  createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
  activeStages?:
    | {
        __typename?: 'StageNestedList';
        data: Array<{
          __typename?: 'Stage';
          state: SchemaTypes.StageStateEnum;
          id: string;
          name: string;
          progress: number;
          created?: any | undefined;
          tasksAggregate?: { __typename?: 'TaskNestedList'; totalCount: number } | undefined;
          workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
          createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
          tasks?:
            | {
                __typename?: 'TaskNestedList';
                totalCount: number;
                data: Array<{
                  __typename?: 'Task';
                  dueDate?: any | undefined;
                  lastUpdated?: any | undefined;
                  state?: SchemaTypes.TaskStateEnum | undefined;
                  isDecision?: boolean | undefined;
                  decision?: boolean | undefined;
                  autotrigger?: boolean | undefined;
                  isAutomated?: boolean | undefined;
                  aggregatesResults?: boolean | undefined;
                  id: string;
                  name: string;
                  created?: any | undefined;
                  stage: {
                    __typename?: 'Stage';
                    id: string;
                    workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                  };
                  assignees?:
                    | {
                        __typename?: 'CaseDBUserNestedList';
                        totalCount: number;
                        data: Array<{
                          __typename?: 'CaseDBUser';
                          id: string;
                          name: string;
                          iconSrc?: string | undefined;
                        }>;
                      }
                    | undefined;
                  labels?:
                    | {
                        __typename?: 'LabelNestedList';
                        totalCount: number;
                        data: Array<{
                          __typename?: 'Label';
                          id: string;
                          name: string;
                          backgroundColor?: string | undefined;
                          textColor?: string | undefined;
                        }>;
                      }
                    | undefined;
                  createdBy?:
                    | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                    | undefined;
                }>;
              }
            | undefined;
        }>;
      }
    | undefined;
  stages?:
    | {
        __typename?: 'StageNestedList';
        totalCount: number;
        data: Array<{
          __typename?: 'Stage';
          progress: number;
          dueDate?: any | undefined;
          state: SchemaTypes.StageStateEnum;
          lastUpdated?: any | undefined;
          id: string;
          name: string;
          created?: any | undefined;
          assignees?:
            | {
                __typename?: 'CaseDBUserNestedList';
                totalCount: number;
                data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
              }
            | undefined;
          workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
          createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
        }>;
      }
    | undefined;
  case: {
    __typename?: 'Case';
    id: string;
    name: string;
    created?: any | undefined;
    createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
  };
  assignees?:
    | {
        __typename?: 'CaseDBUserNestedList';
        totalCount: number;
        data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
      }
    | undefined;
  stageIds?: { __typename?: 'StageNestedList'; data: Array<{ __typename?: 'Stage'; id: string }> } | undefined;
  stagesWithTasksIds?:
    | {
        __typename?: 'StageNestedList';
        data: Array<{
          __typename?: 'Stage';
          tasksIds?: { __typename?: 'TaskNestedList'; data: Array<{ __typename?: 'Task'; id: string }> } | undefined;
        }>;
      }
    | undefined;
};

export const WorkflowDetailFragmentDoc = gql`
  fragment workflowDetail on Workflow {
    id
    ...workflowDetailMainContent
    ...activeStagesPanel
    ...stagePanel
    ...workflowDetailSidebar
    ...workflowAssignedTasksPanel
  }
`;
