import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { WorkflowDetailFragmentDoc } from './workflow-detail.fragment.generated';
import { WorkflowDetailMainContentFragmentDoc } from '../../../../stage-workflow-shared/components/detail-shared/graphql/stage-or-workflow-detail-main-content.fragment.generated';
import { WorkflowNameFragmentDoc } from '../../shared/workflow-name/workflow-name.fragment.generated';
import { CaseNameFragmentDoc } from '../../../../case/components/shared/case-name/case-name.fragment.generated';
import { UserNameAndIconFragmentDoc } from '../../../../user/components/shared/graphql/user-icon.fragment.generated';
import { WorkflowDetailTabsFragmentDoc } from '../../../../stage-workflow-shared/components/detail-shared/detail-tabs/stage-or-workflow-detail-tabs.generated';
import { WorkflowDetailOverviewTabFragmentDoc } from '../../../../stage-workflow-shared/components/detail-shared/detail-tabs/overview-tab/stage-or-workflow-detail-overview-tab.fragment.generated';
import { ActiveStagesPanelFragmentDoc } from '../../../../stage/components/panels/active-stages-panel/active-stages-panel.fragment.generated';
import { StageTaskPanelFragmentDoc } from '../../../../stage/components/panels/stage-tasks-panel/stage-task-panel.fragment.generated';
import { StageNameFragmentDoc } from '../../../../stage/components/shared/stage-name/stage-name.fragment.generated';
import { StageTasksOverviewFragmentDoc } from '../../../../stage/components/panels/stage-tasks-panel/stage-tasks-overview/graphql/stage-tasks-overview.fragment.generated';
import { TaskOverviewElementFragmentDoc } from '../../../../task/components/overview/task-overview-element.fragment.generated';
import { TaskTableFragmentDoc } from '../../../../task/components/overview/task-table/task-table.fragment.generated';
import { TaskNameRowFragmentDoc } from '../../../../task/components/overview/task-table/task-name-row/task-name-row.fragment.generated';
import { TaskNameFragmentDoc } from '../../../../task/components/shared/task-name/graphql/task-name.fragment.generated';
import { LabelChipFragmentDoc } from '../../../../label/components/shared/label/label-chip.fragment.generated';
import { TaskStateFragmentDoc } from '../../../../task/components/shared/task-state/task-state.fragment.generated';
import { TaskFlagsFragmentDoc } from '../../../../task/components/shared/task-flags/task-flags.fragment.generated';
import { StagePanelFragmentDoc } from '../../../../stage/components/panels/stage-panel/stage-panel.fragment.generated';
import { StageOverviewElementFragmentDoc } from '../../../../stage/components/overview/stage-overview.fragment.generated';
import { StageRowFragmentDoc } from '../../../../stage/components/overview/stages-table/stage-row.fragment.generated';
import { WorkflowDetailSidebarFragmentDoc } from '../../../../stage-workflow-shared/components/detail-shared/stage-or-workflow-detail-sidebar/stage-or-workflow-detail-sidebar.fragment.generated';
import { WorkflowAssignedTasksPanelFragmentDoc } from '../assigned-tasks-panel/workflow-assigned-tasks-panel.fragment.generated';
import { Injectable } from '@angular/core';

export type GetWorkflowDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetWorkflowDetailQuery = {
  __typename?: 'Query';
  getWorkflow?:
    | {
        __typename?: 'Workflow';
        id: string;
        created?: any | undefined;
        state: SchemaTypes.WorkflowStateEnum;
        name: string;
        progress: number;
        dueDate?: any | undefined;
        description: string;
        createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
        activeStages?:
          | {
              __typename?: 'StageNestedList';
              data: Array<{
                __typename?: 'Stage';
                state: SchemaTypes.StageStateEnum;
                id: string;
                name: string;
                progress: number;
                created?: any | undefined;
                tasksAggregate?: { __typename?: 'TaskNestedList'; totalCount: number } | undefined;
                workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                createdBy?:
                  | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                  | undefined;
                tasks?:
                  | {
                      __typename?: 'TaskNestedList';
                      totalCount: number;
                      data: Array<{
                        __typename?: 'Task';
                        dueDate?: any | undefined;
                        lastUpdated?: any | undefined;
                        state?: SchemaTypes.TaskStateEnum | undefined;
                        isDecision?: boolean | undefined;
                        decision?: boolean | undefined;
                        autotrigger?: boolean | undefined;
                        isAutomated?: boolean | undefined;
                        aggregatesResults?: boolean | undefined;
                        id: string;
                        name: string;
                        created?: any | undefined;
                        stage: {
                          __typename?: 'Stage';
                          id: string;
                          workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                        };
                        assignees?:
                          | {
                              __typename?: 'CaseDBUserNestedList';
                              totalCount: number;
                              data: Array<{
                                __typename?: 'CaseDBUser';
                                id: string;
                                name: string;
                                iconSrc?: string | undefined;
                              }>;
                            }
                          | undefined;
                        labels?:
                          | {
                              __typename?: 'LabelNestedList';
                              totalCount: number;
                              data: Array<{
                                __typename?: 'Label';
                                id: string;
                                name: string;
                                backgroundColor?: string | undefined;
                                textColor?: string | undefined;
                              }>;
                            }
                          | undefined;
                        createdBy?:
                          | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                          | undefined;
                      }>;
                    }
                  | undefined;
              }>;
            }
          | undefined;
        stages?:
          | {
              __typename?: 'StageNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'Stage';
                progress: number;
                dueDate?: any | undefined;
                state: SchemaTypes.StageStateEnum;
                lastUpdated?: any | undefined;
                id: string;
                name: string;
                created?: any | undefined;
                assignees?:
                  | {
                      __typename?: 'CaseDBUserNestedList';
                      totalCount: number;
                      data: Array<{
                        __typename?: 'CaseDBUser';
                        id: string;
                        name: string;
                        iconSrc?: string | undefined;
                      }>;
                    }
                  | undefined;
                workflow: { __typename?: 'Workflow'; id: string; case: { __typename?: 'Case'; id: string } };
                createdBy?:
                  | { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }
                  | undefined;
              }>;
            }
          | undefined;
        case: {
          __typename?: 'Case';
          id: string;
          name: string;
          created?: any | undefined;
          createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
        };
        assignees?:
          | {
              __typename?: 'CaseDBUserNestedList';
              totalCount: number;
              data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
            }
          | undefined;
        stageIds?: { __typename?: 'StageNestedList'; data: Array<{ __typename?: 'Stage'; id: string }> } | undefined;
        stagesWithTasksIds?:
          | {
              __typename?: 'StageNestedList';
              data: Array<{
                __typename?: 'Stage';
                tasksIds?:
                  | { __typename?: 'TaskNestedList'; data: Array<{ __typename?: 'Task'; id: string }> }
                  | undefined;
              }>;
            }
          | undefined;
      }
    | undefined;
};

export type UpdateWorkflowMutationVariables = SchemaTypes.Exact<{
  patch: SchemaTypes.WorkflowUpdate;
  id: SchemaTypes.Scalars['ID'];
}>;

export type UpdateWorkflowMutation = {
  __typename?: 'Mutation';
  updateWorkflow: { __typename?: 'MutateResult'; id?: string | undefined };
};

export type RejectWorkflowMutationVariables = SchemaTypes.Exact<{
  workflowId: SchemaTypes.Scalars['ID'];
}>;

export type RejectWorkflowMutation = {
  __typename?: 'Mutation';
  rejectWorkflow: { __typename?: 'MutationResult'; id?: number | undefined };
};

export type ExportToWorkflowTemplateMutationVariables = SchemaTypes.Exact<{
  workflowId: SchemaTypes.Scalars['ID'];
}>;

export type ExportToWorkflowTemplateMutation = {
  __typename?: 'Mutation';
  createTemplateFromWorkflow: { __typename?: 'MutationResult'; id?: number | undefined };
};

export const GetWorkflowDetailDocument = gql`
  query getWorkflowDetail($id: ID!) {
    getWorkflow(id: $id) {
      ...workflowDetail
    }
  }
  ${WorkflowDetailFragmentDoc}
  ${WorkflowDetailMainContentFragmentDoc}
  ${WorkflowNameFragmentDoc}
  ${CaseNameFragmentDoc}
  ${UserNameAndIconFragmentDoc}
  ${WorkflowDetailTabsFragmentDoc}
  ${WorkflowDetailOverviewTabFragmentDoc}
  ${ActiveStagesPanelFragmentDoc}
  ${StageTaskPanelFragmentDoc}
  ${StageNameFragmentDoc}
  ${StageTasksOverviewFragmentDoc}
  ${TaskOverviewElementFragmentDoc}
  ${TaskTableFragmentDoc}
  ${TaskNameRowFragmentDoc}
  ${TaskNameFragmentDoc}
  ${LabelChipFragmentDoc}
  ${TaskStateFragmentDoc}
  ${TaskFlagsFragmentDoc}
  ${StagePanelFragmentDoc}
  ${StageOverviewElementFragmentDoc}
  ${StageRowFragmentDoc}
  ${WorkflowDetailSidebarFragmentDoc}
  ${WorkflowAssignedTasksPanelFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetWorkflowDetailQueryService extends Apollo.Query<
  GetWorkflowDetailQuery,
  GetWorkflowDetailQueryVariables
> {
  document = GetWorkflowDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const UpdateWorkflowDocument = gql`
  mutation updateWorkflow($patch: WorkflowUpdate!, $id: ID!) {
    updateWorkflow(data: $patch, id: $id) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class UpdateWorkflowMutationService extends Apollo.Mutation<
  UpdateWorkflowMutation,
  UpdateWorkflowMutationVariables
> {
  document = UpdateWorkflowDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const RejectWorkflowDocument = gql`
  mutation rejectWorkflow($workflowId: ID!) {
    rejectWorkflow(workflowId: $workflowId) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class RejectWorkflowMutationService extends Apollo.Mutation<
  RejectWorkflowMutation,
  RejectWorkflowMutationVariables
> {
  document = RejectWorkflowDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
export const ExportToWorkflowTemplateDocument = gql`
  mutation exportToWorkflowTemplate($workflowId: ID!) {
    createTemplateFromWorkflow(workflowId: $workflowId) {
      id
    }
  }
`;

@Injectable({
  providedIn: 'root',
})
export class ExportToWorkflowTemplateMutationService extends Apollo.Mutation<
  ExportToWorkflowTemplateMutation,
  ExportToWorkflowTemplateMutationVariables
> {
  document = ExportToWorkflowTemplateDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
