import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { CaseNameModule } from '@orion/case-components/shared';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';
import { ActiveStagesPanelModule, StagePanelModule } from '@orion/stage-components/panels';
import { StageNavigator } from '@orion/stage-services';
import {
  StageOrWorkflowDetailMainContentModule,
  StageOrWorkflowDetailSidebarModule,
} from '@orion/stage-workflow-shared-components/detail';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionSidebarModule } from '@csirtmu-orion/microframework/sidebar';
import { WorkflowDetailPageComponent } from './workflow-detail-page.component';

@NgModule({
  declarations: [WorkflowDetailPageComponent],
  imports: [
    CommonModule,
    StageOrWorkflowDetailMainContentModule,
    StageOrWorkflowDetailSidebarModule,
    CaseNameModule,
    SentinelPipesModule,
    OrionSidebarModule,
    StagePanelModule,
    EntityDetailPageModule,
    SLetModule,
    ActiveStagesPanelModule,
  ],
  providers: [StageNavigator],
  exports: [WorkflowDetailPageComponent],
})
export class WorkflowDetailPageModule {}
