import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import {
  GetWorkflowDetailQuery,
  GetWorkflowDetailQueryService,
  GetWorkflowDetailQueryVariables,
  WorkflowDetailFragment,
} from './graphql';
import { WORKFLOW_PARAM_SELECTOR } from '@orion/case-paths';

@Injectable()
export class WorkflowDetailService extends ApolloRoutedEntityService<
  GetWorkflowDetailQuery,
  GetWorkflowDetailQueryVariables,
  WorkflowDetailFragment
> {
  constructor(public getQuery: GetWorkflowDetailQueryService, protected activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching workflow');
  }

  protected createVariables(id: string): GetWorkflowDetailQueryVariables {
    return { id: id };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(WORKFLOW_PARAM_SELECTOR);
  }

  protected toFragment(query: GetWorkflowDetailQuery): Optional<WorkflowDetailFragment> {
    return query?.getWorkflow;
  }
}
