import { Injectable } from '@angular/core';
import { WorkflowUpdate } from '@orion/graphql-types';
import { namedOperations } from '@orion/named-operations';
import { ApolloEntityPatchService } from '@csirtmu-orion/microframework/apollo-services';
import { EntityUpdateEvent } from '@csirtmu-orion/microframework/graphql';
import { UpdateWorkflowMutation, UpdateWorkflowMutationService, UpdateWorkflowMutationVariables } from './graphql';

@Injectable()
export class WorkflowPatchService extends ApolloEntityPatchService<
  WorkflowUpdate,
  UpdateWorkflowMutation,
  UpdateWorkflowMutationVariables
> {
  protected refetchQueriesNames = [namedOperations.Query.getWorkflowDetail];

  constructor(protected patchMutation: UpdateWorkflowMutationService) {
    super(patchMutation);
  }

  createVariables(event: EntityUpdateEvent<WorkflowUpdate>): UpdateWorkflowMutationVariables {
    return event;
  }
}
