import { Injectable } from '@angular/core';
import { Observable, ReplaySubject } from 'rxjs';
import { WorkflowDetailFragment } from './graphql';

@Injectable()
export class WorkflowStageIdsService {
  private idsSubject$: ReplaySubject<string[]> = new ReplaySubject<string[]>();
  ids$: Observable<string[]> = this.idsSubject$.asObservable();

  update(workflowFragment: WorkflowDetailFragment): void {
    this.idsSubject$.next(this.getTaskIds(workflowFragment));
  }

  private getTaskIds(workflowFragment: WorkflowDetailFragment): string[] {
    return workflowFragment.stageIds?.data.map((stage) => stage.id) ?? [];
  }
}
