import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { StageOrWorkflowStateModule } from '@orion/stage-workflow-shared-components/state';
import { UsersTableCellModule } from '@orion/user-components/shared';
import { WorkflowNameModule } from '@orion/workflow-components/workflow-name';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionDueDateModule } from '@csirtmu-orion/microframework/due-date';
import { SentinelTableModule } from '@sentinel/components/table';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { WorkflowOverviewComponent } from './workflow-overview.component';
import { WorkflowTableComponent } from './workflow-table';

@NgModule({
  declarations: [WorkflowOverviewComponent, WorkflowTableComponent],
  imports: [
    CommonModule,
    SentinelTableModule,
    UsersTableCellModule,
    WorkflowNameModule,
    StageOrWorkflowStateModule,
    OrionDueDateModule,
    OrionTimeAgoModule,
    SentinelPipesModule,
  ],
  exports: [WorkflowOverviewComponent],
})
export class WorkflowOverviewModule {}
