import { ChangeDetectionStrategy, Component } from '@angular/core';
import { TimeService } from '@orion/shared/services/global';
import { EntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { Observable } from 'rxjs';
import { WorkflowTable } from './workflow-table';
import { WorkflowRowFragment } from './workflow-table.fragment.generated';

@Component({
  selector: 'orion-workflow-table',
  templateUrl: './workflow-table.component.html',
  styleUrls: ['./workflow-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class WorkflowTableComponent extends EntityTableDirective<WorkflowRowFragment, WorkflowTable> {
  today$: Observable<Date>;

  constructor(private timeService: TimeService) {
    super();
    this.today$ = this.timeService.today$;
  }
  protected createTable(entities: WorkflowRowFragment[]): WorkflowTable {
    return new WorkflowTable(entities);
  }
}
