import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import { gql } from 'apollo-angular';

export type WorkflowRowFragment = {
  __typename?: 'Workflow';
  id: string;
  dueDate?: any | undefined;
  state: SchemaTypes.WorkflowStateEnum;
  lastUpdated?: any | undefined;
  name: string;
  created?: any | undefined;
  stagesAggregate?: { __typename?: 'StageNestedList'; totalCount: number } | undefined;
  assignees?:
    | {
        __typename?: 'CaseDBUserNestedList';
        totalCount: number;
        data: Array<{ __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined }>;
      }
    | undefined;
  case: {
    __typename?: 'Case';
    id: string;
    name: string;
    created?: any | undefined;
    createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
  };
  createdBy?: { __typename?: 'CaseDBUser'; id: string; name: string; iconSrc?: string | undefined } | undefined;
};

export const WorkflowRowFragmentDoc = gql`
  fragment workflowRow on Workflow {
    id
    dueDate
    state
    lastUpdated
    stagesAggregate: stages {
      totalCount
    }
    assignees {
      data {
        ...userNameAndIcon
      }
      totalCount
    }
    ...workflowName
  }
`;
