import { Column, Row, SentinelTable } from '@sentinel/components/table';
import { WorkflowRowFragment } from './workflow-table.fragment.generated';

export class WorkflowTable extends SentinelTable<WorkflowRowFragment> {
  constructor(workflows: WorkflowRowFragment[]) {
    const columns = [
      new Column('name', 'Name', false),
      new Column('dueDate', 'Due Date', false),
      new Column('assignees', 'Assignees', false),
      new Column('state', 'State', false),
      new Column('updated', 'Updated', false),
      new Column('stages', 'Stages', false),
    ];
    const rows = workflows.map((workflow) => new Row(workflow));
    super(rows, columns);
  }
}
