import { Optional, Pipe, PipeTransform } from '@angular/core';
import { WorkflowNavigator } from '@orion/workflow-services';
import { WorkflowNameFragment } from './workflow-name.fragment.generated';

@Pipe({
  name: 'workflowNavigator',
})
export class WorkflowNavigatorPipe implements PipeTransform {
  constructor(@Optional() private routeResolver?: WorkflowNavigator) {}

  transform(workflow?: WorkflowNameFragment): string | undefined {
    if (workflow && this.routeResolver) {
      return this.routeResolver.toDetail(workflow);
    } else {
      return undefined;
    }
  }
}
