import * as SchemaTypes from '../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { WorkflowTemplateListFragmentDoc } from './workflow-template-list.fragment.generated';
import { Injectable } from '@angular/core';

export type GetWorkflowTemplatesQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.WorkflowTemplateFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.WorkflowTemplateOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type GetWorkflowTemplatesQuery = {
  __typename?: 'Query';
  getWorkflowTemplateList: {
    __typename?: 'WorkflowTemplatePaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{ __typename?: 'WorkflowTemplate'; id: string; name: string }>;
  };
};

export const GetWorkflowTemplatesDocument = gql`
  query getWorkflowTemplates(
    $filter: [WorkflowTemplateFilter1ANDFilterEntry!]
    $order: [WorkflowTemplateOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getWorkflowTemplateList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...workflowTemplateList
      }
      previous
      next
      totalCount
    }
  }
  ${WorkflowTemplateListFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetWorkflowTemplatesQueryService extends Apollo.Query<
  GetWorkflowTemplatesQuery,
  GetWorkflowTemplatesQueryVariables
> {
  document = GetWorkflowTemplatesDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
