import { Injectable } from '@angular/core';
import { WORKFLOW_PARAM_SELECTOR } from '@orion/case-paths';
import { entityId, entityTitle } from '@orion/common';
import { OrionIdBreadcrumbResolver } from '@orion/shared/services/global';

@Injectable()
export class WorkflowBreadcrumbResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return WORKFLOW_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return `Workflow ${entityId(id)}`;
  }
}

@Injectable()
export class WorkflowTitleResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return WORKFLOW_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Workflow');
  }
}
