import { WorkflowCreate } from '@orion/graphql-types';
import { CreateWorkflowData } from './create-workflow-data';
import { WorkflowRefs } from './workflow-refs';

export class CreateWorkflowDTO implements WorkflowCreate {
  case: string;
  name: string;
  description: string;
  createdBy?: string;
  authorId?: string;

  constructor(data: CreateWorkflowData, refs: WorkflowRefs) {
    this.name = data.name;
    this.description = data.description;
    this.case = refs.caseId;
    this.createdBy = refs.authorId;
  }
}
