import { FormGroup } from '@angular/forms';
import { defaultEntityControls, EntityFormModel } from '@orion/common';
import { BaseReactiveForm } from '@sentinel/common';
import { CreateWorkflowData } from './create-workflow-data';

export type CreateWorkflowFormModel = EntityFormModel;

export class CreateWorkflowForm extends BaseReactiveForm<CreateWorkflowFormModel> {
  constructor() {
    const formGroup = new FormGroup<CreateWorkflowFormModel>({
      ...defaultEntityControls(undefined, undefined, true),
    });
    super(formGroup);
  }

  getData(): CreateWorkflowData {
    return {
      name: this.formGroup.controls.name.value,
      description: this.formGroup.controls.description.value,
    };
  }
}
