import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import * as Apollo from 'apollo-angular';
import { ApolloFilterableOrderableBaseService } from './apollo-filterable-orderable-base.service';
import { ApolloQueryServiceOptions } from '../general/apollo-query.service';

export abstract class ApolloFilterableOrderableService<
  Query,
  QueryVariables,
  Fragment,
  OrderableBy,
  ClientFilter,
  ApiFilter
> extends ApolloFilterableOrderableBaseService<Query, QueryVariables, Fragment, OrderableBy, ClientFilter, ApiFilter> {
  filterConverter: FilterConverter<Partial<ClientFilter>, ApiFilter[]>;

  protected constructor(
    public override getQuery: Apollo.Query<Query, QueryVariables>,
    operationName: string,
    options?: ApolloQueryServiceOptions
  ) {
    super(getQuery, operationName, options);
    this.filterConverter = this.createFilterConverter();
  }
}
