import * as Apollo from 'apollo-angular';
import { Observable } from 'rxjs';
import { ApolloBaseResolver } from './apollo-base.resolver';

export abstract class ApolloBreadcrumbResolver<Query, QueryVariables> extends ApolloBaseResolver<
  string,
  Query,
  QueryVariables
> {
  protected constructor(public override getQuery: Apollo.Query<Query, QueryVariables>) {
    super(getQuery);
  }

  protected abstract override createVariables(id: string): QueryVariables;

  protected override getEntity(id: string): Observable<string> {
    return super.getEntity(id);
  }
}
