import { ApolloQueryResult } from '@apollo/client/core';
import * as Apollo from 'apollo-angular';
import { ApolloQueryService, ApolloQueryServiceOptions } from './apollo-query.service';

export abstract class ApolloEntitiesBaseService<Query, QueryVariables, Fragment> extends ApolloQueryService<
  Query,
  QueryVariables,
  Fragment[]
> {
  protected constructor(
    public override getQuery: Apollo.Query<Query, QueryVariables>,
    operationName: string,
    options?: ApolloQueryServiceOptions
  ) {
    super(getQuery, operationName, options);
  }

  protected abstract toFragments(query: Query): Fragment[];

  protected toData(queryRes: ApolloQueryResult<Query>): Fragment[] {
    return this.toFragments(queryRes.data);
  }
}
