import { Identifiable } from '@sentinel/common/entity';
import * as Apollo from 'apollo-angular';
import { ApolloEntityBaseService } from './apollo-entity-base.service';
import { ApolloQueryServiceOptions } from './apollo-query.service';

export abstract class ApolloEntityService<
  Query,
  QueryVariables,
  Entity extends Identifiable
> extends ApolloEntityBaseService<Query, QueryVariables, Entity> {
  protected initialized = false;

  protected constructor(
    public override getQuery: Apollo.Query<Query, QueryVariables>,
    operationName: string,
    options?: ApolloQueryServiceOptions
  ) {
    super(getQuery, operationName, options);
  }
}
