import * as Apollo from 'apollo-angular';
import { ApolloChildEntitiesService } from './apollo-child-entities.service';
import { ApolloQueryServiceOptions } from './apollo-query.service';

export abstract class ApolloInterfaceChildEntitiesService<
  Query,
  QueryVariables,
  Entity,
  ParentTypeEnum
> extends ApolloChildEntitiesService<Query, QueryVariables, Entity> {
  protected constructor(
    public override getQuery: Apollo.Query<Query, QueryVariables>,
    operationName: string,
    options?: ApolloQueryServiceOptions
  ) {
    super(getQuery, operationName, options);
  }

  protected abstract override createVariables(parentId: string, parentType: ParentTypeEnum): QueryVariables;

  protected override updateVariables(parentId: string, parentType: ParentTypeEnum): void {
    super.updateVariables(parentId, parentType);
  }

  override setParent(parentId: string, parentType: ParentTypeEnum) {
    super.setParent(parentId, parentType);
  }
}
