import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import * as Apollo from 'apollo-angular';
import { ApolloPaginatedFilterableBaseService } from '../general/apollo-paginated-filterable-base.service';
import { ApolloQueryServiceOptions } from '../general/apollo-query.service';

export abstract class ApolloPaginatedFilterableService<
  Query,
  QueryVariables,
  Entity,
  OrderableBy,
  ClientFilter,
  ApiFilter
> extends ApolloPaginatedFilterableBaseService<Query, QueryVariables, Entity, OrderableBy, ClientFilter, ApiFilter> {
  filterConverter: FilterConverter<Partial<ClientFilter>, ApiFilter[]>;

  protected constructor(
    public override getQuery: Apollo.Query<Query, QueryVariables>,
    operationName: string,
    options?: ApolloQueryServiceOptions
  ) {
    super(getQuery, operationName, options);
    this.filterConverter = this.createFilterConverter();
  }
}
