# Orion Card Component

Orion Card Component is a component for displaying a card.

## Features

- Loading state
- Optional title, subtitle, title icon, card image
- Optional actions (`SentinelControlsComponent` by passing values to `controls` input or by projecting template)
- Globally configurable
- Projected template displayed as card content

## Usage

To use in your application:

1. In your module, import `OrionCardModule`
2. In your component's template
```
<orion-card [controls]="controls" title="Hello World">
  <span>Lorem Ipsum</span>
</orion-card>
```

## Configuration

You can provide global configuration of `OrionCardComponent` by providing config through Angular DI.

For example:
```
providers: [
  {
    provide: ORION_CARD_CONFIG,
    useValue: { elevation: 10, noMargin: true }
  }
],
```

The config can always be overriden by configuring the component directly through `
@Input()` parameters
