import { InjectionToken } from '@angular/core';

/**
 * You can provide global config for sentinel card component through this injection token
 * @usage
 providers: [
 { provide: ORION_CARD_CONFIG, useValue: { noMargin: true, elevation: 1 }}
 ],
 */
export const ORION_CARD_CONFIG = new InjectionToken<OrionCardConfig>('ORION_CARD_CONFIG');

/**
 * Global config for all sentinel card components. Local config (set trough input parameters of a components) always overrides this
 */
export interface OrionCardConfig {
  elevation?: number;
  noMargin?: boolean;
}
