# Orion Date Form Component

Orion Date Form Component is a simple configurable form with a date input.

## Dependencies

`"@danielmoncada/angular-datetime-picker": "^14.0.0"`

## Features

- Configurable Material form appearance
- Date and DateTime mode
- Disabled/enabled state
- Label
- Min, max, required validators
- Emits event on date change and validity change

## Usage

To use in your application:

1. In your module, import `OrionDateFormModule`
2. In your component's template
```
<orion-date-form
    label="Select date of birth"
    mode="date"
    [required]="true"
    [minDate]="min"
    [maxDate]="now"
    (dateChange)="onDateChange($event)"
    (validityChange)="onValidityChange($event)"
    >
</orion-date-form>
```
