import { DateForm } from './date-form';

describe('DateForm', () => {
  const TEST_DATE = new Date(1646118000);

  it('should create formControl with correct date', () => {
    const form = new DateForm(TEST_DATE);
    expect(form.formGroup.controls.date.value).toEqual(TEST_DATE);
  });

  it('should create formControl with undefined value', () => {
    const form = new DateForm();
    expect(form.formGroup.controls.date.value).toBeFalsy();
  });

  it('should clear the date', () => {
    const form = new DateForm(TEST_DATE);
    expect(form.formGroup.controls.date.value).toEqual(TEST_DATE);
    form.clearDate();
    expect(form.formGroup.controls.date.value).toEqual(null);
  });
});
