import { FormControl, FormGroup } from '@angular/forms';

export interface DateFormModel {
  date: FormControl<Date | null>;
}

export class DateForm {
  formGroup: FormGroup<DateFormModel>;

  constructor(date?: Date) {
    this.formGroup = new FormGroup<DateFormModel>({
      date: new FormControl<Date | null>(date ?? null),
    });
  }

  clearDate(): void {
    this.formGroup.controls.date.reset();
  }
}
