# Orion Date Range Form Component

Orion Date Range Form Component is a simple configurable form with a date range inputs.

## Dependencies

`"@danielmoncada/angular-datetime-picker": "^14.0.0"`


## Features

- Configurable Material form appearance
- From and to labels
- Checks validity of the range
- Emits event on date range change

## Usage

To use in your application:

1. In your module, import `OrionDateFormModule`
2. In your component's template
```
<orion-date-range-form
    appearance="outline"
    (dateRangeChange)="onDateRangeChange($event)"
    >
</orion-date-range-form>
```

# Orion Date Range Form Inputs Component

Orion Date Range Form Inputs Component is component containing date range inputs which can be configured by passing it FromGroup instance.

## Features

- Expects passing Form Group instance on input. Suitable for using as part of a larger form.
- Configurable Material form appearance
- From and to labels
- Disabled/enabled state
- Emits event on date range change

## Usage

To use in your application:

1. In your module, import `OrionDateFormModule`
2. In your component's template
```
<orion-date-range-form-inputs
    appearance="outline"
    [formGroup]="myFormGroup"ww
    (dateRangeChange)="onDateRangeChange($event)"
    >
</orion-date-range-form-inputs>
```
