import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { DateRange, DateRangeFormModel } from '@sentinel/common';
import { MatFormFieldAppearance } from '@angular/material/form-field';

@Component({
  selector: 'orion-date-range-form-inputs',
  templateUrl: './orion-date-range-form-inputs.component.html',
  styleUrls: ['./orion-date-range-form-inputs.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionDateRangeFormInputsComponent {
  @Input() appearance: MatFormFieldAppearance = 'outline';
  @Input() fromLabel = 'From';
  @Input() toLabel = 'To';
  @Input() inRow = false;
  @Input() formGroup?: FormGroup<DateRangeFormModel>;
  @Output() dateRangeChange: EventEmitter<DateRange> = new EventEmitter<DateRange>();

  onDateChange(): void {
    if (this.formGroup) {
      this.dateRangeChange.emit({
        from: this.formGroup.controls.from.value ?? undefined,
        to: this.formGroup.controls.to.value ?? undefined,
      });
    }
  }
}
