import { ChangeDetectionStrategy, Component, Input, OnChanges, SimpleChanges } from '@angular/core';

@Component({
  selector: 'orion-due-date-component',
  templateUrl: './orion-due-date.component.html',
  styleUrls: ['./orion-due-date.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionDueDateComponent implements OnChanges {
  @Input() date?: Date;
  @Input() now?: Date;
  isPastDue = false;

  ngOnChanges(changes: SimpleChanges): void {
    if (('date' in changes && this.date && this.now) || ('now' in changes && this.now && this.date)) {
      this.resolveIsPastDue(this.date, this.now);
    }
  }

  resolveIsPastDue(date: Date, now: Date): void {
    this.isPastDue = date.valueOf() < now.valueOf();
  }
}
