import {
  ChangeDetectionStrategy,
  Component,
  EventEmitter,
  Input,
  OnChanges,
  Output,
  SimpleChanges,
} from '@angular/core';
import { OrionSidebarElementDirective } from '@csirtmu-orion/microframework/sidebar';

@Component({
  selector: 'orion-due-date-sidebar-element',
  templateUrl: './orion-due-date-sidebar-element.component.html',
  styleUrls: ['./orion-due-date-sidebar-element.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionDueDateSidebarElementComponent extends OrionSidebarElementDirective implements OnChanges {
  @Input() dueDate?: Date;
  @Input() minDate?: Date;
  @Output() save: EventEmitter<Date> = new EventEmitter<Date>();
  tooltip?: string;

  ngOnChanges(changes: SimpleChanges): void {
    if ('dueDate' in changes) {
      this.tooltip = this.dueDate ? '' : 'No due date';
    }
  }

  onSave(date: Date): void {
    this.save.emit(date);
  }
}
