# Orion Editable Component

Orion Editable Component is a component for projecting and switching templates for displaying and editing components.

## Features

- Switch states between display and edit
- Displays projected templates based on its state
- Displays edit icon in display mode
- Edit icon can be hidden
- Displays cancel and save icons in edit mode
- Cancel and save icons can be disabled
- Emits events on save, cancel button click, mode change

## Usage

To use in your application:

1. In your module, import `OrionEditableComponentModule`
2. In your component's template
```
<orion-editable (save)="onSave()" (cancel)="onCancel()">
  <orion-editable-display-mode-content>
  <span>{{ value }}</span>
  </orion-editable-display-mode-content>
  <orion-editable-edit-mode-content>
      <input type="text">
  </orion-editable-edit-mode-content>
</orion-editable>

```
