# Orion Entity Name Component

Orion Entity Name Component is a component for displaying a name of a navigable entity.

## Features

- Display name
- If over max length, the name is shortened and fully displayed in tooltip
- Can be passed route info for the entity name (angular router commands, params, query params, and fragment)

## Usage

To use in your application:

1. In your module, import `OrionEntityNameModule`
2. In your component's template
```
<orion-entity-name name="John Doe" routerLinkCommands="users/1" color="primary">
</orion-entity-name>
```
3. Provide a theme for entity name component mixin by adding `@include orion-entity-name-theme($your-theme-var);` to your `theme.scss` file. For more info see [material theming](https://material.angular.io/guide/theming).
