import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { RouterLinkCommands } from '@sentinel/common';
import { ThemePalette } from '@angular/material/core';
import { Params, QueryParamsHandling } from '@angular/router';

@Component({
  selector: 'orion-entity-name',
  templateUrl: './orion-entity-name.component.html',
  styleUrls: ['./orion-entity-name.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionEntityNameComponent {
  @Input() name?: string;
  @Input() maxLength = 45;
  @Input() titleCase = false;
  @Input() color: ThemePalette = 'primary';
  @Input() routerLinkCommands?: RouterLinkCommands;
  @Input() queryParams?: Params;
  @Input() queryParamsHandling?: QueryParamsHandling;
  @Input() fragment?: string;
  @Input() fontSize?: string;
}
