import { Directive, Input, OnChanges, SimpleChanges } from '@angular/core';
import { ApolloInterfaceChildEntitiesService } from '@csirtmu-orion/microframework/apollo-services';
import { ChildEntitySmartOverviewDirective } from './child-entity-smart-overview.directive';

@Directive()
export class ChildEntityInterfaceSmartOverviewDirective<Entity, ParentTypeEnum>
  extends ChildEntitySmartOverviewDirective<Entity>
  implements OnChanges
{
  @Input() parentType?: ParentTypeEnum;

  protected constructor(
    // No point in introducing a generic for query, query variables, and parent type in this component
    // as the types context doesn't matter to this component.
    // eslint-disable-next-line
    protected override entityService: ApolloInterfaceChildEntitiesService<any, any, Entity, ParentTypeEnum>
  ) {
    super(entityService);
  }

  override ngOnChanges(changes: SimpleChanges): void {
    if (('parentId' in changes || 'parentType' in changes) && this.parentId && this.parentType) {
      this.entityService.setParent(this.parentId, this.parentType);
    }
  }
}
