import { Directive, Input, OnChanges, SimpleChanges } from '@angular/core';
import { ApolloChildEntitiesService } from '@csirtmu-orion/microframework/apollo-services';
import { EntitySmartOverviewDirective } from './entity-smart-overview.directive';

@Directive()
export class ChildEntitySmartOverviewDirective<Entity>
  extends EntitySmartOverviewDirective<Entity[]>
  implements OnChanges
{
  @Input() parentId?: string;
  protected constructor(
    // No point in introducing a generic for query, query variables in this component
    // as the types context doesn't matter to this component.
    // eslint-disable-next-line
    protected override entityService: ApolloChildEntitiesService<any, any, Entity>
  ) {
    super(entityService);
  }

  ngOnChanges(changes: SimpleChanges): void {
    if ('parentId' in changes && this.parentId) {
      this.entityService.setParent(this.parentId);
    }
  }
}
