import { Directive, EventEmitter, Input, Output } from '@angular/core';

@Directive()
export abstract class EntityOverviewDirective<Entity> {
  @Input() entities?: Entity;
  @Input() isLoading = false;
  @Input() initLoading = false;
  @Input() hasError = false;
  @Output() tryAgain: EventEmitter<void> = new EventEmitter<void>();

  onTryAgain(): void {
    this.tryAgain.emit();
  }
}
