import { Directive, EventEmitter, Input, Output } from '@angular/core';
import { FilterChip } from '@csirtmu-orion/microframework/filter';
import { EntityPaginableOverviewDirective } from './entity-paginable-overview.directive';

@Directive()
export abstract class EntityPaginableFilterableOverviewDirective<
  Entity,
  Filter
> extends EntityPaginableOverviewDirective<Entity> {
  @Input() activeFilter?: Filter;
  @Input() filterChips?: FilterChip[];
  @Output() clearFilters: EventEmitter<void> = new EventEmitter<void>();
  @Output() submitClicked: EventEmitter<void> = new EventEmitter<void>();
  @Output() removeChip: EventEmitter<FilterChip> = new EventEmitter<FilterChip>();

  onClearFilters(): void {
    this.clearFilters.emit();
  }

  onRemoveChip(chip: FilterChip): void {
    this.removeChip.emit(chip);
  }

  onSubmit(): void {
    this.submitClicked.emit();
  }
}
