import { Directive, EventEmitter, Input, Output } from '@angular/core';
import { IPaginatedElements, IPaginationEvent } from '@sentinel/common/pagination';
import { EntityOverviewDirective } from './entity-overview.directive';

@Directive()
export abstract class EntityPaginableOverviewDirective<Entity> extends EntityOverviewDirective<
  IPaginatedElements<Entity>
> {
  @Input() sortAttr?: string;
  @Input() sortDir?: 'asc' | 'desc';
  @Output() pageChange: EventEmitter<IPaginationEvent> = new EventEmitter<IPaginationEvent>();

  onPageChange(pagination: IPaginationEvent): void {
    this.pageChange.emit(pagination);
  }
}
