import { Directive, EventEmitter, Output } from '@angular/core';
import { TableActionEvent } from '@sentinel/components/table';
import { take } from 'rxjs/operators';
import { EntityTableBaseDirective } from './entity-table-base.directive';

@Directive()
export abstract class EntityTableDirective<Entity, TableData> extends EntityTableBaseDirective<Entity[], TableData> {
  @Output() selectionChange: EventEmitter<Entity[]> = new EventEmitter<Entity[]>();

  onRowAction(actionEvent: TableActionEvent<Entity>): void {
    actionEvent.action.result$.pipe(take(1)).subscribe();
  }

  onRowSelection(selection: Entity[]): void {
    this.selectionChange.emit(selection);
  }
}
