import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { MatFormFieldAppearance } from '@angular/material/form-field';
import { trackByIndex } from '@sentinel/common/utils';

@Component({
  selector: 'orion-enumeration-select',
  templateUrl: './orion-enumeration-select.component.html',
  styleUrls: ['./orion-enumeration-select.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionEnumerationSelectComponent<T extends string> {
  @Input() options?: T[];
  @Input() selected?: T;
  @Input() label?: string;
  @Input() noOptionPossible = false;
  @Input() noOptionLabel?: string;
  @Input() matFormAppearance: MatFormFieldAppearance = 'standard';
  @Output() selectedChange: EventEmitter<T> = new EventEmitter<T>();
  trackByFn = trackByIndex;

  onSelectionChange(selected: T): void {
    this.selectedChange.emit(selected);
  }
}
