import { Observable } from 'rxjs';
import { map } from 'rxjs/operators';
import { FilterService } from './filter.service';
import { FilterChip } from '@csirtmu-orion/microframework/filter';

export abstract class FilterChipsService<Filter> {
  chips$: Observable<FilterChip[]>;

  protected constructor(protected filterService: FilterService<Filter>) {
    this.chips$ = this.filterService.filter$.pipe(map((filter) => this.createChips(filter)));
  }
  abstract removeChip(removedChip: FilterChip): void;
  protected abstract createChips(filter?: Filter): FilterChip[];
}
