# Orion Filter Panel Component

OrionFilterPanelComponent is a panel component displaying active filter chips and projected filter forms template in an expandable panel.

## Features

- Display chips of active filter in panel header
- Display projected template in panel expanded body
- Submit button
- Emits event on clear filters, remove chip, and submit

## Usage

To use in your application:

1. In your module, import `OrionFilterModule`
2. In your component's template
```
<orion-filter-panel
    [activeFilter]="filter"
    [filterChips]="chips"
    (clearFilters)="onClearFilters($event)"
    (removeChip)="onRemoveChip($event)"
    (submitClicked)="onSubmit()"
    >
</orion-filter-panel>
```

## Configuration

You can provide global configuration of `OrionFilterPanelComponent` by providing config through Angular DI.

For example:
```
providers: [
  {
    provide: ORION_FILTER_PANEL_CONFIG,
    useValue: { withSubmitButton: true }
  }
],
```

The config can always be overriden by configuring the component directly through `@Input()` parameters.


# Orion Filter Free Input Component

Orion Filter Free Input Component is a simple filter input component.

## Features

- Label
- Placeholder
- Emits event on filter change

## Usage

To use in your application:

1. In your module, import `OrionFilterModule`
2. In your component's template
```
<orion-filter-free-input
    label="Name"
    placeholder="Filter by name"
    [value]="filterName"
    (filterChange)="onFilterChange($event)"
    >
</orion-filter-free-input>
```

# Orion Filter Panel Chips Component

Orion Filter Panel Chips Component is a simple component displaying list of filter chips.

## Usage

To use in your application:

1. In your module, import `OrionFilterModule`
2. In your component's template
```
<orion-filters-panel-description
    [chips]="filterChips"
    (chipRemoved)="onChipRemoved($event)"
    >
</orion-filters-panel-description>
```
