import { SentinelDateTimeFormatPipe } from '@sentinel/common/pipes';
import { FilterChip } from '@csirtmu-orion/microframework/filter';

export type DateChipDirection = 'from' | 'to';

export class DateValueChip extends FilterChip {
  name?: string;
  direction: DateChipDirection;
  dateValue: Date;

  constructor(value: Date, direction: DateChipDirection, name?: string) {
    const transformedValue = new SentinelDateTimeFormatPipe('en-EN').transform(value) as string;
    if (name) {
      super(`${name} ${direction}: ${transformedValue}`);
    } else {
      super(`${direction}: ${transformedValue}`);
    }
    this.direction = direction;
    this.dateValue = value;
    this.name = name;
  }
}
