import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { FilterChip } from '@csirtmu-orion/microframework/filter';

@Component({
  selector: 'orion-filters-panel-description',
  templateUrl: './orion-filter-panel-chips.component.html',
  styleUrls: ['./orion-filter-panel-chips.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionFilterPanelChipsComponent {
  @Input() defaultDescription?: string;
  @Input() chips?: FilterChip[] = [];
  @Output() chipRemoved: EventEmitter<FilterChip> = new EventEmitter<FilterChip>();

  onChipRemoved(chip: FilterChip): void {
    this.chipRemoved.emit(chip);
  }
}
