import { Directive, Input } from '@angular/core';
import { FilterService } from '@csirtmu-orion/microframework/filter-services';
import { DateRange } from '@sentinel/common';

@Directive()
export abstract class OrionFilterDirective {
  @Input() activeFilter?: DateRange;

  protected constructor(protected filterService: FilterService<DateRange>) {}

  onDateRangeChange(range: DateRange): void {
    this.filterService.update({ from: range.from, to: range.to });
  }
}
