import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatChipsModule } from '@angular/material/chips';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { OrionFilterPanelComponent } from './filter-panel/orion-filter-panel.component';
import { OrionFilterPanelChipsComponent } from './chips/orion-filter-panel-chips.component';
import { OrionFilterFreeInputComponent } from './filter-free-input/orion-filter-free-input.component';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';

@NgModule({
  declarations: [OrionFilterPanelComponent, OrionFilterPanelChipsComponent, OrionFilterFreeInputComponent],
  imports: [
    CommonModule,
    FormsModule,
    MatChipsModule,
    MatIconModule,
    MatButtonModule,
    MatInputModule,
    MatFormFieldModule,
    SentinelControlsModule,
    OrionPanelModule,
  ],
  exports: [OrionFilterPanelComponent, OrionFilterPanelChipsComponent, OrionFilterFreeInputComponent],
})
export class OrionFilterModule {}
