import { Observable, of } from 'rxjs';
import { FetchResult } from '@apollo/client/core';
import { ApolloResultType } from '../entity/apollo-result-type';
import { ApolloResult } from '../entity/apollo-result';

export class ApolloOperationResultResolver {
  static resolve(fetchResult: FetchResult): ApolloResult {
    return fetchResult.errors
      ? new ApolloResult(ApolloResultType.ERROR, fetchResult.errors)
      : new ApolloResult(ApolloResultType.SUCCESS);
  }

  static handleError(err: any): Observable<ApolloResult> {
    return of(new ApolloResult(ApolloResultType.ERROR, err));
  }
}
