import { DmtOrderingConverter } from './dmt-ordering-converter';
import { DmtQueryOrder } from './dmt-order';

describe('DmtOrderingConverter', () => {
  it('should return empty object if no sort or sortDir args are passed', () => {
    expect(DmtOrderingConverter.fromSingleSort()).toEqual({});
  });

  it('should return empty object if no sortDir arg is passed', () => {
    expect(DmtOrderingConverter.fromSingleSort('someSort')).toEqual({});
  });

  it('should return empty object if no sortDir arg is passed', () => {
    expect(DmtOrderingConverter.fromSingleSort(undefined, 'desc')).toEqual({});
  });

  it('should return strawberry query order with desc set to false', () => {
    const expected: DmtQueryOrder<string> = { order: [{ o: 'someValue', desc: false }] };
    expect(DmtOrderingConverter.fromSingleSort('someValue', 'asc')).toEqual(expected);
  });

  it('should return strawberry query order with desc set to true', () => {
    const expected: DmtQueryOrder<string> = { order: [{ o: 'someValue', desc: true }] };
    expect(DmtOrderingConverter.fromSingleSort('someValue', 'desc')).toEqual(expected);
  });
});
