import { ICursorPaginationEvent, IOffsetPaginationEvent } from '@sentinel/common/pagination';
import { CursorPaginationQuery, OffsetPaginationQuery } from './pagination-query';

export class CursorPaginationConverter {
  static convert(pagination: ICursorPaginationEvent): CursorPaginationQuery {
    return {
      cursor: pagination.cursor ?? undefined,
      limit: pagination.size,
    };
  }
}

export class OffsetPaginationConverter {
  static convert(pagination: IOffsetPaginationEvent): OffsetPaginationQuery {
    return {
      offset: pagination.page * pagination.size,
      limit: pagination.size,
    };
  }
}
