import { CursorPaginatedResponse, OffsetPaginatedResponse } from './paginated-response';
import { QueryCursorPaginationData, QueryOffsetPaginationData } from './query-pagination-data';

export class QueryCursorPaginationDataResolver {
  static resolve(cursorPaginatedResponse: CursorPaginatedResponse<unknown>): QueryCursorPaginationData {
    return {
      cursors: { prev: cursorPaginatedResponse.previous, next: cursorPaginatedResponse.next },
      elementsCount: cursorPaginatedResponse?.data?.length ?? 0,
      totalCount: cursorPaginatedResponse?.totalCount ?? 0,
    };
  }
}

export class QueryOffsetPaginationDataResolver {
  static resolve(offsetPaginatedResponse: OffsetPaginatedResponse<unknown>): QueryOffsetPaginationData {
    return {
      elementsCount: offsetPaginatedResponse?.data?.length ?? 0,
      totalCount: offsetPaginatedResponse?.totalCount ?? 0,
    };
  }
}
