import { ChangeDetectionStrategy, Component, ContentChild, Input } from '@angular/core';
import { trackByIndex } from '@sentinel/common/utils';
import { OrionInlineListElementDirective } from './orion-inline-list-element.directive';

@Component({
  selector: 'orion-inline-list',
  templateUrl: './orion-inline-list.component.html',
  styleUrls: ['./orion-inline-list.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionInlineListComponent<T> {
  @Input() elements: T[] = [];
  @Input() separator = ', ';
  @Input() trackByFn: (index: number, item: T) => string | number = trackByIndex;
  @ContentChild(OrionInlineListElementDirective) elementDirective?: OrionInlineListElementDirective;
}
