# Orion Loading Skeleton Components

Orion Loading Skeleton Components is collection of configurable skeleton components for displaying loading state with a preview of how the loaded component/page will look like.
It improves perceived performance and UX, compared to simply displaying loading bars or spinners. In order to improve UX, the skeleton preview should resemble actual component (same height, width and inner structure).

## Dependencies

`"ngx-skeleton-loader": "^6.0.0"`

## Skeleton Components

- Card, Card row
- Entity Detail Page Wrapper
- Sidebar, Sidebar elements, Sidebar element, Sidebar Wrapper
- Table, Table wrapper
- Tabs
- Text
- Title
- Toolbar

Wrapper components display skeleton in loading state and projected template in display state

## Usage

To use in your application:

1. In your module, import `OrionSkeletonLoadingModule`
2. In your component's template
```
<orion-title-skeleton [linesCount]="1"></orion-title-skeleton>
<orion-tabs-skeleton [tabCount]="3"></orion-tabs-skeleton>
<orion-cards-skeleton [count]="4"></orion-cards-skeleton>
<orion-table-wrapper-skeleton [isLoading]="loading" [columnsCount]="2" [rowsCount]="10" [withPagination]="true">
    <sentinel-table [data]="tableData"></sentinel-table>
</orion-table-wrapper-skeleton>
```
