import { ChangeDetectionStrategy, Component, Input, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { trackByIndex } from '@sentinel/common/utils';

@Component({
  selector: 'orion-cards-skeleton',
  templateUrl: './orion-cards-skeleton.component.html',
  styleUrls: ['./orion-cards-skeleton.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionCardsSkeletonComponent implements OnInit, OnChanges {
  @Input() count = 3;
  cardPlaceholders: number[] = [];
  trackByFn = trackByIndex;

  ngOnInit(): void {
    this.createPlaceholders(this.count);
  }

  ngOnChanges(changes: SimpleChanges): void {
    if ('count' in changes && this.count) {
      this.createPlaceholders(this.count);
    }
  }

  private createPlaceholders(count: number): void {
    this.cardPlaceholders = [...Array(count).keys()];
  }
}
