import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { defer } from 'rxjs';

@Component({
  selector: 'orion-detail-page-content-skeleton-wrapper',
  templateUrl: './orion-detail-page-content-skeleton-wrapper.component.html',
  styleUrls: ['./orion-detail-page-content-skeleton-wrapper.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionDetailPageContentSkeletonWrapperComponent {
  @Input() isLoading?: boolean;
  @Input() hasError?: boolean;
  @Input() tabCount = 6;
  @Input() cardCount = 3;
  @Input() aboveTabLineCount = 2;
  @Input() belowTabLineCount = 0;
  @Input() withToolbar = true;
  @Input() withTabs = true;
  @Output() refetch: EventEmitter<void> = new EventEmitter<void>();

  onTryAgain$ = defer(() => this.refetch.emit());
}
