import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatDividerModule } from '@angular/material/divider';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelErrorModule } from '@sentinel/components/error';
import { NgxSkeletonLoaderModule } from 'ngx-skeleton-loader';
import { OrionTextSkeletonComponent } from './text-skeleton/orion-text-skeleton.component';
import { OrionTabSkeletonComponent } from './tabs-skeleton/tab-skeleton/orion-tab-skeleton.component';
import { OrionSidebarSkeletonWrapperComponent } from './sidebar-skeleton-wrapper/orion-sidebar-skeleton-wrapper.component';
import { OrionTableWrapperSkeletonComponent } from './table-wrapper-skeleton/orion-table-wrapper-skeleton.component';
import { OrionDetailPageContentSkeletonWrapperComponent } from './detail-page-content-skeleton-wrapper/orion-detail-page-content-skeleton-wrapper.component';
import { OrionTitleSkeletonComponent } from './title-skeleton/orion-title-skeleton.component';
import { OrionTableSkeletonComponent } from './table-skeleton/orion-table-skeleton.component';
import { OrionSidebarElementSkeletonComponent } from './sidebar-skeleton-wrapper/sidebar-elements-skeleton/sidebar-element-skeleton/orion-sidebar-element-skeleton.component';
import { OrionCardSkeletonComponent } from './cards-skeleton/card-skeleton/orion-card-skeleton.component';
import { OrionTabsSkeletonComponent } from './tabs-skeleton/orion-tabs-skeleton.component';
import { OrionToolbarSkeletonComponent } from './toolbar-skeleton/orion-toolbar-skeleton.component';
import { OrionSidebarElementsSkeletonComponent } from './sidebar-skeleton-wrapper/sidebar-elements-skeleton/orion-sidebar-elements-skeleton.component';
import { OrionCardsSkeletonComponent } from './cards-skeleton/orion-cards-skeleton.component';

const components = [
  OrionDetailPageContentSkeletonWrapperComponent,
  OrionSidebarSkeletonWrapperComponent,
  OrionToolbarSkeletonComponent,
  OrionTitleSkeletonComponent,
  OrionTextSkeletonComponent,
  OrionTabsSkeletonComponent,
  OrionTabSkeletonComponent,
  OrionCardsSkeletonComponent,
  OrionCardSkeletonComponent,
  OrionSidebarElementsSkeletonComponent,
  OrionSidebarElementSkeletonComponent,
  OrionTableSkeletonComponent,
  OrionTableWrapperSkeletonComponent,
];

@NgModule({
  declarations: [...components],
  imports: [CommonModule, NgxSkeletonLoaderModule, MatDividerModule, SentinelErrorModule, OrionCardModule],
  exports: [...components],
})
export class OrionSkeletonLoadingModule {}
