import { ChangeDetectionStrategy, Component, Input, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { trackByIndex } from '@sentinel/common/utils';

@Component({
  selector: 'orion-tabs-skeleton',
  templateUrl: './orion-tabs-skeleton.component.html',
  styleUrls: ['./orion-tabs-skeleton.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionTabsSkeletonComponent implements OnInit, OnChanges {
  @Input() tabCount = 6;
  tabPlaceholders: number[] = [];
  trackByFn = trackByIndex;

  ngOnInit(): void {
    this.createPlaceholders(this.tabCount);
  }

  ngOnChanges(changes: SimpleChanges): void {
    if ('tabCount' in changes && this.tabCount) {
      this.createPlaceholders(this.tabCount);
    }
  }

  private createPlaceholders(count: number): void {
    this.tabPlaceholders = [...Array(count).keys()];
  }
}
