# Orion Nested Tree Component

Orion Nested Tree Component is a component and collection of classes and services for displaying a nested tree.

## Features

- Displaying elements in nested tree structure
- Root, regular and leaf nodes
- Injectable node template
- Selectable
- Supports paginated trees
- Loading, error state

## Usage

To use in your application:

1. In your module, import `OrionNestedTreeModule`
2. In your component's template
```
<orion-nested-tree [selectable]="true" [dataSource]="treeDataSource" [treeControl]="treeControl">
  <ng-container *orionTreeNode="myNodeTemplate"></ng-container>
</orion-nested-tree>

<ng-template #techniqueNodeTemplate let-node>
  <orion-entity-name
    [name]="node.name"
    [maxLength]="25"
    [routerLinkCommands]="node.id"
  ></orion-entity-name>
</ng-template>
```
3. Provide your implementation of `OrionTreeDataService`
4. Provide you implementation of `OrionTreeNodeManagerService`
5. Provide a theme for nested tree component mixin by adding `@include orion-nested-tree-theme($your-theme-var);` to your `theme.scss` file. For more info see [material theming](https://material.angular.io/guide/theming).

