import { NestedTreeControl, NestedTreeControlOptions } from '@angular/cdk/tree';
import { Subject } from 'rxjs';
import { TreeNode } from './tree-node';

export class OrionNestedTreeControl<NodeData, NodeDataId = NodeData> extends NestedTreeControl<
  TreeNode<NodeData>,
  NodeDataId
> {
  loadChildren$: Subject<TreeNode<NodeData>> = new Subject<TreeNode<NodeData>>();
  loadMoreChildren$: Subject<TreeNode<NodeData>> = new Subject<TreeNode<NodeData>>();
  loadMoreRoots$: Subject<void> = new Subject();

  constructor(options?: NestedTreeControlOptions<TreeNode<NodeData>, NodeDataId>) {
    super((node) => node.children$, options);
  }

  override toggle(node: TreeNode<NodeData>): void {
    super.toggle(node);
    if (this.isExpanded(node)) {
      this.loadChildren$.next(node);
    }
  }

  loadMoreChildren(node: TreeNode<NodeData>): void {
    this.loadMoreChildren$.next(node);
  }

  loadMoreRoots(): void {
    this.loadMoreRoots$.next();
  }
}
