import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatRippleModule } from '@angular/material/core';
import { MatIconModule } from '@angular/material/icon';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatTreeModule } from '@angular/material/tree';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelErrorModule } from '@sentinel/components/error';
import { DefaultTreeNodeComponent } from './default-tree-node';
import { OrionNestedTreeComponent } from './orion-nested-tree.component';
import { OrionTreeNodeDirective } from './orion-tree-node.directive';

@NgModule({
  declarations: [OrionNestedTreeComponent, OrionTreeNodeDirective, DefaultTreeNodeComponent],
  imports: [
    CommonModule,
    SentinelErrorModule,
    MatTreeModule,
    MatIconModule,
    MatButtonModule,
    MatProgressBarModule,
    SentinelPipesModule,
    MatRippleModule,
  ],
  exports: [OrionNestedTreeComponent, OrionTreeNodeDirective, DefaultTreeNodeComponent],
})
export class OrionNestedTreeModule {}
