import { Observable } from 'rxjs';
import { RootNodes } from './root-nodes';
import { TreeNode } from './tree-node';

export abstract class OrionTreeDataService<NodeData> {
  abstract getRoots(pageSize: number, offset: number, superiorEntityId?: string): Observable<RootNodes<NodeData>>;
  abstract getChildren(parentNode: TreeNode<NodeData>, pageSize: number, offset: number): Observable<NodeData[]>;
}
