# Orion Pagination Services

Contains services for handling pagination in your application. Supports cursor and offset pagination type

- PaginationService holds and updates current state of pagination
- QueryParamsPaginationService creates pagination state from query params of current route. On pagination update, it updates state of query params.

## Dependencies
```
"fast-deep-equal/es6": "^3.1.3"
```

## Examples

You can use both `PaginationService` and `QueryParamsPaginationService` with components extending directives from `@csirtmu-orion/microframework/entity-smart-directives`.

To initialize state of the pagination, you can provide init pagination token in your component/module providers.

```
    {
      provide: INIT_PAGINATION_EVENT_BASE_TOKEN,
      useValue: new PaginationBaseInit(20, 'name', 'asc'),
    },
```

Pagination type defaults to **cursor**. If you wish to use offset based pagination instead, provide pagination type token in your component/module providers.

```
    {
      provide: PAGINATION_TYPE_TOKEN,
      useValue: 'offset',
    },
```
