import { QueryOffsetPaginationData } from '@csirtmu-orion/microframework/graphql';
import { IOffsetPagination, IOffsetPaginationEvent, OffsetPagination } from '@sentinel/common/pagination';

export class OffsetPaginationResolver {
  static resolve(queryData: QueryOffsetPaginationData, paginationEvent: IOffsetPaginationEvent): IOffsetPagination {
    const size = paginationEvent.size;
    return new OffsetPagination(
      paginationEvent.page,
      queryData.elementsCount,
      size,
      queryData.totalCount,
      Math.ceil(queryData.totalCount / size)
    );
  }
}
