# Orion Panel Component

Orion Panel Component is component displaying list of key value objects.

## Features

- Displays expandable panel
- Projected template for panel description, and panel content
- Uses controls from `@sentinel/components/controls`
- Loading state

## Usage

To use in your application:

1. In your module, import `OrionPanelModule`
2. In your component's template
```
<orion-panel [controls]=controls>
  <orion-panel-title>
    <mat-icon color="primary">person</mat-icon>
    <span>Users</span>
    <orion-badge>{{ users?.length }}</orion-badge>
  </orion-panel-title>
  <orion-panel-description>Users list</orion-panel-description>
  <ng-template orionPanelContent>
      ...
  </ng-template>
</orion-panel>
```

## Configuration

You can provide global configuration of `OrionPanelComponent` by providing config through Angular DI.

For example:
```
providers: [
  {
    provide: ORION_PANEL_CONFIG,
    useValue: { elevation: 10, isExpanded: true }
  }
],
```

The config can always be overriden by configuring the component directly through `
@Input()` parameters
