import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatExpansionModule } from '@angular/material/expansion';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { SentinelControlsModule } from '@sentinel/components/controls';
import { OrionPanelContentDirective } from './orion-panel-content.directive';
import { OrionPanelDescriptionDirective } from './orion-panel-description.directive';
import { OrionPanelTitleDirective } from './orion-panel-title.directive';
import { OrionPanelComponent } from './orion-panel.component';

@NgModule({
  declarations: [
    OrionPanelComponent,
    OrionPanelTitleDirective,
    OrionPanelDescriptionDirective,
    OrionPanelContentDirective,
  ],
  imports: [CommonModule, MatExpansionModule, SentinelControlsModule, SentinelPipesModule, MatProgressBarModule],
  exports: [OrionPanelComponent, OrionPanelTitleDirective, OrionPanelDescriptionDirective, OrionPanelContentDirective],
})
export class OrionPanelModule {}
