# Orion Sidebar Components

Orion Sidebar Components is a collection of components and directives for displaying elements in sidebar in expanded or collapsed state.

## Dependencies
```
"@sentinel/layout": "^14.0.0"
```

## Usage

To use in your application:

1. In your module, import `OrionSidebarModule`
2. In your component's template
```
<orion-sidebar-content *ngIf="state$ | async as state" [state]="state">
  <orion-sidebar-element [state]="state" (collapsedElementClick)="onSidebarClick()">
    <orion-expanded-element-content>
      <h2>My Entity</h2>
      ...
    </orion-expanded-element-content>
    <orion-collapsed-element-content>
      <orion-base-collapsed-sidebar-element icon="info">My Entity</orion-base-collapsed-sidebar-element>
    </orion-collapsed-element-content>
  </orion-sidebar-element>
</orion-sidebar-content>
```
3. Provide a theme for badge component mixin by adding `@include orion-sidebar-element-theme($your-theme-var);` to your `theme.scss` file. For more info see [material theming](https://material.angular.io/guide/theming).
