import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatDividerModule } from '@angular/material/divider';
import { MatIconModule } from '@angular/material/icon';
import { MatTooltipModule } from '@angular/material/tooltip';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionSidebarContentComponent } from './entity-attributes-sidebar/orion-sidebar-content.component';
import { OrionBaseCollapsedSidebarElementComponent } from './sidebar-collapsed-element/orion-base-collapsed-sidebar-element.component';
import { OrionSidebarElementComponent } from './sidebar-element/orion-sidebar-element.component';
import { CollapsedElementContentDirective } from './sidebar-element/collapsed-element-content.directive';
import { ExpandedElementContentDirective } from './sidebar-element/expanded-element-content.directive';

@NgModule({
  declarations: [
    OrionSidebarContentComponent,
    OrionSidebarElementComponent,
    OrionBaseCollapsedSidebarElementComponent,
    CollapsedElementContentDirective,
    ExpandedElementContentDirective,
  ],
  imports: [CommonModule, MatDividerModule, MatIconModule, MatTooltipModule, SentinelPipesModule],
  exports: [
    OrionSidebarContentComponent,
    OrionSidebarElementComponent,
    OrionBaseCollapsedSidebarElementComponent,
    CollapsedElementContentDirective,
    ExpandedElementContentDirective,
  ],
})
export class OrionSidebarModule {}
