import { Directive, EventEmitter, Input, Output } from '@angular/core';
import { EntityOperationEvent } from '@sentinel/common/entity';
import { OrionSidebarElementDirective } from './orion-sidebar-element.directive';

@Directive()
export abstract class OrionSidebarElementSelectableEntitiesDirective<
  SelectedEntity,
  SearchedEntity = SelectedEntity
> extends OrionSidebarElementDirective {
  @Input() override isEditable = true;
  @Input() selected: SelectedEntity[] = [];
  @Input() searched: SearchedEntity[] = [];
  @Output() save: EventEmitter<EntityOperationEvent<SearchedEntity>> = new EventEmitter<
    EntityOperationEvent<SearchedEntity>
  >();
  @Output() search: EventEmitter<string> = new EventEmitter<string>();

  onSave(saveEvent: EntityOperationEvent<SearchedEntity>): void {
    this.save.emit(saveEvent);
  }

  onSearch(searchText: string): void {
    this.search.emit(searchText);
  }
}
