# Orion Sort Services

Contains services for handling sort in your application. Its suitable for handling sort use cases **without pagination**. For paginated data,
use pagination services from `@csirtmu-orion/microframework/pagination-services` as they also include sorting.

- SortService holds and updates current state of services
- QueryParamSortService creates sort state from query params of current route. On sort update, it updates state of query params.

## Dependencies
```
"fast-deep-equal/es6": "^3.1.3"
```

## Examples

You can use both `SortService` and `QueryParamsSortService` with components extending directives from `@csirtmu-orion/microframework/entity-smart-directives`.

To initialize state of the sort, you can provide init sort token in your component/module providers.

```
    {
      provide: INIT_SORT_TOKEN,
      useValue: { sort: 'name', sortDir: 'asc' },
    },
```
