import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { MatTabsModule } from '@angular/material/tabs';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { OrionTabsComponent } from './tabs/orion-tabs.component';
import { OrionTabLabelComponent } from './tab-label/orion-tab-label.component';
import { TabContentDirective } from './tabs/tab-content.directive';
import { TabLabelDirective } from './tabs/tab-label.directive';
import { OrionTabContentComponent } from './tab-content/orion-tab-content.component';

@NgModule({
  declarations: [
    OrionTabsComponent,
    OrionTabLabelComponent,
    TabContentDirective,
    TabLabelDirective,
    OrionTabContentComponent,
  ],
  imports: [CommonModule, MatTabsModule, MatIconModule, OrionBadgeModule, SentinelPipesModule],
  exports: [
    OrionTabsComponent,
    OrionTabLabelComponent,
    TabContentDirective,
    TabLabelDirective,
    OrionTabContentComponent,
  ],
})
export class OrionTabsModule {}
