import { Inject, Injectable, Optional } from '@angular/core';
import { BehaviorSubject, Observable, of } from 'rxjs';
import { TABS_TOKEN } from './tabs-token';

@Injectable()
export class OrionTabService {
  protected selectedTabSubject$: BehaviorSubject<number> = new BehaviorSubject<number>(0);
  selectedIndex$: Observable<number>;

  constructor(@Optional() @Inject(TABS_TOKEN) public readonly tabs?: string[]) {
    this.selectedIndex$ = this.selectedTabSubject$.asObservable();
  }

  reset(): Observable<boolean> {
    return this.select(0);
  }

  select(nextIndex: number): Observable<boolean> {
    this.selectedTabSubject$.next(nextIndex);
    return of(true);
  }
}
