import { Directive, Input, TemplateRef } from '@angular/core';
import { Optional } from '@sentinel/common/utils';

@Directive({
  // Using element-name selector because it is meant to replace inject special type of content and match to select attr
  // eslint-disable-next-line @angular-eslint/directive-selector
  selector: 'ng-template[orionTabContent], ng-template[orionTabContentTemplate]',
})
export class TabContentDirective {
  private _tabId?: string;
  private _template?: TemplateRef<unknown>;

  @Input()
  set orionTabContent(value: string) {
    this._tabId = value;
  }

  get tabId(): Optional<string> {
    return this._tabId;
  }

  @Input()
  set orionTabContentTemplate(templateRef: TemplateRef<unknown>) {
    this._template = templateRef;
  }

  get template(): Optional<TemplateRef<unknown>> {
    return this._template;
  }
}
