import { ChangeDetectionStrategy, Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { NgStyleArg, trackByIndex } from '@sentinel/common/utils';

@Component({
  selector: 'orion-text-match',
  templateUrl: './orion-text-match.component.html',
  styleUrls: ['./orion-text-match.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionTextMatchComponent implements OnChanges {
  @Input() text?: string;
  @Input() match?: string;
  @Input() unMatchedTextStyles?: NgStyleArg;
  splitOnMatch: string[] = [];
  trackByFn = trackByIndex;

  ngOnChanges(changes: SimpleChanges): void {
    if (('text' in changes && this.text && this.match) || ('match' in changes && this.match && this.text)) {
      const splitRegex = new RegExp(`(${this.match})`, 'gi');
      this.splitOnMatch = this.text.split(splitRegex);
    }
  }
}
