import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { ngfModule } from 'angular-file';
import { OrionUploadFilesComponent } from './orion-upload-files.component';
import { OrionUploadFilesActionsComponent } from './upload-files-actions/orion-upload-files-actions.component';
import { OrionUploadFilesSelectionComponent } from './upload-files-selection/orion-upload-files-selection.component';
import { OrionUploadFilesListComponent } from './upload-files-list/orion-upload-files-list.component';

@NgModule({
  declarations: [
    OrionUploadFilesComponent,
    OrionUploadFilesListComponent,
    OrionUploadFilesActionsComponent,
    OrionUploadFilesSelectionComponent,
  ],
  imports: [CommonModule, OrionCardModule, SentinelPipesModule, ngfModule, MatButtonModule, MatIconModule],
  exports: [
    OrionUploadFilesComponent,
    OrionUploadFilesListComponent,
    OrionUploadFilesActionsComponent,
    OrionUploadFilesSelectionComponent,
  ],
})
export class OrionUploadFilesModule {}
