import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'orion-upload-files-actions',
  templateUrl: './orion-upload-files-actions.component.html',
  styleUrls: ['./orion-upload-files-actions.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionUploadFilesActionsComponent {
  @Input() cancellable = true;
  @Input() uploadDisabled = false;
  @Output() cancel: EventEmitter<void> = new EventEmitter<void>();
  @Output() upload: EventEmitter<void> = new EventEmitter<void>();

  onCancel(): void {
    this.cancel.emit();
  }

  onUpload(): void {
    this.upload.emit();
  }
}
