import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';
import { trackByIndex } from '@sentinel/common/utils';

@Component({
  selector: 'orion-upload-files-list',
  templateUrl: './orion-upload-files-list.component.html',
  styleUrls: ['./orion-upload-files-list.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionUploadFilesListComponent {
  @Input() files?: File[] = [];
  @Input() deleteDisabled? = false;
  @Output() removeByIndex: EventEmitter<number> = new EventEmitter<number>();

  trackByFn = trackByIndex;

  removeFile(index: number): void {
    this.removeByIndex.emit(index);
  }
}
