import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'orion-upload-files-selection',
  templateUrl: './orion-upload-files-selection.component.html',
  styleUrls: ['./orion-upload-files-selection.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrionUploadFilesSelectionComponent {
  @Input() multiple = true;
  @Input() disabled = false;
  @Output() fileSelected: EventEmitter<File[]> = new EventEmitter<File[]>();
  files: File[] = [];

  onFilesSelected(files: File[]): void {
    this.fileSelected.emit(files);
    // needs to be reset to prevent duplicities due to ngFile library using two-way binding
    this.files = [];
  }
}
