import * as Apollo from 'apollo-angular';
import { DmtQueryOrder, QueryFilter } from '@csirtmu-orion/microframework/graphql';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import { Optional } from '@sentinel/common/utils';
import { SortEvent } from '@csirtmu-orion/microframework/sort-services';
import { ApolloQueryServiceOptions } from '../general/apollo-query.service';
import { ApolloEntitiesBaseService } from '../general/apollo-entities-base.service';
export declare abstract class ApolloFilterableOrderableBaseService<Query, QueryVariables, Fragment, OrderableBy, ClientFilter, ApiFilter> extends ApolloEntitiesBaseService<Query, QueryVariables, Fragment> {
    getQuery: Apollo.Query<Query, QueryVariables>;
    abstract filterConverter: FilterConverter<Partial<ClientFilter>, ApiFilter[]>;
    protected constructor(getQuery: Apollo.Query<Query, QueryVariables>, operationName: string, options?: ApolloQueryServiceOptions);
    protected abstract strToOrderable(sort: string): Optional<OrderableBy>;
    protected abstract createFilterConverter(): FilterConverter<ClientFilter, ApiFilter[]>;
    protected abstract createVariables(clientFilter: ClientFilter, order: SortEvent, ...args: unknown[]): QueryVariables;
    update(clientFilter: ClientFilter, sort: SortEvent, ...args: unknown[]): void;
    protected updateVariables(clientFilter: ClientFilter, sort: SortEvent, ...args: unknown[]): void;
    protected createFilterVariables(clientFilter: ClientFilter): QueryFilter<ApiFilter>;
    protected createOrderVariables(sortEvent: SortEvent): DmtQueryOrder<OrderableBy>;
}
