import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import * as Apollo from 'apollo-angular';
import { QuerySingleFilter } from '@csirtmu-orion/microframework/graphql';
import { ApolloQueryServiceOptions } from '../general/apollo-query.service';
import { ApolloEntitiesBaseService } from '../general/apollo-entities-base.service';
export declare abstract class ApolloFilterableService<Query, QueryVariables, Entity, ClientFilter, ApiFilter> extends ApolloEntitiesBaseService<Query, QueryVariables, Entity> {
    getQuery: Apollo.Query<Query, QueryVariables>;
    filterConverter: FilterConverter<Partial<ClientFilter>, ApiFilter>;
    protected constructor(getQuery: Apollo.Query<Query, QueryVariables>, operationName: string, options?: ApolloQueryServiceOptions);
    protected abstract createFilterConverter(): FilterConverter<ClientFilter, ApiFilter>;
    protected abstract createVariables(clientFilter: ClientFilter, ...args: unknown[]): QueryVariables;
    update(clientFilter: ClientFilter, ...args: unknown[]): void;
    protected updateVariables(clientFilter: ClientFilter, ...args: unknown[]): void;
    protected createFilterVariables(clientFilter: ClientFilter): QuerySingleFilter<ApiFilter>;
}
