import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { ApolloQueryResult } from '@apollo/client/core';
import { Optional } from '@sentinel/common/utils';
import * as Apollo from 'apollo-angular';
import { Observable } from 'rxjs';
export declare abstract class ApolloBaseResolver<Fragment, Query, QueryVariables> implements Resolve<Fragment> {
    getQuery: Apollo.Query<Query, QueryVariables>;
    protected constructor(getQuery: Apollo.Query<Query, QueryVariables>);
    protected abstract toFragment(query: Query): Optional<Fragment>;
    protected abstract getIdParamSelector(): string;
    protected abstract createVariables(id: string, ...args: unknown[]): QueryVariables;
    resolve(route: ActivatedRouteSnapshot): Observable<Fragment> | Promise<Fragment> | Fragment;
    protected getEntity(id: string, ...args: unknown[]): Observable<Fragment>;
    protected handleQueryResult(result: ApolloQueryResult<Query>): Observable<Fragment>;
}
