import { ApolloQueryResult } from '@apollo/client/core';
import { Optional } from '@sentinel/common/utils';
import * as Apollo from 'apollo-angular';
import { ApolloQueryService, ApolloQueryServiceOptions } from './apollo-query.service';
export declare abstract class ApolloEntityBaseService<Query, QueryVariables, Fragment> extends ApolloQueryService<Query, QueryVariables, Optional<Fragment>> {
    getQuery: Apollo.Query<Query, QueryVariables>;
    protected constructor(getQuery: Apollo.Query<Query, QueryVariables>, operationName: string, options?: ApolloQueryServiceOptions);
    protected abstract toFragment(query: Query): Optional<Fragment>;
    protected abstract createVariables(entityId: string, ...args: unknown[]): QueryVariables;
    protected updateVariables(entityId: string, ...args: unknown[]): void;
    protected toData(queryRes: ApolloQueryResult<Query>): Optional<Fragment>;
    updateVars(id: string | number, ...args: unknown[]): void;
    protected resolveId(id: string | number): string;
}
