import * as Apollo from 'apollo-angular';
import { Observable } from 'rxjs';
import { EntityPatchService } from './entity-patch.service';
import { ApolloResult, EntityUpdateEvent } from '@csirtmu-orion/microframework/graphql';
export declare abstract class ApolloEntityPatchService<EntityPatch, Mutation, MutationVariables> implements EntityPatchService<EntityPatch> {
    protected patchMutation: Apollo.Mutation<Mutation, MutationVariables>;
    protected abstract refetchQueriesNames: string[];
    protected constructor(patchMutation: Apollo.Mutation<Mutation, MutationVariables>);
    patch(event: EntityUpdateEvent<EntityPatch>): Observable<ApolloResult>;
    abstract createVariables(event: EntityUpdateEvent<EntityPatch>): MutationVariables;
}
