import { ApolloQueryResult } from '@apollo/client/core';
import * as Apollo from 'apollo-angular';
import { ApolloQueryService, ApolloQueryServiceOptions } from './apollo-query.service';
import { IPaginatedElements, IPagination, IPaginationEvent } from '@sentinel/common/pagination';
import { DmtQueryOrder, PaginatedData, PaginationQuery } from '@csirtmu-orion/microframework/graphql';
import { Optional } from '@sentinel/common/utils';
export declare abstract class ApolloPaginatedBaseService<Query, QueryVariables, Fragment, OrderableBy> extends ApolloQueryService<Query, QueryVariables, IPaginatedElements<Fragment>> {
    getQuery: Apollo.Query<Query, QueryVariables>;
    protected lastPaginationEvent: IPaginationEvent;
    protected constructor(getQuery: Apollo.Query<Query, QueryVariables>, operationName: string, options?: ApolloQueryServiceOptions);
    protected abstract strToOrderable(sort: string): Optional<OrderableBy>;
    protected abstract createInitialPaginationEvent(): IPaginationEvent;
    protected abstract queryToPaginationData(query: Query): PaginatedData;
    protected abstract toFragments(query: Query): Fragment[];
    protected abstract createVariables(paginationEvent: IPaginationEvent, ...args: unknown[]): QueryVariables;
    protected abstract createPaginationVariables(paginationEvent: IPaginationEvent): PaginationQuery;
    protected abstract createOrderVariables(sort: string, dir: string): DmtQueryOrder<OrderableBy>;
    protected abstract createPaginationFromQueryResult(result: ApolloQueryResult<Query>): IPagination;
    protected updateVariables(paginationEvent: IPaginationEvent, ...args: unknown[]): void;
    update(paginationEvent: IPaginationEvent, ...args: unknown[]): void;
    protected toData(result: ApolloQueryResult<Query>): IPaginatedElements<Fragment>;
}
