import { QueryFilter } from '@csirtmu-orion/microframework/graphql';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import * as Apollo from 'apollo-angular';
import { IPaginationEvent } from '@sentinel/common/pagination';
import { ApolloPaginatedDmtService } from '../paginable/apollo-paginated-dmt.service';
import { ApolloQueryServiceOptions } from './apollo-query.service';
export declare abstract class ApolloPaginatedFilterableBaseService<Query, QueryVariables, Fragment, OrderableBy, ClientFilter, ApiFilter> extends ApolloPaginatedDmtService<Query, QueryVariables, Fragment, OrderableBy> {
    getQuery: Apollo.Query<Query, QueryVariables>;
    abstract filterConverter: FilterConverter<Partial<ClientFilter>, ApiFilter[]>;
    protected constructor(getQuery: Apollo.Query<Query, QueryVariables>, operationName: string, options?: ApolloQueryServiceOptions);
    protected abstract createFilterConverter(): FilterConverter<ClientFilter, ApiFilter[]>;
    protected abstract createVariables(paginationEvent: IPaginationEvent, clientFilter: ClientFilter, ...args: unknown[]): QueryVariables;
    update(paginationEvent: IPaginationEvent, clientFilter: ClientFilter, ...args: unknown[]): void;
    protected updateVariables(paginationEvent: IPaginationEvent, clientFilter: ClientFilter, ...args: unknown[]): void;
    protected createFilterVariables(clientFilter: ClientFilter): QueryFilter<ApiFilter>;
}
