import { ApolloQueryResult } from '@apollo/client/core';
import * as Apollo from 'apollo-angular';
import { CursorPaginationQuery, CursorPaginatedResponse, DmtQueryOrder, QueryCursorPaginationData } from '@csirtmu-orion/microframework/graphql';
import { IPagination, IPaginationEvent } from '@sentinel/common/pagination';
import { ApolloPaginatedBaseService } from '../general/apollo-paginated-base.service';
import { ApolloQueryServiceOptions } from '../general/apollo-query.service';
export declare abstract class ApolloPaginatedDmtService<Query, QueryVariables, Fragment, OrderableBy> extends ApolloPaginatedBaseService<Query, QueryVariables, Fragment, OrderableBy> {
    getQuery: Apollo.Query<Query, QueryVariables>;
    protected constructor(getQuery: Apollo.Query<Query, QueryVariables>, operationName: string, options?: ApolloQueryServiceOptions);
    protected abstract getQueryResponse(query: Query): CursorPaginatedResponse<Fragment>;
    protected queryToPaginationData(query: Query): QueryCursorPaginationData;
    protected toFragments(query: Query): Fragment[];
    protected createInitialPaginationEvent(): IPaginationEvent;
    protected createPaginationVariables(paginationEvent: IPaginationEvent): CursorPaginationQuery;
    protected createOrderVariables(sort?: string, dir?: string): DmtQueryOrder<OrderableBy>;
    protected createPaginationFromQueryResult(result: ApolloQueryResult<Query>): IPagination;
}
