import { Observable, Subject } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { ContextService } from '../config/context.service';
import { BugReportIssueInstance } from '../model/bug-report-issue-instance';
import { SentinelBugReportEventsService } from './sentinel-bug-report-event.service';
import * as i0 from "@angular/core";
export declare class BackendApiService {
    private eventReportService;
    private context;
    private http;
    protected ngUnsubscribe: Subject<void>;
    private httpHeaders;
    constructor(eventReportService: SentinelBugReportEventsService, context: ContextService, http: HttpClient);
    /**
     * Sends post request to the local backend which should create new issue
     * @param issueData represents class that contains data needed for creating issue
     */
    createIssue(issueData: BugReportIssueInstance): Observable<any>;
    /**
     * Sends screenshot to the backend and returns its link for further usage in issue completion
     * @param fileBlob screenshot in Blob format
     * @param file screenshot created/uploaded by user
     */
    uploadScreenshot(fileBlob: Blob, file?: File | HTMLCanvasElement): Observable<string>;
    cancelUpload(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BackendApiService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BackendApiService>;
}
