import { UploadedFile } from '../model/uploaded-file';
import { Observable } from 'rxjs';
import { BugReportCreateDateAndBlob } from '../dialogs/bug-report-dialog/bug-report-create-date-and-blob';
import { GitlabApiService } from './gitlab-api.service';
import { FileUpload } from '../model/file-upload';
import { ContextService } from '../config/context.service';
import { BackendApiService } from './backend-api.service';
import { BugReportIssueInstance } from '../model/bug-report-issue-instance';
import * as i0 from "@angular/core";
export declare class FileHandleService {
    private gitlabApiService;
    private backendApiService;
    private configService;
    private bugReportCreateDateAndBlob;
    uploadedFiles: UploadedFile[];
    isLoading: boolean;
    private screenshotConversionSubject;
    screenshotConversion$: Observable<Blob>;
    private filesSubject;
    files$: Observable<FileUpload>;
    constructor(gitlabApiService: GitlabApiService, backendApiService: BackendApiService, configService: ContextService, bugReportCreateDateAndBlob: BugReportCreateDateAndBlob);
    uploadFile(file: File | HTMLCanvasElement): Observable<string>;
    deleteFile(index: number): void;
    submitIssue(issueData: BugReportIssueInstance): Observable<any>;
    cancelUpload(): void;
    private fileToBlob;
    private screenshotToBlob;
    /**
     * Upload screenshot to gitlab
     * @param file uploaded file
     * @param screenshot provided by user/created automatically
     */
    private uploadScreenshot;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileHandleService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FileHandleService>;
}
