import { Observable } from 'rxjs';
import { BugReportIssueError } from '../model/bug-report-issue-error';
import { BugReportIssueErrorSource } from '../model/bug-report-issue-error-source';
import { BugReport } from '../model/bug-report';
import { ContextService } from '../config/context.service';
import { BugReportScreenshotUpload } from '../model/bug-report-screenshot-upload';
import * as i0 from "@angular/core";
export declare class SentinelBugReportEventsService {
    private configs;
    private bugIsReported;
    bugReported$: Observable<BugReport>;
    private screenshotUploadedSubject;
    screenshotUploaded$: Observable<BugReportScreenshotUpload>;
    private uploadErrorSubject;
    uploadError$: Observable<BugReportIssueError>;
    constructor(configs: ContextService);
    eventSuccess(): void;
    screenshotUploaded(file: File | HTMLCanvasElement): void;
    eventError(errorSource: BugReportIssueErrorSource, err: any, file?: File | HTMLCanvasElement): void;
    private extractUrl;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelBugReportEventsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SentinelBugReportEventsService>;
}
