import { EventEmitter } from '@angular/core';
import { Agenda, AgendaContainer } from '@sentinel/layout';
import * as i0 from "@angular/core";
/**
 * Presentational nav component displaying agendas in its containers
 */
export declare class NavComponent {
    readonly MAX_NAV_ELEMENT_LENGTH = 18;
    /**
     * Source of the logo
     */
    logoSrc?: string;
    /**
     * Application version
     */
    version?: string;
    /**
     * Containers of agendas to display in nav
     */
    agendaContainers: AgendaContainer[];
    /**
     * Emits event when agenda is selected
     */
    agendaSelected: EventEmitter<Agenda>;
    /**
     * Emits event when agenda is selected
     * @param agenda selected agenda
     */
    onAgendaSelected(agenda: Agenda): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavComponent, "sentinel-nav", never, { "logoSrc": "logoSrc"; "version": "version"; "agendaContainers": "agendaContainers"; }, { "agendaSelected": "agendaSelected"; }, never, never, false>;
}
