import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { SentinelUser } from '@sentinel/layout';
import * as i0 from "@angular/core";
/**
 * User menu component
 */
export declare class UserMenuComponent implements OnChanges {
    /**
     * User to be displayed in user card
     */
    user: SentinelUser;
    /**
     * Optional route to user profile component
     */
    userProfileRoute?: string;
    /**
     * Emits event when login is requested
     */
    login: EventEmitter<void>;
    /**
     * Emits event when logout is requested
     */
    logout: EventEmitter<void>;
    iconSrc: string;
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * Emits event when login is requested
     */
    onLogin(): void;
    /**
     * Emits event when logout is requested
     */
    onLogout(): void;
    private resolveIconSrc;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserMenuComponent, "sentinel-user-menu", never, { "user": "user"; "userProfileRoute": "userProfileRoute"; }, { "login": "login"; "logout": "logout"; }, never, never, false>;
}
