import { OnInit } from '@angular/core';
import { SentinelAuthContext, SentinelAuthService, SentinelAuthProviderConfig } from '@sentinel/auth';
import * as i0 from "@angular/core";
/**
 * Component displaying all available providers. User can select OIDC providers to log in with
 */
export declare class SentinelAuthProviderListComponent implements OnInit {
    private configService;
    private authService;
    providers: SentinelAuthProviderConfig[];
    constructor(configService: SentinelAuthContext, authService: SentinelAuthService);
    ngOnInit(): void;
    /**
     * Selects provider, configures authentication service with selected provider and tries to login
     * @param provider selected OIDC provider
     */
    select(provider: SentinelAuthProviderConfig): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelAuthProviderListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SentinelAuthProviderListComponent, "sentinel-auth-provider-list", never, {}, {}, never, never, false>;
}
