import { SentinelControlsButtonStyle } from './sentinel-controls-button-style';
import { InjectionToken } from '@angular/core';
import { SentinelControlAlignment } from './sentinel-control-alignment';
/**
 * You can provide global config for sentinel controls component through this injection token
 * @usage
        providers: [
       { provide: SENTINEL_CONTROLS_CONFIG, useValue: { buttonStyle: 'stroked', maxItemsCount: 1, align: 'left' }}
     ],
 */
export declare const SENTINEL_CONTROLS_CONFIG: InjectionToken<SentinelControlsConfig>;
/**
 * Global config for all sentinel controls components. Local config (set trough input parameters of a components) always overrides this
 */
export interface SentinelControlsConfig {
    buttonStyle?: SentinelControlsButtonStyle;
    maxItemsCount?: number;
    align?: SentinelControlAlignment;
    withMargin?: boolean;
    titlecased?: boolean;
}
