import { InjectionToken } from '@angular/core';
/**
 * You can provide global config for sentinel panel component through this injection token
 * @usage
 providers: [
 { provide: ORION_FILTER_PANEL_CONFIG, useValue: { withSubmitButton: false }}
 ],
 */
export declare const ORION_FILTER_PANEL_CONFIG: InjectionToken<OrionFilterPanelConfig>;
/**
 * Global config for all sentinel filter panel components. Local config (set trough input parameters of a components) always overrides this
 */
export interface OrionFilterPanelConfig {
    withSubmitButton?: boolean;
}
