import { InjectionToken } from '@angular/core';
/**
 * You can provide global config for sentinel panel component through this injection token
 * @usage
 providers: [
 { provide: ORION_PANEL_CONFIG, useValue: { elevation: 1, isExpanded: false }}
 ],
 */
export declare const ORION_PANEL_CONFIG: InjectionToken<OrionPanelConfig>;
/**
 * Global config for all sentinel panel components. Local config (set trough input parameters of a components) always overrides this
 */
export interface OrionPanelConfig {
    elevation?: number;
    isExpanded?: boolean;
}
