import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { SentinelControlItem } from './model/sentinel-control-item';
import { trackById } from '@sentinel/common/utils';
import { SentinelControlsButtonStyle, SentinelControlsConfig, SentinelControlAlignment } from '@sentinel/components/config';
import * as i0 from "@angular/core";
export declare class SentinelControlsComponent implements OnChanges {
    private readonly config?;
    controls?: SentinelControlItem[];
    buttonStyle?: SentinelControlsButtonStyle;
    maxItemsCount?: number;
    align?: SentinelControlAlignment;
    withMargin?: boolean;
    titlecased: boolean;
    itemClicked: EventEmitter<SentinelControlItem>;
    trackByFn: typeof trackById;
    displayedControls: SentinelControlItem[];
    hiddenControls: SentinelControlItem[];
    constructor(config?: SentinelControlsConfig | null);
    private initFromConfig;
    ngOnChanges(changes: SimpleChanges): void;
    onAction(control: SentinelControlItem): void;
    isExpandable(control: SentinelControlItem): boolean;
    private setControls;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelControlsComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SentinelControlsComponent, "sentinel-controls", never, { "controls": "controls"; "buttonStyle": "buttonStyle"; "maxItemsCount": "maxItemsCount"; "align": "align"; "withMargin": "withMargin"; "titlecased": "titlecased"; }, { "itemClicked": "itemClicked"; }, never, never, false>;
}
