import { OnInit } from '@angular/core';
import { FilterChipsService, FilterService } from '@csirtmu-orion/microframework/filter-services';
import { FilterChip } from '@csirtmu-orion/microframework/filter';
import { Observable } from 'rxjs';
import { EntitySmartOverviewDirective } from './entity-smart-overview.directive';
import { ApolloFilterableOrderableService } from '@csirtmu-orion/microframework/apollo-services';
import { SortEvent, SortService } from '@csirtmu-orion/microframework/sort-services';
import * as i0 from "@angular/core";
export declare class EntityFilterableOrderableSmartOverviewDirective<Entity, Filter> extends EntitySmartOverviewDirective<Entity[]> implements OnInit {
    protected entityService: ApolloFilterableOrderableService<any, any, Entity, any, Filter, any>;
    protected filterService: FilterService<Filter>;
    protected sortService: SortService;
    protected chipsService?: FilterChipsService<Filter> | undefined;
    sort$?: Observable<SortEvent>;
    filterLocalState$?: Observable<Filter>;
    filterChips$?: Observable<FilterChip[]>;
    protected constructor(entityService: ApolloFilterableOrderableService<any, any, Entity, any, Filter, any>, filterService: FilterService<Filter>, sortService: SortService, chipsService?: FilterChipsService<Filter> | undefined);
    ngOnInit(): void;
    onFilterChange(filter: Filter): void;
    onSortEvent(sort: SortEvent): void;
    onSortChange(sort: SortEvent): void;
    onRemoveChip(chip: FilterChip): void;
    onClearFilters(): void;
    onSubmitFilter(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EntityFilterableOrderableSmartOverviewDirective<any, any>, [null, null, null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EntityFilterableOrderableSmartOverviewDirective<any, any>, never, never, {}, {}, never, never, false>;
}
