import { OnInit } from '@angular/core';
import { FilterChipsService, FilterService } from '@csirtmu-orion/microframework/filter-services';
import { ApolloFilterableService } from '@csirtmu-orion/microframework/apollo-services';
import { Observable } from 'rxjs';
import { EntitySmartOverviewDirective } from './entity-smart-overview.directive';
import { FilterChip } from '@csirtmu-orion/microframework/filter';
import * as i0 from "@angular/core";
export declare abstract class EntityFilterableSmartOverviewDirective<Entity, Filter> extends EntitySmartOverviewDirective<Entity[]> implements OnInit {
    protected entityService: ApolloFilterableService<any, any, Entity, Filter, any>;
    protected filterService: FilterService<Filter>;
    protected chipsService?: FilterChipsService<Filter> | undefined;
    filterLocalState$?: Observable<Filter>;
    filterChips$?: Observable<FilterChip[]>;
    protected constructor(entityService: ApolloFilterableService<any, any, Entity, Filter, any>, filterService: FilterService<Filter>, chipsService?: FilterChipsService<Filter> | undefined);
    ngOnInit(): void;
    onFilterChange(filter: Filter): void;
    onRemoveChip(chip: FilterChip): void;
    onClearFilters(): void;
    onSubmitFilter(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EntityFilterableSmartOverviewDirective<any, any>, [null, null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EntityFilterableSmartOverviewDirective<any, any>, never, never, {}, {}, never, never, false>;
}
