import { OnInit } from '@angular/core';
import { ApolloPaginatedFilterableBaseService } from '@csirtmu-orion/microframework/apollo-services';
import { PaginationService } from '@csirtmu-orion/microframework/pagination-services';
import { IPaginationEvent } from '@sentinel/common/pagination';
import { Observable } from 'rxjs';
import { EntityPaginableSmartOverviewDirective } from './entity-paginable-smart-overview.directive';
import { FilterChip } from '@csirtmu-orion/microframework/filter';
import { FilterChipsService, FilterService } from '@csirtmu-orion/microframework/filter-services';
import * as i0 from "@angular/core";
export declare abstract class EntityPaginableFilterableSmartOverviewDirective<Entity, Filter> extends EntityPaginableSmartOverviewDirective<Entity> implements OnInit {
    protected entityService: ApolloPaginatedFilterableBaseService<any, any, Entity, any, Filter, any>;
    protected filterService: FilterService<Filter>;
    protected paginationService: PaginationService;
    protected chipsService?: FilterChipsService<Filter> | undefined;
    filterChangedByUser: boolean;
    filterLocalState$?: Observable<Filter>;
    filterChips$?: Observable<FilterChip[]>;
    protected constructor(entityService: ApolloPaginatedFilterableBaseService<any, any, Entity, any, Filter, any>, filterService: FilterService<Filter>, paginationService: PaginationService, chipsService?: FilterChipsService<Filter> | undefined);
    ngOnInit(): void;
    onFilterChange(filter: Filter): void;
    onRemoveChip(chip: FilterChip): void;
    onClearFilters(): void;
    onSubmitFilter(): void;
    onPaginationChange(pagination: IPaginationEvent): void;
    protected resetPaginationOnUserFilterChange(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EntityPaginableFilterableSmartOverviewDirective<any, any>, [null, null, null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EntityPaginableFilterableSmartOverviewDirective<any, any>, never, never, {}, {}, never, never, false>;
}
