import { OnInit } from '@angular/core';
import { ApolloPaginatedBaseService } from '@csirtmu-orion/microframework/apollo-services';
import { PaginationService } from '@csirtmu-orion/microframework/pagination-services';
import { Optional } from '@sentinel/common/utils';
import { Observable } from 'rxjs';
import { EntitySmartOverviewDirective } from './entity-smart-overview.directive';
import { IPaginatedElements, IPaginationEvent } from '@sentinel/common/pagination';
import * as i0 from "@angular/core";
export declare abstract class EntityPaginableSmartOverviewDirective<Entity> extends EntitySmartOverviewDirective<IPaginatedElements<Entity>> implements OnInit {
    protected entityService: ApolloPaginatedBaseService<any, any, Entity, any>;
    protected paginationService: PaginationService;
    sort$?: Observable<Optional<string>>;
    sortDir$?: Observable<'desc' | 'asc'>;
    protected constructor(entityService: ApolloPaginatedBaseService<any, any, Entity, any>, paginationService: PaginationService);
    ngOnInit(): void;
    onPageEvent(pagination: IPaginationEvent): void;
    protected onPaginationChange(pagination: IPaginationEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EntityPaginableSmartOverviewDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EntityPaginableSmartOverviewDirective<any>, never, never, {}, {}, never, never, false>;
}
