import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { SortEvent, trackByIdTableRow } from '@sentinel/components/table';
import * as i0 from "@angular/core";
export declare abstract class EntityTableBaseDirective<InputData, TableData> implements OnChanges {
    entities?: InputData;
    initLoading: boolean;
    isLoading: boolean;
    hasError: boolean;
    sortAttr?: string;
    sortDir?: 'asc' | 'desc';
    selectable: boolean;
    tryAgain: EventEmitter<void>;
    sortChange: EventEmitter<SortEvent>;
    onTryAgain$: import("rxjs").Observable<never>;
    trackByFn: typeof trackByIdTableRow;
    tableData?: TableData;
    protected abstract createTable(entities: InputData): TableData;
    ngOnChanges(changes: SimpleChanges): void;
    onSortChange(sort?: SortEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EntityTableBaseDirective<any, any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EntityTableBaseDirective<any, any>, never, never, { "entities": "entities"; "initLoading": "initLoading"; "isLoading": "isLoading"; "hasError": "hasError"; "sortAttr": "sortAttr"; "sortDir": "sortDir"; "selectable": "selectable"; }, { "tryAgain": "tryAgain"; "sortChange": "sortChange"; }, never, never, false>;
}
