export declare type EntityOperationEvent<T> = EntitySetEvent<T> | EntityAdditionEvent<T> | EntityRemovalEvent<T>;
export interface EntitySetEvent<T> {
    set: T[];
}
export interface EntityAdditionEvent<T> {
    add: T[];
}
export interface EntityRemovalEvent<T> {
    remove: T[];
}
export declare function isSetEvent(event: EntityOperationEvent<unknown>): event is EntitySetEvent<unknown>;
export declare function isAdditionEvent(event: EntityOperationEvent<unknown>): event is EntityAdditionEvent<unknown>;
export declare function isRemovalEvent(event: EntityOperationEvent<unknown>): event is EntityRemovalEvent<unknown>;
