import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Directive, Component, ChangeDetectionStrategy, Optional, Inject, Input, NgModule } from '@angular/core';
import * as i2 from '@angular/material/card';
import { MatCardModule } from '@angular/material/card';
import * as i3 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i4 from '@sentinel/components/controls';
import { SentinelControlsModule } from '@sentinel/components/controls';
import * as i5 from '@sentinel/components/loading';
import { SentinelLoadingModule } from '@sentinel/components/loading';
import { take } from 'rxjs/operators';
import { ORION_CARD_CONFIG } from '@csirtmu-orion/microframework/config';

class OrionCardActionsDirective {
}
OrionCardActionsDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionCardActionsDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
OrionCardActionsDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.12", type: OrionCardActionsDirective, selector: "orion-card-actions", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionCardActionsDirective, decorators: [{
            type: Directive,
            args: [{
                    // Using element-name selector because it is meant to replace inject special type of content and match to select attr
                    // eslint-disable-next-line @angular-eslint/directive-selector
                    selector: 'orion-card-actions',
                }]
        }] });

class OrionCardComponent {
    constructor(config) {
        this.config = config;
        this.classes = [];
        this.elevationClassPrefix = 'mat-elevation-z';
        if ((config === null || config === void 0 ? void 0 : config.noMargin) === undefined) {
            this.noMargin = false;
        }
        else {
            this.noMargin = config.noMargin;
        }
        if ((config === null || config === void 0 ? void 0 : config.elevation) === undefined) {
            this.elevation = 8;
        }
        else {
            this.elevation = config.elevation;
        }
        this.createClasses();
    }
    onControlsItem(controlItem) {
        var _a;
        (_a = controlItem.result$) === null || _a === void 0 ? void 0 : _a.pipe(take(1)).subscribe();
    }
    ngOnChanges(changes) {
        if ('elevation' in changes) {
            this.createClasses();
        }
        if ('noMargin' in changes) {
            this.createClasses();
        }
    }
    createClasses() {
        this.classes = [`${this.elevationClassPrefix}${this.elevation}`];
        if (this.noMargin) {
            this.classes.push('no-margin');
        }
    }
}
OrionCardComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionCardComponent, deps: [{ token: ORION_CARD_CONFIG, optional: true }], target: i0.ɵɵFactoryTarget.Component });
OrionCardComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionCardComponent, selector: "orion-card", inputs: { isLoading: "isLoading", titleIcon: "titleIcon", noMargin: "noMargin", elevation: "elevation", cardTitle: "cardTitle", subtitle: "subtitle", headerImgSrc: "headerImgSrc", headerImgAlt: "headerImgAlt", controls: "controls" }, usesOnChanges: true, ngImport: i0, template: "<sentinel-loading-wrapper [isLoading]=\"isLoading || false\">\n  <mat-card [ngClass]=\"classes\">\n    <mat-card-header>\n      <mat-card-title>\n        <div class=\"card-title\">\n          <mat-icon *ngIf=\"titleIcon\" color=\"primary\">{{ titleIcon }}</mat-icon>\n          <span>{{ cardTitle }}</span>\n        </div>\n      </mat-card-title>\n      <mat-card-subtitle *ngIf=\"subtitle\">{{ subtitle }}</mat-card-subtitle>\n    </mat-card-header>\n    <img *ngIf=\"headerImgSrc\" mat-card-image [src]=\"headerImgSrc\" [alt]=\"headerImgAlt\" />\n    <mat-card-content>\n      <ng-content></ng-content>\n    </mat-card-content>\n    <mat-card-actions>\n      <sentinel-controls\n        *ngIf=\"controls && controls.length > 0; else projectedActionsTemplate\"\n        [maxItemsCount]=\"4\"\n        [controls]=\"controls\"\n        [withMargin]=\"true\"\n        (itemClicked)=\"onControlsItem($event)\"\n      ></sentinel-controls>\n    </mat-card-actions>\n  </mat-card>\n</sentinel-loading-wrapper>\n\n<ng-template #projectedActionsTemplate>\n  <div class=\"card-actions\">\n    <ng-content select=\"orion-card-actions\"></ng-content>\n  </div>\n</ng-template>\n", styles: [".card-actions{display:flex;justify-content:flex-end}.card-title{display:flex;align-items:center}.card-title mat-icon{margin-right:10px;margin-bottom:3px}.no-margin{margin:0}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i2.MatCard, selector: "mat-card", exportAs: ["matCard"] }, { kind: "component", type: i2.MatCardHeader, selector: "mat-card-header" }, { kind: "directive", type: i2.MatCardContent, selector: "mat-card-content, [mat-card-content], [matCardContent]" }, { kind: "directive", type: i2.MatCardTitle, selector: "mat-card-title, [mat-card-title], [matCardTitle]" }, { kind: "directive", type: i2.MatCardSubtitle, selector: "mat-card-subtitle, [mat-card-subtitle], [matCardSubtitle]" }, { kind: "directive", type: i2.MatCardActions, selector: "mat-card-actions", inputs: ["align"], exportAs: ["matCardActions"] }, { kind: "directive", type: i2.MatCardImage, selector: "[mat-card-image], [matCardImage]" }, { kind: "component", type: i3.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i4.SentinelControlsComponent, selector: "sentinel-controls", inputs: ["controls", "buttonStyle", "maxItemsCount", "align", "withMargin", "titlecased"], outputs: ["itemClicked"] }, { kind: "component", type: i5.SentinelLoadingWrapperComponent, selector: "sentinel-loading-wrapper", inputs: ["isLoading", "color"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionCardComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-card', changeDetection: ChangeDetectionStrategy.OnPush, template: "<sentinel-loading-wrapper [isLoading]=\"isLoading || false\">\n  <mat-card [ngClass]=\"classes\">\n    <mat-card-header>\n      <mat-card-title>\n        <div class=\"card-title\">\n          <mat-icon *ngIf=\"titleIcon\" color=\"primary\">{{ titleIcon }}</mat-icon>\n          <span>{{ cardTitle }}</span>\n        </div>\n      </mat-card-title>\n      <mat-card-subtitle *ngIf=\"subtitle\">{{ subtitle }}</mat-card-subtitle>\n    </mat-card-header>\n    <img *ngIf=\"headerImgSrc\" mat-card-image [src]=\"headerImgSrc\" [alt]=\"headerImgAlt\" />\n    <mat-card-content>\n      <ng-content></ng-content>\n    </mat-card-content>\n    <mat-card-actions>\n      <sentinel-controls\n        *ngIf=\"controls && controls.length > 0; else projectedActionsTemplate\"\n        [maxItemsCount]=\"4\"\n        [controls]=\"controls\"\n        [withMargin]=\"true\"\n        (itemClicked)=\"onControlsItem($event)\"\n      ></sentinel-controls>\n    </mat-card-actions>\n  </mat-card>\n</sentinel-loading-wrapper>\n\n<ng-template #projectedActionsTemplate>\n  <div class=\"card-actions\">\n    <ng-content select=\"orion-card-actions\"></ng-content>\n  </div>\n</ng-template>\n", styles: [".card-actions{display:flex;justify-content:flex-end}.card-title{display:flex;align-items:center}.card-title mat-icon{margin-right:10px;margin-bottom:3px}.no-margin{margin:0}\n"] }]
        }], ctorParameters: function () {
        return [{ type: undefined, decorators: [{
                        type: Optional
                    }, {
                        type: Inject,
                        args: [ORION_CARD_CONFIG]
                    }] }];
    }, propDecorators: { isLoading: [{
                type: Input
            }], titleIcon: [{
                type: Input
            }], noMargin: [{
                type: Input
            }], elevation: [{
                type: Input
            }], cardTitle: [{
                type: Input
            }], subtitle: [{
                type: Input
            }], headerImgSrc: [{
                type: Input
            }], headerImgAlt: [{
                type: Input
            }], controls: [{
                type: Input
            }] } });

class OrionCardModule {
}
OrionCardModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionCardModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrionCardModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: OrionCardModule, declarations: [OrionCardComponent, OrionCardActionsDirective], imports: [CommonModule, MatCardModule, MatIconModule, SentinelControlsModule, SentinelLoadingModule], exports: [OrionCardComponent, OrionCardActionsDirective] });
OrionCardModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionCardModule, imports: [CommonModule, MatCardModule, MatIconModule, SentinelControlsModule, SentinelLoadingModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionCardModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [OrionCardComponent, OrionCardActionsDirective],
                    imports: [CommonModule, MatCardModule, MatIconModule, SentinelControlsModule, SentinelLoadingModule],
                    exports: [OrionCardComponent, OrionCardActionsDirective],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { OrionCardActionsDirective, OrionCardComponent, OrionCardModule };
//# sourceMappingURL=csirtmu-orion-microframework-card.mjs.map
