import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { EventEmitter, Component, ChangeDetectionStrategy, Input, Output, NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatNativeDateModule } from '@angular/material/core';
import { MatDatepickerModule } from '@angular/material/datepicker';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import * as i3 from '@csirtmu-orion/microframework/date-form';
import { OrionDateFormModule } from '@csirtmu-orion/microframework/date-form';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import * as i2 from '@csirtmu-orion/microframework/editable';
import { OrionEditableComponentModule } from '@csirtmu-orion/microframework/editable';
import { Destroyable } from '@sentinel/common';

class OrionEditableDateComponent extends Destroyable() {
    constructor() {
        super(...arguments);
        this.isEditable = true;
        this.save = new EventEmitter();
        this.saveDisabled = false;
    }
    ngOnChanges(changes) {
        if ('date' in changes && this.date) {
            this.selectedDate = this.date;
        }
    }
    onSave() {
        this.save.emit(this.selectedDate);
    }
    onCancel() {
        this.selectedDate = this.date;
    }
    onDateChange(date) {
        this.selectedDate = date;
    }
    onValidityChange(valid) {
        this.saveDisabled = !valid;
    }
}
OrionEditableDateComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionEditableDateComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
OrionEditableDateComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionEditableDateComponent, selector: "orion-editable-date", inputs: { isEditable: "isEditable", label: "label", maxDate: "maxDate", minDate: "minDate", date: "date" }, outputs: { save: "save" }, usesInheritance: true, usesOnChanges: true, ngImport: i0, template: "<orion-editable\n  (save)=\"onSave()\"\n  (cancel)=\"onCancel()\"\n  [displayEditButton]=\"isEditable\"\n  [saveDisabled]=\"saveDisabled\"\n>\n  <orion-editable-display-mode-content>\n    <span *ngIf=\"date; else noDate\">{{ date | date: 'longDate' }}</span>\n  </orion-editable-display-mode-content>\n  <orion-editable-edit-mode-content>\n    <orion-date-form\n      [date]=\"selectedDate\"\n      [label]=\"label\"\n      [max]=\"maxDate\"\n      [min]=\"minDate\"\n      [mode]=\"'date'\"\n      [appearance]=\"'standard'\"\n      (dateChange)=\"onDateChange($event)\"\n      (validityChange)=\"onValidityChange($event)\"\n    ></orion-date-form>\n  </orion-editable-edit-mode-content>\n</orion-editable>\n\n<ng-template #noDate><span>None</span></ng-template>\n", styles: ["::ng-deep orion-date-form mat-form-field{max-width:180px}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i2.OrionEditableComponent, selector: "orion-editable", inputs: ["fullWidth", "editMode", "displayEditButton", "saveDisabled", "cancelDisabled"], outputs: ["save", "cancel", "modeChange"] }, { kind: "directive", type: i2.EditableDisplayModeContentDirective, selector: "orion-editable-display-mode-content" }, { kind: "directive", type: i2.EditableEditModeContentDirective, selector: "orion-editable-edit-mode-content" }, { kind: "component", type: i3.OrionDateFormComponent, selector: "orion-date-form", inputs: ["label", "appearance", "disabled", "required", "withIcon", "date", "min", "max", "mode"], outputs: ["dateChange", "validityChange"] }, { kind: "pipe", type: i1.DatePipe, name: "date" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionEditableDateComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-editable-date', changeDetection: ChangeDetectionStrategy.OnPush, template: "<orion-editable\n  (save)=\"onSave()\"\n  (cancel)=\"onCancel()\"\n  [displayEditButton]=\"isEditable\"\n  [saveDisabled]=\"saveDisabled\"\n>\n  <orion-editable-display-mode-content>\n    <span *ngIf=\"date; else noDate\">{{ date | date: 'longDate' }}</span>\n  </orion-editable-display-mode-content>\n  <orion-editable-edit-mode-content>\n    <orion-date-form\n      [date]=\"selectedDate\"\n      [label]=\"label\"\n      [max]=\"maxDate\"\n      [min]=\"minDate\"\n      [mode]=\"'date'\"\n      [appearance]=\"'standard'\"\n      (dateChange)=\"onDateChange($event)\"\n      (validityChange)=\"onValidityChange($event)\"\n    ></orion-date-form>\n  </orion-editable-edit-mode-content>\n</orion-editable>\n\n<ng-template #noDate><span>None</span></ng-template>\n", styles: ["::ng-deep orion-date-form mat-form-field{max-width:180px}\n"] }]
        }], propDecorators: { isEditable: [{
                type: Input
            }], label: [{
                type: Input
            }], maxDate: [{
                type: Input
            }], minDate: [{
                type: Input
            }], date: [{
                type: Input
            }], save: [{
                type: Output
            }] } });

class OrionEditableDateModule {
}
OrionEditableDateModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionEditableDateModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrionEditableDateModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: OrionEditableDateModule, declarations: [OrionEditableDateComponent], imports: [CommonModule,
        ReactiveFormsModule,
        MatDatepickerModule,
        OrionEditableComponentModule,
        MatFormFieldModule,
        MatDatepickerModule,
        MatNativeDateModule,
        MatInputModule,
        MatButtonModule,
        MatIconModule,
        SentinelPipesModule,
        OrionDateFormModule], exports: [OrionEditableDateComponent] });
OrionEditableDateModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionEditableDateModule, imports: [CommonModule,
        ReactiveFormsModule,
        MatDatepickerModule,
        OrionEditableComponentModule,
        MatFormFieldModule,
        MatDatepickerModule,
        MatNativeDateModule,
        MatInputModule,
        MatButtonModule,
        MatIconModule,
        SentinelPipesModule,
        OrionDateFormModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionEditableDateModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [OrionEditableDateComponent],
                    imports: [
                        CommonModule,
                        ReactiveFormsModule,
                        MatDatepickerModule,
                        OrionEditableComponentModule,
                        MatFormFieldModule,
                        MatDatepickerModule,
                        MatNativeDateModule,
                        MatInputModule,
                        MatButtonModule,
                        MatIconModule,
                        SentinelPipesModule,
                        OrionDateFormModule,
                    ],
                    exports: [OrionEditableDateComponent],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { OrionEditableDateComponent, OrionEditableDateModule };
//# sourceMappingURL=csirtmu-orion-microframework-editable-date.mjs.map
