import * as i0 from '@angular/core';
import { EventEmitter, Component, ChangeDetectionStrategy, Input, Output, NgModule } from '@angular/core';
import { trackByIndex } from '@sentinel/common/utils';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@angular/forms';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import * as i3 from '@angular/material/form-field';
import { MatFormFieldModule } from '@angular/material/form-field';
import * as i4 from '@angular/material/select';
import { MatSelectModule } from '@angular/material/select';
import * as i5 from '@angular/material/core';
import * as i6 from '@sentinel/common/pipes';
import { SentinelPipesModule } from '@sentinel/common/pipes';

class OrionEnumerationSelectComponent {
    constructor() {
        this.noOptionPossible = false;
        this.matFormAppearance = 'standard';
        this.selectedChange = new EventEmitter();
        this.trackByFn = trackByIndex;
    }
    onSelectionChange(selected) {
        this.selectedChange.emit(selected);
    }
}
OrionEnumerationSelectComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionEnumerationSelectComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionEnumerationSelectComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionEnumerationSelectComponent, selector: "orion-enumeration-select", inputs: { options: "options", selected: "selected", label: "label", noOptionPossible: "noOptionPossible", noOptionLabel: "noOptionLabel", matFormAppearance: "matFormAppearance" }, outputs: { selectedChange: "selectedChange" }, ngImport: i0, template: "<mat-form-field [appearance]=\"matFormAppearance\">\n  <mat-label> {{ label }}</mat-label>\n  <mat-select [(ngModel)]=\"selected\" (ngModelChange)=\"onSelectionChange($event)\">\n    <mat-option *ngIf=\"noOptionPossible\"> {{ noOptionLabel }}</mat-option>\n    <mat-option *ngFor=\"let option of options; trackBy: trackByFn\" [value]=\"option\">{{\n      option | sentinelPrettifyEnum | titlecase\n    }}</mat-option>\n  </mat-select>\n</mat-form-field>\n", styles: ["mat-form-field{width:100%}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "component", type: i4.MatSelect, selector: "mat-select", inputs: ["disabled", "disableRipple", "tabIndex"], exportAs: ["matSelect"] }, { kind: "component", type: i5.MatOption, selector: "mat-option", exportAs: ["matOption"] }, { kind: "pipe", type: i1.TitleCasePipe, name: "titlecase" }, { kind: "pipe", type: i6.SentinelPrettifyEnumPipe, name: "sentinelPrettifyEnum" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionEnumerationSelectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-enumeration-select', changeDetection: ChangeDetectionStrategy.OnPush, template: "<mat-form-field [appearance]=\"matFormAppearance\">\n  <mat-label> {{ label }}</mat-label>\n  <mat-select [(ngModel)]=\"selected\" (ngModelChange)=\"onSelectionChange($event)\">\n    <mat-option *ngIf=\"noOptionPossible\"> {{ noOptionLabel }}</mat-option>\n    <mat-option *ngFor=\"let option of options; trackBy: trackByFn\" [value]=\"option\">{{\n      option | sentinelPrettifyEnum | titlecase\n    }}</mat-option>\n  </mat-select>\n</mat-form-field>\n", styles: ["mat-form-field{width:100%}\n"] }]
        }], propDecorators: { options: [{
                type: Input
            }], selected: [{
                type: Input
            }], label: [{
                type: Input
            }], noOptionPossible: [{
                type: Input
            }], noOptionLabel: [{
                type: Input
            }], matFormAppearance: [{
                type: Input
            }], selectedChange: [{
                type: Output
            }] } });

class OrionEnumerationSelectModule {
}
OrionEnumerationSelectModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionEnumerationSelectModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrionEnumerationSelectModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: OrionEnumerationSelectModule, declarations: [OrionEnumerationSelectComponent], imports: [CommonModule, FormsModule, ReactiveFormsModule, SentinelPipesModule, MatSelectModule, MatFormFieldModule], exports: [OrionEnumerationSelectComponent] });
OrionEnumerationSelectModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionEnumerationSelectModule, imports: [CommonModule, FormsModule, ReactiveFormsModule, SentinelPipesModule, MatSelectModule, MatFormFieldModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionEnumerationSelectModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [OrionEnumerationSelectComponent],
                    imports: [CommonModule, FormsModule, ReactiveFormsModule, SentinelPipesModule, MatSelectModule, MatFormFieldModule],
                    exports: [OrionEnumerationSelectComponent],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { OrionEnumerationSelectComponent, OrionEnumerationSelectModule };
//# sourceMappingURL=csirtmu-orion-microframework-enumeration-select.mjs.map
