import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { EventEmitter, Component, ChangeDetectionStrategy, Input, Output, ViewChild, Directive, ContentChild, NgModule } from '@angular/core';
import * as i5 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i3 from '@angular/material/core';
import { MatRippleModule } from '@angular/material/core';
import * as i2 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i6 from '@angular/material/progress-bar';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import * as i3$1 from '@angular/material/tree';
import { MatTreeModule, MatTreeNestedDataSource } from '@angular/material/tree';
import * as i4 from '@sentinel/common/pipes';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import * as i2$1 from '@sentinel/components/error';
import { SentinelErrorModule } from '@sentinel/components/error';
import { Destroyable } from '@sentinel/common';
import { fromEvent, merge, defer, Subject, BehaviorSubject } from 'rxjs';
import { debounceTime, takeUntil, filter, map, mergeMap, take, switchMap, skipWhile, tap, catchError } from 'rxjs/operators';
import { NestedTreeControl } from '@angular/cdk/tree';

class DefaultTreeNodeComponent extends Destroyable() {
    constructor() {
        super(...arguments);
        this.selectable = true;
        this.selected = new EventEmitter();
    }
    ngAfterViewInit() {
        if (this.nodeElement !== undefined && this.nodeElement.nativeElement !== undefined) {
            this.handleClickAndDoubleClick(this.nodeElement.nativeElement);
        }
    }
    handleClickAndDoubleClick(el) {
        const clickEvent = fromEvent(el, 'click');
        const dblClickEvent = fromEvent(el, 'dblclick');
        const eventsMerged = merge(clickEvent, dblClickEvent).pipe(debounceTime(300), takeUntil(this.destroy$));
        eventsMerged.subscribe((event) => this.onMouseEvent(event));
    }
    onMouseEvent(event) {
        if (event.type === 'click' && this.canBeSelected()) {
            this.selected.emit(this.node);
        }
    }
    canBeSelected() {
        return this.node !== undefined && !this.node.disabled && this.selectable;
    }
}
DefaultTreeNodeComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: DefaultTreeNodeComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
DefaultTreeNodeComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: DefaultTreeNodeComponent, selector: "orion-default-tree-node", inputs: { node: "node", selectable: "selectable" }, outputs: { selected: "selected" }, viewQueries: [{ propertyName: "nodeElement", first: true, predicate: ["nodeElement"], descendants: true, static: true }], usesInheritance: true, ngImport: i0, template: "<div\n  #nodeElement\n  class=\"node-content\"\n  matRipple\n  [matRippleDisabled]=\"!selectable || node === undefined || node.disabled\"\n  [ngClass]=\"{ selected: node?.isSelected$ | sAsync, disabled: node?.disabled, selectable: selectable }\"\n>\n  <mat-icon class=\"asset-icon\" [color]=\"node?.isExpandable ? 'primary' : undefined\" *ngIf=\"node?.icon\">{{\n    node?.icon\n  }}</mat-icon>\n  <span class=\"node-name\">{{ node?.title }}</span>\n  <ng-content></ng-content>\n</div>\n", styles: [".node-content{display:flex;align-items:center;padding:0 10px;border-radius:4px;min-height:36px}.node-content.selectable{cursor:pointer}.disabled{cursor:unset;color:#00000042}.disabled .mat-icon{color:#00000042}.mat-icon{width:24px;font-size:18px}.node-name{padding-left:2px;display:flex;align-items:center}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i2.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: i3.MatRipple, selector: "[mat-ripple], [matRipple]", inputs: ["matRippleColor", "matRippleUnbounded", "matRippleCentered", "matRippleRadius", "matRippleAnimation", "matRippleDisabled", "matRippleTrigger"], exportAs: ["matRipple"] }, { kind: "pipe", type: i4.SentinelAsyncPipe, name: "sAsync" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: DefaultTreeNodeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-default-tree-node', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div\n  #nodeElement\n  class=\"node-content\"\n  matRipple\n  [matRippleDisabled]=\"!selectable || node === undefined || node.disabled\"\n  [ngClass]=\"{ selected: node?.isSelected$ | sAsync, disabled: node?.disabled, selectable: selectable }\"\n>\n  <mat-icon class=\"asset-icon\" [color]=\"node?.isExpandable ? 'primary' : undefined\" *ngIf=\"node?.icon\">{{\n    node?.icon\n  }}</mat-icon>\n  <span class=\"node-name\">{{ node?.title }}</span>\n  <ng-content></ng-content>\n</div>\n", styles: [".node-content{display:flex;align-items:center;padding:0 10px;border-radius:4px;min-height:36px}.node-content.selectable{cursor:pointer}.disabled{cursor:unset;color:#00000042}.disabled .mat-icon{color:#00000042}.mat-icon{width:24px;font-size:18px}.node-name{padding-left:2px;display:flex;align-items:center}\n"] }]
        }], propDecorators: { node: [{
                type: Input
            }], selectable: [{
                type: Input
            }], selected: [{
                type: Output
            }], nodeElement: [{
                type: ViewChild,
                args: ['nodeElement', { static: true }]
            }] } });

class OrionTreeNodeDirective {
    set orionTreeNode(templateRef) {
        this._template = templateRef;
    }
    get template() {
        return this._template;
    }
}
OrionTreeNodeDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTreeNodeDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
OrionTreeNodeDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.12", type: OrionTreeNodeDirective, selector: "[orionTreeNode]", inputs: { orionTreeNode: "orionTreeNode" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTreeNodeDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[orionTreeNode]',
                }]
        }], propDecorators: { orionTreeNode: [{
                type: Input
            }] } });

class OrionNestedTreeComponent {
    constructor() {
        this.selectable = false;
        this.selected = new EventEmitter();
        this.tryAgainRoots$ = defer(() => this.loadMoreRoots());
        this.tryAgainExpand$ = defer(() => { var _a; return (_a = this.treeControl) === null || _a === void 0 ? void 0 : _a.loadChildren$.next(this.lastExpandedNode); });
        this.tryAgainLoadMoreChildren$ = defer(() => { var _a; return (_a = this.treeControl) === null || _a === void 0 ? void 0 : _a.loadMoreChildren$.next(this.lastLoadMoreNode); });
        this.hasChild = (index, node) => node.isExpandable;
    }
    toggle(node, origin) {
        var _a, _b, _c;
        if (this.shouldToggle(node, origin)) {
            if (!((_a = this.treeControl) === null || _a === void 0 ? void 0 : _a.isExpanded(node))) {
                (_b = this.treeControl) === null || _b === void 0 ? void 0 : _b.toggle(node);
                this.lastExpandedNode = node;
            }
            else {
                (_c = this.treeControl) === null || _c === void 0 ? void 0 : _c.toggle(node);
            }
        }
    }
    loadModeChildren(node) {
        var _a;
        this.lastLoadMoreNode = node;
        (_a = this.treeControl) === null || _a === void 0 ? void 0 : _a.loadMoreChildren(node);
    }
    loadMoreRoots() {
        var _a;
        (_a = this.treeControl) === null || _a === void 0 ? void 0 : _a.loadMoreRoots();
    }
    onSelect(node) {
        if (this.selectable) {
            if (this.lastSelected !== undefined) {
                this.lastSelected.setIsSelected(false);
            }
            node.setIsSelected(true);
            this.lastSelected = node;
            this.selected.emit(node);
        }
    }
    shouldToggle(node, origin) {
        return !node.disabled && !(origin === 'click' && this.selectable) && !(origin === 'dblclick' && !this.selectable);
    }
}
OrionNestedTreeComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionNestedTreeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionNestedTreeComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionNestedTreeComponent, selector: "orion-nested-tree", inputs: { treeControl: "treeControl", dataSource: "dataSource", selectable: "selectable" }, outputs: { selected: "selected" }, queries: [{ propertyName: "nodeDirective", first: true, predicate: OrionTreeNodeDirective, descendants: true }], ngImport: i0, template: "<mat-tree *ngIf=\"dataSource && treeControl\" [dataSource]=\"dataSource\" [treeControl]=\"treeControl\" class=\"tree\">\n  <!-- This is the nested-tree node template for leaf nodes -->\n  <mat-nested-tree-node *matTreeNodeDef=\"let node\">\n    <div class=\"leaf-node\">\n      <!-- use a disabled button to provide padding for nested-tree leaf -->\n      <button class=\"node-toggle\" mat-icon-button disabled></button>\n      <ng-container [ngTemplateOutlet]=\"nodeTemplate\" [ngTemplateOutletContext]=\"{ $implicit: node }\"></ng-container>\n    </div>\n    <ng-container\n      [ngTemplateOutlet]=\"loadMoreRootsButton\"\n      [ngTemplateOutletContext]=\"{ $implicit: node }\"\n    ></ng-container>\n  </mat-nested-tree-node>\n\n  <!-- This is the nested-tree node template for expandable nodes -->\n  <mat-nested-tree-node *matTreeNodeDef=\"let node; when: hasChild\">\n    <li>\n      <ng-container\n        [ngTemplateOutlet]=\"node.isLoading ? nestedNodeDisabledContainerTemplate : nestedNodeContainerTemplate\"\n        [ngTemplateOutletContext]=\"{ $implicit: node }\"\n      ></ng-container>\n      <ng-container *sentinelError=\"node.expandNodeHasError$ | sAsync: false; tryAgain$: tryAgainExpand$\">\n        <ul *ngIf=\"treeControl.isExpanded(node)\">\n          <ng-container matTreeNodeOutlet></ng-container>\n          <li *sentinelError=\"node.loadMoreHasError$ | sAsync: false; tryAgain$: tryAgainLoadMoreChildren$\">\n            <button\n              *ngIf=\"node.hasMoreChildren\"\n              class=\"pagination-button\"\n              color=\"primary\"\n              [disabled]=\"node.disabled\"\n              (click)=\"loadModeChildren(node)\"\n              mat-button\n            >\n              Load more...\n            </button>\n          </li>\n        </ul>\n      </ng-container>\n\n      <ng-container\n        [ngTemplateOutlet]=\"loadMoreRootsButton\"\n        [ngTemplateOutletContext]=\"{ $implicit: node }\"\n      ></ng-container>\n    </li>\n  </mat-nested-tree-node>\n</mat-tree>\n\n<ng-template #nestedNodeContainerTemplate let-node>\n  <div\n    class=\"node\"\n    [ngClass]=\"{ disabled: node.disabled }\"\n    (click)=\"toggle(node, 'click')\"\n    (dblclick)=\"toggle(node, 'dblclick')\"\n  >\n    <ng-container\n      [ngTemplateOutlet]=\"nestedNodeTemplate\"\n      [ngTemplateOutletContext]=\"{ $implicit: node }\"\n    ></ng-container>\n  </div>\n</ng-template>\n\n<ng-template #nestedNodeDisabledContainerTemplate let-node>\n  <div class=\"node\">\n    <ng-container\n      [ngTemplateOutlet]=\"nestedNodeTemplate\"\n      [ngTemplateOutletContext]=\"{ $implicit: node }\"\n    ></ng-container>\n  </div>\n</ng-template>\n\n<ng-template #nestedNodeTemplate let-node>\n  <button\n    class=\"node-toggle\"\n    mat-icon-button\n    [disabled]=\"node.disabled\"\n    (click)=\"toggle(node, 'expand'); $event.stopImmediatePropagation()\"\n  >\n    <mat-icon class=\"mat-icon-rtl-mirror\">\n      {{ treeControl?.isExpanded(node) ? 'expand_more' : 'chevron_right' }}\n    </mat-icon>\n  </button>\n  <ng-container [ngTemplateOutlet]=\"nodeTemplate\" [ngTemplateOutletContext]=\"{ $implicit: node }\"></ng-container>\n  <mat-progress-bar *ngIf=\"node.isLoading\" color=\"accent\" mode=\"indeterminate\"></mat-progress-bar>\n</ng-template>\n\n<ng-template #nodeTemplate let-node>\n  <ng-container\n    *ngIf=\"nodeDirective && nodeDirective.template as templateOutlet; else defaultTemplate\"\n    (click)=\"onSelect(node)\"\n  >\n    <ng-container\n      [ngTemplateOutlet]=\"templateOutlet\"\n      [ngTemplateOutletContext]=\"{ $implicit: node, selectable: selectable }\"\n    ></ng-container>\n  </ng-container>\n  <ng-template #defaultTemplate>\n    <ng-container\n      [ngTemplateOutlet]=\"defaultNodeTemplate\"\n      [ngTemplateOutletContext]=\"{ $implicit: node }\"\n    ></ng-container>\n  </ng-template>\n</ng-template>\n\n<ng-template #defaultNodeTemplate let-node>\n  <orion-default-tree-node\n    [node]=\"node\"\n    [selectable]=\"selectable\"\n    (selected)=\"onSelect(node)\"\n  ></orion-default-tree-node>\n</ng-template>\n\n<ng-template #loadMoreRootsButton let-node>\n  <ng-container *ngIf=\"node.isLast && node.isRoot\">\n    <div\n      class=\"more-roots\"\n      *sentinelError=\"dataSource?.loadMoreRootsHasError$ | sAsync: false; tryAgain$: tryAgainRoots$\"\n    >\n      <button\n        *ngIf=\"dataSource?.hasMoreRoots$ | sAsync\"\n        class=\"pagination-button\"\n        [disabled]=\"dataSource?.isLoadingMoreRoots$ | sAsync\"\n        color=\"primary\"\n        (click)=\"loadMoreRoots()\"\n        mat-button\n      >\n        Load more...\n      </button>\n      <mat-progress-bar\n        *ngIf=\"dataSource?.isLoadingMoreRoots$ | sAsync\"\n        color=\"accent\"\n        mode=\"indeterminate\"\n      ></mat-progress-bar>\n    </div>\n  </ng-container>\n</ng-template>\n", styles: [".tree{background-color:inherit}button.node-toggle{width:24px}.node-toggle .mat-icon{padding-bottom:2px}.node-name{padding-left:2px;display:flex;align-items:center}.tree ul,.tree li{margin-top:0;margin-bottom:0;list-style-type:none}.mat-tree-node{min-height:40px}.node,.leaf-node{height:40px;display:flex;flex-direction:row;align-items:center}.node.disabled{cursor:unset}.mat-icon{width:24px;font-size:18px;text-align:center;line-height:24px}.more-roots{display:flex;flex-direction:row;align-items:center}.pagination-button{margin-left:32px}mat-progress-bar{margin-left:20px;max-width:200px}ul{border-left:1px dotted lightgray;margin-inline-start:11.5px;padding-inline-start:11.5px}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i2$1.SentinelErrorDirective, selector: "[sentinelError], [sentinelErrorTryAgain]", inputs: ["sentinelError", "sentinelErrorTryAgain$"] }, { kind: "directive", type: i3$1.MatNestedTreeNode, selector: "mat-nested-tree-node", inputs: ["role", "disabled", "tabIndex", "matNestedTreeNode"], exportAs: ["matNestedTreeNode"] }, { kind: "directive", type: i3$1.MatTreeNodeDef, selector: "[matTreeNodeDef]", inputs: ["matTreeNodeDefWhen", "matTreeNode"] }, { kind: "component", type: i3$1.MatTree, selector: "mat-tree", exportAs: ["matTree"] }, { kind: "directive", type: i3$1.MatTreeNodeOutlet, selector: "[matTreeNodeOutlet]" }, { kind: "component", type: i2.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i5.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i6.MatProgressBar, selector: "mat-progress-bar", inputs: ["color", "value", "bufferValue", "mode"], outputs: ["animationEnd"], exportAs: ["matProgressBar"] }, { kind: "component", type: DefaultTreeNodeComponent, selector: "orion-default-tree-node", inputs: ["node", "selectable"], outputs: ["selected"] }, { kind: "pipe", type: i4.SentinelAsyncPipe, name: "sAsync" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionNestedTreeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-nested-tree', changeDetection: ChangeDetectionStrategy.OnPush, template: "<mat-tree *ngIf=\"dataSource && treeControl\" [dataSource]=\"dataSource\" [treeControl]=\"treeControl\" class=\"tree\">\n  <!-- This is the nested-tree node template for leaf nodes -->\n  <mat-nested-tree-node *matTreeNodeDef=\"let node\">\n    <div class=\"leaf-node\">\n      <!-- use a disabled button to provide padding for nested-tree leaf -->\n      <button class=\"node-toggle\" mat-icon-button disabled></button>\n      <ng-container [ngTemplateOutlet]=\"nodeTemplate\" [ngTemplateOutletContext]=\"{ $implicit: node }\"></ng-container>\n    </div>\n    <ng-container\n      [ngTemplateOutlet]=\"loadMoreRootsButton\"\n      [ngTemplateOutletContext]=\"{ $implicit: node }\"\n    ></ng-container>\n  </mat-nested-tree-node>\n\n  <!-- This is the nested-tree node template for expandable nodes -->\n  <mat-nested-tree-node *matTreeNodeDef=\"let node; when: hasChild\">\n    <li>\n      <ng-container\n        [ngTemplateOutlet]=\"node.isLoading ? nestedNodeDisabledContainerTemplate : nestedNodeContainerTemplate\"\n        [ngTemplateOutletContext]=\"{ $implicit: node }\"\n      ></ng-container>\n      <ng-container *sentinelError=\"node.expandNodeHasError$ | sAsync: false; tryAgain$: tryAgainExpand$\">\n        <ul *ngIf=\"treeControl.isExpanded(node)\">\n          <ng-container matTreeNodeOutlet></ng-container>\n          <li *sentinelError=\"node.loadMoreHasError$ | sAsync: false; tryAgain$: tryAgainLoadMoreChildren$\">\n            <button\n              *ngIf=\"node.hasMoreChildren\"\n              class=\"pagination-button\"\n              color=\"primary\"\n              [disabled]=\"node.disabled\"\n              (click)=\"loadModeChildren(node)\"\n              mat-button\n            >\n              Load more...\n            </button>\n          </li>\n        </ul>\n      </ng-container>\n\n      <ng-container\n        [ngTemplateOutlet]=\"loadMoreRootsButton\"\n        [ngTemplateOutletContext]=\"{ $implicit: node }\"\n      ></ng-container>\n    </li>\n  </mat-nested-tree-node>\n</mat-tree>\n\n<ng-template #nestedNodeContainerTemplate let-node>\n  <div\n    class=\"node\"\n    [ngClass]=\"{ disabled: node.disabled }\"\n    (click)=\"toggle(node, 'click')\"\n    (dblclick)=\"toggle(node, 'dblclick')\"\n  >\n    <ng-container\n      [ngTemplateOutlet]=\"nestedNodeTemplate\"\n      [ngTemplateOutletContext]=\"{ $implicit: node }\"\n    ></ng-container>\n  </div>\n</ng-template>\n\n<ng-template #nestedNodeDisabledContainerTemplate let-node>\n  <div class=\"node\">\n    <ng-container\n      [ngTemplateOutlet]=\"nestedNodeTemplate\"\n      [ngTemplateOutletContext]=\"{ $implicit: node }\"\n    ></ng-container>\n  </div>\n</ng-template>\n\n<ng-template #nestedNodeTemplate let-node>\n  <button\n    class=\"node-toggle\"\n    mat-icon-button\n    [disabled]=\"node.disabled\"\n    (click)=\"toggle(node, 'expand'); $event.stopImmediatePropagation()\"\n  >\n    <mat-icon class=\"mat-icon-rtl-mirror\">\n      {{ treeControl?.isExpanded(node) ? 'expand_more' : 'chevron_right' }}\n    </mat-icon>\n  </button>\n  <ng-container [ngTemplateOutlet]=\"nodeTemplate\" [ngTemplateOutletContext]=\"{ $implicit: node }\"></ng-container>\n  <mat-progress-bar *ngIf=\"node.isLoading\" color=\"accent\" mode=\"indeterminate\"></mat-progress-bar>\n</ng-template>\n\n<ng-template #nodeTemplate let-node>\n  <ng-container\n    *ngIf=\"nodeDirective && nodeDirective.template as templateOutlet; else defaultTemplate\"\n    (click)=\"onSelect(node)\"\n  >\n    <ng-container\n      [ngTemplateOutlet]=\"templateOutlet\"\n      [ngTemplateOutletContext]=\"{ $implicit: node, selectable: selectable }\"\n    ></ng-container>\n  </ng-container>\n  <ng-template #defaultTemplate>\n    <ng-container\n      [ngTemplateOutlet]=\"defaultNodeTemplate\"\n      [ngTemplateOutletContext]=\"{ $implicit: node }\"\n    ></ng-container>\n  </ng-template>\n</ng-template>\n\n<ng-template #defaultNodeTemplate let-node>\n  <orion-default-tree-node\n    [node]=\"node\"\n    [selectable]=\"selectable\"\n    (selected)=\"onSelect(node)\"\n  ></orion-default-tree-node>\n</ng-template>\n\n<ng-template #loadMoreRootsButton let-node>\n  <ng-container *ngIf=\"node.isLast && node.isRoot\">\n    <div\n      class=\"more-roots\"\n      *sentinelError=\"dataSource?.loadMoreRootsHasError$ | sAsync: false; tryAgain$: tryAgainRoots$\"\n    >\n      <button\n        *ngIf=\"dataSource?.hasMoreRoots$ | sAsync\"\n        class=\"pagination-button\"\n        [disabled]=\"dataSource?.isLoadingMoreRoots$ | sAsync\"\n        color=\"primary\"\n        (click)=\"loadMoreRoots()\"\n        mat-button\n      >\n        Load more...\n      </button>\n      <mat-progress-bar\n        *ngIf=\"dataSource?.isLoadingMoreRoots$ | sAsync\"\n        color=\"accent\"\n        mode=\"indeterminate\"\n      ></mat-progress-bar>\n    </div>\n  </ng-container>\n</ng-template>\n", styles: [".tree{background-color:inherit}button.node-toggle{width:24px}.node-toggle .mat-icon{padding-bottom:2px}.node-name{padding-left:2px;display:flex;align-items:center}.tree ul,.tree li{margin-top:0;margin-bottom:0;list-style-type:none}.mat-tree-node{min-height:40px}.node,.leaf-node{height:40px;display:flex;flex-direction:row;align-items:center}.node.disabled{cursor:unset}.mat-icon{width:24px;font-size:18px;text-align:center;line-height:24px}.more-roots{display:flex;flex-direction:row;align-items:center}.pagination-button{margin-left:32px}mat-progress-bar{margin-left:20px;max-width:200px}ul{border-left:1px dotted lightgray;margin-inline-start:11.5px;padding-inline-start:11.5px}\n"] }]
        }], propDecorators: { treeControl: [{
                type: Input
            }], dataSource: [{
                type: Input
            }], selectable: [{
                type: Input
            }], selected: [{
                type: Output
            }], nodeDirective: [{
                type: ContentChild,
                args: [OrionTreeNodeDirective]
            }] } });

class OrionNestedTreeModule {
}
OrionNestedTreeModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionNestedTreeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrionNestedTreeModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: OrionNestedTreeModule, declarations: [OrionNestedTreeComponent, OrionTreeNodeDirective, DefaultTreeNodeComponent], imports: [CommonModule,
        SentinelErrorModule,
        MatTreeModule,
        MatIconModule,
        MatButtonModule,
        MatProgressBarModule,
        SentinelPipesModule,
        MatRippleModule], exports: [OrionNestedTreeComponent, OrionTreeNodeDirective, DefaultTreeNodeComponent] });
OrionNestedTreeModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionNestedTreeModule, imports: [CommonModule,
        SentinelErrorModule,
        MatTreeModule,
        MatIconModule,
        MatButtonModule,
        MatProgressBarModule,
        SentinelPipesModule,
        MatRippleModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionNestedTreeModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [OrionNestedTreeComponent, OrionTreeNodeDirective, DefaultTreeNodeComponent],
                    imports: [
                        CommonModule,
                        SentinelErrorModule,
                        MatTreeModule,
                        MatIconModule,
                        MatButtonModule,
                        MatProgressBarModule,
                        SentinelPipesModule,
                        MatRippleModule,
                    ],
                    exports: [OrionNestedTreeComponent, OrionTreeNodeDirective, DefaultTreeNodeComponent],
                }]
        }] });

var TreeRootEventType;
(function (TreeRootEventType) {
    TreeRootEventType[TreeRootEventType["HAS_MORE"] = 0] = "HAS_MORE";
    TreeRootEventType[TreeRootEventType["ERROR"] = 1] = "ERROR";
    TreeRootEventType[TreeRootEventType["LOADING"] = 2] = "LOADING";
})(TreeRootEventType || (TreeRootEventType = {}));
var TreeRootEventSource;
(function (TreeRootEventSource) {
    TreeRootEventSource[TreeRootEventSource["INIT_LOAD"] = 0] = "INIT_LOAD";
    TreeRootEventSource[TreeRootEventSource["LOAD_MORE"] = 1] = "LOAD_MORE";
})(TreeRootEventSource || (TreeRootEventSource = {}));
class TreeRootEvent {
    constructor(value, type, source) {
        this.value = value;
        this.type = type;
        this.source = source;
    }
}

class OrionNestedTreeDataSource extends MatTreeNestedDataSource {
    constructor(treeControl, treeNodeManager) {
        super();
        this.treeControl = treeControl;
        this.treeNodeManager = treeNodeManager;
        this.isLoadingRoots$ = this.treeNodeManager.rootEvent$.pipe(filter((event) => event.type === TreeRootEventType.LOADING && event.source === TreeRootEventSource.INIT_LOAD), map((event) => event.value));
        this.isLoadingMoreRoots$ = this.treeNodeManager.rootEvent$.pipe(filter((event) => event.type === TreeRootEventType.LOADING && event.source === TreeRootEventSource.LOAD_MORE), map((event) => event.value));
        this.hasMoreRoots$ = this.treeNodeManager.rootEvent$.pipe(filter((event) => event.type === TreeRootEventType.HAS_MORE), map((event) => event.value));
        this.loadRootsHasError$ = this.treeNodeManager.rootEvent$.pipe(filter((event) => event.type === TreeRootEventType.ERROR && event.source === TreeRootEventSource.INIT_LOAD), map((event) => event.value));
        this.loadMoreRootsHasError$ = this.treeNodeManager.rootEvent$.pipe(filter((event) => event.type === TreeRootEventType.ERROR && event.source === TreeRootEventSource.LOAD_MORE), map((event) => event.value));
    }
    connect(collectionViewer) {
        this.expandSub = this.treeControl.loadChildren$
            .pipe(mergeMap((node) => this.treeNodeManager.getChildren(node)))
            .subscribe();
        this.loadMoreSub = this.treeControl.loadMoreChildren$
            .pipe(mergeMap((node) => this.treeNodeManager.loadMoreChildren(node)))
            .subscribe();
        this.loadMoreRootsSub = this.treeControl.loadMoreRoots$
            .pipe(mergeMap(() => this.treeNodeManager.loadMoreRoots()))
            .subscribe();
        this.treeNodeManager.getRoots().pipe(take(1)).subscribe();
        return collectionViewer.viewChange.pipe(switchMap(() => this.treeNodeManager.rootNodes$));
    }
    disconnect() {
        if (this.expandSub) {
            this.expandSub.unsubscribe();
        }
        if (this.loadMoreSub) {
            this.loadMoreSub.unsubscribe();
        }
        if (this.loadMoreRootsSub) {
            this.loadMoreRootsSub.unsubscribe();
        }
        super.disconnect();
    }
}

class OrionNestedTreeControl extends NestedTreeControl {
    constructor(options) {
        super((node) => node.children$, options);
        this.loadChildren$ = new Subject();
        this.loadMoreChildren$ = new Subject();
        this.loadMoreRoots$ = new Subject();
    }
    toggle(node) {
        super.toggle(node);
        if (this.isExpanded(node)) {
            this.loadChildren$.next(node);
        }
    }
    loadMoreChildren(node) {
        this.loadMoreChildren$.next(node);
    }
    loadMoreRoots() {
        this.loadMoreRoots$.next();
    }
}

class TreeNode {
    constructor(data) {
        this.isExpandable = false;
        this.hasMoreChildren = false;
        this.isLoading = false;
        this.disabled = false;
        this.isLast = false;
        this.isRoot = false;
        this.isSelectedSubject$ = new BehaviorSubject(false);
        this.isSelected$ = this.isSelectedSubject$.asObservable();
        this.expandNodeHasErrorSubject$ = new BehaviorSubject(false);
        this.expandNodeHasError$ = this.expandNodeHasErrorSubject$.asObservable();
        this.loadMoreHasErrorSubject$ = new BehaviorSubject(false);
        this.loadMoreHasError$ = this.loadMoreHasErrorSubject$.asObservable();
        this.childrenSubject$ = new BehaviorSubject([]);
        this.children$ = this.childrenSubject$.asObservable();
        this.data = data;
    }
    toggleLoading() {
        this.isLoading = !this.isLoading;
        this.disabled = this.isLoading;
    }
    setExpandError(value) {
        this.expandNodeHasErrorSubject$.next(value);
        this.disabled = value;
    }
    setLoadMoreError(value) {
        this.loadMoreHasErrorSubject$.next(value);
    }
    setIsSelected(value) {
        this.isSelectedSubject$.next(value);
    }
    getChildrenCount() {
        return this.childrenSubject$.getValue().length;
    }
    setChildren(value) {
        this.childrenSubject$.next(value);
    }
    appendChildren(value) {
        const curr = this.childrenSubject$.getValue();
        curr.push(...value);
        this.childrenSubject$.next(curr);
    }
}

var NodeChangeType;
(function (NodeChangeType) {
    NodeChangeType[NodeChangeType["ADDED"] = 0] = "ADDED";
    NodeChangeType[NodeChangeType["REMOVED"] = 1] = "REMOVED";
})(NodeChangeType || (NodeChangeType = {}));

class OrionTreeDataService {
}

var NodeEventSource;
(function (NodeEventSource) {
    NodeEventSource[NodeEventSource["EXPAND_NODE"] = 0] = "EXPAND_NODE";
    NodeEventSource[NodeEventSource["LOAD_MODE"] = 1] = "LOAD_MODE";
})(NodeEventSource || (NodeEventSource = {}));

class OrionTreeNodeManagerService {
    constructor(nodeService, batchSize = 50) {
        this.nodeService = nodeService;
        this.rootEventSubject$ = new BehaviorSubject(new TreeRootEvent(false, TreeRootEventType.LOADING, TreeRootEventSource.INIT_LOAD));
        this.rootEvent$ = this.rootEventSubject$.asObservable();
        this.rootNodesSubject$ = new BehaviorSubject([]);
        this.rootNodes$ = this.rootNodesSubject$
            .asObservable()
            .pipe(skipWhile((roots) => roots.length === 0));
        this.rootsOffset = 0;
        this.totalRootsCount = 0;
        this.BATCH_SIZE = batchSize;
    }
    getRoots() {
        this.handleBeforeLoadRoots(TreeRootEventSource.INIT_LOAD);
        const batchSize = Math.max(this.BATCH_SIZE, this.rootNodesSubject$.getValue().length);
        return this.nodeService.getRoots(batchSize, this.rootsOffset, this.superiorEntityId).pipe(map((roots) => this.mapToRootNodes(roots)), tap((nodes) => this.handleLoadRootsSuccess(nodes, TreeRootEventSource.INIT_LOAD, batchSize), () => this.handleRootsError(TreeRootEventSource.INIT_LOAD)), catchError(() => []));
    }
    loadMoreRoots() {
        this.handleBeforeLoadRoots(TreeRootEventSource.LOAD_MORE);
        return this.nodeService.getRoots(this.BATCH_SIZE, this.rootsOffset, this.superiorEntityId).pipe(map((roots) => this.mapToRootNodes(roots)), tap((nodes) => this.handleLoadRootsSuccess(nodes, TreeRootEventSource.LOAD_MORE), () => this.handleRootsError(TreeRootEventSource.LOAD_MORE)), catchError(() => []));
    }
    getChildren(node) {
        const size = Math.max(this.BATCH_SIZE, node.getChildrenCount());
        this.beforeLoadChildrenRequest(node, NodeEventSource.EXPAND_NODE);
        return this.nodeService.getChildren(node, size, 0).pipe(tap(() => this.resolveHasMoreChildren(node, size, 0)), map((children) => this.mapToNodes(children)), tap((children) => this.handleLoadChildrenSuccess(node, children, true), () => this.handleNodeError(node, NodeEventSource.EXPAND_NODE)), catchError(() => []));
    }
    loadMoreChildren(node) {
        const offset = node.getChildrenCount();
        this.beforeLoadChildrenRequest(node, NodeEventSource.LOAD_MODE);
        return this.nodeService.getChildren(node, this.BATCH_SIZE, offset).pipe(tap(() => this.resolveHasMoreChildren(node, this.BATCH_SIZE, offset)), map((children) => this.mapToNodes(children)), tap((children) => this.handleLoadChildrenSuccess(node, children), () => this.handleNodeError(node, NodeEventSource.LOAD_MODE)), catchError(() => []));
    }
    handleBeforeLoadRoots(source) {
        this.rootEventSubject$.next(new TreeRootEvent(true, TreeRootEventType.LOADING, source));
        this.rootEventSubject$.next(new TreeRootEvent(false, TreeRootEventType.ERROR, source));
    }
    handleLoadRootsSuccess(roots, source, batchSize = this.BATCH_SIZE) {
        this.rootEventSubject$.next(new TreeRootEvent(false, TreeRootEventType.LOADING, source));
        this.resolveHasMoreRoots(batchSize, this.rootsOffset, source);
        this.incrementOffset(roots.length);
        if (source === TreeRootEventSource.INIT_LOAD) {
            this.setRoots(roots);
        }
        else {
            this.appendRoots(roots);
        }
    }
    handleRootsError(source) {
        this.rootEventSubject$.next(new TreeRootEvent(true, TreeRootEventType.ERROR, source));
        this.rootEventSubject$.next(new TreeRootEvent(false, TreeRootEventType.LOADING, source));
    }
    beforeLoadChildrenRequest(node, source) {
        if (source === NodeEventSource.EXPAND_NODE) {
            node.toggleLoading();
            node.setLoadMoreError(false);
            node.setExpandError(false);
        }
        else {
            node.toggleLoading();
            node.setLoadMoreError(false);
        }
    }
    handleLoadChildrenSuccess(parent, children, isInitLoad = false) {
        parent.toggleLoading();
        if (isInitLoad) {
            parent.setChildren(children);
        }
        else {
            parent.appendChildren(children);
        }
    }
    handleNodeError(node, source) {
        if (source === NodeEventSource.EXPAND_NODE) {
            node.toggleLoading();
            node.setExpandError(true);
        }
        else {
            node.toggleLoading();
            node.setLoadMoreError(true);
        }
    }
    mapToRootNodes(roots) {
        this.totalRootsCount = roots.totalCount;
        return this.mapToNodes(roots.nodes, true);
    }
    mapToNodes(data, isRoot = false) {
        return data.map((datum) => {
            const node = this.createNodeInstance(datum);
            node.isExpandable = this.isExpandable(node);
            node.isRoot = isRoot;
            return node;
        });
    }
    isExpandable(node) {
        return this.getTotalChildrenCount(node) > 0;
    }
    resolveHasMoreChildren(parentNode, size, offset) {
        parentNode.hasMoreChildren = this.getTotalChildrenCount(parentNode) > size + offset;
    }
    resolveHasMoreRoots(size, offset, source) {
        const hasMoreRoots = this.totalRootsCount > size + offset;
        this.rootEventSubject$.next(new TreeRootEvent(hasMoreRoots, TreeRootEventType.HAS_MORE, source));
    }
    setRoots(roots) {
        this.selectLast(roots);
        this.rootNodesSubject$.next(roots);
    }
    appendRoots(toAppend) {
        const curr = this.rootNodesSubject$.getValue();
        curr.push(...toAppend);
        this.selectLast(curr);
        this.rootNodesSubject$.next(curr);
    }
    selectLast(nodes) {
        nodes.forEach((node, index) => (node.isLast = index === nodes.length - 1));
    }
    incrementOffset(length) {
        this.rootsOffset += length;
    }
}

/**
 * Generated bundle index. Do not edit.
 */

export { DefaultTreeNodeComponent, NodeChangeType, NodeEventSource, OrionNestedTreeComponent, OrionNestedTreeControl, OrionNestedTreeDataSource, OrionNestedTreeModule, OrionTreeDataService, OrionTreeNodeDirective, OrionTreeNodeManagerService, TreeNode, TreeRootEvent, TreeRootEventSource, TreeRootEventType };
//# sourceMappingURL=csirtmu-orion-microframework-nested-tree.mjs.map
