import * as i0 from '@angular/core';
import { Directive, ViewChild, Component, ChangeDetectionStrategy, Optional, Inject, Input, ContentChild, HostBinding, NgModule } from '@angular/core';
import { take } from 'rxjs/operators';
import * as i2 from '@angular/material/expansion';
import { MatExpansionPanel, MatExpansionModule } from '@angular/material/expansion';
import { Destroyable } from '@sentinel/common';
import { ORION_PANEL_CONFIG } from '@csirtmu-orion/microframework/config';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i3 from '@sentinel/components/controls';
import { SentinelControlsModule } from '@sentinel/components/controls';
import * as i4 from '@angular/material/progress-bar';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import * as i5 from '@sentinel/common/pipes';
import { SentinelPipesModule } from '@sentinel/common/pipes';

class OrionPanelDirective extends Destroyable() {
    handleActionSelected() {
        var _a;
        (_a = this.panel) === null || _a === void 0 ? void 0 : _a.open();
    }
}
OrionPanelDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionPanelDirective, deps: null, target: i0.ɵɵFactoryTarget.Directive });
OrionPanelDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.12", type: OrionPanelDirective, viewQueries: [{ propertyName: "panel", first: true, predicate: MatExpansionPanel, descendants: true }], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionPanelDirective, decorators: [{
            type: Directive
        }], propDecorators: { panel: [{
                type: ViewChild,
                args: [MatExpansionPanel]
            }] } });

class OrionPanelContentDirective {
    constructor(template) {
        this.template = template;
    }
}
OrionPanelContentDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionPanelContentDirective, deps: [{ token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive });
OrionPanelContentDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.12", type: OrionPanelContentDirective, selector: "ng-template[orionPanelContent]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionPanelContentDirective, decorators: [{
            type: Directive,
            args: [{
                    // Using element-name selector because it is meant to replace inject special type of content and match to select attr
                    // eslint-disable-next-line @angular-eslint/directive-selector
                    selector: 'ng-template[orionPanelContent]',
                }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef }]; } });

class OrionPanelComponent extends OrionPanelDirective {
    constructor(config) {
        super();
        this.config = config;
        this.isLoading = false;
        this.elevationClassPrefix = 'mat-elevation-z';
        if ((config === null || config === void 0 ? void 0 : config.elevation) === undefined) {
            this.elevation = 8;
        }
        else {
            this.elevation = config.elevation;
        }
        if ((config === null || config === void 0 ? void 0 : config.isExpanded) === undefined) {
            this.isExpanded = false;
        }
        else {
            this.isExpanded = config.isExpanded;
        }
    }
    onControlItemClicked(item) {
        var _a;
        (_a = item.result$) === null || _a === void 0 ? void 0 : _a.pipe(take(1)).subscribe();
        this.handleActionSelected();
    }
}
OrionPanelComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionPanelComponent, deps: [{ token: ORION_PANEL_CONFIG, optional: true }], target: i0.ɵɵFactoryTarget.Component });
OrionPanelComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionPanelComponent, selector: "orion-panel", inputs: { isExpanded: "isExpanded", maxControlsCount: "maxControlsCount", controls: "controls", isLoading: "isLoading", elevation: "elevation" }, queries: [{ propertyName: "panelContent", first: true, predicate: OrionPanelContentDirective, descendants: true }], usesInheritance: true, ngImport: i0, template: "<mat-expansion-panel [expanded]=\"isExpanded\" [class]=\"elevationClassPrefix + elevation\">\n  <mat-expansion-panel-header>\n    <mat-panel-title> <ng-content select=\"orion-panel-title\"></ng-content></mat-panel-title>\n    <mat-panel-description>\n      <ng-container *ngIf=\"!isLoading; else loadingTemplate\">\n        <ng-content select=\"orion-panel-description\"></ng-content>\n      </ng-container>\n    </mat-panel-description>\n    <mat-action-row>\n      <sentinel-controls\n        align=\"left\"\n        [withMargin]=\"false\"\n        [maxItemsCount]=\"maxControlsCount\"\n        [controls]=\"controls | sentinelDefaultValueArray\"\n        (click)=\"$event.stopPropagation()\"\n        (itemClicked)=\"onControlItemClicked($event)\"\n      ></sentinel-controls>\n    </mat-action-row>\n  </mat-expansion-panel-header>\n  <ng-template matExpansionPanelContent>\n    <ng-container [ngTemplateOutlet]=\"panelContent?.template ?? null\"></ng-container>\n  </ng-template>\n</mat-expansion-panel>\n\n<ng-template #loadingTemplate>\n  <mat-progress-bar mode=\"indeterminate\" color=\"accent\"></mat-progress-bar>\n</ng-template>\n", styles: [""], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: i2.MatExpansionPanel, selector: "mat-expansion-panel", inputs: ["disabled", "expanded", "hideToggle", "togglePosition"], outputs: ["opened", "closed", "expandedChange", "afterExpand", "afterCollapse"], exportAs: ["matExpansionPanel"] }, { kind: "directive", type: i2.MatExpansionPanelActionRow, selector: "mat-action-row" }, { kind: "component", type: i2.MatExpansionPanelHeader, selector: "mat-expansion-panel-header", inputs: ["tabIndex", "expandedHeight", "collapsedHeight"] }, { kind: "directive", type: i2.MatExpansionPanelTitle, selector: "mat-panel-title" }, { kind: "directive", type: i2.MatExpansionPanelDescription, selector: "mat-panel-description" }, { kind: "directive", type: i2.MatExpansionPanelContent, selector: "ng-template[matExpansionPanelContent]" }, { kind: "component", type: i3.SentinelControlsComponent, selector: "sentinel-controls", inputs: ["controls", "buttonStyle", "maxItemsCount", "align", "withMargin", "titlecased"], outputs: ["itemClicked"] }, { kind: "component", type: i4.MatProgressBar, selector: "mat-progress-bar", inputs: ["color", "value", "bufferValue", "mode"], outputs: ["animationEnd"], exportAs: ["matProgressBar"] }, { kind: "pipe", type: i5.SentinelDefaultValueArrayPipe, name: "sentinelDefaultValueArray" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionPanelComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-panel', changeDetection: ChangeDetectionStrategy.OnPush, template: "<mat-expansion-panel [expanded]=\"isExpanded\" [class]=\"elevationClassPrefix + elevation\">\n  <mat-expansion-panel-header>\n    <mat-panel-title> <ng-content select=\"orion-panel-title\"></ng-content></mat-panel-title>\n    <mat-panel-description>\n      <ng-container *ngIf=\"!isLoading; else loadingTemplate\">\n        <ng-content select=\"orion-panel-description\"></ng-content>\n      </ng-container>\n    </mat-panel-description>\n    <mat-action-row>\n      <sentinel-controls\n        align=\"left\"\n        [withMargin]=\"false\"\n        [maxItemsCount]=\"maxControlsCount\"\n        [controls]=\"controls | sentinelDefaultValueArray\"\n        (click)=\"$event.stopPropagation()\"\n        (itemClicked)=\"onControlItemClicked($event)\"\n      ></sentinel-controls>\n    </mat-action-row>\n  </mat-expansion-panel-header>\n  <ng-template matExpansionPanelContent>\n    <ng-container [ngTemplateOutlet]=\"panelContent?.template ?? null\"></ng-container>\n  </ng-template>\n</mat-expansion-panel>\n\n<ng-template #loadingTemplate>\n  <mat-progress-bar mode=\"indeterminate\" color=\"accent\"></mat-progress-bar>\n</ng-template>\n" }]
        }], ctorParameters: function () {
        return [{ type: undefined, decorators: [{
                        type: Optional
                    }, {
                        type: Inject,
                        args: [ORION_PANEL_CONFIG]
                    }] }];
    }, propDecorators: { isExpanded: [{
                type: Input
            }], maxControlsCount: [{
                type: Input
            }], controls: [{
                type: Input
            }], isLoading: [{
                type: Input
            }], elevation: [{
                type: Input
            }], panelContent: [{
                type: ContentChild,
                args: [OrionPanelContentDirective]
            }] } });

class OrionPanelDescriptionDirective {
    constructor() {
        this.class = 'orion-panel-description';
    }
}
OrionPanelDescriptionDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionPanelDescriptionDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
OrionPanelDescriptionDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.12", type: OrionPanelDescriptionDirective, selector: "orion-panel-description", host: { properties: { "class": "this.class" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionPanelDescriptionDirective, decorators: [{
            type: Directive,
            args: [{
                    // Using element-name selector because it is meant to replace inject special type of content and match to select attr
                    // eslint-disable-next-line @angular-eslint/directive-selector
                    selector: 'orion-panel-description',
                }]
        }], propDecorators: { class: [{
                type: HostBinding,
                args: ['class']
            }] } });

class OrionPanelTitleDirective {
    constructor() {
        this.class = 'orion-panel-title';
    }
}
OrionPanelTitleDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionPanelTitleDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
OrionPanelTitleDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.12", type: OrionPanelTitleDirective, selector: "orion-panel-title", host: { properties: { "class": "this.class" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionPanelTitleDirective, decorators: [{
            type: Directive,
            args: [{
                    // Using element-name selector because it is meant to replace inject special type of content and match to select attr
                    // eslint-disable-next-line @angular-eslint/directive-selector
                    selector: 'orion-panel-title',
                }]
        }], propDecorators: { class: [{
                type: HostBinding,
                args: ['class']
            }] } });

class OrionPanelModule {
}
OrionPanelModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionPanelModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrionPanelModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: OrionPanelModule, declarations: [OrionPanelComponent,
        OrionPanelTitleDirective,
        OrionPanelDescriptionDirective,
        OrionPanelContentDirective], imports: [CommonModule, MatExpansionModule, SentinelControlsModule, SentinelPipesModule, MatProgressBarModule], exports: [OrionPanelComponent,
        OrionPanelTitleDirective,
        OrionPanelDescriptionDirective,
        OrionPanelContentDirective] });
OrionPanelModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionPanelModule, imports: [CommonModule, MatExpansionModule, SentinelControlsModule, SentinelPipesModule, MatProgressBarModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionPanelModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        OrionPanelComponent,
                        OrionPanelTitleDirective,
                        OrionPanelDescriptionDirective,
                        OrionPanelContentDirective,
                    ],
                    imports: [CommonModule, MatExpansionModule, SentinelControlsModule, SentinelPipesModule, MatProgressBarModule],
                    exports: [
                        OrionPanelComponent,
                        OrionPanelTitleDirective,
                        OrionPanelDescriptionDirective,
                        OrionPanelContentDirective,
                    ],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { OrionPanelComponent, OrionPanelContentDirective, OrionPanelDescriptionDirective, OrionPanelDirective, OrionPanelModule, OrionPanelTitleDirective };
//# sourceMappingURL=csirtmu-orion-microframework-panel.mjs.map
