import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Directive, Input, InjectionToken, Injectable, Optional, Inject, Component, ChangeDetectionStrategy, ContentChildren, NgModule } from '@angular/core';
import * as i2$1 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i3 from '@angular/material/tabs';
import { MatTabsModule } from '@angular/material/tabs';
import * as i5 from '@sentinel/common/pipes';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import * as i3$1 from '@csirtmu-orion/microframework/badge';
import { OrionBadgeModule } from '@csirtmu-orion/microframework/badge';
import { take, skip, distinctUntilChanged, concatMap, tap, mapTo } from 'rxjs/operators';
import { BehaviorSubject, of, merge, from } from 'rxjs';
import * as i1 from '@angular/router';

class TabContentDirective {
    set orionTabContent(value) {
        this._tabId = value;
    }
    get tabId() {
        return this._tabId;
    }
    set orionTabContentTemplate(templateRef) {
        this._template = templateRef;
    }
    get template() {
        return this._template;
    }
}
TabContentDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: TabContentDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
TabContentDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.12", type: TabContentDirective, selector: "ng-template[orionTabContent], ng-template[orionTabContentTemplate]", inputs: { orionTabContent: "orionTabContent", orionTabContentTemplate: "orionTabContentTemplate" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: TabContentDirective, decorators: [{
            type: Directive,
            args: [{
                    // Using element-name selector because it is meant to replace inject special type of content and match to select attr
                    // eslint-disable-next-line @angular-eslint/directive-selector
                    selector: 'ng-template[orionTabContent], ng-template[orionTabContentTemplate]',
                }]
        }], propDecorators: { orionTabContent: [{
                type: Input
            }], orionTabContentTemplate: [{
                type: Input
            }] } });

class TabLabelDirective {
    set orionTabLabel(value) {
        this._tabId = value;
    }
    get tabId() {
        return this._tabId;
    }
    set orionTabLabelTemplate(templateRef) {
        this._template = templateRef;
    }
    get template() {
        return this._template;
    }
}
TabLabelDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: TabLabelDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
TabLabelDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.12", type: TabLabelDirective, selector: "ng-template[orionTabLabel], ng-template[orionTabLabelTemplate]", inputs: { orionTabLabel: "orionTabLabel", orionTabLabelTemplate: "orionTabLabelTemplate" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: TabLabelDirective, decorators: [{
            type: Directive,
            args: [{
                    // Using element-name selector because it is meant to replace inject special type of content and match to select attr
                    // eslint-disable-next-line @angular-eslint/directive-selector
                    selector: 'ng-template[orionTabLabel], ng-template[orionTabLabelTemplate]',
                }]
        }], propDecorators: { orionTabLabel: [{
                type: Input
            }], orionTabLabelTemplate: [{
                type: Input
            }] } });

const TABS_TOKEN = new InjectionToken('TABS_TOKEN');

class OrionTabService {
    constructor(tabs) {
        this.tabs = tabs;
        this.selectedTabSubject$ = new BehaviorSubject(0);
        this.selectedIndex$ = this.selectedTabSubject$.asObservable();
    }
    reset() {
        return this.select(0);
    }
    select(nextIndex) {
        this.selectedTabSubject$.next(nextIndex);
        return of(true);
    }
}
OrionTabService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTabService, deps: [{ token: TABS_TOKEN, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
OrionTabService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTabService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTabService, decorators: [{
            type: Injectable
        }], ctorParameters: function () {
        return [{ type: undefined, decorators: [{
                        type: Optional
                    }, {
                        type: Inject,
                        args: [TABS_TOKEN]
                    }] }];
    } });

class OrionTabContentComponent {
}
OrionTabContentComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTabContentComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionTabContentComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionTabContentComponent, selector: "orion-tab-content", ngImport: i0, template: "<div class=\"tab-content\">\n  <ng-content></ng-content>\n</div>\n", styles: [".tab-content{padding:20px 10px 10px}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTabContentComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-tab-content', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"tab-content\">\n  <ng-content></ng-content>\n</div>\n", styles: [".tab-content{padding:20px 10px 10px}\n"] }]
        }] });

class OrionTabsComponent {
    constructor(tabsService) {
        var _a;
        this.tabsService = tabsService;
        this.selectedTabIndex$ = this.tabsService.selectedIndex$;
        this.tabs = (_a = tabsService.tabs) !== null && _a !== void 0 ? _a : [];
    }
    ngAfterContentInit() {
        this.createProjectedTabs();
        this.createProjectedLabels();
    }
    onTabSelected(index) {
        this.tabsService.select(index).pipe(take(1)).subscribe();
    }
    createProjectedTabs() {
        if (this.tabContentDirectives) {
            const tabs = {};
            this.tabContentDirectives.forEach((directive) => {
                if (directive.tabId) {
                    if (!this.tabs.includes(directive.tabId)) {
                        console.error('No matching tab id for *orionTabContent');
                    }
                    if (tabs[directive.tabId]) {
                        console.error('*orionTabContent id must be unique');
                    }
                    else {
                        tabs[directive.tabId] = directive;
                    }
                }
            });
            this.projectedTabs = tabs;
        }
    }
    createProjectedLabels() {
        if (this.tabLabelDirectives) {
            const labels = {};
            this.tabLabelDirectives.forEach((directive) => {
                if (directive.tabId) {
                    if (!this.tabs.includes(directive.tabId)) {
                        console.error('No matching tab id for *orionTabLabel');
                    }
                    if (labels[directive.tabId]) {
                        console.error('*orionTabLabel id must be unique');
                    }
                    else {
                        labels[directive.tabId] = directive;
                    }
                }
            });
            this.projectedLabels = labels;
        }
    }
}
OrionTabsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTabsComponent, deps: [{ token: OrionTabService }], target: i0.ɵɵFactoryTarget.Component });
OrionTabsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionTabsComponent, selector: "orion-tabs", queries: [{ propertyName: "tabContentDirectives", predicate: TabContentDirective }, { propertyName: "tabLabelDirectives", predicate: TabLabelDirective }], ngImport: i0, template: "<mat-tab-group [selectedIndex]=\"selectedTabIndex$ | sAsync\" (selectedIndexChange)=\"onTabSelected($event)\">\n  <mat-tab *ngFor=\"let tab of tabs\">\n    <ng-template mat-tab-label>\n      <ng-container\n        *ngIf=\"projectedLabels && projectedLabels[tab] && projectedLabels[tab].template as projectedLabelTemplate\"\n        [ngTemplateOutlet]=\"projectedLabelTemplate\"\n      ></ng-container>\n    </ng-template>\n    <ng-template matTabContent>\n      <orion-tab-content\n        *ngIf=\"projectedTabs && projectedTabs[tab] && projectedTabs[tab].template as projectedTabTemplate\"\n      >\n        <ng-container [ngTemplateOutlet]=\"projectedTabTemplate\"></ng-container>\n      </orion-tab-content>\n    </ng-template>\n  </mat-tab>\n</mat-tab-group>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: i3.MatTabGroup, selector: "mat-tab-group", inputs: ["color", "disableRipple"], exportAs: ["matTabGroup"] }, { kind: "directive", type: i3.MatTabLabel, selector: "[mat-tab-label], [matTabLabel]" }, { kind: "component", type: i3.MatTab, selector: "mat-tab", inputs: ["disabled", "label", "aria-label", "aria-labelledby", "labelClass", "bodyClass"], exportAs: ["matTab"] }, { kind: "directive", type: i3.MatTabContent, selector: "[matTabContent]" }, { kind: "component", type: OrionTabContentComponent, selector: "orion-tab-content" }, { kind: "pipe", type: i5.SentinelAsyncPipe, name: "sAsync" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTabsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-tabs', changeDetection: ChangeDetectionStrategy.OnPush, template: "<mat-tab-group [selectedIndex]=\"selectedTabIndex$ | sAsync\" (selectedIndexChange)=\"onTabSelected($event)\">\n  <mat-tab *ngFor=\"let tab of tabs\">\n    <ng-template mat-tab-label>\n      <ng-container\n        *ngIf=\"projectedLabels && projectedLabels[tab] && projectedLabels[tab].template as projectedLabelTemplate\"\n        [ngTemplateOutlet]=\"projectedLabelTemplate\"\n      ></ng-container>\n    </ng-template>\n    <ng-template matTabContent>\n      <orion-tab-content\n        *ngIf=\"projectedTabs && projectedTabs[tab] && projectedTabs[tab].template as projectedTabTemplate\"\n      >\n        <ng-container [ngTemplateOutlet]=\"projectedTabTemplate\"></ng-container>\n      </orion-tab-content>\n    </ng-template>\n  </mat-tab>\n</mat-tab-group>\n" }]
        }], ctorParameters: function () { return [{ type: OrionTabService }]; }, propDecorators: { tabContentDirectives: [{
                type: ContentChildren,
                args: [TabContentDirective]
            }], tabLabelDirectives: [{
                type: ContentChildren,
                args: [TabLabelDirective]
            }] } });

class OrionTabLabelComponent {
}
OrionTabLabelComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTabLabelComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionTabLabelComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionTabLabelComponent, selector: "orion-tab-label", inputs: { icon: "icon", label: "label", badge: "badge" }, ngImport: i0, template: "<div class=\"tab-label\">\n  <mat-icon *ngIf=\"icon\">{{ icon }}</mat-icon>\n  <span>{{ label }}</span>\n  <orion-badge *ngIf=\"badge !== undefined\">{{ badge }}</orion-badge>\n</div>\n", styles: [".tab-label{display:flex;align-items:flex-end}mat-icon{margin-right:10px}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i2$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i3$1.OrionBadgeComponent, selector: "orion-badge", inputs: ["color"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTabLabelComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-tab-label', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"tab-label\">\n  <mat-icon *ngIf=\"icon\">{{ icon }}</mat-icon>\n  <span>{{ label }}</span>\n  <orion-badge *ngIf=\"badge !== undefined\">{{ badge }}</orion-badge>\n</div>\n", styles: [".tab-label{display:flex;align-items:flex-end}mat-icon{margin-right:10px}\n"] }]
        }], propDecorators: { icon: [{
                type: Input
            }], label: [{
                type: Input
            }], badge: [{
                type: Input
            }] } });

class OrionTabsModule {
}
OrionTabsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTabsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrionTabsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: OrionTabsModule, declarations: [OrionTabsComponent,
        OrionTabLabelComponent,
        TabContentDirective,
        TabLabelDirective,
        OrionTabContentComponent], imports: [CommonModule, MatTabsModule, MatIconModule, OrionBadgeModule, SentinelPipesModule], exports: [OrionTabsComponent,
        OrionTabLabelComponent,
        TabContentDirective,
        TabLabelDirective,
        OrionTabContentComponent] });
OrionTabsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTabsModule, imports: [CommonModule, MatTabsModule, MatIconModule, OrionBadgeModule, SentinelPipesModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTabsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        OrionTabsComponent,
                        OrionTabLabelComponent,
                        TabContentDirective,
                        TabLabelDirective,
                        OrionTabContentComponent,
                    ],
                    imports: [CommonModule, MatTabsModule, MatIconModule, OrionBadgeModule, SentinelPipesModule],
                    exports: [
                        OrionTabsComponent,
                        OrionTabLabelComponent,
                        TabContentDirective,
                        TabLabelDirective,
                        OrionTabContentComponent,
                    ],
                }]
        }] });

class OrionQueryParamTabService extends OrionTabService {
    constructor(router, activatedRoute, tabs) {
        var _a, _b;
        super(tabs);
        this.router = router;
        this.activatedRoute = activatedRoute;
        this.tabs = tabs;
        this.tabParams = [];
        this.TAB_PARAM_SELECTOR = 'tab';
        this.isInitialTabSelection = true;
        this.initTabParams((_b = (_a = this.tabs) === null || _a === void 0 ? void 0 : _a.length) !== null && _b !== void 0 ? _b : 0);
        const tabFromRoute$ = this.resolveTabIndexFromRoute();
        const tabFromSubject$ = this.selectedTabSubject$.asObservable().pipe(skip(1), distinctUntilChanged());
        this.selectedIndex$ = merge(tabFromRoute$, tabFromSubject$);
    }
    reset() {
        var _a, _b;
        this.isInitialTabSelection = true;
        this.initTabParams((_b = (_a = this.tabs) === null || _a === void 0 ? void 0 : _a.length) !== null && _b !== void 0 ? _b : 0);
        return this.select(0);
    }
    select(nextIndex) {
        const prevIndex = this.selectedTabSubject$.getValue();
        return this.saveTabQueryParams(prevIndex, this.isInitialTabSelection)
            .pipe(concatMap(() => this.updateTabQueryParam(prevIndex, nextIndex)))
            .pipe(tap(() => {
            this.selectedTabSubject$.next(nextIndex);
            this.isInitialTabSelection = false;
        }));
    }
    resetCustomParams(prevTabIndex, nextParams) {
        const prevParams = this.tabParams[prevTabIndex];
        const resetParams = this.createResetParams(prevParams, nextParams);
        return Object.assign(Object.assign({}, nextParams), resetParams);
    }
    initTabParams(tabCount) {
        this.tabParams = [];
        for (let i = 0; i < tabCount; i++) {
            const tabName = this.getTabName(i);
            this.tabParams.push({ [this.TAB_PARAM_SELECTOR]: tabName });
        }
    }
    createResetParams(prevParams, nextParams) {
        const resetParams = {};
        const prevParamEntries = Object.entries(prevParams);
        const nextParamKeys = Object.keys(nextParams);
        prevParamEntries.forEach((entry) => {
            const prevParamKey = entry[0];
            if (this.isCustomParam(prevParamKey)) {
                if (nextParamKeys.includes(prevParamKey)) {
                    // Router params are typed with any
                    // eslint-disable-next-line @typescript-eslint/no-unsafe-assignment
                    resetParams[prevParamKey] = nextParams[prevParamKey]; // override param value if previous and next params contain same keys
                }
                else {
                    resetParams[prevParamKey] = undefined; // remove from query params by setting old param to undefined
                }
            }
        });
        return resetParams;
    }
    isCustomParam(paramSelector) {
        return paramSelector !== this.TAB_PARAM_SELECTOR;
    }
    updateTabQueryParam(prevIndex, nextIndex) {
        let params = this.tabParams[nextIndex];
        if (params) {
            params = this.resetCustomParams(prevIndex, params);
        }
        return from(this.router.navigate([], {
            relativeTo: this.activatedRoute,
            queryParams: Object.assign({}, params),
            queryParamsHandling: 'merge',
            replaceUrl: true,
        }));
    }
    saveTabQueryParams(tabIndex, isInitial) {
        if (isInitial) {
            const tabName = this.getTabName(tabIndex);
            const params = { [this.TAB_PARAM_SELECTOR]: tabName };
            this.tabParams[tabIndex] = params;
            return of(params);
        }
        else {
            return this.activatedRoute.queryParams.pipe(take(1), tap((queryParams) => (this.tabParams[tabIndex] = queryParams)));
        }
    }
    getTabName(index) {
        return this.tabs && this.tabs[index] ? this.tabs[index] : index.toString();
    }
    resolveTabIndexFromRoute() {
        return this.activatedRoute.queryParamMap.pipe(take(1), concatMap((queryParamMap) => this.tabIndexFromParamMap(queryParamMap)), tap((tabIndex) => this.selectedTabSubject$.next(tabIndex)));
    }
    tabIndexFromParamMap(paramMap) {
        const tabParamValue = paramMap.get(this.TAB_PARAM_SELECTOR);
        const index = this.getTabIndexFromParamValue(tabParamValue);
        return this.select(index).pipe(take(1), mapTo(index)); // we need to select it as a side-ffect
    }
    getTabIndexFromParamValue(paramValue) {
        if (paramValue === null) {
            return 0;
        }
        if (this.tabs) {
            const index = this.tabs.findIndex((tab) => tab === paramValue);
            return index === -1 ? 0 : index;
        }
        return 0;
    }
}
OrionQueryParamTabService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionQueryParamTabService, deps: [{ token: i1.Router }, { token: i1.ActivatedRoute }, { token: TABS_TOKEN, optional: true }], target: i0.ɵɵFactoryTarget.Injectable });
OrionQueryParamTabService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionQueryParamTabService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionQueryParamTabService, decorators: [{
            type: Injectable
        }], ctorParameters: function () {
        return [{ type: i1.Router }, { type: i1.ActivatedRoute }, { type: undefined, decorators: [{
                        type: Optional
                    }, {
                        type: Inject,
                        args: [TABS_TOKEN]
                    }] }];
    } });

class EntityDetailTabsDirective {
    constructor(tabService) {
        this.tabService = tabService;
    }
    ngOnChanges(changes) {
        if ('entity' in changes && changes['entity'].previousValue !== null && this.isDifferentEntity(changes)) {
            this.tabService.reset().pipe(take(1)).subscribe();
        }
    }
    isDifferentEntity(changes) {
        var _a, _b;
        return (this.entity !== undefined &&
            ((_b = (_a = changes['entity']) === null || _a === void 0 ? void 0 : _a.previousValue) === null || _b === void 0 ? void 0 : _b.id) !== undefined &&
            this.entity.id !== changes['entity'].previousValue.id);
    }
}
EntityDetailTabsDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: EntityDetailTabsDirective, deps: [{ token: OrionTabService }], target: i0.ɵɵFactoryTarget.Directive });
EntityDetailTabsDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.12", type: EntityDetailTabsDirective, inputs: { entity: "entity" }, usesOnChanges: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: EntityDetailTabsDirective, decorators: [{
            type: Directive
        }], ctorParameters: function () { return [{ type: OrionTabService }]; }, propDecorators: { entity: [{
                type: Input
            }] } });

/**
 * Generated bundle index. Do not edit.
 */

export { EntityDetailTabsDirective, OrionQueryParamTabService, OrionTabContentComponent, OrionTabLabelComponent, OrionTabService, OrionTabsComponent, OrionTabsModule, TABS_TOKEN, TabContentDirective, TabLabelDirective };
//# sourceMappingURL=csirtmu-orion-microframework-tabs.mjs.map
