const ENTITY_NOT_LOADING_STATE = { isLoading: false };

function isArray(x) {
    return Array.isArray(x);
}
function trackById(index, item) {
    return item.id;
}
function trackByIndex(index, item) {
    return index;
}
/**
 * Tries to match string value to one of the keys of enum. Returns undefined if it fails to match
 */
const enumFromValue = (enumObj, val) => {
    const enumName = Object.keys(enumObj).find((k) => enumObj[k] === val);
    return !enumName ? undefined : enumObj[enumName];
};
function toQueryParams(inputObject) {
    const params = {};
    const entries = Object.entries(inputObject);
    // Router Params are typed with any
    // eslint-disable-next-line @typescript-eslint/no-unsafe-assignment ,@typescript-eslint/no-unsafe-return
    entries.forEach((entry) => (params[entry[0]] = entry[1]));
    return params;
}
function isLoading(state, id) {
    if ('id' in state) {
        return state.isLoading && id === state.id;
    }
    if ('ids' in state) {
        return state.isLoading && state.ids.includes(id);
    }
    return false;
}
function prettifyEnum(value) {
    if (value) {
        const lowercased = value.toLowerCase();
        const splitWords = lowercased.split('_');
        for (let i = 0; i < splitWords.length; i++) {
            splitWords[i] = splitWords[i].charAt(0).toUpperCase() + splitWords[i].slice(1);
        }
        return splitWords.join(' ');
    }
    else {
        return '';
    }
}

/**
 * Generated bundle index. Do not edit.
 */

export { ENTITY_NOT_LOADING_STATE, enumFromValue, isArray, isLoading, prettifyEnum, toQueryParams, trackById, trackByIndex };
//# sourceMappingURL=sentinel-common-utils.mjs.map
