import * as i0 from '@angular/core';
import { NgModule, Component, ChangeDetectionStrategy } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@angular/cdk/scrolling';
import { ScrollingModule } from '@angular/cdk/scrolling';
import * as i3 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i4 from '@angular/material/progress-spinner';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import * as i5 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i6 from '@angular/material/tooltip';
import { MatTooltipModule } from '@angular/material/tooltip';
import { SentinelInfiniteScrollerDirective } from '@sentinel/components/infinite-scroll';

class SentinelCodeViewerMaterialModule {
}
SentinelCodeViewerMaterialModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelCodeViewerMaterialModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SentinelCodeViewerMaterialModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: SentinelCodeViewerMaterialModule, imports: [ScrollingModule, MatButtonModule, MatProgressSpinnerModule, MatIconModule, MatTooltipModule], exports: [ScrollingModule, MatButtonModule, MatProgressSpinnerModule, MatIconModule, MatTooltipModule] });
SentinelCodeViewerMaterialModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelCodeViewerMaterialModule, imports: [ScrollingModule, MatButtonModule, MatProgressSpinnerModule, MatIconModule, MatTooltipModule, ScrollingModule, MatButtonModule, MatProgressSpinnerModule, MatIconModule, MatTooltipModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelCodeViewerMaterialModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [ScrollingModule, MatButtonModule, MatProgressSpinnerModule, MatIconModule, MatTooltipModule],
                    exports: [ScrollingModule, MatButtonModule, MatProgressSpinnerModule, MatIconModule, MatTooltipModule],
                }]
        }] });

class SentinelCodeViewerComponent extends SentinelInfiniteScrollerDirective {
    /**
     * Scrolls to the end of virtual scroll
     */
    scrollToEnd() {
        this.viewport.scrollToIndex(this.scrollItems.length, 'auto');
    }
    /**
     * Scrolls to the start of virtual scroll
     */
    scrollToStart() {
        this.viewport.scrollToIndex(0, 'auto');
    }
}
SentinelCodeViewerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelCodeViewerComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
SentinelCodeViewerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: SentinelCodeViewerComponent, selector: "sentinel-code-viewer", usesInheritance: true, ngImport: i0, template: "<div class=\"actions\">\n  <button mat-icon-button matTooltip=\"Scroll to start\" (click)=\"scrollToStart()\">\n    <mat-icon>vertical_align_top</mat-icon>\n  </button>\n  <button mat-icon-button matTooltip=\"Scroll to end\" (click)=\"scrollToEnd()\">\n    <mat-icon>vertical_align_bottom</mat-icon>\n  </button>\n</div>\n<div class=\"code-view-container\">\n  <cdk-virtual-scroll-viewport\n    [itemSize]=\"20\"\n    [style.height.px]=\"viewportHeight\"\n    (scrolledIndexChange)=\"nextPage($event)\"\n  >\n    <p class=\"row\" *ngFor=\"let row of scrollItems; trackBy: trackByFn\">{{ row }}</p>\n  </cdk-virtual-scroll-viewport>\n  <mat-progress-spinner *ngIf=\"isLoading\" color=\"accent\" mode=\"indeterminate\" diameter=\"25\"></mat-progress-spinner>\n</div>\n", styles: ["cdk-virtual-scroll-viewport{width:100%;background-color:#000;color:#dcdcdc;font-family:Source Code Pro,monospace!important;text-overflow:ellipsis;white-space:nowrap}.code-view-container{display:flex;flex-direction:column;align-items:center}.actions{display:flex;flex-direction:row;justify-content:flex-end}.row{height:20px;padding:0 10px;width:100%;margin:0}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.CdkFixedSizeVirtualScroll, selector: "cdk-virtual-scroll-viewport[itemSize]", inputs: ["itemSize", "minBufferPx", "maxBufferPx"] }, { kind: "component", type: i2.CdkVirtualScrollViewport, selector: "cdk-virtual-scroll-viewport", inputs: ["orientation", "appendOnly"], outputs: ["scrolledIndexChange"] }, { kind: "component", type: i3.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i4.MatProgressSpinner, selector: "mat-progress-spinner, mat-spinner", inputs: ["color", "diameter", "strokeWidth", "mode", "value"], exportAs: ["matProgressSpinner"] }, { kind: "component", type: i5.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: i6.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelCodeViewerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-code-viewer', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"actions\">\n  <button mat-icon-button matTooltip=\"Scroll to start\" (click)=\"scrollToStart()\">\n    <mat-icon>vertical_align_top</mat-icon>\n  </button>\n  <button mat-icon-button matTooltip=\"Scroll to end\" (click)=\"scrollToEnd()\">\n    <mat-icon>vertical_align_bottom</mat-icon>\n  </button>\n</div>\n<div class=\"code-view-container\">\n  <cdk-virtual-scroll-viewport\n    [itemSize]=\"20\"\n    [style.height.px]=\"viewportHeight\"\n    (scrolledIndexChange)=\"nextPage($event)\"\n  >\n    <p class=\"row\" *ngFor=\"let row of scrollItems; trackBy: trackByFn\">{{ row }}</p>\n  </cdk-virtual-scroll-viewport>\n  <mat-progress-spinner *ngIf=\"isLoading\" color=\"accent\" mode=\"indeterminate\" diameter=\"25\"></mat-progress-spinner>\n</div>\n", styles: ["cdk-virtual-scroll-viewport{width:100%;background-color:#000;color:#dcdcdc;font-family:Source Code Pro,monospace!important;text-overflow:ellipsis;white-space:nowrap}.code-view-container{display:flex;flex-direction:column;align-items:center}.actions{display:flex;flex-direction:row;justify-content:flex-end}.row{height:20px;padding:0 10px;width:100%;margin:0}\n"] }]
        }] });

class SentinelCodeViewerModule {
}
SentinelCodeViewerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelCodeViewerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SentinelCodeViewerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: SentinelCodeViewerModule, declarations: [SentinelCodeViewerComponent], imports: [CommonModule, SentinelCodeViewerMaterialModule], exports: [SentinelCodeViewerComponent] });
SentinelCodeViewerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelCodeViewerModule, imports: [CommonModule, SentinelCodeViewerMaterialModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelCodeViewerModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, SentinelCodeViewerMaterialModule],
                    declarations: [SentinelCodeViewerComponent],
                    exports: [SentinelCodeViewerComponent],
                }]
        }] });

/*
 * Public API Surface of @sentinel/components/code-viewer
 */

/**
 * Generated bundle index. Do not edit.
 */

export { SentinelCodeViewerComponent, SentinelCodeViewerModule };
//# sourceMappingURL=sentinel-components-code-viewer.mjs.map
