import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { EventEmitter, Component, ChangeDetectionStrategy, Input, Output, NgModule, Optional, Inject } from '@angular/core';
import * as i2 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i4 from '@angular/material/menu';
import { MatMenuModule } from '@angular/material/menu';
import * as i5 from '@sentinel/components/internal';
import { SentinelLabelModule } from '@sentinel/components/internal';
import * as i5$1 from '@sentinel/components/loading';
import { SentinelLoadingModule } from '@sentinel/components/loading';
import { trackById } from '@sentinel/common/utils';
import * as i3 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import { of, NEVER, combineLatest } from 'rxjs';
import { map } from 'rxjs/operators';
import { SENTINEL_CONTROLS_CONFIG } from '@sentinel/components/config';

const LOADING_DIAMETER = 25;
const LOADING_STROKE_WIDTH = 3;

class BasicControlItemComponent {
    constructor() {
        this.LOADING_STROKE_WIDTH = LOADING_STROKE_WIDTH;
        this.LOADING_DIAMETER = LOADING_DIAMETER;
        this.inMenu = false;
        this.actionClicked = new EventEmitter();
    }
    onAction(control) {
        this.actionClicked.emit(control);
    }
}
BasicControlItemComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: BasicControlItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BasicControlItemComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: BasicControlItemComponent, selector: "sentinel-basic-control-button", inputs: { controlItem: "controlItem", buttonStyle: "buttonStyle", inMenu: "inMenu", titlecased: "titlecased" }, outputs: { actionClicked: "actionClicked" }, ngImport: i0, template: "<sentinel-loading-overlay [isLoading]=\"controlItem?.loading$ | async\" [diameter]=\"LOADING_DIAMETER\" [strokeWidth]=\"LOADING_STROKE_WIDTH\">\n  <button *ngIf=\"inMenu else controlButtonTemplate\"\n    mat-menu-item\n    [disabled]=\"controlItem?.disabled$ | async\"\n    (click)=\"onAction(controlItem)\">\n    <sentinel-label [titlecased]=\"titlecased\" [label]=\"controlItem?.label\"></sentinel-label>\n  </button>\n</sentinel-loading-overlay>\n<ng-template #controlButtonTemplate>\n  <sentinel-loading-overlay [isLoading]=\"controlItem?.loading$ | async\" [diameter]=\"LOADING_DIAMETER\" [strokeWidth]=\"LOADING_STROKE_WIDTH\">\n    <button mat-button\n            [class.mat-raised-button]=\"buttonStyle === 'raised'\"\n            [class.mat-flat-button]=\"buttonStyle === 'flat'\"\n            [class.mat-stroked-button]=\"buttonStyle === 'stroked'\"\n            [color]=\"controlItem?.matColor\"\n            [disabled]=\"(controlItem?.disabled$ | async) || (controlItem?.loading$ | async)\"\n            (click)=\"onAction(controlItem)\"\n    >\n      <sentinel-label [titlecased]=\"titlecased\" [label]=\"controlItem?.label\"></sentinel-label>\n    </button>\n  </sentinel-loading-overlay>\n\n</ng-template>\n", styles: [""], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i2.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i4.MatMenuItem, selector: "[mat-menu-item]", inputs: ["disabled", "disableRipple", "role"], exportAs: ["matMenuItem"] }, { kind: "component", type: i5.LabelComponent, selector: "sentinel-label", inputs: ["titlecased", "label"] }, { kind: "component", type: i5$1.SentinelLoadingOverlayComponent, selector: "sentinel-loading-overlay", inputs: ["isLoading", "color", "strokeWidth", "diameter"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: BasicControlItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-basic-control-button', changeDetection: ChangeDetectionStrategy.OnPush, template: "<sentinel-loading-overlay [isLoading]=\"controlItem?.loading$ | async\" [diameter]=\"LOADING_DIAMETER\" [strokeWidth]=\"LOADING_STROKE_WIDTH\">\n  <button *ngIf=\"inMenu else controlButtonTemplate\"\n    mat-menu-item\n    [disabled]=\"controlItem?.disabled$ | async\"\n    (click)=\"onAction(controlItem)\">\n    <sentinel-label [titlecased]=\"titlecased\" [label]=\"controlItem?.label\"></sentinel-label>\n  </button>\n</sentinel-loading-overlay>\n<ng-template #controlButtonTemplate>\n  <sentinel-loading-overlay [isLoading]=\"controlItem?.loading$ | async\" [diameter]=\"LOADING_DIAMETER\" [strokeWidth]=\"LOADING_STROKE_WIDTH\">\n    <button mat-button\n            [class.mat-raised-button]=\"buttonStyle === 'raised'\"\n            [class.mat-flat-button]=\"buttonStyle === 'flat'\"\n            [class.mat-stroked-button]=\"buttonStyle === 'stroked'\"\n            [color]=\"controlItem?.matColor\"\n            [disabled]=\"(controlItem?.disabled$ | async) || (controlItem?.loading$ | async)\"\n            (click)=\"onAction(controlItem)\"\n    >\n      <sentinel-label [titlecased]=\"titlecased\" [label]=\"controlItem?.label\"></sentinel-label>\n    </button>\n  </sentinel-loading-overlay>\n\n</ng-template>\n" }]
        }], propDecorators: { controlItem: [{
                type: Input
            }], buttonStyle: [{
                type: Input
            }], inMenu: [{
                type: Input
            }], titlecased: [{
                type: Input
            }], actionClicked: [{
                type: Output
            }] } });

class ExpandableControlItemComponent {
    constructor() {
        this.LOADING_STROKE_WIDTH = LOADING_STROKE_WIDTH;
        this.LOADING_DIAMETER = LOADING_DIAMETER;
        this.inMenu = false;
        this.itemClicked = new EventEmitter();
        this.trackByFn = trackById;
    }
    onAction(control) {
        this.itemClicked.emit(control);
    }
}
ExpandableControlItemComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: ExpandableControlItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ExpandableControlItemComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: ExpandableControlItemComponent, selector: "sentinel-expandable-control-item", inputs: { expandableControlItem: "expandableControlItem", buttonStyle: "buttonStyle", inMenu: "inMenu", titlecased: "titlecased" }, outputs: { itemClicked: "itemClicked" }, ngImport: i0, template: "<sentinel-loading-overlay\n  [isLoading]=\"expandableControlItem?.loading$ | async\"\n  [diameter]=\"LOADING_DIAMETER\"\n  [strokeWidth]=\"LOADING_STROKE_WIDTH\">\n  <button\n    mat-button\n    [class.mat-raised-button]=\"buttonStyle === 'raised'\"\n    [class.mat-flat-button]=\"buttonStyle === 'flat'\"\n    [class.mat-stroked-button]=\"buttonStyle === 'stroked'\"\n    [color]=\"expandableControlItem?.matColor\"\n    class=\"menu-button\"\n    [disabled]=\"(expandableControlItem?.disabled$ | async) || (expandableControlItem?.loading$ | async)\"\n    [matMenuTriggerFor]=\"controlMenu\"\n  >\n    <sentinel-label [titlecased]=\"titlecased\" [label]=\"expandableControlItem?.label\"></sentinel-label>\n    <mat-icon inline=\"true\">arrow_drop_down</mat-icon>\n  </button>\n</sentinel-loading-overlay>\n\n<mat-menu #controlMenu=\"matMenu\">\n    <button\n      *ngFor=\"let expandedControl of expandableControlItem?.children; trackBy: trackByFn\"\n      mat-menu-item\n      class=\"expanded-menu-item\"\n      [disabled]=\"(expandedControl?.disabled$ | async) || (expandedControl?.loading$ | async)\"\n      (click)=\"onAction(expandedControl)\">\n      <mat-icon>{{ expandedControl?.matIcon }}</mat-icon>\n      <sentinel-label [titlecased]=\"titlecased\" [label]=\"expandedControl?.label\"></sentinel-label>\n    </button>\n</mat-menu>\n", styles: [""], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: i2.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i3.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i4.MatMenu, selector: "mat-menu", exportAs: ["matMenu"] }, { kind: "component", type: i4.MatMenuItem, selector: "[mat-menu-item]", inputs: ["disabled", "disableRipple", "role"], exportAs: ["matMenuItem"] }, { kind: "directive", type: i4.MatMenuTrigger, selector: "[mat-menu-trigger-for], [matMenuTriggerFor]", exportAs: ["matMenuTrigger"] }, { kind: "component", type: i5.LabelComponent, selector: "sentinel-label", inputs: ["titlecased", "label"] }, { kind: "component", type: i5$1.SentinelLoadingOverlayComponent, selector: "sentinel-loading-overlay", inputs: ["isLoading", "color", "strokeWidth", "diameter"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: ExpandableControlItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-expandable-control-item', changeDetection: ChangeDetectionStrategy.OnPush, template: "<sentinel-loading-overlay\n  [isLoading]=\"expandableControlItem?.loading$ | async\"\n  [diameter]=\"LOADING_DIAMETER\"\n  [strokeWidth]=\"LOADING_STROKE_WIDTH\">\n  <button\n    mat-button\n    [class.mat-raised-button]=\"buttonStyle === 'raised'\"\n    [class.mat-flat-button]=\"buttonStyle === 'flat'\"\n    [class.mat-stroked-button]=\"buttonStyle === 'stroked'\"\n    [color]=\"expandableControlItem?.matColor\"\n    class=\"menu-button\"\n    [disabled]=\"(expandableControlItem?.disabled$ | async) || (expandableControlItem?.loading$ | async)\"\n    [matMenuTriggerFor]=\"controlMenu\"\n  >\n    <sentinel-label [titlecased]=\"titlecased\" [label]=\"expandableControlItem?.label\"></sentinel-label>\n    <mat-icon inline=\"true\">arrow_drop_down</mat-icon>\n  </button>\n</sentinel-loading-overlay>\n\n<mat-menu #controlMenu=\"matMenu\">\n    <button\n      *ngFor=\"let expandedControl of expandableControlItem?.children; trackBy: trackByFn\"\n      mat-menu-item\n      class=\"expanded-menu-item\"\n      [disabled]=\"(expandedControl?.disabled$ | async) || (expandedControl?.loading$ | async)\"\n      (click)=\"onAction(expandedControl)\">\n      <mat-icon>{{ expandedControl?.matIcon }}</mat-icon>\n      <sentinel-label [titlecased]=\"titlecased\" [label]=\"expandedControl?.label\"></sentinel-label>\n    </button>\n</mat-menu>\n" }]
        }], propDecorators: { expandableControlItem: [{
                type: Input
            }], buttonStyle: [{
                type: Input
            }], inMenu: [{
                type: Input
            }], titlecased: [{
                type: Input
            }], itemClicked: [{
                type: Output
            }] } });

class SentinelControlsMaterialModule {
}
SentinelControlsMaterialModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelControlsMaterialModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SentinelControlsMaterialModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: SentinelControlsMaterialModule, imports: [MatButtonModule, MatIconModule, MatMenuModule], exports: [MatButtonModule, MatIconModule, MatMenuModule] });
SentinelControlsMaterialModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelControlsMaterialModule, imports: [MatButtonModule, MatIconModule, MatMenuModule, MatButtonModule, MatIconModule, MatMenuModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelControlsMaterialModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [MatButtonModule, MatIconModule, MatMenuModule],
                    exports: [MatButtonModule, MatIconModule, MatMenuModule],
                }]
        }] });

class SentinelControlItem {
    constructor(id, label, matColor, disabled$, result$, loading$) {
        this.id = id;
        this.label = label;
        this.matColor = matColor;
        this.disabled$ = disabled$ ? disabled$ : of(false);
        this.result$ = result$;
        this.loading$ = loading$;
    }
}

class SentinelExpandableControlItem extends SentinelControlItem {
    constructor(id, label, matColor, disabled$, children) {
        super(id, label, matColor, disabled$, NEVER, combineLatest([...children.filter((child) => child.loading$ !== undefined).map((child) => child.loading$)]).pipe(map((loadingStates) => loadingStates.some((loadingState) => loadingState))));
        this.children = children;
    }
}

class SentinelControlsComponent {
    constructor(config) {
        this.config = config;
        this.titlecased = true;
        this.itemClicked = new EventEmitter();
        this.trackByFn = trackById;
        this.displayedControls = [];
        this.hiddenControls = [];
        this.initFromConfig(config);
    }
    initFromConfig(config) {
        var _a, _b, _c;
        this.buttonStyle = (_a = config === null || config === void 0 ? void 0 : config.buttonStyle) !== null && _a !== void 0 ? _a : 'flat';
        this.align = (_b = config === null || config === void 0 ? void 0 : config.align) !== null && _b !== void 0 ? _b : 'right';
        this.maxItemsCount = (_c = config === null || config === void 0 ? void 0 : config.maxItemsCount) !== null && _c !== void 0 ? _c : 100;
        if ((config === null || config === void 0 ? void 0 : config.withMargin) === undefined) {
            this.withMargin = true;
        }
        else {
            this.withMargin = config.withMargin;
        }
        if ((config === null || config === void 0 ? void 0 : config.titlecased) === undefined) {
            this.titlecased = true;
        }
        else {
            this.titlecased = config.titlecased;
        }
        this.setControls();
    }
    ngOnChanges(changes) {
        if ('controls' in changes && this.controls) {
            this.setControls();
        }
        if ('maxItemsCount' && this.maxItemsCount !== undefined) {
            this.setControls();
        }
    }
    onAction(control) {
        this.itemClicked.emit(control);
    }
    isExpandable(control) {
        return control instanceof SentinelExpandableControlItem;
    }
    setControls() {
        var _a, _b, _c;
        if (this.controls) {
            const itemsCount = (_c = (_a = this.maxItemsCount) !== null && _a !== void 0 ? _a : (_b = this.config) === null || _b === void 0 ? void 0 : _b.maxItemsCount) !== null && _c !== void 0 ? _c : 0;
            this.displayedControls = this.controls.slice(0, itemsCount);
            this.hiddenControls = this.controls.slice(itemsCount);
        }
    }
}
SentinelControlsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelControlsComponent, deps: [{ token: SENTINEL_CONTROLS_CONFIG, optional: true }], target: i0.ɵɵFactoryTarget.Component });
SentinelControlsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: SentinelControlsComponent, selector: "sentinel-controls", inputs: { controls: "controls", buttonStyle: "buttonStyle", maxItemsCount: "maxItemsCount", align: "align", withMargin: "withMargin", titlecased: "titlecased" }, outputs: { itemClicked: "itemClicked" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"controls\" [ngClass]=\"[align, withMargin ? 'with-margin': 'no-margin']\">\n  <ng-container *ngTemplateOutlet=\"controlsListTemplate; context: { $implicit: displayedControls, inMenu: false }\"></ng-container>\n  <ng-container *ngIf='hiddenControls?.length > 0'>\n    <ng-container *ngTemplateOutlet=\"hiddenControlsTemplate\"></ng-container>\n  </ng-container>\n</div>\n\n\n<ng-template #controlsListTemplate let-controls let-inMenu=\"inMenu\">\n  <ng-container *ngFor=\"let control of controls; let i = index; trackBy: trackByFn\">\n    <ng-container *ngIf=\"isExpandable(control); else basicButton\">\n      <sentinel-expandable-control-item\n        [expandableControlItem]=\"control\"\n        [buttonStyle]=\"buttonStyle\"\n        [inMenu]=\"inMenu\"\n        [titlecased]=\"titlecased\"\n        (itemClicked)=\"onAction($event)\">\n      </sentinel-expandable-control-item>\n    </ng-container>\n    <ng-template #basicButton>\n      <sentinel-basic-control-button\n        [buttonStyle]=\"buttonStyle\"\n        [controlItem]=\"control\"\n        [inMenu]=\"inMenu\"\n        [titlecased]=\"titlecased\"\n        (actionClicked)=\"onAction($event)\">\n      </sentinel-basic-control-button>\n    </ng-template>\n  </ng-container>\n</ng-template>\n\n\n<ng-template #hiddenControlsTemplate>\n  <button class='show-menu' mat-icon-button [matMenuTriggerFor]=\"menu\">\n    <mat-icon>more_vert</mat-icon>\n  </button>\n  <mat-menu #menu=\"matMenu\">\n    <ng-container *ngFor=\"let control of hiddenControls; let i = index; trackBy: trackByFn\">\n      <ng-container *ngIf=\"isExpandable(control); else basicButton\">\n        <ng-container *ngTemplateOutlet=\"nestedMenu; context: { $implicit: control }\"></ng-container>\n      </ng-container>\n      <ng-template #basicButton>\n        <sentinel-basic-control-button [controlItem]=\"control\" [inMenu]=\"true\" [titlecased]=\"titlecased\" (actionClicked)=\"onAction($event)\">\n        </sentinel-basic-control-button>\n      </ng-template>\n\n\n      <!-- Needs to be added as a template here because matMenu is buggy when split\n       across multiple Angular components -->\n      <ng-template #nestedMenu let-expandableControlItem>\n        <button mat-menu-item\n                [matMenuTriggerFor]=\"nestedControlMenu\"\n                class=\"menu-button\"\n                [disabled]=\"expandableControlItem?.disabled$ | async\">\n          <sentinel-label [titlecased]=\"titlecased\" [label]=\"expandableControlItem?.label\"></sentinel-label>\n        </button>\n\n        <mat-menu #nestedControlMenu=\"matMenu\">\n          <button\n            *ngFor=\"let expandedControl of expandableControlItem?.children; trackBy: trackByFn\"\n            mat-menu-item\n            class=\"expanded-menu-item\"\n            [disabled]=\"expandedControl?.disabled$ | async\"\n            (click)=\"onAction(expandedControl)\"\n          >\n            <mat-icon>{{ expandedControl?.matIcon }}</mat-icon>\n            <sentinel-label [titlecased]=\"titlecased\" [label]=\"expandedControl?.label\"></sentinel-label>\n          </button>\n        </mat-menu>\n      </ng-template>\n\n    </ng-container>\n  </mat-menu>\n</ng-template>\n\n\n", styles: [".controls{display:flex}.controls.with-margin{margin-bottom:10px}.controls.left{justify-content:flex-start}.controls.right{justify-content:flex-end}.controls.center{justify-content:center}.controls.left>*{margin-right:10px}.controls.right>*{margin-left:10px}.controls.center>*:not(:first-child):not(:last-child){margin-left:5px;margin-right:5px}.controls.center>*:first-child{margin-right:5px}.controls.center>*:last-child{margin-left:5px}.show-menu.mat-icon-button{height:35px;width:35px;line-height:35px}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: i2.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i3.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i4.MatMenu, selector: "mat-menu", exportAs: ["matMenu"] }, { kind: "component", type: i4.MatMenuItem, selector: "[mat-menu-item]", inputs: ["disabled", "disableRipple", "role"], exportAs: ["matMenuItem"] }, { kind: "directive", type: i4.MatMenuTrigger, selector: "[mat-menu-trigger-for], [matMenuTriggerFor]", exportAs: ["matMenuTrigger"] }, { kind: "component", type: i5.LabelComponent, selector: "sentinel-label", inputs: ["titlecased", "label"] }, { kind: "component", type: BasicControlItemComponent, selector: "sentinel-basic-control-button", inputs: ["controlItem", "buttonStyle", "inMenu", "titlecased"], outputs: ["actionClicked"] }, { kind: "component", type: ExpandableControlItemComponent, selector: "sentinel-expandable-control-item", inputs: ["expandableControlItem", "buttonStyle", "inMenu", "titlecased"], outputs: ["itemClicked"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelControlsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-controls', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"controls\" [ngClass]=\"[align, withMargin ? 'with-margin': 'no-margin']\">\n  <ng-container *ngTemplateOutlet=\"controlsListTemplate; context: { $implicit: displayedControls, inMenu: false }\"></ng-container>\n  <ng-container *ngIf='hiddenControls?.length > 0'>\n    <ng-container *ngTemplateOutlet=\"hiddenControlsTemplate\"></ng-container>\n  </ng-container>\n</div>\n\n\n<ng-template #controlsListTemplate let-controls let-inMenu=\"inMenu\">\n  <ng-container *ngFor=\"let control of controls; let i = index; trackBy: trackByFn\">\n    <ng-container *ngIf=\"isExpandable(control); else basicButton\">\n      <sentinel-expandable-control-item\n        [expandableControlItem]=\"control\"\n        [buttonStyle]=\"buttonStyle\"\n        [inMenu]=\"inMenu\"\n        [titlecased]=\"titlecased\"\n        (itemClicked)=\"onAction($event)\">\n      </sentinel-expandable-control-item>\n    </ng-container>\n    <ng-template #basicButton>\n      <sentinel-basic-control-button\n        [buttonStyle]=\"buttonStyle\"\n        [controlItem]=\"control\"\n        [inMenu]=\"inMenu\"\n        [titlecased]=\"titlecased\"\n        (actionClicked)=\"onAction($event)\">\n      </sentinel-basic-control-button>\n    </ng-template>\n  </ng-container>\n</ng-template>\n\n\n<ng-template #hiddenControlsTemplate>\n  <button class='show-menu' mat-icon-button [matMenuTriggerFor]=\"menu\">\n    <mat-icon>more_vert</mat-icon>\n  </button>\n  <mat-menu #menu=\"matMenu\">\n    <ng-container *ngFor=\"let control of hiddenControls; let i = index; trackBy: trackByFn\">\n      <ng-container *ngIf=\"isExpandable(control); else basicButton\">\n        <ng-container *ngTemplateOutlet=\"nestedMenu; context: { $implicit: control }\"></ng-container>\n      </ng-container>\n      <ng-template #basicButton>\n        <sentinel-basic-control-button [controlItem]=\"control\" [inMenu]=\"true\" [titlecased]=\"titlecased\" (actionClicked)=\"onAction($event)\">\n        </sentinel-basic-control-button>\n      </ng-template>\n\n\n      <!-- Needs to be added as a template here because matMenu is buggy when split\n       across multiple Angular components -->\n      <ng-template #nestedMenu let-expandableControlItem>\n        <button mat-menu-item\n                [matMenuTriggerFor]=\"nestedControlMenu\"\n                class=\"menu-button\"\n                [disabled]=\"expandableControlItem?.disabled$ | async\">\n          <sentinel-label [titlecased]=\"titlecased\" [label]=\"expandableControlItem?.label\"></sentinel-label>\n        </button>\n\n        <mat-menu #nestedControlMenu=\"matMenu\">\n          <button\n            *ngFor=\"let expandedControl of expandableControlItem?.children; trackBy: trackByFn\"\n            mat-menu-item\n            class=\"expanded-menu-item\"\n            [disabled]=\"expandedControl?.disabled$ | async\"\n            (click)=\"onAction(expandedControl)\"\n          >\n            <mat-icon>{{ expandedControl?.matIcon }}</mat-icon>\n            <sentinel-label [titlecased]=\"titlecased\" [label]=\"expandedControl?.label\"></sentinel-label>\n          </button>\n        </mat-menu>\n      </ng-template>\n\n    </ng-container>\n  </mat-menu>\n</ng-template>\n\n\n", styles: [".controls{display:flex}.controls.with-margin{margin-bottom:10px}.controls.left{justify-content:flex-start}.controls.right{justify-content:flex-end}.controls.center{justify-content:center}.controls.left>*{margin-right:10px}.controls.right>*{margin-left:10px}.controls.center>*:not(:first-child):not(:last-child){margin-left:5px;margin-right:5px}.controls.center>*:first-child{margin-right:5px}.controls.center>*:last-child{margin-left:5px}.show-menu.mat-icon-button{height:35px;width:35px;line-height:35px}\n"] }]
        }], ctorParameters: function () {
        return [{ type: undefined, decorators: [{
                        type: Optional
                    }, {
                        type: Inject,
                        args: [SENTINEL_CONTROLS_CONFIG]
                    }] }];
    }, propDecorators: { controls: [{
                type: Input
            }], buttonStyle: [{
                type: Input
            }], maxItemsCount: [{
                type: Input
            }], align: [{
                type: Input
            }], withMargin: [{
                type: Input
            }], titlecased: [{
                type: Input
            }], itemClicked: [{
                type: Output
            }] } });

class SentinelControlsModule {
}
SentinelControlsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelControlsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SentinelControlsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: SentinelControlsModule, declarations: [SentinelControlsComponent, BasicControlItemComponent, ExpandableControlItemComponent], imports: [CommonModule, SentinelControlsMaterialModule, SentinelLabelModule, SentinelLoadingModule], exports: [SentinelControlsComponent] });
SentinelControlsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelControlsModule, imports: [CommonModule, SentinelControlsMaterialModule, SentinelLabelModule, SentinelLoadingModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelControlsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, SentinelControlsMaterialModule, SentinelLabelModule, SentinelLoadingModule],
                    declarations: [SentinelControlsComponent, BasicControlItemComponent, ExpandableControlItemComponent],
                    exports: [SentinelControlsComponent],
                }]
        }] });

class SentinelControlMenuItem extends SentinelControlItem {
    constructor(id, label, matColor, disabled$, action$, matIcon, loading$) {
        super(id, label, matColor, disabled$, action$, loading$);
        this.matIcon = matIcon;
    }
}

/*
 * Public API Surface of @sentinel/components/controls
 */

/**
 * Generated bundle index. Do not edit.
 */

export { SentinelControlItem, SentinelControlMenuItem, SentinelControlsComponent, SentinelControlsModule, SentinelExpandableControlItem };
//# sourceMappingURL=sentinel-components-controls.mjs.map
