import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Component, Inject, NgModule } from '@angular/core';
import * as i3 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i1 from '@angular/material/dialog';
import { MAT_DIALOG_DATA, MatDialogModule } from '@angular/material/dialog';

var SentinelDialogResultEnum;
(function (SentinelDialogResultEnum) {
    SentinelDialogResultEnum["CONFIRMED"] = "confirmed";
    SentinelDialogResultEnum["DISMISSED"] = "dismissed";
})(SentinelDialogResultEnum || (SentinelDialogResultEnum = {}));

class SentinelConfirmationDialogConfig {
    constructor(title, message, cancelButtonLabel, confirmButtonLabel) {
        this.title = title;
        this.message = message;
        this.cancelButtonLabel = cancelButtonLabel;
        this.confirmButtonLabel = confirmButtonLabel;
    }
}

class SentinelConfirmationDialogComponent {
    constructor(dialogRef, data) {
        this.dialogRef = dialogRef;
        this.data = data;
    }
    /**
     * Closes the dialogs with confirm result
     */
    confirm() {
        this.dialogRef.close(SentinelDialogResultEnum.CONFIRMED);
    }
    /**
     * Closes the dialogs with dismissed result
     */
    cancel() {
        this.dialogRef.close(SentinelDialogResultEnum.DISMISSED);
    }
}
SentinelConfirmationDialogComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelConfirmationDialogComponent, deps: [{ token: i1.MatDialogRef }, { token: MAT_DIALOG_DATA }], target: i0.ɵɵFactoryTarget.Component });
SentinelConfirmationDialogComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: SentinelConfirmationDialogComponent, selector: "sentinel-action-confirmation-dialog", ngImport: i0, template: "<h1 mat-dialog-title class=\"mat-h1\">{{ data?.title | titlecase }}</h1>\n<div class=\"mat-typography\" mat-dialog-content>\n  <p>{{ data?.message }}</p>\n</div>\n<div class=\"mat-typography\" mat-dialog-actions>\n  <button *ngIf=\"data.cancelButtonLabel\" mat-button color=\"primary\" (click)=\"cancel()\">\n    {{ data?.cancelButtonLabel }}\n  </button>\n  <span *ngIf=\"data.cancelButtonLabel\" class=\"spacer\"></span>\n  <button *ngIf=\"data.confirmButtonLabel\" mat-button color=\"primary\" (click)=\"confirm()\">\n    {{ data?.confirmButtonLabel }}\n  </button>\n</div>\n", styles: [".spacer{flex:1 1 auto}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i3.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "directive", type: i1.MatDialogTitle, selector: "[mat-dialog-title], [matDialogTitle]", inputs: ["id"], exportAs: ["matDialogTitle"] }, { kind: "directive", type: i1.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { kind: "directive", type: i1.MatDialogActions, selector: "[mat-dialog-actions], mat-dialog-actions, [matDialogActions]", inputs: ["align"] }, { kind: "pipe", type: i2.TitleCasePipe, name: "titlecase" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelConfirmationDialogComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-action-confirmation-dialog', template: "<h1 mat-dialog-title class=\"mat-h1\">{{ data?.title | titlecase }}</h1>\n<div class=\"mat-typography\" mat-dialog-content>\n  <p>{{ data?.message }}</p>\n</div>\n<div class=\"mat-typography\" mat-dialog-actions>\n  <button *ngIf=\"data.cancelButtonLabel\" mat-button color=\"primary\" (click)=\"cancel()\">\n    {{ data?.cancelButtonLabel }}\n  </button>\n  <span *ngIf=\"data.cancelButtonLabel\" class=\"spacer\"></span>\n  <button *ngIf=\"data.confirmButtonLabel\" mat-button color=\"primary\" (click)=\"confirm()\">\n    {{ data?.confirmButtonLabel }}\n  </button>\n</div>\n", styles: [".spacer{flex:1 1 auto}\n"] }]
        }], ctorParameters: function () {
        return [{ type: i1.MatDialogRef }, { type: SentinelConfirmationDialogConfig, decorators: [{
                        type: Inject,
                        args: [MAT_DIALOG_DATA]
                    }] }];
    } });

class SentinelConfirmationDialogModule {
}
SentinelConfirmationDialogModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelConfirmationDialogModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SentinelConfirmationDialogModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: SentinelConfirmationDialogModule, declarations: [SentinelConfirmationDialogComponent], imports: [CommonModule, MatButtonModule, MatDialogModule], exports: [SentinelConfirmationDialogComponent] });
SentinelConfirmationDialogModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelConfirmationDialogModule, imports: [CommonModule, MatButtonModule, MatDialogModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelConfirmationDialogModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, MatButtonModule, MatDialogModule],
                    declarations: [SentinelConfirmationDialogComponent],
                    exports: [SentinelConfirmationDialogComponent],
                }]
        }] });

/**
 * Public API of @sentinel/components/dialogs
 */

/**
 * Generated bundle index. Do not edit.
 */

export { SentinelConfirmationDialogComponent, SentinelConfirmationDialogConfig, SentinelConfirmationDialogModule, SentinelDialogResultEnum };
//# sourceMappingURL=sentinel-components-dialogs.mjs.map
