import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@angular/material/progress-bar';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import * as i2$1 from '@angular/material/progress-spinner';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';

/**
 * Wraps the content and displays loading bar above it
 */
class SentinelLoadingWrapperComponent {
    constructor() {
        this.color = 'accent';
    }
}
SentinelLoadingWrapperComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelLoadingWrapperComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
SentinelLoadingWrapperComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: SentinelLoadingWrapperComponent, selector: "sentinel-loading-wrapper", inputs: { isLoading: "isLoading", color: "color" }, ngImport: i0, template: "<mat-progress-bar *ngIf=\"isLoading; else loadingPlaceholder\" [color]=\"color\" mode=\"indeterminate\"></mat-progress-bar>\n<ng-content></ng-content>\n<ng-template #loadingPlaceholder>\n  <div class=\"sentinel-loading-placeholder\"></div>\n</ng-template>\n", styles: [".sentinel-loading-placeholder{width:100%;height:4px}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i2.MatProgressBar, selector: "mat-progress-bar", inputs: ["color", "value", "bufferValue", "mode"], outputs: ["animationEnd"], exportAs: ["matProgressBar"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelLoadingWrapperComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-loading-wrapper', changeDetection: ChangeDetectionStrategy.OnPush, template: "<mat-progress-bar *ngIf=\"isLoading; else loadingPlaceholder\" [color]=\"color\" mode=\"indeterminate\"></mat-progress-bar>\n<ng-content></ng-content>\n<ng-template #loadingPlaceholder>\n  <div class=\"sentinel-loading-placeholder\"></div>\n</ng-template>\n", styles: [".sentinel-loading-placeholder{width:100%;height:4px}\n"] }]
        }], propDecorators: { isLoading: [{
                type: Input
            }], color: [{
                type: Input
            }] } });

class SentinelLoadingOverlayComponent {
    constructor() {
        this.color = 'accent';
        this.strokeWidth = 5;
        this.diameter = 50;
    }
}
SentinelLoadingOverlayComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelLoadingOverlayComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
SentinelLoadingOverlayComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: SentinelLoadingOverlayComponent, selector: "sentinel-loading-overlay", inputs: { isLoading: "isLoading", color: "color", strokeWidth: "strokeWidth", diameter: "diameter" }, ngImport: i0, template: "<div class=\"loading-overlay\">\n  <mat-progress-spinner *ngIf=\"isLoading\"\n                        mode=\"indeterminate\"\n                        [color]=\"color\"\n                        [diameter]=\"diameter\"\n                        [strokeWidth]=\"strokeWidth\">\n  </mat-progress-spinner>\n  <div class=\"overlayed-content\" [ngClass]=\"{ 'disabled-content': isLoading}\">\n    <ng-content></ng-content>\n  </div>\n</div>\n", styles: [".loading-overlay{display:flex;flex-direction:column;justify-content:center;align-items:center}mat-progress-spinner{position:absolute;z-index:999}.overlayed-content{width:100%}.disabled-content{opacity:.3;pointer-events:none;-webkit-user-select:none;user-select:none}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i2$1.MatProgressSpinner, selector: "mat-progress-spinner, mat-spinner", inputs: ["color", "diameter", "strokeWidth", "mode", "value"], exportAs: ["matProgressSpinner"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelLoadingOverlayComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-loading-overlay', template: "<div class=\"loading-overlay\">\n  <mat-progress-spinner *ngIf=\"isLoading\"\n                        mode=\"indeterminate\"\n                        [color]=\"color\"\n                        [diameter]=\"diameter\"\n                        [strokeWidth]=\"strokeWidth\">\n  </mat-progress-spinner>\n  <div class=\"overlayed-content\" [ngClass]=\"{ 'disabled-content': isLoading}\">\n    <ng-content></ng-content>\n  </div>\n</div>\n", styles: [".loading-overlay{display:flex;flex-direction:column;justify-content:center;align-items:center}mat-progress-spinner{position:absolute;z-index:999}.overlayed-content{width:100%}.disabled-content{opacity:.3;pointer-events:none;-webkit-user-select:none;user-select:none}\n"] }]
        }], propDecorators: { isLoading: [{
                type: Input
            }], color: [{
                type: Input
            }], strokeWidth: [{
                type: Input
            }], diameter: [{
                type: Input
            }] } });

class SentinelLoadingModule {
}
SentinelLoadingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelLoadingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SentinelLoadingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: SentinelLoadingModule, declarations: [SentinelLoadingWrapperComponent, SentinelLoadingOverlayComponent], imports: [CommonModule, MatProgressBarModule, MatProgressSpinnerModule], exports: [SentinelLoadingWrapperComponent, SentinelLoadingOverlayComponent] });
SentinelLoadingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelLoadingModule, imports: [CommonModule, MatProgressBarModule, MatProgressSpinnerModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelLoadingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [SentinelLoadingWrapperComponent, SentinelLoadingOverlayComponent],
                    imports: [CommonModule, MatProgressBarModule, MatProgressSpinnerModule],
                    exports: [SentinelLoadingWrapperComponent, SentinelLoadingOverlayComponent],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { SentinelLoadingModule, SentinelLoadingOverlayComponent, SentinelLoadingWrapperComponent };
//# sourceMappingURL=sentinel-components-loading.mjs.map
