import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { NgModule, Directive, Input, EventEmitter, Component, ChangeDetectionStrategy, Output, ContentChild, ViewChild, ViewChildren } from '@angular/core';
import * as i2 from '@angular/forms';
import { UntypedFormControl, FormsModule, ReactiveFormsModule } from '@angular/forms';
import * as i4 from '@angular/material/autocomplete';
import { MatAutocompleteModule, MatAutocompleteTrigger } from '@angular/material/autocomplete';
import { MatButtonModule } from '@angular/material/button';
import * as i7 from '@angular/material/chips';
import { MatChipsModule } from '@angular/material/chips';
import * as i3 from '@angular/material/form-field';
import { MatFormFieldModule } from '@angular/material/form-field';
import * as i8 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i6 from '@angular/material/input';
import { MatInputModule } from '@angular/material/input';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import * as i9 from '@angular/material/checkbox';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { takeWhile, filter, debounceTime } from 'rxjs/operators';
import { SentinelBaseDirective } from '@sentinel/common';
import { trackByIndex } from '@sentinel/common/utils';
import * as i5 from '@angular/material/core';
import * as i10 from '@sentinel/components/loading';
import { SentinelLoadingModule } from '@sentinel/components/loading';
import * as i11 from '@angular/material/select';
import { MatSelectModule } from '@angular/material/select';

class SentinelResourceSelectorMaterialModule {
}
SentinelResourceSelectorMaterialModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelResourceSelectorMaterialModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SentinelResourceSelectorMaterialModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: SentinelResourceSelectorMaterialModule, imports: [MatButtonModule,
        MatFormFieldModule,
        MatAutocompleteModule,
        MatInputModule,
        MatChipsModule,
        MatIconModule,
        MatProgressSpinnerModule,
        MatCheckboxModule], exports: [MatButtonModule,
        MatFormFieldModule,
        MatAutocompleteModule,
        MatInputModule,
        MatChipsModule,
        MatIconModule,
        MatProgressSpinnerModule,
        MatCheckboxModule] });
SentinelResourceSelectorMaterialModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelResourceSelectorMaterialModule, imports: [MatButtonModule,
        MatFormFieldModule,
        MatAutocompleteModule,
        MatInputModule,
        MatChipsModule,
        MatIconModule,
        MatProgressSpinnerModule,
        MatCheckboxModule, MatButtonModule,
        MatFormFieldModule,
        MatAutocompleteModule,
        MatInputModule,
        MatChipsModule,
        MatIconModule,
        MatProgressSpinnerModule,
        MatCheckboxModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelResourceSelectorMaterialModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        MatButtonModule,
                        MatFormFieldModule,
                        MatAutocompleteModule,
                        MatInputModule,
                        MatChipsModule,
                        MatIconModule,
                        MatProgressSpinnerModule,
                        MatCheckboxModule,
                    ],
                    exports: [
                        MatButtonModule,
                        MatFormFieldModule,
                        MatAutocompleteModule,
                        MatInputModule,
                        MatChipsModule,
                        MatIconModule,
                        MatProgressSpinnerModule,
                        MatCheckboxModule,
                    ],
                }]
        }] });

class SentinelSelectorElementDirective {
    set sentinelSelectorElement(templateRef) {
        this._template = templateRef;
    }
    get template() {
        return this._template;
    }
}
SentinelSelectorElementDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelSelectorElementDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
SentinelSelectorElementDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.12", type: SentinelSelectorElementDirective, selector: "[sentinelSelectorElement]", inputs: { sentinelSelectorElement: "sentinelSelectorElement" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelSelectorElementDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[sentinelSelectorElement]',
                }]
        }], propDecorators: { sentinelSelectorElement: [{
                type: Input
            }] } });

class SentinelSelectorSelectedElementDirective {
    set sentinelSelectorSelectedElement(templateRef) {
        this._template = templateRef;
    }
    get template() {
        return this._template;
    }
}
SentinelSelectorSelectedElementDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelSelectorSelectedElementDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
SentinelSelectorSelectedElementDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.12", type: SentinelSelectorSelectedElementDirective, selector: "[sentinelSelectorSelectedElement]", inputs: { sentinelSelectorSelectedElement: "sentinelSelectorSelectedElement" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelSelectorSelectedElementDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[sentinelSelectorSelectedElement]',
                }]
        }], propDecorators: { sentinelSelectorSelectedElement: [{
                type: Input
            }] } });

/**
 * Generic reusable component for selection of generic resource with autocomplete, chips and other material components
 */
class SentinelResourceSelectorComponent extends SentinelBaseDirective {
    constructor() {
        super(...arguments);
        this.multiSelection = true;
        this.appearance = 'standard';
        this.required = false;
        /**
         * Determines style of fitting of the icon in selector. If set to 'center', it will make the icon smaller that the bounding
         * element and fit in in its centre. If set to 'full' it will try to fit whole icon in its bounding element.
         */
        this.fitIcon = 'center';
        this.compactMode = false;
        /**
         * Function for tracking items in *ngFor. Defaults to tracking by index
         */
        this.trackByFn = trackByIndex;
        this.cleanInputOnSelection = true;
        /**
         * Event emitter emitting all selected resource every time, change is made
         */
        this.selectionChange = new EventEmitter();
        this.singleSelectionChange = new EventEmitter();
        /**
         * Event emitter emitting event with search input from resource every time, input is changed
         */
        this.fetch = new EventEmitter();
        this.validityChange = new EventEmitter();
        this.resourceControl = new UntypedFormControl();
        this.selectedResources = [];
        this.selectedCheckboxes = [];
        this.internalIsLoading = false;
        this.externalLoadingSet = false;
        this.valid = this.required;
        this.DUE_TIME = 300;
    }
    ngOnInit() {
        this.resourceControl.valueChanges
            .pipe(takeWhile(() => this.isAlive), filter((value) => typeof value === 'string'), debounceTime(this.DUE_TIME))
            .subscribe((value) => this.search(value));
    }
    ngOnChanges(changes) {
        if ('isLoading' in changes) {
            this.externalLoadingSet = true;
        }
        if ('resources' in changes && this.resources && !this.externalLoadingSet) {
            this.internalIsLoading = false;
        }
        if ('selected' in changes) {
            this.selectedResources = this.selected;
        }
        if ('singleSelected' in changes) {
            this.selectedResource = this.singleSelected;
        }
    }
    /**
     * Emits event to fetch resources based on search bar input
     * @param filter value based on which resources should be filtered
     */
    search(filter) {
        this.fetch.emit(filter);
        this.onSearch();
    }
    searchByLastValue() {
        const searchValue = typeof this.resourceControl.value === 'string' ? this.resourceControl.value : '';
        this.fetch.emit(searchValue);
        this.onSearch();
    }
    /**
     * Selects resource and emits event
     * @param event containing information if selection was done by user
     * @param resource selected resource
     */
    resourceSelected(event, resource) {
        if (event.isUserInput) {
            this.selectedResources.push(resource);
            this.selectionChange.emit(this.selectedResources);
            this.onResourceSelected();
        }
    }
    singleResourceSelected(event, resource) {
        if (event.isUserInput) {
            this.selectedResource = resource;
            this.singleSelectionChange.emit(this.selectedResource);
            this.selectionChange.emit(this.selectedResource ? [this.selectedResource] : []);
            this.onResourceSelected();
        }
    }
    onResourceSelected() {
        this.updateValidity();
        if (this.cleanInputOnSelection) {
            this.resetFilter();
        }
    }
    /**
     * Selects resources with checkboxes
     * @param event checkbox check event
     * @param resource selected/unselected resource
     */
    resourceSelectedByCheckbox(event, resource) {
        if (event.checked) {
            this.selectedResources.push(resource);
        }
        else {
            const resourceToRemoveIndex = this.selectedResources.indexOf(resource, 0);
            this.selectedResources.splice(resourceToRemoveIndex, 1);
        }
        this.selectionChange.emit(this.selectedResources);
        this.updateValidity();
    }
    /**
     * Removes selection of a resource
     * @param index index of a resource to be removed
     */
    removeSelected(index) {
        this.selectedResources.splice(index, 1);
        this.selectedCheckboxes.splice(index, 1);
        this.selectionChange.emit(this.selectedResources);
        this.updateValidity();
    }
    /**
     * Returns true if resource is already selected, false otherwise. Compares based on ID provided in resource mapping
     * @param resource resource to compare
     */
    alreadySelected(resource) {
        const matching = this.selectedResources.find((selected) => this.identity ? this.identity(selected, resource) : this.defaultIdentity(selected, resource));
        return matching !== undefined;
    }
    defaultIdentity(a, b) {
        const identifier = this.resourceMapping ? this.resourceMapping.id : 'id';
        return a[identifier] === b[identifier];
    }
    onSearch() {
        if (!this.externalLoadingSet) {
            this.internalIsLoading = true;
        }
    }
    resetFilter() {
        this.userInput.nativeElement.value = '';
        this.resourceControl.setValue('');
    }
    updateValidity() {
        if (this.multiSelection) {
            if (this.required) {
                this.valid = this.required && this.selectedResources.length > 0;
                this.validityChange.emit(this.valid);
            }
            else {
                this.valid = true;
                this.validityChange.emit(this.valid);
            }
        }
        else {
            if (this.required) {
                this.valid = this.selectedResource !== undefined && this.selectedResource !== null;
                this.validityChange.emit(this.valid);
            }
            else {
                this.valid = true;
                this.validityChange.emit(this.valid);
            }
        }
    }
}
SentinelResourceSelectorComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelResourceSelectorComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
SentinelResourceSelectorComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: SentinelResourceSelectorComponent, selector: "sentinel-resource-selector", inputs: { resources: "resources", multiSelection: "multiSelection", resourceMapping: "resourceMapping", appearance: "appearance", searchPlaceholder: "searchPlaceholder", label: "label", required: "required", selected: "selected", singleSelected: "singleSelected", fitIcon: "fitIcon", isLoading: "isLoading", compactMode: "compactMode", trackByFn: "trackByFn", identity: "identity", cleanInputOnSelection: "cleanInputOnSelection" }, outputs: { selectionChange: "selectionChange", singleSelectionChange: "singleSelectionChange", fetch: "fetch", validityChange: "validityChange" }, queries: [{ propertyName: "elementDirective", first: true, predicate: SentinelSelectorElementDirective, descendants: true }, { propertyName: "selectedElementDirective", first: true, predicate: SentinelSelectorSelectedElementDirective, descendants: true }], viewQueries: [{ propertyName: "userInput", first: true, predicate: ["resourceInput"], descendants: true }, { propertyName: "autocomplete", first: true, predicate: MatAutocompleteTrigger, descendants: true }, { propertyName: "selectionCheckboxes", predicate: ["selectionCheckbox"], descendants: true }], usesInheritance: true, usesOnChanges: true, ngImport: i0, template: "<ng-container [ngTemplateOutlet]=\"multiSelection ? multiSelectionTemplate : singleSelectionTemplate \"></ng-container>\n\n<ng-template #singleSelectionTemplate>\n  <mat-form-field [appearance]=\"appearance\"  class=\"full-width\" (click)=\"searchByLastValue()\">\n    <mat-label *ngIf=\"label\">{{ label }}</mat-label>\n    <mat-select [required]=\"required\">\n      <mat-select-trigger>\n        <ng-container *ngIf=\"selectedResource\">\n          <ng-container\n            [ngTemplateOutlet]=\"selectedElementDirective ? selectedElementDirective.template : defaultSelectedElementContent\"\n            [ngTemplateOutletContext]=\"{ $implicit: selectedResource }\">\n          </ng-container>\n        </ng-container>\n      </mat-select-trigger>\n      <sentinel-loading-wrapper [isLoading]=\"internalIsLoading || isLoading\">\n      <mat-form-field class=\"single-selection-search\">\n          <span matSuffix><mat-icon>search</mat-icon></span>\n          <input\n            #resourceInput\n            matInput\n            [placeholder]=\"searchPlaceholder\"\n            [formControl]=\"resourceControl\"\n          />\n        </mat-form-field>\n        <mat-option (onSelectionChange)=\"singleResourceSelected($event, undefined)\">Clear</mat-option>\n        <mat-option *ngFor=\"let resource of resources;trackBy: trackByFn\"\n                    [value]=\"resource\"\n                    (onSelectionChange)=\"singleResourceSelected($event, resource)\">\n          <div class=\"resource\">\n            <ng-container\n              [ngTemplateOutlet]=\"elementDirective ? elementDirective.template : defaultElementContent\"\n              [ngTemplateOutletContext]=\"{ $implicit: resource }\">\n            </ng-container>\n          </div>\n        </mat-option>\n      </sentinel-loading-wrapper>\n    </mat-select>\n  </mat-form-field>\n</ng-template>\n\n<ng-template #multiSelectionTemplate>\n  <mat-form-field [appearance]=\"appearance\" class=\"full-width\" (click)=\"searchByLastValue()\"\n  >\n    <mat-label *ngIf=\"label\">{{ required ?  label + '*' : label}}</mat-label>\n    <mat-chip-list #resourceChipList aria-label=\"Resource selection\">\n    <mat-chip\n      class=\"resource-chip\"\n      *ngFor=\"let selectedResource of selectedResources; let i = index; trackBy: trackByFn\"\n      removable\n      (removed)=\"removeSelected(i)\"\n    >\n      <ng-container\n        [ngTemplateOutlet]=\"selectedElementDirective ? selectedElementDirective.template : defaultSelectedElementContent\"\n        [ngTemplateOutletContext]=\"{ $implicit: selectedResource }\">\n      </ng-container>\n      <mat-icon matChipRemove>cancel</mat-icon>\n    </mat-chip>\n    <input\n      [placeholder]=\"searchPlaceholder\"\n      #resourceInput\n      [required]=\"required\"\n      [formControl]=\"resourceControl\"\n      [matAutocomplete]=\"auto\"\n      [matChipInputFor]=\"resourceChipList\"\n    />\n  </mat-chip-list>\n  <mat-autocomplete #auto=\"matAutocomplete\">\n    <sentinel-loading-wrapper [isLoading]=\"internalIsLoading || isLoading\">\n      <mat-option\n        *ngFor=\"let resource of resources; index as i; trackBy: trackByFn\"\n        [ngClass]=\"compactMode ? 'compact': 'regular'\"\n        [value]=\"resource\"\n        [disabled]=\"alreadySelected(resource)\"\n        (onSelectionChange)=\"resourceSelected($event, resource)\"\n      >\n        <div class=\"resource\">\n          <div class=\"resource-checkbox-container\">\n            <mat-checkbox\n              class=\"resource-checkbox-selector\"\n              labelPosition=\"before\"\n              #selectionCheckbox\n              [checked]=\"alreadySelected(resource)\"\n              (click)=\"$event.stopPropagation()\"\n              (change)=\"resourceSelectedByCheckbox($event, resource)\"\n            >\n            </mat-checkbox>\n          </div>\n          <ng-container\n            [ngTemplateOutlet]=\"elementDirective ? elementDirective.template : defaultElementContent\"\n            [ngTemplateOutletContext]=\"{ $implicit: resource }\">\n          </ng-container>\n        </div>\n      </mat-option>\n      <mat-option class=\"no-options\" *ngIf=\"(!internalIsLoading || !isLoading) && (!resources || resources.length <= 0)\" disabled\n      >No matches found</mat-option\n      >\n    </sentinel-loading-wrapper>\n  </mat-autocomplete>\n  </mat-form-field>\n</ng-template>\n\n<ng-template #defaultSelectedElementContent let-selectedResource>\n  {{ selectedResource[resourceMapping.title] }}\n</ng-template>\n\n\n<ng-template #defaultElementContent let-resource>\n  <div class=\"resource-picture-container\" *ngIf=\"resource[resourceMapping.icon] || resource[resourceMapping.iconSrc]\">\n    <img *ngIf='resource[resourceMapping.icon] else iconSrcTemplate'\n         [ngClass]=\"fitIcon\"\n         [alt]=\"resource[resourceMapping.title]\"\n         src=\"data:image/png;base64,{{ resource[resourceMapping.icon] }}\"\n    />\n    <ng-template #iconSrcTemplate>\n      <img\n        [ngClass]=\"fitIcon\"\n        [alt]=\"resource[resourceMapping.title]\"\n        [src]='resource[resourceMapping.iconSrc]'\n      />\n    </ng-template>\n  </div>\n  <div class=\"resource-info\">\n    <span class=\"resource-title\">{{ resource[resourceMapping.title] }}</span>\n    <span class=\"resource-subtitle\" *ngIf=\"resourceMapping.subtitle && !compactMode\"\n    >{{ resource[resourceMapping.subtitle] }}</span\n    >\n  </div>\n</ng-template>\n", styles: [".full-width{width:100%}.resource{display:flex;flex-direction:row;align-items:center}.resource-info{display:flex;flex-direction:row;justify-content:space-between;width:100%}.single-selection-search{width:calc(100% - 20px);padding:0 10px;position:sticky;top:0;z-index:1}.resource-subtitle{font-size:90%}.mat-select-panel mat-option.mat-option{height:unset}.mat-option-text.mat-option-text{white-space:normal}.resource-checkbox-container{margin-right:10px;padding-left:10px;padding-right:10px}.resource-picture-container{min-width:30px;min-height:30px;width:30px;height:30px;border-radius:50%;display:flex;align-items:center;justify-content:center;margin-right:20px}.resource-addition-btn-container{display:flex;justify-content:flex-end}img.center{min-width:20px;min-height:20px;width:20px;height:20px;border-radius:50%}img.full{min-width:30px;min-height:30px;width:30px;height:30px;border-radius:50%}mat-option.compact{padding-left:0;padding-right:0}.compact .resource-checkbox-container{margin-right:10px;padding-left:0;padding-right:0}.compact .resource-picture-container{margin-right:10px}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: i3.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i3.MatLabel, selector: "mat-label" }, { kind: "directive", type: i3.MatSuffix, selector: "[matSuffix]" }, { kind: "component", type: i4.MatAutocomplete, selector: "mat-autocomplete", inputs: ["disableRipple"], exportAs: ["matAutocomplete"] }, { kind: "directive", type: i4.MatAutocompleteTrigger, selector: "input[matAutocomplete], textarea[matAutocomplete]", exportAs: ["matAutocompleteTrigger"] }, { kind: "component", type: i5.MatOption, selector: "mat-option", exportAs: ["matOption"] }, { kind: "directive", type: i6.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "component", type: i7.MatChipList, selector: "mat-chip-list", inputs: ["role", "aria-describedby", "errorStateMatcher", "multiple", "compareWith", "value", "required", "placeholder", "disabled", "aria-orientation", "selectable", "tabIndex"], outputs: ["change", "valueChange"], exportAs: ["matChipList"] }, { kind: "directive", type: i7.MatChip, selector: "mat-basic-chip, [mat-basic-chip], mat-chip, [mat-chip]", inputs: ["color", "disableRipple", "tabIndex", "role", "selected", "value", "selectable", "disabled", "removable"], outputs: ["selectionChange", "destroyed", "removed"], exportAs: ["matChip"] }, { kind: "directive", type: i7.MatChipInput, selector: "input[matChipInputFor]", inputs: ["matChipInputFor", "matChipInputAddOnBlur", "matChipInputSeparatorKeyCodes", "placeholder", "id", "disabled"], outputs: ["matChipInputTokenEnd"], exportAs: ["matChipInput", "matChipInputFor"] }, { kind: "directive", type: i7.MatChipRemove, selector: "[matChipRemove]" }, { kind: "component", type: i8.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i9.MatCheckbox, selector: "mat-checkbox", inputs: ["disableRipple", "color", "tabIndex"], exportAs: ["matCheckbox"] }, { kind: "component", type: i10.SentinelLoadingWrapperComponent, selector: "sentinel-loading-wrapper", inputs: ["isLoading", "color"] }, { kind: "component", type: i11.MatSelect, selector: "mat-select", inputs: ["disabled", "disableRipple", "tabIndex"], exportAs: ["matSelect"] }, { kind: "directive", type: i11.MatSelectTrigger, selector: "mat-select-trigger" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelResourceSelectorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-resource-selector', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container [ngTemplateOutlet]=\"multiSelection ? multiSelectionTemplate : singleSelectionTemplate \"></ng-container>\n\n<ng-template #singleSelectionTemplate>\n  <mat-form-field [appearance]=\"appearance\"  class=\"full-width\" (click)=\"searchByLastValue()\">\n    <mat-label *ngIf=\"label\">{{ label }}</mat-label>\n    <mat-select [required]=\"required\">\n      <mat-select-trigger>\n        <ng-container *ngIf=\"selectedResource\">\n          <ng-container\n            [ngTemplateOutlet]=\"selectedElementDirective ? selectedElementDirective.template : defaultSelectedElementContent\"\n            [ngTemplateOutletContext]=\"{ $implicit: selectedResource }\">\n          </ng-container>\n        </ng-container>\n      </mat-select-trigger>\n      <sentinel-loading-wrapper [isLoading]=\"internalIsLoading || isLoading\">\n      <mat-form-field class=\"single-selection-search\">\n          <span matSuffix><mat-icon>search</mat-icon></span>\n          <input\n            #resourceInput\n            matInput\n            [placeholder]=\"searchPlaceholder\"\n            [formControl]=\"resourceControl\"\n          />\n        </mat-form-field>\n        <mat-option (onSelectionChange)=\"singleResourceSelected($event, undefined)\">Clear</mat-option>\n        <mat-option *ngFor=\"let resource of resources;trackBy: trackByFn\"\n                    [value]=\"resource\"\n                    (onSelectionChange)=\"singleResourceSelected($event, resource)\">\n          <div class=\"resource\">\n            <ng-container\n              [ngTemplateOutlet]=\"elementDirective ? elementDirective.template : defaultElementContent\"\n              [ngTemplateOutletContext]=\"{ $implicit: resource }\">\n            </ng-container>\n          </div>\n        </mat-option>\n      </sentinel-loading-wrapper>\n    </mat-select>\n  </mat-form-field>\n</ng-template>\n\n<ng-template #multiSelectionTemplate>\n  <mat-form-field [appearance]=\"appearance\" class=\"full-width\" (click)=\"searchByLastValue()\"\n  >\n    <mat-label *ngIf=\"label\">{{ required ?  label + '*' : label}}</mat-label>\n    <mat-chip-list #resourceChipList aria-label=\"Resource selection\">\n    <mat-chip\n      class=\"resource-chip\"\n      *ngFor=\"let selectedResource of selectedResources; let i = index; trackBy: trackByFn\"\n      removable\n      (removed)=\"removeSelected(i)\"\n    >\n      <ng-container\n        [ngTemplateOutlet]=\"selectedElementDirective ? selectedElementDirective.template : defaultSelectedElementContent\"\n        [ngTemplateOutletContext]=\"{ $implicit: selectedResource }\">\n      </ng-container>\n      <mat-icon matChipRemove>cancel</mat-icon>\n    </mat-chip>\n    <input\n      [placeholder]=\"searchPlaceholder\"\n      #resourceInput\n      [required]=\"required\"\n      [formControl]=\"resourceControl\"\n      [matAutocomplete]=\"auto\"\n      [matChipInputFor]=\"resourceChipList\"\n    />\n  </mat-chip-list>\n  <mat-autocomplete #auto=\"matAutocomplete\">\n    <sentinel-loading-wrapper [isLoading]=\"internalIsLoading || isLoading\">\n      <mat-option\n        *ngFor=\"let resource of resources; index as i; trackBy: trackByFn\"\n        [ngClass]=\"compactMode ? 'compact': 'regular'\"\n        [value]=\"resource\"\n        [disabled]=\"alreadySelected(resource)\"\n        (onSelectionChange)=\"resourceSelected($event, resource)\"\n      >\n        <div class=\"resource\">\n          <div class=\"resource-checkbox-container\">\n            <mat-checkbox\n              class=\"resource-checkbox-selector\"\n              labelPosition=\"before\"\n              #selectionCheckbox\n              [checked]=\"alreadySelected(resource)\"\n              (click)=\"$event.stopPropagation()\"\n              (change)=\"resourceSelectedByCheckbox($event, resource)\"\n            >\n            </mat-checkbox>\n          </div>\n          <ng-container\n            [ngTemplateOutlet]=\"elementDirective ? elementDirective.template : defaultElementContent\"\n            [ngTemplateOutletContext]=\"{ $implicit: resource }\">\n          </ng-container>\n        </div>\n      </mat-option>\n      <mat-option class=\"no-options\" *ngIf=\"(!internalIsLoading || !isLoading) && (!resources || resources.length <= 0)\" disabled\n      >No matches found</mat-option\n      >\n    </sentinel-loading-wrapper>\n  </mat-autocomplete>\n  </mat-form-field>\n</ng-template>\n\n<ng-template #defaultSelectedElementContent let-selectedResource>\n  {{ selectedResource[resourceMapping.title] }}\n</ng-template>\n\n\n<ng-template #defaultElementContent let-resource>\n  <div class=\"resource-picture-container\" *ngIf=\"resource[resourceMapping.icon] || resource[resourceMapping.iconSrc]\">\n    <img *ngIf='resource[resourceMapping.icon] else iconSrcTemplate'\n         [ngClass]=\"fitIcon\"\n         [alt]=\"resource[resourceMapping.title]\"\n         src=\"data:image/png;base64,{{ resource[resourceMapping.icon] }}\"\n    />\n    <ng-template #iconSrcTemplate>\n      <img\n        [ngClass]=\"fitIcon\"\n        [alt]=\"resource[resourceMapping.title]\"\n        [src]='resource[resourceMapping.iconSrc]'\n      />\n    </ng-template>\n  </div>\n  <div class=\"resource-info\">\n    <span class=\"resource-title\">{{ resource[resourceMapping.title] }}</span>\n    <span class=\"resource-subtitle\" *ngIf=\"resourceMapping.subtitle && !compactMode\"\n    >{{ resource[resourceMapping.subtitle] }}</span\n    >\n  </div>\n</ng-template>\n", styles: [".full-width{width:100%}.resource{display:flex;flex-direction:row;align-items:center}.resource-info{display:flex;flex-direction:row;justify-content:space-between;width:100%}.single-selection-search{width:calc(100% - 20px);padding:0 10px;position:sticky;top:0;z-index:1}.resource-subtitle{font-size:90%}.mat-select-panel mat-option.mat-option{height:unset}.mat-option-text.mat-option-text{white-space:normal}.resource-checkbox-container{margin-right:10px;padding-left:10px;padding-right:10px}.resource-picture-container{min-width:30px;min-height:30px;width:30px;height:30px;border-radius:50%;display:flex;align-items:center;justify-content:center;margin-right:20px}.resource-addition-btn-container{display:flex;justify-content:flex-end}img.center{min-width:20px;min-height:20px;width:20px;height:20px;border-radius:50%}img.full{min-width:30px;min-height:30px;width:30px;height:30px;border-radius:50%}mat-option.compact{padding-left:0;padding-right:0}.compact .resource-checkbox-container{margin-right:10px;padding-left:0;padding-right:0}.compact .resource-picture-container{margin-right:10px}\n"] }]
        }], propDecorators: { resources: [{
                type: Input
            }], multiSelection: [{
                type: Input
            }], resourceMapping: [{
                type: Input
            }], appearance: [{
                type: Input
            }], searchPlaceholder: [{
                type: Input
            }], label: [{
                type: Input
            }], required: [{
                type: Input
            }], selected: [{
                type: Input
            }], singleSelected: [{
                type: Input
            }], fitIcon: [{
                type: Input
            }], isLoading: [{
                type: Input
            }], compactMode: [{
                type: Input
            }], trackByFn: [{
                type: Input
            }], identity: [{
                type: Input
            }], cleanInputOnSelection: [{
                type: Input
            }], selectionChange: [{
                type: Output
            }], singleSelectionChange: [{
                type: Output
            }], fetch: [{
                type: Output
            }], validityChange: [{
                type: Output
            }], elementDirective: [{
                type: ContentChild,
                args: [SentinelSelectorElementDirective]
            }], selectedElementDirective: [{
                type: ContentChild,
                args: [SentinelSelectorSelectedElementDirective]
            }], userInput: [{
                type: ViewChild,
                args: ['resourceInput']
            }], autocomplete: [{
                type: ViewChild,
                args: [MatAutocompleteTrigger]
            }], selectionCheckboxes: [{
                type: ViewChildren,
                args: ['selectionCheckbox']
            }] } });

/**
 * Module containing resource selector component
 */
class SentinelResourceSelectorModule {
}
SentinelResourceSelectorModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelResourceSelectorModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SentinelResourceSelectorModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: SentinelResourceSelectorModule, declarations: [SentinelResourceSelectorComponent,
        SentinelSelectorSelectedElementDirective,
        SentinelSelectorElementDirective], imports: [CommonModule,
        FormsModule,
        ReactiveFormsModule,
        SentinelResourceSelectorMaterialModule,
        SentinelLoadingModule,
        MatSelectModule], exports: [SentinelResourceSelectorComponent,
        SentinelSelectorSelectedElementDirective,
        SentinelSelectorElementDirective] });
SentinelResourceSelectorModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelResourceSelectorModule, imports: [CommonModule,
        FormsModule,
        ReactiveFormsModule,
        SentinelResourceSelectorMaterialModule,
        SentinelLoadingModule,
        MatSelectModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelResourceSelectorModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        ReactiveFormsModule,
                        SentinelResourceSelectorMaterialModule,
                        SentinelLoadingModule,
                        MatSelectModule,
                    ],
                    declarations: [
                        SentinelResourceSelectorComponent,
                        SentinelSelectorSelectedElementDirective,
                        SentinelSelectorElementDirective,
                    ],
                    exports: [
                        SentinelResourceSelectorComponent,
                        SentinelSelectorSelectedElementDirective,
                        SentinelSelectorElementDirective,
                    ],
                }]
        }] });

/*
 * Public API Surface of @sentinel/components/resource-selector
 */

/**
 * Generated bundle index. Do not edit.
 */

export { SentinelResourceSelectorComponent, SentinelResourceSelectorModule, SentinelSelectorElementDirective, SentinelSelectorSelectedElementDirective };
//# sourceMappingURL=sentinel-components-resource-selector.mjs.map
