import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Inject, Injectable, HostListener, NgModule } from '@angular/core';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2$1 from 'ngx-cookie-service';
import { CookieService } from 'ngx-cookie-service';
import * as i1 from '@angular/material/dialog';
import { MatDialogConfig, MAT_DIALOG_DATA, MatDialogActions, MatDialogModule } from '@angular/material/dialog';
import * as i3 from '@angular/material/card';
import { MatCardModule } from '@angular/material/card';
import * as i4 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i5 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import { switchMap, tap, finalize, catchError, map, take } from 'rxjs/operators';
import { BehaviorSubject, EMPTY, of, merge, throwError } from 'rxjs';
import * as i1$1 from '@angular/common/http';
import { HttpHeaders } from '@angular/common/http';

var StepDialogResultEnum;
(function (StepDialogResultEnum) {
    StepDialogResultEnum["PREVIOUS"] = "previous";
    StepDialogResultEnum["NEXT"] = "next";
    StepDialogResultEnum["END"] = "end";
})(StepDialogResultEnum || (StepDialogResultEnum = {}));

class Step {
    constructor(positionTop, positionLeft) {
        this.disabledPrevious = false;
        this.disabledNext = false;
        const config = new MatDialogConfig();
        config.position = { left: `${positionLeft.toString()}px`, top: `${positionTop.toString()}px` };
        this.position = config.position;
    }
}

class TourStepDialogComponent {
    constructor(dialogRef, data) {
        this.dialogRef = dialogRef;
        this.data = data;
    }
    previous() {
        this.dialogRef.close(StepDialogResultEnum.PREVIOUS);
    }
    next() {
        this.dialogRef.close(StepDialogResultEnum.NEXT);
    }
    cancel() {
        this.dialogRef.close(StepDialogResultEnum.END);
    }
}
TourStepDialogComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: TourStepDialogComponent, deps: [{ token: i1.MatDialogRef }, { token: MAT_DIALOG_DATA }], target: i0.ɵɵFactoryTarget.Component });
TourStepDialogComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: TourStepDialogComponent, selector: "sentinel-step", ngImport: i0, template: "<div *ngIf=\"data\" class=\"step-content\">\n  <h1 mat-dialog-title class=\"mat-h1\">{{ data?.title | titlecase }}</h1>\n  <h2 mat-card-content class=\"mat-h2\">{{ data?.content }}</h2>\n  <div class=\"step-controls\" mat-dialog-actions>\n    <div class=\"navigation\">\n      <button mat-button (click)=\"previous()\" [disabled]=\"data?.disabledPrevious\">\n        <mat-icon>keyboard_arrow_left</mat-icon>\n      </button>\n      <button mat-button (click)=\"next()\" [disabled]=\"data?.disabledNext\">\n        <mat-icon>keyboard_arrow_right</mat-icon>\n      </button>\n    </div>\n    <button mat-button (click)=\"cancel()\">End</button>\n  </div>\n</div>\n", styles: [".step-content{width:250px;z-index:9999;display:flex;flex-direction:column}.step-controls{display:flex;justify-content:space-between;flex-direction:row}h1{font-size:20px;min-height:40px;line-height:1;margin:0}h2{font-size:14px;line-height:1.6;margin-top:8px;margin-bottom:0;min-height:70px}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3.MatCardContent, selector: "mat-card-content, [mat-card-content], [matCardContent]" }, { kind: "component", type: i4.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i5.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: i1.MatDialogTitle, selector: "[mat-dialog-title], [matDialogTitle]", inputs: ["id"], exportAs: ["matDialogTitle"] }, { kind: "directive", type: i1.MatDialogActions, selector: "[mat-dialog-actions], mat-dialog-actions, [matDialogActions]", inputs: ["align"] }, { kind: "pipe", type: i2.TitleCasePipe, name: "titlecase" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: TourStepDialogComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-step', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div *ngIf=\"data\" class=\"step-content\">\n  <h1 mat-dialog-title class=\"mat-h1\">{{ data?.title | titlecase }}</h1>\n  <h2 mat-card-content class=\"mat-h2\">{{ data?.content }}</h2>\n  <div class=\"step-controls\" mat-dialog-actions>\n    <div class=\"navigation\">\n      <button mat-button (click)=\"previous()\" [disabled]=\"data?.disabledPrevious\">\n        <mat-icon>keyboard_arrow_left</mat-icon>\n      </button>\n      <button mat-button (click)=\"next()\" [disabled]=\"data?.disabledNext\">\n        <mat-icon>keyboard_arrow_right</mat-icon>\n      </button>\n    </div>\n    <button mat-button (click)=\"cancel()\">End</button>\n  </div>\n</div>\n", styles: [".step-content{width:250px;z-index:9999;display:flex;flex-direction:column}.step-controls{display:flex;justify-content:space-between;flex-direction:row}h1{font-size:20px;min-height:40px;line-height:1;margin:0}h2{font-size:14px;line-height:1.6;margin-top:8px;margin-bottom:0;min-height:70px}\n"] }]
        }], ctorParameters: function () {
        return [{ type: i1.MatDialogRef }, { type: Step, decorators: [{
                        type: Inject,
                        args: [MAT_DIALOG_DATA]
                    }] }];
    } });

var TourStatusEnum;
(function (TourStatusEnum) {
    TourStatusEnum["INNER_TOUR"] = "inner";
})(TourStatusEnum || (TourStatusEnum = {}));

class StepPosition {
    constructor(top, left) {
        this.top = top;
        this.left = left;
    }
}

class StepInitializationService {
    constructor() {
        this.DIALOG_WIDTH = 320;
        this.DIALOG_HEIGHT = 300;
        this.onResize();
    }
    static checkStep(position, stepData) {
        if (!position) {
            if (!stepData.dynamic) {
                console.warn(`Tour Guide: Could not find DOM element with id ${stepData.anchorId}, please check your tour configuration`);
            }
            return false;
        }
        return true;
    }
    // eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
    // eslint-disable-next-line @typescript-eslint/no-unused-vars,@typescript-eslint/explicit-module-boundary-types
    onResize(event) {
        this.screenHeight = window.innerHeight;
        this.screenWidth = window.innerWidth;
    }
    /**
     * Creates tour step from provided json data
     * @param stepData json data
     */
    createStep(stepData) {
        const position = this.getStepPosition(stepData.position.selector, stepData.position.className);
        if (!StepInitializationService.checkStep(position, stepData)) {
            return undefined;
        }
        const step = new Step(position.top, position.left);
        step.element = this.getElement(stepData.position.selector, stepData.position.className);
        step.title = stepData.title;
        step.content = stepData.content;
        step.selector = stepData.position.selector;
        step.className = stepData.position.className;
        return step;
    }
    /**
     * Checks if dialog window won't be displayed out of a user screen and computes new position in such case
     * @param topPosition
     * @param leftPosition left position where dialog should appear
     */
    checkPosition(topPosition, leftPosition) {
        if (this.screenWidth - (leftPosition + this.DIALOG_HEIGHT) < 0) {
            // position of dialog + it's width
            leftPosition -= leftPosition + this.DIALOG_WIDTH - this.screenWidth; // position with small padding
        }
        if (this.screenHeight - (topPosition + this.DIALOG_HEIGHT) < 0) {
            // position of dialog + it's height
            topPosition -= topPosition + this.DIALOG_HEIGHT - this.screenHeight;
        }
        return new StepPosition(topPosition, leftPosition);
    }
    getStepPosition(selector, className) {
        let element;
        element = this.getElement(selector, className);
        if (element) {
            element = element.getBoundingClientRect();
        }
        else {
            return undefined;
        }
        //  dialog top position is increased because it would have covered the element otherwise
        return this.checkPosition(element.top + element.height, element.left);
    }
    getElement(selector, className) {
        const elements = document.querySelectorAll(selector);
        let found = false;
        let element = null;
        elements.forEach((item, index) => {
            item.classList.forEach((itemClass) => {
                if (itemClass === className) {
                    found = true;
                    return;
                }
            });
            if (found) {
                element = elements[index];
                return;
            }
        });
        return element;
    }
}
StepInitializationService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: StepInitializationService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
StepInitializationService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: StepInitializationService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: StepInitializationService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return []; }, propDecorators: {
        // eslint-disable-next-line @typescript-eslint/no-unused-vars,@typescript-eslint/explicit-module-boundary-types
        onResize: [{
                type: HostListener,
                args: ['window:resize', ['$event']]
            }]
    } });

class TourInitializationService {
    constructor(dialog, stepInitializationService) {
        this.dialog = dialog;
        this.stepInitializationService = stepInitializationService;
        this.tourActionsSubject$ = new BehaviorSubject(TourInitializationService.initSubject());
    }
    static initSubject() {
        return new MatDialogActions();
    }
    /**
     * Initializes tour steps from config file
     * @param steps steps in from JSON file
     * @param elementRef
     */
    initializeTourSteps(steps, elementRef) {
        this.elementRef = elementRef;
        this.activeTour = [];
        this.processSteps(steps);
        this.activeTour[0].disabledPrevious = true;
        this.activeTour[this.activeTour.length - 1].disabledNext = true;
    }
    /**
     * Closes unfinished tours after route change
     */
    closeTour() {
        if (this.currentStepDialog) {
            this.currentStepDialog.close();
        }
    }
    /**
     * Starts tour at first step and closes unfinished tours after route change
     */
    startTouring() {
        this.closeTour();
        return this.showStep(0);
    }
    startComponentDetection(steps, index) {
        this.observer = new MutationObserver((mutations) => {
            mutations.some((mutation) => {
                if (mutation.target.nodeName === steps[index].position.nodeName) {
                    this.observer.disconnect();
                    this.startInnerTour(steps.slice(index));
                }
            });
        });
        const config = { characterData: false, attributes: false, childList: true, subtree: true };
        this.observer.observe(this.elementRef.nativeElement, config);
    }
    startInnerTour(steps) {
        if (steps.length > 0) {
            steps[0].position.nodeName = null;
            if (this.currentStepDialog.getState() === 2 /* MatDialogState.CLOSED */) {
                this.initializeTourSteps(steps, this.elementRef);
                this.tourActionsSubject$.next(TourStatusEnum.INNER_TOUR);
            }
            else if (this.currentStepDialog.getState() === 0 /* MatDialogState.OPEN */) {
                this.activeTour[this.activeTour.length - 1].disabledNext = false;
                this.processSteps(steps);
                this.activeTour[this.activeTour.length - 1].disabledNext = true;
            }
        }
    }
    processSteps(steps) {
        steps.some((step, index) => {
            if (step.position.nodeName) {
                if (!this.stepInitializationService.getStepPosition(step.position.selector, step.position.className)) {
                    this.startComponentDetection(steps, index);
                    return true;
                }
                else {
                    this.addStep(step);
                }
            }
            else {
                this.addStep(step);
            }
        });
    }
    addStep(step) {
        const tourStep = this.stepInitializationService.createStep(step);
        if (tourStep) {
            this.activeTour.push(tourStep);
        }
    }
    showStep(index) {
        this.activeTour[index].element.scrollIntoView();
        const position = this.stepInitializationService.getStepPosition(this.activeTour[index].selector, this.activeTour[index].className);
        this.activeTour[index].position = { top: `${position.top}px`, left: `${position.left}px` };
        this.currentStepDialog = this.dialog.open(TourStepDialogComponent, {
            data: this.activeTour[index],
            disableClose: true,
            position: this.activeTour[index].position,
            hasBackdrop: false,
            autoFocus: false,
            width: '300px',
            height: '210px',
        });
        return this.currentStepDialog.afterClosed().pipe(switchMap((result) => this.nextAction(result, index)));
    }
    nextAction(action, index) {
        if (action === StepDialogResultEnum.NEXT) {
            return this.showStep(++index);
        }
        else if (action === StepDialogResultEnum.PREVIOUS) {
            return this.showStep(--index);
        }
        else {
            return EMPTY;
        }
    }
}
TourInitializationService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: TourInitializationService, deps: [{ token: i1.MatDialog }, { token: StepInitializationService }], target: i0.ɵɵFactoryTarget.Injectable });
TourInitializationService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: TourInitializationService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: TourInitializationService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: i1.MatDialog }, { type: StepInitializationService }]; } });

class SentinelTourGuideService {
}
SentinelTourGuideService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelTourGuideService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
SentinelTourGuideService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelTourGuideService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelTourGuideService, decorators: [{
            type: Injectable
        }] });

class SentinelTourGuideConcreteService extends SentinelTourGuideService {
    constructor(http, cookies, tourLogicService) {
        super();
        this.http = http;
        this.cookies = cookies;
        this.tourLogicService = tourLogicService;
        // Name of this services, used in printing errors
        this.SERVICE_NAME = 'TourGuideService';
        // Name of the anchors member of the JSON file
        this.JSON_ANCHORS = 'anchors';
        // Stored cookie name
        this.COOKIE_NAME = this.SERVICE_NAME + ': tourGuideCookie';
        this.COOKIE_TEXT = 'visited';
        this.tourActions$ = this.tourLogicService.tourActionsSubject$
            .asObservable()
            .pipe(switchMap((value) => (value === TourStatusEnum.INNER_TOUR ? this.tourLogicService.startTouring() : of(value))));
    }
    /**
     * Method for starting the tour with JSON data from the URL address.
     * @param url URL address of the JSON file from which the data can be fetched from.
     * @param tourIdentifier is used to determine which tour should be loaded from config file. Every tour in config file
     * has unique identifier. If the tour is started on every route change this identifier has to be unique for every tour.
     * Therefore if your route contains specific ids they should be replaced with keyword of your choice. Tour identifier
     * should also match camel Case formatting typical for JSON files.
     * @param elementRef
     */
    startTour(url, tourIdentifier, elementRef) {
        return this.getData(url, tourIdentifier).pipe(tap((steps) => this.tourLogicService.initializeTourSteps(steps, elementRef)), switchMap(() => merge(this.tourLogicService.startTouring(), this.tourActions$)), finalize(() => (this.tourLogicService.observer ? this.tourLogicService.observer.disconnect() : EMPTY)), catchError((error) => {
            throwError(this.SERVICE_NAME + ': Subscribe error', error);
            return of(new MatDialogActions());
        }));
    }
    /**
     * Starts the tour if this is the first visit on the page. In case of subsequents visits does nothing.
     * This method should be used in the NgOnInit method of a component.
     * @param url URL address of the JSON file from which the data can be fetched from.
     * @param tourIdentifier is used to determine which tour should be loaded from config file. Every tour in config file
     * has unique identifier. If the tour is started on every route change this identifier has to be unique for every tour.
     * Therefore if your route contains specific ids they should be replaced with keyword of your choice. Tour identifier
     * should also match camel Case formatting typical for JSON files.
     * @param elementRef
     */
    startTourFirstVisit(url, tourIdentifier, elementRef) {
        // Cookies for each page should be different, so that in case of cookies saved from tours on other pages of the
        // app won't cancel each other out
        const currentPageCookie = `${this.COOKIE_NAME} - ${url} - ${tourIdentifier}`;
        this.tourLogicService.closeTour();
        if (!this.cookies.check(currentPageCookie)) {
            this.cookies.set(currentPageCookie, this.COOKIE_TEXT);
            return this.startTour(url, tourIdentifier, elementRef);
        }
        else {
            return EMPTY;
        }
    }
    /**
     * Gets data from URL address. Uses HttpClient to get the data. Then uses rxjs operator take to
     * automatically unsubscribe after one emitted value.
     * @param url - URL address of the JSON file from which the data can be fetched from
     * @param tourIdentifier used to determine which tour should be loaded from config file
     */
    getData(url, tourIdentifier) {
        return this.http
            .get(url, { headers: new HttpHeaders({ 'Content-Type': 'application/json' }) })
            .pipe(map((steps) => this.retrieveSteps(steps, tourIdentifier)), take(1));
    }
    retrieveSteps(steps, tourIdentifier) {
        if (steps[tourIdentifier] && steps[tourIdentifier][this.JSON_ANCHORS]) {
            return steps[tourIdentifier][this.JSON_ANCHORS];
        }
        else {
            throwError('Tour with a given identifier does not exist');
        }
    }
}
SentinelTourGuideConcreteService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelTourGuideConcreteService, deps: [{ token: i1$1.HttpClient }, { token: i2$1.CookieService }, { token: TourInitializationService }], target: i0.ɵɵFactoryTarget.Injectable });
SentinelTourGuideConcreteService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelTourGuideConcreteService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelTourGuideConcreteService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: i1$1.HttpClient }, { type: i2$1.CookieService }, { type: TourInitializationService }]; } });

class SentinelTourGuideModule {
}
SentinelTourGuideModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelTourGuideModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SentinelTourGuideModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: SentinelTourGuideModule, declarations: [TourStepDialogComponent], imports: [CommonModule, MatCardModule, MatButtonModule, MatIconModule, MatDialogModule] });
SentinelTourGuideModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelTourGuideModule, providers: [CookieService, SentinelTourGuideConcreteService, TourInitializationService, StepInitializationService], imports: [CommonModule, MatCardModule, MatButtonModule, MatIconModule, MatDialogModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelTourGuideModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [TourStepDialogComponent],
                    imports: [CommonModule, MatCardModule, MatButtonModule, MatIconModule, MatDialogModule],
                    providers: [CookieService, SentinelTourGuideConcreteService, TourInitializationService, StepInitializationService],
                }]
        }] });

/*
 * Public API Surface of tour-guide-library
 */

/**
 * Generated bundle index. Do not edit.
 */

export { SentinelTourGuideConcreteService, SentinelTourGuideModule, SentinelTourGuideService };
//# sourceMappingURL=sentinel-components-tour-guide.mjs.map
