import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input, EventEmitter, Output, ViewChild, HostListener, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@angular/material/progress-bar';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import * as i2$1 from '@angular/router';
import { RouterModule } from '@angular/router';
import * as i3 from '@angular/material/tooltip';
import { MatTooltipModule } from '@angular/material/tooltip';
import * as i5 from '@angular/material/list';
import { MatListModule } from '@angular/material/list';
import { AgendaResolver } from '@sentinel/layout';
import * as i2$2 from '@angular/material/divider';
import { MatDividerModule } from '@angular/material/divider';
import * as i4 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i4$1 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i2$3 from '@angular/material/toolbar';
import { MatToolbarModule } from '@angular/material/toolbar';
import * as i5$1 from '@sentinel/layout/breadcrumbs';
import { SentinelBreadcrumbsModule } from '@sentinel/layout/breadcrumbs';
import * as i6$1 from '@sentinel/layout/notification';
import { NotificationSansProvidersModule, NotificationProvidersModule } from '@sentinel/layout/notification';
import * as i6 from '@angular/material/menu';
import { MatMenuModule } from '@angular/material/menu';
import * as i8 from '@sentinel/layout/user-card';
import { SentinelUserCardModule } from '@sentinel/layout/user-card';
import { BaseDirective } from '@sentinel/layout/internal';
import { MatCardModule } from '@angular/material/card';
import { MatSidenavModule } from '@angular/material/sidenav';
import { MatTreeModule } from '@angular/material/tree';
import { SentinelSidebarPageLayoutModule } from '@sentinel/layout/sidebar';

/**
 * Presentational component displaying loading bar
 */
class LoadingComponent {
}
LoadingComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: LoadingComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
LoadingComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: LoadingComponent, selector: "sentinel-loading", inputs: { isLoading: "isLoading" }, ngImport: i0, template: "<div class=\"loading-placeholder\" *ngIf=\"!isLoading; else loading\"></div>\n<ng-template #loading>\n  <mat-progress-bar mode=\"indeterminate\" color=\"accent\"></mat-progress-bar>\n</ng-template>\n", styles: [".loading-placeholder{width:100%;height:4px}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i2.MatProgressBar, selector: "mat-progress-bar", inputs: ["color", "value", "bufferValue", "mode"], outputs: ["animationEnd"], exportAs: ["matProgressBar"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: LoadingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-loading', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"loading-placeholder\" *ngIf=\"!isLoading; else loading\"></div>\n<ng-template #loading>\n  <mat-progress-bar mode=\"indeterminate\" color=\"accent\"></mat-progress-bar>\n</ng-template>\n", styles: [".loading-placeholder{width:100%;height:4px}\n"] }]
        }], propDecorators: { isLoading: [{
                type: Input
            }] } });

class AgendaElementComponent {
    constructor() {
        this.nested = false;
        this.agendaSelected = new EventEmitter();
    }
    onAgendaSelected(agenda) {
        this.agendaSelected.emit(agenda);
    }
}
AgendaElementComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AgendaElementComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
AgendaElementComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: AgendaElementComponent, selector: "sentinel-agenda-element", inputs: { agenda: "agenda", maxElementNameLength: "maxElementNameLength", nested: "nested" }, outputs: { agendaSelected: "agendaSelected" }, ngImport: i0, template: "<mat-list-item [ngClass]=\"nested ? 'nested' : ''\">\n  <a\n    mat-button\n    data-cy=\"sentinel-agenda\"\n    (click)=\"onAgendaSelected(agenda)\"\n    [matTooltip]=\"agenda.label.length > maxElementNameLength ? agenda.label : ''\"\n    [routerLink]=\"'/' + agenda.path\"\n  >\n    {{\n      agenda.label.length > maxElementNameLength ? (agenda.label | slice: 0:maxElementNameLength) + '...' : agenda.label\n    }}\n  </a>\n</mat-list-item>\n", styles: ["a{color:#fff}.nested{height:30px}.nested a{font-size:12px}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2$1.RouterLinkWithHref, selector: "a[routerLink],area[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "directive", type: i3.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }, { kind: "component", type: i4.MatAnchor, selector: "a[mat-button], a[mat-raised-button], a[mat-icon-button], a[mat-fab],             a[mat-mini-fab], a[mat-stroked-button], a[mat-flat-button]", inputs: ["disabled", "disableRipple", "color", "tabIndex"], exportAs: ["matButton", "matAnchor"] }, { kind: "component", type: i5.MatListItem, selector: "mat-list-item, a[mat-list-item], button[mat-list-item]", inputs: ["disableRipple", "disabled"], exportAs: ["matListItem"] }, { kind: "pipe", type: i1.SlicePipe, name: "slice" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AgendaElementComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-agenda-element', changeDetection: ChangeDetectionStrategy.OnPush, template: "<mat-list-item [ngClass]=\"nested ? 'nested' : ''\">\n  <a\n    mat-button\n    data-cy=\"sentinel-agenda\"\n    (click)=\"onAgendaSelected(agenda)\"\n    [matTooltip]=\"agenda.label.length > maxElementNameLength ? agenda.label : ''\"\n    [routerLink]=\"'/' + agenda.path\"\n  >\n    {{\n      agenda.label.length > maxElementNameLength ? (agenda.label | slice: 0:maxElementNameLength) + '...' : agenda.label\n    }}\n  </a>\n</mat-list-item>\n", styles: ["a{color:#fff}.nested{height:30px}.nested a{font-size:12px}\n"] }]
        }], propDecorators: { agenda: [{
                type: Input
            }], maxElementNameLength: [{
                type: Input
            }], nested: [{
                type: Input
            }], agendaSelected: [{
                type: Output
            }] } });

class NestedAgendaContainerComponent {
    constructor() {
        this.resolver = new AgendaResolver();
        this.expanded = false;
        this.agendaSelected = new EventEmitter();
    }
    onAgendaSelected(agenda) {
        this.agendaSelected.emit(agenda);
    }
}
NestedAgendaContainerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NestedAgendaContainerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
NestedAgendaContainerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: NestedAgendaContainerComponent, selector: "sentinel-nested-agenda-container", inputs: { agendaContainer: "agendaContainer", maxElementNameLength: "maxElementNameLength" }, outputs: { agendaSelected: "agendaSelected" }, ngImport: i0, template: "<button\n  mat-button\n  (click)=\"expanded = !expanded\"\n  [matTooltip]=\"agendaContainer.label.length > maxElementNameLength ? agendaContainer.label : ''\"\n  matTooltipPosition=\"above\"\n>\n  {{\n    agendaContainer.label.length > maxElementNameLength\n      ? (agendaContainer.label | slice: 0:maxElementNameLength) + '...'\n      : agendaContainer.label\n  }}\n  <mat-icon>{{ expanded ? 'expand_less' : 'expand_more' }}</mat-icon>\n</button>\n<ng-container *ngIf=\"expanded\">\n  <div class=\"nested\">\n    <ng-container\n      *ngFor=\"let element of agendaContainer.children\"\n      [ngTemplateOutlet]=\"resolver.isAgendaContainer(element) ? nestedAgendaContainerTemplate : agendaTemplate\"\n      [ngTemplateOutletContext]=\"{ $implicit: element }\"\n    >\n    </ng-container>\n  </div>\n</ng-container>\n\n<ng-template #agendaTemplate let-element>\n  <sentinel-agenda-element\n    nested=\"true\"\n    [agenda]=\"element\"\n    [maxElementNameLength]=\"maxElementNameLength\"\n    (agendaSelected)=\"onAgendaSelected($event)\"\n  ></sentinel-agenda-element>\n</ng-template>\n\n<ng-template #nestedAgendaContainerTemplate let-element>\n  <sentinel-nested-agenda-container\n    [agendaContainer]=\"element\"\n    [maxElementNameLength]=\"maxElementNameLength\"\n    (agendaSelected)=\"onAgendaSelected($event)\"\n  ></sentinel-nested-agenda-container>\n</ng-template>\n", styles: ["button{color:#fff;line-height:48px}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i3.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }, { kind: "component", type: i4.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i4$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: AgendaElementComponent, selector: "sentinel-agenda-element", inputs: ["agenda", "maxElementNameLength", "nested"], outputs: ["agendaSelected"] }, { kind: "component", type: NestedAgendaContainerComponent, selector: "sentinel-nested-agenda-container", inputs: ["agendaContainer", "maxElementNameLength"], outputs: ["agendaSelected"] }, { kind: "pipe", type: i1.SlicePipe, name: "slice" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NestedAgendaContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-nested-agenda-container', changeDetection: ChangeDetectionStrategy.OnPush, template: "<button\n  mat-button\n  (click)=\"expanded = !expanded\"\n  [matTooltip]=\"agendaContainer.label.length > maxElementNameLength ? agendaContainer.label : ''\"\n  matTooltipPosition=\"above\"\n>\n  {{\n    agendaContainer.label.length > maxElementNameLength\n      ? (agendaContainer.label | slice: 0:maxElementNameLength) + '...'\n      : agendaContainer.label\n  }}\n  <mat-icon>{{ expanded ? 'expand_less' : 'expand_more' }}</mat-icon>\n</button>\n<ng-container *ngIf=\"expanded\">\n  <div class=\"nested\">\n    <ng-container\n      *ngFor=\"let element of agendaContainer.children\"\n      [ngTemplateOutlet]=\"resolver.isAgendaContainer(element) ? nestedAgendaContainerTemplate : agendaTemplate\"\n      [ngTemplateOutletContext]=\"{ $implicit: element }\"\n    >\n    </ng-container>\n  </div>\n</ng-container>\n\n<ng-template #agendaTemplate let-element>\n  <sentinel-agenda-element\n    nested=\"true\"\n    [agenda]=\"element\"\n    [maxElementNameLength]=\"maxElementNameLength\"\n    (agendaSelected)=\"onAgendaSelected($event)\"\n  ></sentinel-agenda-element>\n</ng-template>\n\n<ng-template #nestedAgendaContainerTemplate let-element>\n  <sentinel-nested-agenda-container\n    [agendaContainer]=\"element\"\n    [maxElementNameLength]=\"maxElementNameLength\"\n    (agendaSelected)=\"onAgendaSelected($event)\"\n  ></sentinel-nested-agenda-container>\n</ng-template>\n", styles: ["button{color:#fff;line-height:48px}\n"] }]
        }], propDecorators: { agendaContainer: [{
                type: Input
            }], maxElementNameLength: [{
                type: Input
            }], agendaSelected: [{
                type: Output
            }] } });

class RootAgendaContainerComponent {
    constructor() {
        this.resolver = new AgendaResolver();
        this.agendaSelected = new EventEmitter();
    }
    onAgendaSelected(agenda) {
        this.agendaSelected.emit(agenda);
    }
}
RootAgendaContainerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: RootAgendaContainerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
RootAgendaContainerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: RootAgendaContainerComponent, selector: "sentinel-root-agenda-container", inputs: { rootAgendaContainer: "rootAgendaContainer", maxElementNameLength: "maxElementNameLength" }, outputs: { agendaSelected: "agendaSelected" }, ngImport: i0, template: "<mat-list-item\n  class=\"container\"\n  data-cy=\"sentinel-agenda\"\n  [matTooltip]=\"rootAgendaContainer.label.length > maxElementNameLength ? rootAgendaContainer.label : ''\"\n>\n  {{\n    rootAgendaContainer.label.length > maxElementNameLength\n      ? (rootAgendaContainer.label | slice: 0:maxElementNameLength) + '...'\n      : rootAgendaContainer.label\n  }}\n</mat-list-item>\n<mat-divider></mat-divider>\n<ng-container class=\"agenda\" *ngFor=\"let element of rootAgendaContainer.children\">\n  <ng-container\n    [ngTemplateOutlet]=\"resolver.isAgendaContainer(element) ? nestedAgendaContainerTemplate : agendaTemplate\"\n    [ngTemplateOutletContext]=\"{ $implicit: element }\"\n  >\n  </ng-container>\n</ng-container>\n\n<ng-template #agendaTemplate let-element>\n  <sentinel-agenda-element\n    [agenda]=\"element\"\n    [maxElementNameLength]=\"maxElementNameLength\"\n    (agendaSelected)=\"onAgendaSelected($event)\"\n  ></sentinel-agenda-element>\n</ng-template>\n\n<ng-template #nestedAgendaContainerTemplate let-element>\n  <sentinel-nested-agenda-container\n    [agendaContainer]=\"element\"\n    [maxElementNameLength]=\"maxElementNameLength - 5\"\n    (agendaSelected)=\"onAgendaSelected($event)\"\n  ></sentinel-nested-agenda-container>\n</ng-template>\n", styles: ["mat-list-item.agenda{height:36px}mat-list-item.container{margin-top:30px;font-weight:500;font-size:14px;color:#c3c5cb}mat-list-item:first-child.container{margin-top:unset}mat-divider{background-color:#fff;width:80%;margin:auto}:host ::ng-deep .mat-list-item-content{justify-content:center}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: i2$2.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }, { kind: "directive", type: i3.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }, { kind: "component", type: i5.MatListItem, selector: "mat-list-item, a[mat-list-item], button[mat-list-item]", inputs: ["disableRipple", "disabled"], exportAs: ["matListItem"] }, { kind: "component", type: AgendaElementComponent, selector: "sentinel-agenda-element", inputs: ["agenda", "maxElementNameLength", "nested"], outputs: ["agendaSelected"] }, { kind: "component", type: NestedAgendaContainerComponent, selector: "sentinel-nested-agenda-container", inputs: ["agendaContainer", "maxElementNameLength"], outputs: ["agendaSelected"] }, { kind: "pipe", type: i1.SlicePipe, name: "slice" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: RootAgendaContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-root-agenda-container', changeDetection: ChangeDetectionStrategy.OnPush, template: "<mat-list-item\n  class=\"container\"\n  data-cy=\"sentinel-agenda\"\n  [matTooltip]=\"rootAgendaContainer.label.length > maxElementNameLength ? rootAgendaContainer.label : ''\"\n>\n  {{\n    rootAgendaContainer.label.length > maxElementNameLength\n      ? (rootAgendaContainer.label | slice: 0:maxElementNameLength) + '...'\n      : rootAgendaContainer.label\n  }}\n</mat-list-item>\n<mat-divider></mat-divider>\n<ng-container class=\"agenda\" *ngFor=\"let element of rootAgendaContainer.children\">\n  <ng-container\n    [ngTemplateOutlet]=\"resolver.isAgendaContainer(element) ? nestedAgendaContainerTemplate : agendaTemplate\"\n    [ngTemplateOutletContext]=\"{ $implicit: element }\"\n  >\n  </ng-container>\n</ng-container>\n\n<ng-template #agendaTemplate let-element>\n  <sentinel-agenda-element\n    [agenda]=\"element\"\n    [maxElementNameLength]=\"maxElementNameLength\"\n    (agendaSelected)=\"onAgendaSelected($event)\"\n  ></sentinel-agenda-element>\n</ng-template>\n\n<ng-template #nestedAgendaContainerTemplate let-element>\n  <sentinel-nested-agenda-container\n    [agendaContainer]=\"element\"\n    [maxElementNameLength]=\"maxElementNameLength - 5\"\n    (agendaSelected)=\"onAgendaSelected($event)\"\n  ></sentinel-nested-agenda-container>\n</ng-template>\n", styles: ["mat-list-item.agenda{height:36px}mat-list-item.container{margin-top:30px;font-weight:500;font-size:14px;color:#c3c5cb}mat-list-item:first-child.container{margin-top:unset}mat-divider{background-color:#fff;width:80%;margin:auto}:host ::ng-deep .mat-list-item-content{justify-content:center}\n"] }]
        }], propDecorators: { rootAgendaContainer: [{
                type: Input
            }], maxElementNameLength: [{
                type: Input
            }], agendaSelected: [{
                type: Output
            }] } });

class NavElementsComponent {
    constructor() {
        this.agendaSelected = new EventEmitter();
    }
    onAgendaSelected(agenda) {
        this.agendaSelected.emit(agenda);
    }
}
NavElementsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NavElementsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
NavElementsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: NavElementsComponent, selector: "sentinel-nav-elements", inputs: { elements: "elements", maxElementNameLength: "maxElementNameLength" }, outputs: { agendaSelected: "agendaSelected" }, ngImport: i0, template: "<mat-list>\n  <ng-container *ngFor=\"let rootAgendaContainer of elements\">\n    <sentinel-root-agenda-container\n      [rootAgendaContainer]=\"rootAgendaContainer\"\n      [maxElementNameLength]=\"maxElementNameLength\"\n      (agendaSelected)=\"onAgendaSelected($event)\"\n    >\n    </sentinel-root-agenda-container>\n  </ng-container>\n</mat-list>\n", styles: [":host{width:100%}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: i5.MatList, selector: "mat-list, mat-action-list", inputs: ["disableRipple", "disabled"], exportAs: ["matList"] }, { kind: "component", type: RootAgendaContainerComponent, selector: "sentinel-root-agenda-container", inputs: ["rootAgendaContainer", "maxElementNameLength"], outputs: ["agendaSelected"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NavElementsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-nav-elements', changeDetection: ChangeDetectionStrategy.OnPush, template: "<mat-list>\n  <ng-container *ngFor=\"let rootAgendaContainer of elements\">\n    <sentinel-root-agenda-container\n      [rootAgendaContainer]=\"rootAgendaContainer\"\n      [maxElementNameLength]=\"maxElementNameLength\"\n      (agendaSelected)=\"onAgendaSelected($event)\"\n    >\n    </sentinel-root-agenda-container>\n  </ng-container>\n</mat-list>\n", styles: [":host{width:100%}\n"] }]
        }], propDecorators: { elements: [{
                type: Input
            }], maxElementNameLength: [{
                type: Input
            }], agendaSelected: [{
                type: Output
            }] } });

/**
 * Presentational nav component displaying agendas in its containers
 */
class NavComponent {
    constructor() {
        this.MAX_NAV_ELEMENT_LENGTH = 18;
        /**
         * Containers of agendas to display in nav
         */
        this.agendaContainers = [];
        /**
         * Emits event when agenda is selected
         */
        this.agendaSelected = new EventEmitter();
    }
    /**
     * Emits event when agenda is selected
     * @param agenda selected agenda
     */
    onAgendaSelected(agenda) {
        this.agendaSelected.emit(agenda);
    }
}
NavComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NavComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
NavComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: NavComponent, selector: "sentinel-nav", inputs: { logoSrc: "logoSrc", version: "version", agendaContainers: "agendaContainers" }, outputs: { agendaSelected: "agendaSelected" }, ngImport: i0, template: "<div class=\"nav-container\">\n  <div class=\"sentinel-logo-wrapper\">\n    <a *ngIf=\"logoSrc\" routerLink=\"/\">\n      <img class=\"sentinel-logo\" alt=\"logo\" data-cy=\"sentinel-nav-logo\" [src]=\"logoSrc\" />\n    </a>\n  </div>\n  <div class=\"nav\" data-cy=\"sentinel-nav\">\n    <sentinel-nav-elements\n      [elements]=\"agendaContainers\"\n      [maxElementNameLength]=\"MAX_NAV_ELEMENT_LENGTH\"\n      (agendaSelected)=\"onAgendaSelected($event)\"\n    >\n    </sentinel-nav-elements>\n  </div>\n  <div class=\"spacer\"></div>\n\n  <div id=\"version\">\n    <span matTooltip=\"Version of the application\">\n      {{ version }}\n    </span>\n  </div>\n</div>\n", styles: [".sentinel-logo-wrapper{width:150px;height:50px;margin-top:24px;margin-left:-7px}.sentinel-logo{max-width:150px;max-height:50px}.nav-container{display:flex;flex-direction:column;height:100%}.spacer{flex:1 1 0}#version{display:flex;flex-direction:column;justify-self:flex-end;color:#fff;max-width:150px;margin-bottom:10px}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$1.RouterLinkWithHref, selector: "a[routerLink],area[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "directive", type: i3.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }, { kind: "component", type: NavElementsComponent, selector: "sentinel-nav-elements", inputs: ["elements", "maxElementNameLength"], outputs: ["agendaSelected"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NavComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-nav', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"nav-container\">\n  <div class=\"sentinel-logo-wrapper\">\n    <a *ngIf=\"logoSrc\" routerLink=\"/\">\n      <img class=\"sentinel-logo\" alt=\"logo\" data-cy=\"sentinel-nav-logo\" [src]=\"logoSrc\" />\n    </a>\n  </div>\n  <div class=\"nav\" data-cy=\"sentinel-nav\">\n    <sentinel-nav-elements\n      [elements]=\"agendaContainers\"\n      [maxElementNameLength]=\"MAX_NAV_ELEMENT_LENGTH\"\n      (agendaSelected)=\"onAgendaSelected($event)\"\n    >\n    </sentinel-nav-elements>\n  </div>\n  <div class=\"spacer\"></div>\n\n  <div id=\"version\">\n    <span matTooltip=\"Version of the application\">\n      {{ version }}\n    </span>\n  </div>\n</div>\n", styles: [".sentinel-logo-wrapper{width:150px;height:50px;margin-top:24px;margin-left:-7px}.sentinel-logo{max-width:150px;max-height:50px}.nav-container{display:flex;flex-direction:column;height:100%}.spacer{flex:1 1 0}#version{display:flex;flex-direction:column;justify-self:flex-end;color:#fff;max-width:150px;margin-bottom:10px}\n"] }]
        }], propDecorators: { logoSrc: [{
                type: Input
            }], version: [{
                type: Input
            }], agendaContainers: [{
                type: Input
            }], agendaSelected: [{
                type: Output
            }] } });

/**
 * User menu component
 */
class UserMenuComponent {
    constructor() {
        /**
         * Emits event when login is requested
         */
        this.login = new EventEmitter();
        /**
         * Emits event when logout is requested
         */
        this.logout = new EventEmitter();
    }
    ngOnChanges(changes) {
        if ('user' in changes && this.user) {
            this.resolveIconSrc();
        }
    }
    /**
     * Emits event when login is requested
     */
    onLogin() {
        this.login.emit();
    }
    /**
     * Emits event when logout is requested
     */
    onLogout() {
        this.logout.emit();
    }
    resolveIconSrc() {
        if (this.user.picture) {
            this.iconSrc = `data:image/png;base64,${this.user.picture}`;
        }
        else if (this.user.pictureSrc) {
            this.iconSrc = this.user.pictureSrc;
        }
    }
}
UserMenuComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: UserMenuComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
UserMenuComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: UserMenuComponent, selector: "sentinel-user-menu", inputs: { user: "user", userProfileRoute: "userProfileRoute" }, outputs: { login: "login", logout: "logout" }, usesOnChanges: true, ngImport: i0, template: "<button mat-button class=\"menu-trigger\" data-cy=\"sentinel-user-menu\" [matMenuTriggerFor]=\"userMenu\">\n  <div class=\"user-icon\">\n    <div *ngIf=\"iconSrc; else userPlaceholder\" class=\"user-picture-container\">\n      <img loading=\"lazy\" class=\"avatar\" [alt]=\"user?.name\" [src]=\"iconSrc\" />\n    </div>\n    <mat-icon>expand_more</mat-icon>\n  </div>\n</button>\n<mat-menu #userMenu=\"matMenu\">\n  <div class=\"content\" data-cy=\"sentinel-user-menu-detail\">\n    <sentinel-user-card [user]=\"user\" [iconSrc]=\"iconSrc\"></sentinel-user-card>\n    <mat-divider></mat-divider>\n    <mat-list>\n      <button *ngIf=\"user && userProfileRoute\" mat-menu-item [routerLink]=\"userProfileRoute\">\n        <mat-icon>account_circle</mat-icon>\n        My account\n      </button>\n      <button *ngIf=\"!user; else logout\" mat-menu-item (click)=\"onLogin()\">\n        <mat-icon>login</mat-icon>\n        Login\n      </button>\n    </mat-list>\n  </div>\n</mat-menu>\n\n<ng-template #logout>\n  <button mat-menu-item *ngIf=\"user\" (click)=\"onLogout()\">\n    <mat-icon>exit_to_app</mat-icon>\n    Logout\n  </button>\n</ng-template>\n\n<ng-template #userPlaceholder>\n  <mat-icon>face</mat-icon>\n</ng-template>\n", styles: [".menu-trigger{display:flex;min-height:40px;align-items:center}.content{display:flex;flex-direction:column}.action{display:flex;justify-content:flex-end}.user-icon{display:flex;flex-direction:row}.user-picture-container{width:26px;height:26px;border-radius:50%;background-color:#fff;display:flex;align-items:center;justify-content:center}.avatar{color:#000;width:15px;height:15px}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$1.RouterLink, selector: ":not(a):not(area)[routerLink]", inputs: ["queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "component", type: i2$2.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }, { kind: "component", type: i4.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i5.MatList, selector: "mat-list, mat-action-list", inputs: ["disableRipple", "disabled"], exportAs: ["matList"] }, { kind: "component", type: i6.MatMenu, selector: "mat-menu", exportAs: ["matMenu"] }, { kind: "component", type: i6.MatMenuItem, selector: "[mat-menu-item]", inputs: ["disabled", "disableRipple", "role"], exportAs: ["matMenuItem"] }, { kind: "directive", type: i6.MatMenuTrigger, selector: "[mat-menu-trigger-for], [matMenuTriggerFor]", exportAs: ["matMenuTrigger"] }, { kind: "component", type: i4$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i8.UserCardComponent, selector: "sentinel-user-card", inputs: ["user", "iconSrc"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: UserMenuComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-user-menu', changeDetection: ChangeDetectionStrategy.OnPush, template: "<button mat-button class=\"menu-trigger\" data-cy=\"sentinel-user-menu\" [matMenuTriggerFor]=\"userMenu\">\n  <div class=\"user-icon\">\n    <div *ngIf=\"iconSrc; else userPlaceholder\" class=\"user-picture-container\">\n      <img loading=\"lazy\" class=\"avatar\" [alt]=\"user?.name\" [src]=\"iconSrc\" />\n    </div>\n    <mat-icon>expand_more</mat-icon>\n  </div>\n</button>\n<mat-menu #userMenu=\"matMenu\">\n  <div class=\"content\" data-cy=\"sentinel-user-menu-detail\">\n    <sentinel-user-card [user]=\"user\" [iconSrc]=\"iconSrc\"></sentinel-user-card>\n    <mat-divider></mat-divider>\n    <mat-list>\n      <button *ngIf=\"user && userProfileRoute\" mat-menu-item [routerLink]=\"userProfileRoute\">\n        <mat-icon>account_circle</mat-icon>\n        My account\n      </button>\n      <button *ngIf=\"!user; else logout\" mat-menu-item (click)=\"onLogin()\">\n        <mat-icon>login</mat-icon>\n        Login\n      </button>\n    </mat-list>\n  </div>\n</mat-menu>\n\n<ng-template #logout>\n  <button mat-menu-item *ngIf=\"user\" (click)=\"onLogout()\">\n    <mat-icon>exit_to_app</mat-icon>\n    Logout\n  </button>\n</ng-template>\n\n<ng-template #userPlaceholder>\n  <mat-icon>face</mat-icon>\n</ng-template>\n", styles: [".menu-trigger{display:flex;min-height:40px;align-items:center}.content{display:flex;flex-direction:column}.action{display:flex;justify-content:flex-end}.user-icon{display:flex;flex-direction:row}.user-picture-container{width:26px;height:26px;border-radius:50%;background-color:#fff;display:flex;align-items:center;justify-content:center}.avatar{color:#000;width:15px;height:15px}\n"] }]
        }], propDecorators: { user: [{
                type: Input
            }], userProfileRoute: [{
                type: Input
            }], login: [{
                type: Output
            }], logout: [{
                type: Output
            }] } });

/**
 * Toolbar component with two rows
 */
class ToolbarComponent {
    constructor() {
        /**
         * Decides whether to display two lined toolbar with breadcrumbs or not
         */
        this.withBreadcrumbs = true;
        this.breadcrumbMaxLength = 45;
        /**
         * Emits event when hamburger menu toggle is clicked
         */
        this.navToggle = new EventEmitter();
        /**
         * Emits event when refresh of notifications is requested
         */
        this.refreshNotifications = new EventEmitter();
        /**
         * Emits event when login is requested
         */
        this.login = new EventEmitter();
        /**
         * Emits event when logout is requested
         */
        this.logout = new EventEmitter();
    }
    /**
     * Emits event when hamburger menu toggle is clicked
     */
    onNavToggle() {
        this.navToggle.emit();
    }
    /**
     * Emits event when login is requested
     */
    onLogin() {
        this.login.emit();
    }
    /**
     * Emits event when logout is requested
     */
    onLogout() {
        this.logout.emit();
    }
    onRefreshNotifications() {
        this.refreshNotifications.emit();
    }
}
ToolbarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: ToolbarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ToolbarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: ToolbarComponent, selector: "sentinel-toolbar", inputs: { withBreadcrumbs: "withBreadcrumbs", breadcrumbMaxLength: "breadcrumbMaxLength", breadcrumbs: "breadcrumbs", user: "user", userProfileRoute: "userProfileRoute", displayNavToggle: "displayNavToggle", notifications: "notifications", lastNotification: "lastNotification", notificationsRoute: "notificationsRoute", breadcrumbsDivider: "breadcrumbsDivider" }, outputs: { navToggle: "navToggle", refreshNotifications: "refreshNotifications", login: "login", logout: "logout" }, ngImport: i0, template: "<ng-container *ngTemplateOutlet=\"withBreadcrumbs ? multiRowToolbar : singleRowToolbar\"></ng-container>\n\n<ng-template #singleRowToolbar>\n  <mat-toolbar color=\"primary\" class=\"single-row\">\n    <ng-container *ngTemplateOutlet=\"toolbarFirstRowContent\"></ng-container>\n  </mat-toolbar>\n</ng-template>\n\n<ng-template #multiRowToolbar>\n  <mat-toolbar color=\"primary\">\n    <mat-toolbar-row class=\"first\">\n      <ng-container *ngTemplateOutlet=\"toolbarFirstRowContent\"></ng-container>\n    </mat-toolbar-row>\n    <mat-toolbar-row class=\"second\">\n      <ng-container *ngTemplateOutlet=\"toolbarSecondRowContent\"></ng-container>\n    </mat-toolbar-row>\n  </mat-toolbar>\n</ng-template>\n\n<ng-template #toolbarFirstRowContent>\n  <button\n    id=\"hamburger-menu-toggle\"\n    data-cy=\"hamburger-menu\"\n    *ngIf=\"displayNavToggle\"\n    mat-icon-button\n    (click)=\"onNavToggle()\"\n  >\n    <mat-icon>menu</mat-icon>\n  </button>\n  <span class=\"spacer\"></span>\n  <ng-content></ng-content>\n  <sentinel-notification-menu\n    [notifications]=\"notifications\"\n    [lastNotification]=\"lastNotification\"\n    [notificationsRoute]=\"notificationsRoute\"\n    (refreshNotifications)=\"onRefreshNotifications()\"\n  >\n  </sentinel-notification-menu>\n  <sentinel-user-menu\n    *ngIf=\"user\"\n    [user]=\"user\"\n    [userProfileRoute]=\"userProfileRoute\"\n    (login)=\"onLogin()\"\n    (logout)=\"onLogout()\"\n  >\n  </sentinel-user-menu>\n</ng-template>\n\n<ng-template #toolbarSecondRowContent>\n  <sentinel-breadcrumbs\n    [breadcrumbs]=\"breadcrumbs\"\n    [divider]=\"breadcrumbsDivider\"\n    [maxLength]=\"breadcrumbMaxLength\"\n  ></sentinel-breadcrumbs>\n</ng-template>\n", styles: ["mat-toolbar.single-row{height:50px}mat-toolbar-row.first{height:50px;box-shadow:0 3px 5px -1px #0003,0 6px 10px #00000024,0 1px 18px #0000001f}mat-toolbar-row.second{height:40px}.spacer{flex:1 1 0}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: i2$3.MatToolbar, selector: "mat-toolbar", inputs: ["color"], exportAs: ["matToolbar"] }, { kind: "directive", type: i2$3.MatToolbarRow, selector: "mat-toolbar-row", exportAs: ["matToolbarRow"] }, { kind: "component", type: i4.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i4$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i5$1.SentinelBreadcrumbsComponent, selector: "sentinel-breadcrumbs", inputs: ["breadcrumbs", "maxLength", "divider"] }, { kind: "component", type: i6$1.NotificationMenuComponent, selector: "sentinel-notification-menu", inputs: ["notifications", "lastNotification", "notificationsRoute"], outputs: ["refreshNotifications"] }, { kind: "component", type: UserMenuComponent, selector: "sentinel-user-menu", inputs: ["user", "userProfileRoute"], outputs: ["login", "logout"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: ToolbarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-toolbar', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *ngTemplateOutlet=\"withBreadcrumbs ? multiRowToolbar : singleRowToolbar\"></ng-container>\n\n<ng-template #singleRowToolbar>\n  <mat-toolbar color=\"primary\" class=\"single-row\">\n    <ng-container *ngTemplateOutlet=\"toolbarFirstRowContent\"></ng-container>\n  </mat-toolbar>\n</ng-template>\n\n<ng-template #multiRowToolbar>\n  <mat-toolbar color=\"primary\">\n    <mat-toolbar-row class=\"first\">\n      <ng-container *ngTemplateOutlet=\"toolbarFirstRowContent\"></ng-container>\n    </mat-toolbar-row>\n    <mat-toolbar-row class=\"second\">\n      <ng-container *ngTemplateOutlet=\"toolbarSecondRowContent\"></ng-container>\n    </mat-toolbar-row>\n  </mat-toolbar>\n</ng-template>\n\n<ng-template #toolbarFirstRowContent>\n  <button\n    id=\"hamburger-menu-toggle\"\n    data-cy=\"hamburger-menu\"\n    *ngIf=\"displayNavToggle\"\n    mat-icon-button\n    (click)=\"onNavToggle()\"\n  >\n    <mat-icon>menu</mat-icon>\n  </button>\n  <span class=\"spacer\"></span>\n  <ng-content></ng-content>\n  <sentinel-notification-menu\n    [notifications]=\"notifications\"\n    [lastNotification]=\"lastNotification\"\n    [notificationsRoute]=\"notificationsRoute\"\n    (refreshNotifications)=\"onRefreshNotifications()\"\n  >\n  </sentinel-notification-menu>\n  <sentinel-user-menu\n    *ngIf=\"user\"\n    [user]=\"user\"\n    [userProfileRoute]=\"userProfileRoute\"\n    (login)=\"onLogin()\"\n    (logout)=\"onLogout()\"\n  >\n  </sentinel-user-menu>\n</ng-template>\n\n<ng-template #toolbarSecondRowContent>\n  <sentinel-breadcrumbs\n    [breadcrumbs]=\"breadcrumbs\"\n    [divider]=\"breadcrumbsDivider\"\n    [maxLength]=\"breadcrumbMaxLength\"\n  ></sentinel-breadcrumbs>\n</ng-template>\n", styles: ["mat-toolbar.single-row{height:50px}mat-toolbar-row.first{height:50px;box-shadow:0 3px 5px -1px #0003,0 6px 10px #00000024,0 1px 18px #0000001f}mat-toolbar-row.second{height:40px}.spacer{flex:1 1 0}\n"] }]
        }], propDecorators: { withBreadcrumbs: [{
                type: Input
            }], breadcrumbMaxLength: [{
                type: Input
            }], breadcrumbs: [{
                type: Input
            }], user: [{
                type: Input
            }], userProfileRoute: [{
                type: Input
            }], displayNavToggle: [{
                type: Input
            }], notifications: [{
                type: Input
            }], lastNotification: [{
                type: Input
            }], notificationsRoute: [{
                type: Input
            }], breadcrumbsDivider: [{
                type: Input
            }], navToggle: [{
                type: Output
            }], refreshNotifications: [{
                type: Output
            }], login: [{
                type: Output
            }], logout: [{
                type: Output
            }] } });

class ScrollContainerComponent extends BaseDirective {
    constructor() {
        super(...arguments);
        this.showScrollDown = false;
        this.showScrollUp = false;
        this.scrollDownBelowToolbar = true;
    }
    onWindowScroll() {
        this.onScroll();
    }
    clear() {
        this.showScrollDown = false;
        this.showScrollUp = false;
    }
    /**
     * Scroll to bottom of the page.
     */
    scrollToBottom() {
        this.scrollTo(this.scrollContent.nativeElement, 'end');
    }
    /**
     * Scroll to top of the page.
     */
    scrollToTop() {
        this.scrollTo(this.scrollContent.nativeElement, 'start');
    }
    /**
     * Enable or disable scrolling buttons.
     */
    onScroll() {
        const scrollTop = document.documentElement.scrollTop || document.body.scrollTop;
        const clientHeight = window.innerHeight || document.documentElement.clientHeight || document.body.clientHeight;
        const scrollHeight = document.documentElement.scrollHeight || document.body.scrollHeight;
        this.scrollDownBelowToolbar = scrollTop < 100;
        this.showScrollDown = scrollHeight - scrollTop - clientHeight > 50;
        this.showScrollUp = scrollTop > 50;
    }
    /**
     * Scroll to the given position.
     * @param element HTML element
     * @param position position
     */
    scrollTo(element, position) {
        element.scrollIntoView({ behavior: 'smooth', block: position });
    }
}
ScrollContainerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: ScrollContainerComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
ScrollContainerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: ScrollContainerComponent, selector: "sentinel-scroll-container", host: { listeners: { "window:scroll": "onWindowScroll()" } }, viewQueries: [{ propertyName: "scrollContent", first: true, predicate: ["scrollContent"], descendants: true, static: true }], usesInheritance: true, ngImport: i0, template: "<div #scrollContent>\n  <button\n    *ngIf=\"showScrollDown\"\n    mat-icon-button\n    class=\"scroll-arrow scroll-down\"\n    color=\"primary\"\n    [ngClass]=\"{ 'below-toolbar': scrollDownBelowToolbar }\"\n    (click)=\"scrollToBottom()\"\n  >\n    <mat-icon>arrow_circle_down</mat-icon>\n  </button>\n  <ng-content></ng-content>\n  <button *ngIf=\"showScrollUp\" mat-icon-button class=\"scroll-arrow scroll-up\" color=\"primary\" (click)=\"scrollToTop()\">\n    <mat-icon>arrow_circle_up</mat-icon>\n  </button>\n</div>\n", styles: [".scroll-arrow{opacity:.5;position:fixed;right:5px}.scroll-up{bottom:10px}.scroll-down{top:10px;transition:all .5s linear}.below-toolbar{transition:all .5s linear;top:85px}.scroll-arrow:hover{opacity:1}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i4.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i4$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: ScrollContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-scroll-container', template: "<div #scrollContent>\n  <button\n    *ngIf=\"showScrollDown\"\n    mat-icon-button\n    class=\"scroll-arrow scroll-down\"\n    color=\"primary\"\n    [ngClass]=\"{ 'below-toolbar': scrollDownBelowToolbar }\"\n    (click)=\"scrollToBottom()\"\n  >\n    <mat-icon>arrow_circle_down</mat-icon>\n  </button>\n  <ng-content></ng-content>\n  <button *ngIf=\"showScrollUp\" mat-icon-button class=\"scroll-arrow scroll-up\" color=\"primary\" (click)=\"scrollToTop()\">\n    <mat-icon>arrow_circle_up</mat-icon>\n  </button>\n</div>\n", styles: [".scroll-arrow{opacity:.5;position:fixed;right:5px}.scroll-up{bottom:10px}.scroll-down{top:10px;transition:all .5s linear}.below-toolbar{transition:all .5s linear;top:85px}.scroll-arrow:hover{opacity:1}\n"] }]
        }], propDecorators: { scrollContent: [{
                type: ViewChild,
                args: ['scrollContent', { static: true }]
            }], onWindowScroll: [{
                type: HostListener,
                args: ['window:scroll']
            }] } });

/**
 * Module containing material component imports for layout commons module
 */
class LayoutCommonComponentsMaterialModule {
}
LayoutCommonComponentsMaterialModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: LayoutCommonComponentsMaterialModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
LayoutCommonComponentsMaterialModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: LayoutCommonComponentsMaterialModule, imports: [MatProgressBarModule,
        MatToolbarModule,
        MatSidenavModule,
        MatDividerModule,
        MatTooltipModule,
        MatButtonModule,
        MatListModule,
        MatMenuModule,
        MatCardModule,
        MatIconModule,
        MatTreeModule], exports: [MatProgressBarModule,
        MatToolbarModule,
        MatSidenavModule,
        MatDividerModule,
        MatTooltipModule,
        MatButtonModule,
        MatListModule,
        MatMenuModule,
        MatCardModule,
        MatIconModule,
        MatTreeModule] });
LayoutCommonComponentsMaterialModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: LayoutCommonComponentsMaterialModule, imports: [MatProgressBarModule,
        MatToolbarModule,
        MatSidenavModule,
        MatDividerModule,
        MatTooltipModule,
        MatButtonModule,
        MatListModule,
        MatMenuModule,
        MatCardModule,
        MatIconModule,
        MatTreeModule, MatProgressBarModule,
        MatToolbarModule,
        MatSidenavModule,
        MatDividerModule,
        MatTooltipModule,
        MatButtonModule,
        MatListModule,
        MatMenuModule,
        MatCardModule,
        MatIconModule,
        MatTreeModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: LayoutCommonComponentsMaterialModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        MatProgressBarModule,
                        MatToolbarModule,
                        MatSidenavModule,
                        MatDividerModule,
                        MatTooltipModule,
                        MatButtonModule,
                        MatListModule,
                        MatMenuModule,
                        MatCardModule,
                        MatIconModule,
                        MatTreeModule,
                    ],
                    exports: [
                        MatProgressBarModule,
                        MatToolbarModule,
                        MatSidenavModule,
                        MatDividerModule,
                        MatTooltipModule,
                        MatButtonModule,
                        MatListModule,
                        MatMenuModule,
                        MatCardModule,
                        MatIconModule,
                        MatTreeModule,
                    ],
                }]
        }] });

class LayoutCommonComponentsSansProvidersModule {
}
LayoutCommonComponentsSansProvidersModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: LayoutCommonComponentsSansProvidersModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
LayoutCommonComponentsSansProvidersModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: LayoutCommonComponentsSansProvidersModule, declarations: [UserMenuComponent,
        LoadingComponent,
        ToolbarComponent,
        NavComponent,
        AgendaElementComponent,
        NestedAgendaContainerComponent,
        RootAgendaContainerComponent,
        NavElementsComponent,
        ScrollContainerComponent], imports: [CommonModule,
        RouterModule,
        LayoutCommonComponentsMaterialModule,
        SentinelUserCardModule,
        SentinelBreadcrumbsModule,
        SentinelSidebarPageLayoutModule,
        NotificationSansProvidersModule], exports: [UserMenuComponent,
        LoadingComponent,
        ToolbarComponent,
        NavComponent,
        AgendaElementComponent,
        NestedAgendaContainerComponent,
        RootAgendaContainerComponent,
        NavElementsComponent,
        ScrollContainerComponent,
        NotificationSansProvidersModule,
        LayoutCommonComponentsMaterialModule,
        SentinelUserCardModule,
        SentinelBreadcrumbsModule,
        SentinelSidebarPageLayoutModule] });
LayoutCommonComponentsSansProvidersModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: LayoutCommonComponentsSansProvidersModule, imports: [CommonModule,
        RouterModule,
        LayoutCommonComponentsMaterialModule,
        SentinelUserCardModule,
        SentinelBreadcrumbsModule,
        SentinelSidebarPageLayoutModule,
        NotificationSansProvidersModule, NotificationSansProvidersModule,
        LayoutCommonComponentsMaterialModule,
        SentinelUserCardModule,
        SentinelBreadcrumbsModule,
        SentinelSidebarPageLayoutModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: LayoutCommonComponentsSansProvidersModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        UserMenuComponent,
                        LoadingComponent,
                        ToolbarComponent,
                        NavComponent,
                        AgendaElementComponent,
                        NestedAgendaContainerComponent,
                        RootAgendaContainerComponent,
                        NavElementsComponent,
                        ScrollContainerComponent,
                    ],
                    imports: [
                        CommonModule,
                        RouterModule,
                        LayoutCommonComponentsMaterialModule,
                        SentinelUserCardModule,
                        SentinelBreadcrumbsModule,
                        SentinelSidebarPageLayoutModule,
                        NotificationSansProvidersModule,
                    ],
                    exports: [
                        UserMenuComponent,
                        LoadingComponent,
                        ToolbarComponent,
                        NavComponent,
                        AgendaElementComponent,
                        NestedAgendaContainerComponent,
                        RootAgendaContainerComponent,
                        NavElementsComponent,
                        ScrollContainerComponent,
                        NotificationSansProvidersModule,
                        LayoutCommonComponentsMaterialModule,
                        SentinelUserCardModule,
                        SentinelBreadcrumbsModule,
                        SentinelSidebarPageLayoutModule,
                    ],
                }]
        }] });
/**
 * Module containing layout components and services
 */
class LayoutCommonComponentsModule {
}
LayoutCommonComponentsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: LayoutCommonComponentsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
LayoutCommonComponentsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: LayoutCommonComponentsModule, imports: [LayoutCommonComponentsSansProvidersModule, NotificationProvidersModule], exports: [LayoutCommonComponentsSansProvidersModule, NotificationProvidersModule] });
LayoutCommonComponentsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: LayoutCommonComponentsModule, imports: [LayoutCommonComponentsSansProvidersModule, NotificationProvidersModule, LayoutCommonComponentsSansProvidersModule, NotificationProvidersModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: LayoutCommonComponentsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [LayoutCommonComponentsSansProvidersModule, NotificationProvidersModule],
                    exports: [LayoutCommonComponentsSansProvidersModule, NotificationProvidersModule],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { AgendaElementComponent, LayoutCommonComponentsMaterialModule, LayoutCommonComponentsModule, LayoutCommonComponentsSansProvidersModule, LoadingComponent, NavComponent, NavElementsComponent, NestedAgendaContainerComponent, RootAgendaContainerComponent, ScrollContainerComponent, ToolbarComponent, UserMenuComponent };
//# sourceMappingURL=sentinel-layout-common-components.mjs.map
