import * as i5 from '@angular/cdk/scrolling';
import { CdkVirtualScrollViewport, ScrollingModule } from '@angular/cdk/scrolling';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Component, Input, NgModule, ChangeDetectionStrategy, Injectable, ViewChild, Inject, ViewEncapsulation, EventEmitter, Output } from '@angular/core';
import * as i1 from '@angular/router';
import { RouterModule } from '@angular/router';
import * as i4 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i3 from '@angular/material/card';
import { MatCardModule } from '@angular/material/card';
import * as i2$1 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import { BehaviorSubject, Subject, EMPTY, from } from 'rxjs';
import { tap, switchMap, throttleTime, takeWhile, mergeMap, map, take, first } from 'rxjs/operators';
import { BaseDirective } from '@sentinel/layout/internal';
import * as i1$1 from '@angular/material/dialog';
import { MAT_DIALOG_DATA, MatDialogModule } from '@angular/material/dialog';
import * as i1$2 from '@angular/material/snack-bar';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import * as i1$3 from 'ngx-indexed-db';
import { NgxIndexedDBModule } from 'ngx-indexed-db';
import * as i7 from '@angular/material/divider';
import { MatDividerModule } from '@angular/material/divider';
import * as i5$1 from '@angular/material/menu';
import { MatMenuModule } from '@angular/material/menu';
import { trigger, transition, query, animate, keyframes, style } from '@angular/animations';

/**
 * Component displaying notification icon based on its type
 */
class NotificationIconComponent {
    constructor() {
        /**
         * True if icons should be displayed in color, false if white
         */
        this.color = true;
    }
}
NotificationIconComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationIconComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
NotificationIconComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: NotificationIconComponent, selector: "sentinel-notification-icon", inputs: { type: "type", color: "color" }, ngImport: i0, template: "<div\n  [ngSwitch]=\"type\"\n  [ngClass]=\"['notification-icon', color ? 'sentinel-' + type : 'none']\"\n  data-cy=\"sentinel-notification-card-icon\"\n>\n  <mat-icon *ngSwitchCase=\"'error'\"> error </mat-icon>\n  <mat-icon *ngSwitchCase=\"'info'\"> info </mat-icon>\n  <mat-icon *ngSwitchCase=\"'warning'\"> warning </mat-icon>\n  <mat-icon *ngSwitchCase=\"'success'\"> done </mat-icon>\n</div>\n", styles: [".notification-icon{color:#fff}.notification-icon.sentinel-error{color:red}.notification-icon.sentinel-warning{color:#fa0}.notification-icon.sentinel-success{color:#6df000}.notification-icon.sentinel-info{color:#3f51b5}\n"], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i2.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "component", type: i2$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationIconComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-notification-icon', template: "<div\n  [ngSwitch]=\"type\"\n  [ngClass]=\"['notification-icon', color ? 'sentinel-' + type : 'none']\"\n  data-cy=\"sentinel-notification-card-icon\"\n>\n  <mat-icon *ngSwitchCase=\"'error'\"> error </mat-icon>\n  <mat-icon *ngSwitchCase=\"'info'\"> info </mat-icon>\n  <mat-icon *ngSwitchCase=\"'warning'\"> warning </mat-icon>\n  <mat-icon *ngSwitchCase=\"'success'\"> done </mat-icon>\n</div>\n", styles: [".notification-icon{color:#fff}.notification-icon.sentinel-error{color:red}.notification-icon.sentinel-warning{color:#fa0}.notification-icon.sentinel-success{color:#6df000}.notification-icon.sentinel-info{color:#3f51b5}\n"] }]
        }], propDecorators: { type: [{
                type: Input
            }], color: [{
                type: Input
            }] } });

class NotificationIconModule {
}
NotificationIconModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationIconModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NotificationIconModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: NotificationIconModule, declarations: [NotificationIconComponent], imports: [CommonModule, MatIconModule], exports: [NotificationIconComponent] });
NotificationIconModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationIconModule, imports: [CommonModule, MatIconModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationIconModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NotificationIconComponent],
                    imports: [CommonModule, MatIconModule],
                    exports: [NotificationIconComponent],
                }]
        }] });

/**
 * Component displaying basic info about the  notification in material card
 */
class NotificationCardComponent {
    constructor(router, activatedRoute) {
        this.router = router;
        this.activatedRoute = activatedRoute;
        /**
         * True if detailed info should be displayed, false otherwise
         */
        this.detailed = false;
        this.TITLE_MAX_LENGTH = 25;
        this.DETAILED_TITLE_MAX_LENGTH = 100;
        this.INFO_MAX_LENGTH = 50;
        this.DETAILED_INFO_MAX_LENGTH = 200;
        /**
         * Max length of the title
         */
        this.titleMaxLength = 25;
        /**
         * Max length of the additional info
         */
        this.additionalInfoMaxLength = 50;
        this.notificationAdditionalInfo = '';
    }
    ngOnChanges(changes) {
        if ('detailed' in changes) {
            this.setLengthValues();
        }
        if ('notification' in changes &&
            this.notification &&
            this.notification.additionalInfo &&
            this.notification.additionalInfo.length > 0) {
            this.notificationAdditionalInfo = this.notification.additionalInfo[0];
        }
    }
    navigateToNotification() {
        this.router.navigate([this.routerLink], { relativeTo: this.activatedRoute });
    }
    setLengthValues() {
        this.titleMaxLength = this.detailed ? this.DETAILED_TITLE_MAX_LENGTH : this.TITLE_MAX_LENGTH;
        this.additionalInfoMaxLength = this.detailed ? this.DETAILED_INFO_MAX_LENGTH : this.INFO_MAX_LENGTH;
    }
}
NotificationCardComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationCardComponent, deps: [{ token: i1.Router }, { token: i1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component });
NotificationCardComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: NotificationCardComponent, selector: "sentinel-notification-card", inputs: { notification: "notification", detailed: "detailed", routerLink: "routerLink" }, usesOnChanges: true, ngImport: i0, template: "<mat-card [ngClass]=\"{ compact: !detailed }\" data-cy=\"sentinel-notification-card\">\n  <mat-card-content class=\"wrapped\">\n    <sentinel-notification-icon mat-card-avatar [type]=\"notification?.type\"></sentinel-notification-icon>\n    <div>\n      <div>\n        <b>{{\n          notification?.title?.length > titleMaxLength\n            ? (notification?.title | slice: 0:titleMaxLength) + '...'\n            : notification?.title\n        }}</b>\n      </div>\n      <div>\n        {{\n          notificationAdditionalInfo?.length > additionalInfoMaxLength\n            ? (notificationAdditionalInfo | slice: 0:additionalInfoMaxLength) + '...'\n            : notificationAdditionalInfo\n        }}\n      </div>\n      <div *ngIf=\"detailed\"><b>Source:</b> {{ notification?.source }}</div>\n    </div>\n  </mat-card-content>\n  <mat-card-footer>\n    <mat-card-subtitle>{{ notification?.timestamp | date: 'medium' }}</mat-card-subtitle>\n  </mat-card-footer>\n</mat-card>\n", styles: ["mat-card.compact{margin:0;border-radius:0;padding:10px;background:none;width:260px;height:100%}mat-card{margin:5px;border-radius:0;height:120px}.mat-card.compact{box-shadow:0 0 #0000,0 1px 1px #00000024,0 0 #0000001f}mat-card:hover{background-color:#dcdcdc}mat-card-content{display:flex;flex-direction:row}mat-card-footer{margin:-16px 0;display:flex;justify-content:flex-end}.wrapped{overflow-wrap:break-word;word-wrap:break-word;word-break:break-word}\n"], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: NotificationIconComponent, selector: "sentinel-notification-icon", inputs: ["type", "color"] }, { kind: "component", type: i3.MatCard, selector: "mat-card", exportAs: ["matCard"] }, { kind: "directive", type: i3.MatCardContent, selector: "mat-card-content, [mat-card-content], [matCardContent]" }, { kind: "directive", type: i3.MatCardSubtitle, selector: "mat-card-subtitle, [mat-card-subtitle], [matCardSubtitle]" }, { kind: "directive", type: i3.MatCardFooter, selector: "mat-card-footer" }, { kind: "directive", type: i3.MatCardAvatar, selector: "[mat-card-avatar], [matCardAvatar]" }, { kind: "pipe", type: i2.SlicePipe, name: "slice" }, { kind: "pipe", type: i2.DatePipe, name: "date" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationCardComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-notification-card', changeDetection: ChangeDetectionStrategy.OnPush, template: "<mat-card [ngClass]=\"{ compact: !detailed }\" data-cy=\"sentinel-notification-card\">\n  <mat-card-content class=\"wrapped\">\n    <sentinel-notification-icon mat-card-avatar [type]=\"notification?.type\"></sentinel-notification-icon>\n    <div>\n      <div>\n        <b>{{\n          notification?.title?.length > titleMaxLength\n            ? (notification?.title | slice: 0:titleMaxLength) + '...'\n            : notification?.title\n        }}</b>\n      </div>\n      <div>\n        {{\n          notificationAdditionalInfo?.length > additionalInfoMaxLength\n            ? (notificationAdditionalInfo | slice: 0:additionalInfoMaxLength) + '...'\n            : notificationAdditionalInfo\n        }}\n      </div>\n      <div *ngIf=\"detailed\"><b>Source:</b> {{ notification?.source }}</div>\n    </div>\n  </mat-card-content>\n  <mat-card-footer>\n    <mat-card-subtitle>{{ notification?.timestamp | date: 'medium' }}</mat-card-subtitle>\n  </mat-card-footer>\n</mat-card>\n", styles: ["mat-card.compact{margin:0;border-radius:0;padding:10px;background:none;width:260px;height:100%}mat-card{margin:5px;border-radius:0;height:120px}.mat-card.compact{box-shadow:0 0 #0000,0 1px 1px #00000024,0 0 #0000001f}mat-card:hover{background-color:#dcdcdc}mat-card-content{display:flex;flex-direction:row}mat-card-footer{margin:-16px 0;display:flex;justify-content:flex-end}.wrapped{overflow-wrap:break-word;word-wrap:break-word;word-break:break-word}\n"] }]
        }], ctorParameters: function () { return [{ type: i1.Router }, { type: i1.ActivatedRoute }]; }, propDecorators: { notification: [{
                type: Input
            }], detailed: [{
                type: Input
            }], routerLink: [{
                type: Input
            }] } });

class NotificationCardModule {
}
NotificationCardModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationCardModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NotificationCardModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: NotificationCardModule, declarations: [NotificationCardComponent], imports: [CommonModule, NotificationIconModule, MatCardModule, MatButtonModule], exports: [NotificationCardComponent] });
NotificationCardModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationCardModule, imports: [CommonModule, NotificationIconModule, MatCardModule, MatButtonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationCardModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NotificationCardComponent],
                    imports: [CommonModule, NotificationIconModule, MatCardModule, MatButtonModule],
                    exports: [NotificationCardComponent],
                }]
        }] });

/**
 * Abstract service layer handling retrieval and creation of notifications
 */
class SentinelNotificationApi {
}

/**
 * Layer between components and notification api
 */
class NotificationOverviewService {
    constructor(api) {
        this.api = api;
        this.notificationsSubject$ = new BehaviorSubject([]);
        /**
         * Notifications of current page
         */
        this.notifications$ = this.notificationsSubject$.asObservable();
        this.totalSizeSubject$ = new BehaviorSubject(0);
        /**
         * Total number of notifications
         */
        this.totalSize$ = this.totalSizeSubject$.asObservable();
    }
    /**
     * Gets all notifications on a page of some size
     * @param page page to retrieve
     * @param size size of the page
     */
    getAll(page, size) {
        return this.api.count().pipe(tap((count) => this.totalSizeSubject$.next(count)), switchMap((_) => this.api.getAll(page, size)), tap((notifications) => this.notificationsSubject$.next(notifications)));
    }
}
NotificationOverviewService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationOverviewService, deps: [{ token: SentinelNotificationApi }], target: i0.ɵɵFactoryTarget.Injectable });
NotificationOverviewService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationOverviewService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationOverviewService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: SentinelNotificationApi }]; } });

class SentinelNotificationOverviewComponent extends BaseDirective {
    constructor(notificationOverviewService) {
        super();
        this.notificationOverviewService = notificationOverviewService;
        this.theEnd = false;
        this.offset = new BehaviorSubject(null);
        this.PAGE_SIZE = 10;
        this.notifications$ = this.notificationOverviewService.notifications$;
        this.offset
            .pipe(throttleTime(300), takeWhile((_) => this.isAlive), mergeMap((offset) => this.notificationOverviewService.getAll(0, this.PAGE_SIZE + offset)), switchMap((_) => this.notificationOverviewService.totalSize$))
            .subscribe((totalSize) => (this.theEnd = totalSize === this.offset.getValue()));
    }
    nextBatch(offset) {
        if (this.theEnd) {
            return;
        }
        const end = this.viewport.getRenderedRange().end;
        const total = this.viewport.getDataLength();
        if (end === total) {
            this.offset.next(offset);
        }
    }
    trackByIdx(i) {
        return i;
    }
}
SentinelNotificationOverviewComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelNotificationOverviewComponent, deps: [{ token: NotificationOverviewService }], target: i0.ɵɵFactoryTarget.Component });
SentinelNotificationOverviewComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: SentinelNotificationOverviewComponent, selector: "sentinel-notification-overview", providers: [NotificationOverviewService], viewQueries: [{ propertyName: "viewport", first: true, predicate: CdkVirtualScrollViewport, descendants: true }], usesInheritance: true, ngImport: i0, template: "<ng-container *ngIf=\"notifications$ | async as notifications\">\n  <cdk-virtual-scroll-viewport itemSize=\"152\" class=\"viewport\" (scrolledIndexChange)=\"nextBatch(notifications.length)\">\n    <sentinel-notification-card\n      *cdkVirtualFor=\"let notification of notifications; trackBy: trackByIdx\"\n      [detailed]=\"true\"\n      [notification]=\"notification\"\n      [routerLink]=\"'' + notification.id\"\n    >\n    </sentinel-notification-card>\n  </cdk-virtual-scroll-viewport>\n</ng-container>\n", styles: [".notifications{display:flex;flex-direction:column;justify-content:center}.viewport{height:70vh;width:100%}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.RouterLink, selector: ":not(a):not(area)[routerLink]", inputs: ["queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "component", type: NotificationCardComponent, selector: "sentinel-notification-card", inputs: ["notification", "detailed", "routerLink"] }, { kind: "directive", type: i5.CdkFixedSizeVirtualScroll, selector: "cdk-virtual-scroll-viewport[itemSize]", inputs: ["itemSize", "minBufferPx", "maxBufferPx"] }, { kind: "directive", type: i5.CdkVirtualForOf, selector: "[cdkVirtualFor][cdkVirtualForOf]", inputs: ["cdkVirtualForOf", "cdkVirtualForTrackBy", "cdkVirtualForTemplate", "cdkVirtualForTemplateCacheSize"] }, { kind: "component", type: i5.CdkVirtualScrollViewport, selector: "cdk-virtual-scroll-viewport", inputs: ["orientation", "appendOnly"], outputs: ["scrolledIndexChange"] }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelNotificationOverviewComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-notification-overview', changeDetection: ChangeDetectionStrategy.OnPush, providers: [NotificationOverviewService], template: "<ng-container *ngIf=\"notifications$ | async as notifications\">\n  <cdk-virtual-scroll-viewport itemSize=\"152\" class=\"viewport\" (scrolledIndexChange)=\"nextBatch(notifications.length)\">\n    <sentinel-notification-card\n      *cdkVirtualFor=\"let notification of notifications; trackBy: trackByIdx\"\n      [detailed]=\"true\"\n      [notification]=\"notification\"\n      [routerLink]=\"'' + notification.id\"\n    >\n    </sentinel-notification-card>\n  </cdk-virtual-scroll-viewport>\n</ng-container>\n", styles: [".notifications{display:flex;flex-direction:column;justify-content:center}.viewport{height:70vh;width:100%}\n"] }]
        }], ctorParameters: function () { return [{ type: NotificationOverviewService }]; }, propDecorators: { viewport: [{
                type: ViewChild,
                args: [CdkVirtualScrollViewport]
            }] } });

class SentinelNotificationOverviewModule {
}
SentinelNotificationOverviewModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelNotificationOverviewModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SentinelNotificationOverviewModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: SentinelNotificationOverviewModule, declarations: [SentinelNotificationOverviewComponent], imports: [CommonModule, RouterModule, NotificationCardModule, ScrollingModule], exports: [SentinelNotificationOverviewComponent] });
SentinelNotificationOverviewModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelNotificationOverviewModule, imports: [CommonModule, RouterModule, NotificationCardModule, ScrollingModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelNotificationOverviewModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [SentinelNotificationOverviewComponent],
                    imports: [CommonModule, RouterModule, NotificationCardModule, ScrollingModule],
                    exports: [SentinelNotificationOverviewComponent],
                }]
        }] });

class SentinelNotificationDetailComponent {
    constructor(activatedRoute) {
        this.activatedRoute = activatedRoute;
    }
    ngOnInit() {
        this.notification$ = this.activatedRoute.data.pipe(map((data) => data.sentinelNotification));
    }
}
SentinelNotificationDetailComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelNotificationDetailComponent, deps: [{ token: i1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component });
SentinelNotificationDetailComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: SentinelNotificationDetailComponent, selector: "sentinel-notification-detail", ngImport: i0, template: "<mat-card *ngIf=\"notification$ | async as notification\">\n  <mat-card-header>\n    <sentinel-notification-icon mat-card-avatar [type]=\"notification.type\"></sentinel-notification-icon>\n    <mat-card-title class=\"wrapped\"> {{ notification.title | titlecase }}</mat-card-title>\n    <mat-card-subtitle class=\"wrapped\">Source: {{ notification.source }}</mat-card-subtitle>\n    <mat-card-subtitle class=\"wrapped\">Type: {{ notification.type | titlecase }}</mat-card-subtitle>\n    <mat-card-subtitle class=\"wrapped\">Created: {{ notification.timestamp | date: 'medium' }}</mat-card-subtitle>\n  </mat-card-header>\n  <mat-card-content class=\"wrapped\">\n    <p *ngFor=\"let message of notification?.additionalInfo\">{{ message }}</p></mat-card-content\n  >\n</mat-card>\n", styles: [".wrapped{overflow-wrap:break-word;word-wrap:break-word;word-break:break-word}\n"], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i3.MatCard, selector: "mat-card", exportAs: ["matCard"] }, { kind: "component", type: i3.MatCardHeader, selector: "mat-card-header" }, { kind: "directive", type: i3.MatCardContent, selector: "mat-card-content, [mat-card-content], [matCardContent]" }, { kind: "directive", type: i3.MatCardTitle, selector: "mat-card-title, [mat-card-title], [matCardTitle]" }, { kind: "directive", type: i3.MatCardSubtitle, selector: "mat-card-subtitle, [mat-card-subtitle], [matCardSubtitle]" }, { kind: "directive", type: i3.MatCardAvatar, selector: "[mat-card-avatar], [matCardAvatar]" }, { kind: "component", type: NotificationIconComponent, selector: "sentinel-notification-icon", inputs: ["type", "color"] }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }, { kind: "pipe", type: i2.TitleCasePipe, name: "titlecase" }, { kind: "pipe", type: i2.DatePipe, name: "date" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelNotificationDetailComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-notification-detail', changeDetection: ChangeDetectionStrategy.OnPush, template: "<mat-card *ngIf=\"notification$ | async as notification\">\n  <mat-card-header>\n    <sentinel-notification-icon mat-card-avatar [type]=\"notification.type\"></sentinel-notification-icon>\n    <mat-card-title class=\"wrapped\"> {{ notification.title | titlecase }}</mat-card-title>\n    <mat-card-subtitle class=\"wrapped\">Source: {{ notification.source }}</mat-card-subtitle>\n    <mat-card-subtitle class=\"wrapped\">Type: {{ notification.type | titlecase }}</mat-card-subtitle>\n    <mat-card-subtitle class=\"wrapped\">Created: {{ notification.timestamp | date: 'medium' }}</mat-card-subtitle>\n  </mat-card-header>\n  <mat-card-content class=\"wrapped\">\n    <p *ngFor=\"let message of notification?.additionalInfo\">{{ message }}</p></mat-card-content\n  >\n</mat-card>\n", styles: [".wrapped{overflow-wrap:break-word;word-wrap:break-word;word-break:break-word}\n"] }]
        }], ctorParameters: function () { return [{ type: i1.ActivatedRoute }]; } });

class SentinelNotificationDetailModule {
}
SentinelNotificationDetailModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelNotificationDetailModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SentinelNotificationDetailModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: SentinelNotificationDetailModule, declarations: [SentinelNotificationDetailComponent], imports: [CommonModule, MatCardModule, NotificationIconModule], exports: [SentinelNotificationDetailComponent] });
SentinelNotificationDetailModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelNotificationDetailModule, imports: [CommonModule, MatCardModule, NotificationIconModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelNotificationDetailModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [SentinelNotificationDetailComponent],
                    imports: [CommonModule, MatCardModule, NotificationIconModule],
                    exports: [SentinelNotificationDetailComponent],
                }]
        }] });

/**
 * Represents result of the notification. Dismissed if user did not interact with it, confirmed if user selected optional action
 */
var SentinelNotificationResult;
(function (SentinelNotificationResult) {
    SentinelNotificationResult["DISMISSED"] = "dismissed";
    SentinelNotificationResult["CONFIRMED"] = "confirmed";
})(SentinelNotificationResult || (SentinelNotificationResult = {}));

/**
 * Dialog component displaying error notification
 */
class NotificationErrorDialogComponent {
    constructor(dialogRef, data) {
        this.dialogRef = dialogRef;
        this.data = data;
    }
    /**
     * Closes the dialog
     */
    close() {
        this.dialogRef.close(SentinelNotificationResult.DISMISSED);
    }
    /**
     * Closes the dialog with confirmation of action
     */
    confirmAction() {
        this.dialogRef.close(SentinelNotificationResult.CONFIRMED);
    }
}
NotificationErrorDialogComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationErrorDialogComponent, deps: [{ token: i1$1.MatDialogRef }, { token: MAT_DIALOG_DATA }], target: i0.ɵɵFactoryTarget.Component });
NotificationErrorDialogComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: NotificationErrorDialogComponent, selector: "sentinel-notification-error-modal", ngImport: i0, template: "<div class=\"mat-typography\" data-cy=\"sentinel-error-dialog\">\n  <h1 mat-dialog-title>{{ data?.title | titlecase }}</h1>\n  <div matDialogContent>\n    <p *ngIf=\"data?.source\">Source: {{ data?.source }}</p>\n    <p *ngFor=\"let message of data?.additionalInfo\">{{ message }}</p>\n  </div>\n  <div mat-dialog-actions>\n    <button mat-button color=\"primary\" (click)=\"close()\">OK</button>\n    <span class=\"spacer\"></span>\n    <button *ngIf=\"data?.action\" mat-button color=\"primary\" (click)=\"confirmAction()\">\n      {{ data?.action | titlecase }}\n    </button>\n  </div>\n</div>\n", styles: [".header{text-align:center}.spacer{flex:1 1 0}\n"], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.MatDialogTitle, selector: "[mat-dialog-title], [matDialogTitle]", inputs: ["id"], exportAs: ["matDialogTitle"] }, { kind: "directive", type: i1$1.MatDialogContent, selector: "[mat-dialog-content], mat-dialog-content, [matDialogContent]" }, { kind: "directive", type: i1$1.MatDialogActions, selector: "[mat-dialog-actions], mat-dialog-actions, [matDialogActions]", inputs: ["align"] }, { kind: "component", type: i4.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "pipe", type: i2.TitleCasePipe, name: "titlecase" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationErrorDialogComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-notification-error-modal', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"mat-typography\" data-cy=\"sentinel-error-dialog\">\n  <h1 mat-dialog-title>{{ data?.title | titlecase }}</h1>\n  <div matDialogContent>\n    <p *ngIf=\"data?.source\">Source: {{ data?.source }}</p>\n    <p *ngFor=\"let message of data?.additionalInfo\">{{ message }}</p>\n  </div>\n  <div mat-dialog-actions>\n    <button mat-button color=\"primary\" (click)=\"close()\">OK</button>\n    <span class=\"spacer\"></span>\n    <button *ngIf=\"data?.action\" mat-button color=\"primary\" (click)=\"confirmAction()\">\n      {{ data?.action | titlecase }}\n    </button>\n  </div>\n</div>\n", styles: [".header{text-align:center}.spacer{flex:1 1 0}\n"] }]
        }], ctorParameters: function () {
        return [{ type: i1$1.MatDialogRef }, { type: undefined, decorators: [{
                        type: Inject,
                        args: [MAT_DIALOG_DATA]
                    }] }];
    } });

/**
 * Service handling displaying and closing popup notifications in material snackbar
 */
class NotificationPopupService {
    constructor(snackBar) {
        this.snackBar = snackBar;
        this.DEFAULT_DURATION = 5000;
        this.notificationResultsMap = new Map();
        this.notificationsSubject$ = new BehaviorSubject([]);
        /**
         * Notifications with active popups
         */
        this.notifications$ = this.notificationsSubject$.asObservable();
    }
    /**
     * Displays notification in component and returns observable of the notification result
     * @param notification notification to display
     * @param component component to display the notification in
     */
    display(notification, component) {
        if (!this.snackbarRef) {
            this.snackbarRef = this.openSnackbar(component);
        }
        this.notificationsSubject$.next([...this.notificationsSubject$.getValue(), notification]);
        this.addExpiration(notification);
        return this.createResultObservable(notification);
    }
    /**
     * Closes notification with result
     * @param toClose notification to close
     * @param result result of the notification
     */
    close(toClose, result) {
        const notifications = this.notificationsSubject$.getValue();
        const index = notifications.findIndex((notification) => notification === toClose);
        if (index !== -1) {
            notifications.splice(index, 1);
            this.notificationsSubject$.next(notifications);
            this.emitResult(toClose, result);
        }
        if (this.isEmpty()) {
            this.closeSnackBar();
        }
    }
    emitResult(notification, result) {
        const resultSubject$ = this.notificationResultsMap.get(notification);
        resultSubject$.next(result);
        this.notificationResultsMap.delete(notification);
    }
    closeSnackBar() {
        this.snackBar.dismiss();
        this.snackbarRef = undefined;
    }
    isEmpty() {
        return this.notificationsSubject$.getValue().length === 0;
    }
    openSnackbar(component) {
        return this.snackBar.openFromComponent(component, {
            verticalPosition: 'top',
            horizontalPosition: 'end',
            panelClass: 'sentinel-notification-snackbar',
        });
    }
    addExpiration(notification) {
        setTimeout(() => {
            this.close(notification, SentinelNotificationResult.DISMISSED);
        }, notification.duration ? notification.duration : this.DEFAULT_DURATION);
    }
    createResultObservable(notification) {
        const resultSubject$ = new Subject();
        this.notificationResultsMap.set(notification, resultSubject$);
        return resultSubject$.asObservable();
    }
}
NotificationPopupService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationPopupService, deps: [{ token: i1$2.MatSnackBar }], target: i0.ɵɵFactoryTarget.Injectable });
NotificationPopupService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationPopupService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationPopupService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: i1$2.MatSnackBar }]; } });

/**
 * Component displaying notifications in a snackbar
 */
class NotificationsPopupComponent {
    constructor(snackbar, notificationPopupService) {
        this.snackbar = snackbar;
        this.notificationPopupService = notificationPopupService;
    }
    ngOnInit() {
        this.notifications$ = this.notificationPopupService.notifications$;
    }
    ngOnDestroy() {
        this.snackbar.dismiss();
    }
    /**
     * Closes notification with dismissed result
     * @param notification notification to close
     */
    close(notification) {
        this.notificationPopupService.close(notification, SentinelNotificationResult.DISMISSED);
    }
    /**
     * Closes notification with confirmed result
     * @param notification notification to confirm and close
     */
    confirmAction(notification) {
        this.notificationPopupService.close(notification, SentinelNotificationResult.CONFIRMED);
    }
}
NotificationsPopupComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationsPopupComponent, deps: [{ token: i1$2.MatSnackBar }, { token: NotificationPopupService }], target: i0.ɵɵFactoryTarget.Component });
NotificationsPopupComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: NotificationsPopupComponent, selector: "sentinel-notification-popup", ngImport: i0, template: "<div\n  *ngFor=\"let notification of notifications$ | async\"\n  [ngClass]=\"['sentinel-popup-notification', notification.type, 'sentinel-popup-notification-slide-top']\"\n  (click)=\"close(notification)\"\n>\n  <div\n    [ngClass]=\"['sentinel-popup-notification-content', notification.action ? 'with-action' : 'without-action']\"\n    data-cy=\"sentinel-notification-popup\"\n  >\n    <sentinel-notification-icon class=\"popup\" [type]=\"notification.type\" [color]=\"false\"> </sentinel-notification-icon>\n    <span class=\"mat-typography\">\n      {{ notification.title?.length > 50 ? (notification.title | slice: 0:50) + '...' : notification.title }}\n    </span>\n    <button\n      *ngIf=\"notification.action\"\n      class=\"sentinel-popup-notification-action\"\n      mat-button\n      (click)=\"confirmAction(notification)\"\n    >\n      {{ notification.action | titlecase }}\n    </button>\n  </div>\n</div>\n", styles: ["sentinel-notification-icon.popup{margin-right:10px}.sentinel-notification-snackbar{background:none;box-shadow:none}.sentinel-popup-notification-content{display:flex;height:100%;width:100%;align-items:center}.sentinel-popup-notification-content.with-action{justify-content:space-between}.sentinel-popup-notification:first-child{margin-top:80px}.sentinel-popup-notification{color:#fff;display:block;margin-top:5px;padding:0 10px;height:40px;opacity:.8}.sentinel-popup-notification:hover{opacity:1}.sentinel-popup-notification.info{background-color:#3f51b5}.sentinel-popup-notification.warning{background-color:#f0ad4e}.sentinel-popup-notification.success{background-color:#5cb85c}.sentinel-popup-notification-slide-top{animation:sentinel-popup-notification-slide-top .5s both}@keyframes sentinel-popup-notification-slide-top{0%{transform:translateY(0)}to{transform:translateY(-20px)}}\n"], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: NotificationIconComponent, selector: "sentinel-notification-icon", inputs: ["type", "color"] }, { kind: "component", type: i4.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }, { kind: "pipe", type: i2.SlicePipe, name: "slice" }, { kind: "pipe", type: i2.TitleCasePipe, name: "titlecase" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationsPopupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-notification-popup', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, template: "<div\n  *ngFor=\"let notification of notifications$ | async\"\n  [ngClass]=\"['sentinel-popup-notification', notification.type, 'sentinel-popup-notification-slide-top']\"\n  (click)=\"close(notification)\"\n>\n  <div\n    [ngClass]=\"['sentinel-popup-notification-content', notification.action ? 'with-action' : 'without-action']\"\n    data-cy=\"sentinel-notification-popup\"\n  >\n    <sentinel-notification-icon class=\"popup\" [type]=\"notification.type\" [color]=\"false\"> </sentinel-notification-icon>\n    <span class=\"mat-typography\">\n      {{ notification.title?.length > 50 ? (notification.title | slice: 0:50) + '...' : notification.title }}\n    </span>\n    <button\n      *ngIf=\"notification.action\"\n      class=\"sentinel-popup-notification-action\"\n      mat-button\n      (click)=\"confirmAction(notification)\"\n    >\n      {{ notification.action | titlecase }}\n    </button>\n  </div>\n</div>\n", styles: ["sentinel-notification-icon.popup{margin-right:10px}.sentinel-notification-snackbar{background:none;box-shadow:none}.sentinel-popup-notification-content{display:flex;height:100%;width:100%;align-items:center}.sentinel-popup-notification-content.with-action{justify-content:space-between}.sentinel-popup-notification:first-child{margin-top:80px}.sentinel-popup-notification{color:#fff;display:block;margin-top:5px;padding:0 10px;height:40px;opacity:.8}.sentinel-popup-notification:hover{opacity:1}.sentinel-popup-notification.info{background-color:#3f51b5}.sentinel-popup-notification.warning{background-color:#f0ad4e}.sentinel-popup-notification.success{background-color:#5cb85c}.sentinel-popup-notification-slide-top{animation:sentinel-popup-notification-slide-top .5s both}@keyframes sentinel-popup-notification-slide-top{0%{transform:translateY(0)}to{transform:translateY(-20px)}}\n"] }]
        }], ctorParameters: function () { return [{ type: i1$2.MatSnackBar }, { type: NotificationPopupService }]; } });

var SentinelNotificationTypeEnum;
(function (SentinelNotificationTypeEnum) {
    SentinelNotificationTypeEnum["Error"] = "error";
    SentinelNotificationTypeEnum["Success"] = "success";
    SentinelNotificationTypeEnum["Info"] = "info";
    SentinelNotificationTypeEnum["Warning"] = "warning";
})(SentinelNotificationTypeEnum || (SentinelNotificationTypeEnum = {}));

/**
 * Displays notifications in Material Dialog
 */
class NotificationDialogService {
    constructor(dialog) {
        this.dialog = dialog;
    }
    /**
     * Displays notification in dialog and returns observable of the result
     * @param notification notification to display in dialog
     * @param component component of the dialog
     */
    display(notification, component) {
        const dialogRef = this.dialog.open(component, {
            data: notification,
            disableClose: true,
        });
        return dialogRef
            .afterClosed()
            .pipe(map((result) => (result === undefined || result === null ? SentinelNotificationResult.DISMISSED : result)));
    }
}
NotificationDialogService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationDialogService, deps: [{ token: i1$1.MatDialog }], target: i0.ɵɵFactoryTarget.Injectable });
NotificationDialogService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationDialogService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationDialogService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: i1$1.MatDialog }]; } });

/**
 * Notification service handling storing, displaying and returning a result of emitted notification
 */
class SentinelNotificationService {
    constructor(notificationApi, notificationDialogService, notificationPopupService) {
        this.notificationApi = notificationApi;
        this.notificationDialogService = notificationDialogService;
        this.notificationPopupService = notificationPopupService;
        this.onNotificationAddedSubject$ = new Subject();
        /**
         * Emits event when notification is added and stored the db
         */
        this.onNotificationAdded$ = this.onNotificationAddedSubject$.asObservable();
    }
    /**
     * Emits notification and displays it to the user appropriately
     * @param notification a notification to emit
     */
    emit(notification) {
        this.store(notification);
        return this.display(notification);
    }
    store(notification) {
        notification.timestamp = Date.now();
        this.notificationApi
            .add(notification)
            .pipe(take(1), tap((id) => {
            notification.id = id;
            this.onNotificationAddedSubject$.next(notification);
        }))
            .subscribe();
    }
    display(notification) {
        if (notification.type === SentinelNotificationTypeEnum.Error) {
            return this.notificationDialogService.display(notification, NotificationErrorDialogComponent);
        }
        else {
            return this.notificationPopupService.display(notification, NotificationsPopupComponent);
        }
    }
}
SentinelNotificationService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelNotificationService, deps: [{ token: SentinelNotificationApi }, { token: NotificationDialogService }, { token: NotificationPopupService }], target: i0.ɵɵFactoryTarget.Injectable });
SentinelNotificationService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelNotificationService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelNotificationService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: SentinelNotificationApi }, { type: NotificationDialogService }, { type: NotificationPopupService }]; } });

class NotificationResolver {
    constructor(api) {
        this.api = api;
    }
    resolve(route, state) {
        if (!route.paramMap.has('id')) {
            console.error('No parameter found on key: id. ' +
                'Please consult the documentation to set up routing to notification detail correctly.');
            return EMPTY;
        }
        if (Number.isNaN(Number(route.paramMap.get('id')))) {
            console.error('Value under id must be a number');
            return EMPTY;
        }
        const id = Number(route.paramMap.get('id'));
        return this.api.get(id).pipe(first());
    }
}
NotificationResolver.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationResolver, deps: [{ token: SentinelNotificationApi }], target: i0.ɵɵFactoryTarget.Injectable });
NotificationResolver.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationResolver });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationResolver, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: SentinelNotificationApi }]; } });

/**
 * Service layer handling notification operations on IndexedDB
 */
class NotificationIndexedDBApi extends SentinelNotificationApi {
    constructor(dbService) {
        super();
        this.dbService = dbService;
    }
    /**
     * Adds new notification to db
     * @param notification
     */
    add(notification) {
        return from(this.dbService.add('notifications', {
            timestamp: notification.timestamp,
            additionalInfo: notification.additionalInfo,
            title: notification.title,
            source: notification.source,
            type: notification.type,
        })).pipe(tap({ error: (err) => console.error('IndexedDB Add notification error: ' + err) }), map((notification) => notification.id));
    }
    /**
     * Returns notification by id
     * @param id id of the notification to retrieve
     */
    get(id) {
        return from(this.dbService.getByID('notifications', id)).pipe(tap({ error: (err) => console.error('IndexedDB Get notification error: ' + err) }));
    }
    /**
     * Returns total count of notifications
     */
    count() {
        return from(this.dbService.count('notifications'));
    }
    /**
     * Gets paginated notifications
     * @param page page to retrieve
     * @param size size of the page
     */
    getAll(page, size) {
        return from(this.dbService.getAll('notifications')).pipe(tap({ error: (err) => console.error('IndexedDB GetAll notification error: ' + err) }), map((notifications) => notifications.reverse()), map((notifications) => {
            const fromIndex = page * size;
            const toIndex = fromIndex + size;
            return notifications.slice(fromIndex, toIndex);
        }));
    }
}
NotificationIndexedDBApi.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationIndexedDBApi, deps: [{ token: i1$3.NgxIndexedDBService }], target: i0.ɵɵFactoryTarget.Injectable });
NotificationIndexedDBApi.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationIndexedDBApi });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationIndexedDBApi, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: i1$3.NgxIndexedDBService }]; } });

class NotificationMaterialModule {
}
NotificationMaterialModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationMaterialModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NotificationMaterialModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: NotificationMaterialModule, imports: [MatDialogModule, MatSnackBarModule, MatButtonModule, MatMenuModule, MatIconModule, MatDividerModule], exports: [MatDialogModule, MatSnackBarModule, MatButtonModule, MatMenuModule, MatIconModule, MatDividerModule] });
NotificationMaterialModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationMaterialModule, imports: [MatDialogModule, MatSnackBarModule, MatButtonModule, MatMenuModule, MatIconModule, MatDividerModule, MatDialogModule, MatSnackBarModule, MatButtonModule, MatMenuModule, MatIconModule, MatDividerModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationMaterialModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [MatDialogModule, MatSnackBarModule, MatButtonModule, MatMenuModule, MatIconModule, MatDividerModule],
                    exports: [MatDialogModule, MatSnackBarModule, MatButtonModule, MatMenuModule, MatIconModule, MatDividerModule],
                }]
        }] });

/**
 * Menu displaying latest notifications
 */
class NotificationMenuComponent {
    constructor() {
        /**
         * Emits event to refresh notifications list
         */
        this.refreshNotifications = new EventEmitter();
    }
    /**
     * Refreshes notifications to display when user opens the menu
     */
    onOpenNotifications() {
        this.refreshNotifications.emit();
    }
}
NotificationMenuComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationMenuComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
NotificationMenuComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: NotificationMenuComponent, selector: "sentinel-notification-menu", inputs: { notifications: "notifications", lastNotification: "lastNotification", notificationsRoute: "notificationsRoute" }, outputs: { refreshNotifications: "refreshNotifications" }, ngImport: i0, template: "<button\n  [@preventInitialChildAnimations]\n  mat-icon-button\n  class=\"menu-trigger\"\n  data-cy=\"sentinel-notification-menu\"\n  [matMenuTriggerFor]=\"notificationMenu\"\n  (onMenuOpen)=\"onOpenNotifications()\"\n>\n  <mat-icon [@wobble]=\"lastNotification\">notifications</mat-icon>\n</button>\n<mat-menu #notificationMenu=\"matMenu\" xPosition=\"before\" data-cy=\"sentinel-notification-menu-detail\">\n  <div class=\"header\">\n    <h3 class=\"mat-h3\">Notifications</h3>\n    <mat-divider></mat-divider>\n  </div>\n  <div class=\"content\" *ngIf=\"notifications?.length > 0; else emptyNotifications\">\n    <sentinel-notification-card\n      *ngFor=\"let notification of notifications\"\n      [notification]=\"notification\"\n      [routerLink]=\"notificationsRoute + '/' + notification.id.toString()\"\n    >\n    </sentinel-notification-card>\n    <div class=\"footer\">\n      <mat-divider></mat-divider>\n      <a mat-button color=\"accent\" [routerLink]=\"notificationsRoute\">Show All</a>\n    </div>\n  </div>\n</mat-menu>\n\n<ng-template #emptyNotifications>\n  <div class=\"no-notifications\">\n    <h4 class=\"mat-h4\" data-cy=\"sentinel-notification-menu-empty\">You do not have any notifications yet</h4>\n  </div>\n</ng-template>\n", styles: ["sentinel-notification-card{cursor:pointer}.footer,.header{text-align:center}.no-notifications{padding:10px}button{min-height:40px}\n"], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.RouterLink, selector: ":not(a):not(area)[routerLink]", inputs: ["queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "directive", type: i1.RouterLinkWithHref, selector: "a[routerLink],area[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "component", type: NotificationCardComponent, selector: "sentinel-notification-card", inputs: ["notification", "detailed", "routerLink"] }, { kind: "component", type: i4.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i4.MatAnchor, selector: "a[mat-button], a[mat-raised-button], a[mat-icon-button], a[mat-fab],             a[mat-mini-fab], a[mat-stroked-button], a[mat-flat-button]", inputs: ["disabled", "disableRipple", "color", "tabIndex"], exportAs: ["matButton", "matAnchor"] }, { kind: "component", type: i5$1.MatMenu, selector: "mat-menu", exportAs: ["matMenu"] }, { kind: "directive", type: i5$1.MatMenuTrigger, selector: "[mat-menu-trigger-for], [matMenuTriggerFor]", exportAs: ["matMenuTrigger"] }, { kind: "component", type: i2$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i7.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }], animations: [
        trigger('preventInitialChildAnimations', [transition(':enter', [query(':enter', [], { optional: true })])]),
        trigger('wobble', [
            transition('* => *', animate('1s 0s', keyframes([
                style({ transform: 'none', offset: 0 }),
                style({
                    transform: 'translate3d(-25%, 0, 0) rotate3d(0, 0, 1, -5deg)',
                    offset: 0.15,
                }),
                style({
                    transform: 'translate3d(20%, 0, 0) rotate3d(0, 0, 1, 3deg)',
                    offset: 0.3,
                }),
                style({
                    transform: 'translate3d(-15%, 0, 0) rotate3d(0, 0, 1, -3deg)',
                    offset: 0.45,
                }),
                style({
                    transform: 'translate3d(10%, 0, 0) rotate3d(0, 0, 1, 2deg)',
                    offset: 0.6,
                }),
                style({
                    transform: 'translate3d(-5%, 0, 0) rotate3d(0, 0, 1, -1deg)',
                    offset: 0.75,
                }),
                style({ transform: 'none', offset: 1 }),
            ]))),
        ]),
    ], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationMenuComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-notification-menu', changeDetection: ChangeDetectionStrategy.OnPush, animations: [
                        trigger('preventInitialChildAnimations', [transition(':enter', [query(':enter', [], { optional: true })])]),
                        trigger('wobble', [
                            transition('* => *', animate('1s 0s', keyframes([
                                style({ transform: 'none', offset: 0 }),
                                style({
                                    transform: 'translate3d(-25%, 0, 0) rotate3d(0, 0, 1, -5deg)',
                                    offset: 0.15,
                                }),
                                style({
                                    transform: 'translate3d(20%, 0, 0) rotate3d(0, 0, 1, 3deg)',
                                    offset: 0.3,
                                }),
                                style({
                                    transform: 'translate3d(-15%, 0, 0) rotate3d(0, 0, 1, -3deg)',
                                    offset: 0.45,
                                }),
                                style({
                                    transform: 'translate3d(10%, 0, 0) rotate3d(0, 0, 1, 2deg)',
                                    offset: 0.6,
                                }),
                                style({
                                    transform: 'translate3d(-5%, 0, 0) rotate3d(0, 0, 1, -1deg)',
                                    offset: 0.75,
                                }),
                                style({ transform: 'none', offset: 1 }),
                            ]))),
                        ]),
                    ], template: "<button\n  [@preventInitialChildAnimations]\n  mat-icon-button\n  class=\"menu-trigger\"\n  data-cy=\"sentinel-notification-menu\"\n  [matMenuTriggerFor]=\"notificationMenu\"\n  (onMenuOpen)=\"onOpenNotifications()\"\n>\n  <mat-icon [@wobble]=\"lastNotification\">notifications</mat-icon>\n</button>\n<mat-menu #notificationMenu=\"matMenu\" xPosition=\"before\" data-cy=\"sentinel-notification-menu-detail\">\n  <div class=\"header\">\n    <h3 class=\"mat-h3\">Notifications</h3>\n    <mat-divider></mat-divider>\n  </div>\n  <div class=\"content\" *ngIf=\"notifications?.length > 0; else emptyNotifications\">\n    <sentinel-notification-card\n      *ngFor=\"let notification of notifications\"\n      [notification]=\"notification\"\n      [routerLink]=\"notificationsRoute + '/' + notification.id.toString()\"\n    >\n    </sentinel-notification-card>\n    <div class=\"footer\">\n      <mat-divider></mat-divider>\n      <a mat-button color=\"accent\" [routerLink]=\"notificationsRoute\">Show All</a>\n    </div>\n  </div>\n</mat-menu>\n\n<ng-template #emptyNotifications>\n  <div class=\"no-notifications\">\n    <h4 class=\"mat-h4\" data-cy=\"sentinel-notification-menu-empty\">You do not have any notifications yet</h4>\n  </div>\n</ng-template>\n", styles: ["sentinel-notification-card{cursor:pointer}.footer,.header{text-align:center}.no-notifications{padding:10px}button{min-height:40px}\n"] }]
        }], propDecorators: { notifications: [{
                type: Input
            }], lastNotification: [{
                type: Input
            }], notificationsRoute: [{
                type: Input
            }], refreshNotifications: [{
                type: Output
            }] } });

const dbConfig = {
    name: 'SentinelNotificationDB',
    version: 1,
    objectStoresMeta: [
        {
            store: 'notifications',
            storeConfig: { keyPath: 'id', autoIncrement: true },
            storeSchema: [
                { name: 'timestamp', keypath: 'timestamp', options: { unique: false } },
                { name: 'additionalInfo', keypath: 'additionalInfo', options: { unique: false } },
                { name: 'title', keypath: 'title', options: { unique: false } },
                { name: 'source', keypath: 'source', options: { unique: false } },
                { name: 'type', keypath: 'type', options: { unique: false } },
            ],
        },
    ],
};
const PROVIDERS = [
    { provide: SentinelNotificationApi, useClass: NotificationIndexedDBApi },
    SentinelNotificationService,
    NotificationResolver,
    NotificationPopupService,
    NotificationDialogService,
];
class NotificationSansProvidersModule {
}
NotificationSansProvidersModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationSansProvidersModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NotificationSansProvidersModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: NotificationSansProvidersModule, declarations: [NotificationErrorDialogComponent, NotificationMenuComponent, NotificationsPopupComponent], imports: [CommonModule,
        RouterModule,
        NotificationCardModule,
        NotificationIconModule,
        NotificationMaterialModule, i1$3.NgxIndexedDBModule], exports: [NotificationErrorDialogComponent, NotificationMenuComponent, NotificationsPopupComponent] });
NotificationSansProvidersModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationSansProvidersModule, imports: [CommonModule,
        RouterModule,
        NotificationCardModule,
        NotificationIconModule,
        NotificationMaterialModule,
        NgxIndexedDBModule.forRoot(dbConfig)] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationSansProvidersModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NotificationErrorDialogComponent, NotificationMenuComponent, NotificationsPopupComponent],
                    imports: [
                        CommonModule,
                        RouterModule,
                        NotificationCardModule,
                        NotificationIconModule,
                        NotificationMaterialModule,
                        NgxIndexedDBModule.forRoot(dbConfig),
                    ],
                    exports: [NotificationErrorDialogComponent, NotificationMenuComponent, NotificationsPopupComponent],
                }]
        }] });
class NotificationProvidersModule {
}
NotificationProvidersModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationProvidersModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NotificationProvidersModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: NotificationProvidersModule });
NotificationProvidersModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationProvidersModule, providers: PROVIDERS });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationProvidersModule, decorators: [{
            type: NgModule,
            args: [{
                    providers: PROVIDERS,
                }]
        }] });
class NotificationModule {
}
NotificationModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NotificationModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: NotificationModule, imports: [NotificationSansProvidersModule], exports: [NotificationSansProvidersModule] });
NotificationModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationModule, providers: PROVIDERS, imports: [NotificationSansProvidersModule, NotificationSansProvidersModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: NotificationModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [NotificationSansProvidersModule],
                    providers: PROVIDERS,
                    exports: [NotificationSansProvidersModule],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { NotificationErrorDialogComponent, NotificationMaterialModule, NotificationMenuComponent, NotificationModule, NotificationProvidersModule, NotificationResolver, NotificationSansProvidersModule, NotificationsPopupComponent, SentinelNotificationApi, SentinelNotificationDetailComponent, SentinelNotificationDetailModule, SentinelNotificationOverviewComponent, SentinelNotificationOverviewModule, SentinelNotificationResult, SentinelNotificationService, SentinelNotificationTypeEnum };
//# sourceMappingURL=sentinel-layout-notification.mjs.map
