import { InjectionToken } from '@angular/core';

/**
 * You can provide global config for sentinel card component through this injection token
 * @usage
 providers: [
 { provide: ORION_CARD_CONFIG, useValue: { noMargin: true, elevation: 1 }}
 ],
 */
const ORION_CARD_CONFIG = new InjectionToken('ORION_CARD_CONFIG');

/**
 * You can provide global config for sentinel panel component through this injection token
 * @usage
 providers: [
 { provide: ORION_PANEL_CONFIG, useValue: { elevation: 1, isExpanded: false }}
 ],
 */
const ORION_PANEL_CONFIG = new InjectionToken('ORION_PANEL_CONFIG');

/**
 * You can provide global config for sentinel panel component through this injection token
 * @usage
 providers: [
 { provide: ORION_FILTER_PANEL_CONFIG, useValue: { withSubmitButton: false }}
 ],
 */
const ORION_FILTER_PANEL_CONFIG = new InjectionToken('ORION_FILTER_PANEL_CONFIG');

/**
 * Generated bundle index. Do not edit.
 */

export { ORION_CARD_CONFIG, ORION_FILTER_PANEL_CONFIG, ORION_PANEL_CONFIG };
//# sourceMappingURL=csirtmu-orion-microframework-config.mjs.map
