import * as i0 from '@angular/core';
import { EventEmitter, Component, ChangeDetectionStrategy, Input, Output, NgModule } from '@angular/core';
import { DateRangeForm } from '@sentinel/common';
import * as i3 from '@angular/forms';
import { ReactiveFormsModule } from '@angular/forms';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@danielmoncada/angular-datetime-picker';
import { OwlDateTimeModule, OwlNativeDateTimeModule } from '@danielmoncada/angular-datetime-picker';
import * as i4 from '@angular/material/form-field';
import { MatFormFieldModule } from '@angular/material/form-field';
import * as i5 from '@angular/material/input';
import { MatInputModule } from '@angular/material/input';

class OrionDateRangeFormInputsComponent {
    constructor() {
        this.appearance = 'outline';
        this.fromLabel = 'From';
        this.toLabel = 'To';
        this.inRow = false;
        this.dateRangeChange = new EventEmitter();
    }
    onDateChange() {
        if (this.formGroup) {
            this.dateRangeChange.emit({
                from: this.formGroup.controls.from.value ?? undefined,
                to: this.formGroup.controls.to.value ?? undefined,
            });
        }
    }
}
OrionDateRangeFormInputsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDateRangeFormInputsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionDateRangeFormInputsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionDateRangeFormInputsComponent, selector: "orion-date-range-form-inputs", inputs: { appearance: "appearance", fromLabel: "fromLabel", toLabel: "toLabel", inRow: "inRow", formGroup: "formGroup" }, outputs: { dateRangeChange: "dateRangeChange" }, ngImport: i0, template: "<div [ngClass]=\"{ 'form-inputs': true, 'row': inRow, 'col': !inRow }\" *ngIf=\"formGroup as formGroup\" [formGroup]=\"formGroup\">\n  <mat-form-field [appearance]=\"appearance\">\n    <mat-label>{{ fromLabel }}</mat-label>\n    <input\n      matInput\n      [placeholder]=\"fromLabel\"\n      [formControl]=\"formGroup.controls.from\"\n      [owlDateTime]=\"fromDatePicker\"\n      [owlDateTimeTrigger]=\"fromDatePicker\"\n      [max]=\"formGroup.controls.to.value\"\n      (dateTimeChange)=\"onDateChange()\"\n    />\n    <owl-date-time #fromDatePicker></owl-date-time>\n    <mat-error *ngIf=\"formGroup.hasError('dateTimeOrder')\">From date cannot be larger than the to date</mat-error>\n  </mat-form-field>\n\n  <mat-form-field [appearance]=\"appearance\">\n    <mat-label>{{ toLabel }}</mat-label>\n    <input\n      matInput\n      [placeholder]=\"toLabel\"\n      [formControl]=\"formGroup.controls.to\"\n      [owlDateTime]=\"toDatepicker\"\n      [owlDateTimeTrigger]=\"toDatepicker\"\n      [min]=\"formGroup.controls.from.value\"\n      (dateTimeChange)=\"onDateChange()\"\n    />\n    <owl-date-time #toDatepicker></owl-date-time>\n    <mat-error *ngIf=\"formGroup.hasError('dateTimeOrder')\">From date cannot be larger than the to date</mat-error>\n  </mat-form-field>\n</div>\n", styles: [".form-inputs{display:flex;justify-items:center}.form-inputs.row{flex-direction:row}.form-inputs.col{flex-direction:column}.form-inputs>*:not(:nth-child(1)){margin-left:10px}mat-form-field{width:100%}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.OwlDateTimeTriggerDirective, selector: "[owlDateTimeTrigger]", inputs: ["owlDateTimeTrigger", "disabled"] }, { kind: "directive", type: i2.OwlDateTimeInputDirective, selector: "input[owlDateTime]", inputs: ["required", "owlDateTime", "owlDateTimeFilter", "_disabled", "min", "max", "selectMode", "rangeSeparator", "value", "values"], outputs: ["dateTimeChange", "dateTimeInput"], exportAs: ["owlDateTimeInput"] }, { kind: "component", type: i2.OwlDateTimeComponent, selector: "owl-date-time", inputs: ["backdropClass", "panelClass", "startAt", "endAt", "pickerType", "pickerMode", "disabled", "opened", "scrollStrategy"], outputs: ["afterPickerClosed", "afterPickerOpen", "yearSelected", "monthSelected", "dateSelected"], exportAs: ["owlDateTime"] }, { kind: "directive", type: i3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i3.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i4.MatError, selector: "mat-error", inputs: ["id"] }, { kind: "component", type: i4.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i4.MatLabel, selector: "mat-label" }, { kind: "directive", type: i5.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDateRangeFormInputsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-date-range-form-inputs', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div [ngClass]=\"{ 'form-inputs': true, 'row': inRow, 'col': !inRow }\" *ngIf=\"formGroup as formGroup\" [formGroup]=\"formGroup\">\n  <mat-form-field [appearance]=\"appearance\">\n    <mat-label>{{ fromLabel }}</mat-label>\n    <input\n      matInput\n      [placeholder]=\"fromLabel\"\n      [formControl]=\"formGroup.controls.from\"\n      [owlDateTime]=\"fromDatePicker\"\n      [owlDateTimeTrigger]=\"fromDatePicker\"\n      [max]=\"formGroup.controls.to.value\"\n      (dateTimeChange)=\"onDateChange()\"\n    />\n    <owl-date-time #fromDatePicker></owl-date-time>\n    <mat-error *ngIf=\"formGroup.hasError('dateTimeOrder')\">From date cannot be larger than the to date</mat-error>\n  </mat-form-field>\n\n  <mat-form-field [appearance]=\"appearance\">\n    <mat-label>{{ toLabel }}</mat-label>\n    <input\n      matInput\n      [placeholder]=\"toLabel\"\n      [formControl]=\"formGroup.controls.to\"\n      [owlDateTime]=\"toDatepicker\"\n      [owlDateTimeTrigger]=\"toDatepicker\"\n      [min]=\"formGroup.controls.from.value\"\n      (dateTimeChange)=\"onDateChange()\"\n    />\n    <owl-date-time #toDatepicker></owl-date-time>\n    <mat-error *ngIf=\"formGroup.hasError('dateTimeOrder')\">From date cannot be larger than the to date</mat-error>\n  </mat-form-field>\n</div>\n", styles: [".form-inputs{display:flex;justify-items:center}.form-inputs.row{flex-direction:row}.form-inputs.col{flex-direction:column}.form-inputs>*:not(:nth-child(1)){margin-left:10px}mat-form-field{width:100%}\n"] }]
        }], propDecorators: { appearance: [{
                type: Input
            }], fromLabel: [{
                type: Input
            }], toLabel: [{
                type: Input
            }], inRow: [{
                type: Input
            }], formGroup: [{
                type: Input
            }], dateRangeChange: [{
                type: Output
            }] } });

class OrionDateRangeFormComponent {
    constructor() {
        this.appearance = 'outline';
        this.fromLabel = 'From';
        this.toLabel = 'To';
        this.inRow = true;
        this.dateRangeChange = new EventEmitter();
        this.form = new DateRangeForm();
    }
    ngOnChanges(changes) {
        if ('dateRange' in changes && this.dateRange) {
            this.form = new DateRangeForm(this.dateRange);
        }
    }
    onDateRangeChange(dateRange) {
        this.dateRangeChange.emit(dateRange);
    }
}
OrionDateRangeFormComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDateRangeFormComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionDateRangeFormComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionDateRangeFormComponent, selector: "orion-date-range-form", inputs: { appearance: "appearance", fromLabel: "fromLabel", toLabel: "toLabel", inRow: "inRow", dateRange: "dateRange" }, outputs: { dateRangeChange: "dateRangeChange" }, usesOnChanges: true, ngImport: i0, template: "<orion-date-range-form-inputs\n  [formGroup]=\"form.formGroup\"\n  [appearance]=\"appearance\"\n  [fromLabel]=\"fromLabel\"\n  [inRow]=\"inRow\"\n  [toLabel]=\"toLabel\"\n  (dateRangeChange)=\"onDateRangeChange($event)\"\n></orion-date-range-form-inputs>\n", styles: [""], dependencies: [{ kind: "directive", type: i3.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i3.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: OrionDateRangeFormInputsComponent, selector: "orion-date-range-form-inputs", inputs: ["appearance", "fromLabel", "toLabel", "inRow", "formGroup"], outputs: ["dateRangeChange"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDateRangeFormComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-date-range-form', changeDetection: ChangeDetectionStrategy.OnPush, template: "<orion-date-range-form-inputs\n  [formGroup]=\"form.formGroup\"\n  [appearance]=\"appearance\"\n  [fromLabel]=\"fromLabel\"\n  [inRow]=\"inRow\"\n  [toLabel]=\"toLabel\"\n  (dateRangeChange)=\"onDateRangeChange($event)\"\n></orion-date-range-form-inputs>\n" }]
        }], ctorParameters: function () { return []; }, propDecorators: { appearance: [{
                type: Input
            }], fromLabel: [{
                type: Input
            }], toLabel: [{
                type: Input
            }], inRow: [{
                type: Input
            }], dateRange: [{
                type: Input
            }], dateRangeChange: [{
                type: Output
            }] } });

class OrionDateRangeFormModule {
}
OrionDateRangeFormModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDateRangeFormModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrionDateRangeFormModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: OrionDateRangeFormModule, declarations: [OrionDateRangeFormComponent, OrionDateRangeFormInputsComponent], imports: [CommonModule,
        OwlDateTimeModule,
        OwlNativeDateTimeModule,
        ReactiveFormsModule,
        MatInputModule,
        MatFormFieldModule], exports: [OrionDateRangeFormComponent] });
OrionDateRangeFormModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDateRangeFormModule, imports: [CommonModule,
        OwlDateTimeModule,
        OwlNativeDateTimeModule,
        ReactiveFormsModule,
        MatInputModule,
        MatFormFieldModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDateRangeFormModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [OrionDateRangeFormComponent, OrionDateRangeFormInputsComponent],
                    imports: [
                        CommonModule,
                        OwlDateTimeModule,
                        OwlNativeDateTimeModule,
                        ReactiveFormsModule,
                        MatInputModule,
                        MatFormFieldModule,
                    ],
                    exports: [OrionDateRangeFormComponent],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { OrionDateRangeFormComponent, OrionDateRangeFormInputsComponent, OrionDateRangeFormModule };
//# sourceMappingURL=csirtmu-orion-microframework-date-range-forms.mjs.map
