import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input, NgModule, EventEmitter, Output } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i3 from '@csirtmu-orion/microframework/editable-date';
import { OrionEditableDateModule } from '@csirtmu-orion/microframework/editable-date';
import * as i2 from '@csirtmu-orion/microframework/sidebar';
import { OrionSidebarElementDirective, OrionSidebarModule } from '@csirtmu-orion/microframework/sidebar';

class OrionDueDateComponent {
    constructor() {
        this.isPastDue = false;
    }
    ngOnChanges(changes) {
        if (('date' in changes && this.date && this.now) || ('now' in changes && this.now && this.date)) {
            this.resolveIsPastDue(this.date, this.now);
        }
    }
    resolveIsPastDue(date, now) {
        this.isPastDue = date.valueOf() < now.valueOf();
    }
}
OrionDueDateComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDueDateComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionDueDateComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionDueDateComponent, selector: "orion-due-date-component", inputs: { date: "date", now: "now" }, usesOnChanges: true, ngImport: i0, template: "<ng-container *ngIf=\"date; else noDate\">\n  <span [ngClass]=\"{ pastDue: isPastDue }\">{{ date | date: 'longDate' }}</span>\n</ng-container>\n\n<ng-template #noDate>\n  <span>None</span>\n</ng-template>\n", styles: [""], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: i1.DatePipe, name: "date" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDueDateComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-due-date-component', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *ngIf=\"date; else noDate\">\n  <span [ngClass]=\"{ pastDue: isPastDue }\">{{ date | date: 'longDate' }}</span>\n</ng-container>\n\n<ng-template #noDate>\n  <span>None</span>\n</ng-template>\n" }]
        }], propDecorators: { date: [{
                type: Input
            }], now: [{
                type: Input
            }] } });

class OrionDueDateModule {
}
OrionDueDateModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDueDateModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrionDueDateModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: OrionDueDateModule, declarations: [OrionDueDateComponent], imports: [CommonModule], exports: [OrionDueDateComponent] });
OrionDueDateModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDueDateModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDueDateModule, decorators: [{
            type: NgModule,
            args: [{ declarations: [OrionDueDateComponent], imports: [CommonModule], exports: [OrionDueDateComponent] }]
        }] });

class OrionDueDateSidebarElementComponent extends OrionSidebarElementDirective {
    constructor() {
        super(...arguments);
        this.save = new EventEmitter();
    }
    ngOnChanges(changes) {
        if ('dueDate' in changes) {
            this.tooltip = this.dueDate ? '' : 'No due date';
        }
    }
    onSave(date) {
        this.save.emit(date);
    }
}
OrionDueDateSidebarElementComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDueDateSidebarElementComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
OrionDueDateSidebarElementComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionDueDateSidebarElementComponent, selector: "orion-due-date-sidebar-element", inputs: { dueDate: "dueDate", minDate: "minDate" }, outputs: { save: "save" }, usesInheritance: true, usesOnChanges: true, ngImport: i0, template: "<orion-sidebar-element name=\"Due date\" [state]=\"state\" (collapsedElementClick)=\"onCollapsedElementClick()\">\n  <orion-expanded-element-content>\n    <orion-editable-date\n      label=\"Due date\"\n      [isEditable]=\"isEditable\"\n      [date]=\"dueDate\"\n      [minDate]=\"minDate\"\n      (save)=\"onSave($event)\"\n    ></orion-editable-date>\n  </orion-expanded-element-content>\n\n  <orion-collapsed-element-content>\n    <orion-base-collapsed-sidebar-element\n      icon=\"event\"\n      [tooltip]=\"dueDate ? 'Due date: ' + (dueDate | date: 'mediumDate') : 'No due date'\"\n    >\n      <span *ngIf=\"dueDate; else noDueDate\">{{ dueDate | date: 'shortDate' }}</span>\n    </orion-base-collapsed-sidebar-element>\n  </orion-collapsed-element-content>\n</orion-sidebar-element>\n\n<ng-template #noDueDate>\n  <span>None</span>\n</ng-template>\n", styles: [""], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i2.OrionSidebarElementComponent, selector: "orion-sidebar-element", inputs: ["name", "inline", "withDivider"] }, { kind: "component", type: i2.OrionBaseCollapsedSidebarElementComponent, selector: "orion-base-collapsed-sidebar-element", inputs: ["icon", "tooltip"] }, { kind: "directive", type: i2.CollapsedElementContentDirective, selector: "orion-collapsed-element-content" }, { kind: "directive", type: i2.ExpandedElementContentDirective, selector: "orion-expanded-element-content" }, { kind: "component", type: i3.OrionEditableDateComponent, selector: "orion-editable-date", inputs: ["isEditable", "label", "maxDate", "minDate", "date"], outputs: ["save"] }, { kind: "pipe", type: i1.DatePipe, name: "date" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDueDateSidebarElementComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-due-date-sidebar-element', changeDetection: ChangeDetectionStrategy.OnPush, template: "<orion-sidebar-element name=\"Due date\" [state]=\"state\" (collapsedElementClick)=\"onCollapsedElementClick()\">\n  <orion-expanded-element-content>\n    <orion-editable-date\n      label=\"Due date\"\n      [isEditable]=\"isEditable\"\n      [date]=\"dueDate\"\n      [minDate]=\"minDate\"\n      (save)=\"onSave($event)\"\n    ></orion-editable-date>\n  </orion-expanded-element-content>\n\n  <orion-collapsed-element-content>\n    <orion-base-collapsed-sidebar-element\n      icon=\"event\"\n      [tooltip]=\"dueDate ? 'Due date: ' + (dueDate | date: 'mediumDate') : 'No due date'\"\n    >\n      <span *ngIf=\"dueDate; else noDueDate\">{{ dueDate | date: 'shortDate' }}</span>\n    </orion-base-collapsed-sidebar-element>\n  </orion-collapsed-element-content>\n</orion-sidebar-element>\n\n<ng-template #noDueDate>\n  <span>None</span>\n</ng-template>\n" }]
        }], propDecorators: { dueDate: [{
                type: Input
            }], minDate: [{
                type: Input
            }], save: [{
                type: Output
            }] } });

class OrionDueDateSidebarElementModule {
}
OrionDueDateSidebarElementModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDueDateSidebarElementModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrionDueDateSidebarElementModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: OrionDueDateSidebarElementModule, declarations: [OrionDueDateSidebarElementComponent], imports: [CommonModule, OrionSidebarModule, OrionEditableDateModule], exports: [OrionDueDateSidebarElementComponent] });
OrionDueDateSidebarElementModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDueDateSidebarElementModule, imports: [CommonModule, OrionSidebarModule, OrionEditableDateModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionDueDateSidebarElementModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [OrionDueDateSidebarElementComponent],
                    imports: [CommonModule, OrionSidebarModule, OrionEditableDateModule],
                    exports: [OrionDueDateSidebarElementComponent],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { OrionDueDateComponent, OrionDueDateModule, OrionDueDateSidebarElementComponent, OrionDueDateSidebarElementModule };
//# sourceMappingURL=csirtmu-orion-microframework-due-date.mjs.map
