import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import * as i2 from '@angular/material/tooltip';
import { MatTooltipModule } from '@angular/material/tooltip';
import * as i3 from '@angular/router';
import { RouterModule } from '@angular/router';
import * as i4 from '@sentinel/common/pipes';
import { SentinelPipesModule } from '@sentinel/common/pipes';

class OrionEntityNameComponent {
    constructor() {
        this.maxLength = 45;
        this.titleCase = false;
        this.color = 'primary';
    }
}
OrionEntityNameComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionEntityNameComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionEntityNameComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionEntityNameComponent, selector: "orion-entity-name", inputs: { name: "name", maxLength: "maxLength", titleCase: "titleCase", color: "color", routerLinkCommands: "routerLinkCommands", queryParams: "queryParams", queryParamsHandling: "queryParamsHandling", fragment: "fragment", fontSize: "fontSize" }, ngImport: i0, template: "<a\n  *ngIf=\"routerLinkCommands; else noLinkTitle\"\n  [ngClass]=\"color | sentinelDefaultValueString\"\n  [ngStyle]=\"{ 'font-size': fontSize }\"\n  [matTooltip]=\"name | sentinelTooltipOnShortened: maxLength\"\n  [routerLink]=\"routerLinkCommands\"\n  [queryParams]=\"queryParams ?? null\"\n  [queryParamsHandling]=\"queryParamsHandling ?? null\"\n  [fragment]=\"fragment\"\n  ><ng-container [ngTemplateOutlet]=\"nameTemplate\"></ng-container>\n</a>\n\n<ng-template #noLinkTitle>\n  <span>\n    <ng-container [ngTemplateOutlet]=\"nameTemplate\"></ng-container>\n  </span>\n</ng-template>\n\n<ng-template #nameTemplate>\n  {{\n    titleCase\n    ? (name | sentinelDefaultValueString | titlecase | sentinelShortString: maxLength)\n    : (name | sentinelDefaultValueString | sentinelShortString: maxLength)\n    }}\n</ng-template>\n", styles: ["a{text-decoration:none}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i2.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }, { kind: "directive", type: i3.RouterLinkWithHref, selector: "a[routerLink],area[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "pipe", type: i1.TitleCasePipe, name: "titlecase" }, { kind: "pipe", type: i4.SentinelDefaultValueStringPipe, name: "sentinelDefaultValueString" }, { kind: "pipe", type: i4.SentinelTooltipOnShortenedPipe, name: "sentinelTooltipOnShortened" }, { kind: "pipe", type: i4.SentinelShortStringPipe, name: "sentinelShortString" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionEntityNameComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-entity-name', changeDetection: ChangeDetectionStrategy.OnPush, template: "<a\n  *ngIf=\"routerLinkCommands; else noLinkTitle\"\n  [ngClass]=\"color | sentinelDefaultValueString\"\n  [ngStyle]=\"{ 'font-size': fontSize }\"\n  [matTooltip]=\"name | sentinelTooltipOnShortened: maxLength\"\n  [routerLink]=\"routerLinkCommands\"\n  [queryParams]=\"queryParams ?? null\"\n  [queryParamsHandling]=\"queryParamsHandling ?? null\"\n  [fragment]=\"fragment\"\n  ><ng-container [ngTemplateOutlet]=\"nameTemplate\"></ng-container>\n</a>\n\n<ng-template #noLinkTitle>\n  <span>\n    <ng-container [ngTemplateOutlet]=\"nameTemplate\"></ng-container>\n  </span>\n</ng-template>\n\n<ng-template #nameTemplate>\n  {{\n    titleCase\n    ? (name | sentinelDefaultValueString | titlecase | sentinelShortString: maxLength)\n    : (name | sentinelDefaultValueString | sentinelShortString: maxLength)\n    }}\n</ng-template>\n", styles: ["a{text-decoration:none}\n"] }]
        }], propDecorators: { name: [{
                type: Input
            }], maxLength: [{
                type: Input
            }], titleCase: [{
                type: Input
            }], color: [{
                type: Input
            }], routerLinkCommands: [{
                type: Input
            }], queryParams: [{
                type: Input
            }], queryParamsHandling: [{
                type: Input
            }], fragment: [{
                type: Input
            }], fontSize: [{
                type: Input
            }] } });

class OrionEntityNameModule {
}
OrionEntityNameModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionEntityNameModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrionEntityNameModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: OrionEntityNameModule, declarations: [OrionEntityNameComponent], imports: [CommonModule, MatTooltipModule, RouterModule, SentinelPipesModule], exports: [OrionEntityNameComponent] });
OrionEntityNameModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionEntityNameModule, imports: [CommonModule, MatTooltipModule, RouterModule, SentinelPipesModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionEntityNameModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [OrionEntityNameComponent],
                    imports: [CommonModule, MatTooltipModule, RouterModule, SentinelPipesModule],
                    exports: [OrionEntityNameComponent],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { OrionEntityNameComponent, OrionEntityNameModule };
//# sourceMappingURL=csirtmu-orion-microframework-entity-name.mjs.map
