import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { EventEmitter, Component, ChangeDetectionStrategy, Input, Output, Optional, Inject, NgModule, Directive } from '@angular/core';
import * as i2$2 from '@angular/forms';
import { FormsModule } from '@angular/forms';
import * as i4 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i2 from '@angular/material/chips';
import { MatChipsModule } from '@angular/material/chips';
import * as i5 from '@angular/material/form-field';
import { MatFormFieldModule } from '@angular/material/form-field';
import * as i3 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i6 from '@angular/material/input';
import { MatInputModule } from '@angular/material/input';
import { SentinelControlItem, SentinelControlsModule } from '@sentinel/components/controls';
import { of, defer, Subject } from 'rxjs';
import { ORION_FILTER_PANEL_CONFIG } from '@csirtmu-orion/microframework/config';
import * as i2$1 from '@csirtmu-orion/microframework/panel';
import { OrionPanelModule } from '@csirtmu-orion/microframework/panel';
import { Destroyable } from '@sentinel/common';
import { debounceTime, takeUntil } from 'rxjs/operators';
import * as i1$1 from '@csirtmu-orion/microframework/filter-services';
import { SentinelDateTimeFormatPipe } from '@sentinel/common/pipes';
import { FilterChip } from '@csirtmu-orion/microframework/filter';

class OrionFilterPanelChipsComponent {
    constructor() {
        this.chips = [];
        this.chipRemoved = new EventEmitter();
    }
    onChipRemoved(chip) {
        this.chipRemoved.emit(chip);
    }
}
OrionFilterPanelChipsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionFilterPanelChipsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionFilterPanelChipsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionFilterPanelChipsComponent, selector: "orion-filters-panel-description", inputs: { defaultDescription: "defaultDescription", chips: "chips" }, outputs: { chipRemoved: "chipRemoved" }, ngImport: i0, template: "<div class=\"chips-container\" *ngIf=\"chips && chips.length > 0; else noChips\">\n  <mat-chip-list [selectable]=\"true\">\n    <mat-chip\n      *ngFor=\"let chip of chips\"\n      color=\"accent\"\n      [selected]=\"true\"\n      [removable]=\"true\"\n      (removed)=\"onChipRemoved(chip)\"\n      >{{ chip.value | titlecase }}\n      <mat-icon matChipRemove>cancel</mat-icon>\n    </mat-chip>\n  </mat-chip-list>\n</div>\n\n<ng-template #noChips>\n  <span> {{ defaultDescription }}</span>\n</ng-template>\n", styles: [".chips-container{margin:5px 0}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i2.MatChipList, selector: "mat-chip-list", inputs: ["role", "aria-describedby", "errorStateMatcher", "multiple", "compareWith", "value", "required", "placeholder", "disabled", "aria-orientation", "selectable", "tabIndex"], outputs: ["change", "valueChange"], exportAs: ["matChipList"] }, { kind: "directive", type: i2.MatChip, selector: "mat-basic-chip, [mat-basic-chip], mat-chip, [mat-chip]", inputs: ["color", "disableRipple", "tabIndex", "role", "selected", "value", "selectable", "disabled", "removable"], outputs: ["selectionChange", "destroyed", "removed"], exportAs: ["matChip"] }, { kind: "directive", type: i2.MatChipRemove, selector: "[matChipRemove]" }, { kind: "component", type: i3.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "pipe", type: i1.TitleCasePipe, name: "titlecase" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionFilterPanelChipsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-filters-panel-description', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"chips-container\" *ngIf=\"chips && chips.length > 0; else noChips\">\n  <mat-chip-list [selectable]=\"true\">\n    <mat-chip\n      *ngFor=\"let chip of chips\"\n      color=\"accent\"\n      [selected]=\"true\"\n      [removable]=\"true\"\n      (removed)=\"onChipRemoved(chip)\"\n      >{{ chip.value | titlecase }}\n      <mat-icon matChipRemove>cancel</mat-icon>\n    </mat-chip>\n  </mat-chip-list>\n</div>\n\n<ng-template #noChips>\n  <span> {{ defaultDescription }}</span>\n</ng-template>\n", styles: [".chips-container{margin:5px 0}\n"] }]
        }], propDecorators: { defaultDescription: [{
                type: Input
            }], chips: [{
                type: Input
            }], chipRemoved: [{
                type: Output
            }] } });

class OrionFilterPanelComponent {
    constructor(config) {
        this.config = config;
        this.elevation = 8;
        this.clearFilters = new EventEmitter();
        this.removeChip = new EventEmitter();
        this.submitClicked = new EventEmitter();
        this.controls = [];
        this.SUBMIT_FILTERS_CONTROL_ITEM = new SentinelControlItem('submitFilters', 'Submit', 'primary', of(false), defer(() => this.submitClicked.emit()));
        this.CLEAR_FILTERS_CONTROL_ITEM = new SentinelControlItem('clearFilters', 'Clear', 'accent', of(false), defer(() => this.clearFilters.emit()));
        if (config?.withSubmitButton === undefined) {
            this.withSubmitButton = true;
        }
        else {
            this.withSubmitButton = config.withSubmitButton;
        }
        this.createControls();
    }
    ngOnChanges(changes) {
        if ('withSubmitButton' in changes && this.withSubmitButton !== undefined) {
            this.createControls();
        }
    }
    onChipRemoved(chip) {
        this.removeChip.emit(chip);
    }
    createControls() {
        if (this.withSubmitButton) {
            this.controls = [this.CLEAR_FILTERS_CONTROL_ITEM, this.SUBMIT_FILTERS_CONTROL_ITEM];
        }
        else {
            this.controls = [this.CLEAR_FILTERS_CONTROL_ITEM];
        }
    }
}
OrionFilterPanelComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionFilterPanelComponent, deps: [{ token: ORION_FILTER_PANEL_CONFIG, optional: true }], target: i0.ɵɵFactoryTarget.Component });
OrionFilterPanelComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionFilterPanelComponent, selector: "orion-filter-panel", inputs: { defaultDescription: "defaultDescription", activeFilter: "activeFilter", filterChips: "filterChips", expanded: "expanded", withSubmitButton: "withSubmitButton", elevation: "elevation" }, outputs: { clearFilters: "clearFilters", removeChip: "removeChip", submitClicked: "submitClicked" }, usesOnChanges: true, ngImport: i0, template: "<orion-panel [isExpanded]=\"expanded ?? false\" [maxControlsCount]=\"2\" [controls]=\"controls\" [elevation]=\"elevation\">\n  <orion-panel-title>\n    <mat-icon color=\"primary\">filter_alt</mat-icon><span>Filters</span>\n  </orion-panel-title>\n  <orion-panel-description>\n    <orion-filters-panel-description\n      [defaultDescription]=\"defaultDescription\"\n      [chips]=\"filterChips\"\n      (chipRemoved)=\"onChipRemoved($event)\"\n    ></orion-filters-panel-description>\n  </orion-panel-description>\n  <ng-template orionPanelContent>\n    <ng-content></ng-content>\n  </ng-template>\n</orion-panel>\n", styles: [""], dependencies: [{ kind: "component", type: i3.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i2$1.OrionPanelComponent, selector: "orion-panel", inputs: ["isExpanded", "maxControlsCount", "controls", "isLoading", "elevation"] }, { kind: "directive", type: i2$1.OrionPanelTitleDirective, selector: "orion-panel-title" }, { kind: "directive", type: i2$1.OrionPanelDescriptionDirective, selector: "orion-panel-description" }, { kind: "directive", type: i2$1.OrionPanelContentDirective, selector: "ng-template[orionPanelContent]" }, { kind: "component", type: OrionFilterPanelChipsComponent, selector: "orion-filters-panel-description", inputs: ["defaultDescription", "chips"], outputs: ["chipRemoved"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionFilterPanelComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-filter-panel', changeDetection: ChangeDetectionStrategy.OnPush, template: "<orion-panel [isExpanded]=\"expanded ?? false\" [maxControlsCount]=\"2\" [controls]=\"controls\" [elevation]=\"elevation\">\n  <orion-panel-title>\n    <mat-icon color=\"primary\">filter_alt</mat-icon><span>Filters</span>\n  </orion-panel-title>\n  <orion-panel-description>\n    <orion-filters-panel-description\n      [defaultDescription]=\"defaultDescription\"\n      [chips]=\"filterChips\"\n      (chipRemoved)=\"onChipRemoved($event)\"\n    ></orion-filters-panel-description>\n  </orion-panel-description>\n  <ng-template orionPanelContent>\n    <ng-content></ng-content>\n  </ng-template>\n</orion-panel>\n" }]
        }], ctorParameters: function () { return [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [ORION_FILTER_PANEL_CONFIG]
                }] }]; }, propDecorators: { defaultDescription: [{
                type: Input
            }], activeFilter: [{
                type: Input
            }], filterChips: [{
                type: Input
            }], expanded: [{
                type: Input
            }], withSubmitButton: [{
                type: Input
            }], elevation: [{
                type: Input
            }], clearFilters: [{
                type: Output
            }], removeChip: [{
                type: Output
            }], submitClicked: [{
                type: Output
            }] } });

class OrionFilterFreeInputComponent extends Destroyable() {
    constructor() {
        super(...arguments);
        this.filterChange = new EventEmitter();
        this.valueChangeObs$ = new Subject();
    }
    ngOnInit() {
        this.valueChangeObs$
            .pipe(debounceTime(300), takeUntil(this.destroy$))
            .subscribe((value) => this.filterChange.emit(value));
    }
    onValueChange(value) {
        this.valueChangeObs$.next(value);
    }
}
OrionFilterFreeInputComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionFilterFreeInputComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
OrionFilterFreeInputComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionFilterFreeInputComponent, selector: "orion-filter-free-input", inputs: { label: "label", placeholder: "placeholder", value: "value" }, outputs: { filterChange: "filterChange" }, usesInheritance: true, ngImport: i0, template: "<mat-form-field appearance=\"outline\">\n  <mat-label>{{ label }}</mat-label>\n  <input matInput placeholder=\"{{ placeholder }}\" [ngModel]=\"value\" (ngModelChange)=\"onValueChange($event)\" />\n  <button mat-button *ngIf=\"value\" matSuffix mat-icon-button aria-label=\"Clear\" (click)=\"onValueChange(undefined)\">\n    <mat-icon>close</mat-icon>\n  </button>\n</mat-form-field>\n", styles: ["mat-form-field{width:100%}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: i3.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i4.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i5.MatFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i5.MatLabel, selector: "mat-label" }, { kind: "directive", type: i5.MatSuffix, selector: "[matSuffix]" }, { kind: "directive", type: i6.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionFilterFreeInputComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-filter-free-input', changeDetection: ChangeDetectionStrategy.OnPush, template: "<mat-form-field appearance=\"outline\">\n  <mat-label>{{ label }}</mat-label>\n  <input matInput placeholder=\"{{ placeholder }}\" [ngModel]=\"value\" (ngModelChange)=\"onValueChange($event)\" />\n  <button mat-button *ngIf=\"value\" matSuffix mat-icon-button aria-label=\"Clear\" (click)=\"onValueChange(undefined)\">\n    <mat-icon>close</mat-icon>\n  </button>\n</mat-form-field>\n", styles: ["mat-form-field{width:100%}\n"] }]
        }], propDecorators: { label: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], value: [{
                type: Input
            }], filterChange: [{
                type: Output
            }] } });

class OrionFilterModule {
}
OrionFilterModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionFilterModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrionFilterModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: OrionFilterModule, declarations: [OrionFilterPanelComponent, OrionFilterPanelChipsComponent, OrionFilterFreeInputComponent], imports: [CommonModule,
        FormsModule,
        MatChipsModule,
        MatIconModule,
        MatButtonModule,
        MatInputModule,
        MatFormFieldModule,
        SentinelControlsModule,
        OrionPanelModule], exports: [OrionFilterPanelComponent, OrionFilterPanelChipsComponent, OrionFilterFreeInputComponent] });
OrionFilterModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionFilterModule, imports: [CommonModule,
        FormsModule,
        MatChipsModule,
        MatIconModule,
        MatButtonModule,
        MatInputModule,
        MatFormFieldModule,
        SentinelControlsModule,
        OrionPanelModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionFilterModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [OrionFilterPanelComponent, OrionFilterPanelChipsComponent, OrionFilterFreeInputComponent],
                    imports: [
                        CommonModule,
                        FormsModule,
                        MatChipsModule,
                        MatIconModule,
                        MatButtonModule,
                        MatInputModule,
                        MatFormFieldModule,
                        SentinelControlsModule,
                        OrionPanelModule,
                    ],
                    exports: [OrionFilterPanelComponent, OrionFilterPanelChipsComponent, OrionFilterFreeInputComponent],
                }]
        }] });

class OrionFilterDirective {
    constructor(filterService) {
        this.filterService = filterService;
    }
    onDateRangeChange(range) {
        this.filterService.update({ from: range.from, to: range.to });
    }
}
OrionFilterDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionFilterDirective, deps: [{ token: i1$1.FilterService }], target: i0.ɵɵFactoryTarget.Directive });
OrionFilterDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.12", type: OrionFilterDirective, inputs: { activeFilter: "activeFilter" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionFilterDirective, decorators: [{
            type: Directive
        }], ctorParameters: function () { return [{ type: i1$1.FilterService }]; }, propDecorators: { activeFilter: [{
                type: Input
            }] } });

class DateValueChip extends FilterChip {
    constructor(value, direction, name) {
        const transformedValue = new SentinelDateTimeFormatPipe('en-EN').transform(value);
        if (name) {
            super(`${name} ${direction}: ${transformedValue}`);
        }
        else {
            super(`${direction}: ${transformedValue}`);
        }
        this.direction = direction;
        this.dateValue = value;
        this.name = name;
    }
}

/**
 * Generated bundle index. Do not edit.
 */

export { DateValueChip, OrionFilterDirective, OrionFilterFreeInputComponent, OrionFilterModule, OrionFilterPanelChipsComponent, OrionFilterPanelComponent };
//# sourceMappingURL=csirtmu-orion-microframework-filters.mjs.map
