import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Directive, Input, Component, ChangeDetectionStrategy, ContentChild, NgModule } from '@angular/core';
import { trackByIndex } from '@sentinel/common/utils';
import * as i2 from '@sentinel/common/pipes';
import { SentinelPipesModule } from '@sentinel/common/pipes';

class OrionInlineListElementDirective {
    set orionInlineListElement(templateRef) {
        this._template = templateRef;
    }
    get template() {
        return this._template;
    }
}
OrionInlineListElementDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionInlineListElementDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
OrionInlineListElementDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.12", type: OrionInlineListElementDirective, selector: "[orionInlineListElement]", inputs: { orionInlineListElement: "orionInlineListElement" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionInlineListElementDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[orionInlineListElement]',
                }]
        }], propDecorators: { orionInlineListElement: [{
                type: Input
            }] } });

class OrionInlineListComponent {
    constructor() {
        this.elements = [];
        this.separator = ', ';
        this.trackByFn = trackByIndex;
    }
}
OrionInlineListComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionInlineListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionInlineListComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionInlineListComponent, selector: "orion-inline-list", inputs: { elements: "elements", separator: "separator", trackByFn: "trackByFn" }, queries: [{ propertyName: "elementDirective", first: true, predicate: OrionInlineListElementDirective, descendants: true }], ngImport: i0, template: "<ng-container *ngIf=\"elements | sentinelHasElements\">\n  <ng-container *ngFor=\"let element of elements; trackBy: trackByFn; let isLast = last\">\n    <ng-container *ngIf=\"elementDirective?.template as templateOutlet; else defaultTemplate\">\n      <ng-container\n        [ngTemplateOutlet]=\"templateOutlet\"\n        [ngTemplateOutletContext]=\"{ $implicit: element }\"\n      ></ng-container>\n    </ng-container>\n    <span *ngIf=\"!isLast\">{{ separator }}</span>\n    <ng-template #defaultTemplate>\n      <span>{{ element }}</span>\n    </ng-template>\n  </ng-container>\n</ng-container>\n", styles: ["span{word-break:break-word}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "pipe", type: i2.SentinelHasElementsPipe, name: "sentinelHasElements" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionInlineListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-inline-list', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *ngIf=\"elements | sentinelHasElements\">\n  <ng-container *ngFor=\"let element of elements; trackBy: trackByFn; let isLast = last\">\n    <ng-container *ngIf=\"elementDirective?.template as templateOutlet; else defaultTemplate\">\n      <ng-container\n        [ngTemplateOutlet]=\"templateOutlet\"\n        [ngTemplateOutletContext]=\"{ $implicit: element }\"\n      ></ng-container>\n    </ng-container>\n    <span *ngIf=\"!isLast\">{{ separator }}</span>\n    <ng-template #defaultTemplate>\n      <span>{{ element }}</span>\n    </ng-template>\n  </ng-container>\n</ng-container>\n", styles: ["span{word-break:break-word}\n"] }]
        }], propDecorators: { elements: [{
                type: Input
            }], separator: [{
                type: Input
            }], trackByFn: [{
                type: Input
            }], elementDirective: [{
                type: ContentChild,
                args: [OrionInlineListElementDirective]
            }] } });

class OrionInlineListModule {
}
OrionInlineListModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionInlineListModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrionInlineListModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: OrionInlineListModule, declarations: [OrionInlineListComponent, OrionInlineListElementDirective], imports: [CommonModule, SentinelPipesModule], exports: [OrionInlineListComponent, OrionInlineListElementDirective] });
OrionInlineListModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionInlineListModule, imports: [CommonModule, SentinelPipesModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionInlineListModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [OrionInlineListComponent, OrionInlineListElementDirective],
                    imports: [CommonModule, SentinelPipesModule],
                    exports: [OrionInlineListComponent, OrionInlineListElementDirective],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { OrionInlineListComponent, OrionInlineListElementDirective, OrionInlineListModule };
//# sourceMappingURL=csirtmu-orion-microframework-inline-list.mjs.map
