import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input, EventEmitter, Directive, Output, NgModule } from '@angular/core';
import * as i2 from '@angular/material/divider';
import { MatDividerModule } from '@angular/material/divider';
import * as i1$1 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i2$1 from '@angular/material/tooltip';
import { MatTooltipModule } from '@angular/material/tooltip';
import * as i3 from '@sentinel/common/pipes';
import { SentinelPipesModule } from '@sentinel/common/pipes';

class OrionSidebarContentComponent {
    constructor() {
        this.state = 'expanded';
    }
}
OrionSidebarContentComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSidebarContentComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionSidebarContentComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionSidebarContentComponent, selector: "orion-sidebar-content", inputs: { state: "state" }, ngImport: i0, template: "<mat-divider [ngClass]=\"state\"></mat-divider>\n<ng-content></ng-content>\n", styles: ["mat-divider.expanded{margin:10px 0}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: i2.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSidebarContentComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-sidebar-content', changeDetection: ChangeDetectionStrategy.OnPush, template: "<mat-divider [ngClass]=\"state\"></mat-divider>\n<ng-content></ng-content>\n", styles: ["mat-divider.expanded{margin:10px 0}\n"] }]
        }], propDecorators: { state: [{
                type: Input
            }] } });

class OrionBaseCollapsedSidebarElementComponent {
}
OrionBaseCollapsedSidebarElementComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionBaseCollapsedSidebarElementComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionBaseCollapsedSidebarElementComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionBaseCollapsedSidebarElementComponent, selector: "orion-base-collapsed-sidebar-element", inputs: { icon: "icon", tooltip: "tooltip" }, ngImport: i0, template: "<div class=\"collapsed-element-content\" [matTooltip]=\"tooltip | sentinelDefaultValueString\">\n  <mat-icon>{{ icon }}</mat-icon>\n  <ng-content></ng-content>\n</div>\n", styles: [".collapsed-element-content{display:flex;flex-direction:column;align-items:center}\n"], dependencies: [{ kind: "component", type: i1$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: i2$1.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }, { kind: "pipe", type: i3.SentinelDefaultValueStringPipe, name: "sentinelDefaultValueString" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionBaseCollapsedSidebarElementComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-base-collapsed-sidebar-element', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"collapsed-element-content\" [matTooltip]=\"tooltip | sentinelDefaultValueString\">\n  <mat-icon>{{ icon }}</mat-icon>\n  <ng-content></ng-content>\n</div>\n", styles: [".collapsed-element-content{display:flex;flex-direction:column;align-items:center}\n"] }]
        }], propDecorators: { icon: [{
                type: Input
            }], tooltip: [{
                type: Input
            }] } });

class OrionSidebarElementDirective {
    constructor() {
        this.isEditable = true;
        this.collapsedElementClick = new EventEmitter();
    }
    onCollapsedElementClick() {
        this.collapsedElementClick.emit();
    }
}
OrionSidebarElementDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSidebarElementDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
OrionSidebarElementDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.12", type: OrionSidebarElementDirective, inputs: { isEditable: "isEditable", state: "state" }, outputs: { collapsedElementClick: "collapsedElementClick" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSidebarElementDirective, decorators: [{
            type: Directive
        }], propDecorators: { isEditable: [{
                type: Input
            }], state: [{
                type: Input
            }], collapsedElementClick: [{
                type: Output
            }] } });

class OrionSidebarElementComponent extends OrionSidebarElementDirective {
    constructor() {
        super(...arguments);
        this.inline = false;
        this.withDivider = true;
    }
}
OrionSidebarElementComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSidebarElementComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
OrionSidebarElementComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionSidebarElementComponent, selector: "orion-sidebar-element", inputs: { name: "name", inline: "inline", withDivider: "withDivider" }, usesInheritance: true, ngImport: i0, template: "<ng-container *ngIf=\"state === 'expanded'; else collapsedStateTemplate\">\n  <div class=\"detail-sidebar-element\" [ngClass]=\"inline ? 'inline' : ''\">\n    <p *ngIf=\"name\">{{ name }}</p>\n    <ng-content select=\"orion-expanded-element-content\"></ng-content>\n  </div>\n  <mat-divider *ngIf=\"withDivider\"></mat-divider>\n</ng-container>\n\n<ng-template #collapsedStateTemplate>\n  <div class=\"collapsed-detail-sidebar-element\" (click)=\"onCollapsedElementClick()\">\n    <ng-content select=\"orion-collapsed-element-content\"></ng-content>\n  </div>\n</ng-template>\n", styles: ["mat-divider{margin-bottom:10px}span{margin-right:10px}.detail-sidebar-element{padding:10px}.collapsed-detail-sidebar-element{cursor:pointer;display:flex;justify-content:center;align-items:center;height:59px;width:100%;opacity:75%}.inline{display:flex;align-items:baseline;justify-content:space-between}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i2.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSidebarElementComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-sidebar-element', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *ngIf=\"state === 'expanded'; else collapsedStateTemplate\">\n  <div class=\"detail-sidebar-element\" [ngClass]=\"inline ? 'inline' : ''\">\n    <p *ngIf=\"name\">{{ name }}</p>\n    <ng-content select=\"orion-expanded-element-content\"></ng-content>\n  </div>\n  <mat-divider *ngIf=\"withDivider\"></mat-divider>\n</ng-container>\n\n<ng-template #collapsedStateTemplate>\n  <div class=\"collapsed-detail-sidebar-element\" (click)=\"onCollapsedElementClick()\">\n    <ng-content select=\"orion-collapsed-element-content\"></ng-content>\n  </div>\n</ng-template>\n", styles: ["mat-divider{margin-bottom:10px}span{margin-right:10px}.detail-sidebar-element{padding:10px}.collapsed-detail-sidebar-element{cursor:pointer;display:flex;justify-content:center;align-items:center;height:59px;width:100%;opacity:75%}.inline{display:flex;align-items:baseline;justify-content:space-between}\n"] }]
        }], propDecorators: { name: [{
                type: Input
            }], inline: [{
                type: Input
            }], withDivider: [{
                type: Input
            }] } });

class CollapsedElementContentDirective {
}
CollapsedElementContentDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: CollapsedElementContentDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
CollapsedElementContentDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.12", type: CollapsedElementContentDirective, selector: "orion-collapsed-element-content", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: CollapsedElementContentDirective, decorators: [{
            type: Directive,
            args: [{
                    // Using element-name selector because it is meant to replace inject special type of content and match to select attr
                    // eslint-disable-next-line @angular-eslint/directive-selector
                    selector: 'orion-collapsed-element-content',
                }]
        }] });

class ExpandedElementContentDirective {
}
ExpandedElementContentDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: ExpandedElementContentDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
ExpandedElementContentDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.12", type: ExpandedElementContentDirective, selector: "orion-expanded-element-content", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: ExpandedElementContentDirective, decorators: [{
            type: Directive,
            args: [{
                    // Using element-name selector because it is meant to replace inject special type of content and match to select attr
                    // eslint-disable-next-line @angular-eslint/directive-selector
                    selector: 'orion-expanded-element-content',
                }]
        }] });

class OrionSidebarModule {
}
OrionSidebarModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSidebarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrionSidebarModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: OrionSidebarModule, declarations: [OrionSidebarContentComponent,
        OrionSidebarElementComponent,
        OrionBaseCollapsedSidebarElementComponent,
        CollapsedElementContentDirective,
        ExpandedElementContentDirective], imports: [CommonModule, MatDividerModule, MatIconModule, MatTooltipModule, SentinelPipesModule], exports: [OrionSidebarContentComponent,
        OrionSidebarElementComponent,
        OrionBaseCollapsedSidebarElementComponent,
        CollapsedElementContentDirective,
        ExpandedElementContentDirective] });
OrionSidebarModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSidebarModule, imports: [CommonModule, MatDividerModule, MatIconModule, MatTooltipModule, SentinelPipesModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSidebarModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        OrionSidebarContentComponent,
                        OrionSidebarElementComponent,
                        OrionBaseCollapsedSidebarElementComponent,
                        CollapsedElementContentDirective,
                        ExpandedElementContentDirective,
                    ],
                    imports: [CommonModule, MatDividerModule, MatIconModule, MatTooltipModule, SentinelPipesModule],
                    exports: [
                        OrionSidebarContentComponent,
                        OrionSidebarElementComponent,
                        OrionBaseCollapsedSidebarElementComponent,
                        CollapsedElementContentDirective,
                        ExpandedElementContentDirective,
                    ],
                }]
        }] });

class OrionSidebarElementSelectableEntitiesDirective extends OrionSidebarElementDirective {
    constructor() {
        super(...arguments);
        this.isEditable = true;
        this.selected = [];
        this.searched = [];
        this.save = new EventEmitter();
        this.search = new EventEmitter();
    }
    onSave(saveEvent) {
        this.save.emit(saveEvent);
    }
    onSearch(searchText) {
        this.search.emit(searchText);
    }
}
OrionSidebarElementSelectableEntitiesDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSidebarElementSelectableEntitiesDirective, deps: null, target: i0.ɵɵFactoryTarget.Directive });
OrionSidebarElementSelectableEntitiesDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.12", type: OrionSidebarElementSelectableEntitiesDirective, inputs: { isEditable: "isEditable", selected: "selected", searched: "searched" }, outputs: { save: "save", search: "search" }, usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionSidebarElementSelectableEntitiesDirective, decorators: [{
            type: Directive
        }], propDecorators: { isEditable: [{
                type: Input
            }], selected: [{
                type: Input
            }], searched: [{
                type: Input
            }], save: [{
                type: Output
            }], search: [{
                type: Output
            }] } });

/**
 * Generated bundle index. Do not edit.
 */

export { CollapsedElementContentDirective, ExpandedElementContentDirective, OrionBaseCollapsedSidebarElementComponent, OrionSidebarContentComponent, OrionSidebarElementComponent, OrionSidebarElementDirective, OrionSidebarElementSelectableEntitiesDirective, OrionSidebarModule };
//# sourceMappingURL=csirtmu-orion-microframework-sidebar.mjs.map
