import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { trackByIndex } from '@sentinel/common/utils';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@sentinel/common/pipes';
import { SentinelPipesModule } from '@sentinel/common/pipes';

class OrionTextMatchComponent {
    constructor() {
        this.splitOnMatch = [];
        this.trackByFn = trackByIndex;
    }
    ngOnChanges(changes) {
        if (('text' in changes && this.text && this.match) || ('match' in changes && this.match && this.text)) {
            const splitRegex = new RegExp(`(${this.match})`, 'gi');
            this.splitOnMatch = this.text.split(splitRegex);
        }
    }
}
OrionTextMatchComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTextMatchComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrionTextMatchComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: OrionTextMatchComponent, selector: "orion-text-match", inputs: { text: "text", match: "match", unMatchedTextStyles: "unMatchedTextStyles" }, usesOnChanges: true, ngImport: i0, template: "<ng-container *ngIf=\"splitOnMatch | sentinelHasElements; else noMatchesTemplate\">\n  <span\n    *ngFor=\"let textPart of splitOnMatch\"\n    [ngStyle]=\"(textPart | lowercase) !== (match | lowercase) ? unMatchedTextStyles ?? null : null\"\n    [ngClass]=\"{ matched: (textPart | lowercase) === (match | lowercase) }\"\n    >{{ textPart }}</span\n  >\n</ng-container>\n\n<ng-template #noMatchesTemplate>\n  <span [ngStyle]=\"unMatchedTextStyles ?? null\">{{ text }}</span>\n</ng-template>\n", styles: [".matched{font-weight:600}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "pipe", type: i1.LowerCasePipe, name: "lowercase" }, { kind: "pipe", type: i2.SentinelHasElementsPipe, name: "sentinelHasElements" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTextMatchComponent, decorators: [{
            type: Component,
            args: [{ selector: 'orion-text-match', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *ngIf=\"splitOnMatch | sentinelHasElements; else noMatchesTemplate\">\n  <span\n    *ngFor=\"let textPart of splitOnMatch\"\n    [ngStyle]=\"(textPart | lowercase) !== (match | lowercase) ? unMatchedTextStyles ?? null : null\"\n    [ngClass]=\"{ matched: (textPart | lowercase) === (match | lowercase) }\"\n    >{{ textPart }}</span\n  >\n</ng-container>\n\n<ng-template #noMatchesTemplate>\n  <span [ngStyle]=\"unMatchedTextStyles ?? null\">{{ text }}</span>\n</ng-template>\n", styles: [".matched{font-weight:600}\n"] }]
        }], propDecorators: { text: [{
                type: Input
            }], match: [{
                type: Input
            }], unMatchedTextStyles: [{
                type: Input
            }] } });

class OrionTextMatchModule {
}
OrionTextMatchModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTextMatchModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrionTextMatchModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: OrionTextMatchModule, declarations: [OrionTextMatchComponent], imports: [CommonModule, SentinelPipesModule], exports: [OrionTextMatchComponent] });
OrionTextMatchModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTextMatchModule, imports: [CommonModule, SentinelPipesModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: OrionTextMatchModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [OrionTextMatchComponent],
                    imports: [CommonModule, SentinelPipesModule],
                    exports: [OrionTextMatchComponent],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { OrionTextMatchComponent, OrionTextMatchModule };
//# sourceMappingURL=csirtmu-orion-microframework-text-match.mjs.map
