import { SimpleChange } from '@angular/core';
import { flush } from '@angular/core/testing';
import { defer } from 'rxjs';

function testDetectChanges(cd, fixture) {
    cd.markForCheck();
    fixture.autoDetectChanges();
    flush();
}
function createTestSimpleChanges(data, dataName) {
    const simpleChange = new SimpleChange(undefined, data, true);
    return { [dataName]: simpleChange };
}

/** Create async observable that emits-once and completes
 *  after a JS engine turn
 */
function asyncData(data) {
    return defer(() => Promise.resolve(data));
}

/**
 * Generated bundle index. Do not edit.
 */

export { asyncData, createTestSimpleChanges, testDetectChanges };
//# sourceMappingURL=sentinel-common-testing.mjs.map
