import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@angular/router';
import { RouterModule, PRIMARY_OUTLET } from '@angular/router';
import * as i3 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i4 from '@angular/material/tooltip';
import { MatTooltipModule } from '@angular/material/tooltip';
import * as i5 from '@sentinel/common/pipes';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { MatRippleModule } from '@angular/material/core';

/**
 * Presentational component displaying the breadcrumbs
 */
class SentinelBreadcrumbsComponent {
    constructor() {
        this.breadcrumbs = [];
        this.maxLength = 45;
    }
}
SentinelBreadcrumbsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelBreadcrumbsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
SentinelBreadcrumbsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: SentinelBreadcrumbsComponent, selector: "sentinel-breadcrumbs", inputs: { breadcrumbs: "breadcrumbs", maxLength: "maxLength", divider: "divider" }, ngImport: i0, template: "<div class=\"sentinel-breadcrumbs\">\n  <ng-container *ngFor=\"let breadcrumb of breadcrumbs; index as i; last as isLast\">\n    <div class=\"sentinel-breadcrumb\" data-cy=\"sentinel-agenda-breadcrumb\">\n      <a\n        class=\"sentinel-breadcrumb-text\"\n        mat-button\n        [routerLink]=\"breadcrumb?.url\"\n        [matTooltip]=\"breadcrumb.label | sentinelTooltipOnShortened: maxLength\"\n      >\n        <ng-container\n          *ngTemplateOutlet=\"isLast ? breadcrumbBoldLabel : breadcrumbLabel; context: { $implicit: breadcrumb.label }\"\n        ></ng-container>\n      </a>\n      <a class=\"sentinel-breadcrumb-text\" mat-button [disableRipple]=\"true\" disabled>\n        <span *ngIf=\"!isLast\">\n          {{ divider }}\n        </span>\n      </a>\n    </div>\n  </ng-container>\n</div>\n\n<ng-template #breadcrumbLabel let-label>\n  <span>{{ label | sentinelShortString: maxLength }}</span>\n</ng-template>\n\n<ng-template #breadcrumbBoldLabel let-label>\n  <b>{{ label | sentinelShortString: maxLength }}</b>\n</ng-template>\n", styles: [".sentinel-breadcrumbs,.sentinel-breadcrumb{display:flex;flex-direction:row;align-items:center}.sentinel-breadcrumb-text{padding:0 4px;min-width:0}.mat-button.mat-button-disabled.mat-button-disabled{color:inherit}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i2.RouterLinkWithHref, selector: "a[routerLink],area[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "component", type: i3.MatAnchor, selector: "a[mat-button], a[mat-raised-button], a[mat-icon-button], a[mat-fab],             a[mat-mini-fab], a[mat-stroked-button], a[mat-flat-button]", inputs: ["disabled", "disableRipple", "color", "tabIndex"], exportAs: ["matButton", "matAnchor"] }, { kind: "directive", type: i4.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }, { kind: "pipe", type: i5.SentinelTooltipOnShortenedPipe, name: "sentinelTooltipOnShortened" }, { kind: "pipe", type: i5.SentinelShortStringPipe, name: "sentinelShortString" }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelBreadcrumbsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'sentinel-breadcrumbs', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"sentinel-breadcrumbs\">\n  <ng-container *ngFor=\"let breadcrumb of breadcrumbs; index as i; last as isLast\">\n    <div class=\"sentinel-breadcrumb\" data-cy=\"sentinel-agenda-breadcrumb\">\n      <a\n        class=\"sentinel-breadcrumb-text\"\n        mat-button\n        [routerLink]=\"breadcrumb?.url\"\n        [matTooltip]=\"breadcrumb.label | sentinelTooltipOnShortened: maxLength\"\n      >\n        <ng-container\n          *ngTemplateOutlet=\"isLast ? breadcrumbBoldLabel : breadcrumbLabel; context: { $implicit: breadcrumb.label }\"\n        ></ng-container>\n      </a>\n      <a class=\"sentinel-breadcrumb-text\" mat-button [disableRipple]=\"true\" disabled>\n        <span *ngIf=\"!isLast\">\n          {{ divider }}\n        </span>\n      </a>\n    </div>\n  </ng-container>\n</div>\n\n<ng-template #breadcrumbLabel let-label>\n  <span>{{ label | sentinelShortString: maxLength }}</span>\n</ng-template>\n\n<ng-template #breadcrumbBoldLabel let-label>\n  <b>{{ label | sentinelShortString: maxLength }}</b>\n</ng-template>\n", styles: [".sentinel-breadcrumbs,.sentinel-breadcrumb{display:flex;flex-direction:row;align-items:center}.sentinel-breadcrumb-text{padding:0 4px;min-width:0}.mat-button.mat-button-disabled.mat-button-disabled{color:inherit}\n"] }]
        }], propDecorators: { breadcrumbs: [{
                type: Input
            }], maxLength: [{
                type: Input
            }], divider: [{
                type: Input
            }] } });

class SentinelBreadcrumbsModule {
}
SentinelBreadcrumbsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelBreadcrumbsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SentinelBreadcrumbsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: SentinelBreadcrumbsModule, declarations: [SentinelBreadcrumbsComponent], imports: [CommonModule, RouterModule, SentinelPipesModule, MatButtonModule, MatTooltipModule, MatRippleModule], exports: [SentinelBreadcrumbsComponent] });
SentinelBreadcrumbsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelBreadcrumbsModule, imports: [CommonModule, RouterModule, SentinelPipesModule, MatButtonModule, MatTooltipModule, MatRippleModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: SentinelBreadcrumbsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [SentinelBreadcrumbsComponent],
                    imports: [CommonModule, RouterModule, SentinelPipesModule, MatButtonModule, MatTooltipModule, MatRippleModule],
                    exports: [SentinelBreadcrumbsComponent],
                }]
        }] });

/**
 * Class representing a breadcrumb in a breadcrumb navigation system
 */
class SentinelBreadcrumb {
    constructor(label, url) {
        this.label = label;
        this.url = url;
    }
}

/**
 * @dynamic
 *  Creates and displays breadcrumbs from static or dynamic (resolve) route data.
 *  Breadcrumb data must be of type string.
 *  Two sequential breadcrumbs with same labels are ignored
 *  Ignores all non-primary router outlets
 *
 *  EXAMPLE OF STATIC DATA:
 *  {
 *   path:
 *   loadChildren:
 *   data: { breadcrumb: 'Home' }
 *  },
 *
 * EXAMPLE OF DYNAMIC DATA:
 *  {
 *   path:
 *   loadChildren:
 *   resolve: { breadcrumb: MyBreadcrumbResolver }
 *  },
 */
class SentinelBreadcrumbBuilder {
    /**
     * Builds ordered list of breadcrumbs from data retrieved from router's activated route
     * @param activeRoute router active route
     * @param selector optional, name of the attribute provided in Angular Route Data storing
     * the name of the breadcrumb. 'breadcrumb' is used if not provided
     * @param startWithHome if true add Home breadcrumb which navigates to root url at the
     * start of the breadcrumbs array
     */
    static build(activeRoute, selector = 'breadcrumb', startWithHome = true) {
        this.selector = selector;
        const breadcrumbs = [];
        if (startWithHome) {
            breadcrumbs.push(new SentinelBreadcrumb('Home', '/'));
        }
        let currentRoute = activeRoute.root;
        let currentUrl = '';
        while (this.hasChildren(currentRoute)) {
            currentRoute.children.forEach((route) => {
                currentRoute = route;
                currentUrl += `/${this.createSegmentUrl(currentRoute)}`;
                const breadcrumb = this.createBreadcrumb(currentRoute, currentUrl);
                if (this.isDistinctFromLastOne(breadcrumb, breadcrumbs)) {
                    breadcrumbs.push(breadcrumb);
                }
            });
        }
        return breadcrumbs;
    }
    static createSegmentUrl(route) {
        return route.url.map((segment) => segment.path).join('/');
    }
    static hasChildren(route) {
        return route.children.length > 0;
    }
    static isDistinctFromLastOne(breadcrumb, breadcrumbs) {
        const lastOne = breadcrumbs[breadcrumbs.length - 1];
        return breadcrumb && !(lastOne !== undefined && breadcrumb.label === lastOne.label);
    }
    static createBreadcrumb(route, url) {
        if (!this.isPrimaryOutlet(route)) {
            return undefined;
        }
        if (this.hasBreadcrumbData(route.routeConfig.data)) {
            return this.createFromStaticData(route, url);
        }
        else {
            return this.createFromDynamicData(route, url);
        }
    }
    static createFromStaticData(route, url) {
        const label = route.routeConfig.data[this.selector];
        return label ? new SentinelBreadcrumb(route.routeConfig.data[this.selector], url) : undefined;
    }
    static hasBreadcrumbData(data) {
        return data && Object.prototype.hasOwnProperty.call(data, this.selector);
    }
    static isPrimaryOutlet(route) {
        return route.outlet === PRIMARY_OUTLET;
    }
    static createFromDynamicData(route, url) {
        if (this.hasBreadcrumbData(route.data)) {
            return new SentinelBreadcrumb(route.data[this.selector], url);
        }
        else {
            return undefined;
        }
    }
}
SentinelBreadcrumbBuilder.selector = 'breadcrumb';

/**
 * Generated bundle index. Do not edit.
 */

export { SentinelBreadcrumb, SentinelBreadcrumbBuilder, SentinelBreadcrumbsComponent, SentinelBreadcrumbsModule };
//# sourceMappingURL=sentinel-layout-breadcrumbs.mjs.map
