import { defer } from 'rxjs';
import * as i0 from '@angular/core';
import { Directive } from '@angular/core';

/** Create async observable that emits-once and completes
 *  after a JS engine turn
 */
function asyncData(data) {
    return defer(() => Promise.resolve(data));
}

/**
 * Base component to handle behaviour common for all components.
 * By extending this component you don't need to store subscriptions and unsubscribe in ngOnDestroy of each component
 * but simply pipe the observable with takeWhile(() => this.isAlive)
 */
class BaseDirective {
    constructor() {
        this.isAlive = true;
    }
    ngOnDestroy() {
        this.isAlive = false;
    }
}
BaseDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: BaseDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BaseDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.12", type: BaseDirective, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: BaseDirective, decorators: [{
            type: Directive
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { BaseDirective, asyncData };
//# sourceMappingURL=sentinel-layout-internal.mjs.map
