import { ActivatedRoute, Data, ParamMap, Params, QueryParamsHandling, Router } from '@angular/router';
import { Optional } from '@sentinel/common/utils';
import { Observable } from 'rxjs';
import { FilterService } from './filter.service';
export declare abstract class QueryParamFilterService<Filter> extends FilterService<Filter> {
    protected router: Router;
    protected activatedRoute: ActivatedRoute;
    queryParamsHandling: QueryParamsHandling;
    replaceUrl: boolean;
    filter$: Observable<Filter>;
    protected constructor(router: Router, activatedRoute: ActivatedRoute);
    protected abstract createFilterFromRoute(queryParamMap: ParamMap, paramMap: ParamMap, data: Data): Observable<Filter>;
    protected toQueryParams(filter: Filter): Params;
    protected updateQueryParams(filter: Filter): void;
    protected slugify(value: string | undefined | null): Optional<string>;
    protected deslugify(value: string | undefined | null): Optional<string>;
    protected deslugifyTimestamp(value: string | undefined | null): Optional<Date>;
    private createFilterObservable;
    private createFilterSubjectObservable;
    private fromRoute;
}
