import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { SentinelControlItem } from '@sentinel/components/controls';
import { FilterChip } from '@csirtmu-orion/microframework/filter';
import { OrionFilterPanelConfig } from '@csirtmu-orion/microframework/config';
import * as i0 from "@angular/core";
export declare class OrionFilterPanelComponent<Filter> implements OnChanges {
    private readonly config?;
    defaultDescription?: string;
    activeFilter?: Filter;
    filterChips?: FilterChip[];
    expanded?: boolean;
    withSubmitButton: boolean;
    elevation: number;
    clearFilters: EventEmitter<void>;
    removeChip: EventEmitter<FilterChip>;
    submitClicked: EventEmitter<void>;
    controls: SentinelControlItem[];
    private readonly SUBMIT_FILTERS_CONTROL_ITEM;
    private readonly CLEAR_FILTERS_CONTROL_ITEM;
    constructor(config?: OrionFilterPanelConfig | null | undefined);
    ngOnChanges(changes: SimpleChanges): void;
    onChipRemoved(chip: FilterChip): void;
    private createControls;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrionFilterPanelComponent<any>, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrionFilterPanelComponent<any>, "orion-filter-panel", never, { "defaultDescription": "defaultDescription"; "activeFilter": "activeFilter"; "filterChips": "filterChips"; "expanded": "expanded"; "withSubmitButton": "withSubmitButton"; "elevation": "elevation"; }, { "clearFilters": "clearFilters"; "removeChip": "removeChip"; "submitClicked": "submitClicked"; }, never, ["*"], false>;
}
