import { ActivatedRouteSnapshot, CanActivate, Router, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import { SentinelAuthContext, SentinelAuthService } from '@sentinel/auth';
import * as i0 from "@angular/core";
/**
 * Checks whether user is logged in. If not and provider was already configured it tries to login user.
 * If login fails or provider was not configured, user is redirected to login page provided in config.
 */
export declare class SentinelAuthGuardWithLogin implements CanActivate {
    private authService;
    private configService;
    private router;
    constructor(authService: SentinelAuthService, configService: SentinelAuthContext, router: Router);
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean> | Promise<boolean> | boolean;
    private tryRedirectToLogin;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelAuthGuardWithLogin, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SentinelAuthGuardWithLogin>;
}
