import { ActivatedRouteSnapshot, CanActivate, Router, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import { SentinelAuthContext, SentinelAuthService } from '@sentinel/auth';
import * as i0 from "@angular/core";
/**
 * Checks whether user is authenticated but does not try to perform login. Use only when you are sure that user must be
 * already logged in (not suitable for guarding whole application or route on which user is redirected directly after login)
 * If user has not selected provider and is not logged in redirect to login page provided in config is performed
 */
export declare class SentinelAuthGuard implements CanActivate {
    private authService;
    private configService;
    private router;
    constructor(authService: SentinelAuthService, configService: SentinelAuthContext, router: Router);
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean> | Promise<boolean> | boolean;
    private redirectToLoginPage;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelAuthGuard, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SentinelAuthGuard>;
}
