import { ActivatedRouteSnapshot, CanActivate, Router, RouterStateSnapshot, UrlTree } from '@angular/router';
import { Observable } from 'rxjs';
import { SentinelAuthContext, SentinelAuthService } from '@sentinel/auth';
import * as i0 from "@angular/core";
/**
 * Allows to activate route only for not authenticated routes. Suitable for protecting components for anonymous or
 * not logged in users.
 */
export declare class SentinelNegativeAuthGuard implements CanActivate {
    private authService;
    private configService;
    private router;
    constructor(authService: SentinelAuthService, configService: SentinelAuthContext, router: Router);
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean | UrlTree> | Promise<boolean | UrlTree> | boolean | UrlTree;
    private tryRedirectToHomepage;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelNegativeAuthGuard, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SentinelNegativeAuthGuard>;
}
