import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { AlignMonths, HeatmapCalendarItem, HeatmapChangeEvent, HeatmapItem, TooltipEvent } from '../../model/interfaces';
import * as i0 from "@angular/core";
export declare class HeatmapCalendarWrapperComponent implements OnInit, OnChanges {
    data: HeatmapCalendarItem[];
    color: string;
    alignMonths: AlignMonths;
    monthsCount: number;
    width: number;
    height: number;
    daySelected: EventEmitter<number>;
    margin: {
        left: number;
        right: number;
        top: number;
        bottom: number;
    };
    innerWidth: number;
    innerHeight: number;
    monthsOffset: number;
    translateChart: string;
    translateTopAxis: string;
    translateTopAxisMonthsOffset: string;
    translateMonthsOffset: string;
    monthsTransform: string;
    fontSize: number;
    selectedItem: HeatmapChangeEvent;
    tooltipEvent: TooltipEvent;
    yearItems: HeatmapItem[];
    monthItems: HeatmapItem[];
    colorScale: any;
    yearScale: any;
    monthScale: any;
    weekdayScale: any;
    private map;
    ngOnInit(): void;
    /**
     * Check if data is available
     */
    ngOnChanges(changes: SimpleChanges): void;
    onDaySelected(date: Date): void;
    resetSelection(): void;
    onSelectionChanged(event: HeatmapChangeEvent): void;
    onTooltipEvent(event: TooltipEvent): void;
    onResetTooltipEvent(): void;
    mapYears(yearFilter?: number): void;
    mapMonths(monthFilter?: number): void;
    align(monthFilter: number, start: number, end: number): void;
    formatTransform(x: number, y: number): string;
    private initColorScale;
    private calculateInnerWidth;
    private calculateInnerHeight;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeatmapCalendarWrapperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeatmapCalendarWrapperComponent, "sentinel-heatmap-calendar-wrapper", never, { "data": "data"; "color": "color"; "alignMonths": "alignMonths"; "monthsCount": "monthsCount"; "width": "width"; "height": "height"; }, { "daySelected": "daySelected"; }, never, never, false>;
}
