import { ElementRef, EventEmitter, OnChanges } from '@angular/core';
import { HeatmapChangeEvent, HeatmapDetail, HeatmapItem, TooltipEvent } from '../model/interfaces';
import * as i0 from "@angular/core";
export declare class YearSeriesComponent implements OnChanges {
    items: HeatmapItem[];
    height: number;
    primaryColor: string;
    yearScale: any;
    colorScale: any;
    fontSize: number;
    selectedItem: HeatmapChangeEvent;
    selectionChange: EventEmitter<HeatmapChangeEvent>;
    showTooltipEvent: EventEmitter<TooltipEvent>;
    hideTooltipEvent: EventEmitter<void>;
    get details(): HeatmapDetail[];
    private yearItems;
    private fontColor;
    private whiteColor;
    private duration;
    private monthXAxis;
    private monthYAxis;
    constructor(element: ElementRef);
    ngOnChanges(): void;
    private updateMonthRects;
    private updateMonthLabels;
    private getYearX;
    private getMonthX;
    private getMonthY;
    private getCenteredMonthX;
    private getCenteredMonthY;
    private formatFontColor;
    private formatOutline;
    private formatBackground;
    private isMonthSelected;
    private showTooltip;
    private hideTooltip;
    static ɵfac: i0.ɵɵFactoryDeclaration<YearSeriesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<YearSeriesComponent, "g[heatmap-calendar-year-series]", never, { "items": "items"; "height": "height"; "primaryColor": "primaryColor"; "yearScale": "yearScale"; "colorScale": "colorScale"; "fontSize": "fontSize"; "selectedItem": "selectedItem"; }, { "selectionChange": "selectionChange"; "showTooltipEvent": "showTooltipEvent"; "hideTooltipEvent": "hideTooltipEvent"; }, never, never, false>;
}
