export declare enum AlignMonths {
    none = "none",
    left = "left",
    right = "right",
    around = "around"
}
export interface HeatmapCalendarItem {
    date: string | number | Date;
    summary: NameValue[];
}
export interface TooltipData {
    date?: Date;
    summary: NameValue[];
    count: number;
}
export interface YearOverview {
    year: number;
    count: number;
    itemMaxCount: number;
    months: YearMap;
}
export interface YearMap {
    0: MonthOverview;
    1: MonthOverview;
    2: MonthOverview;
    3: MonthOverview;
    4: MonthOverview;
    5: MonthOverview;
    6: MonthOverview;
    7: MonthOverview;
    8: MonthOverview;
    9: MonthOverview;
    10: MonthOverview;
    11: MonthOverview;
}
export interface MonthOverview {
    year: number;
    month: number;
    count: number;
    itemMaxCount: number;
    items: HeatmapCalendarItem[];
}
export interface NameValue {
    name: string;
    value: number;
}
export interface TooltipEvent {
    x: number;
    y: number;
    html: string;
}
export interface HeatmapChangeEvent {
    year: number;
    month?: number;
}
export interface HeatmapItem {
    date: Date;
    count: number;
    children: HeatmapDetail[];
}
export interface HeatmapDetail {
    date: Date;
    count: number;
    summary: NameValue[];
}
