import { SentinelAuthProviderConfig } from './sentinel-auth-provider-config';
import { SentinelUagStrategyConfig } from './sentinel-uag-strategy-config';
import * as i0 from "@angular/core";
/**
 * Configuration class of the library
 */
export declare class SentinelAuthConfig {
    /**
     * Configuration for any authorization strategy. SentinelUagStrategyConfig by default, but can be replaced with any other config
     */
    authorizationStrategyConfig?: SentinelUagStrategyConfig | any;
    /**
     * Route to login page (used by guard, if authentication fails)
     */
    guardLoginPageRedirect: string;
    /**
     * Route to the main page (used by guard, if authentication succeeds)
     */
    guardMainPageRedirect: string;
    /**
     * Whitelisted URLs for token interceptor.
     * Example: 'https://localhost:8080/ means that all urls starting with this route will be intercepted and
     * authentication header will be added to the http request
     */
    interceptorAllowedUrls?: string[];
    /**
     * Supported OIDC providers
     */
    providers: SentinelAuthProviderConfig[];
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelAuthConfig, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SentinelAuthConfig>;
}
