import { UserDTO } from './user-dto';
import { UserRole } from './user-role';
/**
 * Class representing user in a system. User can be uniquely identified by combination of his login and OIDC issuer but
 * using equals() method is advised.
 * @dynamic
 */
export declare class User {
    constructor(roles: UserRole[]);
    id: number | string;
    login: string;
    name: string;
    /**
     * Icon in base64 format
     */
    picture?: string;
    pictureSrc?: string;
    nameWithAcademicTitles?: string;
    mail?: string;
    issuer: string;
    groupIds: number[];
    roles: UserRole[];
    /**
     * Creates user class from DTO
     * @param userDTO DTO to use to create new User
     */
    static fromDTO(userDTO: UserDTO): User;
    private static mapRoleDTOsToRoles;
    toString(): string;
    equals(user: User): boolean;
}
