import { SentinelAuthorizationStrategy } from './sentinel-authorization.strategy.service';
import { Observable } from 'rxjs';
import { User } from '../../model/user/user';
import { SentinelAuthContext } from '../shared/sentinel-auth-context.service';
import { HttpClient } from '@angular/common/http';
import { SentinelAuthErrorHandler } from '../shared/sentinel-auth-error-handler.service';
import * as i0 from "@angular/core";
/**
 * Default authorization strategy, gets user profile and roles from User and Group microservice
 */
export declare class SentinelUagAuthorizationStrategy extends SentinelAuthorizationStrategy {
    private configService;
    private errorHandler;
    private http;
    private readonly POSSIBLE_RETRIES;
    constructor(configService: SentinelAuthContext, errorHandler: SentinelAuthErrorHandler, http: HttpClient);
    authorize(): Observable<User>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelUagAuthorizationStrategy, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SentinelUagAuthorizationStrategy>;
}
