import { AuthConfig } from 'angular-oauth2-oidc';
import { SentinelAuthConfig } from '../../model/config/sentinel-auth-config';
import { SentinelAuthProviderConfig } from '../../model/config/sentinel-auth-provider-config';
import * as i0 from "@angular/core";
/**
 * Config service storing and providing authentication config
 */
export declare class SentinelAuthContext {
    private readonly PROVIDER_ID_STORAGE_NAME;
    config: SentinelAuthConfig;
    selectedProviderConfig: SentinelAuthProviderConfig;
    constructor(config: SentinelAuthConfig);
    /**
     * Returns OIDC config of OIDC provider
     * @param providerConfig provider which OIDC config should be returned
     */
    static getOIDCConfig(providerConfig: SentinelAuthProviderConfig): AuthConfig;
    /**
     * Selects OIDC provider, and stores it in browser storage
     * @param provider selected OIDC provider
     */
    selectProvider(provider: SentinelAuthProviderConfig): void;
    /**
     * True if OIDC provider was already selected, false otherwise
     */
    hasSelectedProvider(): boolean;
    /**
     * Returns provider stored in browser storage
     */
    getProviderFromStorage(): SentinelAuthProviderConfig;
    /**
     * Clears previously selected OIDC provider from browser storage
     */
    clearSelectedProvider(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelAuthContext, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SentinelAuthContext>;
}
