# MarkdownEditor

MarkdownEditor is component library for editing and previewing markdown content. It supports file upload and tagging.

## Usage

To use the editor component in your Angular application follow these steps:

2. Import **SentinelMarkdownEditorModule** and add it to imports in your module
3. Pass configuration to module. Example below
4. Use `<sentinel-markdown-editor>` directive in your code. Bind to `(contentChange)` for events when user input changed and to `[(content)]` for binding to input data. Set `[sentinel-markdown-autosize]` to `true` if you want the editor to change its size by content. Otherwise, you need to specify width and height in css and the editor will be scrollable.

**Configuration example**

```
SentinelMarkdownEditorModule.forRoot({
  markdownParser: {
    markedOptions: {
      provide: SentinelMarkdownViewConfig,
      useValue: {
        gfm: true,
        tables: true,
        breaks: false,
        pedantic: false,
        sanitize: false,
        smartLists: true,
        smartypants: false,
      },
    }
  },
  markdownEditor: {
    fileUploadRestUrl: ''
  }
}),
```

## Recipes

### File Upload
 TODO in v14

### Tagging
 TODO in v14
