import { OnInit } from '@angular/core';
import { HeaderAction } from '../model/actions/header-action/header-action';
import { MarkdownEditorAction } from '../model/actions/markdown-editor-action';
import { ActionService } from '../service/action/action.service';
import { MarkdownModeService } from '../service/markdown-mode.service';
import { trackByIndex } from '@sentinel/common/utils';
import * as i0 from "@angular/core";
/**
 * Component of action bar of the markdown editor
 */
export declare class ActionBarComponent implements OnInit {
    actionService: ActionService;
    modeService: MarkdownModeService;
    /**
     * Actions available to perform
     */
    actions: MarkdownEditorAction[];
    /**
     * Headings actions
     */
    headingActions: HeaderAction[];
    trackByFn: typeof trackByIndex;
    constructor(actionService: ActionService, modeService: MarkdownModeService);
    ngOnInit(): void;
    /**
     * Sets edit mode or preview mode
     * @param value true if edit mode should be set, false if preview mode
     */
    setEditMode(value: boolean): void;
    /**
     * Calls service to execute action
     * @param action markdown editor action to execute
     */
    executeAction(action: MarkdownEditorAction): void;
    private createActions;
    private createHeaderActions;
    static ɵfac: i0.ɵɵFactoryDeclaration<ActionBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ActionBarComponent, "sentinel-action-bar", never, {}, {}, never, never, false>;
}
