import { EditorSelection } from '../../editor-selection';
import { MarkdownEditorAction } from '../markdown-editor-action';
/**
 * Markdown editor code action
 */
export declare class CodeAction implements MarkdownEditorAction {
    icon: string;
    tooltipHint: string;
    private _singleLineCodeMark;
    private _multiLineCodeMark;
    /**
     * Adds code markdown tags to content of the markdown editor action (or its selection)
     * @param content content to be transformed
     * @param selected current selection to be transformed
     */
    transform(content: string, selected: EditorSelection): string;
    private addCodeMarks;
}
