import { EditorSelection } from '../../editor-selection';
import { MarkdownEditorAction } from '../markdown-editor-action';
/**
 * Markdown editor file action
 */
export declare class FileAction implements MarkdownEditorAction {
    icon: string;
    tooltipHint: string;
    url: string;
    filename: string;
    isImage: boolean;
    /**
     *
     * @param url url of the file
     * @param name filename
     * @param isImage true if is image, false if other file
     */
    constructor(url: string, name: string, isImage: boolean);
    /**
     * Adds file markdown tags to content of the markdown editor action (or its selection)
     * @param content content to be transformed
     * @param selected current selection to be transformed
     */
    transform(content: string, selected: EditorSelection): string;
    private addFile;
}
