import { EditorSelection } from '../../editor-selection';
import { MarkdownEditorAction } from '../markdown-editor-action';
/**
 * Markdown editor header action
 */
export declare class HeaderAction implements MarkdownEditorAction {
    icon: string;
    tooltipHint: string;
    headlineWeight: number;
    /**
     * @param headlineWeight weight of the headline. Must be in range of [1, 6]
     */
    constructor(headlineWeight: number);
    /**
     * Adds header markdown tags to content of the markdown editor action (or its selection)
     * @param content content to be transformed
     * @param selected current selection to be transformed
     */
    transform(content: string, selected: EditorSelection): string;
    private getHeadlineMark;
}
