import { EditorSelection } from '../editor-selection';
/**
 * Markdown editor action
 */
export interface MarkdownEditorAction {
    /**
     * Angular Material icon name. See @link https://material.io/resources/icons/
     */
    icon?: string;
    /**
     * Hint of what does the action do
     */
    tooltipHint?: string;
    /**
     * Adds markdown tags to content of the markdown editor action (or its selection)
     * @param content content to be transformed
     * @param selected current selection to be transformed
     */
    transform(content: string, selected: EditorSelection): string;
}
