import { ModuleWithProviders } from '@angular/core';
import { MarkdownConfig } from './model/markdown-config';
import * as i0 from "@angular/core";
import * as i1 from "./sentinel-markdown-editor.component";
import * as i2 from "./directive/autofocus.directive";
import * as i3 from "./action-bar/action-bar.component";
import * as i4 from "./markdown-footer/markdown-footer.component";
import * as i5 from "@angular/common";
import * as i6 from "@angular/forms";
import * as i7 from "angular-file";
import * as i8 from "@sentinel/components/markdown-view";
import * as i9 from "./sentinel-markdown-editor-material.module";
/**
 * Main module of markdown editor library containing necessary imports, components and config provider.
 * Use forRoot() method with config to import into you app
 */
export declare class SentinelMarkdownEditorModule {
    /**
     * Import the module in your app with config class
     */
    static forRoot(markdownConfig?: MarkdownConfig): ModuleWithProviders<SentinelMarkdownEditorModule>;
    static forChild(): ModuleWithProviders<SentinelMarkdownEditorModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelMarkdownEditorModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SentinelMarkdownEditorModule, [typeof i1.SentinelMarkdownEditorComponent, typeof i2.FocusDirective, typeof i3.ActionBarComponent, typeof i4.MarkdownFooterComponent], [typeof i5.CommonModule, typeof i6.FormsModule, typeof i7.ngfModule, typeof i8.SentinelMarkdownViewModule, typeof i9.SentinelMarkdownEditorMaterialModule], [typeof i1.SentinelMarkdownEditorComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SentinelMarkdownEditorModule>;
}
