import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Service holding state of markdown mode
 */
export declare class MarkdownModeService {
    private _editModeSubject;
    /**
     * True if markdown is in edit mode, false if in preview mode
     */
    editMode$: Observable<boolean>;
    /**
     * Set edit mode to true or false (for preview mode)
     * @param value true for edit mode, false for preview mode
     */
    setIsEditMode(value: boolean): void;
    /**
     * Get state of the markdown mode. True if edit mode, false if preview mode
     */
    getIsEditMode(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<MarkdownModeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MarkdownModeService>;
}
