import { AbstractControl, FormGroup } from '@angular/forms';
import { Observable, Subject } from 'rxjs';
export declare abstract class BaseReactiveForm<FormModel extends {
    [K in keyof FormModel]: AbstractControl<unknown>;
}> {
    formGroup: FormGroup<FormModel>;
    dirtySubject$: Subject<boolean>;
    dirty$: Observable<boolean>;
    valid$: Observable<boolean>;
    protected constructor(formGroup: FormGroup<FormModel>);
    get valid(): boolean;
    get dirty(): boolean;
    set dirty(value: boolean);
    set isSaving(value: boolean);
}
