import { CollectionViewer } from '@angular/cdk/collections';
import { MatTreeNestedDataSource } from '@angular/material/tree';
import { Observable } from 'rxjs';
import { OrionNestedTreeControl } from './orion-nested-tree-control';
import { TreeNode } from './tree-node';
import { OrionTreeNodeManagerService } from './orion-tree-node-manager.service';
export declare class OrionNestedTreeDataSource<NodeData, NodeDataId = NodeData> extends MatTreeNestedDataSource<TreeNode<NodeData>> {
    private expandSub?;
    private loadMoreSub?;
    private loadMoreRootsSub?;
    private treeControl;
    private treeNodeManager;
    isLoadingRoots$: Observable<boolean>;
    isLoadingMoreRoots$: Observable<boolean>;
    hasMoreRoots$: Observable<boolean>;
    loadRootsHasError$: Observable<boolean>;
    loadMoreRootsHasError$: Observable<boolean>;
    constructor(treeControl: OrionNestedTreeControl<NodeData, NodeDataId>, treeNodeManager: OrionTreeNodeManagerService<NodeData>);
    connect(collectionViewer: CollectionViewer): Observable<TreeNode<NodeData>[]>;
    disconnect(): void;
}
