import { EventEmitter } from '@angular/core';
import { OrionNestedTreeControl } from './orion-nested-tree-control';
import { OrionNestedTreeDataSource } from './orion-nested-tree-data-source';
import { OrionTreeNodeDirective } from './orion-tree-node.directive';
import { TreeNode } from './tree-node';
import * as i0 from "@angular/core";
export declare class OrionNestedTreeComponent<NodeData, NodeDataId = NodeData> {
    treeControl?: OrionNestedTreeControl<NodeData, NodeDataId>;
    dataSource?: OrionNestedTreeDataSource<NodeData, NodeDataId>;
    selectable: boolean;
    selected: EventEmitter<TreeNode<NodeData>>;
    nodeDirective?: OrionTreeNodeDirective;
    private lastExpandedNode?;
    private lastLoadMoreNode?;
    private lastSelected?;
    tryAgainRoots$: import("rxjs").Observable<never>;
    tryAgainExpand$: import("rxjs").Observable<never>;
    tryAgainLoadMoreChildren$: import("rxjs").Observable<never>;
    hasChild: (index: number, node: TreeNode<NodeData>) => boolean;
    toggle(node: TreeNode<NodeData>, origin: 'click' | 'dblclick' | 'expand'): void;
    loadModeChildren(node: TreeNode<NodeData>): void;
    loadMoreRoots(): void;
    onSelect(node: TreeNode<NodeData>): void;
    private shouldToggle;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrionNestedTreeComponent<any, any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrionNestedTreeComponent<any, any>, "orion-nested-tree", never, { "treeControl": "treeControl"; "dataSource": "dataSource"; "selectable": "selectable"; }, { "selected": "selected"; }, ["nodeDirective"], never, false>;
}
