import { Observable } from 'rxjs';
import { OrionTreeDataService } from './orion-tree-data.service';
import { TreeNode } from './tree-node';
import { TreeRootEvent } from './tree-root-event';
export declare abstract class OrionTreeNodeManagerService<NodeData> {
    protected nodeService: OrionTreeDataService<NodeData>;
    superiorEntityId?: string;
    private rootEventSubject$;
    rootEvent$: Observable<TreeRootEvent>;
    private rootNodesSubject$;
    rootNodes$: Observable<TreeNode<NodeData>[]>;
    private readonly BATCH_SIZE;
    private rootsOffset;
    private totalRootsCount;
    protected constructor(nodeService: OrionTreeDataService<NodeData>, batchSize?: number);
    getRoots(): Observable<TreeNode<NodeData>[]>;
    loadMoreRoots(): Observable<TreeNode<NodeData>[]>;
    getChildren(node: TreeNode<NodeData>): Observable<TreeNode<NodeData>[]>;
    loadMoreChildren(node: TreeNode<NodeData>): Observable<TreeNode<NodeData>[]>;
    protected abstract getTotalChildrenCount(parentNode: TreeNode<NodeData>): number;
    protected abstract createNodeInstance(data: NodeData): TreeNode<NodeData>;
    private handleBeforeLoadRoots;
    private handleLoadRootsSuccess;
    private handleRootsError;
    private beforeLoadChildrenRequest;
    private handleLoadChildrenSuccess;
    private handleNodeError;
    private mapToRootNodes;
    private mapToNodes;
    private isExpandable;
    private resolveHasMoreChildren;
    private resolveHasMoreRoots;
    private setRoots;
    private appendRoots;
    private selectLast;
    private incrementOffset;
}
