import { Observable } from 'rxjs';
export declare class TreeNode<NodeData> {
    data: NodeData;
    title?: string;
    icon?: string;
    isExpandable: boolean;
    hasMoreChildren: boolean;
    isLoading: boolean;
    disabled: boolean;
    isLast: boolean;
    isRoot: boolean;
    private isSelectedSubject$;
    isSelected$: Observable<boolean>;
    private expandNodeHasErrorSubject$;
    expandNodeHasError$: Observable<boolean>;
    private loadMoreHasErrorSubject$;
    loadMoreHasError$: Observable<boolean>;
    private childrenSubject$;
    children$: Observable<TreeNode<NodeData>[]>;
    protected constructor(data: NodeData);
    toggleLoading(): void;
    setExpandError(value: boolean): void;
    setLoadMoreError(value: boolean): void;
    setIsSelected(value: boolean): void;
    getChildrenCount(): number;
    setChildren(value: TreeNode<NodeData>[]): void;
    appendChildren(value: TreeNode<NodeData>[]): void;
}
