import { OnChanges, SimpleChanges } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { SentinelNotification } from '../model/sentinel-notification';
import * as i0 from "@angular/core";
/**
 * Component displaying basic info about the  notification in material card
 */
export declare class NotificationCardComponent implements OnChanges {
    private router;
    private activatedRoute;
    /**
     * Notification to display
     */
    notification: SentinelNotification;
    /**
     * True if detailed info should be displayed, false otherwise
     */
    detailed: boolean;
    routerLink: string;
    readonly TITLE_MAX_LENGTH = 25;
    readonly DETAILED_TITLE_MAX_LENGTH = 100;
    readonly INFO_MAX_LENGTH = 50;
    readonly DETAILED_INFO_MAX_LENGTH = 200;
    /**
     * Max length of the title
     */
    titleMaxLength: number;
    /**
     * Max length of the additional info
     */
    additionalInfoMaxLength: number;
    notificationAdditionalInfo: string;
    constructor(router: Router, activatedRoute: ActivatedRoute);
    ngOnChanges(changes: SimpleChanges): void;
    navigateToNotification(): void;
    private setLengthValues;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationCardComponent, "sentinel-notification-card", never, { "notification": "notification"; "detailed": "detailed"; "routerLink": "routerLink"; }, {}, never, never, false>;
}
