import { EventEmitter } from '@angular/core';
import { SentinelNotification } from '../model/sentinel-notification';
import * as i0 from "@angular/core";
/**
 * Menu displaying latest notifications
 */
export declare class NotificationMenuComponent {
    /**
     * Notifications to display in menu
     */
    notifications: SentinelNotification[];
    /**
     * Last emitted notification
     */
    lastNotification: SentinelNotification;
    /**
     * Route to notifications overview page
     */
    notificationsRoute: string;
    /**
     * Emits event to refresh notifications list
     */
    refreshNotifications: EventEmitter<void>;
    /**
     * Refreshes notifications to display when user opens the menu
     */
    onOpenNotifications(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationMenuComponent, "sentinel-notification-menu", never, { "notifications": "notifications"; "lastNotification": "lastNotification"; "notificationsRoute": "notificationsRoute"; }, { "refreshNotifications": "refreshNotifications"; }, never, never, false>;
}
