import { OnDestroy, OnInit } from '@angular/core';
import { MatSnackBar } from '@angular/material/snack-bar';
import { Observable } from 'rxjs';
import { SentinelNotification } from '../model/sentinel-notification';
import { NotificationPopupService } from '../services/notification-popup.service';
import * as i0 from "@angular/core";
/**
 * Component displaying notifications in a snackbar
 */
export declare class NotificationsPopupComponent implements OnInit, OnDestroy {
    snackbar: MatSnackBar;
    private notificationPopupService;
    /**
     * Notifications to display
     */
    notifications$: Observable<SentinelNotification[]>;
    constructor(snackbar: MatSnackBar, notificationPopupService: NotificationPopupService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Closes notification with dismissed result
     * @param notification notification to close
     */
    close(notification: SentinelNotification): void;
    /**
     * Closes notification with confirmed result
     * @param notification notification to confirm and close
     */
    confirmAction(notification: SentinelNotification): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationsPopupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationsPopupComponent, "sentinel-notification-popup", never, {}, {}, never, never, false>;
}
