import { ComponentType } from '@angular/cdk/portal';
import { MatDialog } from '@angular/material/dialog';
import { Observable } from 'rxjs';
import { SentinelNotification } from '../model/sentinel-notification';
import { SentinelNotificationResult } from '../model/sentinel-notification-result.enum';
import * as i0 from "@angular/core";
/**
 * Displays notifications in Material Dialog
 */
export declare class NotificationDialogService {
    dialog: MatDialog;
    constructor(dialog: MatDialog);
    /**
     * Displays notification in dialog and returns observable of the result
     * @param notification notification to display in dialog
     * @param component component of the dialog
     */
    display<T>(notification: SentinelNotification, component: ComponentType<T>): Observable<SentinelNotificationResult>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationDialogService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NotificationDialogService>;
}
