import { NgxIndexedDBService } from 'ngx-indexed-db';
import { Observable } from 'rxjs';
import { SentinelNotification } from '../model/sentinel-notification';
import { SentinelNotificationApi } from './sentinel-notification-api.service';
import * as i0 from "@angular/core";
/**
 * Service layer handling notification operations on IndexedDB
 */
export declare class NotificationIndexedDBApi extends SentinelNotificationApi {
    private dbService;
    constructor(dbService: NgxIndexedDBService);
    /**
     * Adds new notification to db
     * @param notification
     */
    add(notification: SentinelNotification): Observable<number>;
    /**
     * Returns notification by id
     * @param id id of the notification to retrieve
     */
    get(id: number): Observable<SentinelNotification>;
    /**
     * Returns total count of notifications
     */
    count(): Observable<number>;
    /**
     * Gets paginated notifications
     * @param page page to retrieve
     * @param size size of the page
     */
    getAll(page: number, size: number): Observable<SentinelNotification[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationIndexedDBApi, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NotificationIndexedDBApi>;
}
