import { Observable } from 'rxjs';
import { SentinelNotification } from '../model/sentinel-notification';
import { SentinelNotificationApi } from './sentinel-notification-api.service';
import * as i0 from "@angular/core";
/**
 * Layer between components and notification api
 */
export declare class NotificationOverviewService {
    private api;
    private notificationsSubject$;
    /**
     * Notifications of current page
     */
    notifications$: Observable<SentinelNotification[]>;
    private totalSizeSubject$;
    /**
     * Total number of notifications
     */
    totalSize$: Observable<number>;
    constructor(api: SentinelNotificationApi);
    /**
     * Gets all notifications on a page of some size
     * @param page page to retrieve
     * @param size size of the page
     */
    getAll(page: number, size: number): Observable<SentinelNotification[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationOverviewService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NotificationOverviewService>;
}
