import { ComponentType } from '@angular/cdk/portal';
import { MatSnackBar } from '@angular/material/snack-bar';
import { Observable } from 'rxjs';
import { SentinelNotification } from '../model/sentinel-notification';
import { SentinelNotificationResult } from '../model/sentinel-notification-result.enum';
import * as i0 from "@angular/core";
/**
 * Service handling displaying and closing popup notifications in material snackbar
 */
export declare class NotificationPopupService {
    snackBar: MatSnackBar;
    readonly DEFAULT_DURATION = 5000;
    snackbarRef: any;
    private notificationResultsMap;
    private notificationsSubject$;
    /**
     * Notifications with active popups
     */
    notifications$: Observable<SentinelNotification[]>;
    constructor(snackBar: MatSnackBar);
    /**
     * Displays notification in component and returns observable of the notification result
     * @param notification notification to display
     * @param component component to display the notification in
     */
    display<T>(notification: SentinelNotification, component: ComponentType<T>): Observable<SentinelNotificationResult>;
    /**
     * Closes notification with result
     * @param toClose notification to close
     * @param result result of the notification
     */
    close(toClose: SentinelNotification, result: SentinelNotificationResult): void;
    private emitResult;
    private closeSnackBar;
    private isEmpty;
    private openSnackbar;
    private addExpiration;
    private createResultObservable;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationPopupService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NotificationPopupService>;
}
