import { Observable } from 'rxjs';
import { SentinelNotification } from '../model/sentinel-notification';
import { SentinelNotificationResult } from '../model/sentinel-notification-result.enum';
import { NotificationDialogService } from './notification-dialog.service';
import { NotificationPopupService } from './notification-popup.service';
import { SentinelNotificationApi } from './sentinel-notification-api.service';
import * as i0 from "@angular/core";
/**
 * Notification service handling storing, displaying and returning a result of emitted notification
 */
export declare class SentinelNotificationService {
    private notificationApi;
    private notificationDialogService;
    private notificationPopupService;
    private onNotificationAddedSubject$;
    /**
     * Emits event when notification is added and stored the db
     */
    onNotificationAdded$: Observable<SentinelNotification>;
    constructor(notificationApi: SentinelNotificationApi, notificationDialogService: NotificationDialogService, notificationPopupService: NotificationPopupService);
    /**
     * Emits notification and displays it to the user appropriately
     * @param notification a notification to emit
     */
    emit(notification: SentinelNotification): Observable<SentinelNotificationResult>;
    private store;
    private display;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelNotificationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SentinelNotificationService>;
}
