import { Observable } from 'rxjs';
import { PaginationBase } from './pagination-base';
import { PaginationBaseInit } from './pagination-base-init';
import { PaginationType } from './types';
import { IPaginationEvent, RequestedPaginationManager } from '@sentinel/common/pagination';
import * as i0 from "@angular/core";
export declare class PaginationService {
    protected readonly initPaginationBase?: PaginationBaseInit | undefined;
    protected readonly paginationType?: PaginationType | undefined;
    readonly INIT_PAGINATION: IPaginationEvent;
    protected paginationManager: RequestedPaginationManager;
    pagination$: Observable<IPaginationEvent>;
    constructor(initPaginationBase?: PaginationBaseInit | undefined, paginationType?: PaginationType | undefined);
    get(): IPaginationEvent;
    update(pagination: IPaginationEvent): void;
    resetPosition(): void;
    resetSize(): void;
    protected createInitPagination(initPaginationBase?: PaginationBase): IPaginationEvent;
    protected createManager(initSize: number, initPagination: IPaginationEvent): RequestedPaginationManager;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaginationService, [{ optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PaginationService>;
}
