import { BehaviorSubject } from 'rxjs';
import { IPaginationEvent } from '../requested/i-pagination-event';
export declare abstract class RequestedPaginationManager {
    readonly defaultPageSize: number;
    pagination$: BehaviorSubject<IPaginationEvent>;
    protected constructor(pageSize: number, initial?: IPaginationEvent);
    abstract resetPosition(pagination?: IPaginationEvent): void;
    protected abstract createInitialPagination(): IPaginationEvent;
    update(pagination: IPaginationEvent): void;
    resetSize(): void;
    private hasSortingChanged;
    private hasPageSizeChanged;
    private isDifferentEmptyValues;
}
