import { AsyncPipe } from '@angular/common';
import { PipeTransform } from '@angular/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Uses async pipe internally but retypes null to undefined as this is more in line with TypeScript optional attributes
 * and results in less retyping and boilerplate if strict checking is active. It also allows to provide default value
 * for cases where undefined type is not possible/desired.
 */
export declare class SentinelAsyncPipe extends AsyncPipe implements PipeTransform {
    transform<T>(obj: Observable<T> | Promise<T>): T | undefined;
    transform<T>(obj: null | undefined): undefined;
    transform<T>(obj: Observable<T> | Promise<T> | null | undefined): T | undefined;
    transform<T>(obj: Observable<T> | Promise<T> | null | undefined, defaultValue?: T): T;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelAsyncPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<SentinelAsyncPipe, "sAsync", false>;
}
