# Sentinel Resource Selector Component

Sentinel Resource Selector Component contains component for searching and selecting from a generic resource

## Features

- Search with autocomplete and selection from a list of resource
- Already selected resources displayed in chips
- Generic resource mapped to the UI trough `SentinelResourceSelectorMapping`

## Usage

1. Import `SentinelResourceSelectorModule` in your app or feature module
1. Optionally, provide mapping if your resource does not exactly match attribute naming of `SentinelResourceSelectorMapping`
1. Use in your template like this

```
    <sentinel-resource-selector
      searchPlaceholder="Search by name"
      [resources]="resources$ | async"
      [resourceMapping]="selectorResourceMapping"
      (fetch)="onFetch($event)"
      (selectionChange)="onSelectionChange($event)">
    </sentinel-resource-selector>
```
