/**
 * Maps predefined resource attribute names supported by SentinelSelectorResourceComponent to attributes of generic resource classes
 */
export interface SentinelResourceSelectorMapping {
    /**
     * Mandatory, name of attribute that the resource uses as an unique id
     */
    id: string;
    /**
     * Mandatory, name of the attribute used as the main a title or a name of the resource.
     */
    title: string;
    /**
     * Optional, name of the attribute of the resource that should be displayed as a subtitle
     */
    subtitle?: string;
    /**
     * Optional, name of the attribute of the resource storing an icon or picture (Must be a picture stored as string in base64 format)
     */
    icon?: string;
    /**
     * Optional, url to icon. Attribute icon is primary in cases when both icon and iconSrc attributes are set
     */
    iconSrc?: string;
}
