import { ComponentType, Portal } from '@angular/cdk/portal';
import { TemplateRef, ViewContainerRef } from '@angular/core';
import { MatDrawer } from '@angular/material/sidenav';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ContextSidebarService {
    sidebar?: MatDrawer;
    private viewContainerRef?;
    private panelPortalSubject$;
    private templateRefWaitingForVcrInit?;
    panelPortal$: Observable<Portal<unknown> | null>;
    /** Sets the view container ref needed for {@link #setPanelContent}. */
    setViewContainerRef(vcr: ViewContainerRef): void;
    /** Sets the panel portal to the specified portal. */
    setPanelPortal(panelPortal: Portal<unknown>): void;
    /**
     * Sets the panel content.
     * @param componentOrTemplateRef The component/template reference used.
     */
    setPanelContent(componentOrTemplateRef: ComponentType<unknown> | TemplateRef<unknown>): void;
    /** Resets the current panel portal. */
    clearPanelPortal(): void;
    /** Opens the panel with optionally a portal to be set. */
    open(portal?: Portal<unknown>): void;
    /** Toggles the panel. */
    toggle(): void;
    /** Closes the panel. */
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContextSidebarService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ContextSidebarService>;
}
