import { OnInit, ViewContainerRef } from '@angular/core';
import { MatDrawerMode } from '@angular/material/sidenav';
import { Observable } from 'rxjs';
import { ContextSidebarService } from './context-sidebar.service';
import { SidebarSizeService } from './sidebar-size.service';
import { SidebarStateService } from './sidebar-state.service';
import { SidebarBreakpoint, SidebarState } from './sidebar-types';
import * as i0 from "@angular/core";
export declare class SidebarPageLayoutComponent implements OnInit {
    private sizeService;
    private stateService;
    private contextService;
    private vcr;
    alwaysDisplaySidebar: boolean;
    readonly TRANSITION_LENGTH_MILLIS = 300;
    readonly TRANSITION_STYLE: string;
    width$: Observable<string>;
    height$: Observable<string>;
    state$: Observable<SidebarState>;
    activeBreakpoint$: Observable<SidebarBreakpoint>;
    mode$: Observable<MatDrawerMode>;
    contentMargin$: Observable<string>;
    selectedPortal$?: Observable<unknown>;
    private contextSidebar?;
    constructor(sizeService: SidebarSizeService, stateService: SidebarStateService, contextService: ContextSidebarService, vcr: ViewContainerRef);
    ngOnInit(): void;
    toggleSidebar(): void;
    private initSidebarSize;
    private initSidebarState;
    private initSidebarContent;
    private initSidebarBehaviour;
    private resolveContentMargin;
    private resolveSidebarMode;
    static ɵfac: i0.ɵɵFactoryDeclaration<SidebarPageLayoutComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SidebarPageLayoutComponent, "sentinel-sidebar-page-layout", never, { "alwaysDisplaySidebar": "alwaysDisplaySidebar"; }, {}, never, ["*"], false>;
}
