import { Observable } from 'rxjs';
import { WindowSizeService } from '@sentinel/layout';
import { SidebarBreakpoint, SidebarBreakpoints, SidebarState } from './sidebar-types';
import { SidebarStatePreferenceService } from './sidebar-state-preference.service';
import * as i0 from "@angular/core";
export declare class SidebarStateService {
    private windowSizeService;
    private statePreferenceService;
    private stateSubject$;
    state$: Observable<SidebarState>;
    private sidebarBreakpointsSubject$;
    sidebarBreakpoints$: Observable<SidebarBreakpoints>;
    private lastActiveBreakpoint;
    activeBreakpoint$: Observable<SidebarBreakpoint>;
    constructor(windowSizeService: WindowSizeService, statePreferenceService: SidebarStatePreferenceService);
    geState(): SidebarState;
    setState(state: SidebarState): void;
    toggleState(): void;
    getActiveBreakpoint(): SidebarBreakpoint;
    setBreakpoints(breakpoints: SidebarBreakpoints): void;
    onBreakpointChange(breakpoint: SidebarBreakpoint): void;
    private resolveBreakpoint;
    private shouldChangeStateOnBreakpointChange;
    private isAgainstUserPreference;
    static ɵfac: i0.ɵɵFactoryDeclaration<SidebarStateService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SidebarStateService>;
}
