import { IPagination } from '@sentinel/common/pagination';
import { Column } from './column';
import { Row } from './row';
import { RowExpand } from './row-expand';
/**
 * Main data source for the table. You can set if the table should allow filtering, selection boxes, pagination and actions.
 * It also allows to define expand component which will be displayed after clicking on row.
 */
export declare class SentinelTable<T> {
    filterable: boolean;
    selectable: boolean;
    filterLabel: string;
    rows: Row<T>[];
    pagination: IPagination;
    columns: Column[];
    expand: RowExpand;
    constructor(rows: Row<T>[], columns: Column[]);
    /**
     * True if come column is sortable, false otherwise
     */
    hasSortableColumn(): boolean;
    /**
     * True if any row has action, false otherwise
     */
    hasActions(): boolean;
}
