import { SelectionModel } from '@angular/cdk/collections';
import { Row } from '../../model/row';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class TableSelectionService<T> {
    private rowsCountSubject$;
    private changeSubject$;
    rowCount$: Observable<number>;
    change$: Observable<T[]>;
    someSelected$: Observable<boolean>;
    allSelected$: Observable<boolean>;
    selection: SelectionModel<T>;
    constructor();
    toggleSelection(row: Row<T>): void;
    /**
     * Emits event when selection is changed
     */
    onSelectionChange(): void;
    isSelected(row: Row<T>): boolean;
    /** True if the number of selected elements matches the total number of rows, false otherwise. */
    isAllSelected(): boolean;
    /** Selects all rows if they are not all selected; otherwise clears selection. */
    toggleAll(rows: Row<T>[]): void;
    init(elementsCount: number, preselected?: T[]): void;
    onPreselectionChange(preselected: T[]): void;
    private selectionAlreadySetup;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableSelectionService<any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TableSelectionService<any>>;
}
