import { Observable } from 'rxjs';
import { TableFilterService } from './table-filter.service';
import { TableSortService } from './table-sort.service';
import { TablePageService } from './table-page.service';
import { IPaginationEvent, IPagination } from '@sentinel/common/pagination';
import { TableLoadEvent } from '../model/table-load-event';
import { SortEvent } from '../model/table-events/sort-event';
import * as i0 from "@angular/core";
export declare class TableEventService {
    private filterService;
    private sortService;
    private pageService;
    currPaginationEvent?: IPaginationEvent;
    currSortEvent?: SortEvent;
    currFilter?: string;
    change$: Observable<TableLoadEvent>;
    constructor(filterService: TableFilterService, sortService: TableSortService, pageService: TablePageService);
    initPagination(pagination: IPagination): void;
    initSort(sort: string, sortDir: 'asc' | 'desc'): void;
    private fromFilterChange;
    private fromSortChange;
    private fromPageChange;
    private resetPosition;
    private createDefaultPaginationEvent;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableEventService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TableEventService>;
}
