import { ElementRef } from '@angular/core';
import { Observable } from 'rxjs';
import { MatDialogActions } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export declare abstract class SentinelTourGuideService {
    /**
     * Method for starting the tour.
     * @param url URL address of the JSON file from which the data can be fetched from.
     * @param tourIdentifier is used to determine which tour should be loaded from config file. Every tour in config file
     * has unique identifier. If the tour is started on every route change this identifier has to be unique for every tour.
     * Therefore if your route contains specific ids they should be replaced with keyword of your choice. Tour identifier
     * should also match camel Case formatting typical for JSON files.
     * @param elementRef
     */
    abstract startTour(url: string, tourIdentifier: string, elementRef: ElementRef): Observable<MatDialogActions>;
    /**
     * Method for starting the tour on first visit of the page.
     * @param url URL address of the JSON file from which the data can be fetched from.
     * @param tourIdentifier is used to determine which tour should be loaded from config file. Every tour in config file
     * has unique identifier. If the tour is started on every route change this identifier has to be unique for every tour.
     * Therefore if your route contains specific ids they should be replaced with keyword of your choice. Tour identifier
     * should also match camel Case formatting typical for JSON files.
     * @param elementRef
     */
    abstract startTourFirstVisit(url: string, tourIdentifier: string, elementRef: ElementRef): Observable<MatDialogActions>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SentinelTourGuideService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SentinelTourGuideService>;
}
