import { Step } from '../../model/step';
import { StepPosition } from '../../model/step-position';
import { TourGuideStep } from '../../dto/tour-guide-step';
import * as i0 from "@angular/core";
export declare class StepInitializationService {
    readonly DIALOG_WIDTH = 320;
    readonly DIALOG_HEIGHT = 300;
    screenHeight: number;
    screenWidth: number;
    constructor();
    private static checkStep;
    onResize(event?: any): void;
    /**
     * Creates tour step from provided json data
     * @param stepData json data
     */
    createStep(stepData: TourGuideStep): Step;
    /**
     * Checks if dialog window won't be displayed out of a user screen and computes new position in such case
     * @param topPosition
     * @param leftPosition left position where dialog should appear
     */
    private checkPosition;
    getStepPosition(selector: string, className: string): StepPosition;
    private getElement;
    static ɵfac: i0.ɵɵFactoryDeclaration<StepInitializationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StepInitializationService>;
}
