import { ElementRef } from '@angular/core';
import { Step } from '../../model/step';
import { TourStepDialogComponent } from '../../tour-step/tour-step-dialog.component';
import { MatDialog, MatDialogActions, MatDialogRef } from '@angular/material/dialog';
import { StepInitializationService } from './step-initialization.service';
import { TourGuideStep } from '../../dto/tour-guide-step';
import { BehaviorSubject, Observable } from 'rxjs';
import { TourStatusEnum } from '../../model/tour-status-enum';
import * as i0 from "@angular/core";
export declare class TourInitializationService {
    private dialog;
    private stepInitializationService;
    constructor(dialog: MatDialog, stepInitializationService: StepInitializationService);
    activeTour: Step[];
    currentStepDialog: MatDialogRef<TourStepDialogComponent>;
    observer: MutationObserver;
    elementRef: ElementRef;
    tourActionsSubject$: BehaviorSubject<MatDialogActions | TourStatusEnum>;
    private static initSubject;
    /**
     * Initializes tour steps from config file
     * @param steps steps in from JSON file
     * @param elementRef
     */
    initializeTourSteps(steps: TourGuideStep[], elementRef: ElementRef): void;
    /**
     * Closes unfinished tours after route change
     */
    closeTour(): void;
    /**
     * Starts tour at first step and closes unfinished tours after route change
     */
    startTouring(): Observable<MatDialogActions>;
    private startComponentDetection;
    private startInnerTour;
    private processSteps;
    private addStep;
    private showStep;
    private nextAction;
    static ɵfac: i0.ɵɵFactoryDeclaration<TourInitializationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TourInitializationService>;
}
