# Sentinel User Assign Component

Sentinel User Assign Component Library contains component and service for assignment and unassignment of users to generic resources (m-n relationships).

## Features

- Assigning users to a generic resource
- Customizable behaviour
- Combines `SentinelResourceSelectorComponent`, `SentinelTableComponent` and `SentinelControlsComponent`

## Usage

User classes implementing or matching `AssignableUser` interface are supported

1. Import `SentinelUserAssignModule` in your app or feature module
1. Extend `SentinelUserAssignService` to integrate the component with your API
1. Use the component in your template like this

```
<sentinel-user-assign
  [resource]="resource"
  resourceIcon="help_outline"
  [assigneesTitle]="'Example assignees'"
  [toAssignTitle]="'Example users'"
  [defaultPaginationSize]="DEFAULT_PAGINATION_SIZE"
  (hasUnsavedChanges)="onHasUnsavedChanges($event)">
</sentinel-user-assign>
```
