export declare type Optional<T> = T | undefined;
export declare type PartialPick<T, K extends keyof T> = {
    [P in K]?: T[P] | null;
};
export declare type PatchEvent<T, K extends keyof T> = {
    set?: PartialPick<T, K>;
    remove?: PartialPick<T, K>;
};
export declare type EntityLoadingState = {
    isLoading: true;
    ids: string[];
} | {
    isLoading: true;
    id: string;
} | {
    isLoading: false;
};
export declare const ENTITY_NOT_LOADING_STATE: EntityLoadingState;
export declare type NotificationType = 'error' | 'info' | 'warning' | 'success';
export declare type Nullable<T> = T | null;
export declare type NullableProps<Type> = {
    [Property in keyof Type]: Nullable<Type[Property]>;
};
declare type Diff<T, U> = T extends U ? never : T;
export declare type OptionalPropertyNames<T> = {
    [K in keyof T]: undefined extends T[K] ? K : never;
}[keyof T];
export declare type SpreadProperties<L, R, K extends keyof L & keyof R> = {
    [P in K]: L[P] | Diff<R[P], undefined>;
};
export declare type Spread<L, R> = Pick<L, Diff<keyof L, keyof R>> & Pick<R, Diff<keyof R, OptionalPropertyNames<R>>> & Pick<R, Diff<OptionalPropertyNames<R>, keyof L>> & SpreadProperties<L, R, OptionalPropertyNames<R> & keyof L>;
export {};
