import { Params } from '@angular/router';
import { EntityLoadingState } from './types';
import { Identifiable } from '@sentinel/common/entity';
export declare type maybeArray<T> = T | T[];
export declare function isArray<T>(x: maybeArray<T>): x is T[];
export declare function trackById(index: number, item: Identifiable): string | number;
export declare function trackByIndex(index: number, item: unknown): number;
export interface NgStyleArg {
    [klass: string]: any;
}
/**
 * Tries to match string value to one of the keys of enum. Returns undefined if it fails to match
 */
export declare const enumFromValue: <T extends Record<string, string>>(enumObj: T, val: string) => T[keyof T];
export declare function toQueryParams<InputData>(inputObject: InputData): Params;
export declare function isLoading(state: EntityLoadingState, id: string): boolean;
export declare function prettifyEnum(value?: string): string;
