import { ChangeDetectionStrategy, Component } from '@angular/core';
import { EntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { CveTableElementFragment } from './cve-table.fragment.generated';
import { CveTable } from './cve-table';
import { trackByIndex } from '@sentinel/common/utils';

@Component({
  selector: 'orion-cve-table',
  templateUrl: './cve-table.component.html',
  styleUrls: ['./cve-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CveTableComponent extends EntityTableDirective<CveTableElementFragment, CveTable> {
  trackByFn = trackByIndex;

  protected createTable(entities: CveTableElementFragment[]): CveTable {
    return new CveTable(entities);
  }
}
