import { Column, Row, SentinelTable } from '@sentinel/components/table';
import { CveTableElementFragment } from './cve-table.fragment.generated';

export class CveTable extends SentinelTable<CveTableElementFragment> {
  constructor(elements: CveTableElementFragment[]) {
    const columns = [
      new Column('id', 'CVE ID', false),
      new Column('published', 'Published', false),
      new Column('lastModified', 'Last Modified', false),
    ];
    const rows = elements.map((e) => new Row(e));
    super(rows, columns);
  }
}
