import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { MALWARE_ICON } from '@orion/common';
import { KnownTtPsTypesEnum } from '@orion/graphql-types';
import { MalwareProcedureDetailPageComponent } from '@orion/ttps-components/detail-malware-procedure';
import { MalwareProcedureTitleResolver } from '@orion/ttps-services';

const routes: Routes = [
  {
    path: '',
    title: MalwareProcedureTitleResolver,
    component: MalwareProcedureDetailPageComponent,
    data: {
      headline: 'Malware Procedure Detail',
      headlineIcon: MALWARE_ICON,
      ttpType: KnownTtPsTypesEnum.MALWARE_PROCEDURE,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class MalwareProcedureDetailRoutingModule {}
