import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { MALWARE_ICON } from '@orion/common';
import { MalwareProcedureOverviewPageComponent } from '@orion/ttps-components/malware-procedure-overview';
import { MalwareProcedureBreadcrumbResolver } from '@orion/ttps-services';

const routes: Routes = [
  {
    path: '',
    title: 'Malware Procedures Overview',
    component: MalwareProcedureOverviewPageComponent,
    data: {
      headline: 'Malware Procedures Overview',
      headlineIcon: MALWARE_ICON,
    },
  },
  {
    path: ':ttpId',
    loadChildren: () =>
      import('../../detail/malware-procedure/malware-procedure-detail.module').then(
        (m) => m.MalwareProcedureDetailModule
      ),
    resolve: {
      breadcrumb: MalwareProcedureBreadcrumbResolver,
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class MalwareProcedureOverviewRoutingModule {}
