import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { MalwareProcedureDetailFragmentDoc } from './malware-procedure-detail.fragment.generated';
import { TtpMainContentFragmentDoc } from '../../../detail-shared/ttp-main-content/ttp-main-content.fragment.generated';
import { TtpNameFragmentDoc } from '../../../shared/ttp-name/ttp-name.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../types/ttp-id/ttp-id.fragment.generated';
import { TtpDetailTabsFragmentDoc } from '../../../detail-shared/ttp-main-content/ttp-detail-tabs/ttp-detail-tabs.fragment.generated';
import { TtpOverviewTabFragmentDoc } from '../../../detail-shared/ttp-main-content/ttp-detail-tabs/ttp-overview-tab/ttp-overview-tab.fragment.generated';
import { TtpSharedCardContentFragmentDoc } from '../../../detail-shared/ttp-shared-card-content/ttp-shared-card-content.fragment.generated';
import { MalwareProcedureDetailContentFragmentDoc } from '../malware-procedure-detail-content/malware-procedure-detail-content.fragment.generated';
import { MalwareProcedureCardInfoFragmentDoc } from '../malware-procedure-detail-content/malware-procedure-card-info/malware-procedure-card-info.fragment.generated';
import { ExternalReferencesTableElementFragmentDoc } from '../../../tables/external-references-table/external-references-table-element.generated';
import { Injectable } from '@angular/core';

export type GetMalwareProcedureDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetMalwareProcedureDetailQuery = {
  __typename?: 'Query';
  getMalwareProcedure?:
    | {
        __typename?: 'MalwareProcedure';
        id: string;
        malwareProcedureName: string;
        created?: any | undefined;
        modified?: any | undefined;
        ttpType?: string | undefined;
        description?: string | undefined;
        name: string;
        externalReferences?:
          | {
              __typename?: 'ExternalReferenceNestedList';
              totalCount: number;
              data: Array<{
                __typename?: 'ExternalReference';
                id: string;
                url?: string | undefined;
                sourceName: string;
                description?: string | undefined;
              }>;
            }
          | undefined;
        malware: { __typename?: 'Malware'; id: string; name: string };
        malwareTechnique: {
          __typename?: 'Technique';
          isSubtechnique?: boolean | undefined;
          created?: any | undefined;
          ttpType?: string | undefined;
          id: string;
          name: string;
          subTechniqueOf?:
            | { __typename?: 'Technique'; id: string; ttpType?: string | undefined; name: string }
            | undefined;
        };
      }
    | undefined;
};

export const GetMalwareProcedureDetailDocument = gql`
  query getMalwareProcedureDetail($id: ID!) {
    getMalwareProcedure(id: $id) {
      ...malwareProcedureDetail
    }
  }
  ${MalwareProcedureDetailFragmentDoc}
  ${TtpMainContentFragmentDoc}
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
  ${TtpDetailTabsFragmentDoc}
  ${TtpOverviewTabFragmentDoc}
  ${TtpSharedCardContentFragmentDoc}
  ${MalwareProcedureDetailContentFragmentDoc}
  ${MalwareProcedureCardInfoFragmentDoc}
  ${ExternalReferencesTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetMalwareProcedureDetailQueryService extends Apollo.Query<
  GetMalwareProcedureDetailQuery,
  GetMalwareProcedureDetailQueryVariables
> {
  document = GetMalwareProcedureDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
