import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import {
  GetMalwareProcedureDetailQuery,
  GetMalwareProcedureDetailQueryService,
  GetMalwareProcedureDetailQueryVariables,
  MalwareProcedureDetailFragment,
} from './graphql';
import { TTP_PARAM_SELECTOR } from '@orion/ttps-paths';

@Injectable()
export class MalwareProcedureDetailService extends ApolloRoutedEntityService<
  GetMalwareProcedureDetailQuery,
  GetMalwareProcedureDetailQueryVariables,
  MalwareProcedureDetailFragment
> {
  constructor(getQuery: GetMalwareProcedureDetailQueryService, activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching malware procedure');
  }

  protected createVariables(entityId: string): GetMalwareProcedureDetailQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(TTP_PARAM_SELECTOR);
  }

  protected toFragment(query: GetMalwareProcedureDetailQuery): Optional<MalwareProcedureDetailFragment> {
    return query.getMalwareProcedure;
  }
}
