import { gql } from 'apollo-angular';

export type MalwareDetailFragment = {
  __typename?: 'Malware';
  id: string;
  name: string;
  description?: string | undefined;
  created?: any | undefined;
  modified?: any | undefined;
  groups?:
    | {
        __typename?: 'TTPGroupNestedList';
        data: Array<{ __typename?: 'TTPGroup'; id: string; name: string; description?: string | undefined }>;
      }
    | undefined;
  techniquesUsed?:
    | {
        __typename?: 'MalwareProcedureNestedList';
        data: Array<{
          __typename?: 'MalwareProcedure';
          description?: string | undefined;
          created?: any | undefined;
          ttpType?: string | undefined;
          id: string;
          name: string;
        }>;
      }
    | undefined;
  platforms?:
    | { __typename?: 'TTPPlatformNestedList'; data: Array<{ __typename?: 'TTPPlatform'; id: string; value: string }> }
    | undefined;
  externalReferences?:
    | {
        __typename?: 'ExternalReferenceNestedList';
        data: Array<{
          __typename?: 'ExternalReference';
          id: string;
          url?: string | undefined;
          sourceName: string;
          description?: string | undefined;
        }>;
      }
    | undefined;
  aliases?:
    | { __typename?: 'AliasNestedList'; data: Array<{ __typename?: 'Alias'; id: string; value: string }> }
    | undefined;
};

export const MalwareDetailFragmentDoc = gql`
  fragment malwareDetail on Malware {
    id
    name
    ...malwareDetailContent
  }
`;
