import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { MalwareDetailFragmentDoc } from './malware-detail.fragment.generated';
import { MalwareDetailContentFragmentDoc } from '../malware-detail-content/malware-detail-content.fragment.generated';
import { MalwareCardInfoFragmentDoc } from '../malware-detail-content/malware-card-info/malware-card-info.fragment.generated';
import { GroupsTableElementFragmentDoc } from '../../../tables/groups-table/group-table-element.fragment.generated';
import { MalwareProceduresTableElementFragmentDoc } from '../../../tables/malware-procedures-table/malware-procedures-table-element.generated';
import { TtpNameFragmentDoc } from '../../../shared/ttp-name/ttp-name.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../types/ttp-id/ttp-id.fragment.generated';
import { PlatformsTableElementFragmentDoc } from '../../../tables/platforms-table/platforms-table-element.fragment.generated';
import { ExternalReferencesTableElementFragmentDoc } from '../../../tables/external-references-table/external-references-table-element.generated';
import { Injectable } from '@angular/core';

export type GetMalwareDetailQueryVariables = SchemaTypes.Exact<{
  id: SchemaTypes.Scalars['ID'];
}>;

export type GetMalwareDetailQuery = {
  __typename?: 'Query';
  getMalware?:
    | {
        __typename?: 'Malware';
        id: string;
        name: string;
        description?: string | undefined;
        created?: any | undefined;
        modified?: any | undefined;
        groups?:
          | {
              __typename?: 'TTPGroupNestedList';
              data: Array<{ __typename?: 'TTPGroup'; id: string; name: string; description?: string | undefined }>;
            }
          | undefined;
        techniquesUsed?:
          | {
              __typename?: 'MalwareProcedureNestedList';
              data: Array<{
                __typename?: 'MalwareProcedure';
                description?: string | undefined;
                created?: any | undefined;
                ttpType?: string | undefined;
                id: string;
                name: string;
              }>;
            }
          | undefined;
        platforms?:
          | {
              __typename?: 'TTPPlatformNestedList';
              data: Array<{ __typename?: 'TTPPlatform'; id: string; value: string }>;
            }
          | undefined;
        externalReferences?:
          | {
              __typename?: 'ExternalReferenceNestedList';
              data: Array<{
                __typename?: 'ExternalReference';
                id: string;
                url?: string | undefined;
                sourceName: string;
                description?: string | undefined;
              }>;
            }
          | undefined;
        aliases?:
          | { __typename?: 'AliasNestedList'; data: Array<{ __typename?: 'Alias'; id: string; value: string }> }
          | undefined;
      }
    | undefined;
};

export const GetMalwareDetailDocument = gql`
  query getMalwareDetail($id: ID!) {
    getMalware(id: $id) {
      ...malwareDetail
    }
  }
  ${MalwareDetailFragmentDoc}
  ${MalwareDetailContentFragmentDoc}
  ${MalwareCardInfoFragmentDoc}
  ${GroupsTableElementFragmentDoc}
  ${MalwareProceduresTableElementFragmentDoc}
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
  ${PlatformsTableElementFragmentDoc}
  ${ExternalReferencesTableElementFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class GetMalwareDetailQueryService extends Apollo.Query<GetMalwareDetailQuery, GetMalwareDetailQueryVariables> {
  document = GetMalwareDetailDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
