import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { EditableEntityModule } from '@orion/shared-components/editable-entity';
import { EntityDetailPageModule } from '@orion/shared-components/entity-detail-page';
import { ExternalReferencesTableModule } from '@orion/ttps-components/external-references-table';
import { GroupsTableModule } from '@orion/ttps-components/groups-table';
import { MalwareProceduresTableModule } from '@orion/ttps-components/malware-procedures-table';
import { PlatformsTableModule } from '@orion/ttps-components/platforms-table';
import { TTPDescriptionModule, TTPNavigatorPipesModule } from '@orion/ttps-components/shared';
import { SLetModule } from '@sentinel/common';
import { SentinelPipesModule } from '@sentinel/common/pipes';
import { OrionAttributeModule } from '@csirtmu-orion/microframework/attribute';
import { OrionCardModule } from '@csirtmu-orion/microframework/card';
import { OrionEntityNameModule } from '@csirtmu-orion/microframework/entity-name';
import { OrionInlineListModule } from '@csirtmu-orion/microframework/inline-list';
import { OrionTimeAgoModule } from '@csirtmu-orion/microframework/time-ago';
import { MalwareCardInfoComponent, MalwareDetailContentComponent } from './malware-detail-content';
import { MalwareDetailPageComponent } from './malware-detail-page.component';
import { EntityToolbarModule } from '@orion/shared-components/entity-toolbar';
import { EntityToolbarInfoModule } from '@orion/user-components/shared';

@NgModule({
  declarations: [MalwareDetailPageComponent, MalwareDetailContentComponent, MalwareCardInfoComponent],
  imports: [
    CommonModule,
    SLetModule,
    EntityDetailPageModule,
    SentinelPipesModule,
    PlatformsTableModule,
    GroupsTableModule,
    EditableEntityModule,
    OrionCardModule,
    OrionTimeAgoModule,
    TTPNavigatorPipesModule,
    OrionEntityNameModule,
    OrionAttributeModule,
    OrionInlineListModule,
    ExternalReferencesTableModule,
    MalwareProceduresTableModule,
    TTPDescriptionModule,
    EntityToolbarModule,
    EntityToolbarInfoModule,
  ],
})
export class MalwareDetailPageModule {}
