import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { ApolloRoutedEntityService } from '@csirtmu-orion/microframework/apollo-services';
import { Optional } from '@sentinel/common/utils';
import {
  GetMalwareDetailQuery,
  GetMalwareDetailQueryService,
  GetMalwareDetailQueryVariables,
  MalwareDetailFragment,
} from './graphql';
import { MALWARE_PARAM_SELECTOR } from '@orion/ttps-paths';

@Injectable()
export class MalwareDetailService extends ApolloRoutedEntityService<
  GetMalwareDetailQuery,
  GetMalwareDetailQueryVariables,
  MalwareDetailFragment
> {
  constructor(public getQuery: GetMalwareDetailQueryService, protected activatedRoute: ActivatedRoute) {
    super(getQuery, activatedRoute, 'Fetching malware');
  }

  protected createVariables(entityId: string): GetMalwareDetailQueryVariables {
    return { id: entityId };
  }

  protected idFromParamMap(paramMap: ParamMap): string | null {
    return paramMap.get(MALWARE_PARAM_SELECTOR);
  }

  protected toFragment(query: GetMalwareDetailQuery): Optional<MalwareDetailFragment> {
    return query.getMalware;
  }
}
