import { Injectable } from '@angular/core';
import { ActivatedRoute, ParamMap, Router } from '@angular/router';
import { ProcedureSharedFilterService } from '@orion/ttps-components/filters-procedure-shared';
import { MalwareProcedureClientFilter } from '@orion/ttps-types';
import { Observable } from 'rxjs';

@Injectable()
export class MalwareProcedureFilterService extends ProcedureSharedFilterService<MalwareProcedureClientFilter> {
  constructor(protected router: Router, protected activatedRoute: ActivatedRoute) {
    super(router, activatedRoute);
  }

  protected createEmptyFilter(): MalwareProcedureClientFilter {
    return this.createSharedEmptyFilter();
  }

  protected createFilterFromRoute(
    queryParamMap: ParamMap,
    paramMap: ParamMap
  ): Observable<MalwareProcedureClientFilter> {
    return this.sharedAttributesFromQueryParamMap(queryParamMap);
  }
}
