import * as SchemaTypes from '../../../../../graphql/generated/base-types/base-types';

import * as Apollo from 'apollo-angular';
import { gql } from 'apollo-angular';
import { MalwareProcedureOverviewElementFragmentDoc } from './malware-procedure-overview-element.fragment.generated';
import { MalwareProceduresTableElementFragmentDoc } from '../../../tables/malware-procedures-table/malware-procedures-table-element.generated';
import { TtpNameFragmentDoc } from '../../../shared/ttp-name/ttp-name.fragment.generated';
import { TtpIdFragmentDoc } from '../../../../types/ttp-id/ttp-id.fragment.generated';
import { Injectable } from '@angular/core';

export type MalwareProcedureOverviewQueryVariables = SchemaTypes.Exact<{
  filter?: SchemaTypes.InputMaybe<Array<SchemaTypes.MalwareProcedureFilter1AndFilterEntry>>;
  order?: SchemaTypes.InputMaybe<Array<SchemaTypes.MalwareProcedureOrdEnumOrderingEntry>>;
  cursor?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['String']>;
  limit?: SchemaTypes.InputMaybe<SchemaTypes.Scalars['Int']>;
}>;

export type MalwareProcedureOverviewQuery = {
  __typename?: 'Query';
  getMalwareProcedureList: {
    __typename?: 'MalwareProcedurePaginated';
    previous?: string | undefined;
    next?: string | undefined;
    totalCount: number;
    data: Array<{
      __typename?: 'MalwareProcedure';
      description?: string | undefined;
      created?: any | undefined;
      ttpType?: string | undefined;
      id: string;
      name: string;
    }>;
  };
};

export const MalwareProcedureOverviewDocument = gql`
  query malwareProcedureOverview(
    $filter: [MalwareProcedureFilter1ANDFilterEntry!]
    $order: [MalwareProcedureOrdEnumOrderingEntry!]
    $cursor: String
    $limit: Int
  ) {
    getMalwareProcedureList(filter: $filter, ordering: $order, cursor: $cursor, limit: $limit) {
      data {
        ...malwareProcedureOverviewElement
      }
      previous
      next
      totalCount
    }
  }
  ${MalwareProcedureOverviewElementFragmentDoc}
  ${MalwareProceduresTableElementFragmentDoc}
  ${TtpNameFragmentDoc}
  ${TtpIdFragmentDoc}
`;

@Injectable({
  providedIn: 'root',
})
export class MalwareProcedureOverviewQueryService extends Apollo.Query<
  MalwareProcedureOverviewQuery,
  MalwareProcedureOverviewQueryVariables
> {
  document = MalwareProcedureOverviewDocument;
  client = 'graphApi';
  constructor(apollo: Apollo.Apollo) {
    super(apollo);
  }
}
