import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { MalwareProceduresTable } from './malware-procedures-table';
import { MalwareProceduresTableElementFragment } from './malware-procedures-table-element.generated';

@Component({
  selector: 'orion-malware-procedures-table',
  templateUrl: './malware-procedures-table.component.html',
  styleUrls: ['./malware-procedures-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class MalwareProceduresTableComponent extends OptionallyPaginatedEntityTableDirective<
  MalwareProceduresTableElementFragment,
  MalwareProceduresTable
> {
  protected createTable(
    entities: IPaginatedElements<MalwareProceduresTableElementFragment> | MalwareProceduresTableElementFragment[]
  ): MalwareProceduresTable {
    return new MalwareProceduresTable(entities);
  }
}
