import { SimpleRowTable } from '@orion/common';
import { MalwareProcedureOrdEnum } from '@orion/graphql-types';
import { IPaginatedElements, isPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { MalwareProceduresTableElementFragment } from './malware-procedures-table-element.generated';

export class MalwareProceduresTable extends SimpleRowTable<MalwareProceduresTableElementFragment> {
  constructor(
    malwareProcedures:
      | IPaginatedElements<MalwareProceduresTableElementFragment>
      | MalwareProceduresTableElementFragment[]
  ) {
    const isPaginated = isPaginatedElements(malwareProcedures);
    const columns = [
      new Column('name', 'Name', isPaginated, MalwareProcedureOrdEnum.MALWARE_PROCEDURE_NAME),
      new Column('description', 'Description', false),
    ];
    super(malwareProcedures, columns);
  }
}
