import { ChangeDetectionStrategy, Component } from '@angular/core';
import { IPaginatedElements } from '@sentinel/common/pagination';
import { OptionallyPaginatedEntityTableDirective } from '@csirtmu-orion/microframework/entity-smart-directives';
import { MalwareTable } from './malware-table';
import { MalwareTableElementFragment } from './malware-table-element.fragment.generated';

@Component({
  selector: 'orion-malware-table',
  templateUrl: './malware-table.component.html',
  styleUrls: ['./malware-table.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class MalwareTableComponent extends OptionallyPaginatedEntityTableDirective<
  MalwareTableElementFragment,
  MalwareTable
> {
  protected createTable(
    entities: IPaginatedElements<MalwareTableElementFragment> | MalwareTableElementFragment[]
  ): MalwareTable {
    return new MalwareTable(entities);
  }
}
