import { SimpleRowTable } from '@orion/common';
import { MalwareOrdEnum } from '@orion/graphql-types';
import { IPaginatedElements, isPaginatedElements } from '@sentinel/common/pagination';
import { Column } from '@sentinel/components/table';
import { MalwareTableElementFragment } from './malware-table-element.fragment.generated';

export class MalwareTable extends SimpleRowTable<MalwareTableElementFragment> {
  constructor(malware: IPaginatedElements<MalwareTableElementFragment> | MalwareTableElementFragment[]) {
    const isPaginated = isPaginatedElements(malware);
    const columns = [
      new Column('name', 'Name', isPaginated, MalwareOrdEnum.NAME),
      new Column('description', 'Description', false),
    ];
    super(malware, columns);
  }
}
