import { Injectable } from '@angular/core';
import { MALWARE_PARAM_SELECTOR } from '@orion/ttps-paths';
import { entityId, entityTitle } from '@orion/common';
import { OrionIdBreadcrumbResolver } from '@orion/shared/services/global';

@Injectable()
export class MalwareBreadcrumbResolver extends OrionIdBreadcrumbResolver {
  protected toBreadcrumb(id: string): string {
    return `Malware ${entityId(id)}`;
  }

  protected getIdParamSelector(): string {
    return MALWARE_PARAM_SELECTOR;
  }
}

@Injectable()
export class MalwareTitleResolver extends OrionIdBreadcrumbResolver {
  protected getIdParamSelector(): string {
    return MALWARE_PARAM_SELECTOR;
  }

  protected toBreadcrumb(id: string): string {
    return entityTitle(id, undefined, 'Malware');
  }
}
