import { convertDateTimeFilter } from '@orion/common';
import { MalwareProcedureFilter1, MalwareProcedureFilter1AndFilterEntry } from '@orion/graphql-types';
import { FilterConverter } from '@csirtmu-orion/microframework/filter';
import { MalwareProcedureClientFilter } from './malware-procedure-client-filter';

export class MalwareProcedureFilterConverter
  implements FilterConverter<MalwareProcedureClientFilter, MalwareProcedureFilter1AndFilterEntry[]>
{
  convert(clientFilter?: MalwareProcedureClientFilter): MalwareProcedureFilter1AndFilterEntry[] {
    const andFilter: MalwareProcedureFilter1 = {};
    if (clientFilter?.from || clientFilter?.to) {
      andFilter.created = convertDateTimeFilter(clientFilter);
    }
    if (clientFilter?.name) {
      andFilter.malwareProcedureName = { icontains: clientFilter.name };
    }
    return [{ AND: [{ OR: andFilter }] }];
  }
}
